define('domReady', [], function () {
    'use strict';
    var isTop, testDiv, scrollIntervalId, isBrowser = typeof window !== 'undefined' && window.document, isPageLoaded = !isBrowser, doc = isBrowser ? document : null, readyCalls = [];
    function runCallbacks(callbacks) {
        var i;
        for (i = 0; i < callbacks.length; i += 1) {
            callbacks[i](doc);
        }
    }
    function callReady() {
        var callbacks = readyCalls;
        if (isPageLoaded) {
            if (callbacks.length) {
                readyCalls = [];
                runCallbacks(callbacks);
            }
        }
    }
    function pageLoaded() {
        if (!isPageLoaded) {
            isPageLoaded = true;
            if (scrollIntervalId) {
                clearInterval(scrollIntervalId);
            }
            callReady();
        }
    }
    if (isBrowser) {
        if (document.addEventListener) {
            document.addEventListener('DOMContentLoaded', pageLoaded, false);
            window.addEventListener('load', pageLoaded, false);
        } else if (window.attachEvent) {
            window.attachEvent('onload', pageLoaded);
            testDiv = document.createElement('div');
            try {
                isTop = window.frameElement === null;
            } catch (e) {
            }
            if (testDiv.doScroll && isTop && window.external) {
                scrollIntervalId = setInterval(function () {
                    try {
                        testDiv.doScroll();
                        pageLoaded();
                    } catch (e) {
                    }
                }, 30);
            }
        }
        if (document.readyState === 'complete') {
            pageLoaded();
        }
    }
    function domReady(callback) {
        if (isPageLoaded) {
            callback(doc);
        } else {
            readyCalls.push(callback);
        }
        return domReady;
    }
    domReady.version = '2.0.1';
    domReady.load = function (name, req, onLoad, config) {
        if (config.isBuild) {
            onLoad(null);
        } else {
            domReady(onLoad);
        }
    };
    return domReady;
});
(function () {
    (function () {
        var root = this;
        var previousUnderscore = root._;
        var ArrayProto = Array.prototype, ObjProto = Object.prototype, FuncProto = Function.prototype;
        var push = ArrayProto.push, slice = ArrayProto.slice, toString = ObjProto.toString, hasOwnProperty = ObjProto.hasOwnProperty;
        var nativeIsArray = Array.isArray, nativeKeys = Object.keys, nativeBind = FuncProto.bind, nativeCreate = Object.create;
        var Ctor = function () {
        };
        var _ = function (obj) {
            if (obj instanceof _)
                return obj;
            if (!(this instanceof _))
                return new _(obj);
            this._wrapped = obj;
        };
        if (typeof exports !== 'undefined') {
            if (typeof module !== 'undefined' && module.exports) {
                exports = module.exports = _;
            }
            exports._ = _;
        } else {
            root._ = _;
        }
        _.VERSION = '1.8.3';
        var optimizeCb = function (func, context, argCount) {
            if (context === void 0)
                return func;
            switch (argCount == null ? 3 : argCount) {
            case 1:
                return function (value) {
                    return func.call(context, value);
                };
            case 2:
                return function (value, other) {
                    return func.call(context, value, other);
                };
            case 3:
                return function (value, index, collection) {
                    return func.call(context, value, index, collection);
                };
            case 4:
                return function (accumulator, value, index, collection) {
                    return func.call(context, accumulator, value, index, collection);
                };
            }
            return function () {
                return func.apply(context, arguments);
            };
        };
        var cb = function (value, context, argCount) {
            if (value == null)
                return _.identity;
            if (_.isFunction(value))
                return optimizeCb(value, context, argCount);
            if (_.isObject(value))
                return _.matcher(value);
            return _.property(value);
        };
        _.iteratee = function (value, context) {
            return cb(value, context, Infinity);
        };
        var createAssigner = function (keysFunc, undefinedOnly) {
            return function (obj) {
                var length = arguments.length;
                if (length < 2 || obj == null)
                    return obj;
                for (var index = 1; index < length; index++) {
                    var source = arguments[index], keys = keysFunc(source), l = keys.length;
                    for (var i = 0; i < l; i++) {
                        var key = keys[i];
                        if (!undefinedOnly || obj[key] === void 0)
                            obj[key] = source[key];
                    }
                }
                return obj;
            };
        };
        var baseCreate = function (prototype) {
            if (!_.isObject(prototype))
                return {};
            if (nativeCreate)
                return nativeCreate(prototype);
            Ctor.prototype = prototype;
            var result = new Ctor();
            Ctor.prototype = null;
            return result;
        };
        var property = function (key) {
            return function (obj) {
                return obj == null ? void 0 : obj[key];
            };
        };
        var MAX_ARRAY_INDEX = Math.pow(2, 53) - 1;
        var getLength = property('length');
        var isArrayLike = function (collection) {
            var length = getLength(collection);
            return typeof length == 'number' && length >= 0 && length <= MAX_ARRAY_INDEX;
        };
        _.each = _.forEach = function (obj, iteratee, context) {
            iteratee = optimizeCb(iteratee, context);
            var i, length;
            if (isArrayLike(obj)) {
                for (i = 0, length = obj.length; i < length; i++) {
                    iteratee(obj[i], i, obj);
                }
            } else {
                var keys = _.keys(obj);
                for (i = 0, length = keys.length; i < length; i++) {
                    iteratee(obj[keys[i]], keys[i], obj);
                }
            }
            return obj;
        };
        _.map = _.collect = function (obj, iteratee, context) {
            iteratee = cb(iteratee, context);
            var keys = !isArrayLike(obj) && _.keys(obj), length = (keys || obj).length, results = Array(length);
            for (var index = 0; index < length; index++) {
                var currentKey = keys ? keys[index] : index;
                results[index] = iteratee(obj[currentKey], currentKey, obj);
            }
            return results;
        };
        function createReduce(dir) {
            function iterator(obj, iteratee, memo, keys, index, length) {
                for (; index >= 0 && index < length; index += dir) {
                    var currentKey = keys ? keys[index] : index;
                    memo = iteratee(memo, obj[currentKey], currentKey, obj);
                }
                return memo;
            }
            return function (obj, iteratee, memo, context) {
                iteratee = optimizeCb(iteratee, context, 4);
                var keys = !isArrayLike(obj) && _.keys(obj), length = (keys || obj).length, index = dir > 0 ? 0 : length - 1;
                if (arguments.length < 3) {
                    memo = obj[keys ? keys[index] : index];
                    index += dir;
                }
                return iterator(obj, iteratee, memo, keys, index, length);
            };
        }
        _.reduce = _.foldl = _.inject = createReduce(1);
        _.reduceRight = _.foldr = createReduce(-1);
        _.find = _.detect = function (obj, predicate, context) {
            var key;
            if (isArrayLike(obj)) {
                key = _.findIndex(obj, predicate, context);
            } else {
                key = _.findKey(obj, predicate, context);
            }
            if (key !== void 0 && key !== -1)
                return obj[key];
        };
        _.filter = _.select = function (obj, predicate, context) {
            var results = [];
            predicate = cb(predicate, context);
            _.each(obj, function (value, index, list) {
                if (predicate(value, index, list))
                    results.push(value);
            });
            return results;
        };
        _.reject = function (obj, predicate, context) {
            return _.filter(obj, _.negate(cb(predicate)), context);
        };
        _.every = _.all = function (obj, predicate, context) {
            predicate = cb(predicate, context);
            var keys = !isArrayLike(obj) && _.keys(obj), length = (keys || obj).length;
            for (var index = 0; index < length; index++) {
                var currentKey = keys ? keys[index] : index;
                if (!predicate(obj[currentKey], currentKey, obj))
                    return false;
            }
            return true;
        };
        _.some = _.any = function (obj, predicate, context) {
            predicate = cb(predicate, context);
            var keys = !isArrayLike(obj) && _.keys(obj), length = (keys || obj).length;
            for (var index = 0; index < length; index++) {
                var currentKey = keys ? keys[index] : index;
                if (predicate(obj[currentKey], currentKey, obj))
                    return true;
            }
            return false;
        };
        _.contains = _.includes = _.include = function (obj, item, fromIndex, guard) {
            if (!isArrayLike(obj))
                obj = _.values(obj);
            if (typeof fromIndex != 'number' || guard)
                fromIndex = 0;
            return _.indexOf(obj, item, fromIndex) >= 0;
        };
        _.invoke = function (obj, method) {
            var args = slice.call(arguments, 2);
            var isFunc = _.isFunction(method);
            return _.map(obj, function (value) {
                var func = isFunc ? method : value[method];
                return func == null ? func : func.apply(value, args);
            });
        };
        _.pluck = function (obj, key) {
            return _.map(obj, _.property(key));
        };
        _.where = function (obj, attrs) {
            return _.filter(obj, _.matcher(attrs));
        };
        _.findWhere = function (obj, attrs) {
            return _.find(obj, _.matcher(attrs));
        };
        _.max = function (obj, iteratee, context) {
            var result = -Infinity, lastComputed = -Infinity, value, computed;
            if (iteratee == null && obj != null) {
                obj = isArrayLike(obj) ? obj : _.values(obj);
                for (var i = 0, length = obj.length; i < length; i++) {
                    value = obj[i];
                    if (value > result) {
                        result = value;
                    }
                }
            } else {
                iteratee = cb(iteratee, context);
                _.each(obj, function (value, index, list) {
                    computed = iteratee(value, index, list);
                    if (computed > lastComputed || computed === -Infinity && result === -Infinity) {
                        result = value;
                        lastComputed = computed;
                    }
                });
            }
            return result;
        };
        _.min = function (obj, iteratee, context) {
            var result = Infinity, lastComputed = Infinity, value, computed;
            if (iteratee == null && obj != null) {
                obj = isArrayLike(obj) ? obj : _.values(obj);
                for (var i = 0, length = obj.length; i < length; i++) {
                    value = obj[i];
                    if (value < result) {
                        result = value;
                    }
                }
            } else {
                iteratee = cb(iteratee, context);
                _.each(obj, function (value, index, list) {
                    computed = iteratee(value, index, list);
                    if (computed < lastComputed || computed === Infinity && result === Infinity) {
                        result = value;
                        lastComputed = computed;
                    }
                });
            }
            return result;
        };
        _.shuffle = function (obj) {
            var set = isArrayLike(obj) ? obj : _.values(obj);
            var length = set.length;
            var shuffled = Array(length);
            for (var index = 0, rand; index < length; index++) {
                rand = _.random(0, index);
                if (rand !== index)
                    shuffled[index] = shuffled[rand];
                shuffled[rand] = set[index];
            }
            return shuffled;
        };
        _.sample = function (obj, n, guard) {
            if (n == null || guard) {
                if (!isArrayLike(obj))
                    obj = _.values(obj);
                return obj[_.random(obj.length - 1)];
            }
            return _.shuffle(obj).slice(0, Math.max(0, n));
        };
        _.sortBy = function (obj, iteratee, context) {
            iteratee = cb(iteratee, context);
            return _.pluck(_.map(obj, function (value, index, list) {
                return {
                    value: value,
                    index: index,
                    criteria: iteratee(value, index, list)
                };
            }).sort(function (left, right) {
                var a = left.criteria;
                var b = right.criteria;
                if (a !== b) {
                    if (a > b || a === void 0)
                        return 1;
                    if (a < b || b === void 0)
                        return -1;
                }
                return left.index - right.index;
            }), 'value');
        };
        var group = function (behavior) {
            return function (obj, iteratee, context) {
                var result = {};
                iteratee = cb(iteratee, context);
                _.each(obj, function (value, index) {
                    var key = iteratee(value, index, obj);
                    behavior(result, value, key);
                });
                return result;
            };
        };
        _.groupBy = group(function (result, value, key) {
            if (_.has(result, key))
                result[key].push(value);
            else
                result[key] = [value];
        });
        _.indexBy = group(function (result, value, key) {
            result[key] = value;
        });
        _.countBy = group(function (result, value, key) {
            if (_.has(result, key))
                result[key]++;
            else
                result[key] = 1;
        });
        _.toArray = function (obj) {
            if (!obj)
                return [];
            if (_.isArray(obj))
                return slice.call(obj);
            if (isArrayLike(obj))
                return _.map(obj, _.identity);
            return _.values(obj);
        };
        _.size = function (obj) {
            if (obj == null)
                return 0;
            return isArrayLike(obj) ? obj.length : _.keys(obj).length;
        };
        _.partition = function (obj, predicate, context) {
            predicate = cb(predicate, context);
            var pass = [], fail = [];
            _.each(obj, function (value, key, obj) {
                (predicate(value, key, obj) ? pass : fail).push(value);
            });
            return [
                pass,
                fail
            ];
        };
        _.first = _.head = _.take = function (array, n, guard) {
            if (array == null)
                return void 0;
            if (n == null || guard)
                return array[0];
            return _.initial(array, array.length - n);
        };
        _.initial = function (array, n, guard) {
            return slice.call(array, 0, Math.max(0, array.length - (n == null || guard ? 1 : n)));
        };
        _.last = function (array, n, guard) {
            if (array == null)
                return void 0;
            if (n == null || guard)
                return array[array.length - 1];
            return _.rest(array, Math.max(0, array.length - n));
        };
        _.rest = _.tail = _.drop = function (array, n, guard) {
            return slice.call(array, n == null || guard ? 1 : n);
        };
        _.compact = function (array) {
            return _.filter(array, _.identity);
        };
        var flatten = function (input, shallow, strict, startIndex) {
            var output = [], idx = 0;
            for (var i = startIndex || 0, length = getLength(input); i < length; i++) {
                var value = input[i];
                if (isArrayLike(value) && (_.isArray(value) || _.isArguments(value))) {
                    if (!shallow)
                        value = flatten(value, shallow, strict);
                    var j = 0, len = value.length;
                    output.length += len;
                    while (j < len) {
                        output[idx++] = value[j++];
                    }
                } else if (!strict) {
                    output[idx++] = value;
                }
            }
            return output;
        };
        _.flatten = function (array, shallow) {
            return flatten(array, shallow, false);
        };
        _.without = function (array) {
            return _.difference(array, slice.call(arguments, 1));
        };
        _.uniq = _.unique = function (array, isSorted, iteratee, context) {
            if (!_.isBoolean(isSorted)) {
                context = iteratee;
                iteratee = isSorted;
                isSorted = false;
            }
            if (iteratee != null)
                iteratee = cb(iteratee, context);
            var result = [];
            var seen = [];
            for (var i = 0, length = getLength(array); i < length; i++) {
                var value = array[i], computed = iteratee ? iteratee(value, i, array) : value;
                if (isSorted) {
                    if (!i || seen !== computed)
                        result.push(value);
                    seen = computed;
                } else if (iteratee) {
                    if (!_.contains(seen, computed)) {
                        seen.push(computed);
                        result.push(value);
                    }
                } else if (!_.contains(result, value)) {
                    result.push(value);
                }
            }
            return result;
        };
        _.union = function () {
            return _.uniq(flatten(arguments, true, true));
        };
        _.intersection = function (array) {
            var result = [];
            var argsLength = arguments.length;
            for (var i = 0, length = getLength(array); i < length; i++) {
                var item = array[i];
                if (_.contains(result, item))
                    continue;
                for (var j = 1; j < argsLength; j++) {
                    if (!_.contains(arguments[j], item))
                        break;
                }
                if (j === argsLength)
                    result.push(item);
            }
            return result;
        };
        _.difference = function (array) {
            var rest = flatten(arguments, true, true, 1);
            return _.filter(array, function (value) {
                return !_.contains(rest, value);
            });
        };
        _.zip = function () {
            return _.unzip(arguments);
        };
        _.unzip = function (array) {
            var length = array && _.max(array, getLength).length || 0;
            var result = Array(length);
            for (var index = 0; index < length; index++) {
                result[index] = _.pluck(array, index);
            }
            return result;
        };
        _.object = function (list, values) {
            var result = {};
            for (var i = 0, length = getLength(list); i < length; i++) {
                if (values) {
                    result[list[i]] = values[i];
                } else {
                    result[list[i][0]] = list[i][1];
                }
            }
            return result;
        };
        function createPredicateIndexFinder(dir) {
            return function (array, predicate, context) {
                predicate = cb(predicate, context);
                var length = getLength(array);
                var index = dir > 0 ? 0 : length - 1;
                for (; index >= 0 && index < length; index += dir) {
                    if (predicate(array[index], index, array))
                        return index;
                }
                return -1;
            };
        }
        _.findIndex = createPredicateIndexFinder(1);
        _.findLastIndex = createPredicateIndexFinder(-1);
        _.sortedIndex = function (array, obj, iteratee, context) {
            iteratee = cb(iteratee, context, 1);
            var value = iteratee(obj);
            var low = 0, high = getLength(array);
            while (low < high) {
                var mid = Math.floor((low + high) / 2);
                if (iteratee(array[mid]) < value)
                    low = mid + 1;
                else
                    high = mid;
            }
            return low;
        };
        function createIndexFinder(dir, predicateFind, sortedIndex) {
            return function (array, item, idx) {
                var i = 0, length = getLength(array);
                if (typeof idx == 'number') {
                    if (dir > 0) {
                        i = idx >= 0 ? idx : Math.max(idx + length, i);
                    } else {
                        length = idx >= 0 ? Math.min(idx + 1, length) : idx + length + 1;
                    }
                } else if (sortedIndex && idx && length) {
                    idx = sortedIndex(array, item);
                    return array[idx] === item ? idx : -1;
                }
                if (item !== item) {
                    idx = predicateFind(slice.call(array, i, length), _.isNaN);
                    return idx >= 0 ? idx + i : -1;
                }
                for (idx = dir > 0 ? i : length - 1; idx >= 0 && idx < length; idx += dir) {
                    if (array[idx] === item)
                        return idx;
                }
                return -1;
            };
        }
        _.indexOf = createIndexFinder(1, _.findIndex, _.sortedIndex);
        _.lastIndexOf = createIndexFinder(-1, _.findLastIndex);
        _.range = function (start, stop, step) {
            if (stop == null) {
                stop = start || 0;
                start = 0;
            }
            step = step || 1;
            var length = Math.max(Math.ceil((stop - start) / step), 0);
            var range = Array(length);
            for (var idx = 0; idx < length; idx++, start += step) {
                range[idx] = start;
            }
            return range;
        };
        var executeBound = function (sourceFunc, boundFunc, context, callingContext, args) {
            if (!(callingContext instanceof boundFunc))
                return sourceFunc.apply(context, args);
            var self = baseCreate(sourceFunc.prototype);
            var result = sourceFunc.apply(self, args);
            if (_.isObject(result))
                return result;
            return self;
        };
        _.bind = function (func, context) {
            if (nativeBind && func.bind === nativeBind)
                return nativeBind.apply(func, slice.call(arguments, 1));
            if (!_.isFunction(func))
                throw new TypeError('Bind must be called on a function');
            var args = slice.call(arguments, 2);
            var bound = function () {
                return executeBound(func, bound, context, this, args.concat(slice.call(arguments)));
            };
            return bound;
        };
        _.partial = function (func) {
            var boundArgs = slice.call(arguments, 1);
            var bound = function () {
                var position = 0, length = boundArgs.length;
                var args = Array(length);
                for (var i = 0; i < length; i++) {
                    args[i] = boundArgs[i] === _ ? arguments[position++] : boundArgs[i];
                }
                while (position < arguments.length)
                    args.push(arguments[position++]);
                return executeBound(func, bound, this, this, args);
            };
            return bound;
        };
        _.bindAll = function (obj) {
            var i, length = arguments.length, key;
            if (length <= 1)
                throw new Error('bindAll must be passed function names');
            for (i = 1; i < length; i++) {
                key = arguments[i];
                obj[key] = _.bind(obj[key], obj);
            }
            return obj;
        };
        _.memoize = function (func, hasher) {
            var memoize = function (key) {
                var cache = memoize.cache;
                var address = '' + (hasher ? hasher.apply(this, arguments) : key);
                if (!_.has(cache, address))
                    cache[address] = func.apply(this, arguments);
                return cache[address];
            };
            memoize.cache = {};
            return memoize;
        };
        _.delay = function (func, wait) {
            var args = slice.call(arguments, 2);
            return setTimeout(function () {
                return func.apply(null, args);
            }, wait);
        };
        _.defer = _.partial(_.delay, _, 1);
        _.throttle = function (func, wait, options) {
            var context, args, result;
            var timeout = null;
            var previous = 0;
            if (!options)
                options = {};
            var later = function () {
                previous = options.leading === false ? 0 : _.now();
                timeout = null;
                result = func.apply(context, args);
                if (!timeout)
                    context = args = null;
            };
            return function () {
                var now = _.now();
                if (!previous && options.leading === false)
                    previous = now;
                var remaining = wait - (now - previous);
                context = this;
                args = arguments;
                if (remaining <= 0 || remaining > wait) {
                    if (timeout) {
                        clearTimeout(timeout);
                        timeout = null;
                    }
                    previous = now;
                    result = func.apply(context, args);
                    if (!timeout)
                        context = args = null;
                } else if (!timeout && options.trailing !== false) {
                    timeout = setTimeout(later, remaining);
                }
                return result;
            };
        };
        _.debounce = function (func, wait, immediate) {
            var timeout, args, context, timestamp, result;
            var later = function () {
                var last = _.now() - timestamp;
                if (last < wait && last >= 0) {
                    timeout = setTimeout(later, wait - last);
                } else {
                    timeout = null;
                    if (!immediate) {
                        result = func.apply(context, args);
                        if (!timeout)
                            context = args = null;
                    }
                }
            };
            return function () {
                context = this;
                args = arguments;
                timestamp = _.now();
                var callNow = immediate && !timeout;
                if (!timeout)
                    timeout = setTimeout(later, wait);
                if (callNow) {
                    result = func.apply(context, args);
                    context = args = null;
                }
                return result;
            };
        };
        _.wrap = function (func, wrapper) {
            return _.partial(wrapper, func);
        };
        _.negate = function (predicate) {
            return function () {
                return !predicate.apply(this, arguments);
            };
        };
        _.compose = function () {
            var args = arguments;
            var start = args.length - 1;
            return function () {
                var i = start;
                var result = args[start].apply(this, arguments);
                while (i--)
                    result = args[i].call(this, result);
                return result;
            };
        };
        _.after = function (times, func) {
            return function () {
                if (--times < 1) {
                    return func.apply(this, arguments);
                }
            };
        };
        _.before = function (times, func) {
            var memo;
            return function () {
                if (--times > 0) {
                    memo = func.apply(this, arguments);
                }
                if (times <= 1)
                    func = null;
                return memo;
            };
        };
        _.once = _.partial(_.before, 2);
        var hasEnumBug = !{ toString: null }.propertyIsEnumerable('toString');
        var nonEnumerableProps = [
            'valueOf',
            'isPrototypeOf',
            'toString',
            'propertyIsEnumerable',
            'hasOwnProperty',
            'toLocaleString'
        ];
        function collectNonEnumProps(obj, keys) {
            var nonEnumIdx = nonEnumerableProps.length;
            var constructor = obj.constructor;
            var proto = _.isFunction(constructor) && constructor.prototype || ObjProto;
            var prop = 'constructor';
            if (_.has(obj, prop) && !_.contains(keys, prop))
                keys.push(prop);
            while (nonEnumIdx--) {
                prop = nonEnumerableProps[nonEnumIdx];
                if (prop in obj && obj[prop] !== proto[prop] && !_.contains(keys, prop)) {
                    keys.push(prop);
                }
            }
        }
        _.keys = function (obj) {
            if (!_.isObject(obj))
                return [];
            if (nativeKeys)
                return nativeKeys(obj);
            var keys = [];
            for (var key in obj)
                if (_.has(obj, key))
                    keys.push(key);
            if (hasEnumBug)
                collectNonEnumProps(obj, keys);
            return keys;
        };
        _.allKeys = function (obj) {
            if (!_.isObject(obj))
                return [];
            var keys = [];
            for (var key in obj)
                keys.push(key);
            if (hasEnumBug)
                collectNonEnumProps(obj, keys);
            return keys;
        };
        _.values = function (obj) {
            var keys = _.keys(obj);
            var length = keys.length;
            var values = Array(length);
            for (var i = 0; i < length; i++) {
                values[i] = obj[keys[i]];
            }
            return values;
        };
        _.mapObject = function (obj, iteratee, context) {
            iteratee = cb(iteratee, context);
            var keys = _.keys(obj), length = keys.length, results = {}, currentKey;
            for (var index = 0; index < length; index++) {
                currentKey = keys[index];
                results[currentKey] = iteratee(obj[currentKey], currentKey, obj);
            }
            return results;
        };
        _.pairs = function (obj) {
            var keys = _.keys(obj);
            var length = keys.length;
            var pairs = Array(length);
            for (var i = 0; i < length; i++) {
                pairs[i] = [
                    keys[i],
                    obj[keys[i]]
                ];
            }
            return pairs;
        };
        _.invert = function (obj) {
            var result = {};
            var keys = _.keys(obj);
            for (var i = 0, length = keys.length; i < length; i++) {
                result[obj[keys[i]]] = keys[i];
            }
            return result;
        };
        _.functions = _.methods = function (obj) {
            var names = [];
            for (var key in obj) {
                if (_.isFunction(obj[key]))
                    names.push(key);
            }
            return names.sort();
        };
        _.extend = createAssigner(_.allKeys);
        _.extendOwn = _.assign = createAssigner(_.keys);
        _.findKey = function (obj, predicate, context) {
            predicate = cb(predicate, context);
            var keys = _.keys(obj), key;
            for (var i = 0, length = keys.length; i < length; i++) {
                key = keys[i];
                if (predicate(obj[key], key, obj))
                    return key;
            }
        };
        _.pick = function (object, oiteratee, context) {
            var result = {}, obj = object, iteratee, keys;
            if (obj == null)
                return result;
            if (_.isFunction(oiteratee)) {
                keys = _.allKeys(obj);
                iteratee = optimizeCb(oiteratee, context);
            } else {
                keys = flatten(arguments, false, false, 1);
                iteratee = function (value, key, obj) {
                    return key in obj;
                };
                obj = Object(obj);
            }
            for (var i = 0, length = keys.length; i < length; i++) {
                var key = keys[i];
                var value = obj[key];
                if (iteratee(value, key, obj))
                    result[key] = value;
            }
            return result;
        };
        _.omit = function (obj, iteratee, context) {
            if (_.isFunction(iteratee)) {
                iteratee = _.negate(iteratee);
            } else {
                var keys = _.map(flatten(arguments, false, false, 1), String);
                iteratee = function (value, key) {
                    return !_.contains(keys, key);
                };
            }
            return _.pick(obj, iteratee, context);
        };
        _.defaults = createAssigner(_.allKeys, true);
        _.create = function (prototype, props) {
            var result = baseCreate(prototype);
            if (props)
                _.extendOwn(result, props);
            return result;
        };
        _.clone = function (obj) {
            if (!_.isObject(obj))
                return obj;
            return _.isArray(obj) ? obj.slice() : _.extend({}, obj);
        };
        _.tap = function (obj, interceptor) {
            interceptor(obj);
            return obj;
        };
        _.isMatch = function (object, attrs) {
            var keys = _.keys(attrs), length = keys.length;
            if (object == null)
                return !length;
            var obj = Object(object);
            for (var i = 0; i < length; i++) {
                var key = keys[i];
                if (attrs[key] !== obj[key] || !(key in obj))
                    return false;
            }
            return true;
        };
        var eq = function (a, b, aStack, bStack) {
            if (a === b)
                return a !== 0 || 1 / a === 1 / b;
            if (a == null || b == null)
                return a === b;
            if (a instanceof _)
                a = a._wrapped;
            if (b instanceof _)
                b = b._wrapped;
            var className = toString.call(a);
            if (className !== toString.call(b))
                return false;
            switch (className) {
            case '[object RegExp]':
            case '[object String]':
                return '' + a === '' + b;
            case '[object Number]':
                if (+a !== +a)
                    return +b !== +b;
                return +a === 0 ? 1 / +a === 1 / b : +a === +b;
            case '[object Date]':
            case '[object Boolean]':
                return +a === +b;
            }
            var areArrays = className === '[object Array]';
            if (!areArrays) {
                if (typeof a != 'object' || typeof b != 'object')
                    return false;
                var aCtor = a.constructor, bCtor = b.constructor;
                if (aCtor !== bCtor && !(_.isFunction(aCtor) && aCtor instanceof aCtor && _.isFunction(bCtor) && bCtor instanceof bCtor) && ('constructor' in a && 'constructor' in b)) {
                    return false;
                }
            }
            aStack = aStack || [];
            bStack = bStack || [];
            var length = aStack.length;
            while (length--) {
                if (aStack[length] === a)
                    return bStack[length] === b;
            }
            aStack.push(a);
            bStack.push(b);
            if (areArrays) {
                length = a.length;
                if (length !== b.length)
                    return false;
                while (length--) {
                    if (!eq(a[length], b[length], aStack, bStack))
                        return false;
                }
            } else {
                var keys = _.keys(a), key;
                length = keys.length;
                if (_.keys(b).length !== length)
                    return false;
                while (length--) {
                    key = keys[length];
                    if (!(_.has(b, key) && eq(a[key], b[key], aStack, bStack)))
                        return false;
                }
            }
            aStack.pop();
            bStack.pop();
            return true;
        };
        _.isEqual = function (a, b) {
            return eq(a, b);
        };
        _.isEmpty = function (obj) {
            if (obj == null)
                return true;
            if (isArrayLike(obj) && (_.isArray(obj) || _.isString(obj) || _.isArguments(obj)))
                return obj.length === 0;
            return _.keys(obj).length === 0;
        };
        _.isElement = function (obj) {
            return !!(obj && obj.nodeType === 1);
        };
        _.isArray = nativeIsArray || function (obj) {
            return toString.call(obj) === '[object Array]';
        };
        _.isObject = function (obj) {
            var type = typeof obj;
            return type === 'function' || type === 'object' && !!obj;
        };
        _.each([
            'Arguments',
            'Function',
            'String',
            'Number',
            'Date',
            'RegExp',
            'Error'
        ], function (name) {
            _['is' + name] = function (obj) {
                return toString.call(obj) === '[object ' + name + ']';
            };
        });
        if (!_.isArguments(arguments)) {
            _.isArguments = function (obj) {
                return _.has(obj, 'callee');
            };
        }
        if (typeof /./ != 'function' && typeof Int8Array != 'object') {
            _.isFunction = function (obj) {
                return typeof obj == 'function' || false;
            };
        }
        _.isFinite = function (obj) {
            return isFinite(obj) && !isNaN(parseFloat(obj));
        };
        _.isNaN = function (obj) {
            return _.isNumber(obj) && obj !== +obj;
        };
        _.isBoolean = function (obj) {
            return obj === true || obj === false || toString.call(obj) === '[object Boolean]';
        };
        _.isNull = function (obj) {
            return obj === null;
        };
        _.isUndefined = function (obj) {
            return obj === void 0;
        };
        _.has = function (obj, key) {
            return obj != null && hasOwnProperty.call(obj, key);
        };
        _.noConflict = function () {
            root._ = previousUnderscore;
            return this;
        };
        _.identity = function (value) {
            return value;
        };
        _.constant = function (value) {
            return function () {
                return value;
            };
        };
        _.noop = function () {
        };
        _.property = property;
        _.propertyOf = function (obj) {
            return obj == null ? function () {
            } : function (key) {
                return obj[key];
            };
        };
        _.matcher = _.matches = function (attrs) {
            attrs = _.extendOwn({}, attrs);
            return function (obj) {
                return _.isMatch(obj, attrs);
            };
        };
        _.times = function (n, iteratee, context) {
            var accum = Array(Math.max(0, n));
            iteratee = optimizeCb(iteratee, context, 1);
            for (var i = 0; i < n; i++)
                accum[i] = iteratee(i);
            return accum;
        };
        _.random = function (min, max) {
            if (max == null) {
                max = min;
                min = 0;
            }
            return min + Math.floor(Math.random() * (max - min + 1));
        };
        _.now = Date.now || function () {
            return new Date().getTime();
        };
        var escapeMap = {
            '&': '&amp;',
            '<': '&lt;',
            '>': '&gt;',
            '"': '&quot;',
            '\'': '&#x27;',
            '`': '&#x60;'
        };
        var unescapeMap = _.invert(escapeMap);
        var createEscaper = function (map) {
            var escaper = function (match) {
                return map[match];
            };
            var source = '(?:' + _.keys(map).join('|') + ')';
            var testRegexp = RegExp(source);
            var replaceRegexp = RegExp(source, 'g');
            return function (string) {
                string = string == null ? '' : '' + string;
                return testRegexp.test(string) ? string.replace(replaceRegexp, escaper) : string;
            };
        };
        _.escape = createEscaper(escapeMap);
        _.unescape = createEscaper(unescapeMap);
        _.result = function (object, property, fallback) {
            var value = object == null ? void 0 : object[property];
            if (value === void 0) {
                value = fallback;
            }
            return _.isFunction(value) ? value.call(object) : value;
        };
        var idCounter = 0;
        _.uniqueId = function (prefix) {
            var id = ++idCounter + '';
            return prefix ? prefix + id : id;
        };
        _.templateSettings = {
            evaluate: /<%([\s\S]+?)%>/g,
            interpolate: /<%=([\s\S]+?)%>/g,
            escape: /<%-([\s\S]+?)%>/g
        };
        _.templateSettings = {
            evaluate: /{{([\s\S]+?)}}/g,
            interpolate: /{{=([\s\S]+?)}}/g,
            escape: /{{-([\s\S]+?)}}/g
        };
        var noMatch = /(.)^/;
        var escapes = {
            '\'': '\'',
            '\\': '\\',
            '\r': 'r',
            '\n': 'n',
            '\u2028': 'u2028',
            '\u2029': 'u2029'
        };
        var escaper = /\\|'|\r|\n|\u2028|\u2029/g;
        var escapeChar = function (match) {
            return '\\' + escapes[match];
        };
        _.template = function (text, settings, oldSettings) {
            if (!settings && oldSettings)
                settings = oldSettings;
            settings = _.defaults({}, settings, _.templateSettings);
            var matcher = RegExp([
                (settings.escape || noMatch).source,
                (settings.interpolate || noMatch).source,
                (settings.evaluate || noMatch).source
            ].join('|') + '|$', 'g');
            var index = 0;
            var source = '__p+=\'';
            text.replace(matcher, function (match, escape, interpolate, evaluate, offset) {
                source += text.slice(index, offset).replace(escaper, escapeChar);
                index = offset + match.length;
                if (escape) {
                    source += '\'+\n((__t=(' + escape + '))==null?\'\':_.escape(__t))+\n\'';
                } else if (interpolate) {
                    source += '\'+\n((__t=(' + interpolate + '))==null?\'\':__t)+\n\'';
                } else if (evaluate) {
                    source += '\';\n' + evaluate + '\n__p+=\'';
                }
                return match;
            });
            source += '\';\n';
            if (!settings.variable)
                source = 'with(obj||{}){\n' + source + '}\n';
            source = 'var __t,__p=\'\',__j=Array.prototype.join,' + 'print=function(){__p+=__j.call(arguments,\'\');};\n' + source + 'return __p;\n';
            try {
                var render = new Function(settings.variable || 'obj', '_', source);
            } catch (e) {
                e.source = source;
                throw e;
            }
            var template = function (data) {
                return render.call(this, data, _);
            };
            var argument = settings.variable || 'obj';
            template.source = 'function(' + argument + '){\n' + source + '}';
            return template;
        };
        _.chain = function (obj) {
            var instance = _(obj);
            instance._chain = true;
            return instance;
        };
        var result = function (instance, obj) {
            return instance._chain ? _(obj).chain() : obj;
        };
        _.mixin = function (obj) {
            _.each(_.functions(obj), function (name) {
                var func = _[name] = obj[name];
                _.prototype[name] = function () {
                    var args = [this._wrapped];
                    push.apply(args, arguments);
                    return result(this, func.apply(_, args));
                };
            });
        };
        _.mixin(_);
        _.each([
            'pop',
            'push',
            'reverse',
            'shift',
            'sort',
            'splice',
            'unshift'
        ], function (name) {
            var method = ArrayProto[name];
            _.prototype[name] = function () {
                var obj = this._wrapped;
                method.apply(obj, arguments);
                if ((name === 'shift' || name === 'splice') && obj.length === 0)
                    delete obj[0];
                return result(this, obj);
            };
        });
        _.each([
            'concat',
            'join',
            'slice'
        ], function (name) {
            var method = ArrayProto[name];
            _.prototype[name] = function () {
                return result(this, method.apply(this._wrapped, arguments));
            };
        });
        _.prototype.value = function () {
            return this._wrapped;
        };
        _.prototype.valueOf = _.prototype.toJSON = _.prototype.value;
        _.prototype.toString = function () {
            return '' + this._wrapped;
        };
        if (typeof define === 'function' && define.amd) {
            define('underscore', [], function () {
                return _;
            });
        }
    }.call(this));
}.call(this));
!function (a, b) {
    'object' == typeof module && 'object' == typeof module.exports ? module.exports = a.document ? b(a, !0) : function (a) {
        if (!a.document)
            throw new Error('jQuery requires a window with a document');
        return b(a);
    } : b(a);
}('undefined' != typeof window ? window : this, function (a, b) {
    var c = [], d = a.document, e = c.slice, f = c.concat, g = c.push, h = c.indexOf, i = {}, j = i.toString, k = i.hasOwnProperty, l = {}, m = '2.2.3', n = function (a, b) {
            return new n.fn.init(a, b);
        }, o = /^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, p = /^-ms-/, q = /-([\da-z])/gi, r = function (a, b) {
            return b.toUpperCase();
        };
    n.fn = n.prototype = {
        jquery: m,
        constructor: n,
        selector: '',
        length: 0,
        toArray: function () {
            return e.call(this);
        },
        get: function (a) {
            return null != a ? 0 > a ? this[a + this.length] : this[a] : e.call(this);
        },
        pushStack: function (a) {
            var b = n.merge(this.constructor(), a);
            return b.prevObject = this, b.context = this.context, b;
        },
        each: function (a) {
            return n.each(this, a);
        },
        map: function (a) {
            return this.pushStack(n.map(this, function (b, c) {
                return a.call(b, c, b);
            }));
        },
        slice: function () {
            return this.pushStack(e.apply(this, arguments));
        },
        first: function () {
            return this.eq(0);
        },
        last: function () {
            return this.eq(-1);
        },
        eq: function (a) {
            var b = this.length, c = +a + (0 > a ? b : 0);
            return this.pushStack(c >= 0 && b > c ? [this[c]] : []);
        },
        end: function () {
            return this.prevObject || this.constructor();
        },
        push: g,
        sort: c.sort,
        splice: c.splice
    }, n.extend = n.fn.extend = function () {
        var a, b, c, d, e, f, g = arguments[0] || {}, h = 1, i = arguments.length, j = !1;
        for ('boolean' == typeof g && (j = g, g = arguments[h] || {}, h++), 'object' == typeof g || n.isFunction(g) || (g = {}), h === i && (g = this, h--); i > h; h++)
            if (null != (a = arguments[h]))
                for (b in a)
                    c = g[b], d = a[b], g !== d && (j && d && (n.isPlainObject(d) || (e = n.isArray(d))) ? (e ? (e = !1, f = c && n.isArray(c) ? c : []) : f = c && n.isPlainObject(c) ? c : {}, g[b] = n.extend(j, f, d)) : void 0 !== d && (g[b] = d));
        return g;
    }, n.extend({
        expando: 'jQuery' + (m + Math.random()).replace(/\D/g, ''),
        isReady: !0,
        error: function (a) {
            throw new Error(a);
        },
        noop: function () {
        },
        isFunction: function (a) {
            return 'function' === n.type(a);
        },
        isArray: Array.isArray,
        isWindow: function (a) {
            return null != a && a === a.window;
        },
        isNumeric: function (a) {
            var b = a && a.toString();
            return !n.isArray(a) && b - parseFloat(b) + 1 >= 0;
        },
        isPlainObject: function (a) {
            var b;
            if ('object' !== n.type(a) || a.nodeType || n.isWindow(a))
                return !1;
            if (a.constructor && !k.call(a, 'constructor') && !k.call(a.constructor.prototype || {}, 'isPrototypeOf'))
                return !1;
            for (b in a);
            return void 0 === b || k.call(a, b);
        },
        isEmptyObject: function (a) {
            var b;
            for (b in a)
                return !1;
            return !0;
        },
        type: function (a) {
            return null == a ? a + '' : 'object' == typeof a || 'function' == typeof a ? i[j.call(a)] || 'object' : typeof a;
        },
        globalEval: function (a) {
            var b, c = eval;
            a = n.trim(a), a && (1 === a.indexOf('use strict') ? (b = d.createElement('script'), b.text = a, d.head.appendChild(b).parentNode.removeChild(b)) : c(a));
        },
        camelCase: function (a) {
            return a.replace(p, 'ms-').replace(q, r);
        },
        nodeName: function (a, b) {
            return a.nodeName && a.nodeName.toLowerCase() === b.toLowerCase();
        },
        each: function (a, b) {
            var c, d = 0;
            if (s(a)) {
                for (c = a.length; c > d; d++)
                    if (b.call(a[d], d, a[d]) === !1)
                        break;
            } else
                for (d in a)
                    if (b.call(a[d], d, a[d]) === !1)
                        break;
            return a;
        },
        trim: function (a) {
            return null == a ? '' : (a + '').replace(o, '');
        },
        makeArray: function (a, b) {
            var c = b || [];
            return null != a && (s(Object(a)) ? n.merge(c, 'string' == typeof a ? [a] : a) : g.call(c, a)), c;
        },
        inArray: function (a, b, c) {
            return null == b ? -1 : h.call(b, a, c);
        },
        merge: function (a, b) {
            for (var c = +b.length, d = 0, e = a.length; c > d; d++)
                a[e++] = b[d];
            return a.length = e, a;
        },
        grep: function (a, b, c) {
            for (var d, e = [], f = 0, g = a.length, h = !c; g > f; f++)
                d = !b(a[f], f), d !== h && e.push(a[f]);
            return e;
        },
        map: function (a, b, c) {
            var d, e, g = 0, h = [];
            if (s(a))
                for (d = a.length; d > g; g++)
                    e = b(a[g], g, c), null != e && h.push(e);
            else
                for (g in a)
                    e = b(a[g], g, c), null != e && h.push(e);
            return f.apply([], h);
        },
        guid: 1,
        proxy: function (a, b) {
            var c, d, f;
            return 'string' == typeof b && (c = a[b], b = a, a = c), n.isFunction(a) ? (d = e.call(arguments, 2), f = function () {
                return a.apply(b || this, d.concat(e.call(arguments)));
            }, f.guid = a.guid = a.guid || n.guid++, f) : void 0;
        },
        now: Date.now,
        support: l
    }), 'function' == typeof Symbol && (n.fn[Symbol.iterator] = c[Symbol.iterator]), n.each('Boolean Number String Function Array Date RegExp Object Error Symbol'.split(' '), function (a, b) {
        i['[object ' + b + ']'] = b.toLowerCase();
    });
    function s(a) {
        var b = !!a && 'length' in a && a.length, c = n.type(a);
        return 'function' === c || n.isWindow(a) ? !1 : 'array' === c || 0 === b || 'number' == typeof b && b > 0 && b - 1 in a;
    }
    var t = function (a) {
        var b, c, d, e, f, g, h, i, j, k, l, m, n, o, p, q, r, s, t, u = 'sizzle' + 1 * new Date(), v = a.document, w = 0, x = 0, y = ga(), z = ga(), A = ga(), B = function (a, b) {
                return a === b && (l = !0), 0;
            }, C = 1 << 31, D = {}.hasOwnProperty, E = [], F = E.pop, G = E.push, H = E.push, I = E.slice, J = function (a, b) {
                for (var c = 0, d = a.length; d > c; c++)
                    if (a[c] === b)
                        return c;
                return -1;
            }, K = 'checked|selected|async|autofocus|autoplay|controls|defer|disabled|hidden|ismap|loop|multiple|open|readonly|required|scoped', L = '[\\x20\\t\\r\\n\\f]', M = '(?:\\\\.|[\\w-]|[^\\x00-\\xa0])+', N = '\\[' + L + '*(' + M + ')(?:' + L + '*([*^$|!~]?=)' + L + '*(?:\'((?:\\\\.|[^\\\\\'])*)\'|"((?:\\\\.|[^\\\\"])*)"|(' + M + '))|)' + L + '*\\]', O = ':(' + M + ')(?:\\(((\'((?:\\\\.|[^\\\\\'])*)\'|"((?:\\\\.|[^\\\\"])*)")|((?:\\\\.|[^\\\\()[\\]]|' + N + ')*)|.*)\\)|)', P = new RegExp(L + '+', 'g'), Q = new RegExp('^' + L + '+|((?:^|[^\\\\])(?:\\\\.)*)' + L + '+$', 'g'), R = new RegExp('^' + L + '*,' + L + '*'), S = new RegExp('^' + L + '*([>+~]|' + L + ')' + L + '*'), T = new RegExp('=' + L + '*([^\\]\'"]*?)' + L + '*\\]', 'g'), U = new RegExp(O), V = new RegExp('^' + M + '$'), W = {
                ID: new RegExp('^#(' + M + ')'),
                CLASS: new RegExp('^\\.(' + M + ')'),
                TAG: new RegExp('^(' + M + '|[*])'),
                ATTR: new RegExp('^' + N),
                PSEUDO: new RegExp('^' + O),
                CHILD: new RegExp('^:(only|first|last|nth|nth-last)-(child|of-type)(?:\\(' + L + '*(even|odd|(([+-]|)(\\d*)n|)' + L + '*(?:([+-]|)' + L + '*(\\d+)|))' + L + '*\\)|)', 'i'),
                bool: new RegExp('^(?:' + K + ')$', 'i'),
                needsContext: new RegExp('^' + L + '*[>+~]|:(even|odd|eq|gt|lt|nth|first|last)(?:\\(' + L + '*((?:-\\d)?\\d*)' + L + '*\\)|)(?=[^-]|$)', 'i')
            }, X = /^(?:input|select|textarea|button)$/i, Y = /^h\d$/i, Z = /^[^{]+\{\s*\[native \w/, $ = /^(?:#([\w-]+)|(\w+)|\.([\w-]+))$/, _ = /[+~]/, aa = /'|\\/g, ba = new RegExp('\\\\([\\da-f]{1,6}' + L + '?|(' + L + ')|.)', 'ig'), ca = function (a, b, c) {
                var d = '0x' + b - 65536;
                return d !== d || c ? b : 0 > d ? String.fromCharCode(d + 65536) : String.fromCharCode(d >> 10 | 55296, 1023 & d | 56320);
            }, da = function () {
                m();
            };
        try {
            H.apply(E = I.call(v.childNodes), v.childNodes), E[v.childNodes.length].nodeType;
        } catch (ea) {
            H = {
                apply: E.length ? function (a, b) {
                    G.apply(a, I.call(b));
                } : function (a, b) {
                    var c = a.length, d = 0;
                    while (a[c++] = b[d++]);
                    a.length = c - 1;
                }
            };
        }
        function fa(a, b, d, e) {
            var f, h, j, k, l, o, r, s, w = b && b.ownerDocument, x = b ? b.nodeType : 9;
            if (d = d || [], 'string' != typeof a || !a || 1 !== x && 9 !== x && 11 !== x)
                return d;
            if (!e && ((b ? b.ownerDocument || b : v) !== n && m(b), b = b || n, p)) {
                if (11 !== x && (o = $.exec(a)))
                    if (f = o[1]) {
                        if (9 === x) {
                            if (!(j = b.getElementById(f)))
                                return d;
                            if (j.id === f)
                                return d.push(j), d;
                        } else if (w && (j = w.getElementById(f)) && t(b, j) && j.id === f)
                            return d.push(j), d;
                    } else {
                        if (o[2])
                            return H.apply(d, b.getElementsByTagName(a)), d;
                        if ((f = o[3]) && c.getElementsByClassName && b.getElementsByClassName)
                            return H.apply(d, b.getElementsByClassName(f)), d;
                    }
                if (c.qsa && !A[a + ' '] && (!q || !q.test(a))) {
                    if (1 !== x)
                        w = b, s = a;
                    else if ('object' !== b.nodeName.toLowerCase()) {
                        (k = b.getAttribute('id')) ? k = k.replace(aa, '\\$&') : b.setAttribute('id', k = u), r = g(a), h = r.length, l = V.test(k) ? '#' + k : '[id=\'' + k + '\']';
                        while (h--)
                            r[h] = l + ' ' + qa(r[h]);
                        s = r.join(','), w = _.test(a) && oa(b.parentNode) || b;
                    }
                    if (s)
                        try {
                            return H.apply(d, w.querySelectorAll(s)), d;
                        } catch (y) {
                        } finally {
                            k === u && b.removeAttribute('id');
                        }
                }
            }
            return i(a.replace(Q, '$1'), b, d, e);
        }
        function ga() {
            var a = [];
            function b(c, e) {
                return a.push(c + ' ') > d.cacheLength && delete b[a.shift()], b[c + ' '] = e;
            }
            return b;
        }
        function ha(a) {
            return a[u] = !0, a;
        }
        function ia(a) {
            var b = n.createElement('div');
            try {
                return !!a(b);
            } catch (c) {
                return !1;
            } finally {
                b.parentNode && b.parentNode.removeChild(b), b = null;
            }
        }
        function ja(a, b) {
            var c = a.split('|'), e = c.length;
            while (e--)
                d.attrHandle[c[e]] = b;
        }
        function ka(a, b) {
            var c = b && a, d = c && 1 === a.nodeType && 1 === b.nodeType && (~b.sourceIndex || C) - (~a.sourceIndex || C);
            if (d)
                return d;
            if (c)
                while (c = c.nextSibling)
                    if (c === b)
                        return -1;
            return a ? 1 : -1;
        }
        function la(a) {
            return function (b) {
                var c = b.nodeName.toLowerCase();
                return 'input' === c && b.type === a;
            };
        }
        function ma(a) {
            return function (b) {
                var c = b.nodeName.toLowerCase();
                return ('input' === c || 'button' === c) && b.type === a;
            };
        }
        function na(a) {
            return ha(function (b) {
                return b = +b, ha(function (c, d) {
                    var e, f = a([], c.length, b), g = f.length;
                    while (g--)
                        c[e = f[g]] && (c[e] = !(d[e] = c[e]));
                });
            });
        }
        function oa(a) {
            return a && 'undefined' != typeof a.getElementsByTagName && a;
        }
        c = fa.support = {}, f = fa.isXML = function (a) {
            var b = a && (a.ownerDocument || a).documentElement;
            return b ? 'HTML' !== b.nodeName : !1;
        }, m = fa.setDocument = function (a) {
            var b, e, g = a ? a.ownerDocument || a : v;
            return g !== n && 9 === g.nodeType && g.documentElement ? (n = g, o = n.documentElement, p = !f(n), (e = n.defaultView) && e.top !== e && (e.addEventListener ? e.addEventListener('unload', da, !1) : e.attachEvent && e.attachEvent('onunload', da)), c.attributes = ia(function (a) {
                return a.className = 'i', !a.getAttribute('className');
            }), c.getElementsByTagName = ia(function (a) {
                return a.appendChild(n.createComment('')), !a.getElementsByTagName('*').length;
            }), c.getElementsByClassName = Z.test(n.getElementsByClassName), c.getById = ia(function (a) {
                return o.appendChild(a).id = u, !n.getElementsByName || !n.getElementsByName(u).length;
            }), c.getById ? (d.find.ID = function (a, b) {
                if ('undefined' != typeof b.getElementById && p) {
                    var c = b.getElementById(a);
                    return c ? [c] : [];
                }
            }, d.filter.ID = function (a) {
                var b = a.replace(ba, ca);
                return function (a) {
                    return a.getAttribute('id') === b;
                };
            }) : (delete d.find.ID, d.filter.ID = function (a) {
                var b = a.replace(ba, ca);
                return function (a) {
                    var c = 'undefined' != typeof a.getAttributeNode && a.getAttributeNode('id');
                    return c && c.value === b;
                };
            }), d.find.TAG = c.getElementsByTagName ? function (a, b) {
                return 'undefined' != typeof b.getElementsByTagName ? b.getElementsByTagName(a) : c.qsa ? b.querySelectorAll(a) : void 0;
            } : function (a, b) {
                var c, d = [], e = 0, f = b.getElementsByTagName(a);
                if ('*' === a) {
                    while (c = f[e++])
                        1 === c.nodeType && d.push(c);
                    return d;
                }
                return f;
            }, d.find.CLASS = c.getElementsByClassName && function (a, b) {
                return 'undefined' != typeof b.getElementsByClassName && p ? b.getElementsByClassName(a) : void 0;
            }, r = [], q = [], (c.qsa = Z.test(n.querySelectorAll)) && (ia(function (a) {
                o.appendChild(a).innerHTML = '<a id=\'' + u + '\'></a><select id=\'' + u + '-\r\\\' msallowcapture=\'\'><option selected=\'\'></option></select>', a.querySelectorAll('[msallowcapture^=\'\']').length && q.push('[*^$]=' + L + '*(?:\'\'|"")'), a.querySelectorAll('[selected]').length || q.push('\\[' + L + '*(?:value|' + K + ')'), a.querySelectorAll('[id~=' + u + '-]').length || q.push('~='), a.querySelectorAll(':checked').length || q.push(':checked'), a.querySelectorAll('a#' + u + '+*').length || q.push('.#.+[+~]');
            }), ia(function (a) {
                var b = n.createElement('input');
                b.setAttribute('type', 'hidden'), a.appendChild(b).setAttribute('name', 'D'), a.querySelectorAll('[name=d]').length && q.push('name' + L + '*[*^$|!~]?='), a.querySelectorAll(':enabled').length || q.push(':enabled', ':disabled'), a.querySelectorAll('*,:x'), q.push(',.*:');
            })), (c.matchesSelector = Z.test(s = o.matches || o.webkitMatchesSelector || o.mozMatchesSelector || o.oMatchesSelector || o.msMatchesSelector)) && ia(function (a) {
                c.disconnectedMatch = s.call(a, 'div'), s.call(a, '[s!=\'\']:x'), r.push('!=', O);
            }), q = q.length && new RegExp(q.join('|')), r = r.length && new RegExp(r.join('|')), b = Z.test(o.compareDocumentPosition), t = b || Z.test(o.contains) ? function (a, b) {
                var c = 9 === a.nodeType ? a.documentElement : a, d = b && b.parentNode;
                return a === d || !(!d || 1 !== d.nodeType || !(c.contains ? c.contains(d) : a.compareDocumentPosition && 16 & a.compareDocumentPosition(d)));
            } : function (a, b) {
                if (b)
                    while (b = b.parentNode)
                        if (b === a)
                            return !0;
                return !1;
            }, B = b ? function (a, b) {
                if (a === b)
                    return l = !0, 0;
                var d = !a.compareDocumentPosition - !b.compareDocumentPosition;
                return d ? d : (d = (a.ownerDocument || a) === (b.ownerDocument || b) ? a.compareDocumentPosition(b) : 1, 1 & d || !c.sortDetached && b.compareDocumentPosition(a) === d ? a === n || a.ownerDocument === v && t(v, a) ? -1 : b === n || b.ownerDocument === v && t(v, b) ? 1 : k ? J(k, a) - J(k, b) : 0 : 4 & d ? -1 : 1);
            } : function (a, b) {
                if (a === b)
                    return l = !0, 0;
                var c, d = 0, e = a.parentNode, f = b.parentNode, g = [a], h = [b];
                if (!e || !f)
                    return a === n ? -1 : b === n ? 1 : e ? -1 : f ? 1 : k ? J(k, a) - J(k, b) : 0;
                if (e === f)
                    return ka(a, b);
                c = a;
                while (c = c.parentNode)
                    g.unshift(c);
                c = b;
                while (c = c.parentNode)
                    h.unshift(c);
                while (g[d] === h[d])
                    d++;
                return d ? ka(g[d], h[d]) : g[d] === v ? -1 : h[d] === v ? 1 : 0;
            }, n) : n;
        }, fa.matches = function (a, b) {
            return fa(a, null, null, b);
        }, fa.matchesSelector = function (a, b) {
            if ((a.ownerDocument || a) !== n && m(a), b = b.replace(T, '=\'$1\']'), c.matchesSelector && p && !A[b + ' '] && (!r || !r.test(b)) && (!q || !q.test(b)))
                try {
                    var d = s.call(a, b);
                    if (d || c.disconnectedMatch || a.document && 11 !== a.document.nodeType)
                        return d;
                } catch (e) {
                }
            return fa(b, n, null, [a]).length > 0;
        }, fa.contains = function (a, b) {
            return (a.ownerDocument || a) !== n && m(a), t(a, b);
        }, fa.attr = function (a, b) {
            (a.ownerDocument || a) !== n && m(a);
            var e = d.attrHandle[b.toLowerCase()], f = e && D.call(d.attrHandle, b.toLowerCase()) ? e(a, b, !p) : void 0;
            return void 0 !== f ? f : c.attributes || !p ? a.getAttribute(b) : (f = a.getAttributeNode(b)) && f.specified ? f.value : null;
        }, fa.error = function (a) {
            throw new Error('Syntax error, unrecognized expression: ' + a);
        }, fa.uniqueSort = function (a) {
            var b, d = [], e = 0, f = 0;
            if (l = !c.detectDuplicates, k = !c.sortStable && a.slice(0), a.sort(B), l) {
                while (b = a[f++])
                    b === a[f] && (e = d.push(f));
                while (e--)
                    a.splice(d[e], 1);
            }
            return k = null, a;
        }, e = fa.getText = function (a) {
            var b, c = '', d = 0, f = a.nodeType;
            if (f) {
                if (1 === f || 9 === f || 11 === f) {
                    if ('string' == typeof a.textContent)
                        return a.textContent;
                    for (a = a.firstChild; a; a = a.nextSibling)
                        c += e(a);
                } else if (3 === f || 4 === f)
                    return a.nodeValue;
            } else
                while (b = a[d++])
                    c += e(b);
            return c;
        }, d = fa.selectors = {
            cacheLength: 50,
            createPseudo: ha,
            match: W,
            attrHandle: {},
            find: {},
            relative: {
                '>': {
                    dir: 'parentNode',
                    first: !0
                },
                ' ': { dir: 'parentNode' },
                '+': {
                    dir: 'previousSibling',
                    first: !0
                },
                '~': { dir: 'previousSibling' }
            },
            preFilter: {
                ATTR: function (a) {
                    return a[1] = a[1].replace(ba, ca), a[3] = (a[3] || a[4] || a[5] || '').replace(ba, ca), '~=' === a[2] && (a[3] = ' ' + a[3] + ' '), a.slice(0, 4);
                },
                CHILD: function (a) {
                    return a[1] = a[1].toLowerCase(), 'nth' === a[1].slice(0, 3) ? (a[3] || fa.error(a[0]), a[4] = +(a[4] ? a[5] + (a[6] || 1) : 2 * ('even' === a[3] || 'odd' === a[3])), a[5] = +(a[7] + a[8] || 'odd' === a[3])) : a[3] && fa.error(a[0]), a;
                },
                PSEUDO: function (a) {
                    var b, c = !a[6] && a[2];
                    return W.CHILD.test(a[0]) ? null : (a[3] ? a[2] = a[4] || a[5] || '' : c && U.test(c) && (b = g(c, !0)) && (b = c.indexOf(')', c.length - b) - c.length) && (a[0] = a[0].slice(0, b), a[2] = c.slice(0, b)), a.slice(0, 3));
                }
            },
            filter: {
                TAG: function (a) {
                    var b = a.replace(ba, ca).toLowerCase();
                    return '*' === a ? function () {
                        return !0;
                    } : function (a) {
                        return a.nodeName && a.nodeName.toLowerCase() === b;
                    };
                },
                CLASS: function (a) {
                    var b = y[a + ' '];
                    return b || (b = new RegExp('(^|' + L + ')' + a + '(' + L + '|$)')) && y(a, function (a) {
                        return b.test('string' == typeof a.className && a.className || 'undefined' != typeof a.getAttribute && a.getAttribute('class') || '');
                    });
                },
                ATTR: function (a, b, c) {
                    return function (d) {
                        var e = fa.attr(d, a);
                        return null == e ? '!=' === b : b ? (e += '', '=' === b ? e === c : '!=' === b ? e !== c : '^=' === b ? c && 0 === e.indexOf(c) : '*=' === b ? c && e.indexOf(c) > -1 : '$=' === b ? c && e.slice(-c.length) === c : '~=' === b ? (' ' + e.replace(P, ' ') + ' ').indexOf(c) > -1 : '|=' === b ? e === c || e.slice(0, c.length + 1) === c + '-' : !1) : !0;
                    };
                },
                CHILD: function (a, b, c, d, e) {
                    var f = 'nth' !== a.slice(0, 3), g = 'last' !== a.slice(-4), h = 'of-type' === b;
                    return 1 === d && 0 === e ? function (a) {
                        return !!a.parentNode;
                    } : function (b, c, i) {
                        var j, k, l, m, n, o, p = f !== g ? 'nextSibling' : 'previousSibling', q = b.parentNode, r = h && b.nodeName.toLowerCase(), s = !i && !h, t = !1;
                        if (q) {
                            if (f) {
                                while (p) {
                                    m = b;
                                    while (m = m[p])
                                        if (h ? m.nodeName.toLowerCase() === r : 1 === m.nodeType)
                                            return !1;
                                    o = p = 'only' === a && !o && 'nextSibling';
                                }
                                return !0;
                            }
                            if (o = [g ? q.firstChild : q.lastChild], g && s) {
                                m = q, l = m[u] || (m[u] = {}), k = l[m.uniqueID] || (l[m.uniqueID] = {}), j = k[a] || [], n = j[0] === w && j[1], t = n && j[2], m = n && q.childNodes[n];
                                while (m = ++n && m && m[p] || (t = n = 0) || o.pop())
                                    if (1 === m.nodeType && ++t && m === b) {
                                        k[a] = [
                                            w,
                                            n,
                                            t
                                        ];
                                        break;
                                    }
                            } else if (s && (m = b, l = m[u] || (m[u] = {}), k = l[m.uniqueID] || (l[m.uniqueID] = {}), j = k[a] || [], n = j[0] === w && j[1], t = n), t === !1)
                                while (m = ++n && m && m[p] || (t = n = 0) || o.pop())
                                    if ((h ? m.nodeName.toLowerCase() === r : 1 === m.nodeType) && ++t && (s && (l = m[u] || (m[u] = {}), k = l[m.uniqueID] || (l[m.uniqueID] = {}), k[a] = [
                                            w,
                                            t
                                        ]), m === b))
                                        break;
                            return t -= e, t === d || t % d === 0 && t / d >= 0;
                        }
                    };
                },
                PSEUDO: function (a, b) {
                    var c, e = d.pseudos[a] || d.setFilters[a.toLowerCase()] || fa.error('unsupported pseudo: ' + a);
                    return e[u] ? e(b) : e.length > 1 ? (c = [
                        a,
                        a,
                        '',
                        b
                    ], d.setFilters.hasOwnProperty(a.toLowerCase()) ? ha(function (a, c) {
                        var d, f = e(a, b), g = f.length;
                        while (g--)
                            d = J(a, f[g]), a[d] = !(c[d] = f[g]);
                    }) : function (a) {
                        return e(a, 0, c);
                    }) : e;
                }
            },
            pseudos: {
                not: ha(function (a) {
                    var b = [], c = [], d = h(a.replace(Q, '$1'));
                    return d[u] ? ha(function (a, b, c, e) {
                        var f, g = d(a, null, e, []), h = a.length;
                        while (h--)
                            (f = g[h]) && (a[h] = !(b[h] = f));
                    }) : function (a, e, f) {
                        return b[0] = a, d(b, null, f, c), b[0] = null, !c.pop();
                    };
                }),
                has: ha(function (a) {
                    return function (b) {
                        return fa(a, b).length > 0;
                    };
                }),
                contains: ha(function (a) {
                    return a = a.replace(ba, ca), function (b) {
                        return (b.textContent || b.innerText || e(b)).indexOf(a) > -1;
                    };
                }),
                lang: ha(function (a) {
                    return V.test(a || '') || fa.error('unsupported lang: ' + a), a = a.replace(ba, ca).toLowerCase(), function (b) {
                        var c;
                        do
                            if (c = p ? b.lang : b.getAttribute('xml:lang') || b.getAttribute('lang'))
                                return c = c.toLowerCase(), c === a || 0 === c.indexOf(a + '-');
                        while ((b = b.parentNode) && 1 === b.nodeType);
                        return !1;
                    };
                }),
                target: function (b) {
                    var c = a.location && a.location.hash;
                    return c && c.slice(1) === b.id;
                },
                root: function (a) {
                    return a === o;
                },
                focus: function (a) {
                    return a === n.activeElement && (!n.hasFocus || n.hasFocus()) && !!(a.type || a.href || ~a.tabIndex);
                },
                enabled: function (a) {
                    return a.disabled === !1;
                },
                disabled: function (a) {
                    return a.disabled === !0;
                },
                checked: function (a) {
                    var b = a.nodeName.toLowerCase();
                    return 'input' === b && !!a.checked || 'option' === b && !!a.selected;
                },
                selected: function (a) {
                    return a.parentNode && a.parentNode.selectedIndex, a.selected === !0;
                },
                empty: function (a) {
                    for (a = a.firstChild; a; a = a.nextSibling)
                        if (a.nodeType < 6)
                            return !1;
                    return !0;
                },
                parent: function (a) {
                    return !d.pseudos.empty(a);
                },
                header: function (a) {
                    return Y.test(a.nodeName);
                },
                input: function (a) {
                    return X.test(a.nodeName);
                },
                button: function (a) {
                    var b = a.nodeName.toLowerCase();
                    return 'input' === b && 'button' === a.type || 'button' === b;
                },
                text: function (a) {
                    var b;
                    return 'input' === a.nodeName.toLowerCase() && 'text' === a.type && (null == (b = a.getAttribute('type')) || 'text' === b.toLowerCase());
                },
                first: na(function () {
                    return [0];
                }),
                last: na(function (a, b) {
                    return [b - 1];
                }),
                eq: na(function (a, b, c) {
                    return [0 > c ? c + b : c];
                }),
                even: na(function (a, b) {
                    for (var c = 0; b > c; c += 2)
                        a.push(c);
                    return a;
                }),
                odd: na(function (a, b) {
                    for (var c = 1; b > c; c += 2)
                        a.push(c);
                    return a;
                }),
                lt: na(function (a, b, c) {
                    for (var d = 0 > c ? c + b : c; --d >= 0;)
                        a.push(d);
                    return a;
                }),
                gt: na(function (a, b, c) {
                    for (var d = 0 > c ? c + b : c; ++d < b;)
                        a.push(d);
                    return a;
                })
            }
        }, d.pseudos.nth = d.pseudos.eq;
        for (b in {
                radio: !0,
                checkbox: !0,
                file: !0,
                password: !0,
                image: !0
            })
            d.pseudos[b] = la(b);
        for (b in {
                submit: !0,
                reset: !0
            })
            d.pseudos[b] = ma(b);
        function pa() {
        }
        pa.prototype = d.filters = d.pseudos, d.setFilters = new pa(), g = fa.tokenize = function (a, b) {
            var c, e, f, g, h, i, j, k = z[a + ' '];
            if (k)
                return b ? 0 : k.slice(0);
            h = a, i = [], j = d.preFilter;
            while (h) {
                c && !(e = R.exec(h)) || (e && (h = h.slice(e[0].length) || h), i.push(f = [])), c = !1, (e = S.exec(h)) && (c = e.shift(), f.push({
                    value: c,
                    type: e[0].replace(Q, ' ')
                }), h = h.slice(c.length));
                for (g in d.filter)
                    !(e = W[g].exec(h)) || j[g] && !(e = j[g](e)) || (c = e.shift(), f.push({
                        value: c,
                        type: g,
                        matches: e
                    }), h = h.slice(c.length));
                if (!c)
                    break;
            }
            return b ? h.length : h ? fa.error(a) : z(a, i).slice(0);
        };
        function qa(a) {
            for (var b = 0, c = a.length, d = ''; c > b; b++)
                d += a[b].value;
            return d;
        }
        function ra(a, b, c) {
            var d = b.dir, e = c && 'parentNode' === d, f = x++;
            return b.first ? function (b, c, f) {
                while (b = b[d])
                    if (1 === b.nodeType || e)
                        return a(b, c, f);
            } : function (b, c, g) {
                var h, i, j, k = [
                        w,
                        f
                    ];
                if (g) {
                    while (b = b[d])
                        if ((1 === b.nodeType || e) && a(b, c, g))
                            return !0;
                } else
                    while (b = b[d])
                        if (1 === b.nodeType || e) {
                            if (j = b[u] || (b[u] = {}), i = j[b.uniqueID] || (j[b.uniqueID] = {}), (h = i[d]) && h[0] === w && h[1] === f)
                                return k[2] = h[2];
                            if (i[d] = k, k[2] = a(b, c, g))
                                return !0;
                        }
            };
        }
        function sa(a) {
            return a.length > 1 ? function (b, c, d) {
                var e = a.length;
                while (e--)
                    if (!a[e](b, c, d))
                        return !1;
                return !0;
            } : a[0];
        }
        function ta(a, b, c) {
            for (var d = 0, e = b.length; e > d; d++)
                fa(a, b[d], c);
            return c;
        }
        function ua(a, b, c, d, e) {
            for (var f, g = [], h = 0, i = a.length, j = null != b; i > h; h++)
                (f = a[h]) && (c && !c(f, d, e) || (g.push(f), j && b.push(h)));
            return g;
        }
        function va(a, b, c, d, e, f) {
            return d && !d[u] && (d = va(d)), e && !e[u] && (e = va(e, f)), ha(function (f, g, h, i) {
                var j, k, l, m = [], n = [], o = g.length, p = f || ta(b || '*', h.nodeType ? [h] : h, []), q = !a || !f && b ? p : ua(p, m, a, h, i), r = c ? e || (f ? a : o || d) ? [] : g : q;
                if (c && c(q, r, h, i), d) {
                    j = ua(r, n), d(j, [], h, i), k = j.length;
                    while (k--)
                        (l = j[k]) && (r[n[k]] = !(q[n[k]] = l));
                }
                if (f) {
                    if (e || a) {
                        if (e) {
                            j = [], k = r.length;
                            while (k--)
                                (l = r[k]) && j.push(q[k] = l);
                            e(null, r = [], j, i);
                        }
                        k = r.length;
                        while (k--)
                            (l = r[k]) && (j = e ? J(f, l) : m[k]) > -1 && (f[j] = !(g[j] = l));
                    }
                } else
                    r = ua(r === g ? r.splice(o, r.length) : r), e ? e(null, g, r, i) : H.apply(g, r);
            });
        }
        function wa(a) {
            for (var b, c, e, f = a.length, g = d.relative[a[0].type], h = g || d.relative[' '], i = g ? 1 : 0, k = ra(function (a) {
                        return a === b;
                    }, h, !0), l = ra(function (a) {
                        return J(b, a) > -1;
                    }, h, !0), m = [function (a, c, d) {
                            var e = !g && (d || c !== j) || ((b = c).nodeType ? k(a, c, d) : l(a, c, d));
                            return b = null, e;
                        }]; f > i; i++)
                if (c = d.relative[a[i].type])
                    m = [ra(sa(m), c)];
                else {
                    if (c = d.filter[a[i].type].apply(null, a[i].matches), c[u]) {
                        for (e = ++i; f > e; e++)
                            if (d.relative[a[e].type])
                                break;
                        return va(i > 1 && sa(m), i > 1 && qa(a.slice(0, i - 1).concat({ value: ' ' === a[i - 2].type ? '*' : '' })).replace(Q, '$1'), c, e > i && wa(a.slice(i, e)), f > e && wa(a = a.slice(e)), f > e && qa(a));
                    }
                    m.push(c);
                }
            return sa(m);
        }
        function xa(a, b) {
            var c = b.length > 0, e = a.length > 0, f = function (f, g, h, i, k) {
                    var l, o, q, r = 0, s = '0', t = f && [], u = [], v = j, x = f || e && d.find.TAG('*', k), y = w += null == v ? 1 : Math.random() || 0.1, z = x.length;
                    for (k && (j = g === n || g || k); s !== z && null != (l = x[s]); s++) {
                        if (e && l) {
                            o = 0, g || l.ownerDocument === n || (m(l), h = !p);
                            while (q = a[o++])
                                if (q(l, g || n, h)) {
                                    i.push(l);
                                    break;
                                }
                            k && (w = y);
                        }
                        c && ((l = !q && l) && r--, f && t.push(l));
                    }
                    if (r += s, c && s !== r) {
                        o = 0;
                        while (q = b[o++])
                            q(t, u, g, h);
                        if (f) {
                            if (r > 0)
                                while (s--)
                                    t[s] || u[s] || (u[s] = F.call(i));
                            u = ua(u);
                        }
                        H.apply(i, u), k && !f && u.length > 0 && r + b.length > 1 && fa.uniqueSort(i);
                    }
                    return k && (w = y, j = v), t;
                };
            return c ? ha(f) : f;
        }
        return h = fa.compile = function (a, b) {
            var c, d = [], e = [], f = A[a + ' '];
            if (!f) {
                b || (b = g(a)), c = b.length;
                while (c--)
                    f = wa(b[c]), f[u] ? d.push(f) : e.push(f);
                f = A(a, xa(e, d)), f.selector = a;
            }
            return f;
        }, i = fa.select = function (a, b, e, f) {
            var i, j, k, l, m, n = 'function' == typeof a && a, o = !f && g(a = n.selector || a);
            if (e = e || [], 1 === o.length) {
                if (j = o[0] = o[0].slice(0), j.length > 2 && 'ID' === (k = j[0]).type && c.getById && 9 === b.nodeType && p && d.relative[j[1].type]) {
                    if (b = (d.find.ID(k.matches[0].replace(ba, ca), b) || [])[0], !b)
                        return e;
                    n && (b = b.parentNode), a = a.slice(j.shift().value.length);
                }
                i = W.needsContext.test(a) ? 0 : j.length;
                while (i--) {
                    if (k = j[i], d.relative[l = k.type])
                        break;
                    if ((m = d.find[l]) && (f = m(k.matches[0].replace(ba, ca), _.test(j[0].type) && oa(b.parentNode) || b))) {
                        if (j.splice(i, 1), a = f.length && qa(j), !a)
                            return H.apply(e, f), e;
                        break;
                    }
                }
            }
            return (n || h(a, o))(f, b, !p, e, !b || _.test(a) && oa(b.parentNode) || b), e;
        }, c.sortStable = u.split('').sort(B).join('') === u, c.detectDuplicates = !!l, m(), c.sortDetached = ia(function (a) {
            return 1 & a.compareDocumentPosition(n.createElement('div'));
        }), ia(function (a) {
            return a.innerHTML = '<a href=\'#\'></a>', '#' === a.firstChild.getAttribute('href');
        }) || ja('type|href|height|width', function (a, b, c) {
            return c ? void 0 : a.getAttribute(b, 'type' === b.toLowerCase() ? 1 : 2);
        }), c.attributes && ia(function (a) {
            return a.innerHTML = '<input/>', a.firstChild.setAttribute('value', ''), '' === a.firstChild.getAttribute('value');
        }) || ja('value', function (a, b, c) {
            return c || 'input' !== a.nodeName.toLowerCase() ? void 0 : a.defaultValue;
        }), ia(function (a) {
            return null == a.getAttribute('disabled');
        }) || ja(K, function (a, b, c) {
            var d;
            return c ? void 0 : a[b] === !0 ? b.toLowerCase() : (d = a.getAttributeNode(b)) && d.specified ? d.value : null;
        }), fa;
    }(a);
    n.find = t, n.expr = t.selectors, n.expr[':'] = n.expr.pseudos, n.uniqueSort = n.unique = t.uniqueSort, n.text = t.getText, n.isXMLDoc = t.isXML, n.contains = t.contains;
    var u = function (a, b, c) {
            var d = [], e = void 0 !== c;
            while ((a = a[b]) && 9 !== a.nodeType)
                if (1 === a.nodeType) {
                    if (e && n(a).is(c))
                        break;
                    d.push(a);
                }
            return d;
        }, v = function (a, b) {
            for (var c = []; a; a = a.nextSibling)
                1 === a.nodeType && a !== b && c.push(a);
            return c;
        }, w = n.expr.match.needsContext, x = /^<([\w-]+)\s*\/?>(?:<\/\1>|)$/, y = /^.[^:#\[\.,]*$/;
    function z(a, b, c) {
        if (n.isFunction(b))
            return n.grep(a, function (a, d) {
                return !!b.call(a, d, a) !== c;
            });
        if (b.nodeType)
            return n.grep(a, function (a) {
                return a === b !== c;
            });
        if ('string' == typeof b) {
            if (y.test(b))
                return n.filter(b, a, c);
            b = n.filter(b, a);
        }
        return n.grep(a, function (a) {
            return h.call(b, a) > -1 !== c;
        });
    }
    n.filter = function (a, b, c) {
        var d = b[0];
        return c && (a = ':not(' + a + ')'), 1 === b.length && 1 === d.nodeType ? n.find.matchesSelector(d, a) ? [d] : [] : n.find.matches(a, n.grep(b, function (a) {
            return 1 === a.nodeType;
        }));
    }, n.fn.extend({
        find: function (a) {
            var b, c = this.length, d = [], e = this;
            if ('string' != typeof a)
                return this.pushStack(n(a).filter(function () {
                    for (b = 0; c > b; b++)
                        if (n.contains(e[b], this))
                            return !0;
                }));
            for (b = 0; c > b; b++)
                n.find(a, e[b], d);
            return d = this.pushStack(c > 1 ? n.unique(d) : d), d.selector = this.selector ? this.selector + ' ' + a : a, d;
        },
        filter: function (a) {
            return this.pushStack(z(this, a || [], !1));
        },
        not: function (a) {
            return this.pushStack(z(this, a || [], !0));
        },
        is: function (a) {
            return !!z(this, 'string' == typeof a && w.test(a) ? n(a) : a || [], !1).length;
        }
    });
    var A, B = /^(?:\s*(<[\w\W]+>)[^>]*|#([\w-]*))$/, C = n.fn.init = function (a, b, c) {
            var e, f;
            if (!a)
                return this;
            if (c = c || A, 'string' == typeof a) {
                if (e = '<' === a[0] && '>' === a[a.length - 1] && a.length >= 3 ? [
                        null,
                        a,
                        null
                    ] : B.exec(a), !e || !e[1] && b)
                    return !b || b.jquery ? (b || c).find(a) : this.constructor(b).find(a);
                if (e[1]) {
                    if (b = b instanceof n ? b[0] : b, n.merge(this, n.parseHTML(e[1], b && b.nodeType ? b.ownerDocument || b : d, !0)), x.test(e[1]) && n.isPlainObject(b))
                        for (e in b)
                            n.isFunction(this[e]) ? this[e](b[e]) : this.attr(e, b[e]);
                    return this;
                }
                return f = d.getElementById(e[2]), f && f.parentNode && (this.length = 1, this[0] = f), this.context = d, this.selector = a, this;
            }
            return a.nodeType ? (this.context = this[0] = a, this.length = 1, this) : n.isFunction(a) ? void 0 !== c.ready ? c.ready(a) : a(n) : (void 0 !== a.selector && (this.selector = a.selector, this.context = a.context), n.makeArray(a, this));
        };
    C.prototype = n.fn, A = n(d);
    var D = /^(?:parents|prev(?:Until|All))/, E = {
            children: !0,
            contents: !0,
            next: !0,
            prev: !0
        };
    n.fn.extend({
        has: function (a) {
            var b = n(a, this), c = b.length;
            return this.filter(function () {
                for (var a = 0; c > a; a++)
                    if (n.contains(this, b[a]))
                        return !0;
            });
        },
        closest: function (a, b) {
            for (var c, d = 0, e = this.length, f = [], g = w.test(a) || 'string' != typeof a ? n(a, b || this.context) : 0; e > d; d++)
                for (c = this[d]; c && c !== b; c = c.parentNode)
                    if (c.nodeType < 11 && (g ? g.index(c) > -1 : 1 === c.nodeType && n.find.matchesSelector(c, a))) {
                        f.push(c);
                        break;
                    }
            return this.pushStack(f.length > 1 ? n.uniqueSort(f) : f);
        },
        index: function (a) {
            return a ? 'string' == typeof a ? h.call(n(a), this[0]) : h.call(this, a.jquery ? a[0] : a) : this[0] && this[0].parentNode ? this.first().prevAll().length : -1;
        },
        add: function (a, b) {
            return this.pushStack(n.uniqueSort(n.merge(this.get(), n(a, b))));
        },
        addBack: function (a) {
            return this.add(null == a ? this.prevObject : this.prevObject.filter(a));
        }
    });
    function F(a, b) {
        while ((a = a[b]) && 1 !== a.nodeType);
        return a;
    }
    n.each({
        parent: function (a) {
            var b = a.parentNode;
            return b && 11 !== b.nodeType ? b : null;
        },
        parents: function (a) {
            return u(a, 'parentNode');
        },
        parentsUntil: function (a, b, c) {
            return u(a, 'parentNode', c);
        },
        next: function (a) {
            return F(a, 'nextSibling');
        },
        prev: function (a) {
            return F(a, 'previousSibling');
        },
        nextAll: function (a) {
            return u(a, 'nextSibling');
        },
        prevAll: function (a) {
            return u(a, 'previousSibling');
        },
        nextUntil: function (a, b, c) {
            return u(a, 'nextSibling', c);
        },
        prevUntil: function (a, b, c) {
            return u(a, 'previousSibling', c);
        },
        siblings: function (a) {
            return v((a.parentNode || {}).firstChild, a);
        },
        children: function (a) {
            return v(a.firstChild);
        },
        contents: function (a) {
            return a.contentDocument || n.merge([], a.childNodes);
        }
    }, function (a, b) {
        n.fn[a] = function (c, d) {
            var e = n.map(this, b, c);
            return 'Until' !== a.slice(-5) && (d = c), d && 'string' == typeof d && (e = n.filter(d, e)), this.length > 1 && (E[a] || n.uniqueSort(e), D.test(a) && e.reverse()), this.pushStack(e);
        };
    });
    var G = /\S+/g;
    function H(a) {
        var b = {};
        return n.each(a.match(G) || [], function (a, c) {
            b[c] = !0;
        }), b;
    }
    n.Callbacks = function (a) {
        a = 'string' == typeof a ? H(a) : n.extend({}, a);
        var b, c, d, e, f = [], g = [], h = -1, i = function () {
                for (e = a.once, d = b = !0; g.length; h = -1) {
                    c = g.shift();
                    while (++h < f.length)
                        f[h].apply(c[0], c[1]) === !1 && a.stopOnFalse && (h = f.length, c = !1);
                }
                a.memory || (c = !1), b = !1, e && (f = c ? [] : '');
            }, j = {
                add: function () {
                    return f && (c && !b && (h = f.length - 1, g.push(c)), function d(b) {
                        n.each(b, function (b, c) {
                            n.isFunction(c) ? a.unique && j.has(c) || f.push(c) : c && c.length && 'string' !== n.type(c) && d(c);
                        });
                    }(arguments), c && !b && i()), this;
                },
                remove: function () {
                    return n.each(arguments, function (a, b) {
                        var c;
                        while ((c = n.inArray(b, f, c)) > -1)
                            f.splice(c, 1), h >= c && h--;
                    }), this;
                },
                has: function (a) {
                    return a ? n.inArray(a, f) > -1 : f.length > 0;
                },
                empty: function () {
                    return f && (f = []), this;
                },
                disable: function () {
                    return e = g = [], f = c = '', this;
                },
                disabled: function () {
                    return !f;
                },
                lock: function () {
                    return e = g = [], c || (f = c = ''), this;
                },
                locked: function () {
                    return !!e;
                },
                fireWith: function (a, c) {
                    return e || (c = c || [], c = [
                        a,
                        c.slice ? c.slice() : c
                    ], g.push(c), b || i()), this;
                },
                fire: function () {
                    return j.fireWith(this, arguments), this;
                },
                fired: function () {
                    return !!d;
                }
            };
        return j;
    }, n.extend({
        Deferred: function (a) {
            var b = [
                    [
                        'resolve',
                        'done',
                        n.Callbacks('once memory'),
                        'resolved'
                    ],
                    [
                        'reject',
                        'fail',
                        n.Callbacks('once memory'),
                        'rejected'
                    ],
                    [
                        'notify',
                        'progress',
                        n.Callbacks('memory')
                    ]
                ], c = 'pending', d = {
                    state: function () {
                        return c;
                    },
                    always: function () {
                        return e.done(arguments).fail(arguments), this;
                    },
                    then: function () {
                        var a = arguments;
                        return n.Deferred(function (c) {
                            n.each(b, function (b, f) {
                                var g = n.isFunction(a[b]) && a[b];
                                e[f[1]](function () {
                                    var a = g && g.apply(this, arguments);
                                    a && n.isFunction(a.promise) ? a.promise().progress(c.notify).done(c.resolve).fail(c.reject) : c[f[0] + 'With'](this === d ? c.promise() : this, g ? [a] : arguments);
                                });
                            }), a = null;
                        }).promise();
                    },
                    promise: function (a) {
                        return null != a ? n.extend(a, d) : d;
                    }
                }, e = {};
            return d.pipe = d.then, n.each(b, function (a, f) {
                var g = f[2], h = f[3];
                d[f[1]] = g.add, h && g.add(function () {
                    c = h;
                }, b[1 ^ a][2].disable, b[2][2].lock), e[f[0]] = function () {
                    return e[f[0] + 'With'](this === e ? d : this, arguments), this;
                }, e[f[0] + 'With'] = g.fireWith;
            }), d.promise(e), a && a.call(e, e), e;
        },
        when: function (a) {
            var b = 0, c = e.call(arguments), d = c.length, f = 1 !== d || a && n.isFunction(a.promise) ? d : 0, g = 1 === f ? a : n.Deferred(), h = function (a, b, c) {
                    return function (d) {
                        b[a] = this, c[a] = arguments.length > 1 ? e.call(arguments) : d, c === i ? g.notifyWith(b, c) : --f || g.resolveWith(b, c);
                    };
                }, i, j, k;
            if (d > 1)
                for (i = new Array(d), j = new Array(d), k = new Array(d); d > b; b++)
                    c[b] && n.isFunction(c[b].promise) ? c[b].promise().progress(h(b, j, i)).done(h(b, k, c)).fail(g.reject) : --f;
            return f || g.resolveWith(k, c), g.promise();
        }
    });
    var I;
    n.fn.ready = function (a) {
        return n.ready.promise().done(a), this;
    }, n.extend({
        isReady: !1,
        readyWait: 1,
        holdReady: function (a) {
            a ? n.readyWait++ : n.ready(!0);
        },
        ready: function (a) {
            (a === !0 ? --n.readyWait : n.isReady) || (n.isReady = !0, a !== !0 && --n.readyWait > 0 || (I.resolveWith(d, [n]), n.fn.triggerHandler && (n(d).triggerHandler('ready'), n(d).off('ready'))));
        }
    });
    function J() {
        d.removeEventListener('DOMContentLoaded', J), a.removeEventListener('load', J), n.ready();
    }
    n.ready.promise = function (b) {
        return I || (I = n.Deferred(), 'complete' === d.readyState || 'loading' !== d.readyState && !d.documentElement.doScroll ? a.setTimeout(n.ready) : (d.addEventListener('DOMContentLoaded', J), a.addEventListener('load', J))), I.promise(b);
    }, n.ready.promise();
    var K = function (a, b, c, d, e, f, g) {
            var h = 0, i = a.length, j = null == c;
            if ('object' === n.type(c)) {
                e = !0;
                for (h in c)
                    K(a, b, h, c[h], !0, f, g);
            } else if (void 0 !== d && (e = !0, n.isFunction(d) || (g = !0), j && (g ? (b.call(a, d), b = null) : (j = b, b = function (a, b, c) {
                    return j.call(n(a), c);
                })), b))
                for (; i > h; h++)
                    b(a[h], c, g ? d : d.call(a[h], h, b(a[h], c)));
            return e ? a : j ? b.call(a) : i ? b(a[0], c) : f;
        }, L = function (a) {
            return 1 === a.nodeType || 9 === a.nodeType || !+a.nodeType;
        };
    function M() {
        this.expando = n.expando + M.uid++;
    }
    M.uid = 1, M.prototype = {
        register: function (a, b) {
            var c = b || {};
            return a.nodeType ? a[this.expando] = c : Object.defineProperty(a, this.expando, {
                value: c,
                writable: !0,
                configurable: !0
            }), a[this.expando];
        },
        cache: function (a) {
            if (!L(a))
                return {};
            var b = a[this.expando];
            return b || (b = {}, L(a) && (a.nodeType ? a[this.expando] = b : Object.defineProperty(a, this.expando, {
                value: b,
                configurable: !0
            }))), b;
        },
        set: function (a, b, c) {
            var d, e = this.cache(a);
            if ('string' == typeof b)
                e[b] = c;
            else
                for (d in b)
                    e[d] = b[d];
            return e;
        },
        get: function (a, b) {
            return void 0 === b ? this.cache(a) : a[this.expando] && a[this.expando][b];
        },
        access: function (a, b, c) {
            var d;
            return void 0 === b || b && 'string' == typeof b && void 0 === c ? (d = this.get(a, b), void 0 !== d ? d : this.get(a, n.camelCase(b))) : (this.set(a, b, c), void 0 !== c ? c : b);
        },
        remove: function (a, b) {
            var c, d, e, f = a[this.expando];
            if (void 0 !== f) {
                if (void 0 === b)
                    this.register(a);
                else {
                    n.isArray(b) ? d = b.concat(b.map(n.camelCase)) : (e = n.camelCase(b), b in f ? d = [
                        b,
                        e
                    ] : (d = e, d = d in f ? [d] : d.match(G) || [])), c = d.length;
                    while (c--)
                        delete f[d[c]];
                }
                (void 0 === b || n.isEmptyObject(f)) && (a.nodeType ? a[this.expando] = void 0 : delete a[this.expando]);
            }
        },
        hasData: function (a) {
            var b = a[this.expando];
            return void 0 !== b && !n.isEmptyObject(b);
        }
    };
    var N = new M(), O = new M(), P = /^(?:\{[\w\W]*\}|\[[\w\W]*\])$/, Q = /[A-Z]/g;
    function R(a, b, c) {
        var d;
        if (void 0 === c && 1 === a.nodeType)
            if (d = 'data-' + b.replace(Q, '-$&').toLowerCase(), c = a.getAttribute(d), 'string' == typeof c) {
                try {
                    c = 'true' === c ? !0 : 'false' === c ? !1 : 'null' === c ? null : +c + '' === c ? +c : P.test(c) ? n.parseJSON(c) : c;
                } catch (e) {
                }
                O.set(a, b, c);
            } else
                c = void 0;
        return c;
    }
    n.extend({
        hasData: function (a) {
            return O.hasData(a) || N.hasData(a);
        },
        data: function (a, b, c) {
            return O.access(a, b, c);
        },
        removeData: function (a, b) {
            O.remove(a, b);
        },
        _data: function (a, b, c) {
            return N.access(a, b, c);
        },
        _removeData: function (a, b) {
            N.remove(a, b);
        }
    }), n.fn.extend({
        data: function (a, b) {
            var c, d, e, f = this[0], g = f && f.attributes;
            if (void 0 === a) {
                if (this.length && (e = O.get(f), 1 === f.nodeType && !N.get(f, 'hasDataAttrs'))) {
                    c = g.length;
                    while (c--)
                        g[c] && (d = g[c].name, 0 === d.indexOf('data-') && (d = n.camelCase(d.slice(5)), R(f, d, e[d])));
                    N.set(f, 'hasDataAttrs', !0);
                }
                return e;
            }
            return 'object' == typeof a ? this.each(function () {
                O.set(this, a);
            }) : K(this, function (b) {
                var c, d;
                if (f && void 0 === b) {
                    if (c = O.get(f, a) || O.get(f, a.replace(Q, '-$&').toLowerCase()), void 0 !== c)
                        return c;
                    if (d = n.camelCase(a), c = O.get(f, d), void 0 !== c)
                        return c;
                    if (c = R(f, d, void 0), void 0 !== c)
                        return c;
                } else
                    d = n.camelCase(a), this.each(function () {
                        var c = O.get(this, d);
                        O.set(this, d, b), a.indexOf('-') > -1 && void 0 !== c && O.set(this, a, b);
                    });
            }, null, b, arguments.length > 1, null, !0);
        },
        removeData: function (a) {
            return this.each(function () {
                O.remove(this, a);
            });
        }
    }), n.extend({
        queue: function (a, b, c) {
            var d;
            return a ? (b = (b || 'fx') + 'queue', d = N.get(a, b), c && (!d || n.isArray(c) ? d = N.access(a, b, n.makeArray(c)) : d.push(c)), d || []) : void 0;
        },
        dequeue: function (a, b) {
            b = b || 'fx';
            var c = n.queue(a, b), d = c.length, e = c.shift(), f = n._queueHooks(a, b), g = function () {
                    n.dequeue(a, b);
                };
            'inprogress' === e && (e = c.shift(), d--), e && ('fx' === b && c.unshift('inprogress'), delete f.stop, e.call(a, g, f)), !d && f && f.empty.fire();
        },
        _queueHooks: function (a, b) {
            var c = b + 'queueHooks';
            return N.get(a, c) || N.access(a, c, {
                empty: n.Callbacks('once memory').add(function () {
                    N.remove(a, [
                        b + 'queue',
                        c
                    ]);
                })
            });
        }
    }), n.fn.extend({
        queue: function (a, b) {
            var c = 2;
            return 'string' != typeof a && (b = a, a = 'fx', c--), arguments.length < c ? n.queue(this[0], a) : void 0 === b ? this : this.each(function () {
                var c = n.queue(this, a, b);
                n._queueHooks(this, a), 'fx' === a && 'inprogress' !== c[0] && n.dequeue(this, a);
            });
        },
        dequeue: function (a) {
            return this.each(function () {
                n.dequeue(this, a);
            });
        },
        clearQueue: function (a) {
            return this.queue(a || 'fx', []);
        },
        promise: function (a, b) {
            var c, d = 1, e = n.Deferred(), f = this, g = this.length, h = function () {
                    --d || e.resolveWith(f, [f]);
                };
            'string' != typeof a && (b = a, a = void 0), a = a || 'fx';
            while (g--)
                c = N.get(f[g], a + 'queueHooks'), c && c.empty && (d++, c.empty.add(h));
            return h(), e.promise(b);
        }
    });
    var S = /[+-]?(?:\d*\.|)\d+(?:[eE][+-]?\d+|)/.source, T = new RegExp('^(?:([+-])=|)(' + S + ')([a-z%]*)$', 'i'), U = [
            'Top',
            'Right',
            'Bottom',
            'Left'
        ], V = function (a, b) {
            return a = b || a, 'none' === n.css(a, 'display') || !n.contains(a.ownerDocument, a);
        };
    function W(a, b, c, d) {
        var e, f = 1, g = 20, h = d ? function () {
                return d.cur();
            } : function () {
                return n.css(a, b, '');
            }, i = h(), j = c && c[3] || (n.cssNumber[b] ? '' : 'px'), k = (n.cssNumber[b] || 'px' !== j && +i) && T.exec(n.css(a, b));
        if (k && k[3] !== j) {
            j = j || k[3], c = c || [], k = +i || 1;
            do
                f = f || '.5', k /= f, n.style(a, b, k + j);
            while (f !== (f = h() / i) && 1 !== f && --g);
        }
        return c && (k = +k || +i || 0, e = c[1] ? k + (c[1] + 1) * c[2] : +c[2], d && (d.unit = j, d.start = k, d.end = e)), e;
    }
    var X = /^(?:checkbox|radio)$/i, Y = /<([\w:-]+)/, Z = /^$|\/(?:java|ecma)script/i, $ = {
            option: [
                1,
                '<select multiple=\'multiple\'>',
                '</select>'
            ],
            thead: [
                1,
                '<table>',
                '</table>'
            ],
            col: [
                2,
                '<table><colgroup>',
                '</colgroup></table>'
            ],
            tr: [
                2,
                '<table><tbody>',
                '</tbody></table>'
            ],
            td: [
                3,
                '<table><tbody><tr>',
                '</tr></tbody></table>'
            ],
            _default: [
                0,
                '',
                ''
            ]
        };
    $.optgroup = $.option, $.tbody = $.tfoot = $.colgroup = $.caption = $.thead, $.th = $.td;
    function _(a, b) {
        var c = 'undefined' != typeof a.getElementsByTagName ? a.getElementsByTagName(b || '*') : 'undefined' != typeof a.querySelectorAll ? a.querySelectorAll(b || '*') : [];
        return void 0 === b || b && n.nodeName(a, b) ? n.merge([a], c) : c;
    }
    function aa(a, b) {
        for (var c = 0, d = a.length; d > c; c++)
            N.set(a[c], 'globalEval', !b || N.get(b[c], 'globalEval'));
    }
    var ba = /<|&#?\w+;/;
    function ca(a, b, c, d, e) {
        for (var f, g, h, i, j, k, l = b.createDocumentFragment(), m = [], o = 0, p = a.length; p > o; o++)
            if (f = a[o], f || 0 === f)
                if ('object' === n.type(f))
                    n.merge(m, f.nodeType ? [f] : f);
                else if (ba.test(f)) {
                    g = g || l.appendChild(b.createElement('div')), h = (Y.exec(f) || [
                        '',
                        ''
                    ])[1].toLowerCase(), i = $[h] || $._default, g.innerHTML = i[1] + n.htmlPrefilter(f) + i[2], k = i[0];
                    while (k--)
                        g = g.lastChild;
                    n.merge(m, g.childNodes), g = l.firstChild, g.textContent = '';
                } else
                    m.push(b.createTextNode(f));
        l.textContent = '', o = 0;
        while (f = m[o++])
            if (d && n.inArray(f, d) > -1)
                e && e.push(f);
            else if (j = n.contains(f.ownerDocument, f), g = _(l.appendChild(f), 'script'), j && aa(g), c) {
                k = 0;
                while (f = g[k++])
                    Z.test(f.type || '') && c.push(f);
            }
        return l;
    }
    !function () {
        var a = d.createDocumentFragment(), b = a.appendChild(d.createElement('div')), c = d.createElement('input');
        c.setAttribute('type', 'radio'), c.setAttribute('checked', 'checked'), c.setAttribute('name', 't'), b.appendChild(c), l.checkClone = b.cloneNode(!0).cloneNode(!0).lastChild.checked, b.innerHTML = '<textarea>x</textarea>', l.noCloneChecked = !!b.cloneNode(!0).lastChild.defaultValue;
    }();
    var da = /^key/, ea = /^(?:mouse|pointer|contextmenu|drag|drop)|click/, fa = /^([^.]*)(?:\.(.+)|)/;
    function ga() {
        return !0;
    }
    function ha() {
        return !1;
    }
    function ia() {
        try {
            return d.activeElement;
        } catch (a) {
        }
    }
    function ja(a, b, c, d, e, f) {
        var g, h;
        if ('object' == typeof b) {
            'string' != typeof c && (d = d || c, c = void 0);
            for (h in b)
                ja(a, h, c, d, b[h], f);
            return a;
        }
        if (null == d && null == e ? (e = c, d = c = void 0) : null == e && ('string' == typeof c ? (e = d, d = void 0) : (e = d, d = c, c = void 0)), e === !1)
            e = ha;
        else if (!e)
            return a;
        return 1 === f && (g = e, e = function (a) {
            return n().off(a), g.apply(this, arguments);
        }, e.guid = g.guid || (g.guid = n.guid++)), a.each(function () {
            n.event.add(this, b, e, d, c);
        });
    }
    n.event = {
        global: {},
        add: function (a, b, c, d, e) {
            var f, g, h, i, j, k, l, m, o, p, q, r = N.get(a);
            if (r) {
                c.handler && (f = c, c = f.handler, e = f.selector), c.guid || (c.guid = n.guid++), (i = r.events) || (i = r.events = {}), (g = r.handle) || (g = r.handle = function (b) {
                    return 'undefined' != typeof n && n.event.triggered !== b.type ? n.event.dispatch.apply(a, arguments) : void 0;
                }), b = (b || '').match(G) || [''], j = b.length;
                while (j--)
                    h = fa.exec(b[j]) || [], o = q = h[1], p = (h[2] || '').split('.').sort(), o && (l = n.event.special[o] || {}, o = (e ? l.delegateType : l.bindType) || o, l = n.event.special[o] || {}, k = n.extend({
                        type: o,
                        origType: q,
                        data: d,
                        handler: c,
                        guid: c.guid,
                        selector: e,
                        needsContext: e && n.expr.match.needsContext.test(e),
                        namespace: p.join('.')
                    }, f), (m = i[o]) || (m = i[o] = [], m.delegateCount = 0, l.setup && l.setup.call(a, d, p, g) !== !1 || a.addEventListener && a.addEventListener(o, g)), l.add && (l.add.call(a, k), k.handler.guid || (k.handler.guid = c.guid)), e ? m.splice(m.delegateCount++, 0, k) : m.push(k), n.event.global[o] = !0);
            }
        },
        remove: function (a, b, c, d, e) {
            var f, g, h, i, j, k, l, m, o, p, q, r = N.hasData(a) && N.get(a);
            if (r && (i = r.events)) {
                b = (b || '').match(G) || [''], j = b.length;
                while (j--)
                    if (h = fa.exec(b[j]) || [], o = q = h[1], p = (h[2] || '').split('.').sort(), o) {
                        l = n.event.special[o] || {}, o = (d ? l.delegateType : l.bindType) || o, m = i[o] || [], h = h[2] && new RegExp('(^|\\.)' + p.join('\\.(?:.*\\.|)') + '(\\.|$)'), g = f = m.length;
                        while (f--)
                            k = m[f], !e && q !== k.origType || c && c.guid !== k.guid || h && !h.test(k.namespace) || d && d !== k.selector && ('**' !== d || !k.selector) || (m.splice(f, 1), k.selector && m.delegateCount--, l.remove && l.remove.call(a, k));
                        g && !m.length && (l.teardown && l.teardown.call(a, p, r.handle) !== !1 || n.removeEvent(a, o, r.handle), delete i[o]);
                    } else
                        for (o in i)
                            n.event.remove(a, o + b[j], c, d, !0);
                n.isEmptyObject(i) && N.remove(a, 'handle events');
            }
        },
        dispatch: function (a) {
            a = n.event.fix(a);
            var b, c, d, f, g, h = [], i = e.call(arguments), j = (N.get(this, 'events') || {})[a.type] || [], k = n.event.special[a.type] || {};
            if (i[0] = a, a.delegateTarget = this, !k.preDispatch || k.preDispatch.call(this, a) !== !1) {
                h = n.event.handlers.call(this, a, j), b = 0;
                while ((f = h[b++]) && !a.isPropagationStopped()) {
                    a.currentTarget = f.elem, c = 0;
                    while ((g = f.handlers[c++]) && !a.isImmediatePropagationStopped())
                        a.rnamespace && !a.rnamespace.test(g.namespace) || (a.handleObj = g, a.data = g.data, d = ((n.event.special[g.origType] || {}).handle || g.handler).apply(f.elem, i), void 0 !== d && (a.result = d) === !1 && (a.preventDefault(), a.stopPropagation()));
                }
                return k.postDispatch && k.postDispatch.call(this, a), a.result;
            }
        },
        handlers: function (a, b) {
            var c, d, e, f, g = [], h = b.delegateCount, i = a.target;
            if (h && i.nodeType && ('click' !== a.type || isNaN(a.button) || a.button < 1))
                for (; i !== this; i = i.parentNode || this)
                    if (1 === i.nodeType && (i.disabled !== !0 || 'click' !== a.type)) {
                        for (d = [], c = 0; h > c; c++)
                            f = b[c], e = f.selector + ' ', void 0 === d[e] && (d[e] = f.needsContext ? n(e, this).index(i) > -1 : n.find(e, this, null, [i]).length), d[e] && d.push(f);
                        d.length && g.push({
                            elem: i,
                            handlers: d
                        });
                    }
            return h < b.length && g.push({
                elem: this,
                handlers: b.slice(h)
            }), g;
        },
        props: 'altKey bubbles cancelable ctrlKey currentTarget detail eventPhase metaKey relatedTarget shiftKey target timeStamp view which'.split(' '),
        fixHooks: {},
        keyHooks: {
            props: 'char charCode key keyCode'.split(' '),
            filter: function (a, b) {
                return null == a.which && (a.which = null != b.charCode ? b.charCode : b.keyCode), a;
            }
        },
        mouseHooks: {
            props: 'button buttons clientX clientY offsetX offsetY pageX pageY screenX screenY toElement'.split(' '),
            filter: function (a, b) {
                var c, e, f, g = b.button;
                return null == a.pageX && null != b.clientX && (c = a.target.ownerDocument || d, e = c.documentElement, f = c.body, a.pageX = b.clientX + (e && e.scrollLeft || f && f.scrollLeft || 0) - (e && e.clientLeft || f && f.clientLeft || 0), a.pageY = b.clientY + (e && e.scrollTop || f && f.scrollTop || 0) - (e && e.clientTop || f && f.clientTop || 0)), a.which || void 0 === g || (a.which = 1 & g ? 1 : 2 & g ? 3 : 4 & g ? 2 : 0), a;
            }
        },
        fix: function (a) {
            if (a[n.expando])
                return a;
            var b, c, e, f = a.type, g = a, h = this.fixHooks[f];
            h || (this.fixHooks[f] = h = ea.test(f) ? this.mouseHooks : da.test(f) ? this.keyHooks : {}), e = h.props ? this.props.concat(h.props) : this.props, a = new n.Event(g), b = e.length;
            while (b--)
                c = e[b], a[c] = g[c];
            return a.target || (a.target = d), 3 === a.target.nodeType && (a.target = a.target.parentNode), h.filter ? h.filter(a, g) : a;
        },
        special: {
            load: { noBubble: !0 },
            focus: {
                trigger: function () {
                    return this !== ia() && this.focus ? (this.focus(), !1) : void 0;
                },
                delegateType: 'focusin'
            },
            blur: {
                trigger: function () {
                    return this === ia() && this.blur ? (this.blur(), !1) : void 0;
                },
                delegateType: 'focusout'
            },
            click: {
                trigger: function () {
                    return 'checkbox' === this.type && this.click && n.nodeName(this, 'input') ? (this.click(), !1) : void 0;
                },
                _default: function (a) {
                    return n.nodeName(a.target, 'a');
                }
            },
            beforeunload: {
                postDispatch: function (a) {
                    void 0 !== a.result && a.originalEvent && (a.originalEvent.returnValue = a.result);
                }
            }
        }
    }, n.removeEvent = function (a, b, c) {
        a.removeEventListener && a.removeEventListener(b, c);
    }, n.Event = function (a, b) {
        return this instanceof n.Event ? (a && a.type ? (this.originalEvent = a, this.type = a.type, this.isDefaultPrevented = a.defaultPrevented || void 0 === a.defaultPrevented && a.returnValue === !1 ? ga : ha) : this.type = a, b && n.extend(this, b), this.timeStamp = a && a.timeStamp || n.now(), void (this[n.expando] = !0)) : new n.Event(a, b);
    }, n.Event.prototype = {
        constructor: n.Event,
        isDefaultPrevented: ha,
        isPropagationStopped: ha,
        isImmediatePropagationStopped: ha,
        preventDefault: function () {
            var a = this.originalEvent;
            this.isDefaultPrevented = ga, a && a.preventDefault();
        },
        stopPropagation: function () {
            var a = this.originalEvent;
            this.isPropagationStopped = ga, a && a.stopPropagation();
        },
        stopImmediatePropagation: function () {
            var a = this.originalEvent;
            this.isImmediatePropagationStopped = ga, a && a.stopImmediatePropagation(), this.stopPropagation();
        }
    }, n.each({
        mouseenter: 'mouseover',
        mouseleave: 'mouseout',
        pointerenter: 'pointerover',
        pointerleave: 'pointerout'
    }, function (a, b) {
        n.event.special[a] = {
            delegateType: b,
            bindType: b,
            handle: function (a) {
                var c, d = this, e = a.relatedTarget, f = a.handleObj;
                return e && (e === d || n.contains(d, e)) || (a.type = f.origType, c = f.handler.apply(this, arguments), a.type = b), c;
            }
        };
    }), n.fn.extend({
        on: function (a, b, c, d) {
            return ja(this, a, b, c, d);
        },
        one: function (a, b, c, d) {
            return ja(this, a, b, c, d, 1);
        },
        off: function (a, b, c) {
            var d, e;
            if (a && a.preventDefault && a.handleObj)
                return d = a.handleObj, n(a.delegateTarget).off(d.namespace ? d.origType + '.' + d.namespace : d.origType, d.selector, d.handler), this;
            if ('object' == typeof a) {
                for (e in a)
                    this.off(e, b, a[e]);
                return this;
            }
            return b !== !1 && 'function' != typeof b || (c = b, b = void 0), c === !1 && (c = ha), this.each(function () {
                n.event.remove(this, a, c, b);
            });
        }
    });
    var ka = /<(?!area|br|col|embed|hr|img|input|link|meta|param)(([\w:-]+)[^>]*)\/>/gi, la = /<script|<style|<link/i, ma = /checked\s*(?:[^=]|=\s*.checked.)/i, na = /^true\/(.*)/, oa = /^\s*<!(?:\[CDATA\[|--)|(?:\]\]|--)>\s*$/g;
    function pa(a, b) {
        return n.nodeName(a, 'table') && n.nodeName(11 !== b.nodeType ? b : b.firstChild, 'tr') ? a.getElementsByTagName('tbody')[0] || a.appendChild(a.ownerDocument.createElement('tbody')) : a;
    }
    function qa(a) {
        return a.type = (null !== a.getAttribute('type')) + '/' + a.type, a;
    }
    function ra(a) {
        var b = na.exec(a.type);
        return b ? a.type = b[1] : a.removeAttribute('type'), a;
    }
    function sa(a, b) {
        var c, d, e, f, g, h, i, j;
        if (1 === b.nodeType) {
            if (N.hasData(a) && (f = N.access(a), g = N.set(b, f), j = f.events)) {
                delete g.handle, g.events = {};
                for (e in j)
                    for (c = 0, d = j[e].length; d > c; c++)
                        n.event.add(b, e, j[e][c]);
            }
            O.hasData(a) && (h = O.access(a), i = n.extend({}, h), O.set(b, i));
        }
    }
    function ta(a, b) {
        var c = b.nodeName.toLowerCase();
        'input' === c && X.test(a.type) ? b.checked = a.checked : 'input' !== c && 'textarea' !== c || (b.defaultValue = a.defaultValue);
    }
    function ua(a, b, c, d) {
        b = f.apply([], b);
        var e, g, h, i, j, k, m = 0, o = a.length, p = o - 1, q = b[0], r = n.isFunction(q);
        if (r || o > 1 && 'string' == typeof q && !l.checkClone && ma.test(q))
            return a.each(function (e) {
                var f = a.eq(e);
                r && (b[0] = q.call(this, e, f.html())), ua(f, b, c, d);
            });
        if (o && (e = ca(b, a[0].ownerDocument, !1, a, d), g = e.firstChild, 1 === e.childNodes.length && (e = g), g || d)) {
            for (h = n.map(_(e, 'script'), qa), i = h.length; o > m; m++)
                j = e, m !== p && (j = n.clone(j, !0, !0), i && n.merge(h, _(j, 'script'))), c.call(a[m], j, m);
            if (i)
                for (k = h[h.length - 1].ownerDocument, n.map(h, ra), m = 0; i > m; m++)
                    j = h[m], Z.test(j.type || '') && !N.access(j, 'globalEval') && n.contains(k, j) && (j.src ? n._evalUrl && n._evalUrl(j.src) : n.globalEval(j.textContent.replace(oa, '')));
        }
        return a;
    }
    function va(a, b, c) {
        for (var d, e = b ? n.filter(b, a) : a, f = 0; null != (d = e[f]); f++)
            c || 1 !== d.nodeType || n.cleanData(_(d)), d.parentNode && (c && n.contains(d.ownerDocument, d) && aa(_(d, 'script')), d.parentNode.removeChild(d));
        return a;
    }
    n.extend({
        htmlPrefilter: function (a) {
            return a.replace(ka, '<$1></$2>');
        },
        clone: function (a, b, c) {
            var d, e, f, g, h = a.cloneNode(!0), i = n.contains(a.ownerDocument, a);
            if (!(l.noCloneChecked || 1 !== a.nodeType && 11 !== a.nodeType || n.isXMLDoc(a)))
                for (g = _(h), f = _(a), d = 0, e = f.length; e > d; d++)
                    ta(f[d], g[d]);
            if (b)
                if (c)
                    for (f = f || _(a), g = g || _(h), d = 0, e = f.length; e > d; d++)
                        sa(f[d], g[d]);
                else
                    sa(a, h);
            return g = _(h, 'script'), g.length > 0 && aa(g, !i && _(a, 'script')), h;
        },
        cleanData: function (a) {
            for (var b, c, d, e = n.event.special, f = 0; void 0 !== (c = a[f]); f++)
                if (L(c)) {
                    if (b = c[N.expando]) {
                        if (b.events)
                            for (d in b.events)
                                e[d] ? n.event.remove(c, d) : n.removeEvent(c, d, b.handle);
                        c[N.expando] = void 0;
                    }
                    c[O.expando] && (c[O.expando] = void 0);
                }
        }
    }), n.fn.extend({
        domManip: ua,
        detach: function (a) {
            return va(this, a, !0);
        },
        remove: function (a) {
            return va(this, a);
        },
        text: function (a) {
            return K(this, function (a) {
                return void 0 === a ? n.text(this) : this.empty().each(function () {
                    1 !== this.nodeType && 11 !== this.nodeType && 9 !== this.nodeType || (this.textContent = a);
                });
            }, null, a, arguments.length);
        },
        append: function () {
            return ua(this, arguments, function (a) {
                if (1 === this.nodeType || 11 === this.nodeType || 9 === this.nodeType) {
                    var b = pa(this, a);
                    b.appendChild(a);
                }
            });
        },
        prepend: function () {
            return ua(this, arguments, function (a) {
                if (1 === this.nodeType || 11 === this.nodeType || 9 === this.nodeType) {
                    var b = pa(this, a);
                    b.insertBefore(a, b.firstChild);
                }
            });
        },
        before: function () {
            return ua(this, arguments, function (a) {
                this.parentNode && this.parentNode.insertBefore(a, this);
            });
        },
        after: function () {
            return ua(this, arguments, function (a) {
                this.parentNode && this.parentNode.insertBefore(a, this.nextSibling);
            });
        },
        empty: function () {
            for (var a, b = 0; null != (a = this[b]); b++)
                1 === a.nodeType && (n.cleanData(_(a, !1)), a.textContent = '');
            return this;
        },
        clone: function (a, b) {
            return a = null == a ? !1 : a, b = null == b ? a : b, this.map(function () {
                return n.clone(this, a, b);
            });
        },
        html: function (a) {
            return K(this, function (a) {
                var b = this[0] || {}, c = 0, d = this.length;
                if (void 0 === a && 1 === b.nodeType)
                    return b.innerHTML;
                if ('string' == typeof a && !la.test(a) && !$[(Y.exec(a) || [
                        '',
                        ''
                    ])[1].toLowerCase()]) {
                    a = n.htmlPrefilter(a);
                    try {
                        for (; d > c; c++)
                            b = this[c] || {}, 1 === b.nodeType && (n.cleanData(_(b, !1)), b.innerHTML = a);
                        b = 0;
                    } catch (e) {
                    }
                }
                b && this.empty().append(a);
            }, null, a, arguments.length);
        },
        replaceWith: function () {
            var a = [];
            return ua(this, arguments, function (b) {
                var c = this.parentNode;
                n.inArray(this, a) < 0 && (n.cleanData(_(this)), c && c.replaceChild(b, this));
            }, a);
        }
    }), n.each({
        appendTo: 'append',
        prependTo: 'prepend',
        insertBefore: 'before',
        insertAfter: 'after',
        replaceAll: 'replaceWith'
    }, function (a, b) {
        n.fn[a] = function (a) {
            for (var c, d = [], e = n(a), f = e.length - 1, h = 0; f >= h; h++)
                c = h === f ? this : this.clone(!0), n(e[h])[b](c), g.apply(d, c.get());
            return this.pushStack(d);
        };
    });
    var wa, xa = {
            HTML: 'block',
            BODY: 'block'
        };
    function ya(a, b) {
        var c = n(b.createElement(a)).appendTo(b.body), d = n.css(c[0], 'display');
        return c.detach(), d;
    }
    function za(a) {
        var b = d, c = xa[a];
        return c || (c = ya(a, b), 'none' !== c && c || (wa = (wa || n('<iframe frameborder=\'0\' width=\'0\' height=\'0\'/>')).appendTo(b.documentElement), b = wa[0].contentDocument, b.write(), b.close(), c = ya(a, b), wa.detach()), xa[a] = c), c;
    }
    var Aa = /^margin/, Ba = new RegExp('^(' + S + ')(?!px)[a-z%]+$', 'i'), Ca = function (b) {
            var c = b.ownerDocument.defaultView;
            return c && c.opener || (c = a), c.getComputedStyle(b);
        }, Da = function (a, b, c, d) {
            var e, f, g = {};
            for (f in b)
                g[f] = a.style[f], a.style[f] = b[f];
            e = c.apply(a, d || []);
            for (f in b)
                a.style[f] = g[f];
            return e;
        }, Ea = d.documentElement;
    !function () {
        var b, c, e, f, g = d.createElement('div'), h = d.createElement('div');
        if (h.style) {
            h.style.backgroundClip = 'content-box', h.cloneNode(!0).style.backgroundClip = '', l.clearCloneStyle = 'content-box' === h.style.backgroundClip, g.style.cssText = 'border:0;width:8px;height:0;top:0;left:-9999px;padding:0;margin-top:1px;position:absolute', g.appendChild(h);
            function i() {
                h.style.cssText = '-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;position:relative;display:block;margin:auto;border:1px;padding:1px;top:1%;width:50%', h.innerHTML = '', Ea.appendChild(g);
                var d = a.getComputedStyle(h);
                b = '1%' !== d.top, f = '2px' === d.marginLeft, c = '4px' === d.width, h.style.marginRight = '50%', e = '4px' === d.marginRight, Ea.removeChild(g);
            }
            n.extend(l, {
                pixelPosition: function () {
                    return i(), b;
                },
                boxSizingReliable: function () {
                    return null == c && i(), c;
                },
                pixelMarginRight: function () {
                    return null == c && i(), e;
                },
                reliableMarginLeft: function () {
                    return null == c && i(), f;
                },
                reliableMarginRight: function () {
                    var b, c = h.appendChild(d.createElement('div'));
                    return c.style.cssText = h.style.cssText = '-webkit-box-sizing:content-box;box-sizing:content-box;display:block;margin:0;border:0;padding:0', c.style.marginRight = c.style.width = '0', h.style.width = '1px', Ea.appendChild(g), b = !parseFloat(a.getComputedStyle(c).marginRight), Ea.removeChild(g), h.removeChild(c), b;
                }
            });
        }
    }();
    function Fa(a, b, c) {
        var d, e, f, g, h = a.style;
        return c = c || Ca(a), g = c ? c.getPropertyValue(b) || c[b] : void 0, '' !== g && void 0 !== g || n.contains(a.ownerDocument, a) || (g = n.style(a, b)), c && !l.pixelMarginRight() && Ba.test(g) && Aa.test(b) && (d = h.width, e = h.minWidth, f = h.maxWidth, h.minWidth = h.maxWidth = h.width = g, g = c.width, h.width = d, h.minWidth = e, h.maxWidth = f), void 0 !== g ? g + '' : g;
    }
    function Ga(a, b) {
        return {
            get: function () {
                return a() ? void delete this.get : (this.get = b).apply(this, arguments);
            }
        };
    }
    var Ha = /^(none|table(?!-c[ea]).+)/, Ia = {
            position: 'absolute',
            visibility: 'hidden',
            display: 'block'
        }, Ja = {
            letterSpacing: '0',
            fontWeight: '400'
        }, Ka = [
            'Webkit',
            'O',
            'Moz',
            'ms'
        ], La = d.createElement('div').style;
    function Ma(a) {
        if (a in La)
            return a;
        var b = a[0].toUpperCase() + a.slice(1), c = Ka.length;
        while (c--)
            if (a = Ka[c] + b, a in La)
                return a;
    }
    function Na(a, b, c) {
        var d = T.exec(b);
        return d ? Math.max(0, d[2] - (c || 0)) + (d[3] || 'px') : b;
    }
    function Oa(a, b, c, d, e) {
        for (var f = c === (d ? 'border' : 'content') ? 4 : 'width' === b ? 1 : 0, g = 0; 4 > f; f += 2)
            'margin' === c && (g += n.css(a, c + U[f], !0, e)), d ? ('content' === c && (g -= n.css(a, 'padding' + U[f], !0, e)), 'margin' !== c && (g -= n.css(a, 'border' + U[f] + 'Width', !0, e))) : (g += n.css(a, 'padding' + U[f], !0, e), 'padding' !== c && (g += n.css(a, 'border' + U[f] + 'Width', !0, e)));
        return g;
    }
    function Pa(b, c, e) {
        var f = !0, g = 'width' === c ? b.offsetWidth : b.offsetHeight, h = Ca(b), i = 'border-box' === n.css(b, 'boxSizing', !1, h);
        if (d.msFullscreenElement && a.top !== a && b.getClientRects().length && (g = Math.round(100 * b.getBoundingClientRect()[c])), 0 >= g || null == g) {
            if (g = Fa(b, c, h), (0 > g || null == g) && (g = b.style[c]), Ba.test(g))
                return g;
            f = i && (l.boxSizingReliable() || g === b.style[c]), g = parseFloat(g) || 0;
        }
        return g + Oa(b, c, e || (i ? 'border' : 'content'), f, h) + 'px';
    }
    function Qa(a, b) {
        for (var c, d, e, f = [], g = 0, h = a.length; h > g; g++)
            d = a[g], d.style && (f[g] = N.get(d, 'olddisplay'), c = d.style.display, b ? (f[g] || 'none' !== c || (d.style.display = ''), '' === d.style.display && V(d) && (f[g] = N.access(d, 'olddisplay', za(d.nodeName)))) : (e = V(d), 'none' === c && e || N.set(d, 'olddisplay', e ? c : n.css(d, 'display'))));
        for (g = 0; h > g; g++)
            d = a[g], d.style && (b && 'none' !== d.style.display && '' !== d.style.display || (d.style.display = b ? f[g] || '' : 'none'));
        return a;
    }
    n.extend({
        cssHooks: {
            opacity: {
                get: function (a, b) {
                    if (b) {
                        var c = Fa(a, 'opacity');
                        return '' === c ? '1' : c;
                    }
                }
            }
        },
        cssNumber: {
            animationIterationCount: !0,
            columnCount: !0,
            fillOpacity: !0,
            flexGrow: !0,
            flexShrink: !0,
            fontWeight: !0,
            lineHeight: !0,
            opacity: !0,
            order: !0,
            orphans: !0,
            widows: !0,
            zIndex: !0,
            zoom: !0
        },
        cssProps: { 'float': 'cssFloat' },
        style: function (a, b, c, d) {
            if (a && 3 !== a.nodeType && 8 !== a.nodeType && a.style) {
                var e, f, g, h = n.camelCase(b), i = a.style;
                return b = n.cssProps[h] || (n.cssProps[h] = Ma(h) || h), g = n.cssHooks[b] || n.cssHooks[h], void 0 === c ? g && 'get' in g && void 0 !== (e = g.get(a, !1, d)) ? e : i[b] : (f = typeof c, 'string' === f && (e = T.exec(c)) && e[1] && (c = W(a, b, e), f = 'number'), null != c && c === c && ('number' === f && (c += e && e[3] || (n.cssNumber[h] ? '' : 'px')), l.clearCloneStyle || '' !== c || 0 !== b.indexOf('background') || (i[b] = 'inherit'), g && 'set' in g && void 0 === (c = g.set(a, c, d)) || (i[b] = c)), void 0);
            }
        },
        css: function (a, b, c, d) {
            var e, f, g, h = n.camelCase(b);
            return b = n.cssProps[h] || (n.cssProps[h] = Ma(h) || h), g = n.cssHooks[b] || n.cssHooks[h], g && 'get' in g && (e = g.get(a, !0, c)), void 0 === e && (e = Fa(a, b, d)), 'normal' === e && b in Ja && (e = Ja[b]), '' === c || c ? (f = parseFloat(e), c === !0 || isFinite(f) ? f || 0 : e) : e;
        }
    }), n.each([
        'height',
        'width'
    ], function (a, b) {
        n.cssHooks[b] = {
            get: function (a, c, d) {
                return c ? Ha.test(n.css(a, 'display')) && 0 === a.offsetWidth ? Da(a, Ia, function () {
                    return Pa(a, b, d);
                }) : Pa(a, b, d) : void 0;
            },
            set: function (a, c, d) {
                var e, f = d && Ca(a), g = d && Oa(a, b, d, 'border-box' === n.css(a, 'boxSizing', !1, f), f);
                return g && (e = T.exec(c)) && 'px' !== (e[3] || 'px') && (a.style[b] = c, c = n.css(a, b)), Na(a, c, g);
            }
        };
    }), n.cssHooks.marginLeft = Ga(l.reliableMarginLeft, function (a, b) {
        return b ? (parseFloat(Fa(a, 'marginLeft')) || a.getBoundingClientRect().left - Da(a, { marginLeft: 0 }, function () {
            return a.getBoundingClientRect().left;
        })) + 'px' : void 0;
    }), n.cssHooks.marginRight = Ga(l.reliableMarginRight, function (a, b) {
        return b ? Da(a, { display: 'inline-block' }, Fa, [
            a,
            'marginRight'
        ]) : void 0;
    }), n.each({
        margin: '',
        padding: '',
        border: 'Width'
    }, function (a, b) {
        n.cssHooks[a + b] = {
            expand: function (c) {
                for (var d = 0, e = {}, f = 'string' == typeof c ? c.split(' ') : [c]; 4 > d; d++)
                    e[a + U[d] + b] = f[d] || f[d - 2] || f[0];
                return e;
            }
        }, Aa.test(a) || (n.cssHooks[a + b].set = Na);
    }), n.fn.extend({
        css: function (a, b) {
            return K(this, function (a, b, c) {
                var d, e, f = {}, g = 0;
                if (n.isArray(b)) {
                    for (d = Ca(a), e = b.length; e > g; g++)
                        f[b[g]] = n.css(a, b[g], !1, d);
                    return f;
                }
                return void 0 !== c ? n.style(a, b, c) : n.css(a, b);
            }, a, b, arguments.length > 1);
        },
        show: function () {
            return Qa(this, !0);
        },
        hide: function () {
            return Qa(this);
        },
        toggle: function (a) {
            return 'boolean' == typeof a ? a ? this.show() : this.hide() : this.each(function () {
                V(this) ? n(this).show() : n(this).hide();
            });
        }
    });
    function Ra(a, b, c, d, e) {
        return new Ra.prototype.init(a, b, c, d, e);
    }
    n.Tween = Ra, Ra.prototype = {
        constructor: Ra,
        init: function (a, b, c, d, e, f) {
            this.elem = a, this.prop = c, this.easing = e || n.easing._default, this.options = b, this.start = this.now = this.cur(), this.end = d, this.unit = f || (n.cssNumber[c] ? '' : 'px');
        },
        cur: function () {
            var a = Ra.propHooks[this.prop];
            return a && a.get ? a.get(this) : Ra.propHooks._default.get(this);
        },
        run: function (a) {
            var b, c = Ra.propHooks[this.prop];
            return this.options.duration ? this.pos = b = n.easing[this.easing](a, this.options.duration * a, 0, 1, this.options.duration) : this.pos = b = a, this.now = (this.end - this.start) * b + this.start, this.options.step && this.options.step.call(this.elem, this.now, this), c && c.set ? c.set(this) : Ra.propHooks._default.set(this), this;
        }
    }, Ra.prototype.init.prototype = Ra.prototype, Ra.propHooks = {
        _default: {
            get: function (a) {
                var b;
                return 1 !== a.elem.nodeType || null != a.elem[a.prop] && null == a.elem.style[a.prop] ? a.elem[a.prop] : (b = n.css(a.elem, a.prop, ''), b && 'auto' !== b ? b : 0);
            },
            set: function (a) {
                n.fx.step[a.prop] ? n.fx.step[a.prop](a) : 1 !== a.elem.nodeType || null == a.elem.style[n.cssProps[a.prop]] && !n.cssHooks[a.prop] ? a.elem[a.prop] = a.now : n.style(a.elem, a.prop, a.now + a.unit);
            }
        }
    }, Ra.propHooks.scrollTop = Ra.propHooks.scrollLeft = {
        set: function (a) {
            a.elem.nodeType && a.elem.parentNode && (a.elem[a.prop] = a.now);
        }
    }, n.easing = {
        linear: function (a) {
            return a;
        },
        swing: function (a) {
            return 0.5 - Math.cos(a * Math.PI) / 2;
        },
        _default: 'swing'
    }, n.fx = Ra.prototype.init, n.fx.step = {};
    var Sa, Ta, Ua = /^(?:toggle|show|hide)$/, Va = /queueHooks$/;
    function Wa() {
        return a.setTimeout(function () {
            Sa = void 0;
        }), Sa = n.now();
    }
    function Xa(a, b) {
        var c, d = 0, e = { height: a };
        for (b = b ? 1 : 0; 4 > d; d += 2 - b)
            c = U[d], e['margin' + c] = e['padding' + c] = a;
        return b && (e.opacity = e.width = a), e;
    }
    function Ya(a, b, c) {
        for (var d, e = (_a.tweeners[b] || []).concat(_a.tweeners['*']), f = 0, g = e.length; g > f; f++)
            if (d = e[f].call(c, b, a))
                return d;
    }
    function Za(a, b, c) {
        var d, e, f, g, h, i, j, k, l = this, m = {}, o = a.style, p = a.nodeType && V(a), q = N.get(a, 'fxshow');
        c.queue || (h = n._queueHooks(a, 'fx'), null == h.unqueued && (h.unqueued = 0, i = h.empty.fire, h.empty.fire = function () {
            h.unqueued || i();
        }), h.unqueued++, l.always(function () {
            l.always(function () {
                h.unqueued--, n.queue(a, 'fx').length || h.empty.fire();
            });
        })), 1 === a.nodeType && ('height' in b || 'width' in b) && (c.overflow = [
            o.overflow,
            o.overflowX,
            o.overflowY
        ], j = n.css(a, 'display'), k = 'none' === j ? N.get(a, 'olddisplay') || za(a.nodeName) : j, 'inline' === k && 'none' === n.css(a, 'float') && (o.display = 'inline-block')), c.overflow && (o.overflow = 'hidden', l.always(function () {
            o.overflow = c.overflow[0], o.overflowX = c.overflow[1], o.overflowY = c.overflow[2];
        }));
        for (d in b)
            if (e = b[d], Ua.exec(e)) {
                if (delete b[d], f = f || 'toggle' === e, e === (p ? 'hide' : 'show')) {
                    if ('show' !== e || !q || void 0 === q[d])
                        continue;
                    p = !0;
                }
                m[d] = q && q[d] || n.style(a, d);
            } else
                j = void 0;
        if (n.isEmptyObject(m))
            'inline' === ('none' === j ? za(a.nodeName) : j) && (o.display = j);
        else {
            q ? 'hidden' in q && (p = q.hidden) : q = N.access(a, 'fxshow', {}), f && (q.hidden = !p), p ? n(a).show() : l.done(function () {
                n(a).hide();
            }), l.done(function () {
                var b;
                N.remove(a, 'fxshow');
                for (b in m)
                    n.style(a, b, m[b]);
            });
            for (d in m)
                g = Ya(p ? q[d] : 0, d, l), d in q || (q[d] = g.start, p && (g.end = g.start, g.start = 'width' === d || 'height' === d ? 1 : 0));
        }
    }
    function $a(a, b) {
        var c, d, e, f, g;
        for (c in a)
            if (d = n.camelCase(c), e = b[d], f = a[c], n.isArray(f) && (e = f[1], f = a[c] = f[0]), c !== d && (a[d] = f, delete a[c]), g = n.cssHooks[d], g && 'expand' in g) {
                f = g.expand(f), delete a[d];
                for (c in f)
                    c in a || (a[c] = f[c], b[c] = e);
            } else
                b[d] = e;
    }
    function _a(a, b, c) {
        var d, e, f = 0, g = _a.prefilters.length, h = n.Deferred().always(function () {
                delete i.elem;
            }), i = function () {
                if (e)
                    return !1;
                for (var b = Sa || Wa(), c = Math.max(0, j.startTime + j.duration - b), d = c / j.duration || 0, f = 1 - d, g = 0, i = j.tweens.length; i > g; g++)
                    j.tweens[g].run(f);
                return h.notifyWith(a, [
                    j,
                    f,
                    c
                ]), 1 > f && i ? c : (h.resolveWith(a, [j]), !1);
            }, j = h.promise({
                elem: a,
                props: n.extend({}, b),
                opts: n.extend(!0, {
                    specialEasing: {},
                    easing: n.easing._default
                }, c),
                originalProperties: b,
                originalOptions: c,
                startTime: Sa || Wa(),
                duration: c.duration,
                tweens: [],
                createTween: function (b, c) {
                    var d = n.Tween(a, j.opts, b, c, j.opts.specialEasing[b] || j.opts.easing);
                    return j.tweens.push(d), d;
                },
                stop: function (b) {
                    var c = 0, d = b ? j.tweens.length : 0;
                    if (e)
                        return this;
                    for (e = !0; d > c; c++)
                        j.tweens[c].run(1);
                    return b ? (h.notifyWith(a, [
                        j,
                        1,
                        0
                    ]), h.resolveWith(a, [
                        j,
                        b
                    ])) : h.rejectWith(a, [
                        j,
                        b
                    ]), this;
                }
            }), k = j.props;
        for ($a(k, j.opts.specialEasing); g > f; f++)
            if (d = _a.prefilters[f].call(j, a, k, j.opts))
                return n.isFunction(d.stop) && (n._queueHooks(j.elem, j.opts.queue).stop = n.proxy(d.stop, d)), d;
        return n.map(k, Ya, j), n.isFunction(j.opts.start) && j.opts.start.call(a, j), n.fx.timer(n.extend(i, {
            elem: a,
            anim: j,
            queue: j.opts.queue
        })), j.progress(j.opts.progress).done(j.opts.done, j.opts.complete).fail(j.opts.fail).always(j.opts.always);
    }
    n.Animation = n.extend(_a, {
        tweeners: {
            '*': [function (a, b) {
                    var c = this.createTween(a, b);
                    return W(c.elem, a, T.exec(b), c), c;
                }]
        },
        tweener: function (a, b) {
            n.isFunction(a) ? (b = a, a = ['*']) : a = a.match(G);
            for (var c, d = 0, e = a.length; e > d; d++)
                c = a[d], _a.tweeners[c] = _a.tweeners[c] || [], _a.tweeners[c].unshift(b);
        },
        prefilters: [Za],
        prefilter: function (a, b) {
            b ? _a.prefilters.unshift(a) : _a.prefilters.push(a);
        }
    }), n.speed = function (a, b, c) {
        var d = a && 'object' == typeof a ? n.extend({}, a) : {
            complete: c || !c && b || n.isFunction(a) && a,
            duration: a,
            easing: c && b || b && !n.isFunction(b) && b
        };
        return d.duration = n.fx.off ? 0 : 'number' == typeof d.duration ? d.duration : d.duration in n.fx.speeds ? n.fx.speeds[d.duration] : n.fx.speeds._default, null != d.queue && d.queue !== !0 || (d.queue = 'fx'), d.old = d.complete, d.complete = function () {
            n.isFunction(d.old) && d.old.call(this), d.queue && n.dequeue(this, d.queue);
        }, d;
    }, n.fn.extend({
        fadeTo: function (a, b, c, d) {
            return this.filter(V).css('opacity', 0).show().end().animate({ opacity: b }, a, c, d);
        },
        animate: function (a, b, c, d) {
            var e = n.isEmptyObject(a), f = n.speed(b, c, d), g = function () {
                    var b = _a(this, n.extend({}, a), f);
                    (e || N.get(this, 'finish')) && b.stop(!0);
                };
            return g.finish = g, e || f.queue === !1 ? this.each(g) : this.queue(f.queue, g);
        },
        stop: function (a, b, c) {
            var d = function (a) {
                var b = a.stop;
                delete a.stop, b(c);
            };
            return 'string' != typeof a && (c = b, b = a, a = void 0), b && a !== !1 && this.queue(a || 'fx', []), this.each(function () {
                var b = !0, e = null != a && a + 'queueHooks', f = n.timers, g = N.get(this);
                if (e)
                    g[e] && g[e].stop && d(g[e]);
                else
                    for (e in g)
                        g[e] && g[e].stop && Va.test(e) && d(g[e]);
                for (e = f.length; e--;)
                    f[e].elem !== this || null != a && f[e].queue !== a || (f[e].anim.stop(c), b = !1, f.splice(e, 1));
                !b && c || n.dequeue(this, a);
            });
        },
        finish: function (a) {
            return a !== !1 && (a = a || 'fx'), this.each(function () {
                var b, c = N.get(this), d = c[a + 'queue'], e = c[a + 'queueHooks'], f = n.timers, g = d ? d.length : 0;
                for (c.finish = !0, n.queue(this, a, []), e && e.stop && e.stop.call(this, !0), b = f.length; b--;)
                    f[b].elem === this && f[b].queue === a && (f[b].anim.stop(!0), f.splice(b, 1));
                for (b = 0; g > b; b++)
                    d[b] && d[b].finish && d[b].finish.call(this);
                delete c.finish;
            });
        }
    }), n.each([
        'toggle',
        'show',
        'hide'
    ], function (a, b) {
        var c = n.fn[b];
        n.fn[b] = function (a, d, e) {
            return null == a || 'boolean' == typeof a ? c.apply(this, arguments) : this.animate(Xa(b, !0), a, d, e);
        };
    }), n.each({
        slideDown: Xa('show'),
        slideUp: Xa('hide'),
        slideToggle: Xa('toggle'),
        fadeIn: { opacity: 'show' },
        fadeOut: { opacity: 'hide' },
        fadeToggle: { opacity: 'toggle' }
    }, function (a, b) {
        n.fn[a] = function (a, c, d) {
            return this.animate(b, a, c, d);
        };
    }), n.timers = [], n.fx.tick = function () {
        var a, b = 0, c = n.timers;
        for (Sa = n.now(); b < c.length; b++)
            a = c[b], a() || c[b] !== a || c.splice(b--, 1);
        c.length || n.fx.stop(), Sa = void 0;
    }, n.fx.timer = function (a) {
        n.timers.push(a), a() ? n.fx.start() : n.timers.pop();
    }, n.fx.interval = 13, n.fx.start = function () {
        Ta || (Ta = a.setInterval(n.fx.tick, n.fx.interval));
    }, n.fx.stop = function () {
        a.clearInterval(Ta), Ta = null;
    }, n.fx.speeds = {
        slow: 600,
        fast: 200,
        _default: 400
    }, n.fn.delay = function (b, c) {
        return b = n.fx ? n.fx.speeds[b] || b : b, c = c || 'fx', this.queue(c, function (c, d) {
            var e = a.setTimeout(c, b);
            d.stop = function () {
                a.clearTimeout(e);
            };
        });
    }, function () {
        var a = d.createElement('input'), b = d.createElement('select'), c = b.appendChild(d.createElement('option'));
        a.type = 'checkbox', l.checkOn = '' !== a.value, l.optSelected = c.selected, b.disabled = !0, l.optDisabled = !c.disabled, a = d.createElement('input'), a.value = 't', a.type = 'radio', l.radioValue = 't' === a.value;
    }();
    var ab, bb = n.expr.attrHandle;
    n.fn.extend({
        attr: function (a, b) {
            return K(this, n.attr, a, b, arguments.length > 1);
        },
        removeAttr: function (a) {
            return this.each(function () {
                n.removeAttr(this, a);
            });
        }
    }), n.extend({
        attr: function (a, b, c) {
            var d, e, f = a.nodeType;
            if (3 !== f && 8 !== f && 2 !== f)
                return 'undefined' == typeof a.getAttribute ? n.prop(a, b, c) : (1 === f && n.isXMLDoc(a) || (b = b.toLowerCase(), e = n.attrHooks[b] || (n.expr.match.bool.test(b) ? ab : void 0)), void 0 !== c ? null === c ? void n.removeAttr(a, b) : e && 'set' in e && void 0 !== (d = e.set(a, c, b)) ? d : (a.setAttribute(b, c + ''), c) : e && 'get' in e && null !== (d = e.get(a, b)) ? d : (d = n.find.attr(a, b), null == d ? void 0 : d));
        },
        attrHooks: {
            type: {
                set: function (a, b) {
                    if (!l.radioValue && 'radio' === b && n.nodeName(a, 'input')) {
                        var c = a.value;
                        return a.setAttribute('type', b), c && (a.value = c), b;
                    }
                }
            }
        },
        removeAttr: function (a, b) {
            var c, d, e = 0, f = b && b.match(G);
            if (f && 1 === a.nodeType)
                while (c = f[e++])
                    d = n.propFix[c] || c, n.expr.match.bool.test(c) && (a[d] = !1), a.removeAttribute(c);
        }
    }), ab = {
        set: function (a, b, c) {
            return b === !1 ? n.removeAttr(a, c) : a.setAttribute(c, c), c;
        }
    }, n.each(n.expr.match.bool.source.match(/\w+/g), function (a, b) {
        var c = bb[b] || n.find.attr;
        bb[b] = function (a, b, d) {
            var e, f;
            return d || (f = bb[b], bb[b] = e, e = null != c(a, b, d) ? b.toLowerCase() : null, bb[b] = f), e;
        };
    });
    var cb = /^(?:input|select|textarea|button)$/i, db = /^(?:a|area)$/i;
    n.fn.extend({
        prop: function (a, b) {
            return K(this, n.prop, a, b, arguments.length > 1);
        },
        removeProp: function (a) {
            return this.each(function () {
                delete this[n.propFix[a] || a];
            });
        }
    }), n.extend({
        prop: function (a, b, c) {
            var d, e, f = a.nodeType;
            if (3 !== f && 8 !== f && 2 !== f)
                return 1 === f && n.isXMLDoc(a) || (b = n.propFix[b] || b, e = n.propHooks[b]), void 0 !== c ? e && 'set' in e && void 0 !== (d = e.set(a, c, b)) ? d : a[b] = c : e && 'get' in e && null !== (d = e.get(a, b)) ? d : a[b];
        },
        propHooks: {
            tabIndex: {
                get: function (a) {
                    var b = n.find.attr(a, 'tabindex');
                    return b ? parseInt(b, 10) : cb.test(a.nodeName) || db.test(a.nodeName) && a.href ? 0 : -1;
                }
            }
        },
        propFix: {
            'for': 'htmlFor',
            'class': 'className'
        }
    }), l.optSelected || (n.propHooks.selected = {
        get: function (a) {
            var b = a.parentNode;
            return b && b.parentNode && b.parentNode.selectedIndex, null;
        },
        set: function (a) {
            var b = a.parentNode;
            b && (b.selectedIndex, b.parentNode && b.parentNode.selectedIndex);
        }
    }), n.each([
        'tabIndex',
        'readOnly',
        'maxLength',
        'cellSpacing',
        'cellPadding',
        'rowSpan',
        'colSpan',
        'useMap',
        'frameBorder',
        'contentEditable'
    ], function () {
        n.propFix[this.toLowerCase()] = this;
    });
    var eb = /[\t\r\n\f]/g;
    function fb(a) {
        return a.getAttribute && a.getAttribute('class') || '';
    }
    n.fn.extend({
        addClass: function (a) {
            var b, c, d, e, f, g, h, i = 0;
            if (n.isFunction(a))
                return this.each(function (b) {
                    n(this).addClass(a.call(this, b, fb(this)));
                });
            if ('string' == typeof a && a) {
                b = a.match(G) || [];
                while (c = this[i++])
                    if (e = fb(c), d = 1 === c.nodeType && (' ' + e + ' ').replace(eb, ' ')) {
                        g = 0;
                        while (f = b[g++])
                            d.indexOf(' ' + f + ' ') < 0 && (d += f + ' ');
                        h = n.trim(d), e !== h && c.setAttribute('class', h);
                    }
            }
            return this;
        },
        removeClass: function (a) {
            var b, c, d, e, f, g, h, i = 0;
            if (n.isFunction(a))
                return this.each(function (b) {
                    n(this).removeClass(a.call(this, b, fb(this)));
                });
            if (!arguments.length)
                return this.attr('class', '');
            if ('string' == typeof a && a) {
                b = a.match(G) || [];
                while (c = this[i++])
                    if (e = fb(c), d = 1 === c.nodeType && (' ' + e + ' ').replace(eb, ' ')) {
                        g = 0;
                        while (f = b[g++])
                            while (d.indexOf(' ' + f + ' ') > -1)
                                d = d.replace(' ' + f + ' ', ' ');
                        h = n.trim(d), e !== h && c.setAttribute('class', h);
                    }
            }
            return this;
        },
        toggleClass: function (a, b) {
            var c = typeof a;
            return 'boolean' == typeof b && 'string' === c ? b ? this.addClass(a) : this.removeClass(a) : n.isFunction(a) ? this.each(function (c) {
                n(this).toggleClass(a.call(this, c, fb(this), b), b);
            }) : this.each(function () {
                var b, d, e, f;
                if ('string' === c) {
                    d = 0, e = n(this), f = a.match(G) || [];
                    while (b = f[d++])
                        e.hasClass(b) ? e.removeClass(b) : e.addClass(b);
                } else
                    void 0 !== a && 'boolean' !== c || (b = fb(this), b && N.set(this, '__className__', b), this.setAttribute && this.setAttribute('class', b || a === !1 ? '' : N.get(this, '__className__') || ''));
            });
        },
        hasClass: function (a) {
            var b, c, d = 0;
            b = ' ' + a + ' ';
            while (c = this[d++])
                if (1 === c.nodeType && (' ' + fb(c) + ' ').replace(eb, ' ').indexOf(b) > -1)
                    return !0;
            return !1;
        }
    });
    var gb = /\r/g, hb = /[\x20\t\r\n\f]+/g;
    n.fn.extend({
        val: function (a) {
            var b, c, d, e = this[0];
            {
                if (arguments.length)
                    return d = n.isFunction(a), this.each(function (c) {
                        var e;
                        1 === this.nodeType && (e = d ? a.call(this, c, n(this).val()) : a, null == e ? e = '' : 'number' == typeof e ? e += '' : n.isArray(e) && (e = n.map(e, function (a) {
                            return null == a ? '' : a + '';
                        })), b = n.valHooks[this.type] || n.valHooks[this.nodeName.toLowerCase()], b && 'set' in b && void 0 !== b.set(this, e, 'value') || (this.value = e));
                    });
                if (e)
                    return b = n.valHooks[e.type] || n.valHooks[e.nodeName.toLowerCase()], b && 'get' in b && void 0 !== (c = b.get(e, 'value')) ? c : (c = e.value, 'string' == typeof c ? c.replace(gb, '') : null == c ? '' : c);
            }
        }
    }), n.extend({
        valHooks: {
            option: {
                get: function (a) {
                    var b = n.find.attr(a, 'value');
                    return null != b ? b : n.trim(n.text(a)).replace(hb, ' ');
                }
            },
            select: {
                get: function (a) {
                    for (var b, c, d = a.options, e = a.selectedIndex, f = 'select-one' === a.type || 0 > e, g = f ? null : [], h = f ? e + 1 : d.length, i = 0 > e ? h : f ? e : 0; h > i; i++)
                        if (c = d[i], (c.selected || i === e) && (l.optDisabled ? !c.disabled : null === c.getAttribute('disabled')) && (!c.parentNode.disabled || !n.nodeName(c.parentNode, 'optgroup'))) {
                            if (b = n(c).val(), f)
                                return b;
                            g.push(b);
                        }
                    return g;
                },
                set: function (a, b) {
                    var c, d, e = a.options, f = n.makeArray(b), g = e.length;
                    while (g--)
                        d = e[g], (d.selected = n.inArray(n.valHooks.option.get(d), f) > -1) && (c = !0);
                    return c || (a.selectedIndex = -1), f;
                }
            }
        }
    }), n.each([
        'radio',
        'checkbox'
    ], function () {
        n.valHooks[this] = {
            set: function (a, b) {
                return n.isArray(b) ? a.checked = n.inArray(n(a).val(), b) > -1 : void 0;
            }
        }, l.checkOn || (n.valHooks[this].get = function (a) {
            return null === a.getAttribute('value') ? 'on' : a.value;
        });
    });
    var ib = /^(?:focusinfocus|focusoutblur)$/;
    n.extend(n.event, {
        trigger: function (b, c, e, f) {
            var g, h, i, j, l, m, o, p = [e || d], q = k.call(b, 'type') ? b.type : b, r = k.call(b, 'namespace') ? b.namespace.split('.') : [];
            if (h = i = e = e || d, 3 !== e.nodeType && 8 !== e.nodeType && !ib.test(q + n.event.triggered) && (q.indexOf('.') > -1 && (r = q.split('.'), q = r.shift(), r.sort()), l = q.indexOf(':') < 0 && 'on' + q, b = b[n.expando] ? b : new n.Event(q, 'object' == typeof b && b), b.isTrigger = f ? 2 : 3, b.namespace = r.join('.'), b.rnamespace = b.namespace ? new RegExp('(^|\\.)' + r.join('\\.(?:.*\\.|)') + '(\\.|$)') : null, b.result = void 0, b.target || (b.target = e), c = null == c ? [b] : n.makeArray(c, [b]), o = n.event.special[q] || {}, f || !o.trigger || o.trigger.apply(e, c) !== !1)) {
                if (!f && !o.noBubble && !n.isWindow(e)) {
                    for (j = o.delegateType || q, ib.test(j + q) || (h = h.parentNode); h; h = h.parentNode)
                        p.push(h), i = h;
                    i === (e.ownerDocument || d) && p.push(i.defaultView || i.parentWindow || a);
                }
                g = 0;
                while ((h = p[g++]) && !b.isPropagationStopped())
                    b.type = g > 1 ? j : o.bindType || q, m = (N.get(h, 'events') || {})[b.type] && N.get(h, 'handle'), m && m.apply(h, c), m = l && h[l], m && m.apply && L(h) && (b.result = m.apply(h, c), b.result === !1 && b.preventDefault());
                return b.type = q, f || b.isDefaultPrevented() || o._default && o._default.apply(p.pop(), c) !== !1 || !L(e) || l && n.isFunction(e[q]) && !n.isWindow(e) && (i = e[l], i && (e[l] = null), n.event.triggered = q, e[q](), n.event.triggered = void 0, i && (e[l] = i)), b.result;
            }
        },
        simulate: function (a, b, c) {
            var d = n.extend(new n.Event(), c, {
                type: a,
                isSimulated: !0
            });
            n.event.trigger(d, null, b), d.isDefaultPrevented() && c.preventDefault();
        }
    }), n.fn.extend({
        trigger: function (a, b) {
            return this.each(function () {
                n.event.trigger(a, b, this);
            });
        },
        triggerHandler: function (a, b) {
            var c = this[0];
            return c ? n.event.trigger(a, b, c, !0) : void 0;
        }
    }), n.each('blur focus focusin focusout load resize scroll unload click dblclick mousedown mouseup mousemove mouseover mouseout mouseenter mouseleave change select submit keydown keypress keyup error contextmenu'.split(' '), function (a, b) {
        n.fn[b] = function (a, c) {
            return arguments.length > 0 ? this.on(b, null, a, c) : this.trigger(b);
        };
    }), n.fn.extend({
        hover: function (a, b) {
            return this.mouseenter(a).mouseleave(b || a);
        }
    }), l.focusin = 'onfocusin' in a, l.focusin || n.each({
        focus: 'focusin',
        blur: 'focusout'
    }, function (a, b) {
        var c = function (a) {
            n.event.simulate(b, a.target, n.event.fix(a));
        };
        n.event.special[b] = {
            setup: function () {
                var d = this.ownerDocument || this, e = N.access(d, b);
                e || d.addEventListener(a, c, !0), N.access(d, b, (e || 0) + 1);
            },
            teardown: function () {
                var d = this.ownerDocument || this, e = N.access(d, b) - 1;
                e ? N.access(d, b, e) : (d.removeEventListener(a, c, !0), N.remove(d, b));
            }
        };
    });
    var jb = a.location, kb = n.now(), lb = /\?/;
    n.parseJSON = function (a) {
        return JSON.parse(a + '');
    }, n.parseXML = function (b) {
        var c;
        if (!b || 'string' != typeof b)
            return null;
        try {
            c = new a.DOMParser().parseFromString(b, 'text/xml');
        } catch (d) {
            c = void 0;
        }
        return c && !c.getElementsByTagName('parsererror').length || n.error('Invalid XML: ' + b), c;
    };
    var mb = /#.*$/, nb = /([?&])_=[^&]*/, ob = /^(.*?):[ \t]*([^\r\n]*)$/gm, pb = /^(?:about|app|app-storage|.+-extension|file|res|widget):$/, qb = /^(?:GET|HEAD)$/, rb = /^\/\//, sb = {}, tb = {}, ub = '*/'.concat('*'), vb = d.createElement('a');
    vb.href = jb.href;
    function wb(a) {
        return function (b, c) {
            'string' != typeof b && (c = b, b = '*');
            var d, e = 0, f = b.toLowerCase().match(G) || [];
            if (n.isFunction(c))
                while (d = f[e++])
                    '+' === d[0] ? (d = d.slice(1) || '*', (a[d] = a[d] || []).unshift(c)) : (a[d] = a[d] || []).push(c);
        };
    }
    function xb(a, b, c, d) {
        var e = {}, f = a === tb;
        function g(h) {
            var i;
            return e[h] = !0, n.each(a[h] || [], function (a, h) {
                var j = h(b, c, d);
                return 'string' != typeof j || f || e[j] ? f ? !(i = j) : void 0 : (b.dataTypes.unshift(j), g(j), !1);
            }), i;
        }
        return g(b.dataTypes[0]) || !e['*'] && g('*');
    }
    function yb(a, b) {
        var c, d, e = n.ajaxSettings.flatOptions || {};
        for (c in b)
            void 0 !== b[c] && ((e[c] ? a : d || (d = {}))[c] = b[c]);
        return d && n.extend(!0, a, d), a;
    }
    function zb(a, b, c) {
        var d, e, f, g, h = a.contents, i = a.dataTypes;
        while ('*' === i[0])
            i.shift(), void 0 === d && (d = a.mimeType || b.getResponseHeader('Content-Type'));
        if (d)
            for (e in h)
                if (h[e] && h[e].test(d)) {
                    i.unshift(e);
                    break;
                }
        if (i[0] in c)
            f = i[0];
        else {
            for (e in c) {
                if (!i[0] || a.converters[e + ' ' + i[0]]) {
                    f = e;
                    break;
                }
                g || (g = e);
            }
            f = f || g;
        }
        return f ? (f !== i[0] && i.unshift(f), c[f]) : void 0;
    }
    function Ab(a, b, c, d) {
        var e, f, g, h, i, j = {}, k = a.dataTypes.slice();
        if (k[1])
            for (g in a.converters)
                j[g.toLowerCase()] = a.converters[g];
        f = k.shift();
        while (f)
            if (a.responseFields[f] && (c[a.responseFields[f]] = b), !i && d && a.dataFilter && (b = a.dataFilter(b, a.dataType)), i = f, f = k.shift())
                if ('*' === f)
                    f = i;
                else if ('*' !== i && i !== f) {
                    if (g = j[i + ' ' + f] || j['* ' + f], !g)
                        for (e in j)
                            if (h = e.split(' '), h[1] === f && (g = j[i + ' ' + h[0]] || j['* ' + h[0]])) {
                                g === !0 ? g = j[e] : j[e] !== !0 && (f = h[0], k.unshift(h[1]));
                                break;
                            }
                    if (g !== !0)
                        if (g && a['throws'])
                            b = g(b);
                        else
                            try {
                                b = g(b);
                            } catch (l) {
                                return {
                                    state: 'parsererror',
                                    error: g ? l : 'No conversion from ' + i + ' to ' + f
                                };
                            }
                }
        return {
            state: 'success',
            data: b
        };
    }
    n.extend({
        active: 0,
        lastModified: {},
        etag: {},
        ajaxSettings: {
            url: jb.href,
            type: 'GET',
            isLocal: pb.test(jb.protocol),
            global: !0,
            processData: !0,
            async: !0,
            contentType: 'application/x-www-form-urlencoded; charset=UTF-8',
            accepts: {
                '*': ub,
                text: 'text/plain',
                html: 'text/html',
                xml: 'application/xml, text/xml',
                json: 'application/json, text/javascript'
            },
            contents: {
                xml: /\bxml\b/,
                html: /\bhtml/,
                json: /\bjson\b/
            },
            responseFields: {
                xml: 'responseXML',
                text: 'responseText',
                json: 'responseJSON'
            },
            converters: {
                '* text': String,
                'text html': !0,
                'text json': n.parseJSON,
                'text xml': n.parseXML
            },
            flatOptions: {
                url: !0,
                context: !0
            }
        },
        ajaxSetup: function (a, b) {
            return b ? yb(yb(a, n.ajaxSettings), b) : yb(n.ajaxSettings, a);
        },
        ajaxPrefilter: wb(sb),
        ajaxTransport: wb(tb),
        ajax: function (b, c) {
            'object' == typeof b && (c = b, b = void 0), c = c || {};
            var e, f, g, h, i, j, k, l, m = n.ajaxSetup({}, c), o = m.context || m, p = m.context && (o.nodeType || o.jquery) ? n(o) : n.event, q = n.Deferred(), r = n.Callbacks('once memory'), s = m.statusCode || {}, t = {}, u = {}, v = 0, w = 'canceled', x = {
                    readyState: 0,
                    getResponseHeader: function (a) {
                        var b;
                        if (2 === v) {
                            if (!h) {
                                h = {};
                                while (b = ob.exec(g))
                                    h[b[1].toLowerCase()] = b[2];
                            }
                            b = h[a.toLowerCase()];
                        }
                        return null == b ? null : b;
                    },
                    getAllResponseHeaders: function () {
                        return 2 === v ? g : null;
                    },
                    setRequestHeader: function (a, b) {
                        var c = a.toLowerCase();
                        return v || (a = u[c] = u[c] || a, t[a] = b), this;
                    },
                    overrideMimeType: function (a) {
                        return v || (m.mimeType = a), this;
                    },
                    statusCode: function (a) {
                        var b;
                        if (a)
                            if (2 > v)
                                for (b in a)
                                    s[b] = [
                                        s[b],
                                        a[b]
                                    ];
                            else
                                x.always(a[x.status]);
                        return this;
                    },
                    abort: function (a) {
                        var b = a || w;
                        return e && e.abort(b), z(0, b), this;
                    }
                };
            if (q.promise(x).complete = r.add, x.success = x.done, x.error = x.fail, m.url = ((b || m.url || jb.href) + '').replace(mb, '').replace(rb, jb.protocol + '//'), m.type = c.method || c.type || m.method || m.type, m.dataTypes = n.trim(m.dataType || '*').toLowerCase().match(G) || [''], null == m.crossDomain) {
                j = d.createElement('a');
                try {
                    j.href = m.url, j.href = j.href, m.crossDomain = vb.protocol + '//' + vb.host != j.protocol + '//' + j.host;
                } catch (y) {
                    m.crossDomain = !0;
                }
            }
            if (m.data && m.processData && 'string' != typeof m.data && (m.data = n.param(m.data, m.traditional)), xb(sb, m, c, x), 2 === v)
                return x;
            k = n.event && m.global, k && 0 === n.active++ && n.event.trigger('ajaxStart'), m.type = m.type.toUpperCase(), m.hasContent = !qb.test(m.type), f = m.url, m.hasContent || (m.data && (f = m.url += (lb.test(f) ? '&' : '?') + m.data, delete m.data), m.cache === !1 && (m.url = nb.test(f) ? f.replace(nb, '$1_=' + kb++) : f + (lb.test(f) ? '&' : '?') + '_=' + kb++)), m.ifModified && (n.lastModified[f] && x.setRequestHeader('If-Modified-Since', n.lastModified[f]), n.etag[f] && x.setRequestHeader('If-None-Match', n.etag[f])), (m.data && m.hasContent && m.contentType !== !1 || c.contentType) && x.setRequestHeader('Content-Type', m.contentType), x.setRequestHeader('Accept', m.dataTypes[0] && m.accepts[m.dataTypes[0]] ? m.accepts[m.dataTypes[0]] + ('*' !== m.dataTypes[0] ? ', ' + ub + '; q=0.01' : '') : m.accepts['*']);
            for (l in m.headers)
                x.setRequestHeader(l, m.headers[l]);
            if (m.beforeSend && (m.beforeSend.call(o, x, m) === !1 || 2 === v))
                return x.abort();
            w = 'abort';
            for (l in {
                    success: 1,
                    error: 1,
                    complete: 1
                })
                x[l](m[l]);
            if (e = xb(tb, m, c, x)) {
                if (x.readyState = 1, k && p.trigger('ajaxSend', [
                        x,
                        m
                    ]), 2 === v)
                    return x;
                m.async && m.timeout > 0 && (i = a.setTimeout(function () {
                    x.abort('timeout');
                }, m.timeout));
                try {
                    v = 1, e.send(t, z);
                } catch (y) {
                    if (!(2 > v))
                        throw y;
                    z(-1, y);
                }
            } else
                z(-1, 'No Transport');
            function z(b, c, d, h) {
                var j, l, t, u, w, y = c;
                2 !== v && (v = 2, i && a.clearTimeout(i), e = void 0, g = h || '', x.readyState = b > 0 ? 4 : 0, j = b >= 200 && 300 > b || 304 === b, d && (u = zb(m, x, d)), u = Ab(m, u, x, j), j ? (m.ifModified && (w = x.getResponseHeader('Last-Modified'), w && (n.lastModified[f] = w), w = x.getResponseHeader('etag'), w && (n.etag[f] = w)), 204 === b || 'HEAD' === m.type ? y = 'nocontent' : 304 === b ? y = 'notmodified' : (y = u.state, l = u.data, t = u.error, j = !t)) : (t = y, !b && y || (y = 'error', 0 > b && (b = 0))), x.status = b, x.statusText = (c || y) + '', j ? q.resolveWith(o, [
                    l,
                    y,
                    x
                ]) : q.rejectWith(o, [
                    x,
                    y,
                    t
                ]), x.statusCode(s), s = void 0, k && p.trigger(j ? 'ajaxSuccess' : 'ajaxError', [
                    x,
                    m,
                    j ? l : t
                ]), r.fireWith(o, [
                    x,
                    y
                ]), k && (p.trigger('ajaxComplete', [
                    x,
                    m
                ]), --n.active || n.event.trigger('ajaxStop')));
            }
            return x;
        },
        getJSON: function (a, b, c) {
            return n.get(a, b, c, 'json');
        },
        getScript: function (a, b) {
            return n.get(a, void 0, b, 'script');
        }
    }), n.each([
        'get',
        'post'
    ], function (a, b) {
        n[b] = function (a, c, d, e) {
            return n.isFunction(c) && (e = e || d, d = c, c = void 0), n.ajax(n.extend({
                url: a,
                type: b,
                dataType: e,
                data: c,
                success: d
            }, n.isPlainObject(a) && a));
        };
    }), n._evalUrl = function (a) {
        return n.ajax({
            url: a,
            type: 'GET',
            dataType: 'script',
            async: !1,
            global: !1,
            'throws': !0
        });
    }, n.fn.extend({
        wrapAll: function (a) {
            var b;
            return n.isFunction(a) ? this.each(function (b) {
                n(this).wrapAll(a.call(this, b));
            }) : (this[0] && (b = n(a, this[0].ownerDocument).eq(0).clone(!0), this[0].parentNode && b.insertBefore(this[0]), b.map(function () {
                var a = this;
                while (a.firstElementChild)
                    a = a.firstElementChild;
                return a;
            }).append(this)), this);
        },
        wrapInner: function (a) {
            return n.isFunction(a) ? this.each(function (b) {
                n(this).wrapInner(a.call(this, b));
            }) : this.each(function () {
                var b = n(this), c = b.contents();
                c.length ? c.wrapAll(a) : b.append(a);
            });
        },
        wrap: function (a) {
            var b = n.isFunction(a);
            return this.each(function (c) {
                n(this).wrapAll(b ? a.call(this, c) : a);
            });
        },
        unwrap: function () {
            return this.parent().each(function () {
                n.nodeName(this, 'body') || n(this).replaceWith(this.childNodes);
            }).end();
        }
    }), n.expr.filters.hidden = function (a) {
        return !n.expr.filters.visible(a);
    }, n.expr.filters.visible = function (a) {
        return a.offsetWidth > 0 || a.offsetHeight > 0 || a.getClientRects().length > 0;
    };
    var Bb = /%20/g, Cb = /\[\]$/, Db = /\r?\n/g, Eb = /^(?:submit|button|image|reset|file)$/i, Fb = /^(?:input|select|textarea|keygen)/i;
    function Gb(a, b, c, d) {
        var e;
        if (n.isArray(b))
            n.each(b, function (b, e) {
                c || Cb.test(a) ? d(a, e) : Gb(a + '[' + ('object' == typeof e && null != e ? b : '') + ']', e, c, d);
            });
        else if (c || 'object' !== n.type(b))
            d(a, b);
        else
            for (e in b)
                Gb(a + '[' + e + ']', b[e], c, d);
    }
    n.param = function (a, b) {
        var c, d = [], e = function (a, b) {
                b = n.isFunction(b) ? b() : null == b ? '' : b, d[d.length] = encodeURIComponent(a) + '=' + encodeURIComponent(b);
            };
        if (void 0 === b && (b = n.ajaxSettings && n.ajaxSettings.traditional), n.isArray(a) || a.jquery && !n.isPlainObject(a))
            n.each(a, function () {
                e(this.name, this.value);
            });
        else
            for (c in a)
                Gb(c, a[c], b, e);
        return d.join('&').replace(Bb, '+');
    }, n.fn.extend({
        serialize: function () {
            return n.param(this.serializeArray());
        },
        serializeArray: function () {
            return this.map(function () {
                var a = n.prop(this, 'elements');
                return a ? n.makeArray(a) : this;
            }).filter(function () {
                var a = this.type;
                return this.name && !n(this).is(':disabled') && Fb.test(this.nodeName) && !Eb.test(a) && (this.checked || !X.test(a));
            }).map(function (a, b) {
                var c = n(this).val();
                return null == c ? null : n.isArray(c) ? n.map(c, function (a) {
                    return {
                        name: b.name,
                        value: a.replace(Db, '\r\n')
                    };
                }) : {
                    name: b.name,
                    value: c.replace(Db, '\r\n')
                };
            }).get();
        }
    }), n.ajaxSettings.xhr = function () {
        try {
            return new a.XMLHttpRequest();
        } catch (b) {
        }
    };
    var Hb = {
            0: 200,
            1223: 204
        }, Ib = n.ajaxSettings.xhr();
    l.cors = !!Ib && 'withCredentials' in Ib, l.ajax = Ib = !!Ib, n.ajaxTransport(function (b) {
        var c, d;
        return l.cors || Ib && !b.crossDomain ? {
            send: function (e, f) {
                var g, h = b.xhr();
                if (h.open(b.type, b.url, b.async, b.username, b.password), b.xhrFields)
                    for (g in b.xhrFields)
                        h[g] = b.xhrFields[g];
                b.mimeType && h.overrideMimeType && h.overrideMimeType(b.mimeType), b.crossDomain || e['X-Requested-With'] || (e['X-Requested-With'] = 'XMLHttpRequest');
                for (g in e)
                    h.setRequestHeader(g, e[g]);
                c = function (a) {
                    return function () {
                        c && (c = d = h.onload = h.onerror = h.onabort = h.onreadystatechange = null, 'abort' === a ? h.abort() : 'error' === a ? 'number' != typeof h.status ? f(0, 'error') : f(h.status, h.statusText) : f(Hb[h.status] || h.status, h.statusText, 'text' !== (h.responseType || 'text') || 'string' != typeof h.responseText ? { binary: h.response } : { text: h.responseText }, h.getAllResponseHeaders()));
                    };
                }, h.onload = c(), d = h.onerror = c('error'), void 0 !== h.onabort ? h.onabort = d : h.onreadystatechange = function () {
                    4 === h.readyState && a.setTimeout(function () {
                        c && d();
                    });
                }, c = c('abort');
                try {
                    h.send(b.hasContent && b.data || null);
                } catch (i) {
                    if (c)
                        throw i;
                }
            },
            abort: function () {
                c && c();
            }
        } : void 0;
    }), n.ajaxSetup({
        accepts: { script: 'text/javascript, application/javascript, application/ecmascript, application/x-ecmascript' },
        contents: { script: /\b(?:java|ecma)script\b/ },
        converters: {
            'text script': function (a) {
                return n.globalEval(a), a;
            }
        }
    }), n.ajaxPrefilter('script', function (a) {
        void 0 === a.cache && (a.cache = !1), a.crossDomain && (a.type = 'GET');
    }), n.ajaxTransport('script', function (a) {
        if (a.crossDomain) {
            var b, c;
            return {
                send: function (e, f) {
                    b = n('<script>').prop({
                        charset: a.scriptCharset,
                        src: a.url
                    }).on('load error', c = function (a) {
                        b.remove(), c = null, a && f('error' === a.type ? 404 : 200, a.type);
                    }), d.head.appendChild(b[0]);
                },
                abort: function () {
                    c && c();
                }
            };
        }
    });
    var Jb = [], Kb = /(=)\?(?=&|$)|\?\?/;
    n.ajaxSetup({
        jsonp: 'callback',
        jsonpCallback: function () {
            var a = Jb.pop() || n.expando + '_' + kb++;
            return this[a] = !0, a;
        }
    }), n.ajaxPrefilter('json jsonp', function (b, c, d) {
        var e, f, g, h = b.jsonp !== !1 && (Kb.test(b.url) ? 'url' : 'string' == typeof b.data && 0 === (b.contentType || '').indexOf('application/x-www-form-urlencoded') && Kb.test(b.data) && 'data');
        return h || 'jsonp' === b.dataTypes[0] ? (e = b.jsonpCallback = n.isFunction(b.jsonpCallback) ? b.jsonpCallback() : b.jsonpCallback, h ? b[h] = b[h].replace(Kb, '$1' + e) : b.jsonp !== !1 && (b.url += (lb.test(b.url) ? '&' : '?') + b.jsonp + '=' + e), b.converters['script json'] = function () {
            return g || n.error(e + ' was not called'), g[0];
        }, b.dataTypes[0] = 'json', f = a[e], a[e] = function () {
            g = arguments;
        }, d.always(function () {
            void 0 === f ? n(a).removeProp(e) : a[e] = f, b[e] && (b.jsonpCallback = c.jsonpCallback, Jb.push(e)), g && n.isFunction(f) && f(g[0]), g = f = void 0;
        }), 'script') : void 0;
    }), n.parseHTML = function (a, b, c) {
        if (!a || 'string' != typeof a)
            return null;
        'boolean' == typeof b && (c = b, b = !1), b = b || d;
        var e = x.exec(a), f = !c && [];
        return e ? [b.createElement(e[1])] : (e = ca([a], b, f), f && f.length && n(f).remove(), n.merge([], e.childNodes));
    };
    var Lb = n.fn.load;
    n.fn.load = function (a, b, c) {
        if ('string' != typeof a && Lb)
            return Lb.apply(this, arguments);
        var d, e, f, g = this, h = a.indexOf(' ');
        return h > -1 && (d = n.trim(a.slice(h)), a = a.slice(0, h)), n.isFunction(b) ? (c = b, b = void 0) : b && 'object' == typeof b && (e = 'POST'), g.length > 0 && n.ajax({
            url: a,
            type: e || 'GET',
            dataType: 'html',
            data: b
        }).done(function (a) {
            f = arguments, g.html(d ? n('<div>').append(n.parseHTML(a)).find(d) : a);
        }).always(c && function (a, b) {
            g.each(function () {
                c.apply(this, f || [
                    a.responseText,
                    b,
                    a
                ]);
            });
        }), this;
    }, n.each([
        'ajaxStart',
        'ajaxStop',
        'ajaxComplete',
        'ajaxError',
        'ajaxSuccess',
        'ajaxSend'
    ], function (a, b) {
        n.fn[b] = function (a) {
            return this.on(b, a);
        };
    }), n.expr.filters.animated = function (a) {
        return n.grep(n.timers, function (b) {
            return a === b.elem;
        }).length;
    };
    function Mb(a) {
        return n.isWindow(a) ? a : 9 === a.nodeType && a.defaultView;
    }
    n.offset = {
        setOffset: function (a, b, c) {
            var d, e, f, g, h, i, j, k = n.css(a, 'position'), l = n(a), m = {};
            'static' === k && (a.style.position = 'relative'), h = l.offset(), f = n.css(a, 'top'), i = n.css(a, 'left'), j = ('absolute' === k || 'fixed' === k) && (f + i).indexOf('auto') > -1, j ? (d = l.position(), g = d.top, e = d.left) : (g = parseFloat(f) || 0, e = parseFloat(i) || 0), n.isFunction(b) && (b = b.call(a, c, n.extend({}, h))), null != b.top && (m.top = b.top - h.top + g), null != b.left && (m.left = b.left - h.left + e), 'using' in b ? b.using.call(a, m) : l.css(m);
        }
    }, n.fn.extend({
        offset: function (a) {
            if (arguments.length)
                return void 0 === a ? this : this.each(function (b) {
                    n.offset.setOffset(this, a, b);
                });
            var b, c, d = this[0], e = {
                    top: 0,
                    left: 0
                }, f = d && d.ownerDocument;
            if (f)
                return b = f.documentElement, n.contains(b, d) ? (e = d.getBoundingClientRect(), c = Mb(f), {
                    top: e.top + c.pageYOffset - b.clientTop,
                    left: e.left + c.pageXOffset - b.clientLeft
                }) : e;
        },
        position: function () {
            if (this[0]) {
                var a, b, c = this[0], d = {
                        top: 0,
                        left: 0
                    };
                return 'fixed' === n.css(c, 'position') ? b = c.getBoundingClientRect() : (a = this.offsetParent(), b = this.offset(), n.nodeName(a[0], 'html') || (d = a.offset()), d.top += n.css(a[0], 'borderTopWidth', !0), d.left += n.css(a[0], 'borderLeftWidth', !0)), {
                    top: b.top - d.top - n.css(c, 'marginTop', !0),
                    left: b.left - d.left - n.css(c, 'marginLeft', !0)
                };
            }
        },
        offsetParent: function () {
            return this.map(function () {
                var a = this.offsetParent;
                while (a && 'static' === n.css(a, 'position'))
                    a = a.offsetParent;
                return a || Ea;
            });
        }
    }), n.each({
        scrollLeft: 'pageXOffset',
        scrollTop: 'pageYOffset'
    }, function (a, b) {
        var c = 'pageYOffset' === b;
        n.fn[a] = function (d) {
            return K(this, function (a, d, e) {
                var f = Mb(a);
                return void 0 === e ? f ? f[b] : a[d] : void (f ? f.scrollTo(c ? f.pageXOffset : e, c ? e : f.pageYOffset) : a[d] = e);
            }, a, d, arguments.length);
        };
    }), n.each([
        'top',
        'left'
    ], function (a, b) {
        n.cssHooks[b] = Ga(l.pixelPosition, function (a, c) {
            return c ? (c = Fa(a, b), Ba.test(c) ? n(a).position()[b] + 'px' : c) : void 0;
        });
    }), n.each({
        Height: 'height',
        Width: 'width'
    }, function (a, b) {
        n.each({
            padding: 'inner' + a,
            content: b,
            '': 'outer' + a
        }, function (c, d) {
            n.fn[d] = function (d, e) {
                var f = arguments.length && (c || 'boolean' != typeof d), g = c || (d === !0 || e === !0 ? 'margin' : 'border');
                return K(this, function (b, c, d) {
                    var e;
                    return n.isWindow(b) ? b.document.documentElement['client' + a] : 9 === b.nodeType ? (e = b.documentElement, Math.max(b.body['scroll' + a], e['scroll' + a], b.body['offset' + a], e['offset' + a], e['client' + a])) : void 0 === d ? n.css(b, c, g) : n.style(b, c, d, g);
                }, b, f ? d : void 0, f, null);
            };
        });
    }), n.fn.extend({
        bind: function (a, b, c) {
            return this.on(a, null, b, c);
        },
        unbind: function (a, b) {
            return this.off(a, null, b);
        },
        delegate: function (a, b, c, d) {
            return this.on(b, a, c, d);
        },
        undelegate: function (a, b, c) {
            return 1 === arguments.length ? this.off(a, '**') : this.off(b, a || '**', c);
        },
        size: function () {
            return this.length;
        }
    }), n.fn.andSelf = n.fn.addBack, 'function' == typeof define && define.amd && define('jquery', [], function () {
        return n;
    });
    var Nb = a.jQuery, Ob = a.$;
    return n.noConflict = function (b) {
        return a.$ === n && (a.$ = Ob), b && a.jQuery === n && (a.jQuery = Nb), n;
    }, b || (a.jQuery = a.$ = n), n;
});
var App = App || {};
define('updata', ['jquery'], function ($) {
    var debug = function (_val, _type) {
        if (App.debug) {
            var _d = new Date();
            var _tm = _d.getDate() + '' + _d.getHours() + '' + _d.getMinutes();
            _tm += '' + _d.getSeconds() + '' + _d.getMilliseconds();
            App.debug.push(_tm, _val, _type);
        }
    };
    App.upData = function (_obj) {
        if (App.n.ok) {
            if (!App.n.device.testnetwork()) {
                App.alert('当前无法连接网络');
                return false;
            }
        }
        var obj = {};
        obj.type = 'POST';
        obj.url = '';
        obj.dataType = 'json';
        obj.contentType = 'application/json;charset=utf-8';
        obj.cache = true;
        obj.success = function (data) {
            debug('------read------<br/>' + this.url + '<br/>' + JSON.stringify(data), 2);
            this.cxSuccess(data);
        };
        obj.cxSuccess = function (data) {
        };
        obj.error = function (a, b, c) {
            App.loading(false);
            App.alert('数据通信有问题');
        };
        if (_obj.data) {
            var _enStr = '';
            for (var v in _obj.data) {
                _enStr += '' + _obj.data[v];
            }
            _enStr = _enStr;
            if (_obj.url.indexOf('?') < 0) {
                _obj.url = _obj.url + '?';
            }
            _obj.url = _obj.url + '&verifycode=' + App.enKey(_enStr);
        }
        for (var k in _obj) {
            if (k != 'data') {
                if (k == 'success') {
                    obj['cxSuccess'] = _obj[k];
                } else {
                    obj[k] = _obj[k];
                }
            } else {
                obj[k] = JSON.stringify(_obj[k]);
            }
        }
        debug('------create------<br/>' + obj.url + '<br/>' + obj.data, 1);
        $.ajax(obj);
    };
});
(function (factory) {
    if (typeof define === 'function' && define.amd) {
        define('cookie', ['jquery'], factory);
    } else if (typeof exports === 'object') {
        module.exports = factory(require('jquery'));
    } else {
        factory(jQuery);
    }
}(function ($) {
    var pluses = /\+/g;
    function encode(s) {
        return config.raw ? s : encodeURIComponent(s);
    }
    function decode(s) {
        return config.raw ? s : decodeURIComponent(s);
    }
    function stringifyCookieValue(value) {
        return encode(config.json ? JSON.stringify(value) : String(value));
    }
    function parseCookieValue(s) {
        if (s.indexOf('"') === 0) {
            s = s.slice(1, -1).replace(/\\"/g, '"').replace(/\\\\/g, '\\');
        }
        try {
            s = decodeURIComponent(s.replace(pluses, ' '));
            return config.json ? JSON.parse(s) : s;
        } catch (e) {
        }
    }
    function read(s, converter) {
        var value = config.raw ? s : parseCookieValue(s);
        return $.isFunction(converter) ? converter(value) : value;
    }
    var config = $.cookie = function (key, value, options) {
        if (arguments.length > 1 && !$.isFunction(value)) {
            options = $.extend({}, config.defaults, options);
            if (typeof options.expires === 'number') {
                var days = options.expires, t = options.expires = new Date();
                t.setMilliseconds(t.getMilliseconds() + days * 86400000);
            }
            return document.cookie = [
                encode(key),
                '=',
                stringifyCookieValue(value),
                options.expires ? '; expires=' + options.expires.toUTCString() : '',
                options.path ? '; path=' + options.path : '',
                options.domain ? '; domain=' + options.domain : '',
                options.secure ? '; secure' : ''
            ].join('');
        }
        var result = key ? undefined : {}, cookies = document.cookie ? document.cookie.split('; ') : [], i = 0, l = cookies.length;
        for (; i < l; i++) {
            var parts = cookies[i].split('='), name = decode(parts.shift()), cookie = parts.join('=');
            if (key === name) {
                result = read(cookie, value);
                break;
            }
            if (!key && (cookie = read(cookie)) !== undefined) {
                result[name] = cookie;
            }
        }
        return result;
    };
    config.defaults = {};
    $.removeCookie = function (key, options) {
        $.cookie(key, '', $.extend({}, options, { expires: -1 }));
        return !$.cookie(key);
    };
}));
(function () {
    !function (t, e) {
        'object' == typeof exports && 'undefined' != typeof module ? module.exports = e() : 'function' == typeof define && define.amd ? define('vue', [
            'underscore',
            'jquery',
            'updata',
            'cookie'
        ], e) : t.Vue = e();
    }(this, function () {
        'use strict';
        function t(e, n, r) {
            if (i(e, n))
                return void (e[n] = r);
            if (e._isVue)
                return void t(e._data, n, r);
            var s = e.__ob__;
            if (!s)
                return void (e[n] = r);
            if (s.convert(n, r), s.dep.notify(), s.vms)
                for (var o = s.vms.length; o--;) {
                    var a = s.vms[o];
                    a._proxy(n), a._digest();
                }
            return r;
        }
        function e(t, e) {
            if (i(t, e)) {
                delete t[e];
                var n = t.__ob__;
                if (!n)
                    return void (t._isVue && (delete t._data[e], t._digest()));
                if (n.dep.notify(), n.vms)
                    for (var r = n.vms.length; r--;) {
                        var s = n.vms[r];
                        s._unproxy(e), s._digest();
                    }
            }
        }
        function i(t, e) {
            return Oi.call(t, e);
        }
        function n(t) {
            return Ti.test(t);
        }
        function r(t) {
            var e = (t + '').charCodeAt(0);
            return 36 === e || 95 === e;
        }
        function s(t) {
            return null == t ? '' : t.toString();
        }
        function o(t) {
            if ('string' != typeof t)
                return t;
            var e = Number(t);
            return isNaN(e) ? t : e;
        }
        function a(t) {
            return 'true' === t ? !0 : 'false' === t ? !1 : t;
        }
        function h(t) {
            var e = t.charCodeAt(0), i = t.charCodeAt(t.length - 1);
            return e !== i || 34 !== e && 39 !== e ? t : t.slice(1, -1);
        }
        function l(t) {
            return t.replace(Ni, c);
        }
        function c(t, e) {
            return e ? e.toUpperCase() : '';
        }
        function u(t) {
            return t.replace(ji, '$1-$2').toLowerCase();
        }
        function f(t) {
            return t.replace(Ei, c);
        }
        function p(t, e) {
            return function (i) {
                var n = arguments.length;
                return n ? n > 1 ? t.apply(e, arguments) : t.call(e, i) : t.call(e);
            };
        }
        function d(t, e) {
            e = e || 0;
            for (var i = t.length - e, n = new Array(i); i--;)
                n[i] = t[i + e];
            return n;
        }
        function v(t, e) {
            for (var i = Object.keys(e), n = i.length; n--;)
                t[i[n]] = e[i[n]];
            return t;
        }
        function m(t) {
            return null !== t && 'object' == typeof t;
        }
        function g(t) {
            return Si.call(t) === Fi;
        }
        function _(t, e, i, n) {
            Object.defineProperty(t, e, {
                value: i,
                enumerable: !!n,
                writable: !0,
                configurable: !0
            });
        }
        function y(t, e) {
            var i, n, r, s, o, a = function h() {
                    var a = Date.now() - s;
                    e > a && a >= 0 ? i = setTimeout(h, e - a) : (i = null, o = t.apply(r, n), i || (r = n = null));
                };
            return function () {
                return r = this, n = arguments, s = Date.now(), i || (i = setTimeout(a, e)), o;
            };
        }
        function b(t, e) {
            for (var i = t.length; i--;)
                if (t[i] === e)
                    return i;
            return -1;
        }
        function w(t) {
            var e = function i() {
                return i.cancelled ? void 0 : t.apply(this, arguments);
            };
            return e.cancel = function () {
                e.cancelled = !0;
            }, e;
        }
        function C(t, e) {
            return t == e || (m(t) && m(e) ? JSON.stringify(t) === JSON.stringify(e) : !1);
        }
        function $(t) {
            this.size = 0, this.limit = t, this.head = this.tail = void 0, this._keymap = Object.create(null);
        }
        function k() {
            var t, e = en.slice(hn, on).trim();
            if (e) {
                t = {};
                var i = e.match(vn);
                t.name = i[0], i.length > 1 && (t.args = i.slice(1).map(x));
            }
            t && (nn.filters = nn.filters || []).push(t), hn = on + 1;
        }
        function x(t) {
            if (mn.test(t))
                return {
                    value: o(t),
                    dynamic: !1
                };
            var e = h(t), i = e === t;
            return {
                value: i ? t : e,
                dynamic: i
            };
        }
        function A(t) {
            var e = dn.get(t);
            if (e)
                return e;
            for (en = t, ln = cn = !1, un = fn = pn = 0, hn = 0, nn = {}, on = 0, an = en.length; an > on; on++)
                if (sn = rn, rn = en.charCodeAt(on), ln)
                    39 === rn && 92 !== sn && (ln = !ln);
                else if (cn)
                    34 === rn && 92 !== sn && (cn = !cn);
                else if (124 === rn && 124 !== en.charCodeAt(on + 1) && 124 !== en.charCodeAt(on - 1))
                    null == nn.expression ? (hn = on + 1, nn.expression = en.slice(0, on).trim()) : k();
                else
                    switch (rn) {
                    case 34:
                        cn = !0;
                        break;
                    case 39:
                        ln = !0;
                        break;
                    case 40:
                        pn++;
                        break;
                    case 41:
                        pn--;
                        break;
                    case 91:
                        fn++;
                        break;
                    case 93:
                        fn--;
                        break;
                    case 123:
                        un++;
                        break;
                    case 125:
                        un--;
                    }
            return null == nn.expression ? nn.expression = en.slice(0, on).trim() : 0 !== hn && k(), dn.put(t, nn), nn;
        }
        function O(t) {
            return t.replace(_n, '\\$&');
        }
        function T() {
            var t = O(An.delimiters[0]), e = O(An.delimiters[1]), i = O(An.unsafeDelimiters[0]), n = O(An.unsafeDelimiters[1]);
            bn = new RegExp(i + '((?:.|\\n)+?)' + n + '|' + t + '((?:.|\\n)+?)' + e, 'g'), wn = new RegExp('^' + i + '((?:.|\\n)+?)' + n + '$'), yn = new $(1000);
        }
        function N(t) {
            yn || T();
            var e = yn.get(t);
            if (e)
                return e;
            if (!bn.test(t))
                return null;
            for (var i, n, r, s, o, a, h = [], l = bn.lastIndex = 0; i = bn.exec(t);)
                n = i.index, n > l && h.push({ value: t.slice(l, n) }), r = wn.test(i[0]), s = r ? i[1] : i[2], o = s.charCodeAt(0), a = 42 === o, s = a ? s.slice(1) : s, h.push({
                    tag: !0,
                    value: s.trim(),
                    html: r,
                    oneTime: a
                }), l = n + i[0].length;
            return l < t.length && h.push({ value: t.slice(l) }), yn.put(t, h), h;
        }
        function j(t, e) {
            return t.length > 1 ? t.map(function (t) {
                return E(t, e);
            }).join('+') : E(t[0], e, !0);
        }
        function E(t, e, i) {
            return t.tag ? t.oneTime && e ? '"' + e.$eval(t.value) + '"' : S(t.value, i) : '"' + t.value + '"';
        }
        function S(t, e) {
            if (Cn.test(t)) {
                var i = A(t);
                return i.filters ? 'this._applyFilters(' + i.expression + ',null,' + JSON.stringify(i.filters) + ',false)' : '(' + t + ')';
            }
            return e ? t : '(' + t + ')';
        }
        function F(t, e, i, n) {
            R(t, 1, function () {
                e.appendChild(t);
            }, i, n);
        }
        function D(t, e, i, n) {
            R(t, 1, function () {
                B(t, e);
            }, i, n);
        }
        function P(t, e, i) {
            R(t, -1, function () {
                z(t);
            }, e, i);
        }
        function R(t, e, i, n, r) {
            var s = t.__v_trans;
            if (!s || !s.hooks && !qi || !n._isCompiled || n.$parent && !n.$parent._isCompiled)
                return i(), void (r && r());
            var o = e > 0 ? 'enter' : 'leave';
            s[o](i, r);
        }
        function L(t) {
            if ('string' == typeof t) {
                t = document.querySelector(t);
            }
            return t;
        }
        function H(t) {
            if (!t)
                return !1;
            var e = t.ownerDocument.documentElement, i = t.parentNode;
            return e === t || e === i || !(!i || 1 !== i.nodeType || !e.contains(i));
        }
        function I(t, e) {
            var i = t.getAttribute(e);
            return null !== i && t.removeAttribute(e), i;
        }
        function M(t, e) {
            var i = I(t, ':' + e);
            return null === i && (i = I(t, 'v-bind:' + e)), i;
        }
        function V(t, e) {
            return t.hasAttribute(e) || t.hasAttribute(':' + e) || t.hasAttribute('v-bind:' + e);
        }
        function B(t, e) {
            e.parentNode.insertBefore(t, e);
        }
        function W(t, e) {
            e.nextSibling ? B(t, e.nextSibling) : e.parentNode.appendChild(t);
        }
        function z(t) {
            t.parentNode.removeChild(t);
        }
        function U(t, e) {
            e.firstChild ? B(t, e.firstChild) : e.appendChild(t);
        }
        function J(t, e) {
            var i = t.parentNode;
            i && i.replaceChild(e, t);
        }
        function q(t, e, i, n) {
            t.addEventListener(e, i, n);
        }
        function Q(t, e, i) {
            t.removeEventListener(e, i);
        }
        function G(t) {
            var e = t.className;
            return 'object' == typeof e && (e = e.baseVal || ''), e;
        }
        function Z(t, e) {
            Mi && !/svg$/.test(t.namespaceURI) ? t.className = e : t.setAttribute('class', e);
        }
        function X(t, e) {
            if (t.classList)
                t.classList.add(e);
            else {
                var i = ' ' + G(t) + ' ';
                i.indexOf(' ' + e + ' ') < 0 && Z(t, (i + e).trim());
            }
        }
        function Y(t, e) {
            if (t.classList)
                t.classList.remove(e);
            else {
                for (var i = ' ' + G(t) + ' ', n = ' ' + e + ' '; i.indexOf(n) >= 0;)
                    i = i.replace(n, ' ');
                Z(t, i.trim());
            }
            t.className || t.removeAttribute('class');
        }
        function K(t, e) {
            var i, n;
            if (it(t) && at(t.content) && (t = t.content), t.hasChildNodes())
                for (tt(t), n = e ? document.createDocumentFragment() : document.createElement('div'); i = t.firstChild;)
                    n.appendChild(i);
            return n;
        }
        function tt(t) {
            for (var e; e = t.firstChild, et(e);)
                t.removeChild(e);
            for (; e = t.lastChild, et(e);)
                t.removeChild(e);
        }
        function et(t) {
            return t && (3 === t.nodeType && !t.data.trim() || 8 === t.nodeType);
        }
        function it(t) {
            return t.tagName && 'template' === t.tagName.toLowerCase();
        }
        function nt(t, e) {
            var i = An.debug ? document.createComment(t) : document.createTextNode(e ? ' ' : '');
            return i.__v_anchor = !0, i;
        }
        function rt(t) {
            if (t.hasAttributes())
                for (var e = t.attributes, i = 0, n = e.length; n > i; i++) {
                    var r = e[i].name;
                    if (Nn.test(r))
                        return l(r.replace(Nn, ''));
                }
        }
        function st(t, e, i) {
            for (var n; t !== e;)
                n = t.nextSibling, i(t), t = n;
            i(e);
        }
        function ot(t, e, i, n, r) {
            function s() {
                if (a++, o && a >= h.length) {
                    for (var t = 0; t < h.length; t++)
                        n.appendChild(h[t]);
                    r && r();
                }
            }
            var o = !1, a = 0, h = [];
            st(t, e, function (t) {
                t === e && (o = !0), h.push(t), P(t, i, s);
            });
        }
        function at(t) {
            return t && 11 === t.nodeType;
        }
        function ht(t) {
            if (t.outerHTML)
                return t.outerHTML;
            var e = document.createElement('div');
            return e.appendChild(t.cloneNode(!0)), e.innerHTML;
        }
        function lt(t, e) {
            var i = t.tagName.toLowerCase(), n = t.hasAttributes();
            if (jn.test(i) || En.test(i)) {
                if (n)
                    return ct(t, e);
            } else {
                if (gt(e, 'components', i))
                    return { id: i };
                var r = n && ct(t, e);
                if (r)
                    return r;
            }
        }
        function ct(t, e) {
            var i = t.getAttribute('is');
            if (null != i) {
                if (gt(e, 'components', i))
                    return t.removeAttribute('is'), { id: i };
            } else if (i = M(t, 'is'), null != i)
                return {
                    id: i,
                    dynamic: !0
                };
        }
        function ut(e, n) {
            var r, s, o;
            for (r in n)
                s = e[r], o = n[r], i(e, r) ? m(s) && m(o) && ut(s, o) : t(e, r, o);
            return e;
        }
        function ft(t, e) {
            var i = Object.create(t || null);
            return e ? v(i, vt(e)) : i;
        }
        function pt(t) {
            if (t.components)
                for (var e, i = t.components = vt(t.components), n = Object.keys(i), r = 0, s = n.length; s > r; r++) {
                    var o = n[r];
                    jn.test(o) || En.test(o) || (e = i[o], g(e) && (i[o] = wi.extend(e)));
                }
        }
        function dt(t) {
            var e, i, n = t.props;
            if (Di(n))
                for (t.props = {}, e = n.length; e--;)
                    i = n[e], 'string' == typeof i ? t.props[i] = null : i.name && (t.props[i.name] = i);
            else if (g(n)) {
                var r = Object.keys(n);
                for (e = r.length; e--;)
                    i = n[r[e]], 'function' == typeof i && (n[r[e]] = { type: i });
            }
        }
        function vt(t) {
            if (Di(t)) {
                for (var e, i = {}, n = t.length; n--;) {
                    e = t[n];
                    var r = 'function' == typeof e ? e.options && e.options.name || e.id : e.name || e.id;
                    r && (i[r] = e);
                }
                return i;
            }
            return t;
        }
        function mt(t, e, n) {
            function r(i) {
                var r = Sn[i] || Fn;
                o[i] = r(t[i], e[i], n, i);
            }
            pt(e), dt(e);
            var s, o = {};
            if (e['extends'] && (t = 'function' == typeof e['extends'] ? mt(t, e['extends'].options, n) : mt(t, e['extends'], n)), e.mixins)
                for (var a = 0, h = e.mixins.length; h > a; a++) {
                    var l = e.mixins[a], c = l.prototype instanceof wi ? l.options : l;
                    t = mt(t, c, n);
                }
            for (s in t)
                r(s);
            for (s in e)
                i(t, s) || r(s);
            return o;
        }
        function gt(t, e, i, n) {
            if ('string' == typeof i) {
                var r, s = t[e], o = s[i] || s[r = l(i)] || s[r.charAt(0).toUpperCase() + r.slice(1)];
                return o;
            }
        }
        function _t() {
            this.id = Dn++, this.subs = [];
        }
        function yt(t) {
            Hn = !1, t(), Hn = !0;
        }
        function bt(t) {
            if (this.value = t, this.dep = new _t(), _(t, '__ob__', this), Di(t)) {
                var e = Pi ? wt : Ct;
                e(t, Rn, Ln), this.observeArray(t);
            } else
                this.walk(t);
        }
        function wt(t, e) {
            t.__proto__ = e;
        }
        function Ct(t, e, i) {
            for (var n = 0, r = i.length; r > n; n++) {
                var s = i[n];
                _(t, s, e[s]);
            }
        }
        function $t(t, e) {
            if (t && 'object' == typeof t) {
                var n;
                return i(t, '__ob__') && t.__ob__ instanceof bt ? n = t.__ob__ : Hn && (Di(t) || g(t)) && Object.isExtensible(t) && !t._isVue && (n = new bt(t)), n && e && n.addVm(e), n;
            }
        }
        function kt(t, e, i) {
            var n = new _t(), r = Object.getOwnPropertyDescriptor(t, e);
            if (!r || r.configurable !== !1) {
                var s = r && r.get, o = r && r.set, a = $t(i);
                Object.defineProperty(t, e, {
                    enumerable: !0,
                    configurable: !0,
                    get: function () {
                        var e = s ? s.call(t) : i;
                        if (_t.target && (n.depend(), a && a.dep.depend(), Di(e)))
                            for (var r, o = 0, h = e.length; h > o; o++)
                                r = e[o], r && r.__ob__ && r.__ob__.dep.depend();
                        return e;
                    },
                    set: function (e) {
                        var r = s ? s.call(t) : i;
                        e !== r && (o ? o.call(t, e) : i = e, a = $t(e), n.notify());
                    }
                });
            }
        }
        function xt(t) {
            t.prototype._init = function (t) {
                t = t || {}, this.$el = null, this.$parent = t.parent, this.$root = this.$parent ? this.$parent.$root : this, this.$children = [], this.$refs = {}, this.$els = {}, this._watchers = [], this._directives = [], this._uid = Mn++, this._isVue = !0, this._events = {}, this._eventsCount = {}, this._isFragment = !1, this._fragment = this._fragmentStart = this._fragmentEnd = null, this._isCompiled = this._isDestroyed = this._isReady = this._isAttached = this._isBeingDestroyed = this._vForRemoving = !1, this._unlinkFn = null, this._context = t._context || this.$parent, this._scope = t._scope, this._frag = t._frag, this._frag && this._frag.children.push(this), this.$parent && this.$parent.$children.push(this), t = this.$options = mt(this.constructor.options, t, this), this._updateRef(), this._data = {}, this._callHook('init'), this._initState(), this._initEvents(), this._callHook('created'), t.el && this.$mount(t.el);
            };
        }
        function At(t) {
            if (void 0 === t)
                return 'eof';
            var e = t.charCodeAt(0);
            switch (e) {
            case 91:
            case 93:
            case 46:
            case 34:
            case 39:
            case 48:
                return t;
            case 95:
            case 36:
                return 'ident';
            case 32:
            case 9:
            case 10:
            case 13:
            case 160:
            case 65279:
            case 8232:
            case 8233:
                return 'ws';
            }
            return e >= 97 && 122 >= e || e >= 65 && 90 >= e ? 'ident' : e >= 49 && 57 >= e ? 'number' : 'else';
        }
        function Ot(t) {
            var e = t.trim();
            return '0' === t.charAt(0) && isNaN(t) ? !1 : n(e) ? h(e) : '*' + e;
        }
        function Tt(t) {
            function e() {
                var e = t[c + 1];
                return u === Xn && '\'' === e || u === Yn && '"' === e ? (c++, n = '\\' + e, p[Bn](), !0) : void 0;
            }
            var i, n, r, s, o, a, h, l = [], c = -1, u = Jn, f = 0, p = [];
            for (p[Wn] = function () {
                    void 0 !== r && (l.push(r), r = void 0);
                }, p[Bn] = function () {
                    void 0 === r ? r = n : r += n;
                }, p[zn] = function () {
                    p[Bn](), f++;
                }, p[Un] = function () {
                    if (f > 0)
                        f--, u = Zn, p[Bn]();
                    else {
                        if (f = 0, r = Ot(r), r === !1)
                            return !1;
                        p[Wn]();
                    }
                }; null != u;)
                if (c++, i = t[c], '\\' !== i || !e()) {
                    if (s = At(i), h = er[u], o = h[s] || h['else'] || tr, o === tr)
                        return;
                    if (u = o[0], a = p[o[1]], a && (n = o[2], n = void 0 === n ? i : n, a() === !1))
                        return;
                    if (u === Kn)
                        return l.raw = t, l;
                }
        }
        function Nt(t) {
            var e = Vn.get(t);
            return e || (e = Tt(t), e && Vn.put(t, e)), e;
        }
        function jt(t, e) {
            return It(e).get(t);
        }
        function Et(e, i, n) {
            var r = e;
            if ('string' == typeof i && (i = Tt(i)), !i || !m(e))
                return !1;
            for (var s, o, a = 0, h = i.length; h > a; a++)
                s = e, o = i[a], '*' === o.charAt(0) && (o = It(o.slice(1)).get.call(r, r)), h - 1 > a ? (e = e[o], m(e) || (e = {}, t(s, o, e))) : Di(e) ? e.$set(o, n) : o in e ? e[o] = n : t(e, o, n);
            return !0;
        }
        function St() {
        }
        function Ft(t, e) {
            var i = vr.length;
            return vr[i] = e ? t.replace(lr, '\\n') : t, '"' + i + '"';
        }
        function Dt(t) {
            var e = t.charAt(0), i = t.slice(1);
            return sr.test(i) ? t : (i = i.indexOf('"') > -1 ? i.replace(ur, Pt) : i, e + 'scope.' + i);
        }
        function Pt(t, e) {
            return vr[e];
        }
        function Rt(t) {
            ar.test(t), vr.length = 0;
            var e = t.replace(cr, Ft).replace(hr, '');
            return e = (' ' + e).replace(pr, Dt).replace(ur, Pt), Lt(e);
        }
        function Lt(t) {
            try {
                return new Function('scope', 'return ' + t + ';');
            } catch (e) {
                return St;
            }
        }
        function Ht(t) {
            var e = Nt(t);
            return e ? function (t, i) {
                Et(t, e, i);
            } : void 0;
        }
        function It(t, e) {
            t = t.trim();
            var i = nr.get(t);
            if (i)
                return e && !i.set && (i.set = Ht(i.exp)), i;
            var n = { exp: t };
            return n.get = Mt(t) && t.indexOf('[') < 0 ? Lt('scope.' + t) : Rt(t), e && (n.set = Ht(t)), nr.put(t, n), n;
        }
        function Mt(t) {
            return fr.test(t) && !dr.test(t) && 'Math.' !== t.slice(0, 5);
        }
        function Vt() {
            gr.length = 0, _r.length = 0, yr = {}, br = {}, wr = !1;
        }
        function Bt() {
            for (var t = !0; t;)
                t = !1, Wt(gr), Wt(_r), gr.length ? t = !0 : (Li && An.devtools && Li.emit('flush'), Vt());
        }
        function Wt(t) {
            for (var e = 0; e < t.length; e++) {
                var i = t[e], n = i.id;
                yr[n] = null, i.run();
            }
            t.length = 0;
        }
        function zt(t) {
            var e = t.id;
            if (null == yr[e]) {
                var i = t.user ? _r : gr;
                yr[e] = i.length, i.push(t), wr || (wr = !0, Yi(Bt));
            }
        }
        function Ut(t, e, i, n) {
            n && v(this, n);
            var r = 'function' == typeof e;
            if (this.vm = t, t._watchers.push(this), this.expression = e, this.cb = i, this.id = ++Cr, this.active = !0, this.dirty = this.lazy, this.deps = [], this.newDeps = [], this.depIds = new Ki(), this.newDepIds = new Ki(), this.prevError = null, r)
                this.getter = e, this.setter = void 0;
            else {
                var s = It(e, this.twoWay);
                this.getter = s.get, this.setter = s.set;
            }
            this.value = this.lazy ? void 0 : this.get(), this.queued = this.shallow = !1;
        }
        function Jt(t, e) {
            var i = void 0, n = void 0;
            e || (e = $r, e.clear());
            var r = Di(t), s = m(t);
            if ((r || s) && Object.isExtensible(t)) {
                if (t.__ob__) {
                    var o = t.__ob__.dep.id;
                    if (e.has(o))
                        return;
                    e.add(o);
                }
                if (r)
                    for (i = t.length; i--;)
                        Jt(t[i], e);
                else if (s)
                    for (n = Object.keys(t), i = n.length; i--;)
                        Jt(t[n[i]], e);
            }
        }
        function qt(t) {
            return it(t) && at(t.content);
        }
        function Qt(t, e) {
            var i = e ? t : t.trim(), n = xr.get(i);
            if (n)
                return n;
            var r = document.createDocumentFragment(), s = t.match(Tr), o = Nr.test(t), a = jr.test(t);
            if (s || o || a) {
                var h = s && s[1], l = Or[h] || Or.efault, c = l[0], u = l[1], f = l[2], p = document.createElement('div');
                for (p.innerHTML = u + t + f; c--;)
                    p = p.lastChild;
                for (var d; d = p.firstChild;)
                    r.appendChild(d);
            } else
                r.appendChild(document.createTextNode(t));
            return e || tt(r), xr.put(i, r), r;
        }
        function Gt(t) {
            if (qt(t))
                return Qt(t.innerHTML);
            if ('SCRIPT' === t.tagName)
                return Qt(t.textContent);
            for (var e, i = Zt(t), n = document.createDocumentFragment(); e = i.firstChild;)
                n.appendChild(e);
            return tt(n), n;
        }
        function Zt(t) {
            if (!t.querySelectorAll)
                return t.cloneNode();
            var e, i, n, r = t.cloneNode(!0);
            if (Er) {
                var s = r;
                if (qt(t) && (t = t.content, s = r.content), i = t.querySelectorAll('template'), i.length)
                    for (n = s.querySelectorAll('template'), e = n.length; e--;)
                        n[e].parentNode.replaceChild(Zt(i[e]), n[e]);
            }
            if (Sr)
                if ('TEXTAREA' === t.tagName)
                    r.value = t.value;
                else if (i = t.querySelectorAll('textarea'), i.length)
                    for (n = r.querySelectorAll('textarea'), e = n.length; e--;)
                        n[e].value = i[e].value;
            return r;
        }
        function Xt(t, e, i) {
            var n, r;
            return at(t) ? (tt(t), e ? Zt(t) : t) : ('string' == typeof t ? i || '#' !== t.charAt(0) ? r = Qt(t, i) : (r = Ar.get(t), r || (n = document.getElementById(t.slice(1)), n && (r = Gt(n), Ar.put(t, r)))) : t.nodeType && (r = Gt(t)), r && e ? Zt(r) : r);
        }
        function Yt(t, e, i, n, r, s) {
            this.children = [], this.childFrags = [], this.vm = e, this.scope = r, this.inserted = !1, this.parentFrag = s, s && s.childFrags.push(this), this.unlink = t(e, i, n, r, this);
            var o = this.single = 1 === i.childNodes.length && !i.childNodes[0].__v_anchor;
            o ? (this.node = i.childNodes[0], this.before = Kt, this.remove = te) : (this.node = nt('fragment-start'), this.end = nt('fragment-end'), this.frag = i, U(this.node, i), i.appendChild(this.end), this.before = ee, this.remove = ie), this.node.__v_frag = this;
        }
        function Kt(t, e) {
            this.inserted = !0;
            var i = e !== !1 ? D : B;
            i(this.node, t, this.vm), H(this.node) && this.callHook(ne);
        }
        function te() {
            this.inserted = !1;
            var t = H(this.node), e = this;
            this.beforeRemove(), P(this.node, this.vm, function () {
                t && e.callHook(re), e.destroy();
            });
        }
        function ee(t, e) {
            this.inserted = !0;
            var i = this.vm, n = e !== !1 ? D : B;
            st(this.node, this.end, function (e) {
                n(e, t, i);
            }), H(this.node) && this.callHook(ne);
        }
        function ie() {
            this.inserted = !1;
            var t = this, e = H(this.node);
            this.beforeRemove(), ot(this.node, this.end, this.vm, this.frag, function () {
                e && t.callHook(re), t.destroy();
            });
        }
        function ne(t) {
            !t._isAttached && H(t.$el) && t._callHook('attached');
        }
        function re(t) {
            t._isAttached && !H(t.$el) && t._callHook('detached');
        }
        function se(t, e) {
            this.vm = t;
            var i, n = 'string' == typeof e;
            n || it(e) && !e.hasAttribute('v-if') ? i = Xt(e, !0) : (i = document.createDocumentFragment(), i.appendChild(e)), this.template = i;
            var r, s = t.constructor.cid;
            if (s > 0) {
                var o = s + (n ? e : ht(e));
                r = Pr.get(o), r || (r = De(i, t.$options, !0), Pr.put(o, r));
            } else
                r = De(i, t.$options, !0);
            this.linker = r;
        }
        function oe(t, e, i) {
            var n = t.node.previousSibling;
            if (n) {
                for (t = n.__v_frag; !(t && t.forId === i && t.inserted || n === e);) {
                    if (n = n.previousSibling, !n)
                        return;
                    t = n.__v_frag;
                }
                return t;
            }
        }
        function ae(t) {
            var e = t.node;
            if (t.end)
                for (; !e.__vue__ && e !== t.end && e.nextSibling;)
                    e = e.nextSibling;
            return e.__vue__;
        }
        function he(t) {
            for (var e = -1, i = new Array(Math.floor(t)); ++e < t;)
                i[e] = e;
            return i;
        }
        function le(t, e, i, n) {
            return n ? '$index' === n ? t : n.charAt(0).match(/\w/) ? jt(i, n) : i[n] : e || i;
        }
        function ce(t, e, i) {
            for (var n, r, s, o = e ? [] : null, a = 0, h = t.options.length; h > a; a++)
                if (n = t.options[a], s = i ? n.hasAttribute('selected') : n.selected) {
                    if (r = n.hasOwnProperty('_value') ? n._value : n.value, !e)
                        return r;
                    o.push(r);
                }
            return o;
        }
        function ue(t, e) {
            for (var i = t.length; i--;)
                if (C(t[i], e))
                    return i;
            return -1;
        }
        function fe(t, e) {
            var i = e.map(function (t) {
                var e = t.charCodeAt(0);
                return e > 47 && 58 > e ? parseInt(t, 10) : 1 === t.length && (e = t.toUpperCase().charCodeAt(0), e > 64 && 91 > e) ? e : is[t];
            });
            return i = [].concat.apply([], i), function (e) {
                return i.indexOf(e.keyCode) > -1 ? t.call(this, e) : void 0;
            };
        }
        function pe(t) {
            return function (e) {
                return e.stopPropagation(), t.call(this, e);
            };
        }
        function de(t) {
            return function (e) {
                return e.preventDefault(), t.call(this, e);
            };
        }
        function ve(t) {
            return function (e) {
                return e.target === e.currentTarget ? t.call(this, e) : void 0;
            };
        }
        function me(t) {
            if (as[t])
                return as[t];
            var e = ge(t);
            return as[t] = as[e] = e, e;
        }
        function ge(t) {
            t = u(t);
            var e = l(t), i = e.charAt(0).toUpperCase() + e.slice(1);
            hs || (hs = document.createElement('div'));
            var n, r = rs.length;
            if ('filter' !== e && e in hs.style)
                return {
                    kebab: t,
                    camel: e
                };
            for (; r--;)
                if (n = ss[r] + i, n in hs.style)
                    return {
                        kebab: rs[r] + t,
                        camel: n
                    };
        }
        function _e(t) {
            var e = [];
            if (Di(t))
                for (var i = 0, n = t.length; n > i; i++) {
                    var r = t[i];
                    if (r)
                        if ('string' == typeof r)
                            e.push(r);
                        else
                            for (var s in r)
                                r[s] && e.push(s);
                }
            else if (m(t))
                for (var o in t)
                    t[o] && e.push(o);
            return e;
        }
        function ye(t, e, i) {
            if (e = e.trim(), -1 === e.indexOf(' '))
                return void i(t, e);
            for (var n = e.split(/\s+/), r = 0, s = n.length; s > r; r++)
                i(t, n[r]);
        }
        function be(t, e, i) {
            function n() {
                ++s >= r ? i() : t[s].call(e, n);
            }
            var r = t.length, s = 0;
            t[0].call(e, n);
        }
        function we(t, e, i) {
            for (var r, s, o, a, h, c, f, p = [], d = Object.keys(e), v = d.length; v--;)
                s = d[v], r = e[s] || ks, h = l(s), xs.test(h) && (f = {
                    name: s,
                    path: h,
                    options: r,
                    mode: $s.ONE_WAY,
                    raw: null
                }, o = u(s), null === (a = M(t, o)) && (null !== (a = M(t, o + '.sync')) ? f.mode = $s.TWO_WAY : null !== (a = M(t, o + '.once')) && (f.mode = $s.ONE_TIME)), null !== a ? (f.raw = a, c = A(a), a = c.expression, f.filters = c.filters, n(a) && !c.filters ? f.optimizedLiteral = !0 : f.dynamic = !0, f.parentPath = a) : null !== (a = I(t, o)) && (f.raw = a), p.push(f));
            return Ce(p);
        }
        function Ce(t) {
            return function (e, n) {
                e._props = {};
                for (var r, s, l, c, f, p = e.$options.propsData, d = t.length; d--;)
                    if (r = t[d], f = r.raw, s = r.path, l = r.options, e._props[s] = r, p && i(p, s) && ke(e, r, p[s]), null === f)
                        ke(e, r, void 0);
                    else if (r.dynamic)
                        r.mode === $s.ONE_TIME ? (c = (n || e._context || e).$get(r.parentPath), ke(e, r, c)) : e._context ? e._bindDir({
                            name: 'prop',
                            def: Os,
                            prop: r
                        }, null, null, n) : ke(e, r, e.$get(r.parentPath));
                    else if (r.optimizedLiteral) {
                        var v = h(f);
                        c = v === f ? a(o(f)) : v, ke(e, r, c);
                    } else
                        c = l.type !== Boolean || '' !== f && f !== u(r.name) ? f : !0, ke(e, r, c);
            };
        }
        function $e(t, e, i, n) {
            var r = e.dynamic && Mt(e.parentPath), s = i;
            void 0 === s && (s = Ae(t, e)), s = Te(e, s, t);
            var o = s !== i;
            Oe(e, s, t) || (s = void 0), r && !o ? yt(function () {
                n(s);
            }) : n(s);
        }
        function ke(t, e, i) {
            $e(t, e, i, function (i) {
                kt(t, e.path, i);
            });
        }
        function xe(t, e, i) {
            $e(t, e, i, function (i) {
                t[e.path] = i;
            });
        }
        function Ae(t, e) {
            var n = e.options;
            if (!i(n, 'default'))
                return n.type === Boolean ? !1 : void 0;
            var r = n['default'];
            return m(r), 'function' == typeof r && n.type !== Function ? r.call(t) : r;
        }
        function Oe(t, e, i) {
            if (!t.options.required && (null === t.raw || null == e))
                return !0;
            var n = t.options, r = n.type, s = !r, o = [];
            if (r) {
                Di(r) || (r = [r]);
                for (var a = 0; a < r.length && !s; a++) {
                    var h = Ne(e, r[a]);
                    o.push(h.expectedType), s = h.valid;
                }
            }
            if (!s)
                return !1;
            var l = n.validator;
            return l && !l(e) ? !1 : !0;
        }
        function Te(t, e, i) {
            var n = t.options.coerce;
            return n && 'function' == typeof n ? n(e) : e;
        }
        function Ne(t, e) {
            var i, n;
            return e === String ? (n = 'string', i = typeof t === n) : e === Number ? (n = 'number', i = typeof t === n) : e === Boolean ? (n = 'boolean', i = typeof t === n) : e === Function ? (n = 'function', i = typeof t === n) : e === Object ? (n = 'object', i = g(t)) : e === Array ? (n = 'array', i = Di(t)) : i = t instanceof e, {
                valid: i,
                expectedType: n
            };
        }
        function je(t) {
            Ts.push(t), Ns || (Ns = !0, Yi(Ee));
        }
        function Ee() {
            for (var t = document.documentElement.offsetHeight, e = 0; e < Ts.length; e++)
                Ts[e]();
            return Ts = [], Ns = !1, t;
        }
        function Se(t, e, i, n) {
            this.id = e, this.el = t, this.enterClass = i && i.enterClass || e + '-enter', this.leaveClass = i && i.leaveClass || e + '-leave', this.hooks = i, this.vm = n, this.pendingCssEvent = this.pendingCssCb = this.cancel = this.pendingJsCb = this.op = this.cb = null, this.justEntered = !1, this.entered = this.left = !1, this.typeCache = {}, this.type = i && i.type;
            var r = this;
            [
                'enterNextTick',
                'enterDone',
                'leaveNextTick',
                'leaveDone'
            ].forEach(function (t) {
                r[t] = p(r[t], r);
            });
        }
        function Fe(t) {
            if (/svg$/.test(t.namespaceURI)) {
                var e = t.getBoundingClientRect();
                return !(e.width || e.height);
            }
            return !(t.offsetWidth || t.offsetHeight || t.getClientRects().length);
        }
        function De(t, e, i) {
            var n = i || !e._asComponent ? Ve(t, e) : null, r = n && n.terminal || ri(t) || !t.hasChildNodes() ? null : qe(t.childNodes, e);
            return function (t, e, i, s, o) {
                var a = d(e.childNodes), h = Pe(function () {
                        n && n(t, e, i, s, o), r && r(t, a, i, s, o);
                    }, t);
                return Le(t, h);
            };
        }
        function Pe(t, e) {
            e._directives = [];
            var i = e._directives.length;
            t();
            var n = e._directives.slice(i);
            n.sort(Re);
            for (var r = 0, s = n.length; s > r; r++)
                n[r]._bind();
            return n;
        }
        function Re(t, e) {
            return t = t.descriptor.def.priority || zs, e = e.descriptor.def.priority || zs, t > e ? -1 : t === e ? 0 : 1;
        }
        function Le(t, e, i, n) {
            function r(r) {
                He(t, e, r), i && n && He(i, n);
            }
            return r.dirs = e, r;
        }
        function He(t, e, i) {
            for (var n = e.length; n--;)
                e[n]._teardown();
        }
        function Ie(t, e, i, n) {
            var r = we(e, i, t), s = Pe(function () {
                    r(t, n);
                }, t);
            return Le(t, s);
        }
        function Me(t, e, i) {
            var n, r, s = e._containerAttrs, o = e._replacerAttrs;
            return 11 !== t.nodeType && (e._asComponent ? (s && i && (n = ti(s, i)), o && (r = ti(o, e))) : r = ti(t.attributes, e)), e._containerAttrs = e._replacerAttrs = null, function (t, e, i) {
                var s, o = t._context;
                o && n && (s = Pe(function () {
                    n(o, e, null, i);
                }, o));
                var a = Pe(function () {
                    r && r(t, e);
                }, t);
                return Le(t, a, o, s);
            };
        }
        function Ve(t, e) {
            var i = t.nodeType;
            return 1 !== i || ri(t) ? 3 === i && t.data.trim() ? We(t, e) : null : Be(t, e);
        }
        function Be(t, e) {
            if ('TEXTAREA' === t.tagName) {
                var i = N(t.value);
                i && (t.setAttribute(':value', j(i)), t.value = '');
            }
            var n, r = t.hasAttributes(), s = r && d(t.attributes);
            return r && (n = Xe(t, s, e)), n || (n = Ge(t, e)), n || (n = Ze(t, e)), !n && r && (n = ti(s, e)), n;
        }
        function We(t, e) {
            if (t._skip)
                return ze;
            var i = N(t.wholeText);
            if (!i)
                return null;
            for (var n = t.nextSibling; n && 3 === n.nodeType;)
                n._skip = !0, n = n.nextSibling;
            for (var r, s, o = document.createDocumentFragment(), a = 0, h = i.length; h > a; a++)
                s = i[a], r = s.tag ? Ue(s, e) : document.createTextNode(s.value), o.appendChild(r);
            return Je(i, o, e);
        }
        function ze(t, e) {
            z(e);
        }
        function Ue(t, e) {
            function i(e) {
                if (!t.descriptor) {
                    var i = A(t.value);
                    t.descriptor = {
                        name: e,
                        def: bs[e],
                        expression: i.expression,
                        filters: i.filters
                    };
                }
            }
            var n;
            return t.oneTime ? n = document.createTextNode(t.value) : t.html ? (n = document.createComment('v-html'), i('html')) : (n = document.createTextNode(' '), i('text')), n;
        }
        function Je(t, e) {
            return function (i, n, r, o) {
                for (var a, h, l, c = e.cloneNode(!0), u = d(c.childNodes), f = 0, p = t.length; p > f; f++)
                    a = t[f], h = a.value, a.tag && (l = u[f], a.oneTime ? (h = (o || i).$eval(h), a.html ? J(l, Xt(h, !0)) : l.data = s(h)) : i._bindDir(a.descriptor, l, r, o));
                J(n, c);
            };
        }
        function qe(t, e) {
            for (var i, n, r, s = [], o = 0, a = t.length; a > o; o++)
                r = t[o], i = Ve(r, e), n = i && i.terminal || 'SCRIPT' === r.tagName || !r.hasChildNodes() ? null : qe(r.childNodes, e), s.push(i, n);
            return s.length ? Qe(s) : null;
        }
        function Qe(t) {
            return function (e, i, n, r, s) {
                for (var o, a, h, l = 0, c = 0, u = t.length; u > l; c++) {
                    o = i[c], a = t[l++], h = t[l++];
                    var f = d(o.childNodes);
                    a && a(e, o, n, r, s), h && h(e, f, n, r, s);
                }
            };
        }
        function Ge(t, e) {
            var i = t.tagName.toLowerCase();
            if (!jn.test(i)) {
                var n = gt(e, 'elementDirectives', i);
                return n ? Ke(t, i, '', e, n) : void 0;
            }
        }
        function Ze(t, e) {
            var i = lt(t, e);
            if (i) {
                var n = rt(t), r = {
                        name: 'component',
                        ref: n,
                        expression: i.id,
                        def: Hs.component,
                        modifiers: { literal: !i.dynamic }
                    }, s = function (t, e, i, s, o) {
                        n && kt((s || t).$refs, n, null), t._bindDir(r, e, i, s, o);
                    };
                return s.terminal = !0, s;
            }
        }
        function Xe(t, e, i) {
            if (null !== I(t, 'v-pre'))
                return Ye;
            if (t.hasAttribute('v-else')) {
                var n = t.previousElementSibling;
                if (n && n.hasAttribute('v-if'))
                    return Ye;
            }
            for (var r, s, o, a, h, l, c, u, f, p, d = 0, v = e.length; v > d; d++)
                r = e[d], s = r.name.replace(Bs, ''), (h = s.match(Vs)) && (f = gt(i, 'directives', h[1]), f && f.terminal && (!p || (f.priority || Us) > p.priority) && (p = f, c = r.name, a = ei(r.name), o = r.value, l = h[1], u = h[2]));
            return p ? Ke(t, l, o, i, p, c, u, a) : void 0;
        }
        function Ye() {
        }
        function Ke(t, e, i, n, r, s, o, a) {
            var h = A(i), l = {
                    name: e,
                    arg: o,
                    expression: h.expression,
                    filters: h.filters,
                    raw: i,
                    attr: s,
                    modifiers: a,
                    def: r
                };
            ('for' === e || 'router-view' === e) && (l.ref = rt(t));
            var c = function (t, e, i, n, r) {
                l.ref && kt((n || t).$refs, l.ref, null), t._bindDir(l, e, i, n, r);
            };
            return c.terminal = !0, c;
        }
        function ti(t, e) {
            function i(t, e, i) {
                var n = i && ni(i), r = !n && A(s);
                v.push({
                    name: t,
                    attr: o,
                    raw: a,
                    def: e,
                    arg: l,
                    modifiers: c,
                    expression: r && r.expression,
                    filters: r && r.filters,
                    interp: i,
                    hasOneTime: n
                });
            }
            for (var n, r, s, o, a, h, l, c, u, f, p, d = t.length, v = []; d--;)
                if (n = t[d], r = o = n.name, s = a = n.value, f = N(s), l = null, c = ei(r), r = r.replace(Bs, ''), f)
                    s = j(f), l = r, i('bind', bs.bind, f);
                else if (Ws.test(r))
                    c.literal = !Is.test(r), i('transition', Hs.transition);
                else if (Ms.test(r))
                    l = r.replace(Ms, ''), i('on', bs.on);
                else if (Is.test(r))
                    h = r.replace(Is, ''), 'style' === h || 'class' === h ? i(h, Hs[h]) : (l = h, i('bind', bs.bind));
                else if (p = r.match(Vs)) {
                    if (h = p[1], l = p[2], 'else' === h)
                        continue;
                    u = gt(e, 'directives', h, !0), u && i(h, u);
                }
            return v.length ? ii(v) : void 0;
        }
        function ei(t) {
            var e = Object.create(null), i = t.match(Bs);
            if (i)
                for (var n = i.length; n--;)
                    e[i[n].slice(1)] = !0;
            return e;
        }
        function ii(t) {
            return function (e, i, n, r, s) {
                for (var o = t.length; o--;)
                    e._bindDir(t[o], i, n, r, s);
            };
        }
        function ni(t) {
            for (var e = t.length; e--;)
                if (t[e].oneTime)
                    return !0;
        }
        function ri(t) {
            return 'SCRIPT' === t.tagName && (!t.hasAttribute('type') || 'text/javascript' === t.getAttribute('type'));
        }
        function si(t, e) {
            return e && (e._containerAttrs = ai(t)), it(t) && (t = Xt(t)), e && (e._asComponent && !e.template && (e.template = '<slot></slot>'), e.template && (e._content = K(t), t = oi(t, e))), at(t) && (U(nt('v-start', !0), t), t.appendChild(nt('v-end', !0))), t;
        }
        function oi(t, e) {
            var i = e.template, n = Xt(i, !0);
            if (n) {
                var r = n.firstChild, s = r.tagName && r.tagName.toLowerCase();
                return e.replace ? (t === document.body, n.childNodes.length > 1 || 1 !== r.nodeType || 'component' === s || gt(e, 'components', s) || V(r, 'is') || gt(e, 'elementDirectives', s) || r.hasAttribute('v-for') || r.hasAttribute('v-if') ? n : (e._replacerAttrs = ai(r), hi(t, r), r)) : (t.appendChild(n), t);
            }
        }
        function ai(t) {
            return 1 === t.nodeType && t.hasAttributes() ? d(t.attributes) : void 0;
        }
        function hi(t, e) {
            for (var i, n, r = t.attributes, s = r.length; s--;)
                i = r[s].name, n = r[s].value, e.hasAttribute(i) || Js.test(i) ? 'class' === i && !N(n) && (n = n.trim()) && n.split(/\s+/).forEach(function (t) {
                    X(e, t);
                }) : e.setAttribute(i, n);
        }
        function li(t, e) {
            if (e) {
                for (var i, n, r = t._slotContents = Object.create(null), s = 0, o = e.children.length; o > s; s++)
                    i = e.children[s], (n = i.getAttribute('slot')) && (r[n] || (r[n] = [])).push(i);
                for (n in r)
                    r[n] = ci(r[n], e);
                if (e.hasChildNodes()) {
                    var a = e.childNodes;
                    if (1 === a.length && 3 === a[0].nodeType && !a[0].data.trim())
                        return;
                    r['default'] = ci(e.childNodes, e);
                }
            }
        }
        function ci(t, e) {
            var i = document.createDocumentFragment();
            t = d(t);
            for (var n = 0, r = t.length; r > n; n++) {
                var s = t[n];
                !it(s) || s.hasAttribute('v-if') || s.hasAttribute('v-for') || (e.removeChild(s), s = Xt(s, !0)), i.appendChild(s);
            }
            return i;
        }
        function ui(t) {
            function e() {
            }
            function n(t, e) {
                var i = new Ut(e, t, null, { lazy: !0 });
                return function () {
                    return i.dirty && i.evaluate(), _t.target && i.depend(), i.value;
                };
            }
            Object.defineProperty(t.prototype, '$data', {
                get: function () {
                    return this._data;
                },
                set: function (t) {
                    t !== this._data && this._setData(t);
                }
            }), t.prototype._initState = function () {
                this._initProps(), this._initMeta(), this._initMethods(), this._initData(), this._initComputed();
            }, t.prototype._initProps = function () {
                var t = this.$options, e = t.el, i = t.props;
                e = t.el = L(e), this._propsUnlinkFn = e && 1 === e.nodeType && i ? Ie(this, e, i, this._scope) : null;
            }, t.prototype._initData = function () {
                var t = this.$options.data, e = this._data = t ? t() : {};
                g(e) || (e = {});
                var n, r, s = this._props, o = Object.keys(e);
                for (n = o.length; n--;)
                    r = o[n], s && i(s, r) || this._proxy(r);
                $t(e, this);
            }, t.prototype._setData = function (t) {
                t = t || {};
                var e = this._data;
                this._data = t;
                var n, r, s;
                for (n = Object.keys(e), s = n.length; s--;)
                    r = n[s], r in t || this._unproxy(r);
                for (n = Object.keys(t), s = n.length; s--;)
                    r = n[s], i(this, r) || this._proxy(r);
                e.__ob__.removeVm(this), $t(t, this), this._digest();
            }, t.prototype._proxy = function (t) {
                if (!r(t)) {
                    var e = this;
                    Object.defineProperty(e, t, {
                        configurable: !0,
                        enumerable: !0,
                        get: function () {
                            return e._data[t];
                        },
                        set: function (i) {
                            e._data[t] = i;
                        }
                    });
                }
            }, t.prototype._unproxy = function (t) {
                r(t) || delete this[t];
            }, t.prototype._digest = function () {
                for (var t = 0, e = this._watchers.length; e > t; t++)
                    this._watchers[t].update(!0);
            }, t.prototype._initComputed = function () {
                var t = this.$options.computed;
                if (t)
                    for (var i in t) {
                        var r = t[i], s = {
                                enumerable: !0,
                                configurable: !0
                            };
                        'function' == typeof r ? (s.get = n(r, this), s.set = e) : (s.get = r.get ? r.cache !== !1 ? n(r.get, this) : p(r.get, this) : e, s.set = r.set ? p(r.set, this) : e), Object.defineProperty(this, i, s);
                    }
            }, t.prototype._initMethods = function () {
                var t = this.$options.methods;
                if (t)
                    for (var e in t)
                        this[e] = p(t[e], this);
            }, t.prototype._initMeta = function () {
                var t = this.$options._meta;
                if (t)
                    for (var e in t)
                        kt(this, e, t[e]);
            };
        }
        function fi(t) {
            function e(t, e) {
                for (var i, n, r, s = e.attributes, o = 0, a = s.length; a > o; o++)
                    i = s[o].name, Qs.test(i) && (i = i.replace(Qs, ''), n = s[o].value, Mt(n) && (n += '.apply(this, $arguments)'), r = (t._scope || t._context).$eval(n, !0), r._fromParent = !0, t.$on(i.replace(Qs), r));
            }
            function i(t, e, i) {
                if (i) {
                    var r, s, o, a;
                    for (s in i)
                        if (r = i[s], Di(r))
                            for (o = 0, a = r.length; a > o; o++)
                                n(t, e, s, r[o]);
                        else
                            n(t, e, s, r);
                }
            }
            function n(t, e, i, r, s) {
                var o = typeof r;
                if ('function' === o)
                    t[e](i, r, s);
                else if ('string' === o) {
                    var a = t.$options.methods, h = a && a[r];
                    h && t[e](i, h, s);
                } else
                    r && 'object' === o && n(t, e, i, r.handler, r);
            }
            function r() {
                this._isAttached || (this._isAttached = !0, this.$children.forEach(s));
            }
            function s(t) {
                !t._isAttached && H(t.$el) && t._callHook('attached');
            }
            function o() {
                this._isAttached && (this._isAttached = !1, this.$children.forEach(a));
            }
            function a(t) {
                t._isAttached && !H(t.$el) && t._callHook('detached');
            }
            t.prototype._initEvents = function () {
                var t = this.$options;
                t._asComponent && e(this, t.el), i(this, '$on', t.events), i(this, '$watch', t.watch);
            }, t.prototype._initDOMHooks = function () {
                this.$on('hook:attached', r), this.$on('hook:detached', o);
            }, t.prototype._callHook = function (t) {
                this.$emit('pre-hook:' + t);
                var e = this.$options[t];
                if (e)
                    for (var i = 0, n = e.length; n > i; i++)
                        e[i].call(this);
                this.$emit('hook:' + t);
            };
        }
        function pi() {
        }
        function di(t, e, i, n, r, s) {
            this.vm = e, this.el = i, this.descriptor = t, this.name = t.name, this.expression = t.expression, this.arg = t.arg, this.modifiers = t.modifiers, this.filters = t.filters, this.literal = this.modifiers && this.modifiers.literal, this._locked = !1, this._bound = !1, this._listeners = null, this._host = n, this._scope = r, this._frag = s;
        }
        function vi(t) {
            t.prototype._updateRef = function (t) {
                var e = this.$options._ref;
                if (e) {
                    var i = (this._scope || this._context).$refs;
                    t ? i[e] === this && (i[e] = null) : i[e] = this;
                }
            }, t.prototype._compile = function (t) {
                var e = this.$options, i = t;
                if (t = si(t, e), this._initElement(t), 1 !== t.nodeType || null === I(t, 'v-pre')) {
                    var n = this._context && this._context.$options, r = Me(t, e, n);
                    li(this, e._content);
                    var s, o = this.constructor;
                    e._linkerCachable && (s = o.linker, s || (s = o.linker = De(t, e)));
                    var a = r(this, t, this._scope), h = s ? s(this, t) : De(t, e)(this, t);
                    this._unlinkFn = function () {
                        a(), h(!0);
                    }, e.replace && J(i, t), this._isCompiled = !0, this._callHook('compiled');
                }
            }, t.prototype._initElement = function (t) {
                at(t) ? (this._isFragment = !0, this.$el = this._fragmentStart = t.firstChild, this._fragmentEnd = t.lastChild, 3 === this._fragmentStart.nodeType && (this._fragmentStart.data = this._fragmentEnd.data = ''), this._fragment = t) : this.$el = t, this.$el.__vue__ = this, this._callHook('beforeCompile');
            }, t.prototype._bindDir = function (t, e, i, n, r) {
                this._directives.push(new di(t, this, e, i, n, r));
            }, t.prototype._destroy = function (t, e) {
                if (this._isBeingDestroyed)
                    return void (e || this._cleanup());
                var i, n, r = this, s = function () {
                        !i || n || e || r._cleanup();
                    };
                t && this.$el && (n = !0, this.$remove(function () {
                    n = !1, s();
                })), this._callHook('beforeDestroy'), this._isBeingDestroyed = !0;
                var o, a = this.$parent;
                for (a && !a._isBeingDestroyed && (a.$children.$remove(this), this._updateRef(!0)), o = this.$children.length; o--;)
                    this.$children[o].$destroy();
                for (this._propsUnlinkFn && this._propsUnlinkFn(), this._unlinkFn && this._unlinkFn(), o = this._watchers.length; o--;)
                    this._watchers[o].teardown();
                this.$el && (this.$el.__vue__ = null), i = !0, s();
            }, t.prototype._cleanup = function () {
                this._isDestroyed || (this._frag && this._frag.children.$remove(this), this._data && this._data.__ob__ && this._data.__ob__.removeVm(this), this.$el = this.$parent = this.$root = this.$children = this._watchers = this._context = this._scope = this._directives = null, this._isDestroyed = !0, this._callHook('destroyed'), this.$off());
            };
        }
        function mi(t) {
            t.prototype._applyFilters = function (t, e, i, n) {
                var r, s, o, a, h, l, c, u, f;
                for (l = 0, c = i.length; c > l; l++)
                    if (r = i[n ? c - l - 1 : l], s = gt(this.$options, 'filters', r.name, !0), s && (s = n ? s.write : s.read || s, 'function' == typeof s)) {
                        if (o = n ? [
                                t,
                                e
                            ] : [t], h = n ? 2 : 1, r.args)
                            for (u = 0, f = r.args.length; f > u; u++)
                                a = r.args[u], o[u + h] = a.dynamic ? this.$get(a.value) : a.value;
                        t = s.apply(this, o);
                    }
                return t;
            }, t.prototype._resolveComponent = function (e, i) {
                var n;
                if (n = 'function' == typeof e ? e : gt(this.$options, 'components', e, !0))
                    if (n.options)
                        i(n);
                    else if (n.resolved)
                        i(n.resolved);
                    else if (n.requested)
                        n.pendingCallbacks.push(i);
                    else {
                        n.requested = !0;
                        var r = n.pendingCallbacks = [i];
                        n.call(this, function (e) {
                            g(e) && (e = t.extend(e)), n.resolved = e;
                            for (var i = 0, s = r.length; s > i; i++)
                                r[i](e);
                        }, function (t) {
                        });
                    }
            };
        }
        function gi(t) {
            function i(t) {
                return JSON.parse(JSON.stringify(t));
            }
            t.prototype.$get = function (t, e) {
                var i = It(t);
                if (i) {
                    if (e) {
                        var n = this;
                        return function () {
                            n.$arguments = d(arguments);
                            var t = i.get.call(n, n);
                            return n.$arguments = null, t;
                        };
                    }
                    try {
                        return i.get.call(this, this);
                    } catch (r) {
                    }
                }
            }, t.prototype.$set = function (t, e) {
                var i = It(t, !0);
                i && i.set && i.set.call(this, this, e);
            }, t.prototype.$delete = function (t) {
                e(this._data, t);
            }, t.prototype.$watch = function (t, e, i) {
                var n, r = this;
                'string' == typeof t && (n = A(t), t = n.expression);
                var s = new Ut(r, t, e, {
                    deep: i && i.deep,
                    sync: i && i.sync,
                    filters: n && n.filters,
                    user: !i || i.user !== !1
                });
                return i && i.immediate && e.call(r, s.value), function () {
                    s.teardown();
                };
            }, t.prototype.$eval = function (t, e) {
                if (Gs.test(t)) {
                    var i = A(t), n = this.$get(i.expression, e);
                    return i.filters ? this._applyFilters(n, null, i.filters) : n;
                }
                return this.$get(t, e);
            }, t.prototype.$interpolate = function (t) {
                var e = N(t), i = this;
                return e ? 1 === e.length ? i.$eval(e[0].value) + '' : e.map(function (t) {
                    return t.tag ? i.$eval(t.value) : t.value;
                }).join('') : t;
            }, t.prototype.$log = function (t) {
                var e = t ? jt(this._data, t) : this._data;
                if (e && (e = i(e)), !t) {
                    var n;
                    for (n in this.$options.computed)
                        e[n] = i(this[n]);
                    if (this._props)
                        for (n in this._props)
                            e[n] = i(this[n]);
                }
                console.log(e);
            };
        }
        function _i(t) {
            function e(t, e, n, r, s, o) {
                e = i(e);
                var a = !H(e), h = r === !1 || a ? s : o, l = !a && !t._isAttached && !H(t.$el);
                return t._isFragment ? (st(t._fragmentStart, t._fragmentEnd, function (i) {
                    h(i, e, t);
                }), n && n()) : h(t.$el, e, t, n), l && t._callHook('attached'), t;
            }
            function i(t) {
                return 'string' == typeof t ? document.querySelector(t) : t;
            }
            function n(t, e, i, n) {
                e.appendChild(t), n && n();
            }
            function r(t, e, i, n) {
                B(t, e), n && n();
            }
            function s(t, e, i) {
                z(t), i && i();
            }
            t.prototype.$nextTick = function (t) {
                Yi(t, this);
            }, t.prototype.$appendTo = function (t, i, r) {
                return e(this, t, i, r, n, F);
            }, t.prototype.$prependTo = function (t, e, n) {
                return t = i(t), t.hasChildNodes() ? this.$before(t.firstChild, e, n) : this.$appendTo(t, e, n), this;
            }, t.prototype.$before = function (t, i, n) {
                return e(this, t, i, n, r, D);
            }, t.prototype.$after = function (t, e, n) {
                return t = i(t), t.nextSibling ? this.$before(t.nextSibling, e, n) : this.$appendTo(t.parentNode, e, n), this;
            }, t.prototype.$remove = function (t, e) {
                if (!this.$el.parentNode)
                    return t && t();
                var i = this._isAttached && H(this.$el);
                i || (e = !1);
                var n = this, r = function () {
                        i && n._callHook('detached'), t && t();
                    };
                if (this._isFragment)
                    ot(this._fragmentStart, this._fragmentEnd, this, this._fragment, r);
                else {
                    var o = e === !1 ? s : P;
                    o(this.$el, this, r);
                }
                return this;
            };
        }
        function yi(t) {
            function e(t, e, n) {
                var r = t.$parent;
                if (r && n && !i.test(e))
                    for (; r;)
                        r._eventsCount[e] = (r._eventsCount[e] || 0) + n, r = r.$parent;
            }
            t.prototype.$on = function (t, i) {
                return (this._events[t] || (this._events[t] = [])).push(i), e(this, t, 1), this;
            }, t.prototype.$once = function (t, e) {
                function i() {
                    n.$off(t, i), e.apply(this, arguments);
                }
                var n = this;
                return i.fn = e, this.$on(t, i), this;
            }, t.prototype.$off = function (t, i) {
                var n;
                if (!arguments.length) {
                    if (this.$parent)
                        for (t in this._events)
                            n = this._events[t], n && e(this, t, -n.length);
                    return this._events = {}, this;
                }
                if (n = this._events[t], !n)
                    return this;
                if (1 === arguments.length)
                    return e(this, t, -n.length), this._events[t] = null, this;
                for (var r, s = n.length; s--;)
                    if (r = n[s], r === i || r.fn === i) {
                        e(this, t, -1), n.splice(s, 1);
                        break;
                    }
                return this;
            }, t.prototype.$emit = function (t) {
                var e = 'string' == typeof t;
                t = e ? t : t.name;
                var i = this._events[t], n = e || !i;
                if (i) {
                    i = i.length > 1 ? d(i) : i;
                    var r = e && i.some(function (t) {
                        return t._fromParent;
                    });
                    r && (n = !1);
                    for (var s = d(arguments, 1), o = 0, a = i.length; a > o; o++) {
                        var h = i[o], l = h.apply(this, s);
                        l !== !0 || r && !h._fromParent || (n = !0);
                    }
                }
                return n;
            }, t.prototype.$broadcast = function (t) {
                var e = 'string' == typeof t;
                if (t = e ? t : t.name, this._eventsCount[t]) {
                    var i = this.$children, n = d(arguments);
                    e && (n[0] = {
                        name: t,
                        source: this
                    });
                    for (var r = 0, s = i.length; s > r; r++) {
                        var o = i[r], a = o.$emit.apply(o, n);
                        a && o.$broadcast.apply(o, n);
                    }
                    return this;
                }
            }, t.prototype.$dispatch = function (t) {
                var e = this.$emit.apply(this, arguments);
                if (e) {
                    var i = this.$parent, n = d(arguments);
                    for (n[0] = {
                            name: t,
                            source: this
                        }; i;)
                        e = i.$emit.apply(i, n), i = e ? i.$parent : null;
                    return this;
                }
            };
            var i = /^hook:/;
        }
        function bi(t) {
            function e() {
                this._isAttached = !0, this._isReady = !0, this._callHook('ready');
            }
            t.prototype.$mount = function (t) {
                return this._isCompiled ? void 0 : (t = L(t), t || (t = document.createElement('div')), this._compile(t), this._initDOMHooks(), H(this.$el) ? (this._callHook('attached'), e.call(this)) : this.$once('hook:attached', e), this);
            }, t.prototype.$destroy = function (t, e) {
                this._destroy(t, e);
            }, t.prototype.$compile = function (t, e, i, n) {
                return De(t, this.$options, !0)(this, t, e, i, n);
            };
        }
        function wi(t) {
            this._init(t);
        }
        function Ci(t, e, i) {
            return i = i ? parseInt(i, 10) : 0, e = o(e), 'number' == typeof e ? t.slice(i, i + e) : t;
        }
        function $i(t, e, i) {
            if (t = Ks(t), null == e)
                return t;
            if ('function' == typeof e)
                return t.filter(e);
            e = ('' + e).toLowerCase();
            for (var n, r, s, o, a = 'in' === i ? 3 : 2, h = Array.prototype.concat.apply([], d(arguments, a)), l = [], c = 0, u = t.length; u > c; c++)
                if (n = t[c], s = n && n.$value || n, o = h.length) {
                    for (; o--;)
                        if (r = h[o], '$key' === r && xi(n.$key, e) || xi(jt(s, r), e)) {
                            l.push(n);
                            break;
                        }
                } else
                    xi(n, e) && l.push(n);
            return l;
        }
        function ki(t) {
            function e(t, e, i) {
                var r = n[i];
                return r && ('$key' !== r && (m(t) && '$value' in t && (t = t.$value), m(e) && '$value' in e && (e = e.$value)), t = m(t) ? jt(t, r) : t, e = m(e) ? jt(e, r) : e), t === e ? 0 : t > e ? s : -s;
            }
            var i = null, n = void 0;
            t = Ks(t);
            var r = d(arguments, 1), s = r[r.length - 1];
            'number' == typeof s ? (s = 0 > s ? -1 : 1, r = r.length > 1 ? r.slice(0, -1) : r) : s = 1;
            var o = r[0];
            return o ? ('function' == typeof o ? i = function (t, e) {
                return o(t, e) * s;
            } : (n = Array.prototype.concat.apply([], r), i = function (t, r, s) {
                return s = s || 0, s >= n.length - 1 ? e(t, r, s) : e(t, r, s) || i(t, r, s + 1);
            }), t.slice().sort(i)) : t;
        }
        function xi(t, e) {
            var i;
            if (g(t)) {
                var n = Object.keys(t);
                for (i = n.length; i--;)
                    if (xi(t[n[i]], e))
                        return !0;
            } else if (Di(t)) {
                for (i = t.length; i--;)
                    if (xi(t[i], e))
                        return !0;
            } else if (null != t)
                return t.toString().toLowerCase().indexOf(e) > -1;
        }
        function Ai(i) {
            function n(t) {
                return new Function('return function ' + f(t) + ' (options) { this._init(options) }')();
            }
            i.options = {
                directives: bs,
                elementDirectives: Ys,
                filters: eo,
                transitions: {},
                components: {},
                partials: {},
                replace: !0
            }, i.util = In, i.config = An, i.set = t, i['delete'] = e, i.nextTick = Yi, i.compiler = qs, i.FragmentFactory = se, i.internalDirectives = Hs, i.parsers = {
                path: ir,
                text: $n,
                template: Fr,
                directive: gn,
                expression: mr
            }, i.cid = 0;
            var r = 1;
            i.extend = function (t) {
                t = t || {};
                var e = this, i = 0 === e.cid;
                if (i && t._Ctor)
                    return t._Ctor;
                var s = t.name || e.options.name, o = n(s || 'VueComponent');
                return o.prototype = Object.create(e.prototype), o.prototype.constructor = o, o.cid = r++, o.options = mt(e.options, t), o['super'] = e, o.extend = e.extend, An._assetTypes.forEach(function (t) {
                    o[t] = e[t];
                }), s && (o.options.components[s] = o), i && (t._Ctor = o), o;
            }, i.use = function (t) {
                if (!t.installed) {
                    var e = d(arguments, 1);
                    return e.unshift(this), 'function' == typeof t.install ? t.install.apply(t, e) : t.apply(null, e), t.installed = !0, this;
                }
            }, i.mixin = function (t) {
                i.options = mt(i.options, t);
            }, An._assetTypes.forEach(function (t) {
                i[t] = function (e, n) {
                    return n ? ('component' === t && g(n) && (n.name || (n.name = e), n = i.extend(n)), this.options[t + 's'][e] = n, n) : this.options[t + 's'][e];
                };
            }), v(i.transition, Tn);
        }
        var Oi = Object.prototype.hasOwnProperty, Ti = /^\s?(true|false|-?[\d\.]+|'[^']*'|"[^"]*")\s?$/, Ni = /-(\w)/g, ji = /([a-z\d])([A-Z])/g, Ei = /(?:^|[-_\/])(\w)/g, Si = Object.prototype.toString, Fi = '[object Object]', Di = Array.isArray, Pi = '__proto__' in {}, Ri = 'undefined' != typeof window && '[object Object]' !== Object.prototype.toString.call(window), Li = Ri && window.__VUE_DEVTOOLS_GLOBAL_HOOK__, Hi = Ri && window.navigator.userAgent.toLowerCase(), Ii = Hi && Hi.indexOf('trident') > 0, Mi = Hi && Hi.indexOf('msie 9.0') > 0, Vi = Hi && Hi.indexOf('android') > 0, Bi = Hi && /(iphone|ipad|ipod|ios)/i.test(Hi), Wi = Bi && Hi.match(/os ([\d_]+)/), zi = Wi && Wi[1].split('_'), Ui = zi && Number(zi[0]) >= 9 && Number(zi[1]) >= 3 && !window.indexedDB, Ji = void 0, qi = void 0, Qi = void 0, Gi = void 0;
        if (Ri && !Mi) {
            var Zi = void 0 === window.ontransitionend && void 0 !== window.onwebkittransitionend, Xi = void 0 === window.onanimationend && void 0 !== window.onwebkitanimationend;
            Ji = Zi ? 'WebkitTransition' : 'transition', qi = Zi ? 'webkitTransitionEnd' : 'transitionend', Qi = Xi ? 'WebkitAnimation' : 'animation', Gi = Xi ? 'webkitAnimationEnd' : 'animationend';
        }
        var Yi = function () {
                function t() {
                    n = !1;
                    var t = i.slice(0);
                    i = [];
                    for (var e = 0; e < t.length; e++)
                        t[e]();
                }
                var e, i = [], n = !1;
                if ('undefined' == typeof MutationObserver || Ui) {
                    var r = Ri ? window : 'undefined' != typeof global ? global : {};
                    e = r.setImmediate || setTimeout;
                } else {
                    var s = 1, o = new MutationObserver(t), a = document.createTextNode(s);
                    o.observe(a, { characterData: !0 }), e = function () {
                        s = (s + 1) % 2, a.data = s;
                    };
                }
                return function (r, s) {
                    var o = s ? function () {
                        r.call(s);
                    } : r;
                    i.push(o), n || (n = !0, e(t, 0));
                };
            }(), Ki = void 0;
        'undefined' != typeof Set && Set.toString().match(/native code/) ? Ki = Set : (Ki = function () {
            this.set = Object.create(null);
        }, Ki.prototype.has = function (t) {
            return void 0 !== this.set[t];
        }, Ki.prototype.add = function (t) {
            this.set[t] = 1;
        }, Ki.prototype.clear = function () {
            this.set = Object.create(null);
        });
        var tn = $.prototype;
        tn.put = function (t, e) {
            var i, n = this.get(t, !0);
            return n || (this.size === this.limit && (i = this.shift()), n = { key: t }, this._keymap[t] = n, this.tail ? (this.tail.newer = n, n.older = this.tail) : this.head = n, this.tail = n, this.size++), n.value = e, i;
        }, tn.shift = function () {
            var t = this.head;
            return t && (this.head = this.head.newer, this.head.older = void 0, t.newer = t.older = void 0, this._keymap[t.key] = void 0, this.size--), t;
        }, tn.get = function (t, e) {
            var i = this._keymap[t];
            if (void 0 !== i)
                return i === this.tail ? e ? i : i.value : (i.newer && (i === this.head && (this.head = i.newer), i.newer.older = i.older), i.older && (i.older.newer = i.newer), i.newer = void 0, i.older = this.tail, this.tail && (this.tail.newer = i), this.tail = i, e ? i : i.value);
        };
        var en, nn, rn, sn, on, an, hn, ln, cn, un, fn, pn, dn = new $(1000), vn = /[^\s'"]+|'[^']*'|"[^"]*"/g, mn = /^in$|^-?\d+/, gn = Object.freeze({ parseDirective: A }), _n = /[-.*+?^${}()|[\]\/\\]/g, yn = void 0, bn = void 0, wn = void 0, Cn = /[^|]\|[^|]/, $n = Object.freeze({
                compileRegex: T,
                parseText: N,
                tokensToExp: j
            }), kn = [
                '{{',
                '}}'
            ], xn = [
                '{{{',
                '}}}'
            ], An = Object.defineProperties({
                debug: !1,
                silent: !1,
                async: !0,
                warnExpressionErrors: !0,
                devtools: !1,
                _delimitersChanged: !0,
                _assetTypes: [
                    'component',
                    'directive',
                    'elementDirective',
                    'filter',
                    'transition',
                    'partial'
                ],
                _propBindingModes: {
                    ONE_WAY: 0,
                    TWO_WAY: 1,
                    ONE_TIME: 2
                },
                _maxUpdateCount: 100
            }, {
                delimiters: {
                    get: function () {
                        return kn;
                    },
                    set: function (t) {
                        kn = t, T();
                    },
                    configurable: !0,
                    enumerable: !0
                },
                unsafeDelimiters: {
                    get: function () {
                        return xn;
                    },
                    set: function (t) {
                        xn = t, T();
                    },
                    configurable: !0,
                    enumerable: !0
                }
            }), On = void 0, Tn = Object.freeze({
                appendWithTransition: F,
                beforeWithTransition: D,
                removeWithTransition: P,
                applyTransition: R
            }), Nn = /^v-ref:/, jn = /^(div|p|span|img|a|b|i|br|ul|ol|li|h1|h2|h3|h4|h5|h6|code|pre|table|th|td|tr|form|label|input|select|option|nav|article|section|header|footer)$/i, En = /^(slot|partial|component)$/i, Sn = An.optionMergeStrategies = Object.create(null);
        Sn.data = function (t, e, i) {
            return i ? t || e ? function () {
                var n = 'function' == typeof e ? e.call(i) : e, r = 'function' == typeof t ? t.call(i) : void 0;
                return n ? ut(n, r) : r;
            } : void 0 : e ? 'function' != typeof e ? t : t ? function () {
                return ut(e.call(this), t.call(this));
            } : e : t;
        }, Sn.el = function (t, e, i) {
            if (i || !e || 'function' == typeof e) {
                var n = e || t;
                return i && 'function' == typeof n ? n.call(i) : n;
            }
        }, Sn.init = Sn.created = Sn.ready = Sn.attached = Sn.detached = Sn.beforeCompile = Sn.compiled = Sn.beforeDestroy = Sn.destroyed = Sn.activate = function (t, e) {
            return e ? t ? t.concat(e) : Di(e) ? e : [e] : t;
        }, An._assetTypes.forEach(function (t) {
            Sn[t + 's'] = ft;
        }), Sn.watch = Sn.events = function (t, e) {
            if (!e)
                return t;
            if (!t)
                return e;
            var i = {};
            v(i, t);
            for (var n in e) {
                var r = i[n], s = e[n];
                r && !Di(r) && (r = [r]), i[n] = r ? r.concat(s) : [s];
            }
            return i;
        }, Sn.props = Sn.methods = Sn.computed = function (t, e) {
            if (!e)
                return t;
            if (!t)
                return e;
            var i = Object.create(null);
            return v(i, t), v(i, e), i;
        };
        var Fn = function (t, e) {
                return void 0 === e ? t : e;
            }, Dn = 0;
        _t.target = null, _t.prototype.addSub = function (t) {
            this.subs.push(t);
        }, _t.prototype.removeSub = function (t) {
            this.subs.$remove(t);
        }, _t.prototype.depend = function () {
            _t.target.addDep(this);
        }, _t.prototype.notify = function () {
            for (var t = d(this.subs), e = 0, i = t.length; i > e; e++)
                t[e].update();
        };
        var Pn = Array.prototype, Rn = Object.create(Pn);
        [
            'push',
            'pop',
            'shift',
            'unshift',
            'splice',
            'sort',
            'reverse'
        ].forEach(function (t) {
            var e = Pn[t];
            _(Rn, t, function () {
                for (var i = arguments.length, n = new Array(i); i--;)
                    n[i] = arguments[i];
                var r, s = e.apply(this, n), o = this.__ob__;
                switch (t) {
                case 'push':
                    r = n;
                    break;
                case 'unshift':
                    r = n;
                    break;
                case 'splice':
                    r = n.slice(2);
                }
                return r && o.observeArray(r), o.dep.notify(), s;
            });
        }), _(Pn, '$set', function (t, e) {
            return t >= this.length && (this.length = Number(t) + 1), this.splice(t, 1, e)[0];
        }), _(Pn, '$remove', function (t) {
            if (this.length) {
                var e = b(this, t);
                return e > -1 ? this.splice(e, 1) : void 0;
            }
        });
        var Ln = Object.getOwnPropertyNames(Rn), Hn = !0;
        bt.prototype.walk = function (t) {
            for (var e = Object.keys(t), i = 0, n = e.length; n > i; i++)
                this.convert(e[i], t[e[i]]);
        }, bt.prototype.observeArray = function (t) {
            for (var e = 0, i = t.length; i > e; e++)
                $t(t[e]);
        }, bt.prototype.convert = function (t, e) {
            kt(this.value, t, e);
        }, bt.prototype.addVm = function (t) {
            (this.vms || (this.vms = [])).push(t);
        }, bt.prototype.removeVm = function (t) {
            this.vms.$remove(t);
        };
        var In = Object.freeze({
                defineReactive: kt,
                set: t,
                del: e,
                hasOwn: i,
                isLiteral: n,
                isReserved: r,
                _toString: s,
                toNumber: o,
                toBoolean: a,
                stripQuotes: h,
                camelize: l,
                hyphenate: u,
                classify: f,
                bind: p,
                toArray: d,
                extend: v,
                isObject: m,
                isPlainObject: g,
                def: _,
                debounce: y,
                indexOf: b,
                cancellable: w,
                looseEqual: C,
                isArray: Di,
                hasProto: Pi,
                inBrowser: Ri,
                devtools: Li,
                isIE: Ii,
                isIE9: Mi,
                isAndroid: Vi,
                isIos: Bi,
                iosVersionMatch: Wi,
                iosVersion: zi,
                hasMutationObserverBug: Ui,
                get transitionProp() {
                    return Ji;
                },
                get transitionEndEvent() {
                    return qi;
                },
                get animationProp() {
                    return Qi;
                },
                get animationEndEvent() {
                    return Gi;
                },
                nextTick: Yi,
                get _Set() {
                    return Ki;
                },
                query: L,
                inDoc: H,
                getAttr: I,
                getBindAttr: M,
                hasBindAttr: V,
                before: B,
                after: W,
                remove: z,
                prepend: U,
                replace: J,
                on: q,
                off: Q,
                setClass: Z,
                addClass: X,
                removeClass: Y,
                extractContent: K,
                trimNode: tt,
                isTemplate: it,
                createAnchor: nt,
                findRef: rt,
                mapNodeRange: st,
                removeNodeRange: ot,
                isFragment: at,
                getOuterHTML: ht,
                mergeOptions: mt,
                resolveAsset: gt,
                checkComponentAttr: lt,
                commonTagRE: jn,
                reservedTagRE: En,
                warn: On
            }), Mn = 0, Vn = new $(1000), Bn = 0, Wn = 1, zn = 2, Un = 3, Jn = 0, qn = 1, Qn = 2, Gn = 3, Zn = 4, Xn = 5, Yn = 6, Kn = 7, tr = 8, er = [];
        er[Jn] = {
            ws: [Jn],
            ident: [
                Gn,
                Bn
            ],
            '[': [Zn],
            eof: [Kn]
        }, er[qn] = {
            ws: [qn],
            '.': [Qn],
            '[': [Zn],
            eof: [Kn]
        }, er[Qn] = {
            ws: [Qn],
            ident: [
                Gn,
                Bn
            ]
        }, er[Gn] = {
            ident: [
                Gn,
                Bn
            ],
            0: [
                Gn,
                Bn
            ],
            number: [
                Gn,
                Bn
            ],
            ws: [
                qn,
                Wn
            ],
            '.': [
                Qn,
                Wn
            ],
            '[': [
                Zn,
                Wn
            ],
            eof: [
                Kn,
                Wn
            ]
        }, er[Zn] = {
            '\'': [
                Xn,
                Bn
            ],
            '"': [
                Yn,
                Bn
            ],
            '[': [
                Zn,
                zn
            ],
            ']': [
                qn,
                Un
            ],
            eof: tr,
            'else': [
                Zn,
                Bn
            ]
        }, er[Xn] = {
            '\'': [
                Zn,
                Bn
            ],
            eof: tr,
            'else': [
                Xn,
                Bn
            ]
        }, er[Yn] = {
            '"': [
                Zn,
                Bn
            ],
            eof: tr,
            'else': [
                Yn,
                Bn
            ]
        };
        var ir = Object.freeze({
                parsePath: Nt,
                getPath: jt,
                setPath: Et
            }), nr = new $(1000), rr = 'Math,Date,this,true,false,null,undefined,Infinity,NaN,isNaN,isFinite,decodeURI,decodeURIComponent,encodeURI,encodeURIComponent,parseInt,parseFloat', sr = new RegExp('^(' + rr.replace(/,/g, '\\b|') + '\\b)'), or = 'break,case,class,catch,const,continue,debugger,default,delete,do,else,export,extends,finally,for,function,if,import,in,instanceof,let,return,super,switch,throw,try,var,while,with,yield,enum,await,implements,package,protected,static,interface,private,public', ar = new RegExp('^(' + or.replace(/,/g, '\\b|') + '\\b)'), hr = /\s/g, lr = /\n/g, cr = /[\{,]\s*[\w\$_]+\s*:|('(?:[^'\\]|\\.)*'|"(?:[^"\\]|\\.)*"|`(?:[^`\\]|\\.)*\$\{|\}(?:[^`\\]|\\.)*`|`(?:[^`\\]|\\.)*`)|new |typeof |void /g, ur = /"(\d+)"/g, fr = /^[A-Za-z_$][\w$]*(?:\.[A-Za-z_$][\w$]*|\['.*?'\]|\[".*?"\]|\[\d+\]|\[[A-Za-z_$][\w$]*\])*$/, pr = /[^\w$\.](?:[A-Za-z_$][\w$]*)/g, dr = /^(?:true|false|null|undefined|Infinity|NaN)$/, vr = [], mr = Object.freeze({
                parseExpression: It,
                isSimplePath: Mt
            }), gr = [], _r = [], yr = {}, br = {}, wr = !1, Cr = 0;
        Ut.prototype.get = function () {
            this.beforeGet();
            var t, e = this.scope || this.vm;
            try {
                t = this.getter.call(e, e);
            } catch (i) {
            }
            return this.deep && Jt(t), this.preProcess && (t = this.preProcess(t)), this.filters && (t = e._applyFilters(t, null, this.filters, !1)), this.postProcess && (t = this.postProcess(t)), this.afterGet(), t;
        }, Ut.prototype.set = function (t) {
            var e = this.scope || this.vm;
            this.filters && (t = e._applyFilters(t, this.value, this.filters, !0));
            try {
                this.setter.call(e, e, t);
            } catch (i) {
            }
            var n = e.$forContext;
            if (n && n.alias === this.expression) {
                if (n.filters)
                    return;
                n._withLock(function () {
                    e.$key ? n.rawValue[e.$key] = t : n.rawValue.$set(e.$index, t);
                });
            }
        }, Ut.prototype.beforeGet = function () {
            _t.target = this;
        }, Ut.prototype.addDep = function (t) {
            var e = t.id;
            this.newDepIds.has(e) || (this.newDepIds.add(e), this.newDeps.push(t), this.depIds.has(e) || t.addSub(this));
        }, Ut.prototype.afterGet = function () {
            _t.target = null;
            for (var t = this.deps.length; t--;) {
                var e = this.deps[t];
                this.newDepIds.has(e.id) || e.removeSub(this);
            }
            var i = this.depIds;
            this.depIds = this.newDepIds, this.newDepIds = i, this.newDepIds.clear(), i = this.deps, this.deps = this.newDeps, this.newDeps = i, this.newDeps.length = 0;
        }, Ut.prototype.update = function (t) {
            this.lazy ? this.dirty = !0 : this.sync || !An.async ? this.run() : (this.shallow = this.queued ? t ? this.shallow : !1 : !!t, this.queued = !0, zt(this));
        }, Ut.prototype.run = function () {
            if (this.active) {
                var t = this.get();
                if (t !== this.value || (m(t) || this.deep) && !this.shallow) {
                    var e = this.value;
                    this.value = t;
                    this.prevError;
                    this.cb.call(this.vm, t, e);
                }
                this.queued = this.shallow = !1;
            }
        }, Ut.prototype.evaluate = function () {
            var t = _t.target;
            this.value = this.get(), this.dirty = !1, _t.target = t;
        }, Ut.prototype.depend = function () {
            for (var t = this.deps.length; t--;)
                this.deps[t].depend();
        }, Ut.prototype.teardown = function () {
            if (this.active) {
                this.vm._isBeingDestroyed || this.vm._vForRemoving || this.vm._watchers.$remove(this);
                for (var t = this.deps.length; t--;)
                    this.deps[t].removeSub(this);
                this.active = !1, this.vm = this.cb = this.value = null;
            }
        };
        var $r = new Ki(), kr = {
                bind: function () {
                    this.attr = 3 === this.el.nodeType ? 'data' : 'textContent';
                },
                update: function (t) {
                    this.el[this.attr] = s(t);
                }
            }, xr = new $(1000), Ar = new $(1000), Or = {
                efault: [
                    0,
                    '',
                    ''
                ],
                legend: [
                    1,
                    '<fieldset>',
                    '</fieldset>'
                ],
                tr: [
                    2,
                    '<table><tbody>',
                    '</tbody></table>'
                ],
                col: [
                    2,
                    '<table><tbody></tbody><colgroup>',
                    '</colgroup></table>'
                ]
            };
        Or.td = Or.th = [
            3,
            '<table><tbody><tr>',
            '</tr></tbody></table>'
        ], Or.option = Or.optgroup = [
            1,
            '<select multiple="multiple">',
            '</select>'
        ], Or.thead = Or.tbody = Or.colgroup = Or.caption = Or.tfoot = [
            1,
            '<table>',
            '</table>'
        ], Or.g = Or.defs = Or.symbol = Or.use = Or.image = Or.text = Or.circle = Or.ellipse = Or.line = Or.path = Or.polygon = Or.polyline = Or.rect = [
            1,
            '<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ev="http://www.w3.org/2001/xml-events"version="1.1">',
            '</svg>'
        ];
        var Tr = /<([\w:-]+)/, Nr = /&#?\w+?;/, jr = /<!--/, Er = function () {
                if (Ri) {
                    var t = document.createElement('div');
                    return t.innerHTML = '<template>1</template>', !t.cloneNode(!0).firstChild.innerHTML;
                }
                return !1;
            }(), Sr = function () {
                if (Ri) {
                    var t = document.createElement('textarea');
                    return t.placeholder = 't', 't' === t.cloneNode(!0).value;
                }
                return !1;
            }(), Fr = Object.freeze({
                cloneNode: Zt,
                parseTemplate: Xt
            }), Dr = {
                bind: function () {
                    8 === this.el.nodeType && (this.nodes = [], this.anchor = nt('v-html'), J(this.el, this.anchor));
                },
                update: function (t) {
                    t = s(t), this.nodes ? this.swap(t) : this.el.innerHTML = t;
                },
                swap: function (t) {
                    for (var e = this.nodes.length; e--;)
                        z(this.nodes[e]);
                    var i = Xt(t, !0, !0);
                    this.nodes = d(i.childNodes), B(i, this.anchor);
                }
            };
        Yt.prototype.callHook = function (t) {
            var e, i;
            for (e = 0, i = this.childFrags.length; i > e; e++)
                this.childFrags[e].callHook(t);
            for (e = 0, i = this.children.length; i > e; e++)
                t(this.children[e]);
        }, Yt.prototype.beforeRemove = function () {
            var t, e;
            for (t = 0, e = this.childFrags.length; e > t; t++)
                this.childFrags[t].beforeRemove(!1);
            for (t = 0, e = this.children.length; e > t; t++)
                this.children[t].$destroy(!1, !0);
            var i = this.unlink.dirs;
            for (t = 0, e = i.length; e > t; t++)
                i[t]._watcher && i[t]._watcher.teardown();
        }, Yt.prototype.destroy = function () {
            this.parentFrag && this.parentFrag.childFrags.$remove(this), this.node.__v_frag = null, this.unlink();
        };
        var Pr = new $(5000);
        se.prototype.create = function (t, e, i) {
            var n = Zt(this.template);
            return new Yt(this.linker, this.vm, n, t, e, i);
        };
        var Rr = 700, Lr = 800, Hr = 850, Ir = 1100, Mr = 1500, Vr = 1500, Br = 1750, Wr = 2100, zr = 2200, Ur = 2300, Jr = 0, qr = {
                priority: zr,
                terminal: !0,
                params: [
                    'track-by',
                    'stagger',
                    'enter-stagger',
                    'leave-stagger'
                ],
                bind: function () {
                    var t = this.expression.match(/(.*) (?:in|of) (.*)/);
                    if (t) {
                        var e = t[1].match(/\((.*),(.*)\)/);
                        e ? (this.iterator = e[1].trim(), this.alias = e[2].trim()) : this.alias = t[1].trim(), this.expression = t[2];
                    }
                    if (this.alias) {
                        this.id = '__v-for__' + ++Jr;
                        var i = this.el.tagName;
                        this.isOption = ('OPTION' === i || 'OPTGROUP' === i) && 'SELECT' === this.el.parentNode.tagName, this.start = nt('v-for-start'), this.end = nt('v-for-end'), J(this.el, this.end), B(this.start, this.end), this.cache = Object.create(null), this.factory = new se(this.vm, this.el);
                    }
                },
                update: function (t) {
                    this.diff(t), this.updateRef(), this.updateModel();
                },
                diff: function (t) {
                    var e, n, r, s, o, a, h = t[0], l = this.fromObject = m(h) && i(h, '$key') && i(h, '$value'), c = this.params.trackBy, u = this.frags, f = this.frags = new Array(t.length), p = this.alias, d = this.iterator, v = this.start, g = this.end, _ = H(v), y = !u;
                    for (e = 0, n = t.length; n > e; e++)
                        h = t[e], s = l ? h.$key : null, o = l ? h.$value : h, a = !m(o), r = !y && this.getCachedFrag(o, e, s), r ? (r.reused = !0, r.scope.$index = e, s && (r.scope.$key = s), d && (r.scope[d] = null !== s ? s : e), (c || l || a) && yt(function () {
                            r.scope[p] = o;
                        })) : (r = this.create(o, p, e, s), r.fresh = !y), f[e] = r, y && r.before(g);
                    if (!y) {
                        var b = 0, w = u.length - f.length;
                        for (this.vm._vForRemoving = !0, e = 0, n = u.length; n > e; e++)
                            r = u[e], r.reused || (this.deleteCachedFrag(r), this.remove(r, b++, w, _));
                        this.vm._vForRemoving = !1, b && (this.vm._watchers = this.vm._watchers.filter(function (t) {
                            return t.active;
                        }));
                        var C, $, k, x = 0;
                        for (e = 0, n = f.length; n > e; e++)
                            r = f[e], C = f[e - 1], $ = C ? C.staggerCb ? C.staggerAnchor : C.end || C.node : v, r.reused && !r.staggerCb ? (k = oe(r, v, this.id), k === C || k && oe(k, v, this.id) === C || this.move(r, $)) : this.insert(r, x++, $, _), r.reused = r.fresh = !1;
                    }
                },
                create: function (t, e, i, n) {
                    var r = this._host, s = this._scope || this.vm, o = Object.create(s);
                    o.$refs = Object.create(s.$refs), o.$els = Object.create(s.$els), o.$parent = s, o.$forContext = this, yt(function () {
                        kt(o, e, t);
                    }), kt(o, '$index', i), n ? kt(o, '$key', n) : o.$key && _(o, '$key', null), this.iterator && kt(o, this.iterator, null !== n ? n : i);
                    var a = this.factory.create(r, o, this._frag);
                    return a.forId = this.id, this.cacheFrag(t, a, i, n), a;
                },
                updateRef: function () {
                    var t = this.descriptor.ref;
                    if (t) {
                        var e, i = (this._scope || this.vm).$refs;
                        this.fromObject ? (e = {}, this.frags.forEach(function (t) {
                            e[t.scope.$key] = ae(t);
                        })) : e = this.frags.map(ae), i[t] = e;
                    }
                },
                updateModel: function () {
                    if (this.isOption) {
                        var t = this.start.parentNode, e = t && t.__v_model;
                        e && e.forceUpdate();
                    }
                },
                insert: function (t, e, i, n) {
                    t.staggerCb && (t.staggerCb.cancel(), t.staggerCb = null);
                    var r = this.getStagger(t, e, null, 'enter');
                    if (n && r) {
                        var s = t.staggerAnchor;
                        s || (s = t.staggerAnchor = nt('stagger-anchor'), s.__v_frag = t), W(s, i);
                        var o = t.staggerCb = w(function () {
                            t.staggerCb = null, t.before(s), z(s);
                        });
                        setTimeout(o, r);
                    } else {
                        var a = i.nextSibling;
                        a || (W(this.end, i), a = this.end), t.before(a);
                    }
                },
                remove: function (t, e, i, n) {
                    if (t.staggerCb)
                        return t.staggerCb.cancel(), void (t.staggerCb = null);
                    var r = this.getStagger(t, e, i, 'leave');
                    if (n && r) {
                        var s = t.staggerCb = w(function () {
                            t.staggerCb = null, t.remove();
                        });
                        setTimeout(s, r);
                    } else
                        t.remove();
                },
                move: function (t, e) {
                    e.nextSibling || this.end.parentNode.appendChild(this.end), t.before(e.nextSibling, !1);
                },
                cacheFrag: function (t, e, n, r) {
                    var s, o = this.params.trackBy, a = this.cache, h = !m(t);
                    r || o || h ? (s = le(n, r, t, o), a[s] || (a[s] = e)) : (s = this.id, i(t, s) ? null === t[s] && (t[s] = e) : Object.isExtensible(t) && _(t, s, e)), e.raw = t;
                },
                getCachedFrag: function (t, e, i) {
                    var n, r = this.params.trackBy, s = !m(t);
                    if (i || r || s) {
                        var o = le(e, i, t, r);
                        n = this.cache[o];
                    } else
                        n = t[this.id];
                    return n && (n.reused || n.fresh), n;
                },
                deleteCachedFrag: function (t) {
                    var e = t.raw, n = this.params.trackBy, r = t.scope, s = r.$index, o = i(r, '$key') && r.$key, a = !m(e);
                    if (n || o || a) {
                        var h = le(s, o, e, n);
                        this.cache[h] = null;
                    } else
                        e[this.id] = null, t.raw = null;
                },
                getStagger: function (t, e, i, n) {
                    n += 'Stagger';
                    var r = t.node.__v_trans, s = r && r.hooks, o = s && (s[n] || s.stagger);
                    return o ? o.call(t, e, i) : e * parseInt(this.params[n] || this.params.stagger, 10);
                },
                _preProcess: function (t) {
                    return this.rawValue = t, t;
                },
                _postProcess: function (t) {
                    if (Di(t))
                        return t;
                    if (g(t)) {
                        for (var e, i = Object.keys(t), n = i.length, r = new Array(n); n--;)
                            e = i[n], r[n] = {
                                $key: e,
                                $value: t[e]
                            };
                        return r;
                    }
                    return 'number' != typeof t || isNaN(t) || (t = he(t)), t || [];
                },
                unbind: function () {
                    if (this.descriptor.ref && ((this._scope || this.vm).$refs[this.descriptor.ref] = null), this.frags)
                        for (var t, e = this.frags.length; e--;)
                            t = this.frags[e], this.deleteCachedFrag(t), t.destroy();
                }
            }, Qr = {
                priority: Wr,
                terminal: !0,
                bind: function () {
                    var t = this.el;
                    if (t.__vue__)
                        this.invalid = !0;
                    else {
                        var e = t.nextElementSibling;
                        e && null !== I(e, 'v-else') && (z(e), this.elseEl = e), this.anchor = nt('v-if'), J(t, this.anchor);
                    }
                },
                update: function (t) {
                    this.invalid || (t ? this.frag || this.insert() : this.remove());
                },
                insert: function () {
                    this.elseFrag && (this.elseFrag.remove(), this.elseFrag = null), this.factory || (this.factory = new se(this.vm, this.el)), this.frag = this.factory.create(this._host, this._scope, this._frag), this.frag.before(this.anchor);
                },
                remove: function () {
                    this.frag && (this.frag.remove(), this.frag = null), this.elseEl && !this.elseFrag && (this.elseFactory || (this.elseFactory = new se(this.elseEl._context || this.vm, this.elseEl)), this.elseFrag = this.elseFactory.create(this._host, this._scope, this._frag), this.elseFrag.before(this.anchor));
                },
                unbind: function () {
                    this.frag && this.frag.destroy(), this.elseFrag && this.elseFrag.destroy();
                }
            }, Gr = {
                bind: function () {
                    var t = this.el.nextElementSibling;
                    t && null !== I(t, 'v-else') && (this.elseEl = t);
                },
                update: function (t) {
                    this.apply(this.el, t), this.elseEl && this.apply(this.elseEl, !t);
                },
                apply: function (t, e) {
                    function i() {
                        t.style.display = e ? '' : 'none';
                    }
                    H(t) ? R(t, e ? 1 : -1, i, this.vm) : i();
                }
            }, Zr = {
                bind: function () {
                    var t = this, e = this.el, i = 'range' === e.type, n = this.params.lazy, r = this.params.number, s = this.params.debounce, a = !1;
                    if (Vi || i || (this.on('compositionstart', function () {
                            a = !0;
                        }), this.on('compositionend', function () {
                            a = !1, n || t.listener();
                        })), this.focused = !1, i || n || (this.on('focus', function () {
                            t.focused = !0;
                        }), this.on('blur', function () {
                            t.focused = !1, (!t._frag || t._frag.inserted) && t.rawListener();
                        })), this.listener = this.rawListener = function () {
                            if (!a && t._bound) {
                                var n = r || i ? o(e.value) : e.value;
                                t.set(n), Yi(function () {
                                    t._bound && !t.focused && t.update(t._watcher.value);
                                });
                            }
                        }, s && (this.listener = y(this.listener, s)), this.hasjQuery = 'function' == typeof jQuery, this.hasjQuery) {
                        var h = jQuery.fn.on ? 'on' : 'bind';
                        jQuery(e)[h]('change', this.rawListener), n || jQuery(e)[h]('input', this.listener);
                    } else
                        this.on('change', this.rawListener), n || this.on('input', this.listener);
                    !n && Mi && (this.on('cut', function () {
                        Yi(t.listener);
                    }), this.on('keyup', function (e) {
                        (46 === e.keyCode || 8 === e.keyCode) && t.listener();
                    })), (e.hasAttribute('value') || 'TEXTAREA' === e.tagName && e.value.trim()) && (this.afterBind = this.listener);
                },
                update: function (t) {
                    t = s(t), t !== this.el.value && (this.el.value = t);
                },
                unbind: function () {
                    var t = this.el;
                    if (this.hasjQuery) {
                        var e = jQuery.fn.off ? 'off' : 'unbind';
                        jQuery(t)[e]('change', this.listener), jQuery(t)[e]('input', this.listener);
                    }
                }
            }, Xr = {
                bind: function () {
                    var t = this, e = this.el;
                    this.getValue = function () {
                        if (e.hasOwnProperty('_value'))
                            return e._value;
                        var i = e.value;
                        return t.params.number && (i = o(i)), i;
                    }, this.listener = function () {
                        t.set(t.getValue());
                    }, this.on('change', this.listener), e.hasAttribute('checked') && (this.afterBind = this.listener);
                },
                update: function (t) {
                    this.el.checked = C(t, this.getValue());
                }
            }, Yr = {
                bind: function () {
                    var t = this, e = this, i = this.el;
                    this.forceUpdate = function () {
                        e._watcher && e.update(e._watcher.get());
                    };
                    var n = this.multiple = i.hasAttribute('multiple');
                    this.listener = function () {
                        var t = ce(i, n);
                        t = e.params.number ? Di(t) ? t.map(o) : o(t) : t, e.set(t);
                    }, this.on('change', this.listener);
                    var r = ce(i, n, !0);
                    (n && r.length || !n && null !== r) && (this.afterBind = this.listener), this.vm.$on('hook:attached', function () {
                        Yi(t.forceUpdate);
                    }), H(i) || Yi(this.forceUpdate);
                },
                update: function (t) {
                    var e = this.el;
                    e.selectedIndex = -1;
                    for (var i, n, r = this.multiple && Di(t), s = e.options, o = s.length; o--;)
                        i = s[o], n = i.hasOwnProperty('_value') ? i._value : i.value, i.selected = r ? ue(t, n) > -1 : C(t, n);
                },
                unbind: function () {
                    this.vm.$off('hook:attached', this.forceUpdate);
                }
            }, Kr = {
                bind: function () {
                    function t() {
                        var t = i.checked;
                        return t && i.hasOwnProperty('_trueValue') ? i._trueValue : !t && i.hasOwnProperty('_falseValue') ? i._falseValue : t;
                    }
                    var e = this, i = this.el;
                    this.getValue = function () {
                        return i.hasOwnProperty('_value') ? i._value : e.params.number ? o(i.value) : i.value;
                    }, this.listener = function () {
                        var n = e._watcher.value;
                        if (Di(n)) {
                            var r = e.getValue();
                            i.checked ? b(n, r) < 0 && n.push(r) : n.$remove(r);
                        } else
                            e.set(t());
                    }, this.on('change', this.listener), i.hasAttribute('checked') && (this.afterBind = this.listener);
                },
                update: function (t) {
                    var e = this.el;
                    Di(t) ? e.checked = b(t, this.getValue()) > -1 : e.hasOwnProperty('_trueValue') ? e.checked = C(t, e._trueValue) : e.checked = !!t;
                }
            }, ts = {
                text: Zr,
                radio: Xr,
                select: Yr,
                checkbox: Kr
            }, es = {
                priority: Lr,
                twoWay: !0,
                handlers: ts,
                params: [
                    'lazy',
                    'number',
                    'debounce'
                ],
                bind: function () {
                    this.checkFilters(), this.hasRead && !this.hasWrite;
                    var t, e = this.el, i = e.tagName;
                    if ('INPUT' === i)
                        t = ts[e.type] || ts.text;
                    else if ('SELECT' === i)
                        t = ts.select;
                    else {
                        if ('TEXTAREA' !== i)
                            return;
                        t = ts.text;
                    }
                    e.__v_model = this, t.bind.call(this), this.update = t.update, this._unbind = t.unbind;
                },
                checkFilters: function () {
                    var t = this.filters;
                    if (t)
                        for (var e = t.length; e--;) {
                            var i = gt(this.vm.$options, 'filters', t[e].name);
                            ('function' == typeof i || i.read) && (this.hasRead = !0), i.write && (this.hasWrite = !0);
                        }
                },
                unbind: function () {
                    this.el.__v_model = null, this._unbind && this._unbind();
                }
            }, is = {
                esc: 27,
                tab: 9,
                enter: 13,
                space: 32,
                'delete': [
                    8,
                    46
                ],
                up: 38,
                left: 37,
                right: 39,
                down: 40
            }, ns = {
                priority: Rr,
                acceptStatement: !0,
                keyCodes: is,
                bind: function () {
                    if ('IFRAME' === this.el.tagName && 'load' !== this.arg) {
                        var t = this;
                        this.iframeBind = function () {
                            q(t.el.contentWindow, t.arg, t.handler, t.modifiers.capture);
                        }, this.on('load', this.iframeBind);
                    }
                },
                update: function (t) {
                    if (this.descriptor.raw || (t = function () {
                        }), 'function' == typeof t) {
                        this.modifiers.stop && (t = pe(t)), this.modifiers.prevent && (t = de(t)), this.modifiers.self && (t = ve(t));
                        var e = Object.keys(this.modifiers).filter(function (t) {
                            return 'stop' !== t && 'prevent' !== t && 'self' !== t && 'capture' !== t;
                        });
                        e.length && (t = fe(t, e)), this.reset(), this.handler = t, this.iframeBind ? this.iframeBind() : q(this.el, this.arg, this.handler, this.modifiers.capture);
                    }
                },
                reset: function () {
                    var t = this.iframeBind ? this.el.contentWindow : this.el;
                    this.handler && Q(t, this.arg, this.handler);
                },
                unbind: function () {
                    this.reset();
                }
            }, rs = [
                '-webkit-',
                '-moz-',
                '-ms-'
            ], ss = [
                'Webkit',
                'Moz',
                'ms'
            ], os = /!important;?$/, as = Object.create(null), hs = null, ls = {
                deep: !0,
                update: function (t) {
                    'string' == typeof t ? this.el.style.cssText = t : Di(t) ? this.handleObject(t.reduce(v, {})) : this.handleObject(t || {});
                },
                handleObject: function (t) {
                    var e, i, n = this.cache || (this.cache = {});
                    for (e in n)
                        e in t || (this.handleSingle(e, null), delete n[e]);
                    for (e in t)
                        i = t[e], i !== n[e] && (n[e] = i, this.handleSingle(e, i));
                },
                handleSingle: function (t, e) {
                    if (t = me(t))
                        if (null != e && (e += ''), e) {
                            var i = os.test(e) ? 'important' : '';
                            i ? (e = e.replace(os, '').trim(), this.el.style.setProperty(t.kebab, e, i)) : this.el.style[t.camel] = e;
                        } else
                            this.el.style[t.camel] = '';
                }
            }, cs = 'http://www.w3.org/1999/xlink', us = /^xlink:/, fs = /^v-|^:|^@|^(?:is|transition|transition-mode|debounce|track-by|stagger|enter-stagger|leave-stagger)$/, ps = /^(?:value|checked|selected|muted)$/, ds = /^(?:draggable|contenteditable|spellcheck)$/, vs = {
                value: '_value',
                'true-value': '_trueValue',
                'false-value': '_falseValue'
            }, ms = {
                priority: Hr,
                bind: function () {
                    var t = this.arg, e = this.el.tagName;
                    t || (this.deep = !0);
                    var i = this.descriptor, n = i.interp;
                    n && (i.hasOneTime && (this.expression = j(n, this._scope || this.vm)), (fs.test(t) || 'name' === t && ('PARTIAL' === e || 'SLOT' === e)) && (this.el.removeAttribute(t), this.invalid = !0));
                },
                update: function (t) {
                    if (!this.invalid) {
                        var e = this.arg;
                        this.arg ? this.handleSingle(e, t) : this.handleObject(t || {});
                    }
                },
                handleObject: ls.handleObject,
                handleSingle: function (t, e) {
                    var i = this.el, n = this.descriptor.interp;
                    if (this.modifiers.camel && (t = l(t)), !n && ps.test(t) && t in i) {
                        var r = 'value' === t && null == e ? '' : e;
                        i[t] !== r && (i[t] = r);
                    }
                    var s = vs[t];
                    if (!n && s) {
                        i[s] = e;
                        var o = i.__v_model;
                        o && o.listener();
                    }
                    return 'value' === t && 'TEXTAREA' === i.tagName ? void i.removeAttribute(t) : void (ds.test(t) ? i.setAttribute(t, e ? 'true' : 'false') : null != e && e !== !1 ? 'class' === t ? (i.__v_trans && (e += ' ' + i.__v_trans.id + '-transition'), Z(i, e)) : us.test(t) ? i.setAttributeNS(cs, t, e === !0 ? '' : e) : i.setAttribute(t, e === !0 ? '' : e) : i.removeAttribute(t));
                }
            }, gs = {
                priority: Mr,
                bind: function () {
                    if (this.arg) {
                        var t = this.id = l(this.arg), e = (this._scope || this.vm).$els;
                        i(e, t) ? e[t] = this.el : kt(e, t, this.el);
                    }
                },
                unbind: function () {
                    var t = (this._scope || this.vm).$els;
                    t[this.id] === this.el && (t[this.id] = null);
                }
            }, _s = {
                bind: function () {
                }
            }, ys = {
                bind: function () {
                    var t = this.el;
                    this.vm.$once('pre-hook:compiled', function () {
                        t.removeAttribute('v-cloak');
                    });
                }
            }, bs = {
                text: kr,
                html: Dr,
                'for': qr,
                'if': Qr,
                show: Gr,
                model: es,
                on: ns,
                bind: ms,
                el: gs,
                ref: _s,
                cloak: ys
            }, ws = {
                deep: !0,
                update: function (t) {
                    t ? 'string' == typeof t ? this.setClass(t.trim().split(/\s+/)) : this.setClass(_e(t)) : this.cleanup();
                },
                setClass: function (t) {
                    this.cleanup(t);
                    for (var e = 0, i = t.length; i > e; e++) {
                        var n = t[e];
                        n && ye(this.el, n, X);
                    }
                    this.prevKeys = t;
                },
                cleanup: function (t) {
                    var e = this.prevKeys;
                    if (e)
                        for (var i = e.length; i--;) {
                            var n = e[i];
                            (!t || t.indexOf(n) < 0) && ye(this.el, n, Y);
                        }
                }
            }, Cs = {
                priority: Vr,
                params: [
                    'keep-alive',
                    'transition-mode',
                    'inline-template'
                ],
                bind: function () {
                    this.el.__vue__ || (this.keepAlive = this.params.keepAlive, this.keepAlive && (this.cache = {}), this.params.inlineTemplate && (this.inlineTemplate = K(this.el, !0)), this.pendingComponentCb = this.Component = null, this.pendingRemovals = 0, this.pendingRemovalCb = null, this.anchor = nt('v-component'), J(this.el, this.anchor), this.el.removeAttribute('is'), this.el.removeAttribute(':is'), this.descriptor.ref && this.el.removeAttribute('v-ref:' + u(this.descriptor.ref)), this.literal && this.setComponent(this.expression));
                },
                update: function (t) {
                    this.literal || this.setComponent(t);
                },
                setComponent: function (t, e) {
                    if (this.invalidatePending(), t) {
                        var i = this;
                        this.resolveComponent(t, function () {
                            i.mountComponent(e);
                        });
                    } else
                        this.unbuild(!0), this.remove(this.childVM, e), this.childVM = null;
                },
                resolveComponent: function (t, e) {
                    var i = this;
                    this.pendingComponentCb = w(function (n) {
                        i.ComponentName = n.options.name || ('string' == typeof t ? t : null), i.Component = n, e();
                    }), this.vm._resolveComponent(t, this.pendingComponentCb);
                },
                mountComponent: function (t) {
                    this.unbuild(!0);
                    var e = this, i = this.Component.options.activate, n = this.getCached(), r = this.build();
                    i && !n ? (this.waitingFor = r, be(i, r, function () {
                        e.waitingFor === r && (e.waitingFor = null, e.transition(r, t));
                    })) : (n && r._updateRef(), this.transition(r, t));
                },
                invalidatePending: function () {
                    this.pendingComponentCb && (this.pendingComponentCb.cancel(), this.pendingComponentCb = null);
                },
                build: function (t) {
                    var e = this.getCached();
                    if (e)
                        return e;
                    if (this.Component) {
                        var i = {
                            name: this.ComponentName,
                            el: Zt(this.el),
                            template: this.inlineTemplate,
                            parent: this._host || this.vm,
                            _linkerCachable: !this.inlineTemplate,
                            _ref: this.descriptor.ref,
                            _asComponent: !0,
                            _isRouterView: this._isRouterView,
                            _context: this.vm,
                            _scope: this._scope,
                            _frag: this._frag
                        };
                        t && v(i, t);
                        var n = new this.Component(i);
                        return this.keepAlive && (this.cache[this.Component.cid] = n), n;
                    }
                },
                getCached: function () {
                    return this.keepAlive && this.cache[this.Component.cid];
                },
                unbuild: function (t) {
                    this.waitingFor && (this.keepAlive || this.waitingFor.$destroy(), this.waitingFor = null);
                    var e = this.childVM;
                    return !e || this.keepAlive ? void (e && (e._inactive = !0, e._updateRef(!0))) : void e.$destroy(!1, t);
                },
                remove: function (t, e) {
                    var i = this.keepAlive;
                    if (t) {
                        this.pendingRemovals++, this.pendingRemovalCb = e;
                        var n = this;
                        t.$remove(function () {
                            n.pendingRemovals--, i || t._cleanup(), !n.pendingRemovals && n.pendingRemovalCb && (n.pendingRemovalCb(), n.pendingRemovalCb = null);
                        });
                    } else
                        e && e();
                },
                transition: function (t, e) {
                    var i = this, n = this.childVM;
                    switch (n && (n._inactive = !0), t._inactive = !1, this.childVM = t, i.params.transitionMode) {
                    case 'in-out':
                        t.$before(i.anchor, function () {
                            i.remove(n, e);
                        });
                        break;
                    case 'out-in':
                        i.remove(n, function () {
                            t.$before(i.anchor, e);
                        });
                        break;
                    default:
                        i.remove(n), t.$before(i.anchor, e);
                    }
                },
                unbind: function () {
                    if (this.invalidatePending(), this.unbuild(), this.cache) {
                        for (var t in this.cache)
                            this.cache[t].$destroy();
                        this.cache = null;
                    }
                }
            }, $s = An._propBindingModes, ks = {}, xs = /^[$_a-zA-Z]+[\w$]*$/, As = An._propBindingModes, Os = {
                bind: function () {
                    var t = this.vm, e = t._context, i = this.descriptor.prop, n = i.path, r = i.parentPath, s = i.mode === As.TWO_WAY, o = this.parentWatcher = new Ut(e, r, function (e) {
                            xe(t, i, e);
                        }, {
                            twoWay: s,
                            filters: i.filters,
                            scope: this._scope
                        });
                    if (ke(t, i, o.value), s) {
                        var a = this;
                        t.$once('pre-hook:created', function () {
                            a.childWatcher = new Ut(t, n, function (t) {
                                o.set(t);
                            }, { sync: !0 });
                        });
                    }
                },
                unbind: function () {
                    this.parentWatcher.teardown(), this.childWatcher && this.childWatcher.teardown();
                }
            }, Ts = [], Ns = !1, js = 'transition', Es = 'animation', Ss = Ji + 'Duration', Fs = Qi + 'Duration', Ds = Ri && window.requestAnimationFrame, Ps = Ds ? function (t) {
                Ds(function () {
                    Ds(t);
                });
            } : function (t) {
                setTimeout(t, 50);
            }, Rs = Se.prototype;
        Rs.enter = function (t, e) {
            this.cancelPending(), this.callHook('beforeEnter'), this.cb = e, X(this.el, this.enterClass), t(), this.entered = !1, this.callHookWithCb('enter'), this.entered || (this.cancel = this.hooks && this.hooks.enterCancelled, je(this.enterNextTick));
        }, Rs.enterNextTick = function () {
            var t = this;
            this.justEntered = !0, Ps(function () {
                t.justEntered = !1;
            });
            var e = this.enterDone, i = this.getCssTransitionType(this.enterClass);
            this.pendingJsCb ? i === js && Y(this.el, this.enterClass) : i === js ? (Y(this.el, this.enterClass), this.setupCssCb(qi, e)) : i === Es ? this.setupCssCb(Gi, e) : e();
        }, Rs.enterDone = function () {
            this.entered = !0, this.cancel = this.pendingJsCb = null, Y(this.el, this.enterClass), this.callHook('afterEnter'), this.cb && this.cb();
        }, Rs.leave = function (t, e) {
            this.cancelPending(), this.callHook('beforeLeave'), this.op = t, this.cb = e, X(this.el, this.leaveClass), this.left = !1, this.callHookWithCb('leave'), this.left || (this.cancel = this.hooks && this.hooks.leaveCancelled, this.op && !this.pendingJsCb && (this.justEntered ? this.leaveDone() : je(this.leaveNextTick)));
        }, Rs.leaveNextTick = function () {
            var t = this.getCssTransitionType(this.leaveClass);
            if (t) {
                var e = t === js ? qi : Gi;
                this.setupCssCb(e, this.leaveDone);
            } else
                this.leaveDone();
        }, Rs.leaveDone = function () {
            this.left = !0, this.cancel = this.pendingJsCb = null, this.op(), Y(this.el, this.leaveClass), this.callHook('afterLeave'), this.cb && this.cb(), this.op = null;
        }, Rs.cancelPending = function () {
            this.op = this.cb = null;
            var t = !1;
            this.pendingCssCb && (t = !0, Q(this.el, this.pendingCssEvent, this.pendingCssCb), this.pendingCssEvent = this.pendingCssCb = null), this.pendingJsCb && (t = !0, this.pendingJsCb.cancel(), this.pendingJsCb = null), t && (Y(this.el, this.enterClass), Y(this.el, this.leaveClass)), this.cancel && (this.cancel.call(this.vm, this.el), this.cancel = null);
        }, Rs.callHook = function (t) {
            this.hooks && this.hooks[t] && this.hooks[t].call(this.vm, this.el);
        }, Rs.callHookWithCb = function (t) {
            var e = this.hooks && this.hooks[t];
            e && (e.length > 1 && (this.pendingJsCb = w(this[t + 'Done'])), e.call(this.vm, this.el, this.pendingJsCb));
        }, Rs.getCssTransitionType = function (t) {
            if (!(!qi || document.hidden || this.hooks && this.hooks.css === !1 || Fe(this.el))) {
                var e = this.type || this.typeCache[t];
                if (e)
                    return e;
                var i = this.el.style, n = window.getComputedStyle(this.el), r = i[Ss] || n[Ss];
                if (r && '0s' !== r)
                    e = js;
                else {
                    var s = i[Fs] || n[Fs];
                    s && '0s' !== s && (e = Es);
                }
                return e && (this.typeCache[t] = e), e;
            }
        }, Rs.setupCssCb = function (t, e) {
            this.pendingCssEvent = t;
            var i = this, n = this.el, r = this.pendingCssCb = function (s) {
                    s.target === n && (Q(n, t, r), i.pendingCssEvent = i.pendingCssCb = null, !i.pendingJsCb && e && e());
                };
            q(n, t, r);
        };
        var Ls = {
                priority: Ir,
                update: function (t, e) {
                    var i = this.el, n = gt(this.vm.$options, 'transitions', t);
                    t = t || 'v', e = e || 'v', i.__v_trans = new Se(i, t, n, this.vm), Y(i, e + '-transition'), X(i, t + '-transition');
                }
            }, Hs = {
                style: ls,
                'class': ws,
                component: Cs,
                prop: Os,
                transition: Ls
            }, Is = /^v-bind:|^:/, Ms = /^v-on:|^@/, Vs = /^v-([^:]+)(?:$|:(.*)$)/, Bs = /\.[^\.]+/g, Ws = /^(v-bind:|:)?transition$/, zs = 1000, Us = 2000;
        Ye.terminal = !0;
        var Js = /[^\w\-:\.]/, qs = Object.freeze({
                compile: De,
                compileAndLinkProps: Ie,
                compileRoot: Me,
                transclude: si,
                resolveSlots: li
            }), Qs = /^v-on:|^@/;
        di.prototype._bind = function () {
            var t = this.name, e = this.descriptor;
            if (('cloak' !== t || this.vm._isCompiled) && this.el && this.el.removeAttribute) {
                var i = e.attr || 'v-' + t;
                this.el.removeAttribute(i);
            }
            var n = e.def;
            if ('function' == typeof n ? this.update = n : v(this, n), this._setupParams(), this.bind && this.bind(), this._bound = !0, this.literal)
                this.update && this.update(e.raw);
            else if ((this.expression || this.modifiers) && (this.update || this.twoWay) && !this._checkStatement()) {
                var r = this;
                this.update ? this._update = function (t, e) {
                    r._locked || r.update(t, e);
                } : this._update = pi;
                var s = this._preProcess ? p(this._preProcess, this) : null, o = this._postProcess ? p(this._postProcess, this) : null, a = this._watcher = new Ut(this.vm, this.expression, this._update, {
                        filters: this.filters,
                        twoWay: this.twoWay,
                        deep: this.deep,
                        preProcess: s,
                        postProcess: o,
                        scope: this._scope
                    });
                this.afterBind ? this.afterBind() : this.update && this.update(a.value);
            }
        }, di.prototype._setupParams = function () {
            if (this.params) {
                var t = this.params;
                this.params = Object.create(null);
                for (var e, i, n, r = t.length; r--;)
                    e = u(t[r]), n = l(e), i = M(this.el, e), null != i ? this._setupParamWatcher(n, i) : (i = I(this.el, e), null != i && (this.params[n] = '' === i ? !0 : i));
            }
        }, di.prototype._setupParamWatcher = function (t, e) {
            var i = this, n = !1, r = (this._scope || this.vm).$watch(e, function (e, r) {
                    if (i.params[t] = e, n) {
                        var s = i.paramWatchers && i.paramWatchers[t];
                        s && s.call(i, e, r);
                    } else
                        n = !0;
                }, {
                    immediate: !0,
                    user: !1
                });
            (this._paramUnwatchFns || (this._paramUnwatchFns = [])).push(r);
        }, di.prototype._checkStatement = function () {
            var t = this.expression;
            if (t && this.acceptStatement && !Mt(t)) {
                var e = It(t).get, i = this._scope || this.vm, n = function (t) {
                        i.$event = t, e.call(i, i), i.$event = null;
                    };
                return this.filters && (n = i._applyFilters(n, null, this.filters)), this.update(n), !0;
            }
        }, di.prototype.set = function (t) {
            this.twoWay && this._withLock(function () {
                this._watcher.set(t);
            });
        }, di.prototype._withLock = function (t) {
            var e = this;
            e._locked = !0, t.call(e), Yi(function () {
                e._locked = !1;
            });
        }, di.prototype.on = function (t, e, i) {
            q(this.el, t, e, i), (this._listeners || (this._listeners = [])).push([
                t,
                e
            ]);
        }, di.prototype._teardown = function () {
            if (this._bound) {
                this._bound = !1, this.unbind && this.unbind(), this._watcher && this._watcher.teardown();
                var t, e = this._listeners;
                if (e)
                    for (t = e.length; t--;)
                        Q(this.el, e[t][0], e[t][1]);
                var i = this._paramUnwatchFns;
                if (i)
                    for (t = i.length; t--;)
                        i[t]();
                this.vm = this.el = this._watcher = this._listeners = null;
            }
        };
        var Gs = /[^|]\|[^|]/;
        xt(wi), ui(wi), fi(wi), vi(wi), mi(wi), gi(wi), _i(wi), yi(wi), bi(wi);
        var Zs = {
                priority: Ur,
                params: ['name'],
                bind: function () {
                    var t = this.params.name || 'default', e = this.vm._slotContents && this.vm._slotContents[t];
                    e && e.hasChildNodes() ? this.compile(e.cloneNode(!0), this.vm._context, this.vm) : this.fallback();
                },
                compile: function (t, e, i) {
                    if (t && e) {
                        if (this.el.hasChildNodes() && 1 === t.childNodes.length && 1 === t.childNodes[0].nodeType && t.childNodes[0].hasAttribute('v-if')) {
                            var n = document.createElement('template');
                            n.setAttribute('v-else', ''), n.innerHTML = this.el.innerHTML, n._context = this.vm, t.appendChild(n);
                        }
                        var r = i ? i._scope : this._scope;
                        this.unlink = e.$compile(t, i, r, this._frag);
                    }
                    t ? J(this.el, t) : z(this.el);
                },
                fallback: function () {
                    this.compile(K(this.el, !0), this.vm);
                },
                unbind: function () {
                    this.unlink && this.unlink();
                }
            }, Xs = {
                priority: Br,
                params: ['name'],
                paramWatchers: {
                    name: function (t) {
                        Qr.remove.call(this), t && this.insert(t);
                    }
                },
                bind: function () {
                    this.anchor = nt('v-partial'), J(this.el, this.anchor), this.insert(this.params.name);
                },
                insert: function (t) {
                    var e = gt(this.vm.$options, 'partials', t, !0);
                    e && (this.factory = new se(this.vm, e), Qr.insert.call(this));
                },
                unbind: function () {
                    this.frag && this.frag.destroy();
                }
            }, Ys = {
                slot: Zs,
                partial: Xs
            }, Ks = qr._postProcess, to = /(\d{3})(?=\d)/g, eo = {
                orderBy: ki,
                filterBy: $i,
                limitBy: Ci,
                json: {
                    read: function (t, e) {
                        return 'string' == typeof t ? t : JSON.stringify(t, null, arguments.length > 1 ? e : 2);
                    },
                    write: function (t) {
                        try {
                            return JSON.parse(t);
                        } catch (e) {
                            return t;
                        }
                    }
                },
                capitalize: function (t) {
                    return t || 0 === t ? (t = t.toString(), t.charAt(0).toUpperCase() + t.slice(1)) : '';
                },
                uppercase: function (t) {
                    return t || 0 === t ? t.toString().toUpperCase() : '';
                },
                lowercase: function (t) {
                    return t || 0 === t ? t.toString().toLowerCase() : '';
                },
                currency: function (t, e, i) {
                    if (t = parseFloat(t), !isFinite(t) || !t && 0 !== t)
                        return '';
                    e = null != e ? e : '$', i = null != i ? i : 2;
                    var n = Math.abs(t).toFixed(i), r = i ? n.slice(0, -1 - i) : n, s = r.length % 3, o = s > 0 ? r.slice(0, s) + (r.length > 3 ? ',' : '') : '', a = i ? n.slice(-1 - i) : '', h = 0 > t ? '-' : '';
                    return h + e + o + r.slice(s).replace(to, '$1,') + a;
                },
                pluralize: function (t) {
                    var e = d(arguments, 1), i = e.length;
                    if (i > 1) {
                        var n = t % 10 - 1;
                        return n in e ? e[n] : e[i - 1];
                    }
                    return e[0] + (1 === t ? '' : 's');
                },
                debounce: function (t, e) {
                    return t ? (e || (e = 300), y(t, e)) : void 0;
                }
            };
        return Ai(wi), wi.version = '1.0.26', setTimeout(function () {
            An.devtools && Li && Li.emit('init', wi);
        }, 0), wi;
    });
}.call(this));
!function (t, e) {
    'object' == typeof exports && 'object' == typeof module ? module.exports = e(require('jquery')) : 'function' == typeof define && define.amd ? define('amazeui', ['jquery'], e) : 'object' == typeof exports ? exports.AMUI = e(require('jquery')) : t.AMUI = e(t.jQuery);
}(this, function (t) {
    return function (t) {
        function e(n) {
            if (i[n])
                return i[n].exports;
            var o = i[n] = {
                exports: {},
                id: n,
                loaded: !1
            };
            return t[n].call(o.exports, o, o.exports, e), o.loaded = !0, o.exports;
        }
        var i = {};
        return e.m = t, e.c = i, e.p = '', e(0);
    }([
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2);
            i(3), i(4), i(5), i(6), i(7), i(8), i(9), i(10), i(11), i(14), i(15), i(16), i(17), i(18), i(19), i(20), i(21), i(22), i(24), i(25), i(23), i(27), i(28), i(29), i(30), i(31), i(32), i(33), i(26), i(34), i(35), i(36), i(37), i(38), i(39), i(40), i(41), i(42), i(43), i(44), i(45), i(46), i(47), i(48), i(49), i(50), i(51), i(52), i(53), i(54), t.exports = n.AMUI = o;
        },
        function (e, i) {
            e.exports = t;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1);
            if ('undefined' == typeof n)
                throw new Error('Amaze UI 2.x requires jQuery :-(\n爱上一匹野马\uFF0C可你的家里没有草原\u2026');
            var o = n.AMUI || {}, s = n(window), a = window.document, r = n('html');
            o.VERSION = '2.6.1', o.support = {}, o.support.transition = function () {
                var t = function () {
                    var t = a.body || a.documentElement, e = {
                            WebkitTransition: 'webkitTransitionEnd',
                            MozTransition: 'transitionend',
                            OTransition: 'oTransitionEnd otransitionend',
                            transition: 'transitionend'
                        };
                    for (var i in e)
                        if (void 0 !== t.style[i])
                            return e[i];
                }();
                return t && { end: t };
            }(), o.support.animation = function () {
                var t = function () {
                    var t = a.body || a.documentElement, e = {
                            WebkitAnimation: 'webkitAnimationEnd',
                            MozAnimation: 'animationend',
                            OAnimation: 'oAnimationEnd oanimationend',
                            animation: 'animationend'
                        };
                    for (var i in e)
                        if (void 0 !== t.style[i])
                            return e[i];
                }();
                return t && { end: t };
            }(), o.support.touch = 'ontouchstart' in window && navigator.userAgent.toLowerCase().match(/mobile|tablet/) || window.DocumentTouch && document instanceof window.DocumentTouch || window.navigator.msPointerEnabled && window.navigator.msMaxTouchPoints > 0 || window.navigator.pointerEnabled && window.navigator.maxTouchPoints > 0 || !1, o.support.mutationobserver = window.MutationObserver || window.WebKitMutationObserver || null, o.support.formValidation = 'function' == typeof document.createElement('form').checkValidity, o.utils = {}, o.utils.debounce = function (t, e, i) {
                var n;
                return function () {
                    var o = this, s = arguments, a = function () {
                            n = null, i || t.apply(o, s);
                        }, r = i && !n;
                    clearTimeout(n), n = setTimeout(a, e), r && t.apply(o, s);
                };
            }, o.utils.isInView = function (t, e) {
                var i = n(t), o = !(!i.width() && !i.height()) && 'none' !== i.css('display');
                if (!o)
                    return !1;
                var a = s.scrollLeft(), r = s.scrollTop(), l = i.offset(), c = l.left, h = l.top;
                return e = n.extend({
                    topOffset: 0,
                    leftOffset: 0
                }, e), h + i.height() >= r && h - e.topOffset <= r + s.height() && c + i.width() >= a && c - e.leftOffset <= a + s.width();
            }, o.utils.parseOptions = o.utils.options = function (t) {
                if (n.isPlainObject(t))
                    return t;
                var e = t ? t.indexOf('{') : -1, i = {};
                if (-1 != e)
                    try {
                        i = new Function('', 'var json = ' + t.substr(e) + '; return JSON.parse(JSON.stringify(json));')();
                    } catch (o) {
                    }
                return i;
            }, o.utils.generateGUID = function (t) {
                var e = t + '-' || 'am-';
                do
                    e += Math.random().toString(36).substring(2, 7);
                while (document.getElementById(e));
                return e;
            }, o.utils.getAbsoluteUrl = function () {
                var t;
                return function (e) {
                    return t || (t = document.createElement('a')), t.href = e, t.href;
                };
            }(), o.plugin = function (t, e, i) {
                var s = n.fn[t];
                i = i || {}, n.fn[t] = function (s) {
                    var a, r = Array.prototype.slice.call(arguments, 0), l = r.slice(1), c = this.each(function () {
                            var c = n(this), h = 'amui.' + t, u = i.dataOptions || 'data-am-' + t, d = c.data(h), p = n.extend({}, o.utils.parseOptions(c.attr(u)), 'object' == typeof s && s);
                            (d || 'destroy' !== s) && (d || c.data(h, d = new e(this, p)), i.methodCall ? i.methodCall.call(c, r, d) : (i.before && i.before.call(c, r, d), 'string' == typeof s && (a = 'function' == typeof d[s] ? d[s].apply(d, l) : d[s]), i.after && i.after.call(c, r, d)));
                        });
                    return void 0 === a ? c : a;
                }, n.fn[t].Constructor = e, n.fn[t].noConflict = function () {
                    return n.fn[t] = s, this;
                }, o[t] = e;
            }, n.fn.emulateTransitionEnd = function (t) {
                var e = !1, i = this;
                n(this).one(o.support.transition.end, function () {
                    e = !0;
                });
                var s = function () {
                    e || n(i).trigger(o.support.transition.end), i.transitionEndTimmer = void 0;
                };
                return this.transitionEndTimmer = setTimeout(s, t), this;
            }, n.fn.redraw = function () {
                return this.each(function () {
                    this.offsetHeight;
                });
            }, n.fn.transitionEnd = function (t) {
                function e(o) {
                    t.call(this, o), i && n.off(i, e);
                }
                var i = o.support.transition.end, n = this;
                return t && i && n.on(i, e), this;
            }, n.fn.removeClassRegEx = function () {
                return this.each(function (t) {
                    var e = n(this).attr('class');
                    if (!e || !t)
                        return !1;
                    var i = [];
                    e = e.split(' ');
                    for (var o = 0, s = e.length; s > o; o++)
                        e[o].match(t) || i.push(e[o]);
                    n(this).attr('class', i.join(' '));
                });
            }, n.fn.alterClass = function (t, e) {
                var i = this;
                if (-1 === t.indexOf('*'))
                    return i.removeClass(t), e ? i.addClass(e) : i;
                var o = new RegExp('\\s' + t.replace(/\*/g, '[A-Za-z0-9-_]+').split(' ').join('\\s|\\s') + '\\s', 'g');
                return i.each(function (t, e) {
                    for (var i = ' ' + e.className + ' '; o.test(i);)
                        i = i.replace(o, ' ');
                    e.className = n.trim(i);
                }), e ? i.addClass(e) : i;
            }, o.utils.rAF = function () {
                return window.requestAnimationFrame || window.webkitRequestAnimationFrame || window.mozRequestAnimationFrame || window.oRequestAnimationFrame || function (t) {
                    return window.setTimeout(t, 1000 / 60);
                };
            }(), o.utils.cancelAF = function () {
                return window.cancelAnimationFrame || window.webkitCancelAnimationFrame || window.mozCancelAnimationFrame || window.oCancelAnimationFrame || function (t) {
                    window.clearTimeout(t);
                };
            }(), o.utils.measureScrollbar = function () {
                if (document.body.clientWidth >= window.innerWidth)
                    return 0;
                var t = n('<div style="width: 100px;height: 100px;overflow: scroll;position: absolute;top: -9999px;"></div>');
                n(document.body).append(t);
                var e = t[0].offsetWidth - t[0].clientWidth;
                return t.remove(), e;
            }, o.utils.imageLoader = function (t, e) {
                function i() {
                    e(t[0]);
                }
                function n() {
                    if (this.one('load', i), /MSIE (\d+\.\d+);/.test(navigator.userAgent)) {
                        var t = this.attr('src'), e = t.match(/\?/) ? '&' : '?';
                        e += 'random=' + new Date().getTime(), this.attr('src', t + e);
                    }
                }
                return t.attr('src') ? void (t[0].complete || 4 === t[0].readyState ? i() : n.call(t)) : void i();
            }, o.template = function (t, e) {
                var i = o.template;
                return i.cache[t] || (i.cache[t] = function () {
                    var e = t, n = /^[\w\-]+$/.test(t) ? i.get(t) : (e = 'template(string)', t), o = 1, s = ('try { ' + (i.variable ? 'var ' + i.variable + ' = this.stash;' : 'with (this.stash) { ') + 'this.ret += \'' + n.replace(/<%/g, '\x11').replace(/%>/g, '\x13').replace(/'(?![^\x11\x13]+?\x13)/g, '\\x27').replace(/^\s*|\s*$/g, '').replace(/\n/g, function () {
                            return '\';\nthis.line = ' + ++o + '; this.ret += \'\\n';
                        }).replace(/\x11-(.+?)\x13/g, '\' + ($1) + \'').replace(/\x11=(.+?)\x13/g, '\' + this.escapeHTML($1) + \'').replace(/\x11(.+?)\x13/g, '\'; $1; this.ret += \'') + '\'; ' + (i.variable ? '' : '}') + 'return this.ret;} catch (e) { throw \'TemplateError: \' + e + \' (on ' + e + '\' + \' line \' + this.line + \')\'; } //@ sourceURL=' + e + '\n').replace(/this\.ret \+= '';/g, ''), a = new Function(s), r = {
                            '&': '&amp;',
                            '<': '&lt;',
                            '>': '&gt;',
                            '"': '&#x22;',
                            '\'': '&#x27;'
                        }, l = function (t) {
                            return ('' + t).replace(/[&<>\'\"]/g, function (t) {
                                return r[t];
                            });
                        };
                    return function (t) {
                        return a.call(i.context = {
                            escapeHTML: l,
                            line: 1,
                            ret: '',
                            stash: t
                        });
                    };
                }()), e ? i.cache[t](e) : i.cache[t];
            }, o.template.cache = {}, o.template.get = function (t) {
                if (t) {
                    var e = document.getElementById(t);
                    return e && e.innerHTML || '';
                }
            }, o.DOMWatchers = [], o.DOMReady = !1, o.ready = function (t) {
                o.DOMWatchers.push(t), o.DOMReady && t(document);
            }, o.DOMObserve = function (t, e, i) {
                var s = o.support.mutationobserver;
                s && (e = n.isPlainObject(e) ? e : {
                    childList: !0,
                    subtree: !0
                }, i = 'function' == typeof i && i || function () {
                }, n(t).each(function () {
                    var t = this, a = n(t);
                    if (!a.data('am.observer'))
                        try {
                            var r = new s(o.utils.debounce(function (e, n) {
                                i.call(t, e, n), a.trigger('changed.dom.amui');
                            }, 50));
                            r.observe(t, e), a.data('am.observer', r);
                        } catch (l) {
                        }
                }));
            }, n.fn.DOMObserve = function (t, e) {
                return this.each(function () {
                    o.DOMObserve(this, t, e);
                });
            }, o.support.touch && r.addClass('am-touch'), n(document).on('changed.dom.amui', function (t) {
                var e = t.target;
                n.each(o.DOMWatchers, function (t, i) {
                    i(e);
                });
            }), n(function () {
                var t = n('body');
                o.DOMReady = !0, n.each(o.DOMWatchers, function (t, e) {
                    e(document);
                }), o.DOMObserve('[data-am-observe]'), r.removeClass('no-js').addClass('js'), o.support.animation && r.addClass('cssanimations'), window.navigator.standalone && r.addClass('am-standalone'), n('.am-topbar-fixed-top').length && t.addClass('am-with-topbar-fixed-top'), n('.am-topbar-fixed-bottom').length && t.addClass('am-with-topbar-fixed-bottom');
                var e = n('.am-layout');
                e.find('[class*="md-block-grid"]').alterClass('md-block-grid-*'), e.find('[class*="lg-block-grid"]').alterClass('lg-block-grid'), n('[data-am-widget]').each(function () {
                    var t = n(this);
                    0 === t.parents('.am-layout').length && t.addClass('am-no-layout');
                });
            }), t.exports = o;
        },
        function (t, e, i) {
            'use strict';
            function n(t, e, i) {
                return setTimeout(l(t, i), e);
            }
            function o(t, e, i) {
                return Array.isArray(t) ? (s(t, i[e], i), !0) : !1;
            }
            function s(t, e, i) {
                var n;
                if (t)
                    if (t.forEach)
                        t.forEach(e, i);
                    else if (void 0 !== t.length)
                        for (n = 0; n < t.length;)
                            e.call(i, t[n], n, t), n++;
                    else
                        for (n in t)
                            t.hasOwnProperty(n) && e.call(i, t[n], n, t);
            }
            function a(t, e, i) {
                var n = 'DEPRECATED METHOD: ' + e + '\n' + i + ' AT \n';
                return function () {
                    var e = new Error('get-stack-trace'), i = e && e.stack ? e.stack.replace(/^[^\(]+?[\n$]/gm, '').replace(/^\s+at\s+/gm, '').replace(/^Object.<anonymous>\s*\(/gm, '{anonymous}()@') : 'Unknown Stack Trace', o = window.console && (window.console.warn || window.console.log);
                    return o && o.call(window.console, n, i), t.apply(this, arguments);
                };
            }
            function r(t, e, i) {
                var n, o = e.prototype;
                n = t.prototype = Object.create(o), n.constructor = t, n._super = o, i && at(n, i);
            }
            function l(t, e) {
                return function () {
                    return t.apply(e, arguments);
                };
            }
            function c(t, e) {
                return typeof t == ut ? t.apply(e ? e[0] || void 0 : void 0, e) : t;
            }
            function h(t, e) {
                return void 0 === t ? e : t;
            }
            function u(t, e, i) {
                s(f(e), function (e) {
                    t.addEventListener(e, i, !1);
                });
            }
            function d(t, e, i) {
                s(f(e), function (e) {
                    t.removeEventListener(e, i, !1);
                });
            }
            function p(t, e) {
                for (; t;) {
                    if (t == e)
                        return !0;
                    t = t.parentNode;
                }
                return !1;
            }
            function m(t, e) {
                return t.indexOf(e) > -1;
            }
            function f(t) {
                return t.trim().split(/\s+/g);
            }
            function v(t, e, i) {
                if (t.indexOf && !i)
                    return t.indexOf(e);
                for (var n = 0; n < t.length;) {
                    if (i && t[n][i] == e || !i && t[n] === e)
                        return n;
                    n++;
                }
                return -1;
            }
            function g(t) {
                return Array.prototype.slice.call(t, 0);
            }
            function w(t, e, i) {
                for (var n = [], o = [], s = 0; s < t.length;) {
                    var a = e ? t[s][e] : t[s];
                    v(o, a) < 0 && n.push(t[s]), o[s] = a, s++;
                }
                return i && (n = e ? n.sort(function (t, i) {
                    return t[e] > i[e];
                }) : n.sort()), n;
            }
            function y(t, e) {
                for (var i, n, o = e[0].toUpperCase() + e.slice(1), s = 0; s < ct.length;) {
                    if (i = ct[s], n = i ? i + o : e, n in t)
                        return n;
                    s++;
                }
            }
            function b() {
                return gt++;
            }
            function T(t) {
                var e = t.ownerDocument || t;
                return e.defaultView || e.parentWindow || window;
            }
            function x(t, e) {
                var i = this;
                this.manager = t, this.callback = e, this.element = t.element, this.target = t.options.inputTarget, this.domHandler = function (e) {
                    c(t.options.enable, [t]) && i.handler(e);
                }, this.init();
            }
            function C(t) {
                var e, i = t.options.inputClass;
                return new (e = i ? i : bt ? _ : Tt ? q : yt ? H : L)(t, E);
            }
            function E(t, e, i) {
                var n = i.pointers.length, o = i.changedPointers.length, s = e & Dt && n - o === 0, a = e & (At | $t) && n - o === 0;
                i.isFirst = !!s, i.isFinal = !!a, s && (t.session = {}), i.eventType = e, S(t, i), t.emit('hammer.input', i), t.recognize(i), t.session.prevInput = i;
            }
            function S(t, e) {
                var i = t.session, n = e.pointers, o = n.length;
                i.firstInput || (i.firstInput = F(e)), o > 1 && !i.firstMultiple ? i.firstMultiple = F(e) : 1 === o && (i.firstMultiple = !1);
                var s = i.firstInput, a = i.firstMultiple, r = a ? a.center : s.center, l = e.center = A(n);
                e.timeStamp = mt(), e.deltaTime = e.timeStamp - s.timeStamp, e.angle = N(r, l), e.distance = P(r, l), k(i, e), e.offsetDirection = M(e.deltaX, e.deltaY);
                var c = $(e.deltaTime, e.deltaX, e.deltaY);
                e.overallVelocityX = c.x, e.overallVelocityY = c.y, e.overallVelocity = pt(c.x) > pt(c.y) ? c.x : c.y, e.scale = a ? O(a.pointers, n) : 1, e.rotation = a ? I(a.pointers, n) : 0, e.maxPointers = i.prevInput ? e.pointers.length > i.prevInput.maxPointers ? e.pointers.length : i.prevInput.maxPointers : e.pointers.length, D(i, e);
                var h = t.element;
                p(e.srcEvent.target, h) && (h = e.srcEvent.target), e.target = h;
            }
            function k(t, e) {
                var i = e.center, n = t.offsetDelta || {}, o = t.prevDelta || {}, s = t.prevInput || {};
                e.eventType !== Dt && s.eventType !== At || (o = t.prevDelta = {
                    x: s.deltaX || 0,
                    y: s.deltaY || 0
                }, n = t.offsetDelta = {
                    x: i.x,
                    y: i.y
                }), e.deltaX = o.x + (i.x - n.x), e.deltaY = o.y + (i.y - n.y);
            }
            function D(t, e) {
                var i, n, o, s, a = t.lastInterval || e, r = e.timeStamp - a.timeStamp;
                if (e.eventType != $t && (r > kt || void 0 === a.velocity)) {
                    var l = e.deltaX - a.deltaX, c = e.deltaY - a.deltaY, h = $(r, l, c);
                    n = h.x, o = h.y, i = pt(h.x) > pt(h.y) ? h.x : h.y, s = M(l, c), t.lastInterval = e;
                } else
                    i = a.velocity, n = a.velocityX, o = a.velocityY, s = a.direction;
                e.velocity = i, e.velocityX = n, e.velocityY = o, e.direction = s;
            }
            function F(t) {
                for (var e = [], i = 0; i < t.pointers.length;)
                    e[i] = {
                        clientX: dt(t.pointers[i].clientX),
                        clientY: dt(t.pointers[i].clientY)
                    }, i++;
                return {
                    timeStamp: mt(),
                    pointers: e,
                    center: A(e),
                    deltaX: t.deltaX,
                    deltaY: t.deltaY
                };
            }
            function A(t) {
                var e = t.length;
                if (1 === e)
                    return {
                        x: dt(t[0].clientX),
                        y: dt(t[0].clientY)
                    };
                for (var i = 0, n = 0, o = 0; e > o;)
                    i += t[o].clientX, n += t[o].clientY, o++;
                return {
                    x: dt(i / e),
                    y: dt(n / e)
                };
            }
            function $(t, e, i) {
                return {
                    x: e / t || 0,
                    y: i / t || 0
                };
            }
            function M(t, e) {
                return t === e ? Mt : pt(t) >= pt(e) ? 0 > t ? Pt : Nt : 0 > e ? It : Ot;
            }
            function P(t, e, i) {
                i || (i = Rt);
                var n = e[i[0]] - t[i[0]], o = e[i[1]] - t[i[1]];
                return Math.sqrt(n * n + o * o);
            }
            function N(t, e, i) {
                i || (i = Rt);
                var n = e[i[0]] - t[i[0]], o = e[i[1]] - t[i[1]];
                return 180 * Math.atan2(o, n) / Math.PI;
            }
            function I(t, e) {
                return N(e[1], e[0], qt) + N(t[1], t[0], qt);
            }
            function O(t, e) {
                return P(e[0], e[1], qt) / P(t[0], t[1], qt);
            }
            function L() {
                this.evEl = Ht, this.evWin = Vt, this.allow = !0, this.pressed = !1, x.apply(this, arguments);
            }
            function _() {
                this.evEl = Xt, this.evWin = Yt, x.apply(this, arguments), this.store = this.manager.session.pointerEvents = [];
            }
            function z() {
                this.evTarget = Zt, this.evWin = Gt, this.started = !1, x.apply(this, arguments);
            }
            function R(t, e) {
                var i = g(t.touches), n = g(t.changedTouches);
                return e & (At | $t) && (i = w(i.concat(n), 'identifier', !0)), [
                    i,
                    n
                ];
            }
            function q() {
                this.evTarget = Kt, this.targetIds = {}, x.apply(this, arguments);
            }
            function W(t, e) {
                var i = g(t.touches), n = this.targetIds;
                if (e & (Dt | Ft) && 1 === i.length)
                    return n[i[0].identifier] = !0, [
                        i,
                        i
                    ];
                var o, s, a = g(t.changedTouches), r = [], l = this.target;
                if (s = i.filter(function (t) {
                        return p(t.target, l);
                    }), e === Dt)
                    for (o = 0; o < s.length;)
                        n[s[o].identifier] = !0, o++;
                for (o = 0; o < a.length;)
                    n[a[o].identifier] && r.push(a[o]), e & (At | $t) && delete n[a[o].identifier], o++;
                return r.length ? [
                    w(s.concat(r), 'identifier', !0),
                    r
                ] : void 0;
            }
            function H() {
                x.apply(this, arguments);
                var t = l(this.handler, this);
                this.touch = new q(this.manager, t), this.mouse = new L(this.manager, t);
            }
            function V(t, e) {
                this.manager = t, this.set(e);
            }
            function B(t) {
                if (m(t, oe))
                    return oe;
                var e = m(t, se), i = m(t, ae);
                return e && i ? oe : e || i ? e ? se : ae : m(t, ne) ? ne : ie;
            }
            function U(t) {
                this.options = at({}, this.defaults, t || {}), this.id = b(), this.manager = null, this.options.enable = h(this.options.enable, !0), this.state = re, this.simultaneous = {}, this.requireFail = [];
            }
            function X(t) {
                return t & de ? 'cancel' : t & he ? 'end' : t & ce ? 'move' : t & le ? 'start' : '';
            }
            function Y(t) {
                return t == Ot ? 'down' : t == It ? 'up' : t == Pt ? 'left' : t == Nt ? 'right' : '';
            }
            function j(t, e) {
                var i = e.manager;
                return i ? i.get(t) : t;
            }
            function Z() {
                U.apply(this, arguments);
            }
            function G() {
                Z.apply(this, arguments), this.pX = null, this.pY = null;
            }
            function J() {
                Z.apply(this, arguments);
            }
            function K() {
                U.apply(this, arguments), this._timer = null, this._input = null;
            }
            function Q() {
                Z.apply(this, arguments);
            }
            function tt() {
                Z.apply(this, arguments);
            }
            function et() {
                U.apply(this, arguments), this.pTime = !1, this.pCenter = !1, this._timer = null, this._input = null, this.count = 0;
            }
            function it(t, e) {
                return e = e || {}, e.recognizers = h(e.recognizers, it.defaults.preset), new nt(t, e);
            }
            function nt(t, e) {
                this.options = at({}, it.defaults, e || {}), this.options.inputTarget = this.options.inputTarget || t, this.handlers = {}, this.session = {}, this.recognizers = [], this.element = t, this.input = C(this), this.touchAction = new V(this, this.options.touchAction), ot(this, !0), s(this.options.recognizers, function (t) {
                    var e = this.add(new t[0](t[1]));
                    t[2] && e.recognizeWith(t[2]), t[3] && e.requireFailure(t[3]);
                }, this);
            }
            function ot(t, e) {
                var i = t.element;
                i.style && s(t.options.cssProps, function (t, n) {
                    i.style[y(i.style, n)] = e ? t : '';
                });
            }
            function st(t, e) {
                var i = document.createEvent('Event');
                i.initEvent(t, !0, !0), i.gesture = e, e.target.dispatchEvent(i);
            }
            var at, rt = i(1), lt = i(2), ct = [
                    '',
                    'webkit',
                    'Moz',
                    'MS',
                    'ms',
                    'o'
                ], ht = document.createElement('div'), ut = 'function', dt = Math.round, pt = Math.abs, mt = Date.now;
            at = 'function' != typeof Object.assign ? function (t) {
                if (void 0 === t || null === t)
                    throw new TypeError('Cannot convert undefined or null to object');
                for (var e = Object(t), i = 1; i < arguments.length; i++) {
                    var n = arguments[i];
                    if (void 0 !== n && null !== n)
                        for (var o in n)
                            n.hasOwnProperty(o) && (e[o] = n[o]);
                }
                return e;
            } : Object.assign;
            var ft = a(function (t, e, i) {
                    for (var n = Object.keys(e), o = 0; o < n.length;)
                        (!i || i && void 0 === t[n[o]]) && (t[n[o]] = e[n[o]]), o++;
                    return t;
                }, 'extend', 'Use `assign`.'), vt = a(function (t, e) {
                    return ft(t, e, !0);
                }, 'merge', 'Use `assign`.'), gt = 1, wt = /mobile|tablet|ip(ad|hone|od)|android/i, yt = 'ontouchstart' in window, bt = void 0 !== y(window, 'PointerEvent'), Tt = yt && wt.test(navigator.userAgent), xt = 'touch', Ct = 'pen', Et = 'mouse', St = 'kinect', kt = 25, Dt = 1, Ft = 2, At = 4, $t = 8, Mt = 1, Pt = 2, Nt = 4, It = 8, Ot = 16, Lt = Pt | Nt, _t = It | Ot, zt = Lt | _t, Rt = [
                    'x',
                    'y'
                ], qt = [
                    'clientX',
                    'clientY'
                ];
            x.prototype = {
                handler: function () {
                },
                init: function () {
                    this.evEl && u(this.element, this.evEl, this.domHandler), this.evTarget && u(this.target, this.evTarget, this.domHandler), this.evWin && u(T(this.element), this.evWin, this.domHandler);
                },
                destroy: function () {
                    this.evEl && d(this.element, this.evEl, this.domHandler), this.evTarget && d(this.target, this.evTarget, this.domHandler), this.evWin && d(T(this.element), this.evWin, this.domHandler);
                }
            };
            var Wt = {
                    mousedown: Dt,
                    mousemove: Ft,
                    mouseup: At
                }, Ht = 'mousedown', Vt = 'mousemove mouseup';
            r(L, x, {
                handler: function (t) {
                    var e = Wt[t.type];
                    e & Dt && 0 === t.button && (this.pressed = !0), e & Ft && 1 !== t.which && (e = At), this.pressed && this.allow && (e & At && (this.pressed = !1), this.callback(this.manager, e, {
                        pointers: [t],
                        changedPointers: [t],
                        pointerType: Et,
                        srcEvent: t
                    }));
                }
            });
            var Bt = {
                    pointerdown: Dt,
                    pointermove: Ft,
                    pointerup: At,
                    pointercancel: $t,
                    pointerout: $t
                }, Ut = {
                    2: xt,
                    3: Ct,
                    4: Et,
                    5: St
                }, Xt = 'pointerdown', Yt = 'pointermove pointerup pointercancel';
            window.MSPointerEvent && !window.PointerEvent && (Xt = 'MSPointerDown', Yt = 'MSPointerMove MSPointerUp MSPointerCancel'), r(_, x, {
                handler: function (t) {
                    var e = this.store, i = !1, n = t.type.toLowerCase().replace('ms', ''), o = Bt[n], s = Ut[t.pointerType] || t.pointerType, a = s == xt, r = v(e, t.pointerId, 'pointerId');
                    o & Dt && (0 === t.button || a) ? 0 > r && (e.push(t), r = e.length - 1) : o & (At | $t) && (i = !0), 0 > r || (e[r] = t, this.callback(this.manager, o, {
                        pointers: e,
                        changedPointers: [t],
                        pointerType: s,
                        srcEvent: t
                    }), i && e.splice(r, 1));
                }
            });
            var jt = {
                    touchstart: Dt,
                    touchmove: Ft,
                    touchend: At,
                    touchcancel: $t
                }, Zt = 'touchstart', Gt = 'touchstart touchmove touchend touchcancel';
            r(z, x, {
                handler: function (t) {
                    var e = jt[t.type];
                    if (e === Dt && (this.started = !0), this.started) {
                        var i = R.call(this, t, e);
                        e & (At | $t) && i[0].length - i[1].length === 0 && (this.started = !1), this.callback(this.manager, e, {
                            pointers: i[0],
                            changedPointers: i[1],
                            pointerType: xt,
                            srcEvent: t
                        });
                    }
                }
            });
            var Jt = {
                    touchstart: Dt,
                    touchmove: Ft,
                    touchend: At,
                    touchcancel: $t
                }, Kt = 'touchstart touchmove touchend touchcancel';
            r(q, x, {
                handler: function (t) {
                    var e = Jt[t.type], i = W.call(this, t, e);
                    i && this.callback(this.manager, e, {
                        pointers: i[0],
                        changedPointers: i[1],
                        pointerType: xt,
                        srcEvent: t
                    });
                }
            }), r(H, x, {
                handler: function (t, e, i) {
                    var n = i.pointerType == xt, o = i.pointerType == Et;
                    if (n)
                        this.mouse.allow = !1;
                    else if (o && !this.mouse.allow)
                        return;
                    e & (At | $t) && (this.mouse.allow = !0), this.callback(t, e, i);
                },
                destroy: function () {
                    this.touch.destroy(), this.mouse.destroy();
                }
            });
            var Qt = y(ht.style, 'touchAction'), te = void 0 !== Qt, ee = 'compute', ie = 'auto', ne = 'manipulation', oe = 'none', se = 'pan-x', ae = 'pan-y';
            V.prototype = {
                set: function (t) {
                    t == ee && (t = this.compute()), te && this.manager.element.style && (this.manager.element.style[Qt] = t), this.actions = t.toLowerCase().trim();
                },
                update: function () {
                    this.set(this.manager.options.touchAction);
                },
                compute: function () {
                    var t = [];
                    return s(this.manager.recognizers, function (e) {
                        c(e.options.enable, [e]) && (t = t.concat(e.getTouchAction()));
                    }), B(t.join(' '));
                },
                preventDefaults: function (t) {
                    if (!te) {
                        var e = t.srcEvent, i = t.offsetDirection;
                        if (this.manager.session.prevented)
                            return void e.preventDefault();
                        var n = this.actions, o = m(n, oe), s = m(n, ae), a = m(n, se);
                        if (o) {
                            var r = 1 === t.pointers.length, l = t.distance < 2, c = t.deltaTime < 250;
                            if (r && l && c)
                                return;
                        }
                        if (!a || !s)
                            return o || s && i & Lt || a && i & _t ? this.preventSrc(e) : void 0;
                    }
                },
                preventSrc: function (t) {
                    this.manager.session.prevented = !0, t.preventDefault();
                }
            };
            var re = 1, le = 2, ce = 4, he = 8, ue = he, de = 16, pe = 32;
            U.prototype = {
                defaults: {},
                set: function (t) {
                    return at(this.options, t), this.manager && this.manager.touchAction.update(), this;
                },
                recognizeWith: function (t) {
                    if (o(t, 'recognizeWith', this))
                        return this;
                    var e = this.simultaneous;
                    return t = j(t, this), e[t.id] || (e[t.id] = t, t.recognizeWith(this)), this;
                },
                dropRecognizeWith: function (t) {
                    return o(t, 'dropRecognizeWith', this) ? this : (t = j(t, this), delete this.simultaneous[t.id], this);
                },
                requireFailure: function (t) {
                    if (o(t, 'requireFailure', this))
                        return this;
                    var e = this.requireFail;
                    return t = j(t, this), -1 === v(e, t) && (e.push(t), t.requireFailure(this)), this;
                },
                dropRequireFailure: function (t) {
                    if (o(t, 'dropRequireFailure', this))
                        return this;
                    t = j(t, this);
                    var e = v(this.requireFail, t);
                    return e > -1 && this.requireFail.splice(e, 1), this;
                },
                hasRequireFailures: function () {
                    return this.requireFail.length > 0;
                },
                canRecognizeWith: function (t) {
                    return !!this.simultaneous[t.id];
                },
                emit: function (t) {
                    function e(e) {
                        i.manager.emit(e, t);
                    }
                    var i = this, n = this.state;
                    he > n && e(i.options.event + X(n)), e(i.options.event), t.additionalEvent && e(t.additionalEvent), n >= he && e(i.options.event + X(n));
                },
                tryEmit: function (t) {
                    return this.canEmit() ? this.emit(t) : void (this.state = pe);
                },
                canEmit: function () {
                    for (var t = 0; t < this.requireFail.length;) {
                        if (!(this.requireFail[t].state & (pe | re)))
                            return !1;
                        t++;
                    }
                    return !0;
                },
                recognize: function (t) {
                    var e = at({}, t);
                    return c(this.options.enable, [
                        this,
                        e
                    ]) ? (this.state & (ue | de | pe) && (this.state = re), this.state = this.process(e), void (this.state & (le | ce | he | de) && this.tryEmit(e))) : (this.reset(), void (this.state = pe));
                },
                process: function (t) {
                },
                getTouchAction: function () {
                },
                reset: function () {
                }
            }, r(Z, U, {
                defaults: { pointers: 1 },
                attrTest: function (t) {
                    var e = this.options.pointers;
                    return 0 === e || t.pointers.length === e;
                },
                process: function (t) {
                    var e = this.state, i = t.eventType, n = e & (le | ce), o = this.attrTest(t);
                    return n && (i & $t || !o) ? e | de : n || o ? i & At ? e | he : e & le ? e | ce : le : pe;
                }
            }), r(G, Z, {
                defaults: {
                    event: 'pan',
                    threshold: 10,
                    pointers: 1,
                    direction: zt
                },
                getTouchAction: function () {
                    var t = this.options.direction, e = [];
                    return t & Lt && e.push(ae), t & _t && e.push(se), e;
                },
                directionTest: function (t) {
                    var e = this.options, i = !0, n = t.distance, o = t.direction, s = t.deltaX, a = t.deltaY;
                    return o & e.direction || (e.direction & Lt ? (o = 0 === s ? Mt : 0 > s ? Pt : Nt, i = s != this.pX, n = Math.abs(t.deltaX)) : (o = 0 === a ? Mt : 0 > a ? It : Ot, i = a != this.pY, n = Math.abs(t.deltaY))), t.direction = o, i && n > e.threshold && o & e.direction;
                },
                attrTest: function (t) {
                    return Z.prototype.attrTest.call(this, t) && (this.state & le || !(this.state & le) && this.directionTest(t));
                },
                emit: function (t) {
                    this.pX = t.deltaX, this.pY = t.deltaY;
                    var e = Y(t.direction);
                    e && (t.additionalEvent = this.options.event + e), this._super.emit.call(this, t);
                }
            }), r(J, Z, {
                defaults: {
                    event: 'pinch',
                    threshold: 0,
                    pointers: 2
                },
                getTouchAction: function () {
                    return [oe];
                },
                attrTest: function (t) {
                    return this._super.attrTest.call(this, t) && (Math.abs(t.scale - 1) > this.options.threshold || this.state & le);
                },
                emit: function (t) {
                    if (1 !== t.scale) {
                        var e = t.scale < 1 ? 'in' : 'out';
                        t.additionalEvent = this.options.event + e;
                    }
                    this._super.emit.call(this, t);
                }
            }), r(K, U, {
                defaults: {
                    event: 'press',
                    pointers: 1,
                    time: 251,
                    threshold: 9
                },
                getTouchAction: function () {
                    return [ie];
                },
                process: function (t) {
                    var e = this.options, i = t.pointers.length === e.pointers, o = t.distance < e.threshold, s = t.deltaTime > e.time;
                    if (this._input = t, !o || !i || t.eventType & (At | $t) && !s)
                        this.reset();
                    else if (t.eventType & Dt)
                        this.reset(), this._timer = n(function () {
                            this.state = ue, this.tryEmit();
                        }, e.time, this);
                    else if (t.eventType & At)
                        return ue;
                    return pe;
                },
                reset: function () {
                    clearTimeout(this._timer);
                },
                emit: function (t) {
                    this.state === ue && (t && t.eventType & At ? this.manager.emit(this.options.event + 'up', t) : (this._input.timeStamp = mt(), this.manager.emit(this.options.event, this._input)));
                }
            }), r(Q, Z, {
                defaults: {
                    event: 'rotate',
                    threshold: 0,
                    pointers: 2
                },
                getTouchAction: function () {
                    return [oe];
                },
                attrTest: function (t) {
                    return this._super.attrTest.call(this, t) && (Math.abs(t.rotation) > this.options.threshold || this.state & le);
                }
            }), r(tt, Z, {
                defaults: {
                    event: 'swipe',
                    threshold: 10,
                    velocity: 0.3,
                    direction: Lt | _t,
                    pointers: 1
                },
                getTouchAction: function () {
                    return G.prototype.getTouchAction.call(this);
                },
                attrTest: function (t) {
                    var e, i = this.options.direction;
                    return i & (Lt | _t) ? e = t.overallVelocity : i & Lt ? e = t.overallVelocityX : i & _t && (e = t.overallVelocityY), this._super.attrTest.call(this, t) && i & t.offsetDirection && t.distance > this.options.threshold && t.maxPointers == this.options.pointers && pt(e) > this.options.velocity && t.eventType & At;
                },
                emit: function (t) {
                    var e = Y(t.offsetDirection);
                    e && this.manager.emit(this.options.event + e, t), this.manager.emit(this.options.event, t);
                }
            }), r(et, U, {
                defaults: {
                    event: 'tap',
                    pointers: 1,
                    taps: 1,
                    interval: 300,
                    time: 250,
                    threshold: 9,
                    posThreshold: 10
                },
                getTouchAction: function () {
                    return [ne];
                },
                process: function (t) {
                    var e = this.options, i = t.pointers.length === e.pointers, o = t.distance < e.threshold, s = t.deltaTime < e.time;
                    if (this.reset(), t.eventType & Dt && 0 === this.count)
                        return this.failTimeout();
                    if (o && s && i) {
                        if (t.eventType != At)
                            return this.failTimeout();
                        var a = this.pTime ? t.timeStamp - this.pTime < e.interval : !0, r = !this.pCenter || P(this.pCenter, t.center) < e.posThreshold;
                        this.pTime = t.timeStamp, this.pCenter = t.center, r && a ? this.count += 1 : this.count = 1, this._input = t;
                        var l = this.count % e.taps;
                        if (0 === l)
                            return this.hasRequireFailures() ? (this._timer = n(function () {
                                this.state = ue, this.tryEmit();
                            }, e.interval, this), le) : ue;
                    }
                    return pe;
                },
                failTimeout: function () {
                    return this._timer = n(function () {
                        this.state = pe;
                    }, this.options.interval, this), pe;
                },
                reset: function () {
                    clearTimeout(this._timer);
                },
                emit: function () {
                    this.state == ue && (this._input.tapCount = this.count, this.manager.emit(this.options.event, this._input));
                }
            }), it.VERSION = '2.0.6', it.defaults = {
                domEvents: !1,
                touchAction: ee,
                enable: !0,
                inputTarget: null,
                inputClass: null,
                preset: [
                    [
                        Q,
                        { enable: !1 }
                    ],
                    [
                        J,
                        { enable: !1 },
                        ['rotate']
                    ],
                    [
                        tt,
                        { direction: Lt }
                    ],
                    [
                        G,
                        { direction: Lt },
                        ['swipe']
                    ],
                    [et],
                    [
                        et,
                        {
                            event: 'doubletap',
                            taps: 2
                        },
                        ['tap']
                    ],
                    [K]
                ],
                cssProps: {
                    userSelect: 'none',
                    touchSelect: 'none',
                    touchCallout: 'none',
                    contentZooming: 'none',
                    userDrag: 'none',
                    tapHighlightColor: 'rgba(0,0,0,0)'
                }
            };
            var me = 1, fe = 2;
            nt.prototype = {
                set: function (t) {
                    return at(this.options, t), t.touchAction && this.touchAction.update(), t.inputTarget && (this.input.destroy(), this.input.target = t.inputTarget, this.input.init()), this;
                },
                stop: function (t) {
                    this.session.stopped = t ? fe : me;
                },
                recognize: function (t) {
                    var e = this.session;
                    if (!e.stopped) {
                        this.touchAction.preventDefaults(t);
                        var i, n = this.recognizers, o = e.curRecognizer;
                        (!o || o && o.state & ue) && (o = e.curRecognizer = null);
                        for (var s = 0; s < n.length;)
                            i = n[s], e.stopped === fe || o && i != o && !i.canRecognizeWith(o) ? i.reset() : i.recognize(t), !o && i.state & (le | ce | he) && (o = e.curRecognizer = i), s++;
                    }
                },
                get: function (t) {
                    if (t instanceof U)
                        return t;
                    for (var e = this.recognizers, i = 0; i < e.length; i++)
                        if (e[i].options.event == t)
                            return e[i];
                    return null;
                },
                add: function (t) {
                    if (o(t, 'add', this))
                        return this;
                    var e = this.get(t.options.event);
                    return e && this.remove(e), this.recognizers.push(t), t.manager = this, this.touchAction.update(), t;
                },
                remove: function (t) {
                    if (o(t, 'remove', this))
                        return this;
                    if (t = this.get(t)) {
                        var e = this.recognizers, i = v(e, t);
                        -1 !== i && (e.splice(i, 1), this.touchAction.update());
                    }
                    return this;
                },
                on: function (t, e) {
                    var i = this.handlers;
                    return s(f(t), function (t) {
                        i[t] = i[t] || [], i[t].push(e);
                    }), this;
                },
                off: function (t, e) {
                    var i = this.handlers;
                    return s(f(t), function (t) {
                        e ? i[t] && i[t].splice(v(i[t], e), 1) : delete i[t];
                    }), this;
                },
                emit: function (t, e) {
                    this.options.domEvents && st(t, e);
                    var i = this.handlers[t] && this.handlers[t].slice();
                    if (i && i.length) {
                        e.type = t, e.preventDefault = function () {
                            e.srcEvent.preventDefault();
                        };
                        for (var n = 0; n < i.length;)
                            i[n](e), n++;
                    }
                },
                destroy: function () {
                    this.element && ot(this, !1), this.handlers = {}, this.session = {}, this.input.destroy(), this.element = null;
                }
            }, at(it, {
                INPUT_START: Dt,
                INPUT_MOVE: Ft,
                INPUT_END: At,
                INPUT_CANCEL: $t,
                STATE_POSSIBLE: re,
                STATE_BEGAN: le,
                STATE_CHANGED: ce,
                STATE_ENDED: he,
                STATE_RECOGNIZED: ue,
                STATE_CANCELLED: de,
                STATE_FAILED: pe,
                DIRECTION_NONE: Mt,
                DIRECTION_LEFT: Pt,
                DIRECTION_RIGHT: Nt,
                DIRECTION_UP: It,
                DIRECTION_DOWN: Ot,
                DIRECTION_HORIZONTAL: Lt,
                DIRECTION_VERTICAL: _t,
                DIRECTION_ALL: zt,
                Manager: nt,
                Input: x,
                TouchAction: V,
                TouchInput: q,
                MouseInput: L,
                PointerEventInput: _,
                TouchMouseInput: H,
                SingleTouchInput: z,
                Recognizer: U,
                AttrRecognizer: Z,
                Tap: et,
                Pan: G,
                Swipe: tt,
                Pinch: J,
                Rotate: Q,
                Press: K,
                on: u,
                off: d,
                each: s,
                merge: vt,
                extend: ft,
                assign: at,
                inherit: r,
                bindFn: l,
                prefixed: y
            }), function (t, e) {
                function i(i, n) {
                    var o = t(i);
                    o.data('hammer') || o.data('hammer', new e(o[0], n));
                }
                t.fn.hammer = function (t) {
                    return this.each(function () {
                        i(this, t);
                    });
                }, e.Manager.prototype.emit = function (e) {
                    return function (i, n) {
                        e.call(this, i, n), t(this.element).trigger({
                            type: i,
                            gesture: n
                        });
                    };
                }(e.Manager.prototype.emit);
            }(rt, it), t.exports = lt.Hammer = it;
        },
        function (t, e, i) {
            'use strict';
            function n() {
                window.removeEventListener('load', n, !1), c = !0;
            }
            function o(t) {
                return h = h || new o.Class(t);
            }
            function s(t, e) {
                for (var i in e)
                    t[i] = e[i];
                return t;
            }
            function a() {
                '#ath' == document.location.hash && history.replaceState('', window.document.title, document.location.href.split('#')[0]), u.test(document.location.href) && history.replaceState('', window.document.title, document.location.href.replace(u, '$1')), d.test(document.location.search) && history.replaceState('', window.document.title, document.location.href.replace(d, '$2'));
            }
            var r = i(2), l = 'addEventListener' in window, c = !1;
            'complete' === document.readyState ? c = !0 : l && window.addEventListener('load', n, !1);
            var h, u = /\/ath(\/)?$/, d = /([\?&]ath=[^&]*$|&ath=[^&]*(&))/;
            o.intl = {
                en_us: {
                    ios: 'To add this web app to the home screen: tap %icon and then <strong>Add to Home Screen</strong>.',
                    android: 'To add this web app to the home screen open the browser option menu and tap on <strong>Add to homescreen</strong>. <small>The menu can be accessed by pressing the menu hardware button if your device has one, or by tapping the top right menu icon <span class="ath-action-icon">icon</span>.</small>'
                },
                zh_cn: {
                    ios: '如要把应用程式加至主屏幕,请点击%icon, 然后<strong>加至主屏幕</strong>',
                    android: 'To add this web app to the home screen open the browser option menu and tap on <strong>Add to homescreen</strong>. <small>The menu can be accessed by pressing the menu hardware button if your device has one, or by tapping the top right menu icon <span class="ath-action-icon">icon</span>.</small>'
                },
                zh_tw: {
                    ios: '如要把應用程式加至主屏幕, 請點擊%icon, 然後<strong>加至主屏幕</strong>.',
                    android: 'To add this web app to the home screen open the browser option menu and tap on <strong>Add to homescreen</strong>. <small>The menu can be accessed by pressing the menu hardware button if your device has one, or by tapping the top right menu icon <span class="ath-action-icon">icon</span>.</small>'
                }
            };
            for (var p in o.intl)
                o.intl[p.substr(0, 2)] = o.intl[p];
            o.defaults = {
                appID: 'org.cubiq.addtohome',
                fontSize: 15,
                debug: !1,
                logging: !1,
                modal: !1,
                mandatory: !1,
                autostart: !0,
                skipFirstVisit: !1,
                startDelay: 1,
                lifespan: 15,
                displayPace: 1440,
                maxDisplayCount: 0,
                icon: !0,
                message: '',
                validLocation: [],
                onInit: null,
                onShow: null,
                onRemove: null,
                onAdd: null,
                onPrivate: null,
                privateModeOverride: !1,
                detectHomescreen: !1
            };
            var m = window.navigator.userAgent, f = window.navigator;
            s(o, {
                hasToken: '#ath' == document.location.hash || u.test(document.location.href) || d.test(document.location.search),
                isRetina: window.devicePixelRatio && window.devicePixelRatio > 1,
                isIDevice: /iphone|ipod|ipad/i.test(m),
                isMobileChrome: m.indexOf('Android') > -1 && /Chrome\/[.0-9]*/.test(m) && -1 == m.indexOf('Version'),
                isMobileIE: m.indexOf('Windows Phone') > -1,
                language: f.language && f.language.toLowerCase().replace('-', '_') || ''
            }), o.language = o.language && o.language in o.intl ? o.language : 'en_us', o.isMobileSafari = o.isIDevice && m.indexOf('Safari') > -1 && m.indexOf('CriOS') < 0, o.OS = o.isIDevice ? 'ios' : o.isMobileChrome ? 'android' : o.isMobileIE ? 'windows' : 'unsupported', o.OSVersion = m.match(/(OS|Android) (\d+[_\.]\d+)/), o.OSVersion = o.OSVersion && o.OSVersion[2] ? +o.OSVersion[2].replace('_', '.') : 0, o.isStandalone = 'standalone' in window.navigator && window.navigator.standalone, o.isTablet = o.isMobileSafari && m.indexOf('iPad') > -1 || o.isMobileChrome && m.indexOf('Mobile') < 0, o.isCompatible = o.isMobileSafari && o.OSVersion >= 6 || o.isMobileChrome;
            var v = {
                lastDisplayTime: 0,
                returningVisitor: !1,
                displayCount: 0,
                optedout: !1,
                added: !1
            };
            o.removeSession = function (t) {
                try {
                    if (!localStorage)
                        throw new Error('localStorage is not defined');
                    localStorage.removeItem(t || o.defaults.appID);
                } catch (e) {
                }
            }, o.doLog = function (t) {
                this.options.logging && console.log(t);
            }, o.Class = function (t) {
                if (this.doLog = o.doLog, this.options = s({}, o.defaults), s(this.options, t), this.options.debug && (this.options.logging = !0), l) {
                    if (this.options.mandatory = this.options.mandatory && ('standalone' in window.navigator || this.options.debug), this.options.modal = this.options.modal || this.options.mandatory, this.options.mandatory && (this.options.startDelay = -0.5), this.options.detectHomescreen = this.options.detectHomescreen === !0 ? 'hash' : this.options.detectHomescreen, this.options.debug && (o.isCompatible = !0, o.OS = 'string' == typeof this.options.debug ? this.options.debug : 'unsupported' == o.OS ? 'android' : o.OS, o.OSVersion = 'ios' == o.OS ? '8' : '4'), this.container = document.documentElement, this.session = this.getItem(this.options.appID), this.session = this.session ? JSON.parse(this.session) : void 0, !o.hasToken || o.isCompatible && this.session || (o.hasToken = !1, a()), !o.isCompatible)
                        return void this.doLog('Add to homescreen: not displaying callout because device not supported');
                    this.session = this.session || v;
                    try {
                        if (!localStorage)
                            throw new Error('localStorage is not defined');
                        localStorage.setItem(this.options.appID, JSON.stringify(this.session)), o.hasLocalStorage = !0;
                    } catch (e) {
                        o.hasLocalStorage = !1, this.options.onPrivate && this.options.onPrivate.call(this);
                    }
                    for (var i = !this.options.validLocation.length, n = this.options.validLocation.length; n--;)
                        if (this.options.validLocation[n].test(document.location.href)) {
                            i = !0;
                            break;
                        }
                    if (this.getItem('addToHome') && this.optOut(), this.session.optedout)
                        return void this.doLog('Add to homescreen: not displaying callout because user opted out');
                    if (this.session.added)
                        return void this.doLog('Add to homescreen: not displaying callout because already added to the homescreen');
                    if (!i)
                        return void this.doLog('Add to homescreen: not displaying callout because not a valid location');
                    if (o.isStandalone)
                        return this.session.added || (this.session.added = !0, this.updateSession(), this.options.onAdd && o.hasLocalStorage && this.options.onAdd.call(this)), void this.doLog('Add to homescreen: not displaying callout because in standalone mode');
                    if (this.options.detectHomescreen) {
                        if (o.hasToken)
                            return a(), this.session.added || (this.session.added = !0, this.updateSession(), this.options.onAdd && o.hasLocalStorage && this.options.onAdd.call(this)), void this.doLog('Add to homescreen: not displaying callout because URL has token, so we are likely coming from homescreen');
                        'hash' == this.options.detectHomescreen ? history.replaceState('', window.document.title, document.location.href + '#ath') : 'smartURL' == this.options.detectHomescreen ? history.replaceState('', window.document.title, document.location.href.replace(/(\/)?$/, '/ath$1')) : history.replaceState('', window.document.title, document.location.href + (document.location.search ? '&' : '?') + 'ath=');
                    }
                    if (!this.session.returningVisitor && (this.session.returningVisitor = !0, this.updateSession(), this.options.skipFirstVisit))
                        return void this.doLog('Add to homescreen: not displaying callout because skipping first visit');
                    if (!this.options.privateModeOverride && !o.hasLocalStorage)
                        return void this.doLog('Add to homescreen: not displaying callout because browser is in private mode');
                    this.ready = !0, this.options.onInit && this.options.onInit.call(this), this.options.autostart && (this.doLog('Add to homescreen: autostart displaying callout'), this.show());
                }
            }, o.Class.prototype = {
                events: {
                    load: '_delayedShow',
                    error: '_delayedShow',
                    orientationchange: 'resize',
                    resize: 'resize',
                    scroll: 'resize',
                    click: 'remove',
                    touchmove: '_preventDefault',
                    transitionend: '_removeElements',
                    webkitTransitionEnd: '_removeElements',
                    MSTransitionEnd: '_removeElements'
                },
                handleEvent: function (t) {
                    var e = this.events[t.type];
                    e && this[e](t);
                },
                show: function (t) {
                    if (this.options.autostart && !c)
                        return void setTimeout(this.show.bind(this), 50);
                    if (this.shown)
                        return void this.doLog('Add to homescreen: not displaying callout because already shown on screen');
                    var e = Date.now(), i = this.session.lastDisplayTime;
                    if (t !== !0) {
                        if (!this.ready)
                            return void this.doLog('Add to homescreen: not displaying callout because not ready');
                        if (e - i < 60000 * this.options.displayPace)
                            return void this.doLog('Add to homescreen: not displaying callout because displayed recently');
                        if (this.options.maxDisplayCount && this.session.displayCount >= this.options.maxDisplayCount)
                            return void this.doLog('Add to homescreen: not displaying callout because displayed too many times already');
                    }
                    this.shown = !0, this.session.lastDisplayTime = e, this.session.displayCount++, this.updateSession(), this.applicationIcon || ('ios' == o.OS ? this.applicationIcon = document.querySelector('head link[rel^=apple-touch-icon][sizes="152x152"],head link[rel^=apple-touch-icon][sizes="144x144"],head link[rel^=apple-touch-icon][sizes="120x120"],head link[rel^=apple-touch-icon][sizes="114x114"],head link[rel^=apple-touch-icon]') : this.applicationIcon = document.querySelector('head link[rel^="shortcut icon"][sizes="196x196"],head link[rel^=apple-touch-icon]'));
                    var n = '';
                    'object' == typeof this.options.message && o.language in this.options.message ? n = this.options.message[o.language][o.OS] : 'object' == typeof this.options.message && o.OS in this.options.message ? n = this.options.message[o.OS] : this.options.message in o.intl ? n = o.intl[this.options.message][o.OS] : '' !== this.options.message ? n = this.options.message : o.OS in o.intl[o.language] && (n = o.intl[o.language][o.OS]), n = '<p>' + n.replace('%icon', '<span class="ath-action-icon">icon</span>') + '</p>', this.viewport = document.createElement('div'), this.viewport.className = 'ath-viewport', this.options.modal && (this.viewport.className += ' ath-modal'), this.options.mandatory && (this.viewport.className += ' ath-mandatory'), this.viewport.style.position = 'absolute', this.element = document.createElement('div'), this.element.className = 'ath-container ath-' + o.OS + ' ath-' + o.OS + (o.OSVersion + '').substr(0, 1) + ' ath-' + (o.isTablet ? 'tablet' : 'phone'), this.element.style.cssText = '-webkit-transition-property:-webkit-transform,opacity;-webkit-transition-duration:0s;-webkit-transition-timing-function:ease-out;transition-property:transform,opacity;transition-duration:0s;transition-timing-function:ease-out;', this.element.style.webkitTransform = 'translate3d(0,-' + window.innerHeight + 'px,0)', this.element.style.transform = 'translate3d(0,-' + window.innerHeight + 'px,0)', this.options.icon && this.applicationIcon && (this.element.className += ' ath-icon', this.img = document.createElement('img'), this.img.className = 'ath-application-icon', this.img.addEventListener('load', this, !1), this.img.addEventListener('error', this, !1), this.img.src = this.applicationIcon.href, this.element.appendChild(this.img)), this.element.innerHTML += n, this.viewport.style.left = '-99999em', this.viewport.appendChild(this.element), this.container.appendChild(this.viewport), this.img ? this.doLog('Add to homescreen: not displaying callout because waiting for img to load') : this._delayedShow();
                },
                _delayedShow: function (t) {
                    setTimeout(this._show.bind(this), 1000 * this.options.startDelay + 500);
                },
                _show: function () {
                    var t = this;
                    this.updateViewport(), window.addEventListener('resize', this, !1), window.addEventListener('scroll', this, !1), window.addEventListener('orientationchange', this, !1), this.options.modal && document.addEventListener('touchmove', this, !0), this.options.mandatory || setTimeout(function () {
                        t.element.addEventListener('click', t, !0);
                    }, 1000), setTimeout(function () {
                        t.element.style.webkitTransitionDuration = '1.2s', t.element.style.transitionDuration = '1.2s', t.element.style.webkitTransform = 'translate3d(0,0,0)', t.element.style.transform = 'translate3d(0,0,0)';
                    }, 0), this.options.lifespan && (this.removeTimer = setTimeout(this.remove.bind(this), 1000 * this.options.lifespan)), this.options.onShow && this.options.onShow.call(this);
                },
                remove: function () {
                    clearTimeout(this.removeTimer), this.img && (this.img.removeEventListener('load', this, !1), this.img.removeEventListener('error', this, !1)), window.removeEventListener('resize', this, !1), window.removeEventListener('scroll', this, !1), window.removeEventListener('orientationchange', this, !1), document.removeEventListener('touchmove', this, !0), this.element.removeEventListener('click', this, !0), this.element.addEventListener('transitionend', this, !1), this.element.addEventListener('webkitTransitionEnd', this, !1), this.element.addEventListener('MSTransitionEnd', this, !1), this.element.style.webkitTransitionDuration = '0.3s', this.element.style.opacity = '0';
                },
                _removeElements: function () {
                    this.element.removeEventListener('transitionend', this, !1), this.element.removeEventListener('webkitTransitionEnd', this, !1), this.element.removeEventListener('MSTransitionEnd', this, !1), this.container.removeChild(this.viewport), this.shown = !1, this.options.onRemove && this.options.onRemove.call(this);
                },
                updateViewport: function () {
                    if (this.shown) {
                        this.viewport.style.width = window.innerWidth + 'px', this.viewport.style.height = window.innerHeight + 'px', this.viewport.style.left = window.scrollX + 'px', this.viewport.style.top = window.scrollY + 'px';
                        var t = document.documentElement.clientWidth;
                        this.orientation = t > document.documentElement.clientHeight ? 'landscape' : 'portrait';
                        var e = 'ios' == o.OS ? 'portrait' == this.orientation ? screen.width : screen.height : screen.width;
                        this.scale = screen.width > t ? 1 : e / window.innerWidth, this.element.style.fontSize = this.options.fontSize / this.scale + 'px';
                    }
                },
                resize: function () {
                    clearTimeout(this.resizeTimer), this.resizeTimer = setTimeout(this.updateViewport.bind(this), 100);
                },
                updateSession: function () {
                    o.hasLocalStorage !== !1 && localStorage && localStorage.setItem(this.options.appID, JSON.stringify(this.session));
                },
                clearSession: function () {
                    this.session = v, this.updateSession();
                },
                getItem: function (t) {
                    try {
                        if (!localStorage)
                            throw new Error('localStorage is not defined');
                        return localStorage.getItem(t);
                    } catch (e) {
                        o.hasLocalStorage = !1;
                    }
                },
                optOut: function () {
                    this.session.optedout = !0, this.updateSession();
                },
                optIn: function () {
                    this.session.optedout = !1, this.updateSession();
                },
                clearDisplayCount: function () {
                    this.session.displayCount = 0, this.updateSession();
                },
                _preventDefault: function (t) {
                    t.preventDefault(), t.stopPropagation();
                }
            }, o.VERSION = '3.2.2', t.exports = r.addToHomescreen = o;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = function (t, e) {
                    var i = this;
                    this.options = n.extend({}, s.DEFAULTS, e), this.$element = n(t), this.$element.addClass('am-fade am-in').on('click.alert.amui', '.am-close', function () {
                        i.close();
                    });
                };
            s.DEFAULTS = { removeElement: !0 }, s.prototype.close = function () {
                function t() {
                    e.trigger('closed.alert.amui').remove();
                }
                var e = this.$element;
                e.trigger('close.alert.amui').removeClass('am-in'), o.support.transition && e.hasClass('am-fade') ? e.one(o.support.transition.end, t).emulateTransitionEnd(200) : t();
            }, o.plugin('alert', s), n(document).on('click.alert.amui.data-api', '[data-am-alert]', function (t) {
                var e = n(t.target);
                e.is('.am-close') && n(this).alert('close');
            }), t.exports = s;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = function (t, e) {
                    this.$element = n(t), this.options = n.extend({}, s.DEFAULTS, e), this.isLoading = !1, this.hasSpinner = !1;
                };
            s.DEFAULTS = {
                loadingText: 'loading...',
                disabledClassName: 'am-disabled',
                spinner: void 0
            }, s.prototype.setState = function (t, e) {
                var i = this.$element, s = 'disabled', a = i.data(), r = this.options, l = i.is('input') ? 'val' : 'html', c = 'am-btn-' + t + ' ' + r.disabledClassName;
                t += 'Text', r.resetText || (r.resetText = i[l]()), o.support.animation && r.spinner && 'html' === l && !this.hasSpinner && (r.loadingText = '<span class="am-icon-' + r.spinner + ' am-icon-spin"></span>' + r.loadingText, this.hasSpinner = !0), e = e || (void 0 === a[t] ? r[t] : a[t]), i[l](e), setTimeout(n.proxy(function () {
                    'loadingText' === t ? (i.addClass(c).attr(s, s), this.isLoading = !0) : this.isLoading && (i.removeClass(c).removeAttr(s), this.isLoading = !1);
                }, this), 0);
            }, s.prototype.toggle = function () {
                var t = !0, e = this.$element, i = this.$element.parent('[class*="am-btn-group"]');
                if (i.length) {
                    var n = this.$element.find('input');
                    'radio' == n.prop('type') && (n.prop('checked') && e.hasClass('am-active') ? t = !1 : i.find('.am-active').removeClass('am-active')), t && n.prop('checked', !e.hasClass('am-active')).trigger('change');
                }
                t && (e.toggleClass('am-active'), e.hasClass('am-active') || e.blur());
            }, o.plugin('button', s, {
                dataOptions: 'data-am-loading',
                methodCall: function (t, e) {
                    'toggle' === t[0] ? e.toggle() : 'string' == typeof t[0] && e.setState.apply(e, t);
                }
            }), n(document).on('click.button.amui.data-api', '[data-am-button]', function (t) {
                t.preventDefault();
                var e = n(t.target);
                e.hasClass('am-btn') || (e = e.closest('.am-btn')), e.button('toggle');
            }), o.ready(function (t) {
                n('[data-am-loading]', t).button();
            }), t.exports = o.button = s;
        },
        function (t, e, i) {
            'use strict';
            function n(t) {
                return this.each(function () {
                    var e = o(this), i = e.data('amui.collapse'), n = o.extend({}, a.DEFAULTS, s.utils.options(e.attr('data-am-collapse')), 'object' == typeof t && t);
                    !i && n.toggle && 'open' === t && (t = !t), i || e.data('amui.collapse', i = new a(this, n)), 'string' == typeof t && i[t]();
                });
            }
            var o = i(1), s = i(2), a = function (t, e) {
                    this.$element = o(t), this.options = o.extend({}, a.DEFAULTS, e), this.transitioning = null, this.options.parent && (this.$parent = o(this.options.parent)), this.options.toggle && this.toggle();
                };
            a.DEFAULTS = { toggle: !0 }, a.prototype.open = function () {
                if (!this.transitioning && !this.$element.hasClass('am-in')) {
                    var t = o.Event('open.collapse.amui');
                    if (this.$element.trigger(t), !t.isDefaultPrevented()) {
                        var e = this.$parent && this.$parent.find('> .am-panel > .am-in');
                        if (e && e.length) {
                            var i = e.data('amui.collapse');
                            if (i && i.transitioning)
                                return;
                            n.call(e, 'close'), i || e.data('amui.collapse', null);
                        }
                        this.$element.removeClass('am-collapse').addClass('am-collapsing').height(0), this.transitioning = 1;
                        var a = function () {
                            this.$element.removeClass('am-collapsing').addClass('am-collapse am-in').height('').trigger('opened.collapse.amui'), this.transitioning = 0;
                        };
                        if (!s.support.transition)
                            return a.call(this);
                        var r = this.$element[0].scrollHeight;
                        this.$element.one(s.support.transition.end, o.proxy(a, this)).emulateTransitionEnd(300).css({ height: r });
                    }
                }
            }, a.prototype.close = function () {
                if (!this.transitioning && this.$element.hasClass('am-in')) {
                    var t = o.Event('close.collapse.amui');
                    if (this.$element.trigger(t), !t.isDefaultPrevented()) {
                        this.$element.height(this.$element.height()).redraw(), this.$element.addClass('am-collapsing').removeClass('am-collapse am-in'), this.transitioning = 1;
                        var e = function () {
                            this.transitioning = 0, this.$element.trigger('closed.collapse.amui').removeClass('am-collapsing').addClass('am-collapse');
                        };
                        return s.support.transition ? void this.$element.height(0).one(s.support.transition.end, o.proxy(e, this)).emulateTransitionEnd(300) : e.call(this);
                    }
                }
            }, a.prototype.toggle = function () {
                this[this.$element.hasClass('am-in') ? 'close' : 'open']();
            }, o.fn.collapse = n, o(document).on('click.collapse.amui.data-api', '[data-am-collapse]', function (t) {
                var e, i = o(this), a = s.utils.options(i.attr('data-am-collapse')), r = a.target || t.preventDefault() || (e = i.attr('href')) && e.replace(/.*(?=#[^\s]+$)/, ''), l = o(r), c = l.data('amui.collapse'), h = c ? 'toggle' : a, u = a.parent, d = u && o(u);
                c && c.transitioning || (d && d.find('[data-am-collapse]').not(i).addClass('am-collapsed'), i[l.hasClass('am-in') ? 'addClass' : 'removeClass']('am-collapsed')), n.call(l, h);
            }), t.exports = s.collapse = a;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = n(document), a = function (t, e) {
                    if (this.$element = n(t), this.options = n.extend({}, a.DEFAULTS, e), this.format = r.parseFormat(this.options.format), this.$element.data('date', this.options.date), this.language = this.getLocale(this.options.locale), this.theme = this.options.theme, this.$picker = n(r.template).appendTo('body').on({ click: n.proxy(this.click, this) }), this.isInput = this.$element.is('input'), this.component = this.$element.is('.am-datepicker-date') ? this.$element.find('.am-datepicker-add-on') : !1, this.isInput ? this.$element.on({
                            'click.datepicker.amui': n.proxy(this.open, this),
                            'keyup.datepicker.amui': n.proxy(this.update, this)
                        }) : this.component ? this.component.on('click.datepicker.amui', n.proxy(this.open, this)) : this.$element.on('click.datepicker.amui', n.proxy(this.open, this)), this.minViewMode = this.options.minViewMode, 'string' == typeof this.minViewMode)
                        switch (this.minViewMode) {
                        case 'months':
                            this.minViewMode = 1;
                            break;
                        case 'years':
                            this.minViewMode = 2;
                            break;
                        default:
                            this.minViewMode = 0;
                        }
                    if (this.viewMode = this.options.viewMode, 'string' == typeof this.viewMode)
                        switch (this.viewMode) {
                        case 'months':
                            this.viewMode = 1;
                            break;
                        case 'years':
                            this.viewMode = 2;
                            break;
                        default:
                            this.viewMode = 0;
                        }
                    this.startViewMode = this.viewMode, this.weekStart = (this.options.weekStart || a.locales[this.language].weekStart || 0) % 7, this.weekEnd = (this.weekStart + 6) % 7, this.onRender = this.options.onRender, this.setTheme(), this.fillDow(), this.fillMonths(), this.update(), this.showMode();
                };
            a.DEFAULTS = {
                locale: 'zh_CN',
                format: 'yyyy-mm-dd',
                weekStart: void 0,
                viewMode: 0,
                minViewMode: 0,
                date: '',
                theme: '',
                autoClose: 1,
                onRender: function (t) {
                    return '';
                }
            }, a.prototype.open = function (t) {
                this.$picker.show(), this.height = this.component ? this.component.outerHeight() : this.$element.outerHeight(), this.place(), n(window).on('resize.datepicker.amui', n.proxy(this.place, this)), t && (t.stopPropagation(), t.preventDefault());
                var e = this;
                s.on('mousedown.datapicker.amui touchstart.datepicker.amui', function (t) {
                    0 === n(t.target).closest('.am-datepicker').length && e.close();
                }), this.$element.trigger({
                    type: 'open.datepicker.amui',
                    date: this.date
                });
            }, a.prototype.close = function () {
                this.$picker.hide(), n(window).off('resize.datepicker.amui', this.place), this.viewMode = this.startViewMode, this.showMode(), this.isInput || n(document).off('mousedown.datapicker.amui touchstart.datepicker.amui', this.close), this.$element.trigger({
                    type: 'close.datepicker.amui',
                    date: this.date
                });
            }, a.prototype.set = function () {
                var t, e = r.formatDate(this.date, this.format);
                this.isInput ? t = this.$element.attr('value', e) : (this.component && (t = this.$element.find('input').attr('value', e)), this.$element.data('date', e)), t && t.trigger('change');
            }, a.prototype.setValue = function (t) {
                'string' == typeof t ? this.date = r.parseDate(t, this.format) : this.date = new Date(t), this.set(), this.viewDate = new Date(this.date.getFullYear(), this.date.getMonth(), 1, 0, 0, 0, 0), this.fill();
            }, a.prototype.place = function () {
                var t = this.component ? this.component.offset() : this.$element.offset(), e = this.component ? this.component.width() : this.$element.width(), i = t.top + this.height, n = t.left, o = s.width() - t.left - e, a = this.isOutView();
                if (this.$picker.removeClass('am-datepicker-right'), this.$picker.removeClass('am-datepicker-up'), s.width() > 640) {
                    if (a.outRight)
                        return this.$picker.addClass('am-datepicker-right'), void this.$picker.css({
                            top: i,
                            left: 'auto',
                            right: o
                        });
                    a.outBottom && (this.$picker.addClass('am-datepicker-up'), i = t.top - this.$picker.outerHeight(!0));
                } else
                    n = 0;
                this.$picker.css({
                    top: i,
                    left: n
                });
            }, a.prototype.update = function (t) {
                this.date = r.parseDate('string' == typeof t ? t : this.isInput ? this.$element.prop('value') : this.$element.data('date'), this.format), this.viewDate = new Date(this.date.getFullYear(), this.date.getMonth(), 1, 0, 0, 0, 0), this.fill();
            }, a.prototype.fillDow = function () {
                for (var t = this.weekStart, e = '<tr>'; t < this.weekStart + 7;)
                    e += '<th class="am-datepicker-dow">' + a.locales[this.language].daysMin[t++ % 7] + '</th>';
                e += '</tr>', this.$picker.find('.am-datepicker-days thead').append(e);
            }, a.prototype.fillMonths = function () {
                for (var t = '', e = 0; 12 > e;)
                    t += '<span class="am-datepicker-month">' + a.locales[this.language].monthsShort[e++] + '</span>';
                this.$picker.find('.am-datepicker-months td').append(t);
            }, a.prototype.fill = function () {
                var t = new Date(this.viewDate), e = t.getFullYear(), i = t.getMonth(), n = this.date.valueOf(), o = new Date(e, i - 1, 28, 0, 0, 0, 0), s = r.getDaysInMonth(o.getFullYear(), o.getMonth()), l = this.$picker.find('.am-datepicker-days .am-datepicker-select');
                'zh_CN' === this.language ? l.text(e + a.locales[this.language].year[0] + ' ' + a.locales[this.language].months[i]) : l.text(a.locales[this.language].months[i] + ' ' + e), o.setDate(s), o.setDate(s - (o.getDay() - this.weekStart + 7) % 7);
                var c = new Date(o);
                c.setDate(c.getDate() + 42), c = c.valueOf();
                for (var h, u, d, p = []; o.valueOf() < c;)
                    o.getDay() === this.weekStart && p.push('<tr>'), h = this.onRender(o, 0), u = o.getFullYear(), d = o.getMonth(), i > d && u === e || e > u ? h += ' am-datepicker-old' : (d > i && u === e || u > e) && (h += ' am-datepicker-new'), o.valueOf() === n && (h += ' am-active'), p.push('<td class="am-datepicker-day ' + h + '">' + o.getDate() + '</td>'), o.getDay() === this.weekEnd && p.push('</tr>'), o.setDate(o.getDate() + 1);
                this.$picker.find('.am-datepicker-days tbody').empty().append(p.join(''));
                var m = this.date.getFullYear(), f = this.$picker.find('.am-datepicker-months').find('.am-datepicker-select').text(e);
                f = f.end().find('span').removeClass('am-active').removeClass('am-disabled');
                for (var v = 0; 12 > v;)
                    this.onRender(t.setFullYear(e, v), 1) && f.eq(v).addClass('am-disabled'), v++;
                m === e && f.eq(this.date.getMonth()).removeClass('am-disabled').addClass('am-active'), p = '', e = 10 * parseInt(e / 10, 10);
                var g, w = this.$picker.find('.am-datepicker-years').find('.am-datepicker-select').text(e + '-' + (e + 9)).end().find('td'), y = new Date(this.viewDate);
                e -= 1;
                for (var b = -1; 11 > b; b++)
                    g = this.onRender(y.setFullYear(e), 2), p += '<span class="' + g + (-1 === b || 10 === b ? ' am-datepicker-old' : '') + (m === e ? ' am-active' : '') + '">' + e + '</span>', e += 1;
                w.html(p);
            }, a.prototype.click = function (t) {
                t.stopPropagation(), t.preventDefault();
                var e, i, o = this.$picker.find('.am-datepicker-days').find('.am-active'), s = this.$picker.find('.am-datepicker-months'), a = s.find('.am-active').index(), l = n(t.target).closest('span, td, th');
                if (1 === l.length)
                    switch (l[0].nodeName.toLowerCase()) {
                    case 'th':
                        switch (l[0].className) {
                        case 'am-datepicker-switch':
                            this.showMode(1);
                            break;
                        case 'am-datepicker-prev':
                        case 'am-datepicker-next':
                            this.viewDate['set' + r.modes[this.viewMode].navFnc].call(this.viewDate, this.viewDate['get' + r.modes[this.viewMode].navFnc].call(this.viewDate) + r.modes[this.viewMode].navStep * ('am-datepicker-prev' === l[0].className ? -1 : 1)), this.fill(), this.set();
                        }
                        break;
                    case 'span':
                        if (l.is('.am-disabled'))
                            return;
                        l.is('.am-datepicker-month') ? (e = l.parent().find('span').index(l), l.is('.am-active') ? this.viewDate.setMonth(e, o.text()) : this.viewDate.setMonth(e)) : (i = parseInt(l.text(), 10) || 0, l.is('.am-active') ? this.viewDate.setFullYear(i, a, o.text()) : this.viewDate.setFullYear(i)), 0 !== this.viewMode && (this.date = new Date(this.viewDate), this.$element.trigger({
                            type: 'changeDate.datepicker.amui',
                            date: this.date,
                            viewMode: r.modes[this.viewMode].clsName
                        })), this.showMode(-1), this.fill(), this.set();
                        break;
                    case 'td':
                        if (l.is('.am-datepicker-day') && !l.is('.am-disabled')) {
                            var c = parseInt(l.text(), 10) || 1;
                            e = this.viewDate.getMonth(), l.is('.am-datepicker-old') ? e -= 1 : l.is('.am-datepicker-new') && (e += 1), i = this.viewDate.getFullYear(), this.date = new Date(i, e, c, 0, 0, 0, 0), this.viewDate = new Date(i, e, Math.min(28, c), 0, 0, 0, 0), this.fill(), this.set(), this.$element.trigger({
                                type: 'changeDate.datepicker.amui',
                                date: this.date,
                                viewMode: r.modes[this.viewMode].clsName
                            }), this.options.autoClose && this.close();
                        }
                    }
            }, a.prototype.mousedown = function (t) {
                t.stopPropagation(), t.preventDefault();
            }, a.prototype.showMode = function (t) {
                t && (this.viewMode = Math.max(this.minViewMode, Math.min(2, this.viewMode + t))), this.$picker.find('>div').hide().filter('.am-datepicker-' + r.modes[this.viewMode].clsName).show();
            }, a.prototype.isOutView = function () {
                var t = this.component ? this.component.offset() : this.$element.offset(), e = {
                        outRight: !1,
                        outBottom: !1
                    }, i = this.$picker, n = t.left + i.outerWidth(!0), o = t.top + i.outerHeight(!0) + this.$element.innerHeight();
                return n > s.width() && (e.outRight = !0), o > s.height() && (e.outBottom = !0), e;
            }, a.prototype.getLocale = function (t) {
                return t || (t = navigator.language && navigator.language.split('-'), t[1] = t[1].toUpperCase(), t = t.join('_')), a.locales[t] || (t = 'en_US'), t;
            }, a.prototype.setTheme = function () {
                this.theme && this.$picker.addClass('am-datepicker-' + this.theme);
            }, a.locales = {
                en_US: {
                    days: [
                        'Sunday',
                        'Monday',
                        'Tuesday',
                        'Wednesday',
                        'Thursday',
                        'Friday',
                        'Saturday'
                    ],
                    daysShort: [
                        'Sun',
                        'Mon',
                        'Tue',
                        'Wed',
                        'Thu',
                        'Fri',
                        'Sat'
                    ],
                    daysMin: [
                        'Su',
                        'Mo',
                        'Tu',
                        'We',
                        'Th',
                        'Fr',
                        'Sa'
                    ],
                    months: [
                        'January',
                        'February',
                        'March',
                        'April',
                        'May',
                        'June',
                        'July',
                        'August',
                        'September',
                        'October',
                        'November',
                        'December'
                    ],
                    monthsShort: [
                        'Jan',
                        'Feb',
                        'Mar',
                        'Apr',
                        'May',
                        'Jun',
                        'Jul',
                        'Aug',
                        'Sep',
                        'Oct',
                        'Nov',
                        'Dec'
                    ],
                    weekStart: 0
                },
                zh_CN: {
                    days: [
                        '星期日',
                        '星期一',
                        '星期二',
                        '星期三',
                        '星期四',
                        '星期五',
                        '星期六'
                    ],
                    daysShort: [
                        '周日',
                        '周一',
                        '周二',
                        '周三',
                        '周四',
                        '周五',
                        '周六'
                    ],
                    daysMin: [
                        '日',
                        '一',
                        '二',
                        '三',
                        '四',
                        '五',
                        '六'
                    ],
                    months: [
                        '一月',
                        '二月',
                        '三月',
                        '四月',
                        '五月',
                        '六月',
                        '七月',
                        '八月',
                        '九月',
                        '十月',
                        '十一月',
                        '十二月'
                    ],
                    monthsShort: [
                        '一月',
                        '二月',
                        '三月',
                        '四月',
                        '五月',
                        '六月',
                        '七月',
                        '八月',
                        '九月',
                        '十月',
                        '十一月',
                        '十二月'
                    ],
                    weekStart: 1,
                    year: ['年']
                }
            };
            var r = {
                modes: [
                    {
                        clsName: 'days',
                        navFnc: 'Month',
                        navStep: 1
                    },
                    {
                        clsName: 'months',
                        navFnc: 'FullYear',
                        navStep: 1
                    },
                    {
                        clsName: 'years',
                        navFnc: 'FullYear',
                        navStep: 10
                    }
                ],
                isLeapYear: function (t) {
                    return t % 4 === 0 && t % 100 !== 0 || t % 400 === 0;
                },
                getDaysInMonth: function (t, e) {
                    return [
                        31,
                        r.isLeapYear(t) ? 29 : 28,
                        31,
                        30,
                        31,
                        30,
                        31,
                        31,
                        30,
                        31,
                        30,
                        31
                    ][e];
                },
                parseFormat: function (t) {
                    var e = t.match(/[.\/\-\s].*?/), i = t.split(/\W+/);
                    if (!e || !i || 0 === i.length)
                        throw new Error('Invalid date format.');
                    return {
                        separator: e,
                        parts: i
                    };
                },
                parseDate: function (t, e) {
                    var i, n = t.split(e.separator);
                    if (t = new Date(), t.setHours(0), t.setMinutes(0), t.setSeconds(0), t.setMilliseconds(0), n.length === e.parts.length) {
                        for (var o = t.getFullYear(), s = t.getDate(), a = t.getMonth(), r = 0, l = e.parts.length; l > r; r++)
                            switch (i = parseInt(n[r], 10) || 1, e.parts[r]) {
                            case 'dd':
                            case 'd':
                                s = i, t.setDate(i);
                                break;
                            case 'mm':
                            case 'm':
                                a = i - 1, t.setMonth(i - 1);
                                break;
                            case 'yy':
                                o = 2000 + i, t.setFullYear(2000 + i);
                                break;
                            case 'yyyy':
                                o = i, t.setFullYear(i);
                            }
                        t = new Date(o, a, s, 0, 0, 0);
                    }
                    return t;
                },
                formatDate: function (t, e) {
                    var i = {
                            d: t.getDate(),
                            m: t.getMonth() + 1,
                            yy: t.getFullYear().toString().substring(2),
                            yyyy: t.getFullYear()
                        }, n = [];
                    i.dd = (i.d < 10 ? '0' : '') + i.d, i.mm = (i.m < 10 ? '0' : '') + i.m;
                    for (var o = 0, s = e.parts.length; s > o; o++)
                        n.push(i[e.parts[o]]);
                    return n.join(e.separator);
                },
                headTemplate: '<thead><tr class="am-datepicker-header"><th class="am-datepicker-prev"><i class="am-datepicker-prev-icon"></i></th><th colspan="5" class="am-datepicker-switch"><div class="am-datepicker-select"></div></th><th class="am-datepicker-next"><i class="am-datepicker-next-icon"></i></th></tr></thead>',
                contTemplate: '<tbody><tr><td colspan="7"></td></tr></tbody>'
            };
            r.template = '<div class="am-datepicker am-datepicker-dropdown"><div class="am-datepicker-caret"></div><div class="am-datepicker-days"><table class="am-datepicker-table">' + r.headTemplate + '<tbody></tbody></table></div><div class="am-datepicker-months"><table class="am-datepicker-table">' + r.headTemplate + r.contTemplate + '</table></div><div class="am-datepicker-years"><table class="am-datepicker-table">' + r.headTemplate + r.contTemplate + '</table></div></div>', o.plugin('datepicker', a), o.ready(function (t) {
                n('[data-am-datepicker]').datepicker();
            }), t.exports = o.datepicker = a;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = n(document), a = o.support.transition, r = function () {
                    this.id = o.utils.generateGUID('am-dimmer'), this.$element = n(r.DEFAULTS.tpl, { id: this.id }), this.inited = !1, this.scrollbarWidth = 0, this.$used = n([]);
                };
            r.DEFAULTS = { tpl: '<div class="am-dimmer" data-am-dimmer></div>' }, r.prototype.init = function () {
                return this.inited || (n(document.body).append(this.$element), this.inited = !0, s.trigger('init.dimmer.amui'), this.$element.on('touchmove.dimmer.amui', function (t) {
                    t.preventDefault();
                })), this;
            }, r.prototype.open = function (t) {
                this.inited || this.init();
                var e = this.$element;
                return t && (this.$used = this.$used.add(n(t))), this.checkScrollbar().setScrollbar(), e.show().trigger('open.dimmer.amui'), a && e.off(a.end), setTimeout(function () {
                    e.addClass('am-active');
                }, 0), this;
            }, r.prototype.close = function (t, e) {
                function i() {
                    o.hide(), this.resetScrollbar();
                }
                if (this.$used = this.$used.not(n(t)), !e && this.$used.length)
                    return this;
                var o = this.$element;
                return o.removeClass('am-active').trigger('close.dimmer.amui'), i.call(this), this;
            }, r.prototype.checkScrollbar = function () {
                return this.scrollbarWidth = o.utils.measureScrollbar(), this;
            }, r.prototype.setScrollbar = function () {
                var t = n(document.body), e = parseInt(t.css('padding-right') || 0, 10);
                return this.scrollbarWidth && t.css('padding-right', e + this.scrollbarWidth), t.addClass('am-dimmer-active'), this;
            }, r.prototype.resetScrollbar = function () {
                return n(document.body).css('padding-right', '').removeClass('am-dimmer-active'), this;
            }, t.exports = o.dimmer = new r();
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = o.support.animation, a = function (t, e) {
                    this.options = n.extend({}, a.DEFAULTS, e), e = this.options, this.$element = n(t), this.$toggle = this.$element.find(e.selector.toggle), this.$dropdown = this.$element.find(e.selector.dropdown), this.$boundary = e.boundary === window ? n(window) : this.$element.closest(e.boundary), this.$justify = e.justify && n(e.justify).length && n(e.justify) || void 0, !this.$boundary.length && (this.$boundary = n(window)), this.active = !!this.$element.hasClass('am-active'), this.animating = null, this.events();
                };
            a.DEFAULTS = {
                animation: 'am-animation-slide-top-fixed',
                boundary: window,
                justify: void 0,
                selector: {
                    dropdown: '.am-dropdown-content',
                    toggle: '.am-dropdown-toggle'
                },
                trigger: 'click'
            }, a.prototype.toggle = function () {
                this.clear(), this.animating || this[this.active ? 'close' : 'open']();
            }, a.prototype.open = function (t) {
                var e = this.$toggle, i = this.$element, o = this.$dropdown;
                if (!e.is('.am-disabled, :disabled') && !this.active) {
                    i.trigger('open.dropdown.amui').addClass('am-active'), e.trigger('focus'), this.checkDimensions();
                    var a = n.proxy(function () {
                        i.trigger('opened.dropdown.amui'), this.active = !0, this.animating = 0;
                    }, this);
                    s ? (this.animating = 1, o.addClass(this.options.animation).on(s.end + '.open.dropdown.amui', n.proxy(function () {
                        a(), o.removeClass(this.options.animation);
                    }, this))) : a();
                }
            }, a.prototype.close = function () {
                if (this.active) {
                    var t = 'am-dropdown-animation', e = this.$element, i = this.$dropdown;
                    e.trigger('close.dropdown.amui');
                    var o = n.proxy(function () {
                        e.removeClass('am-active').trigger('closed.dropdown.amui'), this.active = !1, this.animating = 0, this.$toggle.blur();
                    }, this);
                    s ? (i.removeClass(this.options.animation), i.addClass(t), this.animating = 1, i.one(s.end + '.close.dropdown.amui', function () {
                        i.removeClass(t), o();
                    })) : o();
                }
            }, a.prototype.enable = function () {
                this.$toggle.prop('disabled', !1);
            }, a.prototype.disable = function () {
                this.$toggle.prop('disabled', !0);
            }, a.prototype.checkDimensions = function () {
                if (this.$dropdown.length) {
                    var t = this.$dropdown, e = t.offset(), i = t.outerWidth(), o = this.$boundary.width(), s = n.isWindow(this.boundary) && this.$boundary.offset() ? this.$boundary.offset().left : 0;
                    this.$justify && t.css({ 'min-width': this.$justify.css('width') }), i + (e.left - s) > o && this.$element.addClass('am-dropdown-flip');
                }
            }, a.prototype.clear = function () {
                n('[data-am-dropdown]').not(this.$element).each(function () {
                    var t = n(this).data('amui.dropdown');
                    t && t.close();
                });
            }, a.prototype.events = function () {
                var t = 'dropdown.amui', e = this.$toggle;
                e.on('click.' + t, n.proxy(function (t) {
                    t.preventDefault(), this.toggle();
                }, this)), n(document).on('keydown.dropdown.amui', n.proxy(function (t) {
                    27 === t.keyCode && this.active && this.close();
                }, this)).on('click.outer.dropdown.amui', n.proxy(function (t) {
                    !this.active || this.$element[0] !== t.target && this.$element.find(t.target).length || this.close();
                }, this));
            }, o.plugin('dropdown', a), o.ready(function (t) {
                n('[data-am-dropdown]', t).dropdown();
            }), n(document).on('click.dropdown.amui.data-api', '.am-dropdown form', function (t) {
                t.stopPropagation();
            }), t.exports = o.dropdown = a;
        },
        function (t, e, i) {
            (function (e) {
                var n = i(1), o = i(2), s = !0;
                n.flexslider = function (t, i) {
                    var o = n(t);
                    o.vars = n.extend({}, n.flexslider.defaults, i);
                    var a, r = o.vars.namespace, l = window.navigator && window.navigator.msPointerEnabled && window.MSGesture, c = ('ontouchstart' in window || l || window.DocumentTouch && document instanceof DocumentTouch) && o.vars.touch, h = 'click touchend MSPointerUp keyup', u = '', d = 'vertical' === o.vars.direction, p = o.vars.reverse, m = o.vars.itemWidth > 0, f = 'fade' === o.vars.animation, v = '' !== o.vars.asNavFor, g = {};
                    n.data(t, 'flexslider', o), g = {
                        init: function () {
                            o.animating = !1, o.currentSlide = parseInt(o.vars.startAt ? o.vars.startAt : 0, 10), isNaN(o.currentSlide) && (o.currentSlide = 0), o.animatingTo = o.currentSlide, o.atEnd = 0 === o.currentSlide || o.currentSlide === o.last, o.containerSelector = o.vars.selector.substr(0, o.vars.selector.search(' ')), o.slides = n(o.vars.selector, o), o.container = n(o.containerSelector, o), o.count = o.slides.length, o.syncExists = n(o.vars.sync).length > 0, 'slide' === o.vars.animation && (o.vars.animation = 'swing'), o.prop = d ? 'top' : 'marginLeft', o.args = {}, o.manualPause = !1, o.stopped = !1, o.started = !1, o.startTimeout = null, o.transitions = !o.vars.video && !f && o.vars.useCSS && function () {
                                var t = document.createElement('div'), e = [
                                        'perspectiveProperty',
                                        'WebkitPerspective',
                                        'MozPerspective',
                                        'OPerspective',
                                        'msPerspective'
                                    ];
                                for (var i in e)
                                    if (void 0 !== t.style[e[i]])
                                        return o.pfx = e[i].replace('Perspective', '').toLowerCase(), o.prop = '-' + o.pfx + '-transform', !0;
                                return !1;
                            }(), o.ensureAnimationEnd = '', '' !== o.vars.controlsContainer && (o.controlsContainer = n(o.vars.controlsContainer).length > 0 && n(o.vars.controlsContainer)), '' !== o.vars.manualControls && (o.manualControls = n(o.vars.manualControls).length > 0 && n(o.vars.manualControls)), '' !== o.vars.customDirectionNav && (o.customDirectionNav = 2 === n(o.vars.customDirectionNav).length && n(o.vars.customDirectionNav)), o.vars.randomize && (o.slides.sort(function () {
                                return Math.round(Math.random()) - 0.5;
                            }), o.container.empty().append(o.slides)), o.doMath(), o.setup('init'), o.vars.controlNav && g.controlNav.setup(), o.vars.directionNav && g.directionNav.setup(), o.vars.keyboard && (1 === n(o.containerSelector).length || o.vars.multipleKeyboard) && n(document).bind('keyup', function (t) {
                                var e = t.keyCode;
                                if (!o.animating && (39 === e || 37 === e)) {
                                    var i = 39 === e ? o.getTarget('next') : 37 === e ? o.getTarget('prev') : !1;
                                    o.flexAnimate(i, o.vars.pauseOnAction);
                                }
                            }), o.vars.mousewheel && o.bind('mousewheel', function (t, e, i, n) {
                                t.preventDefault();
                                var s = 0 > e ? o.getTarget('next') : o.getTarget('prev');
                                o.flexAnimate(s, o.vars.pauseOnAction);
                            }), o.vars.pausePlay && g.pausePlay.setup(), o.vars.slideshow && o.vars.pauseInvisible && g.pauseInvisible.init(), o.vars.slideshow && (o.vars.pauseOnHover && o.hover(function () {
                                o.manualPlay || o.manualPause || o.pause();
                            }, function () {
                                o.manualPause || o.manualPlay || o.stopped || o.play();
                            }), o.vars.pauseInvisible && g.pauseInvisible.isHidden() || (o.vars.initDelay > 0 ? o.startTimeout = setTimeout(o.play, o.vars.initDelay) : o.play())), v && g.asNav.setup(), c && o.vars.touch && g.touch(), (!f || f && o.vars.smoothHeight) && n(window).bind('resize orientationchange focus', g.resize), o.find('img').attr('draggable', 'false'), setTimeout(function () {
                                o.vars.start(o);
                            }, 200);
                        },
                        asNav: {
                            setup: function () {
                                o.asNav = !0, o.animatingTo = Math.floor(o.currentSlide / o.move), o.currentItem = o.currentSlide, o.slides.removeClass(r + 'active-slide').eq(o.currentItem).addClass(r + 'active-slide'), l ? (t._slider = o, o.slides.each(function () {
                                    var t = this;
                                    t._gesture = new MSGesture(), t._gesture.target = t, t.addEventListener('MSPointerDown', function (t) {
                                        t.preventDefault(), t.currentTarget._gesture && t.currentTarget._gesture.addPointer(t.pointerId);
                                    }, !1), t.addEventListener('MSGestureTap', function (t) {
                                        t.preventDefault();
                                        var e = n(this), i = e.index();
                                        n(o.vars.asNavFor).data('flexslider').animating || e.hasClass('active') || (o.direction = o.currentItem < i ? 'next' : 'prev', o.flexAnimate(i, o.vars.pauseOnAction, !1, !0, !0));
                                    });
                                })) : o.slides.on(h, function (t) {
                                    t.preventDefault();
                                    var e = n(this), i = e.index(), s = e.offset().left - n(o).scrollLeft();
                                    0 >= s && e.hasClass(r + 'active-slide') ? o.flexAnimate(o.getTarget('prev'), !0) : n(o.vars.asNavFor).data('flexslider').animating || e.hasClass(r + 'active-slide') || (o.direction = o.currentItem < i ? 'next' : 'prev', o.flexAnimate(i, o.vars.pauseOnAction, !1, !0, !0));
                                });
                            }
                        },
                        controlNav: {
                            setup: function () {
                                o.manualControls ? g.controlNav.setupManual() : g.controlNav.setupPaging();
                            },
                            setupPaging: function () {
                                var t, e, i = 'thumbnails' === o.vars.controlNav ? 'control-thumbs' : 'control-paging', s = 1;
                                if (o.controlNavScaffold = n('<ol class="' + r + 'control-nav ' + r + i + '"></ol>'), o.pagingCount > 1)
                                    for (var a = 0; a < o.pagingCount; a++) {
                                        if (e = o.slides.eq(a), void 0 === e.attr('data-thumb-alt') && e.attr('data-thumb-alt', ''), altText = '' !== e.attr('data-thumb-alt') ? altText = ' alt="' + e.attr('data-thumb-alt') + '"' : '', t = 'thumbnails' === o.vars.controlNav ? '<img src="' + e.attr('data-thumb') + '"' + altText + '/>' : '<a href="#">' + s + '</a>', 'thumbnails' === o.vars.controlNav && !0 === o.vars.thumbCaptions) {
                                            var l = e.attr('data-thumbcaption');
                                            '' !== l && void 0 !== l && (t += '<span class="' + r + 'caption">' + l + '</span>');
                                        }
                                        o.controlNavScaffold.append('<li>' + t + '<i></i></li>'), s++;
                                    }
                                o.controlsContainer ? n(o.controlsContainer).append(o.controlNavScaffold) : o.append(o.controlNavScaffold), g.controlNav.set(), g.controlNav.active(), o.controlNavScaffold.delegate('a, img', h, function (t) {
                                    if (t.preventDefault(), '' === u || u === t.type) {
                                        var e = n(this), i = o.controlNav.index(e);
                                        e.hasClass(r + 'active') || (o.direction = i > o.currentSlide ? 'next' : 'prev', o.flexAnimate(i, o.vars.pauseOnAction));
                                    }
                                    '' === u && (u = t.type), g.setToClearWatchedEvent();
                                });
                            },
                            setupManual: function () {
                                o.controlNav = o.manualControls, g.controlNav.active(), o.controlNav.bind(h, function (t) {
                                    if (t.preventDefault(), '' === u || u === t.type) {
                                        var e = n(this), i = o.controlNav.index(e);
                                        e.hasClass(r + 'active') || (i > o.currentSlide ? o.direction = 'next' : o.direction = 'prev', o.flexAnimate(i, o.vars.pauseOnAction));
                                    }
                                    '' === u && (u = t.type), g.setToClearWatchedEvent();
                                });
                            },
                            set: function () {
                                var t = 'thumbnails' === o.vars.controlNav ? 'img' : 'a';
                                o.controlNav = n('.' + r + 'control-nav li ' + t, o.controlsContainer ? o.controlsContainer : o);
                            },
                            active: function () {
                                o.controlNav.removeClass(r + 'active').eq(o.animatingTo).addClass(r + 'active');
                            },
                            update: function (t, e) {
                                o.pagingCount > 1 && 'add' === t ? o.controlNavScaffold.append(n('<li><a href="#">' + o.count + '</a></li>')) : 1 === o.pagingCount ? o.controlNavScaffold.find('li').remove() : o.controlNav.eq(e).closest('li').remove(), g.controlNav.set(), o.pagingCount > 1 && o.pagingCount !== o.controlNav.length ? o.update(e, t) : g.controlNav.active();
                            }
                        },
                        directionNav: {
                            setup: function () {
                                var t = n('<ul class="' + r + 'direction-nav"><li class="' + r + 'nav-prev"><a class="' + r + 'prev" href="#">' + o.vars.prevText + '</a></li><li class="' + r + 'nav-next"><a class="' + r + 'next" href="#">' + o.vars.nextText + '</a></li></ul>');
                                o.customDirectionNav ? o.directionNav = o.customDirectionNav : o.controlsContainer ? (n(o.controlsContainer).append(t), o.directionNav = n('.' + r + 'direction-nav li a', o.controlsContainer)) : (o.append(t), o.directionNav = n('.' + r + 'direction-nav li a', o)), g.directionNav.update(), o.directionNav.bind(h, function (t) {
                                    t.preventDefault();
                                    var e;
                                    '' !== u && u !== t.type || (e = n(this).hasClass(r + 'next') ? o.getTarget('next') : o.getTarget('prev'), o.flexAnimate(e, o.vars.pauseOnAction)), '' === u && (u = t.type), g.setToClearWatchedEvent();
                                });
                            },
                            update: function () {
                                var t = r + 'disabled';
                                1 === o.pagingCount ? o.directionNav.addClass(t).attr('tabindex', '-1') : o.vars.animationLoop ? o.directionNav.removeClass(t).removeAttr('tabindex') : 0 === o.animatingTo ? o.directionNav.removeClass(t).filter('.' + r + 'prev').addClass(t).attr('tabindex', '-1') : o.animatingTo === o.last ? o.directionNav.removeClass(t).filter('.' + r + 'next').addClass(t).attr('tabindex', '-1') : o.directionNav.removeClass(t).removeAttr('tabindex');
                            }
                        },
                        pausePlay: {
                            setup: function () {
                                var t = n('<div class="' + r + 'pauseplay"><a href="#"></a></div>');
                                o.controlsContainer ? (o.controlsContainer.append(t), o.pausePlay = n('.' + r + 'pauseplay a', o.controlsContainer)) : (o.append(t), o.pausePlay = n('.' + r + 'pauseplay a', o)), g.pausePlay.update(o.vars.slideshow ? r + 'pause' : r + 'play'), o.pausePlay.bind(h, function (t) {
                                    t.preventDefault(), '' !== u && u !== t.type || (n(this).hasClass(r + 'pause') ? (o.manualPause = !0, o.manualPlay = !1, o.pause()) : (o.manualPause = !1, o.manualPlay = !0, o.play())), '' === u && (u = t.type), g.setToClearWatchedEvent();
                                });
                            },
                            update: function (t) {
                                'play' === t ? o.pausePlay.removeClass(r + 'pause').addClass(r + 'play').html(o.vars.playText) : o.pausePlay.removeClass(r + 'play').addClass(r + 'pause').html(o.vars.pauseText);
                            }
                        },
                        touch: function () {
                            function i(e) {
                                e.stopPropagation(), o.animating ? e.preventDefault() : (o.pause(), t._gesture.addPointer(e.pointerId), C = 0, h = d ? o.h : o.w, v = Number(new Date()), c = m && p && o.animatingTo === o.last ? 0 : m && p ? o.limit - (o.itemW + o.vars.itemMargin) * o.move * o.animatingTo : m && o.currentSlide === o.last ? o.limit : m ? (o.itemW + o.vars.itemMargin) * o.move * o.currentSlide : p ? (o.last - o.currentSlide + o.cloneOffset) * h : (o.currentSlide + o.cloneOffset) * h);
                            }
                            function n(i) {
                                i.stopPropagation();
                                var n = i.target._slider;
                                if (n) {
                                    var o = -i.translationX, s = -i.translationY;
                                    return C += d ? s : o, u = C, b = d ? Math.abs(C) < Math.abs(-o) : Math.abs(C) < Math.abs(-s), i.detail === i.MSGESTURE_FLAG_INERTIA ? void e(function () {
                                        t._gesture.stop();
                                    }) : void ((!b || Number(new Date()) - v > 500) && (i.preventDefault(), !f && n.transitions && (n.vars.animationLoop || (u = C / (0 === n.currentSlide && 0 > C || n.currentSlide === n.last && C > 0 ? Math.abs(C) / h + 2 : 1)), n.setProps(c + u, 'setTouch'))));
                                }
                            }
                            function s(t) {
                                t.stopPropagation();
                                var e = t.target._slider;
                                if (e) {
                                    if (e.animatingTo === e.currentSlide && !b && null !== u) {
                                        var i = p ? -u : u, n = i > 0 ? e.getTarget('next') : e.getTarget('prev');
                                        e.canAdvance(n) && (Number(new Date()) - v < 550 && Math.abs(i) > 50 || Math.abs(i) > h / 2) ? e.flexAnimate(n, e.vars.pauseOnAction) : f || e.flexAnimate(e.currentSlide, e.vars.pauseOnAction, !0);
                                    }
                                    a = null, r = null, u = null, c = null, C = 0;
                                }
                            }
                            var a, r, c, h, u, v, g, w, y, b = !1, T = 0, x = 0, C = 0;
                            l ? (t.style.msTouchAction = 'none', t._gesture = new MSGesture(), t._gesture.target = t, t.addEventListener('MSPointerDown', i, !1), t._slider = o, t.addEventListener('MSGestureChange', n, !1), t.addEventListener('MSGestureEnd', s, !1)) : (g = function (e) {
                                o.animating ? e.preventDefault() : (window.navigator.msPointerEnabled || 1 === e.touches.length) && (o.pause(), h = d ? o.h : o.w, v = Number(new Date()), T = e.touches[0].pageX, x = e.touches[0].pageY, c = m && p && o.animatingTo === o.last ? 0 : m && p ? o.limit - (o.itemW + o.vars.itemMargin) * o.move * o.animatingTo : m && o.currentSlide === o.last ? o.limit : m ? (o.itemW + o.vars.itemMargin) * o.move * o.currentSlide : p ? (o.last - o.currentSlide + o.cloneOffset) * h : (o.currentSlide + o.cloneOffset) * h, a = d ? x : T, r = d ? T : x, t.addEventListener('touchmove', w, !1), t.addEventListener('touchend', y, !1));
                            }, w = function (t) {
                                T = t.touches[0].pageX, x = t.touches[0].pageY, u = d ? a - x : a - T, b = d ? Math.abs(u) < Math.abs(T - r) : Math.abs(u) < Math.abs(x - r);
                                var e = 500;
                                (!b || Number(new Date()) - v > e) && (t.preventDefault(), !f && o.transitions && (o.vars.animationLoop || (u /= 0 === o.currentSlide && 0 > u || o.currentSlide === o.last && u > 0 ? Math.abs(u) / h + 2 : 1), o.setProps(c + u, 'setTouch')));
                            }, y = function (e) {
                                if (t.removeEventListener('touchmove', w, !1), o.animatingTo === o.currentSlide && !b && null !== u) {
                                    var i = p ? -u : u, n = i > 0 ? o.getTarget('next') : o.getTarget('prev');
                                    o.canAdvance(n) && (Number(new Date()) - v < 550 && Math.abs(i) > 50 || Math.abs(i) > h / 2) ? o.flexAnimate(n, o.vars.pauseOnAction) : f || o.flexAnimate(o.currentSlide, o.vars.pauseOnAction, !0);
                                }
                                t.removeEventListener('touchend', y, !1), a = null, r = null, u = null, c = null;
                            }, t.addEventListener('touchstart', g, !1));
                        },
                        resize: function () {
                            !o.animating && o.is(':visible') && (m || o.doMath(), f ? g.smoothHeight() : m ? (o.slides.width(o.computedW), o.update(o.pagingCount), o.setProps()) : d ? (o.viewport.height(o.h), o.setProps(o.h, 'setTotal')) : (o.vars.smoothHeight && g.smoothHeight(), o.newSlides.width(o.computedW), o.setProps(o.computedW, 'setTotal')));
                        },
                        smoothHeight: function (t) {
                            if (!d || f) {
                                var e = f ? o : o.viewport;
                                t ? e.animate({ height: o.slides.eq(o.animatingTo).height() }, t) : e.height(o.slides.eq(o.animatingTo).height());
                            }
                        },
                        sync: function (t) {
                            var e = n(o.vars.sync).data('flexslider'), i = o.animatingTo;
                            switch (t) {
                            case 'animate':
                                e.flexAnimate(i, o.vars.pauseOnAction, !1, !0);
                                break;
                            case 'play':
                                e.playing || e.asNav || e.play();
                                break;
                            case 'pause':
                                e.pause();
                            }
                        },
                        uniqueID: function (t) {
                            return t.filter('[id]').add(t.find('[id]')).each(function () {
                                var t = n(this);
                                t.attr('id', t.attr('id') + '_clone');
                            }), t;
                        },
                        pauseInvisible: {
                            visProp: null,
                            init: function () {
                                var t = g.pauseInvisible.getHiddenProp();
                                if (t) {
                                    var e = t.replace(/[H|h]idden/, '') + 'visibilitychange';
                                    document.addEventListener(e, function () {
                                        g.pauseInvisible.isHidden() ? o.startTimeout ? clearTimeout(o.startTimeout) : o.pause() : o.started ? o.play() : o.vars.initDelay > 0 ? setTimeout(o.play, o.vars.initDelay) : o.play();
                                    });
                                }
                            },
                            isHidden: function () {
                                var t = g.pauseInvisible.getHiddenProp();
                                return t ? document[t] : !1;
                            },
                            getHiddenProp: function () {
                                var t = [
                                    'webkit',
                                    'moz',
                                    'ms',
                                    'o'
                                ];
                                if ('hidden' in document)
                                    return 'hidden';
                                for (var e = 0; e < t.length; e++)
                                    if (t[e] + 'Hidden' in document)
                                        return t[e] + 'Hidden';
                                return null;
                            }
                        },
                        setToClearWatchedEvent: function () {
                            clearTimeout(a), a = setTimeout(function () {
                                u = '';
                            }, 3000);
                        }
                    }, o.flexAnimate = function (t, e, i, s, a) {
                        if (o.vars.animationLoop || t === o.currentSlide || (o.direction = t > o.currentSlide ? 'next' : 'prev'), v && 1 === o.pagingCount && (o.direction = o.currentItem < t ? 'next' : 'prev'), !o.animating && (o.canAdvance(t, a) || i) && o.is(':visible')) {
                            if (v && s) {
                                var l = n(o.vars.asNavFor).data('flexslider');
                                if (o.atEnd = 0 === t || t === o.count - 1, l.flexAnimate(t, !0, !1, !0, a), o.direction = o.currentItem < t ? 'next' : 'prev', l.direction = o.direction, Math.ceil((t + 1) / o.visible) - 1 === o.currentSlide || 0 === t)
                                    return o.currentItem = t, o.slides.removeClass(r + 'active-slide').eq(t).addClass(r + 'active-slide'), !1;
                                o.currentItem = t, o.slides.removeClass(r + 'active-slide').eq(t).addClass(r + 'active-slide'), t = Math.floor(t / o.visible);
                            }
                            if (o.animating = !0, o.animatingTo = t, e && o.pause(), o.vars.before(o), o.syncExists && !a && g.sync('animate'), o.vars.controlNav && g.controlNav.active(), m || o.slides.removeClass(r + 'active-slide').eq(t).addClass(r + 'active-slide'), o.atEnd = 0 === t || t === o.last, o.vars.directionNav && g.directionNav.update(), t === o.last && (o.vars.end(o), o.vars.animationLoop || o.pause()), f)
                                c ? (o.slides.eq(o.currentSlide).css({
                                    opacity: 0,
                                    zIndex: 1
                                }), o.slides.eq(t).css({
                                    opacity: 1,
                                    zIndex: 2
                                }), o.wrapup(y)) : (o.slides.eq(o.currentSlide).css({ zIndex: 1 }).animate({ opacity: 0 }, o.vars.animationSpeed, o.vars.easing), o.slides.eq(t).css({ zIndex: 2 }).animate({ opacity: 1 }, o.vars.animationSpeed, o.vars.easing, o.wrapup));
                            else {
                                var h, u, w, y = d ? o.slides.filter(':first').height() : o.computedW;
                                m ? (h = o.vars.itemMargin, w = (o.itemW + h) * o.move * o.animatingTo, u = w > o.limit && 1 !== o.visible ? o.limit : w) : u = 0 === o.currentSlide && t === o.count - 1 && o.vars.animationLoop && 'next' !== o.direction ? p ? (o.count + o.cloneOffset) * y : 0 : o.currentSlide === o.last && 0 === t && o.vars.animationLoop && 'prev' !== o.direction ? p ? 0 : (o.count + 1) * y : p ? (o.count - 1 - t + o.cloneOffset) * y : (t + o.cloneOffset) * y, o.setProps(u, '', o.vars.animationSpeed), o.transitions ? (o.vars.animationLoop && o.atEnd || (o.animating = !1, o.currentSlide = o.animatingTo), o.container.unbind('webkitTransitionEnd transitionend'), o.container.bind('webkitTransitionEnd transitionend', function () {
                                    clearTimeout(o.ensureAnimationEnd), o.wrapup(y);
                                }), clearTimeout(o.ensureAnimationEnd), o.ensureAnimationEnd = setTimeout(function () {
                                    o.wrapup(y);
                                }, o.vars.animationSpeed + 100)) : o.container.animate(o.args, o.vars.animationSpeed, o.vars.easing, function () {
                                    o.wrapup(y);
                                });
                            }
                            o.vars.smoothHeight && g.smoothHeight(o.vars.animationSpeed);
                        }
                    }, o.wrapup = function (t) {
                        f || m || (0 === o.currentSlide && o.animatingTo === o.last && o.vars.animationLoop ? o.setProps(t, 'jumpEnd') : o.currentSlide === o.last && 0 === o.animatingTo && o.vars.animationLoop && o.setProps(t, 'jumpStart')), o.animating = !1, o.currentSlide = o.animatingTo, o.vars.after(o);
                    }, o.animateSlides = function () {
                        !o.animating && s && o.flexAnimate(o.getTarget('next'));
                    }, o.pause = function () {
                        clearInterval(o.animatedSlides), o.animatedSlides = null, o.playing = !1, o.vars.pausePlay && g.pausePlay.update('play'), o.syncExists && g.sync('pause');
                    }, o.play = function () {
                        o.playing && clearInterval(o.animatedSlides), o.animatedSlides = o.animatedSlides || setInterval(o.animateSlides, o.vars.slideshowSpeed), o.started = o.playing = !0, o.vars.pausePlay && g.pausePlay.update('pause'), o.syncExists && g.sync('play');
                    }, o.stop = function () {
                        o.pause(), o.stopped = !0;
                    }, o.canAdvance = function (t, e) {
                        var i = v ? o.pagingCount - 1 : o.last;
                        return e ? !0 : v && o.currentItem === o.count - 1 && 0 === t && 'prev' === o.direction ? !0 : v && 0 === o.currentItem && t === o.pagingCount - 1 && 'next' !== o.direction ? !1 : t !== o.currentSlide || v ? o.vars.animationLoop ? !0 : o.atEnd && 0 === o.currentSlide && t === i && 'next' !== o.direction ? !1 : !o.atEnd || o.currentSlide !== i || 0 !== t || 'next' !== o.direction : !1;
                    }, o.getTarget = function (t) {
                        return o.direction = t, 'next' === t ? o.currentSlide === o.last ? 0 : o.currentSlide + 1 : 0 === o.currentSlide ? o.last : o.currentSlide - 1;
                    }, o.setProps = function (t, e, i) {
                        var n = function () {
                            var i = t ? t : (o.itemW + o.vars.itemMargin) * o.move * o.animatingTo, n = function () {
                                    if (m)
                                        return 'setTouch' === e ? t : p && o.animatingTo === o.last ? 0 : p ? o.limit - (o.itemW + o.vars.itemMargin) * o.move * o.animatingTo : o.animatingTo === o.last ? o.limit : i;
                                    switch (e) {
                                    case 'setTotal':
                                        return p ? (o.count - 1 - o.currentSlide + o.cloneOffset) * t : (o.currentSlide + o.cloneOffset) * t;
                                    case 'setTouch':
                                        return p ? t : t;
                                    case 'jumpEnd':
                                        return p ? t : o.count * t;
                                    case 'jumpStart':
                                        return p ? o.count * t : t;
                                    default:
                                        return t;
                                    }
                                }();
                            return -1 * n + 'px';
                        }();
                        o.transitions && (n = d ? 'translate3d(0,' + n + ',0)' : 'translate3d(' + n + ',0,0)', i = void 0 !== i ? i / 1000 + 's' : '0s', o.container.css('-' + o.pfx + '-transition-duration', i), o.container.css('transition-duration', i)), o.args[o.prop] = n, (o.transitions || void 0 === i) && o.container.css(o.args), o.container.css('transform', n);
                    }, o.setup = function (t) {
                        if (f)
                            o.slides.css({
                                width: '100%',
                                'float': 'left',
                                marginRight: '-100%',
                                position: 'relative'
                            }), 'init' === t && (c ? o.slides.css({
                                opacity: 0,
                                display: 'block',
                                webkitTransition: 'opacity ' + o.vars.animationSpeed / 1000 + 's ease',
                                zIndex: 1
                            }).eq(o.currentSlide).css({
                                opacity: 1,
                                zIndex: 2
                            }) : 0 == o.vars.fadeFirstSlide ? o.slides.css({
                                opacity: 0,
                                display: 'block',
                                zIndex: 1
                            }).eq(o.currentSlide).css({ zIndex: 2 }).css({ opacity: 1 }) : o.slides.css({
                                opacity: 0,
                                display: 'block',
                                zIndex: 1
                            }).eq(o.currentSlide).css({ zIndex: 2 }).animate({ opacity: 1 }, o.vars.animationSpeed, o.vars.easing)), o.vars.smoothHeight && g.smoothHeight();
                        else {
                            var e, i;
                            'init' === t && (o.viewport = n('<div class="' + r + 'viewport"></div>').css({
                                overflow: 'hidden',
                                position: 'relative'
                            }).appendTo(o).append(o.container), o.cloneCount = 0, o.cloneOffset = 0, p && (i = n.makeArray(o.slides).reverse(), o.slides = n(i), o.container.empty().append(o.slides))), o.vars.animationLoop && !m && (o.cloneCount = 2, o.cloneOffset = 1, 'init' !== t && o.container.find('.clone').remove(), o.container.append(g.uniqueID(o.slides.first().clone().addClass('clone')).attr('aria-hidden', 'true')).prepend(g.uniqueID(o.slides.last().clone().addClass('clone')).attr('aria-hidden', 'true'))), o.newSlides = n(o.vars.selector, o), e = p ? o.count - 1 - o.currentSlide + o.cloneOffset : o.currentSlide + o.cloneOffset, d && !m ? (o.container.height(200 * (o.count + o.cloneCount) + '%').css('position', 'absolute').width('100%'), setTimeout(function () {
                                o.newSlides.css({ display: 'block' }), o.doMath(), o.viewport.height(o.h), o.setProps(e * o.h, 'init');
                            }, 'init' === t ? 100 : 0)) : (o.container.width(200 * (o.count + o.cloneCount) + '%'), o.setProps(e * o.computedW, 'init'), setTimeout(function () {
                                o.doMath(), o.newSlides.css({
                                    width: o.computedW,
                                    marginRight: o.computedM,
                                    'float': 'left',
                                    display: 'block'
                                }), o.vars.smoothHeight && g.smoothHeight();
                            }, 'init' === t ? 100 : 0));
                        }
                        m || o.slides.removeClass(r + 'active-slide').eq(o.currentSlide).addClass(r + 'active-slide'), o.vars.init(o);
                    }, o.doMath = function () {
                        var t = o.slides.first(), e = o.vars.itemMargin, i = o.vars.minItems, n = o.vars.maxItems;
                        o.w = void 0 === o.viewport ? o.width() : o.viewport.width(), o.h = t.height(), o.boxPadding = t.outerWidth() - t.width(), m ? (o.itemT = o.vars.itemWidth + e, o.itemM = e, o.minW = i ? i * o.itemT : o.w, o.maxW = n ? n * o.itemT - e : o.w, o.itemW = o.minW > o.w ? (o.w - e * (i - 1)) / i : o.maxW < o.w ? (o.w - e * (n - 1)) / n : o.vars.itemWidth > o.w ? o.w : o.vars.itemWidth, o.visible = Math.floor(o.w / o.itemW), o.move = o.vars.move > 0 && o.vars.move < o.visible ? o.vars.move : o.visible, o.pagingCount = Math.ceil((o.count - o.visible) / o.move + 1), o.last = o.pagingCount - 1, o.limit = 1 === o.pagingCount ? 0 : o.vars.itemWidth > o.w ? o.itemW * (o.count - 1) + e * (o.count - 1) : (o.itemW + e) * o.count - o.w - e) : (o.itemW = o.w, o.itemM = e, o.pagingCount = o.count, o.last = o.count - 1), o.computedW = o.itemW - o.boxPadding, o.computedM = o.itemM;
                    }, o.update = function (t, e) {
                        o.doMath(), m || (t < o.currentSlide ? o.currentSlide += 1 : t <= o.currentSlide && 0 !== t && (o.currentSlide -= 1), o.animatingTo = o.currentSlide), o.vars.controlNav && !o.manualControls && ('add' === e && !m || o.pagingCount > o.controlNav.length ? g.controlNav.update('add') : ('remove' === e && !m || o.pagingCount < o.controlNav.length) && (m && o.currentSlide > o.last && (o.currentSlide -= 1, o.animatingTo -= 1), g.controlNav.update('remove', o.last))), o.vars.directionNav && g.directionNav.update();
                    }, o.addSlide = function (t, e) {
                        var i = n(t);
                        o.count += 1, o.last = o.count - 1, d && p ? void 0 !== e ? o.slides.eq(o.count - e).after(i) : o.container.prepend(i) : void 0 !== e ? o.slides.eq(e).before(i) : o.container.append(i), o.update(e, 'add'), o.slides = n(o.vars.selector + ':not(.clone)', o), o.setup(), o.vars.added(o);
                    }, o.removeSlide = function (t) {
                        var e = isNaN(t) ? o.slides.index(n(t)) : t;
                        o.count -= 1, o.last = o.count - 1, isNaN(t) ? n(t, o.slides).remove() : d && p ? o.slides.eq(o.last).remove() : o.slides.eq(t).remove(), o.doMath(), o.update(e, 'remove'), o.slides = n(o.vars.selector + ':not(.clone)', o), o.setup(), o.vars.removed(o);
                    }, g.init();
                }, n(window).blur(function (t) {
                    s = !1;
                }).focus(function (t) {
                    s = !0;
                }), n.flexslider.defaults = {
                    namespace: 'am-',
                    selector: '.am-slides > li',
                    animation: 'slide',
                    easing: 'swing',
                    direction: 'horizontal',
                    reverse: !1,
                    animationLoop: !0,
                    smoothHeight: !1,
                    startAt: 0,
                    slideshow: !0,
                    slideshowSpeed: 5000,
                    animationSpeed: 600,
                    initDelay: 0,
                    randomize: !1,
                    fadeFirstSlide: !0,
                    thumbCaptions: !1,
                    pauseOnAction: !0,
                    pauseOnHover: !1,
                    pauseInvisible: !0,
                    useCSS: !0,
                    touch: !0,
                    video: !1,
                    controlNav: !0,
                    directionNav: !0,
                    prevText: ' ',
                    nextText: ' ',
                    keyboard: !0,
                    multipleKeyboard: !1,
                    mousewheel: !1,
                    pausePlay: !1,
                    pauseText: 'Pause',
                    playText: 'Play',
                    controlsContainer: '',
                    manualControls: '',
                    customDirectionNav: '',
                    sync: '',
                    asNavFor: '',
                    itemWidth: 0,
                    itemMargin: 0,
                    minItems: 1,
                    maxItems: 0,
                    move: 0,
                    allowOneSlide: !0,
                    start: function () {
                    },
                    before: function () {
                    },
                    after: function () {
                    },
                    end: function () {
                    },
                    added: function () {
                    },
                    removed: function () {
                    },
                    init: function () {
                    }
                }, n.fn.flexslider = function (t) {
                    var e = Array.prototype.slice.call(arguments, 1);
                    if (void 0 === t && (t = {}), 'object' == typeof t)
                        return this.each(function () {
                            var e = n(this), i = t.selector ? t.selector : '.am-slides > li', o = e.find(i);
                            1 === o.length && t.allowOneSlide === !0 || 0 === o.length ? (o.fadeIn(400), t.start && t.start(e)) : void 0 === e.data('flexslider') && new n.flexslider(this, t);
                        });
                    var i, o = n(this).data('flexslider');
                    switch (t) {
                    case 'next':
                        o.flexAnimate(o.getTarget('next'), !0);
                        break;
                    case 'prev':
                    case 'previous':
                        o.flexAnimate(o.getTarget('prev'), !0);
                        break;
                    default:
                        'number' == typeof t ? o.flexAnimate(t, !0) : 'string' == typeof t && (i = 'function' == typeof o[t] ? o[t].apply(o, e) : o[t]);
                    }
                    return void 0 === i ? this : i;
                }, o.ready(function (t) {
                    n('[data-am-flexslider]', t).each(function (t, e) {
                        var i = n(e), s = o.utils.parseOptions(i.data('amFlexslider'));
                        s.before = function (t) {
                            t._pausedTimer && (window.clearTimeout(t._pausedTimer), t._pausedTimer = null);
                        }, s.after = function (t) {
                            var e = t.vars.playAfterPaused;
                            !e || isNaN(e) || t.playing || t.manualPause || t.manualPlay || t.stopped || (t._pausedTimer = window.setTimeout(function () {
                                t.play();
                            }, e));
                        }, i.flexslider(s);
                    });
                }), t.exports = n.flexslider;
            }.call(e, i(12).setImmediate));
        },
        function (t, e, i) {
            (function (t, n) {
                function o(t, e) {
                    this._id = t, this._clearFn = e;
                }
                var s = i(13).nextTick, a = Function.prototype.apply, r = Array.prototype.slice, l = {}, c = 0;
                e.setTimeout = function () {
                    return new o(a.call(setTimeout, window, arguments), clearTimeout);
                }, e.setInterval = function () {
                    return new o(a.call(setInterval, window, arguments), clearInterval);
                }, e.clearTimeout = e.clearInterval = function (t) {
                    t.close();
                }, o.prototype.unref = o.prototype.ref = function () {
                }, o.prototype.close = function () {
                    this._clearFn.call(window, this._id);
                }, e.enroll = function (t, e) {
                    clearTimeout(t._idleTimeoutId), t._idleTimeout = e;
                }, e.unenroll = function (t) {
                    clearTimeout(t._idleTimeoutId), t._idleTimeout = -1;
                }, e._unrefActive = e.active = function (t) {
                    clearTimeout(t._idleTimeoutId);
                    var e = t._idleTimeout;
                    e >= 0 && (t._idleTimeoutId = setTimeout(function () {
                        t._onTimeout && t._onTimeout();
                    }, e));
                }, e.setImmediate = 'function' == typeof t ? t : function (t) {
                    var i = c++, n = arguments.length < 2 ? !1 : r.call(arguments, 1);
                    return l[i] = !0, s(function () {
                        l[i] && (n ? t.apply(null, n) : t.call(null), e.clearImmediate(i));
                    }), i;
                }, e.clearImmediate = 'function' == typeof n ? n : function (t) {
                    delete l[t];
                };
            }.call(e, i(12).setImmediate, i(12).clearImmediate));
        },
        function (t, e) {
            function i() {
                c = !1, a.length ? l = a.concat(l) : h = -1, l.length && n();
            }
            function n() {
                if (!c) {
                    var t = setTimeout(i);
                    c = !0;
                    for (var e = l.length; e;) {
                        for (a = l, l = []; ++h < e;)
                            a && a[h].run();
                        h = -1, e = l.length;
                    }
                    a = null, c = !1, clearTimeout(t);
                }
            }
            function o(t, e) {
                this.fun = t, this.array = e;
            }
            function s() {
            }
            var a, r = t.exports = {}, l = [], c = !1, h = -1;
            r.nextTick = function (t) {
                var e = new Array(arguments.length - 1);
                if (arguments.length > 1)
                    for (var i = 1; i < arguments.length; i++)
                        e[i - 1] = arguments[i];
                l.push(new o(t, e)), 1 !== l.length || c || setTimeout(n, 0);
            }, o.prototype.run = function () {
                this.fun.apply(null, this.array);
            }, r.title = 'browser', r.browser = !0, r.env = {}, r.argv = [], r.version = '', r.versions = {}, r.on = s, r.addListener = s, r.once = s, r.off = s, r.removeListener = s, r.removeAllListeners = s, r.emit = s, r.binding = function (t) {
                throw new Error('process.binding is not supported');
            }, r.cwd = function () {
                return '/';
            }, r.chdir = function (t) {
                throw new Error('process.chdir is not supported');
            }, r.umask = function () {
                return 0;
            };
        },
        function (t, e, i) {
            'use strict';
            function n(t, e) {
                this.wrapper = 'string' == typeof t ? document.querySelector(t) : t, this.scroller = this.wrapper.children[0], this.scrollerStyle = this.scroller.style, this.options = {
                    startX: 0,
                    startY: 0,
                    scrollY: !0,
                    directionLockThreshold: 5,
                    momentum: !0,
                    bounce: !0,
                    bounceTime: 600,
                    bounceEasing: '',
                    preventDefault: !0,
                    preventDefaultException: { tagName: /^(INPUT|TEXTAREA|BUTTON|SELECT)$/ },
                    HWCompositing: !0,
                    useTransition: !0,
                    useTransform: !0
                };
                for (var i in e)
                    this.options[i] = e[i];
                this.translateZ = this.options.HWCompositing && a.hasPerspective ? ' translateZ(0)' : '', this.options.useTransition = a.hasTransition && this.options.useTransition, this.options.useTransform = a.hasTransform && this.options.useTransform, this.options.eventPassthrough = this.options.eventPassthrough === !0 ? 'vertical' : this.options.eventPassthrough, this.options.preventDefault = !this.options.eventPassthrough && this.options.preventDefault, this.options.scrollY = 'vertical' == this.options.eventPassthrough ? !1 : this.options.scrollY, this.options.scrollX = 'horizontal' == this.options.eventPassthrough ? !1 : this.options.scrollX, this.options.freeScroll = this.options.freeScroll && !this.options.eventPassthrough, this.options.directionLockThreshold = this.options.eventPassthrough ? 0 : this.options.directionLockThreshold, this.options.bounceEasing = 'string' == typeof this.options.bounceEasing ? a.ease[this.options.bounceEasing] || a.ease.circular : this.options.bounceEasing, this.options.resizePolling = void 0 === this.options.resizePolling ? 60 : this.options.resizePolling, this.options.tap === !0 && (this.options.tap = 'tap'), this.x = 0, this.y = 0, this.directionX = 0, this.directionY = 0, this._events = {}, this._init(), this.refresh(), this.scrollTo(this.options.startX, this.options.startY), this.enable();
            }
            var o = i(2), s = window.requestAnimationFrame || window.webkitRequestAnimationFrame || window.mozRequestAnimationFrame || window.oRequestAnimationFrame || window.msRequestAnimationFrame || function (t) {
                    window.setTimeout(t, 1000 / 60);
                }, a = function () {
                    function t(t) {
                        return n === !1 ? !1 : '' === n ? t : n + t.charAt(0).toUpperCase() + t.substr(1);
                    }
                    var e = {}, i = document.createElement('div').style, n = function () {
                            for (var t, e = [
                                        't',
                                        'webkitT',
                                        'MozT',
                                        'msT',
                                        'OT'
                                    ], n = 0, o = e.length; o > n; n++)
                                if (t = e[n] + 'ransform', t in i)
                                    return e[n].substr(0, e[n].length - 1);
                            return !1;
                        }();
                    e.getTime = Date.now || function () {
                        return new Date().getTime();
                    }, e.extend = function (t, e) {
                        for (var i in e)
                            t[i] = e[i];
                    }, e.addEvent = function (t, e, i, n) {
                        t.addEventListener(e, i, !!n);
                    }, e.removeEvent = function (t, e, i, n) {
                        t.removeEventListener(e, i, !!n);
                    }, e.prefixPointerEvent = function (t) {
                        return window.MSPointerEvent ? 'MSPointer' + t.charAt(9).toUpperCase() + t.substr(10) : t;
                    }, e.momentum = function (t, e, i, n, o, s) {
                        var a, r, l = t - e, c = Math.abs(l) / i;
                        return s = void 0 === s ? 0.0006 : s, a = t + c * c / (2 * s) * (0 > l ? -1 : 1), r = c / s, n > a ? (a = o ? n - o / 2.5 * (c / 8) : n, l = Math.abs(a - t), r = l / c) : a > 0 && (a = o ? o / 2.5 * (c / 8) : 0, l = Math.abs(t) + a, r = l / c), {
                            destination: Math.round(a),
                            duration: r
                        };
                    };
                    var o = t('transform');
                    return e.extend(e, {
                        hasTransform: o !== !1,
                        hasPerspective: t('perspective') in i,
                        hasTouch: 'ontouchstart' in window,
                        hasPointer: window.PointerEvent || window.MSPointerEvent,
                        hasTransition: t('transition') in i
                    }), e.isBadAndroid = /Android /.test(window.navigator.appVersion) && !/Chrome\/\d/.test(window.navigator.appVersion), e.extend(e.style = {}, {
                        transform: o,
                        transitionTimingFunction: t('transitionTimingFunction'),
                        transitionDuration: t('transitionDuration'),
                        transitionDelay: t('transitionDelay'),
                        transformOrigin: t('transformOrigin')
                    }), e.hasClass = function (t, e) {
                        var i = new RegExp('(^|\\s)' + e + '(\\s|$)');
                        return i.test(t.className);
                    }, e.addClass = function (t, i) {
                        if (!e.hasClass(t, i)) {
                            var n = t.className.split(' ');
                            n.push(i), t.className = n.join(' ');
                        }
                    }, e.removeClass = function (t, i) {
                        if (e.hasClass(t, i)) {
                            var n = new RegExp('(^|\\s)' + i + '(\\s|$)', 'g');
                            t.className = t.className.replace(n, ' ');
                        }
                    }, e.offset = function (t) {
                        for (var e = -t.offsetLeft, i = -t.offsetTop; t = t.offsetParent;)
                            e -= t.offsetLeft, i -= t.offsetTop;
                        return {
                            left: e,
                            top: i
                        };
                    }, e.preventDefaultException = function (t, e) {
                        for (var i in e)
                            if (e[i].test(t[i]))
                                return !0;
                        return !1;
                    }, e.extend(e.eventType = {}, {
                        touchstart: 1,
                        touchmove: 1,
                        touchend: 1,
                        mousedown: 2,
                        mousemove: 2,
                        mouseup: 2,
                        pointerdown: 3,
                        pointermove: 3,
                        pointerup: 3,
                        MSPointerDown: 3,
                        MSPointerMove: 3,
                        MSPointerUp: 3
                    }), e.extend(e.ease = {}, {
                        quadratic: {
                            style: 'cubic-bezier(0.25, 0.46, 0.45, 0.94)',
                            fn: function (t) {
                                return t * (2 - t);
                            }
                        },
                        circular: {
                            style: 'cubic-bezier(0.1, 0.57, 0.1, 1)',
                            fn: function (t) {
                                return Math.sqrt(1 - --t * t);
                            }
                        },
                        back: {
                            style: 'cubic-bezier(0.175, 0.885, 0.32, 1.275)',
                            fn: function (t) {
                                var e = 4;
                                return (t -= 1) * t * ((e + 1) * t + e) + 1;
                            }
                        },
                        bounce: {
                            style: '',
                            fn: function (t) {
                                return (t /= 1) < 1 / 2.75 ? 7.5625 * t * t : 2 / 2.75 > t ? 7.5625 * (t -= 1.5 / 2.75) * t + 0.75 : 2.5 / 2.75 > t ? 7.5625 * (t -= 2.25 / 2.75) * t + 0.9375 : 7.5625 * (t -= 2.625 / 2.75) * t + 0.984375;
                            }
                        },
                        elastic: {
                            style: '',
                            fn: function (t) {
                                var e = 0.22, i = 0.4;
                                return 0 === t ? 0 : 1 == t ? 1 : i * Math.pow(2, -10 * t) * Math.sin((t - e / 4) * (2 * Math.PI) / e) + 1;
                            }
                        }
                    }), e.tap = function (t, e) {
                        var i = document.createEvent('Event');
                        i.initEvent(e, !0, !0), i.pageX = t.pageX, i.pageY = t.pageY, t.target.dispatchEvent(i);
                    }, e.click = function (t) {
                        var e, i = t.target;
                        /(SELECT|INPUT|TEXTAREA)/i.test(i.tagName) || (e = document.createEvent('MouseEvents'), e.initMouseEvent('click', !0, !0, t.view, 1, i.screenX, i.screenY, i.clientX, i.clientY, t.ctrlKey, t.altKey, t.shiftKey, t.metaKey, 0, null), e._constructed = !0, i.dispatchEvent(e));
                    }, e;
                }();
            n.prototype = {
                version: '5.1.3',
                _init: function () {
                    this._initEvents();
                },
                destroy: function () {
                    this._initEvents(!0), this._execEvent('destroy');
                },
                _transitionEnd: function (t) {
                    t.target == this.scroller && this.isInTransition && (this._transitionTime(), this.resetPosition(this.options.bounceTime) || (this.isInTransition = !1, this._execEvent('scrollEnd')));
                },
                _start: function (t) {
                    if ((1 == a.eventType[t.type] || 0 === t.button) && this.enabled && (!this.initiated || a.eventType[t.type] === this.initiated)) {
                        !this.options.preventDefault || a.isBadAndroid || a.preventDefaultException(t.target, this.options.preventDefaultException) || t.preventDefault();
                        var e, i = t.touches ? t.touches[0] : t;
                        this.initiated = a.eventType[t.type], this.moved = !1, this.distX = 0, this.distY = 0, this.directionX = 0, this.directionY = 0, this.directionLocked = 0, this._transitionTime(), this.startTime = a.getTime(), this.options.useTransition && this.isInTransition ? (this.isInTransition = !1, e = this.getComputedPosition(), this._translate(Math.round(e.x), Math.round(e.y)), this._execEvent('scrollEnd')) : !this.options.useTransition && this.isAnimating && (this.isAnimating = !1, this._execEvent('scrollEnd')), this.startX = this.x, this.startY = this.y, this.absStartX = this.x, this.absStartY = this.y, this.pointX = i.pageX, this.pointY = i.pageY, this._execEvent('beforeScrollStart');
                    }
                },
                _move: function (t) {
                    if (this.enabled && a.eventType[t.type] === this.initiated) {
                        this.options.preventDefault && t.preventDefault();
                        var e, i, n, o, s = t.touches ? t.touches[0] : t, r = s.pageX - this.pointX, l = s.pageY - this.pointY, c = a.getTime();
                        if (this.pointX = s.pageX, this.pointY = s.pageY, this.distX += r, this.distY += l, n = Math.abs(this.distX), o = Math.abs(this.distY), !(c - this.endTime > 300 && 10 > n && 10 > o)) {
                            if (this.directionLocked || this.options.freeScroll || (n > o + this.options.directionLockThreshold ? this.directionLocked = 'h' : o >= n + this.options.directionLockThreshold ? this.directionLocked = 'v' : this.directionLocked = 'n'), 'h' == this.directionLocked) {
                                if ('vertical' == this.options.eventPassthrough)
                                    t.preventDefault();
                                else if ('horizontal' == this.options.eventPassthrough)
                                    return void (this.initiated = !1);
                                l = 0;
                            } else if ('v' == this.directionLocked) {
                                if ('horizontal' == this.options.eventPassthrough)
                                    t.preventDefault();
                                else if ('vertical' == this.options.eventPassthrough)
                                    return void (this.initiated = !1);
                                r = 0;
                            }
                            r = this.hasHorizontalScroll ? r : 0, l = this.hasVerticalScroll ? l : 0, e = this.x + r, i = this.y + l, (e > 0 || e < this.maxScrollX) && (e = this.options.bounce ? this.x + r / 3 : e > 0 ? 0 : this.maxScrollX), (i > 0 || i < this.maxScrollY) && (i = this.options.bounce ? this.y + l / 3 : i > 0 ? 0 : this.maxScrollY), this.directionX = r > 0 ? -1 : 0 > r ? 1 : 0, this.directionY = l > 0 ? -1 : 0 > l ? 1 : 0, this.moved || this._execEvent('scrollStart'), this.moved = !0, this._translate(e, i), c - this.startTime > 300 && (this.startTime = c, this.startX = this.x, this.startY = this.y);
                        }
                    }
                },
                _end: function (t) {
                    if (this.enabled && a.eventType[t.type] === this.initiated) {
                        this.options.preventDefault && !a.preventDefaultException(t.target, this.options.preventDefaultException) && t.preventDefault();
                        var e, i, n = (t.changedTouches ? t.changedTouches[0] : t, a.getTime() - this.startTime), o = Math.round(this.x), s = Math.round(this.y), r = Math.abs(o - this.startX), l = Math.abs(s - this.startY), c = 0, h = '';
                        if (this.isInTransition = 0, this.initiated = 0, this.endTime = a.getTime(), !this.resetPosition(this.options.bounceTime))
                            return this.scrollTo(o, s), this.moved ? this._events.flick && 200 > n && 100 > r && 100 > l ? void this._execEvent('flick') : (this.options.momentum && 300 > n && (e = this.hasHorizontalScroll ? a.momentum(this.x, this.startX, n, this.maxScrollX, this.options.bounce ? this.wrapperWidth : 0, this.options.deceleration) : {
                                destination: o,
                                duration: 0
                            }, i = this.hasVerticalScroll ? a.momentum(this.y, this.startY, n, this.maxScrollY, this.options.bounce ? this.wrapperHeight : 0, this.options.deceleration) : {
                                destination: s,
                                duration: 0
                            }, o = e.destination, s = i.destination, c = Math.max(e.duration, i.duration), this.isInTransition = 1), o != this.x || s != this.y ? ((o > 0 || o < this.maxScrollX || s > 0 || s < this.maxScrollY) && (h = a.ease.quadratic), void this.scrollTo(o, s, c, h)) : void this._execEvent('scrollEnd')) : (this.options.tap && a.tap(t, this.options.tap), this.options.click && a.click(t), void this._execEvent('scrollCancel'));
                    }
                },
                _resize: function () {
                    var t = this;
                    clearTimeout(this.resizeTimeout), this.resizeTimeout = setTimeout(function () {
                        t.refresh();
                    }, this.options.resizePolling);
                },
                resetPosition: function (t) {
                    var e = this.x, i = this.y;
                    return t = t || 0, !this.hasHorizontalScroll || this.x > 0 ? e = 0 : this.x < this.maxScrollX && (e = this.maxScrollX), !this.hasVerticalScroll || this.y > 0 ? i = 0 : this.y < this.maxScrollY && (i = this.maxScrollY), e == this.x && i == this.y ? !1 : (this.scrollTo(e, i, t, this.options.bounceEasing), !0);
                },
                disable: function () {
                    this.enabled = !1;
                },
                enable: function () {
                    this.enabled = !0;
                },
                refresh: function () {
                    this.wrapper.offsetHeight;
                    this.wrapperWidth = this.wrapper.clientWidth, this.wrapperHeight = this.wrapper.clientHeight, this.scrollerWidth = this.scroller.offsetWidth, this.scrollerHeight = this.scroller.offsetHeight, this.maxScrollX = this.wrapperWidth - this.scrollerWidth, this.maxScrollY = this.wrapperHeight - this.scrollerHeight, this.hasHorizontalScroll = this.options.scrollX && this.maxScrollX < 0, this.hasVerticalScroll = this.options.scrollY && this.maxScrollY < 0, this.hasHorizontalScroll || (this.maxScrollX = 0, this.scrollerWidth = this.wrapperWidth), this.hasVerticalScroll || (this.maxScrollY = 0, this.scrollerHeight = this.wrapperHeight), this.endTime = 0, this.directionX = 0, this.directionY = 0, this.wrapperOffset = a.offset(this.wrapper), this._execEvent('refresh'), this.resetPosition();
                },
                on: function (t, e) {
                    this._events[t] || (this._events[t] = []), this._events[t].push(e);
                },
                off: function (t, e) {
                    if (this._events[t]) {
                        var i = this._events[t].indexOf(e);
                        i > -1 && this._events[t].splice(i, 1);
                    }
                },
                _execEvent: function (t) {
                    if (this._events[t]) {
                        var e = 0, i = this._events[t].length;
                        if (i)
                            for (; i > e; e++)
                                this._events[t][e].apply(this, [].slice.call(arguments, 1));
                    }
                },
                scrollBy: function (t, e, i, n) {
                    t = this.x + t, e = this.y + e, i = i || 0, this.scrollTo(t, e, i, n);
                },
                scrollTo: function (t, e, i, n) {
                    n = n || a.ease.circular, this.isInTransition = this.options.useTransition && i > 0, !i || this.options.useTransition && n.style ? (this._transitionTimingFunction(n.style), this._transitionTime(i), this._translate(t, e)) : this._animate(t, e, i, n.fn);
                },
                scrollToElement: function (t, e, i, n, o) {
                    if (t = t.nodeType ? t : this.scroller.querySelector(t)) {
                        var s = a.offset(t);
                        s.left -= this.wrapperOffset.left, s.top -= this.wrapperOffset.top, i === !0 && (i = Math.round(t.offsetWidth / 2 - this.wrapper.offsetWidth / 2)), n === !0 && (n = Math.round(t.offsetHeight / 2 - this.wrapper.offsetHeight / 2)), s.left -= i || 0, s.top -= n || 0, s.left = s.left > 0 ? 0 : s.left < this.maxScrollX ? this.maxScrollX : s.left, s.top = s.top > 0 ? 0 : s.top < this.maxScrollY ? this.maxScrollY : s.top, e = void 0 === e || null === e || 'auto' === e ? Math.max(Math.abs(this.x - s.left), Math.abs(this.y - s.top)) : e, this.scrollTo(s.left, s.top, e, o);
                    }
                },
                _transitionTime: function (t) {
                    t = t || 0, this.scrollerStyle[a.style.transitionDuration] = t + 'ms', !t && a.isBadAndroid && (this.scrollerStyle[a.style.transitionDuration] = '0.001s');
                },
                _transitionTimingFunction: function (t) {
                    this.scrollerStyle[a.style.transitionTimingFunction] = t;
                },
                _translate: function (t, e) {
                    this.options.useTransform ? this.scrollerStyle[a.style.transform] = 'translate(' + t + 'px,' + e + 'px)' + this.translateZ : (t = Math.round(t), e = Math.round(e), this.scrollerStyle.left = t + 'px', this.scrollerStyle.top = e + 'px'), this.x = t, this.y = e;
                },
                _initEvents: function (t) {
                    var e = t ? a.removeEvent : a.addEvent, i = this.options.bindToWrapper ? this.wrapper : window;
                    e(window, 'orientationchange', this), e(window, 'resize', this), this.options.click && e(this.wrapper, 'click', this, !0), this.options.disableMouse || (e(this.wrapper, 'mousedown', this), e(i, 'mousemove', this), e(i, 'mousecancel', this), e(i, 'mouseup', this)), a.hasPointer && !this.options.disablePointer && (e(this.wrapper, a.prefixPointerEvent('pointerdown'), this), e(i, a.prefixPointerEvent('pointermove'), this), e(i, a.prefixPointerEvent('pointercancel'), this), e(i, a.prefixPointerEvent('pointerup'), this)), a.hasTouch && !this.options.disableTouch && (e(this.wrapper, 'touchstart', this), e(i, 'touchmove', this), e(i, 'touchcancel', this), e(i, 'touchend', this)), e(this.scroller, 'transitionend', this), e(this.scroller, 'webkitTransitionEnd', this), e(this.scroller, 'oTransitionEnd', this), e(this.scroller, 'MSTransitionEnd', this);
                },
                getComputedPosition: function () {
                    var t, e, i = window.getComputedStyle(this.scroller, null);
                    return this.options.useTransform ? (i = i[a.style.transform].split(')')[0].split(', '), t = +(i[12] || i[4]), e = +(i[13] || i[5])) : (t = +i.left.replace(/[^-\d.]/g, ''), e = +i.top.replace(/[^-\d.]/g, '')), {
                        x: t,
                        y: e
                    };
                },
                _animate: function (t, e, i, n) {
                    function o() {
                        var d, p, m, f = a.getTime();
                        return f >= u ? (r.isAnimating = !1, r._translate(t, e), void (r.resetPosition(r.options.bounceTime) || r._execEvent('scrollEnd'))) : (f = (f - h) / i, m = n(f), d = (t - l) * m + l, p = (e - c) * m + c, r._translate(d, p), void (r.isAnimating && s(o)));
                    }
                    var r = this, l = this.x, c = this.y, h = a.getTime(), u = h + i;
                    this.isAnimating = !0, o();
                },
                handleEvent: function (t) {
                    switch (t.type) {
                    case 'touchstart':
                    case 'pointerdown':
                    case 'MSPointerDown':
                    case 'mousedown':
                        this._start(t);
                        break;
                    case 'touchmove':
                    case 'pointermove':
                    case 'MSPointerMove':
                    case 'mousemove':
                        this._move(t);
                        break;
                    case 'touchend':
                    case 'pointerup':
                    case 'MSPointerUp':
                    case 'mouseup':
                    case 'touchcancel':
                    case 'pointercancel':
                    case 'MSPointerCancel':
                    case 'mousecancel':
                        this._end(t);
                        break;
                    case 'orientationchange':
                    case 'resize':
                        this._resize();
                        break;
                    case 'transitionend':
                    case 'webkitTransitionEnd':
                    case 'oTransitionEnd':
                    case 'MSTransitionEnd':
                        this._transitionEnd(t);
                        break;
                    case 'wheel':
                    case 'DOMMouseScroll':
                    case 'mousewheel':
                        this._wheel(t);
                        break;
                    case 'keydown':
                        this._key(t);
                        break;
                    case 'click':
                        t._constructed || (t.preventDefault(), t.stopPropagation());
                    }
                }
            }, n.utils = a, t.exports = o.iScroll = n;
        },
        function (t, e, i) {
            'use strict';
            function n(t, e) {
                return this.each(function () {
                    var i = o(this), n = i.data('amui.modal'), s = 'object' == typeof t && t;
                    n || i.data('amui.modal', n = new c(this, s)), 'string' == typeof t ? n[t] && n[t](e) : n.toggle(t && t.relatedTarget || void 0);
                });
            }
            var o = i(1), s = i(2), a = i(9), r = o(document), l = s.support.transition, c = function (t, e) {
                    this.options = o.extend({}, c.DEFAULTS, e || {}), this.$element = o(t), this.$dialog = this.$element.find('.am-modal-dialog'), this.$element.attr('id') || this.$element.attr('id', s.utils.generateGUID('am-modal')), this.isPopup = this.$element.hasClass('am-popup'), this.isActions = this.$element.hasClass('am-modal-actions'), this.isPrompt = this.$element.hasClass('am-modal-prompt'), this.isLoading = this.$element.hasClass('am-modal-loading'), this.active = this.transitioning = this.relatedTarget = null, this.dimmer = this.options.dimmer ? a : {
                        open: function () {
                        },
                        close: function () {
                        }
                    }, this.events();
                };
            c.DEFAULTS = {
                className: {
                    active: 'am-modal-active',
                    out: 'am-modal-out'
                },
                selector: {
                    modal: '.am-modal',
                    active: '.am-modal-active'
                },
                closeViaDimmer: !0,
                cancelable: !0,
                onConfirm: function () {
                },
                onCancel: function () {
                },
                closeOnCancel: !0,
                closeOnConfirm: !0,
                dimmer: !0,
                height: void 0,
                width: void 0,
                duration: 300,
                transitionEnd: l && l.end + '.modal.amui'
            }, c.prototype.toggle = function (t) {
                return this.active ? this.close() : this.open(t);
            }, c.prototype.open = function (t) {
                var e = this.$element, i = this.options, n = this.isPopup, s = i.width, a = i.height, r = {};
                if (!this.active && this.$element.length) {
                    t && (this.relatedTarget = t), this.transitioning && (clearTimeout(e.transitionEndTimmer), e.transitionEndTimmer = null, e.trigger(i.transitionEnd).off(i.transitionEnd)), n && this.$element.show(), this.active = !0, e.trigger(o.Event('open.modal.amui', { relatedTarget: t })), this.dimmer.open(e), e.show().redraw(), n || this.isActions || (s && (r.width = parseInt(s, 10) + 'px'), a && (r.height = parseInt(a, 10) + 'px'), this.$dialog.css(r)), e.removeClass(i.className.out).addClass(i.className.active), this.transitioning = 1;
                    var c = function () {
                        e.trigger(o.Event('opened.modal.amui', { relatedTarget: t })), this.transitioning = 0, this.isPrompt && this.$dialog.find('input').eq(0).focus();
                    };
                    return l ? void e.one(i.transitionEnd, o.proxy(c, this)).emulateTransitionEnd(i.duration) : c.call(this);
                }
            }, c.prototype.close = function (t) {
                if (this.active) {
                    var e = this.$element, i = this.options, n = this.isPopup;
                    this.transitioning && (clearTimeout(e.transitionEndTimmer), e.transitionEndTimmer = null, e.trigger(i.transitionEnd).off(i.transitionEnd), this.dimmer.close(e, !0)), this.$element.trigger(o.Event('close.modal.amui', { relatedTarget: t })), this.transitioning = 1;
                    var s = function () {
                        e.trigger('closed.modal.amui'), n && e.removeClass(i.className.out), e.hide(), this.transitioning = 0, this.dimmer.close(e, !1), this.active = !1;
                    };
                    return e.removeClass(i.className.active).addClass(i.className.out), l ? void e.one(i.transitionEnd, o.proxy(s, this)).emulateTransitionEnd(i.duration) : s.call(this);
                }
            }, c.prototype.events = function () {
                var t = this.options, e = this, i = this.$element, n = i.find('.am-modal-prompt-input'), s = i.find('[data-am-modal-confirm]'), a = i.find('[data-am-modal-cancel]'), r = function () {
                        var t = [];
                        return n.each(function () {
                            t.push(o(this).val());
                        }), 0 === t.length ? void 0 : 1 === t.length ? t[0] : t;
                    };
                this.options.cancelable && i.on('keyup.modal.amui', function (t) {
                    e.active && 27 === t.which && (i.trigger('cancel.modal.amui'), e.close());
                }), this.options.dimmer && this.options.closeViaDimmer && !this.isLoading && this.dimmer.$element.on('click.dimmer.modal.amui', function (t) {
                    e.close();
                }), i.on('click.close.modal.amui', '[data-am-modal-close], .am-modal-btn', function (i) {
                    i.preventDefault();
                    var n = o(this);
                    n.is(s) ? t.closeOnConfirm && e.close() : n.is(a) ? t.closeOnCancel && e.close() : e.close();
                }), s.on('click.confirm.modal.amui', function () {
                    i.trigger(o.Event('confirm.modal.amui', { trigger: this }));
                }), a.on('click.cancel.modal.amui', function () {
                    i.trigger(o.Event('cancel.modal.amui', { trigger: this }));
                }), i.on('confirm.modal.amui', function (t) {
                    t.data = r(), e.options.onConfirm.call(e, t);
                }).on('cancel.modal.amui', function (t) {
                    t.data = r(), e.options.onCancel.call(e, t);
                });
            }, o.fn.modal = n, r.on('click.modal.amui.data-api', '[data-am-modal]', function () {
                var t = o(this), e = s.utils.parseOptions(t.attr('data-am-modal')), i = o(e.target || this.href && this.href.replace(/.*(?=#[^\s]+$)/, '')), a = i.data('amui.modal') ? 'toggle' : e;
                n.call(i, a, this);
            }), t.exports = s.modal = c;
        },
        function (t, e, i) {
            'use strict';
            function n(t, e) {
                var i = Array.prototype.slice.call(arguments, 1);
                return this.each(function () {
                    var n = o(this), s = n.data('amui.offcanvas'), a = o.extend({}, 'object' == typeof t && t);
                    s || (n.data('amui.offcanvas', s = new c(this, a)), (!t || 'object' == typeof t) && s.open(e)), 'string' == typeof t && s[t] && s[t].apply(s, i);
                });
            }
            var o = i(1), s = i(2);
            i(3);
            var a, r = o(window), l = o(document), c = function (t, e) {
                    this.$element = o(t), this.options = o.extend({}, c.DEFAULTS, e), this.active = null, this.bindEvents();
                };
            c.DEFAULTS = {
                duration: 300,
                effect: 'overlay'
            }, c.prototype.open = function (t) {
                var e = this, i = this.$element;
                if (i.length && !i.hasClass('am-active')) {
                    var n = this.options.effect, s = o('html'), l = o('body'), c = i.find('.am-offcanvas-bar').first(), h = c.hasClass('am-offcanvas-bar-flip') ? -1 : 1;
                    c.addClass('am-offcanvas-bar-' + n), a = {
                        x: window.scrollX,
                        y: window.scrollY
                    }, i.addClass('am-active'), l.css({
                        width: window.innerWidth,
                        height: r.height()
                    }).addClass('am-offcanvas-page'), 'overlay' !== n && l.css({ 'margin-left': c.outerWidth() * h }).width(), s.css('margin-top', -1 * a.y), setTimeout(function () {
                        c.addClass('am-offcanvas-bar-active').width();
                    }, 0), i.trigger('open.offcanvas.amui'), this.active = 1, i.on('click.offcanvas.amui', function (t) {
                        var i = o(t.target);
                        i.hasClass('am-offcanvas-bar') || i.parents('.am-offcanvas-bar').first().length || (t.stopImmediatePropagation(), e.close());
                    }), s.on('keydown.offcanvas.amui', function (t) {
                        27 === t.keyCode && e.close();
                    });
                }
            }, c.prototype.close = function (t) {
                function e() {
                    r.removeClass('am-offcanvas-page').css({
                        width: '',
                        height: '',
                        'margin-left': '',
                        'margin-right': ''
                    }), l.removeClass('am-active'), c.removeClass('am-offcanvas-bar-active'), n.css('margin-top', ''), window.scrollTo(a.x, a.y), l.trigger('closed.offcanvas.amui'), i.active = 0;
                }
                var i = this, n = o('html'), r = o('body'), l = this.$element, c = l.find('.am-offcanvas-bar').first();
                l.length && this.active && l.hasClass('am-active') && (l.trigger('close.offcanvas.amui'), s.support.transition ? (setTimeout(function () {
                    c.removeClass('am-offcanvas-bar-active');
                }, 0), r.css('margin-left', '').one(s.support.transition.end, function () {
                    e();
                }).emulateTransitionEnd(this.options.duration)) : e(), l.off('click.offcanvas.amui'), n.off('.offcanvas.amui'));
            }, c.prototype.bindEvents = function () {
                var t = this;
                return l.on('click.offcanvas.amui', '[data-am-dismiss="offcanvas"]', function (e) {
                    e.preventDefault(), t.close();
                }), r.on('resize.offcanvas.amui orientationchange.offcanvas.amui', function () {
                    t.active && t.close();
                }), this.$element.hammer().on('swipeleft swipeleft', function (e) {
                    e.preventDefault(), t.close();
                }), this;
            }, o.fn.offCanvas = n, l.on('click.offcanvas.amui', '[data-am-offcanvas]', function (t) {
                t.preventDefault();
                var e = o(this), i = s.utils.parseOptions(e.data('amOffcanvas')), a = o(i.target || this.href && this.href.replace(/.*(?=#[^\s]+$)/, '')), r = a.data('amui.offcanvas') ? 'open' : i;
                n.call(a, r, this);
            }), t.exports = s.offcanvas = c;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = function (t) {
                    var e = function (e, i) {
                            this.el = t(e), this.zoomFactor = 1, this.lastScale = 1, this.offset = {
                                x: 0,
                                y: 0
                            }, this.options = t.extend({}, this.defaults, i), this.setupMarkup(), this.bindEvents(), this.update(), this.enable();
                        }, i = function (t, e) {
                            return t + e;
                        }, n = function (t, e) {
                            return t > e - 0.01 && e + 0.01 > t;
                        };
                    e.prototype = {
                        defaults: {
                            tapZoomFactor: 2,
                            zoomOutFactor: 1.3,
                            animationDuration: 300,
                            animationInterval: 5,
                            maxZoom: 5,
                            minZoom: 0.5,
                            lockDragAxis: !1,
                            use2d: !1,
                            zoomStartEventName: 'pz_zoomstart',
                            zoomEndEventName: 'pz_zoomend',
                            dragStartEventName: 'pz_dragstart',
                            dragEndEventName: 'pz_dragend',
                            doubleTapEventName: 'pz_doubletap'
                        },
                        handleDragStart: function (t) {
                            this.el.trigger(this.options.dragStartEventName), this.stopAnimation(), this.lastDragPosition = !1, this.hasInteraction = !0, this.handleDrag(t);
                        },
                        handleDrag: function (t) {
                            if (this.zoomFactor > 1) {
                                var e = this.getTouches(t)[0];
                                this.drag(e, this.lastDragPosition), this.offset = this.sanitizeOffset(this.offset), this.lastDragPosition = e;
                            }
                        },
                        handleDragEnd: function () {
                            this.el.trigger(this.options.dragEndEventName), this.end();
                        },
                        handleZoomStart: function (t) {
                            this.el.trigger(this.options.zoomStartEventName), this.stopAnimation(), this.lastScale = 1, this.nthZoom = 0, this.lastZoomCenter = !1, this.hasInteraction = !0;
                        },
                        handleZoom: function (t, e) {
                            var i = this.getTouchCenter(this.getTouches(t)), n = e / this.lastScale;
                            this.lastScale = e, this.nthZoom += 1, this.nthZoom > 3 && (this.scale(n, i), this.drag(i, this.lastZoomCenter)), this.lastZoomCenter = i;
                        },
                        handleZoomEnd: function () {
                            this.el.trigger(this.options.zoomEndEventName), this.end();
                        },
                        handleDoubleTap: function (t) {
                            var e = this.getTouches(t)[0], i = this.zoomFactor > 1 ? 1 : this.options.tapZoomFactor, n = this.zoomFactor, o = function (t) {
                                    this.scaleTo(n + t * (i - n), e);
                                }.bind(this);
                            this.hasInteraction || (n > i && (e = this.getCurrentZoomCenter()), this.animate(this.options.animationDuration, this.options.animationInterval, o, this.swing), this.el.trigger(this.options.doubleTapEventName));
                        },
                        sanitizeOffset: function (t) {
                            var e = (this.zoomFactor - 1) * this.getContainerX(), i = (this.zoomFactor - 1) * this.getContainerY(), n = Math.max(e, 0), o = Math.max(i, 0), s = Math.min(e, 0), a = Math.min(i, 0);
                            return {
                                x: Math.min(Math.max(t.x, s), n),
                                y: Math.min(Math.max(t.y, a), o)
                            };
                        },
                        scaleTo: function (t, e) {
                            this.scale(t / this.zoomFactor, e);
                        },
                        scale: function (t, e) {
                            t = this.scaleZoomFactor(t), this.addOffset({
                                x: (t - 1) * (e.x + this.offset.x),
                                y: (t - 1) * (e.y + this.offset.y)
                            });
                        },
                        scaleZoomFactor: function (t) {
                            var e = this.zoomFactor;
                            return this.zoomFactor *= t, this.zoomFactor = Math.min(this.options.maxZoom, Math.max(this.zoomFactor, this.options.minZoom)), this.zoomFactor / e;
                        },
                        drag: function (t, e) {
                            e && (this.options.lockDragAxis ? Math.abs(t.x - e.x) > Math.abs(t.y - e.y) ? this.addOffset({
                                x: -(t.x - e.x),
                                y: 0
                            }) : this.addOffset({
                                y: -(t.y - e.y),
                                x: 0
                            }) : this.addOffset({
                                y: -(t.y - e.y),
                                x: -(t.x - e.x)
                            }));
                        },
                        getTouchCenter: function (t) {
                            return this.getVectorAvg(t);
                        },
                        getVectorAvg: function (t) {
                            return {
                                x: t.map(function (t) {
                                    return t.x;
                                }).reduce(i) / t.length,
                                y: t.map(function (t) {
                                    return t.y;
                                }).reduce(i) / t.length
                            };
                        },
                        addOffset: function (t) {
                            this.offset = {
                                x: this.offset.x + t.x,
                                y: this.offset.y + t.y
                            };
                        },
                        sanitize: function () {
                            this.zoomFactor < this.options.zoomOutFactor ? this.zoomOutAnimation() : this.isInsaneOffset(this.offset) && this.sanitizeOffsetAnimation();
                        },
                        isInsaneOffset: function (t) {
                            var e = this.sanitizeOffset(t);
                            return e.x !== t.x || e.y !== t.y;
                        },
                        sanitizeOffsetAnimation: function () {
                            var t = this.sanitizeOffset(this.offset), e = {
                                    x: this.offset.x,
                                    y: this.offset.y
                                }, i = function (i) {
                                    this.offset.x = e.x + i * (t.x - e.x), this.offset.y = e.y + i * (t.y - e.y), this.update();
                                }.bind(this);
                            this.animate(this.options.animationDuration, this.options.animationInterval, i, this.swing);
                        },
                        zoomOutAnimation: function () {
                            var t = this.zoomFactor, e = 1, i = this.getCurrentZoomCenter(), n = function (n) {
                                    this.scaleTo(t + n * (e - t), i);
                                }.bind(this);
                            this.animate(this.options.animationDuration, this.options.animationInterval, n, this.swing);
                        },
                        updateAspectRatio: function () {
                            this.setContainerY();
                        },
                        getInitialZoomFactor: function () {
                            return this.container[0].offsetWidth / this.el[0].offsetWidth;
                        },
                        getAspectRatio: function () {
                            return this.el[0].offsetWidth / this.el[0].offsetHeight;
                        },
                        getCurrentZoomCenter: function () {
                            var t = this.container[0].offsetWidth * this.zoomFactor, e = this.offset.x, i = t - e - this.container[0].offsetWidth, n = e / i, o = n * this.container[0].offsetWidth / (n + 1), s = this.container[0].offsetHeight * this.zoomFactor, a = this.offset.y, r = s - a - this.container[0].offsetHeight, l = a / r, c = l * this.container[0].offsetHeight / (l + 1);
                            return 0 === i && (o = this.container[0].offsetWidth), 0 === r && (c = this.container[0].offsetHeight), {
                                x: o,
                                y: c
                            };
                        },
                        canDrag: function () {
                            return !n(this.zoomFactor, 1);
                        },
                        getTouches: function (t) {
                            var e = this.container.offset();
                            return Array.prototype.slice.call(t.touches).map(function (t) {
                                return {
                                    x: t.pageX - e.left,
                                    y: t.pageY - e.top
                                };
                            });
                        },
                        animate: function (t, e, i, n, o) {
                            var s = new Date().getTime(), a = function () {
                                    if (this.inAnimation) {
                                        var r = new Date().getTime() - s, l = r / t;
                                        r >= t ? (i(1), o && o(), this.update(), this.stopAnimation(), this.update()) : (n && (l = n(l)), i(l), this.update(), setTimeout(a, e));
                                    }
                                }.bind(this);
                            this.inAnimation = !0, a();
                        },
                        stopAnimation: function () {
                            this.inAnimation = !1;
                        },
                        swing: function (t) {
                            return -Math.cos(t * Math.PI) / 2 + 0.5;
                        },
                        getContainerX: function () {
                            return window.innerWidth;
                        },
                        getContainerY: function () {
                            return window.innerHeight;
                        },
                        setContainerY: function (t) {
                            var e = window.innerHeight;
                            return this.el.css({ height: e }), this.container.height(e);
                        },
                        setupMarkup: function () {
                            this.container = t('<div class="pinch-zoom-container"></div>'), this.el.before(this.container), this.container.append(this.el), this.container.css({
                                overflow: 'hidden',
                                position: 'relative'
                            }), this.el.css({
                                '-webkit-transform-origin': '0% 0%',
                                '-moz-transform-origin': '0% 0%',
                                '-ms-transform-origin': '0% 0%',
                                '-o-transform-origin': '0% 0%',
                                'transform-origin': '0% 0%',
                                position: 'absolute'
                            });
                        },
                        end: function () {
                            this.hasInteraction = !1, this.sanitize(), this.update();
                        },
                        bindEvents: function () {
                            o(this.container.get(0), this), t(window).on('resize', this.update.bind(this)), t(this.el).find('img').on('load', this.update.bind(this));
                        },
                        update: function () {
                            this.updatePlaned || (this.updatePlaned = !0, setTimeout(function () {
                                this.updatePlaned = !1, this.updateAspectRatio();
                                var t = this.getInitialZoomFactor() * this.zoomFactor, e = -this.offset.x / t, i = -this.offset.y / t, n = 'scale3d(' + t + ', ' + t + ',1) translate3d(' + e + 'px,' + i + 'px,0px)', o = 'scale(' + t + ', ' + t + ') translate(' + e + 'px,' + i + 'px)', s = function () {
                                        this.clone && (this.clone.remove(), delete this.clone);
                                    }.bind(this);
                                !this.options.use2d || this.hasInteraction || this.inAnimation ? (this.is3d = !0, s(), this.el.css({
                                    '-webkit-transform': n,
                                    '-o-transform': o,
                                    '-ms-transform': o,
                                    '-moz-transform': o,
                                    transform: n
                                })) : (this.is3d && (this.clone = this.el.clone(), this.clone.css('pointer-events', 'none'), this.clone.appendTo(this.container), setTimeout(s, 200)), this.el.css({
                                    '-webkit-transform': o,
                                    '-o-transform': o,
                                    '-ms-transform': o,
                                    '-moz-transform': o,
                                    transform: o
                                }), this.is3d = !1);
                            }.bind(this), 0));
                        },
                        enable: function () {
                            this.enabled = !0;
                        },
                        disable: function () {
                            this.enabled = !1;
                        }
                    };
                    var o = function (t, e) {
                        var i = null, n = 0, o = null, s = null, a = function (t, n) {
                                if (i !== t) {
                                    if (i && !t)
                                        switch (i) {
                                        case 'zoom':
                                            e.handleZoomEnd(n);
                                            break;
                                        case 'drag':
                                            e.handleDragEnd(n);
                                        }
                                    switch (t) {
                                    case 'zoom':
                                        e.handleZoomStart(n);
                                        break;
                                    case 'drag':
                                        e.handleDragStart(n);
                                    }
                                }
                                i = t;
                            }, r = function (t) {
                                2 === n ? a('zoom') : 1 === n && e.canDrag() ? a('drag', t) : a(null, t);
                            }, l = function (t) {
                                return Array.prototype.slice.call(t).map(function (t) {
                                    return {
                                        x: t.pageX,
                                        y: t.pageY
                                    };
                                });
                            }, c = function (t, e) {
                                var i, n;
                                return i = t.x - e.x, n = t.y - e.y, Math.sqrt(i * i + n * n);
                            }, h = function (t, e) {
                                var i = c(t[0], t[1]), n = c(e[0], e[1]);
                                return n / i;
                            }, u = function (t) {
                                t.stopPropagation(), t.preventDefault();
                            }, d = function (t) {
                                var s = new Date().getTime();
                                if (n > 1 && (o = null), 300 > s - o)
                                    switch (u(t), e.handleDoubleTap(t), i) {
                                    case 'zoom':
                                        e.handleZoomEnd(t);
                                        break;
                                    case 'drag':
                                        e.handleDragEnd(t);
                                    }
                                1 === n && (o = s);
                            }, p = !0;
                        t.addEventListener('touchstart', function (t) {
                            e.enabled && (p = !0, n = t.touches.length, d(t));
                        }), t.addEventListener('touchmove', function (t) {
                            if (e.enabled) {
                                if (p)
                                    r(t), i && u(t), s = l(t.touches);
                                else {
                                    switch (i) {
                                    case 'zoom':
                                        e.handleZoom(t, h(s, l(t.touches)));
                                        break;
                                    case 'drag':
                                        e.handleDrag(t);
                                    }
                                    i && (u(t), e.update());
                                }
                                p = !1;
                            }
                        }), t.addEventListener('touchend', function (t) {
                            e.enabled && (n = t.touches.length, r(t));
                        });
                    };
                    return e;
                };
            t.exports = o.pichzoom = s(n);
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = n(window), a = function (t, e) {
                    this.options = n.extend({}, a.DEFAULTS, e), this.$element = n(t), this.active = null, this.$popover = this.options.target && n(this.options.target) || null, this.init(), this._bindEvents();
                };
            a.DEFAULTS = {
                theme: null,
                trigger: 'click',
                content: '',
                open: !1,
                target: null,
                tpl: '<div class="am-popover"><div class="am-popover-inner"></div><div class="am-popover-caret"></div></div>'
            }, a.prototype.init = function () {
                function t() {
                    i.sizePopover();
                }
                var e, i = this, s = this.$element;
                this.options.target || (this.$popover = this.getPopover(), this.setContent()), e = this.$popover, e.appendTo(n('body')), this.sizePopover(), s.on('open.popover.amui', function () {
                    n(window).on('resize.popover.amui', o.utils.debounce(t, 50));
                }), s.on('close.popover.amui', function () {
                    n(window).off('resize.popover.amui', t);
                }), this.options.open && this.open();
            }, a.prototype.sizePopover = function () {
                var t = this.$element, e = this.$popover;
                if (e && e.length) {
                    var i = e.outerWidth(), n = e.outerHeight(), o = e.find('.am-popover-caret'), a = o.outerWidth() / 2 || 8, r = n + 8, l = t.outerWidth(), c = t.outerHeight(), h = t.offset(), u = t[0].getBoundingClientRect(), d = s.height(), p = s.width(), m = 0, f = 0, v = 0, g = 2, w = 'top';
                    e.css({
                        left: '',
                        top: ''
                    }).removeClass('am-popover-left am-popover-right am-popover-top am-popover-bottom'), r - g < u.top + g ? m = h.top - r - g : r < d - u.top - u.height ? (w = 'bottom', m = h.top + c + a + g) : (w = 'middle', m = c / 2 + h.top - n / 2), 'top' === w || 'bottom' === w ? (f = l / 2 + h.left - i / 2, v = f, 5 > f && (f = 5), f + i > p && (f = p - i - 20), 'top' === w && e.addClass('am-popover-top'), 'bottom' === w && e.addClass('am-popover-bottom'), v -= f) : 'middle' === w && (f = h.left - i - a, e.addClass('am-popover-left'), 5 > f && (f = h.left + l + a, e.removeClass('am-popover-left').addClass('am-popover-right')), f + i > p && (f = p - i - 5, e.removeClass('am-popover-left').addClass('am-popover-right'))), e.css({
                        top: m + 'px',
                        left: f + 'px'
                    });
                }
            }, a.prototype.toggle = function () {
                return this[this.active ? 'close' : 'open']();
            }, a.prototype.open = function () {
                var t = this.$popover;
                this.$element.trigger('open.popover.amui'), this.sizePopover(), t.show().addClass('am-active'), this.active = !0;
            }, a.prototype.close = function () {
                var t = this.$popover;
                this.$element.trigger('close.popover.amui'), t.removeClass('am-active').trigger('closed.popover.amui').hide(), this.active = !1;
            }, a.prototype.getPopover = function () {
                var t = o.utils.generateGUID('am-popover'), e = [];
                return this.options.theme && n.each(this.options.theme.split(' '), function (t, i) {
                    e.push('am-popover-' + n.trim(i));
                }), n(this.options.tpl).attr('id', t).addClass(e.join(' '));
            }, a.prototype.setContent = function (t) {
                t = t || this.options.content, this.$popover && this.$popover.find('.am-popover-inner').empty().html(t);
            }, a.prototype._bindEvents = function () {
                for (var t = 'popover.amui', e = this.options.trigger.split(' '), i = e.length; i--;) {
                    var o = e[i];
                    if ('click' === o)
                        this.$element.on('click.' + t, n.proxy(this.toggle, this));
                    else {
                        var s = 'hover' == o ? 'mouseenter' : 'focusin', a = 'hover' == o ? 'mouseleave' : 'focusout';
                        this.$element.on(s + '.' + t, n.proxy(this.open, this)), this.$element.on(a + '.' + t, n.proxy(this.close, this));
                    }
                }
            }, a.prototype.destroy = function () {
                this.$element.off('.popover.amui').removeData('amui.popover'), this.$popover.remove();
            }, o.plugin('popover', a), o.ready(function (t) {
                n('[data-am-popover]', t).popover();
            }), t.exports = a;
        },
        function (t, e, i) {
            'use strict';
            var n = i(2), o = function () {
                    function t(t, e, i) {
                        return e > t ? e : t > i ? i : t;
                    }
                    function e(t) {
                        return 100 * (-1 + t);
                    }
                    function i(t, i, n) {
                        var o;
                        return o = 'translate3d' === c.positionUsing ? { transform: 'translate3d(' + e(t) + '%,0,0)' } : 'translate' === c.positionUsing ? { transform: 'translate(' + e(t) + '%,0)' } : { 'margin-left': e(t) + '%' }, o.transition = 'all ' + i + 'ms ' + n, o;
                    }
                    function n(t, e) {
                        var i = 'string' == typeof t ? t : a(t);
                        return i.indexOf(' ' + e + ' ') >= 0;
                    }
                    function o(t, e) {
                        var i = a(t), o = i + e;
                        n(i, e) || (t.className = o.substring(1));
                    }
                    function s(t, e) {
                        var i, o = a(t);
                        n(t, e) && (i = o.replace(' ' + e + ' ', ' '), t.className = i.substring(1, i.length - 1));
                    }
                    function a(t) {
                        return (' ' + (t.className || '') + ' ').replace(/\s+/gi, ' ');
                    }
                    function r(t) {
                        t && t.parentNode && t.parentNode.removeChild(t);
                    }
                    var l = {};
                    l.version = '0.2.0';
                    var c = l.settings = {
                        minimum: 0.08,
                        easing: 'ease',
                        positionUsing: '',
                        speed: 200,
                        trickle: !0,
                        trickleRate: 0.02,
                        trickleSpeed: 800,
                        showSpinner: !0,
                        parent: 'body',
                        barSelector: '[role="nprogress-bar"]',
                        spinnerSelector: '[role="nprogress-spinner"]',
                        template: '<div class="nprogress-bar" role="nprogress-bar"><div class="nprogress-peg"></div></div><div class="nprogress-spinner" role="nprogress-spinner"><div class="nprogress-spinner-icon"></div></div>'
                    };
                    l.configure = function (t) {
                        var e, i;
                        for (e in t)
                            i = t[e], void 0 !== i && t.hasOwnProperty(e) && (c[e] = i);
                        return this;
                    }, l.status = null, l.set = function (e) {
                        var n = l.isStarted();
                        e = t(e, c.minimum, 1), l.status = 1 === e ? null : e;
                        var o = l.render(!n), s = o.querySelector(c.barSelector), a = c.speed, r = c.easing;
                        return o.offsetWidth, h(function (t) {
                            '' === c.positionUsing && (c.positionUsing = l.getPositioningCSS()), u(s, i(e, a, r)), 1 === e ? (u(o, {
                                transition: 'none',
                                opacity: 1
                            }), o.offsetWidth, setTimeout(function () {
                                u(o, {
                                    transition: 'all ' + a + 'ms linear',
                                    opacity: 0
                                }), setTimeout(function () {
                                    l.remove(), t();
                                }, a);
                            }, a)) : setTimeout(t, a);
                        }), this;
                    }, l.isStarted = function () {
                        return 'number' == typeof l.status;
                    }, l.start = function () {
                        l.status || l.set(0);
                        var t = function () {
                            setTimeout(function () {
                                l.status && (l.trickle(), t());
                            }, c.trickleSpeed);
                        };
                        return c.trickle && t(), this;
                    }, l.done = function (t) {
                        return t || l.status ? l.inc(0.3 + 0.5 * Math.random()).set(1) : this;
                    }, l.inc = function (e) {
                        var i = l.status;
                        return i ? ('number' != typeof e && (e = (1 - i) * t(Math.random() * i, 0.1, 0.95)), i = t(i + e, 0, 0.994), l.set(i)) : l.start();
                    }, l.trickle = function () {
                        return l.inc(Math.random() * c.trickleRate);
                    }, function () {
                        var t = 0, e = 0;
                        l.promise = function (i) {
                            return i && 'resolved' !== i.state() ? (0 === e && l.start(), t++, e++, i.always(function () {
                                e--, 0 === e ? (t = 0, l.done()) : l.set((t - e) / t);
                            }), this) : this;
                        };
                    }(), l.render = function (t) {
                        if (l.isRendered())
                            return document.getElementById('nprogress');
                        o(document.documentElement, 'nprogress-busy');
                        var i = document.createElement('div');
                        i.id = 'nprogress', i.innerHTML = c.template;
                        var n, s = i.querySelector(c.barSelector), a = t ? '-100' : e(l.status || 0), h = document.querySelector(c.parent);
                        return u(s, {
                            transition: 'all 0 linear',
                            transform: 'translate3d(' + a + '%,0,0)'
                        }), c.showSpinner || (n = i.querySelector(c.spinnerSelector), n && r(n)), h != document.body && o(h, 'nprogress-custom-parent'), h.appendChild(i), i;
                    }, l.remove = function () {
                        s(document.documentElement, 'nprogress-busy'), s(document.querySelector(c.parent), 'nprogress-custom-parent');
                        var t = document.getElementById('nprogress');
                        t && r(t);
                    }, l.isRendered = function () {
                        return !!document.getElementById('nprogress');
                    }, l.getPositioningCSS = function () {
                        var t = document.body.style, e = 'WebkitTransform' in t ? 'Webkit' : 'MozTransform' in t ? 'Moz' : 'msTransform' in t ? 'ms' : 'OTransform' in t ? 'O' : '';
                        return e + 'Perspective' in t ? 'translate3d' : e + 'Transform' in t ? 'translate' : 'margin';
                    };
                    var h = function () {
                            function t() {
                                var i = e.shift();
                                i && i(t);
                            }
                            var e = [];
                            return function (i) {
                                e.push(i), 1 == e.length && t();
                            };
                        }(), u = function () {
                            function t(t) {
                                return t.replace(/^-ms-/, 'ms-').replace(/-([\da-z])/gi, function (t, e) {
                                    return e.toUpperCase();
                                });
                            }
                            function e(t) {
                                var e = document.body.style;
                                if (t in e)
                                    return t;
                                for (var i, n = o.length, s = t.charAt(0).toUpperCase() + t.slice(1); n--;)
                                    if (i = o[n] + s, i in e)
                                        return i;
                                return t;
                            }
                            function i(i) {
                                return i = t(i), s[i] || (s[i] = e(i));
                            }
                            function n(t, e, n) {
                                e = i(e), t.style[e] = n;
                            }
                            var o = [
                                    'Webkit',
                                    'O',
                                    'Moz',
                                    'ms'
                                ], s = {};
                            return function (t, e) {
                                var i, o, s = arguments;
                                if (2 == s.length)
                                    for (i in e)
                                        o = e[i], void 0 !== o && e.hasOwnProperty(i) && n(t, i, o);
                                else
                                    n(t, s[1], s[2]);
                            };
                        }();
                    return l;
                }();
            t.exports = n.progress = o;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = i(17), a = i(3), r = o.support.animation, l = o.support.transition, c = function (t, e) {
                    this.$element = n(t), this.$body = n(document.body), this.options = n.extend({}, c.DEFAULTS, e), this.$pureview = n(this.options.tpl).attr('id', o.utils.generateGUID('am-pureview')), this.$slides = null, this.transitioning = null, this.scrollbarWidth = 0, this.init();
                };
            c.DEFAULTS = {
                tpl: '<div class="am-pureview am-pureview-bar-active"><ul class="am-pureview-slider"></ul><ul class="am-pureview-direction"><li class="am-pureview-prev"><a href=""></a></li><li class="am-pureview-next"><a href=""></a></li></ul><ol class="am-pureview-nav"></ol><div class="am-pureview-bar am-active"><span class="am-pureview-title"></span><div class="am-pureview-counter"><span class="am-pureview-current"></span> / <span class="am-pureview-total"></span></div></div><div class="am-pureview-actions am-active"><a href="javascript: void(0)" class="am-icon-chevron-left" data-am-close="pureview"></a></div></div>',
                className: {
                    prevSlide: 'am-pureview-slide-prev',
                    nextSlide: 'am-pureview-slide-next',
                    onlyOne: 'am-pureview-only',
                    active: 'am-active',
                    barActive: 'am-pureview-bar-active',
                    activeBody: 'am-pureview-active'
                },
                selector: {
                    slider: '.am-pureview-slider',
                    close: '[data-am-close="pureview"]',
                    total: '.am-pureview-total',
                    current: '.am-pureview-current',
                    title: '.am-pureview-title',
                    actions: '.am-pureview-actions',
                    bar: '.am-pureview-bar',
                    pinchZoom: '.am-pinch-zoom',
                    nav: '.am-pureview-nav'
                },
                shareBtn: !1,
                toggleToolbar: !0,
                target: 'img',
                weChatImagePreview: !0
            }, c.prototype.init = function () {
                var t = this, e = this.options, i = this.$element, o = this.$pureview;
                this.refreshSlides(), n('body').append(o), this.$title = o.find(e.selector.title), this.$current = o.find(e.selector.current), this.$bar = o.find(e.selector.bar), this.$actions = o.find(e.selector.actions), e.shareBtn && this.$actions.append('<a href="javascript: void(0)" class="am-icon-share-square-o" data-am-toggle="share"></a>'), this.$element.on('click.pureview.amui', e.target, function (i) {
                    i.preventDefault();
                    var n = t.$images.index(this);
                    e.weChatImagePreview && window.WeixinJSBridge ? window.WeixinJSBridge.invoke('imagePreview', {
                        current: t.imgUrls[n],
                        urls: t.imgUrls
                    }) : t.open(n);
                }), o.find('.am-pureview-direction').on('click.direction.pureview.amui', 'li', function (e) {
                    e.preventDefault(), n(this).is('.am-pureview-prev') ? t.prevSlide() : t.nextSlide();
                }), o.find(e.selector.nav).on('click.nav.pureview.amui', 'li', function () {
                    var e = t.$navItems.index(n(this));
                    t.activate(t.$slides.eq(e));
                }), o.find(e.selector.close).on('click.close.pureview.amui', function (e) {
                    e.preventDefault(), t.close();
                }), this.$slider.hammer().on('swipeleft.pureview.amui', function (e) {
                    e.preventDefault(), t.nextSlide();
                }).on('swiperight.pureview.amui', function (e) {
                    e.preventDefault(), t.prevSlide();
                }).on('press.pureview.amui', function (i) {
                    i.preventDefault(), e.toggleToolbar && t.toggleToolBar();
                }), this.$slider.data('hammer').get('swipe').set({
                    direction: a.DIRECTION_HORIZONTAL,
                    velocity: 0.35
                }), i.DOMObserve({
                    childList: !0,
                    subtree: !0
                }, function (t, e) {
                }), i.on('changed.dom.amui', function (e) {
                    e.stopPropagation(), t.refreshSlides();
                }), n(document).on('keydown.pureview.amui', n.proxy(function (t) {
                    var e = t.keyCode;
                    37 == e ? this.prevSlide() : 39 == e ? this.nextSlide() : 27 == e && this.close();
                }, this));
            }, c.prototype.refreshSlides = function () {
                this.$images = this.$element.find(this.options.target);
                var t = this, e = this.options, i = this.$pureview, s = n([]), a = n([]), r = this.$images, l = r.length;
                this.$slider = i.find(e.selector.slider), this.$nav = i.find(e.selector.nav);
                var c = 'data-am-pureviewed';
                this.imgUrls = this.imgUrls || [], l && (1 === l && i.addClass(e.className.onlyOne), r.not('[' + c + ']').each(function (e, i) {
                    var r, l;
                    'A' === i.nodeName ? (r = i.href, l = i.title || '') : (r = n(i).data('rel') || i.src, r = o.utils.getAbsoluteUrl(r), l = n(i).attr('alt') || ''), i.setAttribute(c, '1'), t.imgUrls.push(r), s = s.add(n('<li data-src="' + r + '" data-title="' + l + '"></li>')), a = a.add(n('<li>' + (e + 1) + '</li>'));
                }), i.find(e.selector.total).text(l), this.$slider.append(s), this.$nav.append(a), this.$navItems = this.$nav.find('li'), this.$slides = this.$slider.find('li'));
            }, c.prototype.loadImage = function (t, e) {
                var i = 'image-appended';
                if (!t.data(i)) {
                    var o = n('<img>', {
                        src: t.data('src'),
                        alt: t.data('title')
                    });
                    t.html(o).wrapInner('<div class="am-pinch-zoom"></div>').redraw();
                    var a = t.find(this.options.selector.pinchZoom);
                    a.data('amui.pinchzoom', new s(a[0], {})), t.data('image-appended', !0);
                }
                e && e.call(this);
            }, c.prototype.activate = function (t) {
                var e = this.options, i = this.$slides, s = i.index(t), a = t.data('title') || '', r = e.className.active;
                i.find('.' + r).is(t) || this.transitioning || (this.loadImage(t, function () {
                    o.utils.imageLoader(t.find('img'), function (e) {
                        t.find('.am-pinch-zoom').addClass('am-pureview-loaded'), n(e).addClass('am-img-loaded');
                    });
                }), this.transitioning = 1, this.$title.text(a), this.$current.text(s + 1), i.removeClass(), t.addClass(r), i.eq(s - 1).addClass(e.className.prevSlide), i.eq(s + 1).addClass(e.className.nextSlide), this.$navItems.removeClass().eq(s).addClass(e.className.active), l ? t.one(l.end, n.proxy(function () {
                    this.transitioning = 0;
                }, this)).emulateTransitionEnd(300) : this.transitioning = 0);
            }, c.prototype.nextSlide = function () {
                if (1 !== this.$slides.length) {
                    var t = this.$slides, e = t.filter('.am-active'), i = t.index(e), n = 'am-animation-right-spring';
                    i + 1 >= t.length ? r && e.addClass(n).on(r.end, function () {
                        e.removeClass(n);
                    }) : this.activate(t.eq(i + 1));
                }
            }, c.prototype.prevSlide = function () {
                if (1 !== this.$slides.length) {
                    var t = this.$slides, e = t.filter('.am-active'), i = this.$slides.index(e), n = 'am-animation-left-spring';
                    0 === i ? r && e.addClass(n).on(r.end, function () {
                        e.removeClass(n);
                    }) : this.activate(t.eq(i - 1));
                }
            }, c.prototype.toggleToolBar = function () {
                this.$pureview.toggleClass(this.options.className.barActive);
            }, c.prototype.open = function (t) {
                var e = t || 0;
                this.checkScrollbar(), this.setScrollbar(), this.activate(this.$slides.eq(e)), this.$pureview.show().redraw().addClass(this.options.className.active), this.$body.addClass(this.options.className.activeBody);
            }, c.prototype.close = function () {
                function t() {
                    this.$pureview.hide(), this.$body.removeClass(e.className.activeBody), this.resetScrollbar();
                }
                var e = this.options;
                this.$pureview.removeClass(e.className.active), this.$slides.removeClass(), l ? this.$pureview.one(l.end, n.proxy(t, this)).emulateTransitionEnd(300) : t.call(this);
            }, c.prototype.checkScrollbar = function () {
                this.scrollbarWidth = o.utils.measureScrollbar();
            }, c.prototype.setScrollbar = function () {
                var t = parseInt(this.$body.css('padding-right') || 0, 10);
                this.scrollbarWidth && this.$body.css('padding-right', t + this.scrollbarWidth);
            }, c.prototype.resetScrollbar = function () {
                this.$body.css('padding-right', '');
            }, o.plugin('pureview', c), o.ready(function (t) {
                n('[data-am-pureview]', t).pureview();
            }), t.exports = c;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = function (t, e) {
                    if (o.support.animation) {
                        this.options = n.extend({}, s.DEFAULTS, e), this.$element = n(t);
                        var i = function () {
                            o.utils.rAF.call(window, n.proxy(this.checkView, this));
                        }.bind(this);
                        this.$window = n(window).on('scroll.scrollspy.amui', i).on('resize.scrollspy.amui orientationchange.scrollspy.amui', o.utils.debounce(i, 50)), this.timer = this.inViewState = this.initInView = null, i();
                    }
                };
            s.DEFAULTS = {
                animation: 'fade',
                className: {
                    inView: 'am-scrollspy-inview',
                    init: 'am-scrollspy-init'
                },
                repeat: !0,
                delay: 0,
                topOffset: 0,
                leftOffset: 0
            }, s.prototype.checkView = function () {
                var t = this.$element, e = this.options, i = o.utils.isInView(t, e), n = e.animation ? ' am-animation-' + e.animation : '';
                i && !this.inViewState && (this.timer && clearTimeout(this.timer), this.initInView || (t.addClass(e.className.init), this.offset = t.offset(), this.initInView = !0, t.trigger('init.scrollspy.amui')), this.timer = setTimeout(function () {
                    i && t.addClass(e.className.inView + n).width();
                }, e.delay), this.inViewState = !0, t.trigger('inview.scrollspy.amui')), !i && this.inViewState && e.repeat && (t.removeClass(e.className.inView + n), this.inViewState = !1, t.trigger('outview.scrollspy.amui'));
            }, s.prototype.check = function () {
                o.utils.rAF.call(window, n.proxy(this.checkView, this));
            }, o.plugin('scrollspy', s), o.ready(function (t) {
                n('[data-am-scrollspy]', t).scrollspy();
            }), t.exports = s;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2);
            i(23);
            var s = function (t, e) {
                this.options = n.extend({}, s.DEFAULTS, e), this.$element = n(t), this.anchors = [], this.$links = this.$element.find('a[href^="#"]').each(function (t, e) {
                    this.anchors.push(n(e).attr('href'));
                }.bind(this)), this.$targets = n(this.anchors.join(', '));
                var i = function () {
                    o.utils.rAF.call(window, n.proxy(this.process, this));
                }.bind(this);
                this.$window = n(window).on('scroll.scrollspynav.amui', i).on('resize.scrollspynav.amui orientationchange.scrollspynav.amui', o.utils.debounce(i, 50)), i(), this.scrollProcess();
            };
            s.DEFAULTS = {
                className: { active: 'am-active' },
                closest: !1,
                smooth: !0,
                offsetTop: 0
            }, s.prototype.process = function () {
                var t = this.$window.scrollTop(), e = this.options, i = [], s = this.$links, a = this.$targets;
                if (a.each(function (t, n) {
                        o.utils.isInView(n, e) && i.push(n);
                    }), i.length) {
                    var r;
                    if (n.each(i, function (e, i) {
                            return n(i).offset().top >= t ? (r = n(i), !1) : void 0;
                        }), !r)
                        return;
                    e.closest ? (s.closest(e.closest).removeClass(e.className.active), s.filter('a[href="#' + r.attr('id') + '"]').closest(e.closest).addClass(e.className.active)) : s.removeClass(e.className.active).filter('a[href="#' + r.attr('id') + '"]').addClass(e.className.active);
                }
            }, s.prototype.scrollProcess = function () {
                var t = this.$links, e = this.options;
                e.smooth && n.fn.smoothScroll && t.on('click', function (t) {
                    t.preventDefault();
                    var i = n(this), o = n(i.attr('href'));
                    if (o) {
                        var s = e.offsetTop && !isNaN(parseInt(e.offsetTop)) && parseInt(e.offsetTop) || 0;
                        n(window).smoothScroll({ position: o.offset().top - s });
                    }
                });
            }, o.plugin('scrollspynav', s), o.ready(function (t) {
                n('[data-am-scrollspy-nav]', t).scrollspynav();
            }), t.exports = s;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = o.utils.rAF, a = o.utils.cancelAF, r = !1, l = function (t, e) {
                    function i(t) {
                        return (t /= 0.5) < 1 ? 0.5 * Math.pow(t, 5) : 0.5 * (Math.pow(t - 2, 5) + 2);
                    }
                    function o() {
                        p.off('touchstart.smoothscroll.amui', y), r = !1;
                    }
                    function c(t) {
                        r && (h || (h = t), u = Math.min(1, Math.max((t - h) / w, 0)), d = Math.round(f + g * i(u)), g > 0 && d > m && (d = m), 0 > g && m > d && (d = m), v != d && p.scrollTop(d), v = d, d !== m ? (a(b), b = s(c)) : (a(b), o()));
                    }
                    e = e || {};
                    var h, u, d, p = n(t), m = parseInt(e.position) || l.DEFAULTS.position, f = p.scrollTop(), v = f, g = m - f, w = e.speed || Math.min(750, Math.min(1500, Math.abs(f - m))), y = function () {
                            o();
                        };
                    if (!r && 0 !== g) {
                        p.on('touchstart.smoothscroll.amui', y), r = !0;
                        var b = s(c);
                    }
                };
            l.DEFAULTS = { position: 0 }, n.fn.smoothScroll = function (t) {
                return this.each(function () {
                    new l(this, t);
                });
            }, n(document).on('click.smoothScroll.amui.data-api', '[data-am-smooth-scroll]', function (t) {
                t.preventDefault();
                var e = o.utils.parseOptions(n(this).data('amSmoothScroll'));
                n(window).smoothScroll(e);
            }), t.exports = l;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2);
            n.expr[':'].containsNC = function (t, e, i, n) {
                return (t.textContent || t.innerText || '').toLowerCase().indexOf((i[3] || '').toLowerCase()) >= 0;
            };
            var s = function (t, e) {
                this.$element = n(t), this.options = n.extend({}, s.DEFAULTS, { placeholder: t.getAttribute('placeholder') || s.DEFAULTS.placeholder }, e), this.$originalOptions = this.$element.find('option'), this.multiple = t.multiple, this.$selector = null, this.initialized = !1, this.init();
            };
            s.DEFAULTS = {
                btnWidth: null,
                btnSize: null,
                btnStyle: 'default',
                dropUp: 0,
                maxHeight: null,
                maxChecked: null,
                placeholder: '点击选择...',
                selectedClass: 'am-checked',
                disabledClass: 'am-disabled',
                searchBox: !1,
                tpl: '<div class="am-selected am-dropdown <%= dropUp ? \'am-dropdown-up\': \'\' %>" id="<%= id %>" data-am-dropdown>  <button type="button" class="am-selected-btn am-btn am-dropdown-toggle">    <span class="am-selected-status am-fl"></span>    <i class="am-selected-icon am-icon-caret-<%= dropUp ? \'up\' : \'down\' %>"></i>  </button>  <div class="am-selected-content am-dropdown-content">    <h2 class="am-selected-header"><span class="am-icon-chevron-left">返回</span></h2>   <% if (searchBox) { %>   <div class="am-selected-search">     <input autocomplete="off" class="am-form-field am-input-sm" />   </div>   <% } %>    <ul class="am-selected-list">      <% for (var i = 0; i < options.length; i++) { %>       <% var option = options[i] %>       <% if (option.header) { %>  <li data-group="<%= option.group %>" class="am-selected-list-header">       <%= option.text %></li>       <% } else { %>       <li class="<%= option.classNames%>"          data-index="<%= option.index %>"          data-group="<%= option.group || 0 %>"          data-value="<%= option.value %>" >         <span class="am-selected-text"><%= option.text %></span>         <i class="am-icon-check"></i></li>      <% } %>      <% } %>    </ul>    <div class="am-selected-hint"></div>  </div></div>',
                listTpl: '<% for (var i = 0; i < options.length; i++) { %>       <% var option = options[i] %>       <% if (option.header) { %>  <li data-group="<%= option.group %>" class="am-selected-list-header">       <%= option.text %></li>       <% } else { %>       <li class="<%= option.classNames %>"          data-index="<%= option.index %>"          data-group="<%= option.group || 0 %>"          data-value="<%= option.value %>" >         <span class="am-selected-text"><%= option.text %></span>         <i class="am-icon-check"></i></li>      <% } %>      <% } %>'
            }, s.prototype.init = function () {
                var t = this, e = this.$element, i = this.options;
                e.hide();
                var s = {
                    id: o.utils.generateGUID('am-selected'),
                    multiple: this.multiple,
                    options: [],
                    searchBox: i.searchBox,
                    dropUp: i.dropUp,
                    placeholder: i.placeholder
                };
                this.$selector = n(o.template(this.options.tpl, s)), this.$selector.css({ width: this.options.btnWidth }), this.$element[0].disabled && this.$selector.addClass(i.disabledClass), this.$list = this.$selector.find('.am-selected-list'), this.$searchField = this.$selector.find('.am-selected-search input'), this.$hint = this.$selector.find('.am-selected-hint');
                var a = this.$selector.find('.am-selected-btn'), r = [];
                i.btnSize && r.push('am-btn-' + i.btnSize), i.btnStyle && r.push('am-btn-' + i.btnStyle), a.addClass(r.join(' ')), this.$selector.dropdown({ justify: a }), i.maxHeight && this.$selector.find('.am-selected-list').css({
                    'max-height': i.maxHeight,
                    'overflow-y': 'scroll'
                });
                var l = [], c = e.attr('minchecked'), h = e.attr('maxchecked') || i.maxChecked;
                this.maxChecked = h || 1 / 0, e[0].required && l.push('必选'), (c || h) && (c && l.push('至少选择 ' + c + ' 项'), h && l.push('至多选择 ' + h + ' 项')), this.$hint.text(l.join('\uFF0C')), this.renderOptions(), this.$element.after(this.$selector), this.dropdown = this.$selector.data('amui.dropdown'), this.$status = this.$selector.find('.am-selected-status'), setTimeout(function () {
                    t.syncData(), t.initialized = !0;
                }, 0), this.bindEvents();
            }, s.prototype.renderOptions = function () {
                function t(t, e, o) {
                    if ('' === e.value)
                        return !0;
                    var s = '';
                    e.disabled && (s += i.disabledClass), !e.disabled && e.selected && (s += i.selectedClass), n.push({
                        group: o,
                        index: t,
                        classNames: s,
                        text: e.text,
                        value: e.value
                    });
                }
                var e = this.$element, i = this.options, n = [], s = e.find('optgroup');
                this.$originalOptions = this.$element.find('option'), this.multiple || null !== e.val() || this.$originalOptions.length && (this.$originalOptions.get(0).selected = !0), s.length ? s.each(function (e) {
                    n.push({
                        header: !0,
                        group: e + 1,
                        text: this.label
                    }), s.eq(e).find('option').each(function (i, n) {
                        t(i, n, e);
                    });
                }) : this.$originalOptions.each(function (e, i) {
                    t(e, i, null);
                }), this.$list.html(o.template(i.listTpl, { options: n })), this.$shadowOptions = this.$list.find('> li').not('.am-selected-list-header');
            }, s.prototype.setChecked = function (t) {
                var e = this.options, i = n(t), o = i.hasClass(e.selectedClass);
                if (this.multiple) {
                    var s = this.$list.find('.' + e.selectedClass).length;
                    if (!o && this.maxChecked <= s)
                        return this.$element.trigger('checkedOverflow.selected.amui', { selected: this }), !1;
                } else {
                    if (o)
                        return !1;
                    this.dropdown.close(), this.$shadowOptions.not(i).removeClass(e.selectedClass);
                }
                i.toggleClass(e.selectedClass), this.syncData(t);
            }, s.prototype.syncData = function (t) {
                var e = this, i = this.options, o = [], s = n([]);
                if (this.$shadowOptions.filter('.' + i.selectedClass).each(function () {
                        var i = n(this);
                        o.push(i.find('.am-selected-text').text()), t || (s = s.add(e.$originalOptions.filter('[value="' + i.data('value') + '"]').prop('selected', !0)));
                    }), t) {
                    var a = n(t);
                    this.$originalOptions.filter('[value="' + a.data('value') + '"]').prop('selected', a.hasClass(i.selectedClass));
                } else
                    this.$originalOptions.not(s).prop('selected', !1);
                this.$element.val() || (o = [i.placeholder]), this.$status.text(o.join(', ')), this.initialized && this.$element.trigger('change');
            }, s.prototype.bindEvents = function () {
                var t = this, e = 'am-selected-list-header', i = o.utils.debounce(function (i) {
                        t.$shadowOptions.not('.' + e).hide().filter(':containsNC("' + i.target.value + '")').show();
                    }, 100);
                this.$list.on('click', '> li', function (i) {
                    var o = n(this);
                    !o.hasClass(t.options.disabledClass) && !o.hasClass(e) && t.setChecked(this);
                }), this.$searchField.on('keyup.selected.amui', i), this.$selector.on('closed.dropdown.amui', function () {
                    t.$searchField.val(''), t.$shadowOptions.css({ display: '' });
                }), this.$element.on('validated.field.validator.amui', function (e) {
                    if (e.validity) {
                        var i = e.validity.valid, n = 'am-invalid';
                        t.$selector[(i ? 'remove' : 'add') + 'Class'](n);
                    }
                }), o.support.mutationobserver && (this.observer = new o.support.mutationobserver(function () {
                    t.$element.trigger('changed.selected.amui');
                }), this.observer.observe(this.$element[0], {
                    childList: !0,
                    attributes: !0,
                    subtree: !0,
                    characterData: !0
                })), this.$element.on('changed.selected.amui', function () {
                    t.renderOptions(), t.syncData();
                });
            }, s.prototype.select = function (t) {
                var e;
                e = 'number' == typeof t ? this.$list.find('> li').not('.am-selected-list-header').eq(t) : 'string' == typeof t ? this.$list.find(t) : n(t), e.trigger('click');
            }, s.prototype.enable = function () {
                this.$element.prop('disable', !1), this.$selector.dropdown('enable');
            }, s.prototype.disable = function () {
                this.$element.prop('disable', !0), this.$selector.dropdown('disable');
            }, s.prototype.destroy = function () {
                this.$element.removeData('amui.selected').show(), this.$selector.remove();
            }, o.plugin('selected', s), o.ready(function (t) {
                n('[data-am-selected]', t).selected();
            }), t.exports = s;
        },
        function (t, e, i) {
            'use strict';
            i(15);
            var n = i(1), o = i(2), s = i(26), a = document, r = n(a), l = function (t) {
                    this.options = n.extend({}, l.DEFAULTS, t || {}), this.$element = null, this.$wechatQr = null, this.pics = null, this.inited = !1, this.active = !1;
                };
            l.DEFAULTS = {
                sns: [
                    'weibo',
                    'qq',
                    'qzone',
                    'tqq',
                    'wechat',
                    'renren'
                ],
                title: '分享到',
                cancel: '取消',
                closeOnShare: !0,
                id: o.utils.generateGUID('am-share'),
                desc: 'Hi\uFF0C孤夜观天象\uFF0C发现一个不错的西西\uFF0C分享一下下 ;-)',
                via: 'Amaze UI',
                tpl: '<div class="am-share am-modal-actions" id="<%= id %>"><h3 class="am-share-title"><%= title %></h3><ul class="am-share-sns am-avg-sm-3"><% for(var i = 0; i < sns.length; i++) {%><li><a href="<%= sns[i].shareUrl %>" data-am-share-to="<%= sns[i].id %>" ><i class="am-icon-<%= sns[i].icon %>"></i><span><%= sns[i].title %></span></a></li><% } %></ul><div class="am-share-footer"><button class="am-btn am-btn-default am-btn-block" data-am-share-close><%= cancel %></button></div></div>'
            }, l.SNS = {
                weibo: {
                    title: '新浪微博',
                    url: 'http://service.weibo.com/share/share.php',
                    width: 620,
                    height: 450,
                    icon: 'weibo'
                },
                qq: {
                    title: 'QQ 好友',
                    url: 'http://connect.qq.com/widget/shareqq/index.html',
                    icon: 'qq'
                },
                qzone: {
                    title: 'QQ 空间',
                    url: 'http://sns.qzone.qq.com/cgi-bin/qzshare/cgi_qzshare_onekey',
                    icon: 'star'
                },
                tqq: {
                    title: '腾讯微博',
                    url: 'http://v.t.qq.com/share/share.php',
                    icon: 'tencent-weibo'
                },
                wechat: {
                    title: '微信',
                    url: '[qrcode]',
                    icon: 'wechat'
                },
                renren: {
                    title: '人人网',
                    url: 'http://widget.renren.com/dialog/share',
                    icon: 'renren'
                },
                douban: {
                    title: '豆瓣',
                    url: 'http://www.douban.com/recommend/',
                    icon: 'share-alt'
                },
                mail: {
                    title: '邮件分享',
                    url: 'mailto:',
                    icon: 'envelope-o'
                },
                sms: {
                    title: '短信分享',
                    url: 'sms:',
                    icon: 'comment'
                }
            }, l.prototype.render = function () {
                var t = this.options, e = [], i = encodeURIComponent(a.title), s = encodeURIComponent(a.location), r = '?body=' + i + s;
                return t.sns.forEach(function (n, o) {
                    if (l.SNS[n]) {
                        var a, c = l.SNS[n];
                        c.id = n, a = 'mail' === n ? r + '&subject=' + t.desc : 'sms' === n ? r : '?url=' + s + '&title=' + i, c.shareUrl = c.url + a, e.push(c);
                    }
                }), o.template(t.tpl, n.extend({}, t, { sns: e }));
            }, l.prototype.init = function () {
                if (!this.inited) {
                    var t = this, e = '[data-am-share-to]';
                    r.ready(n.proxy(function () {
                        n('body').append(this.render()), this.$element = n('#' + this.options.id), this.$element.find('[data-am-share-close]').on('click.share.amui', function () {
                            t.close();
                        });
                    }, this)), r.on('click.share.amui', e, n.proxy(function (t) {
                        var i = n(t.target), o = i.is(e) && i || i.parent(e), s = o.attr('data-am-share-to');
                        'mail' !== s && 'sms' !== s && (t.preventDefault(), this.shareTo(s, this.setData(s))), this.close();
                    }, this)), this.inited = !0;
                }
            }, l.prototype.open = function () {
                !this.inited && this.init(), this.$element && this.$element.modal('open'), this.$element.trigger('open.share.amui'), this.active = !0;
            }, l.prototype.close = function () {
                this.$element && this.$element.modal('close'), this.$element.trigger('close.share.amui'), this.active = !1;
            }, l.prototype.toggle = function () {
                this.active ? this.close() : this.open();
            }, l.prototype.setData = function (t) {
                if (t) {
                    var e = {
                            url: a.location,
                            title: a.title
                        }, i = this.options.desc, n = this.pics || [], o = /^(qzone|qq|tqq)$/;
                    if (o.test(t) && !n.length) {
                        for (var s = a.images, r = 0; r < s.length && 10 > r; r++)
                            !!s[r].src && n.push(encodeURIComponent(s[r].src));
                        this.pics = n;
                    }
                    switch (t) {
                    case 'qzone':
                        e.desc = i, e.site = this.options.via, e.pics = n.join('|');
                        break;
                    case 'qq':
                        e.desc = i, e.site = this.options.via, e.pics = n[0];
                        break;
                    case 'tqq':
                        e.pic = n.join('|');
                    }
                    return e;
                }
            }, l.prototype.shareTo = function (t, e) {
                var i = l.SNS[t];
                if (i) {
                    if ('wechat' === t || 'weixin' === t)
                        return this.wechatQr();
                    var n = [];
                    for (var o in e)
                        e[o] && n.push(o.toString() + '=' + ('pic' === o || 'pics' === o ? e[o] : encodeURIComponent(e[o])));
                    window.open(i.url + '?' + n.join('&'));
                }
            }, l.prototype.wechatQr = function () {
                if (!this.$wechatQr) {
                    var t = o.utils.generateGUID('am-share-wechat'), e = n('<div class="am-modal am-modal-no-btn am-share-wechat-qr"><div class="am-modal-dialog"><div class="am-modal-hd">分享到微信 <a href="" class="am-close am-close-spin" data-am-modal-close>&times;</a> </div><div class="am-modal-bd"><div class="am-share-wx-qr"></div><div class="am-share-wechat-tip">打开微信\uFF0C点击底部的<em>发现</em>\uFF0C<br/> 使用<em>扫一扫</em>将网页分享至朋友圈</div></div></div></div>');
                    e.attr('id', t);
                    var i = new s({
                        render: 'canvas',
                        correctLevel: 0,
                        text: a.location.href,
                        width: 180,
                        height: 180,
                        background: '#fff',
                        foreground: '#000'
                    });
                    e.find('.am-share-wx-qr').html(i), e.appendTo(n('body')), this.$wechatQr = n('#' + t);
                }
                this.$wechatQr.modal('open');
            };
            var c = new l();
            r.on('click.share.amui.data-api', '[data-am-toggle="share"]', function (t) {
                t.preventDefault(), c.toggle();
            }), t.exports = o.share = c;
        },
        function (t, e, i) {
            function n(t) {
                return 128 > t ? [t] : 2048 > t ? (c0 = 192 + (t >> 6), c1 = 128 + (63 & t), [
                    c0,
                    c1
                ]) : (c0 = 224 + (t >> 12), c1 = 128 + (t >> 6 & 63), c2 = 128 + (63 & t), [
                    c0,
                    c1,
                    c2
                ]);
            }
            function o(t) {
                for (var e = [], i = 0; i < t.length; i++)
                    for (var o = t.charCodeAt(i), s = n(o), a = 0; a < s.length; a++)
                        e.push(s[a]);
                return e;
            }
            function s(t, e) {
                this.typeNumber = -1, this.errorCorrectLevel = e, this.modules = null, this.moduleCount = 0, this.dataCache = null, this.rsBlocks = null, this.totalDataCount = -1, this.data = t, this.utf8bytes = o(t), this.make();
            }
            function a(t, e) {
                if (void 0 == t.length)
                    throw new Error(t.length + '/' + e);
                for (var i = 0; i < t.length && 0 == t[i];)
                    i++;
                this.num = new Array(t.length - i + e);
                for (var n = 0; n < t.length - i; n++)
                    this.num[n] = t[n + i];
            }
            function r() {
                this.buffer = new Array(), this.length = 0;
            }
            function n(t) {
                return 128 > t ? [t] : 2048 > t ? (c0 = 192 + (t >> 6), c1 = 128 + (63 & t), [
                    c0,
                    c1
                ]) : (c0 = 224 + (t >> 12), c1 = 128 + (t >> 6 & 63), c2 = 128 + (63 & t), [
                    c0,
                    c1,
                    c2
                ]);
            }
            function o(t) {
                for (var e = [], i = 0; i < t.length; i++)
                    for (var o = t.charCodeAt(i), s = n(o), a = 0; a < s.length; a++)
                        e.push(s[a]);
                return e;
            }
            function s(t, e) {
                this.typeNumber = -1, this.errorCorrectLevel = e, this.modules = null, this.moduleCount = 0, this.dataCache = null, this.rsBlocks = null, this.totalDataCount = -1, this.data = t, this.utf8bytes = o(t), this.make();
            }
            function a(t, e) {
                if (void 0 == t.length)
                    throw new Error(t.length + '/' + e);
                for (var i = 0; i < t.length && 0 == t[i];)
                    i++;
                this.num = new Array(t.length - i + e);
                for (var n = 0; n < t.length - i; n++)
                    this.num[n] = t[n + i];
            }
            function r() {
                this.buffer = new Array(), this.length = 0;
            }
            var c = i(1), h = i(2), u = [], d = function (t) {
                    'string' == typeof t && (t = { text: t }), this.options = c.extend({}, {
                        text: '',
                        render: '',
                        width: 256,
                        height: 256,
                        correctLevel: 3,
                        background: '#ffffff',
                        foreground: '#000000'
                    }, t);
                    for (var e = null, i = 0, n = u.length; n > i; i++)
                        if (u[i].text == this.options.text && u[i].text.correctLevel == this.options.correctLevel) {
                            e = u[i].obj;
                            break;
                        }
                    if (i == n && (e = new s(this.options.text, this.options.correctLevel), u.push({
                            text: this.options.text,
                            correctLevel: this.options.correctLevel,
                            obj: e
                        })), this.options.render)
                        switch (this.options.render) {
                        case 'canvas':
                            return this.createCanvas(e);
                        case 'table':
                            return this.createTable(e);
                        case 'svg':
                            return this.createSVG(e);
                        default:
                            return this.createDefault(e);
                        }
                    return this.createDefault(e);
                };
            d.prototype.createDefault = function (t) {
                var e = document.createElement('canvas');
                return e.getContext ? this.createCanvas(t) : document.createElementNS && document.createElementNS(SVG_NS, 'svg').createSVGRect ? this.createSVG(t) : this.createTable(t);
            }, d.prototype.createCanvas = function (t) {
                var e = document.createElement('canvas');
                e.width = this.options.width, e.height = this.options.height;
                for (var i = e.getContext('2d'), n = (this.options.width / t.getModuleCount()).toPrecision(4), o = this.options.height / t.getModuleCount().toPrecision(4), s = 0; s < t.getModuleCount(); s++)
                    for (var a = 0; a < t.getModuleCount(); a++) {
                        i.fillStyle = t.modules[s][a] ? this.options.foreground : this.options.background;
                        var r = Math.ceil((a + 1) * n) - Math.floor(a * n), l = Math.ceil((s + 1) * n) - Math.floor(s * n);
                        i.fillRect(Math.round(a * n), Math.round(s * o), r, l);
                    }
                return e;
            }, d.prototype.createTable = function (t) {
                var e = [];
                e.push('<table style="border:0px; margin:0px; padding:0px; border-collapse:collapse; background-color: ' + this.options.background + ';">');
                var i = -1, n = -1, o = -1, s = -1;
                i = o = Math.floor(this.options.width / t.getModuleCount()), n = s = Math.floor(this.options.height / t.getModuleCount()), 0 >= o && (i = t.getModuleCount() < 80 ? 2 : 1), 0 >= s && (n = t.getModuleCount() < 80 ? 2 : 1), foreTd = '<td style="border:0px; margin:0px; padding:0px; width:' + i + 'px; background-color: ' + this.options.foreground + '"></td>', backTd = '<td style="border:0px; margin:0px; padding:0px; width:' + i + 'px; background-color: ' + this.options.background + '"></td>', l = t.getModuleCount();
                for (var a = 0; a < l; a++) {
                    e.push('<tr style="border:0px; margin:0px; padding:0px; height: ' + n + 'px">');
                    for (var r = 0; r < l; r++)
                        e.push(t.modules[a][r] ? foreTd : backTd);
                    e.push('</tr>');
                }
                e.push('</table>');
                var c = document.createElement('span');
                return c.innerHTML = e.join(''), c.firstChild;
            }, d.prototype.createSVG = function (t) {
                for (var e, i, n, o, s = t.getModuleCount(), a = this.options.height / this.options.width, r = '<svg xmlns="http://www.w3.org/2000/svg" width="' + this.options.width + 'px" height="' + this.options.height + 'px" viewbox="0 0 ' + 10 * s + ' ' + 10 * s * a + '">', l = '<path ', h = ' style="stroke-width:0.5;stroke:' + this.options.foreground + ';fill:' + this.options.foreground + ';"></path>', u = ' style="stroke-width:0.5;stroke:' + this.options.background + ';fill:' + this.options.background + ';"></path>', d = 0; s > d; d++)
                    for (var p = 0; s > p; p++)
                        e = 10 * p, n = 10 * d * a, i = 10 * (p + 1), o = 10 * (d + 1) * a, r += l + 'd="M ' + e + ',' + n + ' L ' + i + ',' + n + ' L ' + i + ',' + o + ' L ' + e + ',' + o + ' Z"', r += t.modules[d][p] ? h : u;
                return r += '</svg>', c(r)[0];
            }, s.prototype = {
                constructor: s,
                getModuleCount: function () {
                    return this.moduleCount;
                },
                make: function () {
                    this.getRightType(), this.dataCache = this.createData(), this.createQrcode();
                },
                makeImpl: function (t) {
                    this.moduleCount = 4 * this.typeNumber + 17, this.modules = new Array(this.moduleCount);
                    for (var e = 0; e < this.moduleCount; e++)
                        this.modules[e] = new Array(this.moduleCount);
                    this.setupPositionProbePattern(0, 0), this.setupPositionProbePattern(this.moduleCount - 7, 0), this.setupPositionProbePattern(0, this.moduleCount - 7), this.setupPositionAdjustPattern(), this.setupTimingPattern(), this.setupTypeInfo(!0, t), this.typeNumber >= 7 && this.setupTypeNumber(!0), this.mapData(this.dataCache, t);
                },
                setupPositionProbePattern: function (t, e) {
                    for (var i = -1; 7 >= i; i++)
                        if (!(-1 >= t + i || this.moduleCount <= t + i))
                            for (var n = -1; 7 >= n; n++)
                                -1 >= e + n || this.moduleCount <= e + n || (i >= 0 && 6 >= i && (0 == n || 6 == n) || n >= 0 && 6 >= n && (0 == i || 6 == i) || i >= 2 && 4 >= i && n >= 2 && 4 >= n ? this.modules[t + i][e + n] = !0 : this.modules[t + i][e + n] = !1);
                },
                createQrcode: function () {
                    for (var t = 0, e = 0, i = null, n = 0; 8 > n; n++) {
                        this.makeImpl(n);
                        var o = f.getLostPoint(this);
                        (0 == n || t > o) && (t = o, e = n, i = this.modules);
                    }
                    this.modules = i, this.setupTypeInfo(!1, e), this.typeNumber >= 7 && this.setupTypeNumber(!1);
                },
                setupTimingPattern: function () {
                    for (var t = 8; t < this.moduleCount - 8; t++)
                        null == this.modules[t][6] && (this.modules[t][6] = t % 2 == 0, null == this.modules[6][t] && (this.modules[6][t] = t % 2 == 0));
                },
                setupPositionAdjustPattern: function () {
                    for (var t = f.getPatternPosition(this.typeNumber), e = 0; e < t.length; e++)
                        for (var i = 0; i < t.length; i++) {
                            var n = t[e], o = t[i];
                            if (null == this.modules[n][o])
                                for (var s = -2; 2 >= s; s++)
                                    for (var a = -2; 2 >= a; a++)
                                        -2 == s || 2 == s || -2 == a || 2 == a || 0 == s && 0 == a ? this.modules[n + s][o + a] = !0 : this.modules[n + s][o + a] = !1;
                        }
                },
                setupTypeNumber: function (t) {
                    for (var e = f.getBCHTypeNumber(this.typeNumber), i = 0; 18 > i; i++) {
                        var n = !t && 1 == (e >> i & 1);
                        this.modules[Math.floor(i / 3)][i % 3 + this.moduleCount - 8 - 3] = n, this.modules[i % 3 + this.moduleCount - 8 - 3][Math.floor(i / 3)] = n;
                    }
                },
                setupTypeInfo: function (t, e) {
                    for (var i = p[this.errorCorrectLevel] << 3 | e, n = f.getBCHTypeInfo(i), o = 0; 15 > o; o++) {
                        var s = !t && 1 == (n >> o & 1);
                        6 > o ? this.modules[o][8] = s : 8 > o ? this.modules[o + 1][8] = s : this.modules[this.moduleCount - 15 + o][8] = s;
                        var s = !t && 1 == (n >> o & 1);
                        8 > o ? this.modules[8][this.moduleCount - o - 1] = s : 9 > o ? this.modules[8][15 - o - 1 + 1] = s : this.modules[8][15 - o - 1] = s;
                    }
                    this.modules[this.moduleCount - 8][8] = !t;
                },
                createData: function () {
                    var t = new r(), e = this.typeNumber > 9 ? 16 : 8;
                    t.put(4, 4), t.put(this.utf8bytes.length, e);
                    for (var i = 0, n = this.utf8bytes.length; n > i; i++)
                        t.put(this.utf8bytes[i], 8);
                    for (t.length + 4 <= 8 * this.totalDataCount && t.put(0, 4); t.length % 8 != 0;)
                        t.putBit(!1);
                    for (;;) {
                        if (t.length >= 8 * this.totalDataCount)
                            break;
                        if (t.put(s.PAD0, 8), t.length >= 8 * this.totalDataCount)
                            break;
                        t.put(s.PAD1, 8);
                    }
                    return this.createBytes(t);
                },
                createBytes: function (t) {
                    for (var e = 0, i = 0, n = 0, o = this.rsBlock.length / 3, s = new Array(), r = 0; o > r; r++)
                        for (var l = this.rsBlock[3 * r + 0], c = this.rsBlock[3 * r + 1], h = this.rsBlock[3 * r + 2], u = 0; l > u; u++)
                            s.push([
                                h,
                                c
                            ]);
                    for (var d = new Array(s.length), p = new Array(s.length), m = 0; m < s.length; m++) {
                        var v = s[m][0], g = s[m][1] - v;
                        i = Math.max(i, v), n = Math.max(n, g), d[m] = new Array(v);
                        for (var r = 0; r < d[m].length; r++)
                            d[m][r] = 255 & t.buffer[r + e];
                        e += v;
                        var w = f.getErrorCorrectPolynomial(g), y = new a(d[m], w.getLength() - 1), b = y.mod(w);
                        p[m] = new Array(w.getLength() - 1);
                        for (var r = 0; r < p[m].length; r++) {
                            var T = r + b.getLength() - p[m].length;
                            p[m][r] = T >= 0 ? b.get(T) : 0;
                        }
                    }
                    for (var x = new Array(this.totalDataCount), C = 0, r = 0; i > r; r++)
                        for (var m = 0; m < s.length; m++)
                            r < d[m].length && (x[C++] = d[m][r]);
                    for (var r = 0; n > r; r++)
                        for (var m = 0; m < s.length; m++)
                            r < p[m].length && (x[C++] = p[m][r]);
                    return x;
                },
                mapData: function (t, e) {
                    for (var i = -1, n = this.moduleCount - 1, o = 7, s = 0, a = this.moduleCount - 1; a > 0; a -= 2)
                        for (6 == a && a--;;) {
                            for (var r = 0; 2 > r; r++)
                                if (null == this.modules[n][a - r]) {
                                    var l = !1;
                                    s < t.length && (l = 1 == (t[s] >>> o & 1));
                                    var c = f.getMask(e, n, a - r);
                                    c && (l = !l), this.modules[n][a - r] = l, o--, -1 == o && (s++, o = 7);
                                }
                            if (n += i, 0 > n || this.moduleCount <= n) {
                                n -= i, i = -i;
                                break;
                            }
                        }
                }
            }, s.PAD0 = 236, s.PAD1 = 17;
            for (var p = [
                        1,
                        0,
                        3,
                        2
                    ], m = {
                        PATTERN000: 0,
                        PATTERN001: 1,
                        PATTERN010: 2,
                        PATTERN011: 3,
                        PATTERN100: 4,
                        PATTERN101: 5,
                        PATTERN110: 6,
                        PATTERN111: 7
                    }, f = {
                        PATTERN_POSITION_TABLE: [
                            [],
                            [
                                6,
                                18
                            ],
                            [
                                6,
                                22
                            ],
                            [
                                6,
                                26
                            ],
                            [
                                6,
                                30
                            ],
                            [
                                6,
                                34
                            ],
                            [
                                6,
                                22,
                                38
                            ],
                            [
                                6,
                                24,
                                42
                            ],
                            [
                                6,
                                26,
                                46
                            ],
                            [
                                6,
                                28,
                                50
                            ],
                            [
                                6,
                                30,
                                54
                            ],
                            [
                                6,
                                32,
                                58
                            ],
                            [
                                6,
                                34,
                                62
                            ],
                            [
                                6,
                                26,
                                46,
                                66
                            ],
                            [
                                6,
                                26,
                                48,
                                70
                            ],
                            [
                                6,
                                26,
                                50,
                                74
                            ],
                            [
                                6,
                                30,
                                54,
                                78
                            ],
                            [
                                6,
                                30,
                                56,
                                82
                            ],
                            [
                                6,
                                30,
                                58,
                                86
                            ],
                            [
                                6,
                                34,
                                62,
                                90
                            ],
                            [
                                6,
                                28,
                                50,
                                72,
                                94
                            ],
                            [
                                6,
                                26,
                                50,
                                74,
                                98
                            ],
                            [
                                6,
                                30,
                                54,
                                78,
                                102
                            ],
                            [
                                6,
                                28,
                                54,
                                80,
                                106
                            ],
                            [
                                6,
                                32,
                                58,
                                84,
                                110
                            ],
                            [
                                6,
                                30,
                                58,
                                86,
                                114
                            ],
                            [
                                6,
                                34,
                                62,
                                90,
                                118
                            ],
                            [
                                6,
                                26,
                                50,
                                74,
                                98,
                                122
                            ],
                            [
                                6,
                                30,
                                54,
                                78,
                                102,
                                126
                            ],
                            [
                                6,
                                26,
                                52,
                                78,
                                104,
                                130
                            ],
                            [
                                6,
                                30,
                                56,
                                82,
                                108,
                                134
                            ],
                            [
                                6,
                                34,
                                60,
                                86,
                                112,
                                138
                            ],
                            [
                                6,
                                30,
                                58,
                                86,
                                114,
                                142
                            ],
                            [
                                6,
                                34,
                                62,
                                90,
                                118,
                                146
                            ],
                            [
                                6,
                                30,
                                54,
                                78,
                                102,
                                126,
                                150
                            ],
                            [
                                6,
                                24,
                                50,
                                76,
                                102,
                                128,
                                154
                            ],
                            [
                                6,
                                28,
                                54,
                                80,
                                106,
                                132,
                                158
                            ],
                            [
                                6,
                                32,
                                58,
                                84,
                                110,
                                136,
                                162
                            ],
                            [
                                6,
                                26,
                                54,
                                82,
                                110,
                                138,
                                166
                            ],
                            [
                                6,
                                30,
                                58,
                                86,
                                114,
                                142,
                                170
                            ]
                        ],
                        G15: 1335,
                        G18: 7973,
                        G15_MASK: 21522,
                        getBCHTypeInfo: function (t) {
                            for (var e = t << 10; f.getBCHDigit(e) - f.getBCHDigit(f.G15) >= 0;)
                                e ^= f.G15 << f.getBCHDigit(e) - f.getBCHDigit(f.G15);
                            return (t << 10 | e) ^ f.G15_MASK;
                        },
                        getBCHTypeNumber: function (t) {
                            for (var e = t << 12; f.getBCHDigit(e) - f.getBCHDigit(f.G18) >= 0;)
                                e ^= f.G18 << f.getBCHDigit(e) - f.getBCHDigit(f.G18);
                            return t << 12 | e;
                        },
                        getBCHDigit: function (t) {
                            for (var e = 0; 0 != t;)
                                e++, t >>>= 1;
                            return e;
                        },
                        getPatternPosition: function (t) {
                            return f.PATTERN_POSITION_TABLE[t - 1];
                        },
                        getMask: function (t, e, i) {
                            switch (t) {
                            case m.PATTERN000:
                                return (e + i) % 2 == 0;
                            case m.PATTERN001:
                                return e % 2 == 0;
                            case m.PATTERN010:
                                return i % 3 == 0;
                            case m.PATTERN011:
                                return (e + i) % 3 == 0;
                            case m.PATTERN100:
                                return (Math.floor(e / 2) + Math.floor(i / 3)) % 2 == 0;
                            case m.PATTERN101:
                                return e * i % 2 + e * i % 3 == 0;
                            case m.PATTERN110:
                                return (e * i % 2 + e * i % 3) % 2 == 0;
                            case m.PATTERN111:
                                return (e * i % 3 + (e + i) % 2) % 2 == 0;
                            default:
                                throw new Error('bad maskPattern:' + t);
                            }
                        },
                        getErrorCorrectPolynomial: function (t) {
                            for (var e = new a([1], 0), i = 0; t > i; i++)
                                e = e.multiply(new a([
                                    1,
                                    v.gexp(i)
                                ], 0));
                            return e;
                        },
                        getLostPoint: function (t) {
                            for (var e = t.getModuleCount(), i = 0, n = 0, o = 0; e > o; o++)
                                for (var s = 0, a = t.modules[o][0], r = 0; e > r; r++) {
                                    var l = t.modules[o][r];
                                    if (e - 6 > r && l && !t.modules[o][r + 1] && t.modules[o][r + 2] && t.modules[o][r + 3] && t.modules[o][r + 4] && !t.modules[o][r + 5] && t.modules[o][r + 6] && (e - 10 > r ? t.modules[o][r + 7] && t.modules[o][r + 8] && t.modules[o][r + 9] && t.modules[o][r + 10] && (i += 40) : r > 3 && t.modules[o][r - 1] && t.modules[o][r - 2] && t.modules[o][r - 3] && t.modules[o][r - 4] && (i += 40)), e - 1 > o && e - 1 > r) {
                                        var c = 0;
                                        l && c++, t.modules[o + 1][r] && c++, t.modules[o][r + 1] && c++, t.modules[o + 1][r + 1] && c++, 0 != c && 4 != c || (i += 3);
                                    }
                                    a ^ l ? s++ : (a = l, s >= 5 && (i += 3 + s - 5), s = 1), l && n++;
                                }
                            for (var r = 0; e > r; r++)
                                for (var s = 0, a = t.modules[0][r], o = 0; e > o; o++) {
                                    var l = t.modules[o][r];
                                    e - 6 > o && l && !t.modules[o + 1][r] && t.modules[o + 2][r] && t.modules[o + 3][r] && t.modules[o + 4][r] && !t.modules[o + 5][r] && t.modules[o + 6][r] && (e - 10 > o ? t.modules[o + 7][r] && t.modules[o + 8][r] && t.modules[o + 9][r] && t.modules[o + 10][r] && (i += 40) : o > 3 && t.modules[o - 1][r] && t.modules[o - 2][r] && t.modules[o - 3][r] && t.modules[o - 4][r] && (i += 40)), a ^ l ? s++ : (a = l, s >= 5 && (i += 3 + s - 5), s = 1);
                                }
                            var h = Math.abs(100 * n / e / e - 50) / 5;
                            return i += 10 * h;
                        }
                    }, v = {
                        glog: function (t) {
                            if (1 > t)
                                throw new Error('glog(' + t + ')');
                            return v.LOG_TABLE[t];
                        },
                        gexp: function (t) {
                            for (; 0 > t;)
                                t += 255;
                            for (; t >= 256;)
                                t -= 255;
                            return v.EXP_TABLE[t];
                        },
                        EXP_TABLE: new Array(256),
                        LOG_TABLE: new Array(256)
                    }, g = 0; 8 > g; g++)
                v.EXP_TABLE[g] = 1 << g;
            for (var g = 8; 256 > g; g++)
                v.EXP_TABLE[g] = v.EXP_TABLE[g - 4] ^ v.EXP_TABLE[g - 5] ^ v.EXP_TABLE[g - 6] ^ v.EXP_TABLE[g - 8];
            for (var g = 0; 255 > g; g++)
                v.LOG_TABLE[v.EXP_TABLE[g]] = g;
            a.prototype = {
                get: function (t) {
                    return this.num[t];
                },
                getLength: function () {
                    return this.num.length;
                },
                multiply: function (t) {
                    for (var e = new Array(this.getLength() + t.getLength() - 1), i = 0; i < this.getLength(); i++)
                        for (var n = 0; n < t.getLength(); n++)
                            e[i + n] ^= v.gexp(v.glog(this.get(i)) + v.glog(t.get(n)));
                    return new a(e, 0);
                },
                mod: function (t) {
                    var e = this.getLength(), i = t.getLength();
                    if (0 > e - i)
                        return this;
                    for (var n = new Array(e), o = 0; e > o; o++)
                        n[o] = this.get(o);
                    for (; n.length >= i;) {
                        for (var s = v.glog(n[0]) - v.glog(t.get(0)), o = 0; o < t.getLength(); o++)
                            n[o] ^= v.gexp(v.glog(t.get(o)) + s);
                        for (; 0 == n[0];)
                            n.shift();
                    }
                    return new a(n, 0);
                }
            };
            var w = [
                [
                    1,
                    26,
                    19
                ],
                [
                    1,
                    26,
                    16
                ],
                [
                    1,
                    26,
                    13
                ],
                [
                    1,
                    26,
                    9
                ],
                [
                    1,
                    44,
                    34
                ],
                [
                    1,
                    44,
                    28
                ],
                [
                    1,
                    44,
                    22
                ],
                [
                    1,
                    44,
                    16
                ],
                [
                    1,
                    70,
                    55
                ],
                [
                    1,
                    70,
                    44
                ],
                [
                    2,
                    35,
                    17
                ],
                [
                    2,
                    35,
                    13
                ],
                [
                    1,
                    100,
                    80
                ],
                [
                    2,
                    50,
                    32
                ],
                [
                    2,
                    50,
                    24
                ],
                [
                    4,
                    25,
                    9
                ],
                [
                    1,
                    134,
                    108
                ],
                [
                    2,
                    67,
                    43
                ],
                [
                    2,
                    33,
                    15,
                    2,
                    34,
                    16
                ],
                [
                    2,
                    33,
                    11,
                    2,
                    34,
                    12
                ],
                [
                    2,
                    86,
                    68
                ],
                [
                    4,
                    43,
                    27
                ],
                [
                    4,
                    43,
                    19
                ],
                [
                    4,
                    43,
                    15
                ],
                [
                    2,
                    98,
                    78
                ],
                [
                    4,
                    49,
                    31
                ],
                [
                    2,
                    32,
                    14,
                    4,
                    33,
                    15
                ],
                [
                    4,
                    39,
                    13,
                    1,
                    40,
                    14
                ],
                [
                    2,
                    121,
                    97
                ],
                [
                    2,
                    60,
                    38,
                    2,
                    61,
                    39
                ],
                [
                    4,
                    40,
                    18,
                    2,
                    41,
                    19
                ],
                [
                    4,
                    40,
                    14,
                    2,
                    41,
                    15
                ],
                [
                    2,
                    146,
                    116
                ],
                [
                    3,
                    58,
                    36,
                    2,
                    59,
                    37
                ],
                [
                    4,
                    36,
                    16,
                    4,
                    37,
                    17
                ],
                [
                    4,
                    36,
                    12,
                    4,
                    37,
                    13
                ],
                [
                    2,
                    86,
                    68,
                    2,
                    87,
                    69
                ],
                [
                    4,
                    69,
                    43,
                    1,
                    70,
                    44
                ],
                [
                    6,
                    43,
                    19,
                    2,
                    44,
                    20
                ],
                [
                    6,
                    43,
                    15,
                    2,
                    44,
                    16
                ],
                [
                    4,
                    101,
                    81
                ],
                [
                    1,
                    80,
                    50,
                    4,
                    81,
                    51
                ],
                [
                    4,
                    50,
                    22,
                    4,
                    51,
                    23
                ],
                [
                    3,
                    36,
                    12,
                    8,
                    37,
                    13
                ],
                [
                    2,
                    116,
                    92,
                    2,
                    117,
                    93
                ],
                [
                    6,
                    58,
                    36,
                    2,
                    59,
                    37
                ],
                [
                    4,
                    46,
                    20,
                    6,
                    47,
                    21
                ],
                [
                    7,
                    42,
                    14,
                    4,
                    43,
                    15
                ],
                [
                    4,
                    133,
                    107
                ],
                [
                    8,
                    59,
                    37,
                    1,
                    60,
                    38
                ],
                [
                    8,
                    44,
                    20,
                    4,
                    45,
                    21
                ],
                [
                    12,
                    33,
                    11,
                    4,
                    34,
                    12
                ],
                [
                    3,
                    145,
                    115,
                    1,
                    146,
                    116
                ],
                [
                    4,
                    64,
                    40,
                    5,
                    65,
                    41
                ],
                [
                    11,
                    36,
                    16,
                    5,
                    37,
                    17
                ],
                [
                    11,
                    36,
                    12,
                    5,
                    37,
                    13
                ],
                [
                    5,
                    109,
                    87,
                    1,
                    110,
                    88
                ],
                [
                    5,
                    65,
                    41,
                    5,
                    66,
                    42
                ],
                [
                    5,
                    54,
                    24,
                    7,
                    55,
                    25
                ],
                [
                    11,
                    36,
                    12
                ],
                [
                    5,
                    122,
                    98,
                    1,
                    123,
                    99
                ],
                [
                    7,
                    73,
                    45,
                    3,
                    74,
                    46
                ],
                [
                    15,
                    43,
                    19,
                    2,
                    44,
                    20
                ],
                [
                    3,
                    45,
                    15,
                    13,
                    46,
                    16
                ],
                [
                    1,
                    135,
                    107,
                    5,
                    136,
                    108
                ],
                [
                    10,
                    74,
                    46,
                    1,
                    75,
                    47
                ],
                [
                    1,
                    50,
                    22,
                    15,
                    51,
                    23
                ],
                [
                    2,
                    42,
                    14,
                    17,
                    43,
                    15
                ],
                [
                    5,
                    150,
                    120,
                    1,
                    151,
                    121
                ],
                [
                    9,
                    69,
                    43,
                    4,
                    70,
                    44
                ],
                [
                    17,
                    50,
                    22,
                    1,
                    51,
                    23
                ],
                [
                    2,
                    42,
                    14,
                    19,
                    43,
                    15
                ],
                [
                    3,
                    141,
                    113,
                    4,
                    142,
                    114
                ],
                [
                    3,
                    70,
                    44,
                    11,
                    71,
                    45
                ],
                [
                    17,
                    47,
                    21,
                    4,
                    48,
                    22
                ],
                [
                    9,
                    39,
                    13,
                    16,
                    40,
                    14
                ],
                [
                    3,
                    135,
                    107,
                    5,
                    136,
                    108
                ],
                [
                    3,
                    67,
                    41,
                    13,
                    68,
                    42
                ],
                [
                    15,
                    54,
                    24,
                    5,
                    55,
                    25
                ],
                [
                    15,
                    43,
                    15,
                    10,
                    44,
                    16
                ],
                [
                    4,
                    144,
                    116,
                    4,
                    145,
                    117
                ],
                [
                    17,
                    68,
                    42
                ],
                [
                    17,
                    50,
                    22,
                    6,
                    51,
                    23
                ],
                [
                    19,
                    46,
                    16,
                    6,
                    47,
                    17
                ],
                [
                    2,
                    139,
                    111,
                    7,
                    140,
                    112
                ],
                [
                    17,
                    74,
                    46
                ],
                [
                    7,
                    54,
                    24,
                    16,
                    55,
                    25
                ],
                [
                    34,
                    37,
                    13
                ],
                [
                    4,
                    151,
                    121,
                    5,
                    152,
                    122
                ],
                [
                    4,
                    75,
                    47,
                    14,
                    76,
                    48
                ],
                [
                    11,
                    54,
                    24,
                    14,
                    55,
                    25
                ],
                [
                    16,
                    45,
                    15,
                    14,
                    46,
                    16
                ],
                [
                    6,
                    147,
                    117,
                    4,
                    148,
                    118
                ],
                [
                    6,
                    73,
                    45,
                    14,
                    74,
                    46
                ],
                [
                    11,
                    54,
                    24,
                    16,
                    55,
                    25
                ],
                [
                    30,
                    46,
                    16,
                    2,
                    47,
                    17
                ],
                [
                    8,
                    132,
                    106,
                    4,
                    133,
                    107
                ],
                [
                    8,
                    75,
                    47,
                    13,
                    76,
                    48
                ],
                [
                    7,
                    54,
                    24,
                    22,
                    55,
                    25
                ],
                [
                    22,
                    45,
                    15,
                    13,
                    46,
                    16
                ],
                [
                    10,
                    142,
                    114,
                    2,
                    143,
                    115
                ],
                [
                    19,
                    74,
                    46,
                    4,
                    75,
                    47
                ],
                [
                    28,
                    50,
                    22,
                    6,
                    51,
                    23
                ],
                [
                    33,
                    46,
                    16,
                    4,
                    47,
                    17
                ],
                [
                    8,
                    152,
                    122,
                    4,
                    153,
                    123
                ],
                [
                    22,
                    73,
                    45,
                    3,
                    74,
                    46
                ],
                [
                    8,
                    53,
                    23,
                    26,
                    54,
                    24
                ],
                [
                    12,
                    45,
                    15,
                    28,
                    46,
                    16
                ],
                [
                    3,
                    147,
                    117,
                    10,
                    148,
                    118
                ],
                [
                    3,
                    73,
                    45,
                    23,
                    74,
                    46
                ],
                [
                    4,
                    54,
                    24,
                    31,
                    55,
                    25
                ],
                [
                    11,
                    45,
                    15,
                    31,
                    46,
                    16
                ],
                [
                    7,
                    146,
                    116,
                    7,
                    147,
                    117
                ],
                [
                    21,
                    73,
                    45,
                    7,
                    74,
                    46
                ],
                [
                    1,
                    53,
                    23,
                    37,
                    54,
                    24
                ],
                [
                    19,
                    45,
                    15,
                    26,
                    46,
                    16
                ],
                [
                    5,
                    145,
                    115,
                    10,
                    146,
                    116
                ],
                [
                    19,
                    75,
                    47,
                    10,
                    76,
                    48
                ],
                [
                    15,
                    54,
                    24,
                    25,
                    55,
                    25
                ],
                [
                    23,
                    45,
                    15,
                    25,
                    46,
                    16
                ],
                [
                    13,
                    145,
                    115,
                    3,
                    146,
                    116
                ],
                [
                    2,
                    74,
                    46,
                    29,
                    75,
                    47
                ],
                [
                    42,
                    54,
                    24,
                    1,
                    55,
                    25
                ],
                [
                    23,
                    45,
                    15,
                    28,
                    46,
                    16
                ],
                [
                    17,
                    145,
                    115
                ],
                [
                    10,
                    74,
                    46,
                    23,
                    75,
                    47
                ],
                [
                    10,
                    54,
                    24,
                    35,
                    55,
                    25
                ],
                [
                    19,
                    45,
                    15,
                    35,
                    46,
                    16
                ],
                [
                    17,
                    145,
                    115,
                    1,
                    146,
                    116
                ],
                [
                    14,
                    74,
                    46,
                    21,
                    75,
                    47
                ],
                [
                    29,
                    54,
                    24,
                    19,
                    55,
                    25
                ],
                [
                    11,
                    45,
                    15,
                    46,
                    46,
                    16
                ],
                [
                    13,
                    145,
                    115,
                    6,
                    146,
                    116
                ],
                [
                    14,
                    74,
                    46,
                    23,
                    75,
                    47
                ],
                [
                    44,
                    54,
                    24,
                    7,
                    55,
                    25
                ],
                [
                    59,
                    46,
                    16,
                    1,
                    47,
                    17
                ],
                [
                    12,
                    151,
                    121,
                    7,
                    152,
                    122
                ],
                [
                    12,
                    75,
                    47,
                    26,
                    76,
                    48
                ],
                [
                    39,
                    54,
                    24,
                    14,
                    55,
                    25
                ],
                [
                    22,
                    45,
                    15,
                    41,
                    46,
                    16
                ],
                [
                    6,
                    151,
                    121,
                    14,
                    152,
                    122
                ],
                [
                    6,
                    75,
                    47,
                    34,
                    76,
                    48
                ],
                [
                    46,
                    54,
                    24,
                    10,
                    55,
                    25
                ],
                [
                    2,
                    45,
                    15,
                    64,
                    46,
                    16
                ],
                [
                    17,
                    152,
                    122,
                    4,
                    153,
                    123
                ],
                [
                    29,
                    74,
                    46,
                    14,
                    75,
                    47
                ],
                [
                    49,
                    54,
                    24,
                    10,
                    55,
                    25
                ],
                [
                    24,
                    45,
                    15,
                    46,
                    46,
                    16
                ],
                [
                    4,
                    152,
                    122,
                    18,
                    153,
                    123
                ],
                [
                    13,
                    74,
                    46,
                    32,
                    75,
                    47
                ],
                [
                    48,
                    54,
                    24,
                    14,
                    55,
                    25
                ],
                [
                    42,
                    45,
                    15,
                    32,
                    46,
                    16
                ],
                [
                    20,
                    147,
                    117,
                    4,
                    148,
                    118
                ],
                [
                    40,
                    75,
                    47,
                    7,
                    76,
                    48
                ],
                [
                    43,
                    54,
                    24,
                    22,
                    55,
                    25
                ],
                [
                    10,
                    45,
                    15,
                    67,
                    46,
                    16
                ],
                [
                    19,
                    148,
                    118,
                    6,
                    149,
                    119
                ],
                [
                    18,
                    75,
                    47,
                    31,
                    76,
                    48
                ],
                [
                    34,
                    54,
                    24,
                    34,
                    55,
                    25
                ],
                [
                    20,
                    45,
                    15,
                    61,
                    46,
                    16
                ]
            ];
            s.prototype.getRightType = function () {
                for (var t = 1; 41 > t; t++) {
                    var e = w[4 * (t - 1) + this.errorCorrectLevel];
                    if (void 0 == e)
                        throw new Error('bad rs block @ typeNumber:' + t + '/errorCorrectLevel:' + this.errorCorrectLevel);
                    for (var i = e.length / 3, n = 0, o = 0; i > o; o++) {
                        var s = e[3 * o + 0], a = e[3 * o + 2];
                        n += a * s;
                    }
                    var r = t > 9 ? 2 : 1;
                    if (this.utf8bytes.length + r < n || 40 == t) {
                        this.typeNumber = t, this.rsBlock = e, this.totalDataCount = n;
                        break;
                    }
                }
            }, r.prototype = {
                get: function (t) {
                    var e = Math.floor(t / 8);
                    return this.buffer[e] >>> 7 - t % 8 & 1;
                },
                put: function (t, e) {
                    for (var i = 0; e > i; i++)
                        this.putBit(t >>> e - i - 1 & 1);
                },
                putBit: function (t) {
                    var e = Math.floor(this.length / 8);
                    this.buffer.length <= e && this.buffer.push(0), t && (this.buffer[e] |= 128 >>> this.length % 8), this.length++;
                }
            }, s.prototype = {
                constructor: s,
                getModuleCount: function () {
                    return this.moduleCount;
                },
                make: function () {
                    this.getRightType(), this.dataCache = this.createData(), this.createQrcode();
                },
                makeImpl: function (t) {
                    this.moduleCount = 4 * this.typeNumber + 17, this.modules = new Array(this.moduleCount);
                    for (var e = 0; e < this.moduleCount; e++)
                        this.modules[e] = new Array(this.moduleCount);
                    this.setupPositionProbePattern(0, 0), this.setupPositionProbePattern(this.moduleCount - 7, 0), this.setupPositionProbePattern(0, this.moduleCount - 7), this.setupPositionAdjustPattern(), this.setupTimingPattern(), this.setupTypeInfo(!0, t), this.typeNumber >= 7 && this.setupTypeNumber(!0), this.mapData(this.dataCache, t);
                },
                setupPositionProbePattern: function (t, e) {
                    for (var i = -1; 7 >= i; i++)
                        if (!(-1 >= t + i || this.moduleCount <= t + i))
                            for (var n = -1; 7 >= n; n++)
                                -1 >= e + n || this.moduleCount <= e + n || (i >= 0 && 6 >= i && (0 == n || 6 == n) || n >= 0 && 6 >= n && (0 == i || 6 == i) || i >= 2 && 4 >= i && n >= 2 && 4 >= n ? this.modules[t + i][e + n] = !0 : this.modules[t + i][e + n] = !1);
                },
                createQrcode: function () {
                    for (var t = 0, e = 0, i = null, n = 0; 8 > n; n++) {
                        this.makeImpl(n);
                        var o = f.getLostPoint(this);
                        (0 == n || t > o) && (t = o, e = n, i = this.modules);
                    }
                    this.modules = i, this.setupTypeInfo(!1, e), this.typeNumber >= 7 && this.setupTypeNumber(!1);
                },
                setupTimingPattern: function () {
                    for (var t = 8; t < this.moduleCount - 8; t++)
                        null == this.modules[t][6] && (this.modules[t][6] = t % 2 == 0, null == this.modules[6][t] && (this.modules[6][t] = t % 2 == 0));
                },
                setupPositionAdjustPattern: function () {
                    for (var t = f.getPatternPosition(this.typeNumber), e = 0; e < t.length; e++)
                        for (var i = 0; i < t.length; i++) {
                            var n = t[e], o = t[i];
                            if (null == this.modules[n][o])
                                for (var s = -2; 2 >= s; s++)
                                    for (var a = -2; 2 >= a; a++)
                                        -2 == s || 2 == s || -2 == a || 2 == a || 0 == s && 0 == a ? this.modules[n + s][o + a] = !0 : this.modules[n + s][o + a] = !1;
                        }
                },
                setupTypeNumber: function (t) {
                    for (var e = f.getBCHTypeNumber(this.typeNumber), i = 0; 18 > i; i++) {
                        var n = !t && 1 == (e >> i & 1);
                        this.modules[Math.floor(i / 3)][i % 3 + this.moduleCount - 8 - 3] = n, this.modules[i % 3 + this.moduleCount - 8 - 3][Math.floor(i / 3)] = n;
                    }
                },
                setupTypeInfo: function (t, e) {
                    for (var i = p[this.errorCorrectLevel] << 3 | e, n = f.getBCHTypeInfo(i), o = 0; 15 > o; o++) {
                        var s = !t && 1 == (n >> o & 1);
                        6 > o ? this.modules[o][8] = s : 8 > o ? this.modules[o + 1][8] = s : this.modules[this.moduleCount - 15 + o][8] = s;
                        var s = !t && 1 == (n >> o & 1);
                        8 > o ? this.modules[8][this.moduleCount - o - 1] = s : 9 > o ? this.modules[8][15 - o - 1 + 1] = s : this.modules[8][15 - o - 1] = s;
                    }
                    this.modules[this.moduleCount - 8][8] = !t;
                },
                createData: function () {
                    var t = new r(), e = this.typeNumber > 9 ? 16 : 8;
                    t.put(4, 4), t.put(this.utf8bytes.length, e);
                    for (var i = 0, n = this.utf8bytes.length; n > i; i++)
                        t.put(this.utf8bytes[i], 8);
                    for (t.length + 4 <= 8 * this.totalDataCount && t.put(0, 4); t.length % 8 != 0;)
                        t.putBit(!1);
                    for (;;) {
                        if (t.length >= 8 * this.totalDataCount)
                            break;
                        if (t.put(s.PAD0, 8), t.length >= 8 * this.totalDataCount)
                            break;
                        t.put(s.PAD1, 8);
                    }
                    return this.createBytes(t);
                },
                createBytes: function (t) {
                    for (var e = 0, i = 0, n = 0, o = this.rsBlock.length / 3, s = new Array(), r = 0; o > r; r++)
                        for (var l = this.rsBlock[3 * r + 0], c = this.rsBlock[3 * r + 1], h = this.rsBlock[3 * r + 2], u = 0; l > u; u++)
                            s.push([
                                h,
                                c
                            ]);
                    for (var d = new Array(s.length), p = new Array(s.length), m = 0; m < s.length; m++) {
                        var v = s[m][0], g = s[m][1] - v;
                        i = Math.max(i, v), n = Math.max(n, g), d[m] = new Array(v);
                        for (var r = 0; r < d[m].length; r++)
                            d[m][r] = 255 & t.buffer[r + e];
                        e += v;
                        var w = f.getErrorCorrectPolynomial(g), y = new a(d[m], w.getLength() - 1), b = y.mod(w);
                        p[m] = new Array(w.getLength() - 1);
                        for (var r = 0; r < p[m].length; r++) {
                            var T = r + b.getLength() - p[m].length;
                            p[m][r] = T >= 0 ? b.get(T) : 0;
                        }
                    }
                    for (var x = new Array(this.totalDataCount), C = 0, r = 0; i > r; r++)
                        for (var m = 0; m < s.length; m++)
                            r < d[m].length && (x[C++] = d[m][r]);
                    for (var r = 0; n > r; r++)
                        for (var m = 0; m < s.length; m++)
                            r < p[m].length && (x[C++] = p[m][r]);
                    return x;
                },
                mapData: function (t, e) {
                    for (var i = -1, n = this.moduleCount - 1, o = 7, s = 0, a = this.moduleCount - 1; a > 0; a -= 2)
                        for (6 == a && a--;;) {
                            for (var r = 0; 2 > r; r++)
                                if (null == this.modules[n][a - r]) {
                                    var l = !1;
                                    s < t.length && (l = 1 == (t[s] >>> o & 1));
                                    var c = f.getMask(e, n, a - r);
                                    c && (l = !l), this.modules[n][a - r] = l, o--, -1 == o && (s++, o = 7);
                                }
                            if (n += i, 0 > n || this.moduleCount <= n) {
                                n -= i, i = -i;
                                break;
                            }
                        }
                }
            }, s.PAD0 = 236, s.PAD1 = 17;
            for (var p = [
                        1,
                        0,
                        3,
                        2
                    ], m = {
                        PATTERN000: 0,
                        PATTERN001: 1,
                        PATTERN010: 2,
                        PATTERN011: 3,
                        PATTERN100: 4,
                        PATTERN101: 5,
                        PATTERN110: 6,
                        PATTERN111: 7
                    }, f = {
                        PATTERN_POSITION_TABLE: [
                            [],
                            [
                                6,
                                18
                            ],
                            [
                                6,
                                22
                            ],
                            [
                                6,
                                26
                            ],
                            [
                                6,
                                30
                            ],
                            [
                                6,
                                34
                            ],
                            [
                                6,
                                22,
                                38
                            ],
                            [
                                6,
                                24,
                                42
                            ],
                            [
                                6,
                                26,
                                46
                            ],
                            [
                                6,
                                28,
                                50
                            ],
                            [
                                6,
                                30,
                                54
                            ],
                            [
                                6,
                                32,
                                58
                            ],
                            [
                                6,
                                34,
                                62
                            ],
                            [
                                6,
                                26,
                                46,
                                66
                            ],
                            [
                                6,
                                26,
                                48,
                                70
                            ],
                            [
                                6,
                                26,
                                50,
                                74
                            ],
                            [
                                6,
                                30,
                                54,
                                78
                            ],
                            [
                                6,
                                30,
                                56,
                                82
                            ],
                            [
                                6,
                                30,
                                58,
                                86
                            ],
                            [
                                6,
                                34,
                                62,
                                90
                            ],
                            [
                                6,
                                28,
                                50,
                                72,
                                94
                            ],
                            [
                                6,
                                26,
                                50,
                                74,
                                98
                            ],
                            [
                                6,
                                30,
                                54,
                                78,
                                102
                            ],
                            [
                                6,
                                28,
                                54,
                                80,
                                106
                            ],
                            [
                                6,
                                32,
                                58,
                                84,
                                110
                            ],
                            [
                                6,
                                30,
                                58,
                                86,
                                114
                            ],
                            [
                                6,
                                34,
                                62,
                                90,
                                118
                            ],
                            [
                                6,
                                26,
                                50,
                                74,
                                98,
                                122
                            ],
                            [
                                6,
                                30,
                                54,
                                78,
                                102,
                                126
                            ],
                            [
                                6,
                                26,
                                52,
                                78,
                                104,
                                130
                            ],
                            [
                                6,
                                30,
                                56,
                                82,
                                108,
                                134
                            ],
                            [
                                6,
                                34,
                                60,
                                86,
                                112,
                                138
                            ],
                            [
                                6,
                                30,
                                58,
                                86,
                                114,
                                142
                            ],
                            [
                                6,
                                34,
                                62,
                                90,
                                118,
                                146
                            ],
                            [
                                6,
                                30,
                                54,
                                78,
                                102,
                                126,
                                150
                            ],
                            [
                                6,
                                24,
                                50,
                                76,
                                102,
                                128,
                                154
                            ],
                            [
                                6,
                                28,
                                54,
                                80,
                                106,
                                132,
                                158
                            ],
                            [
                                6,
                                32,
                                58,
                                84,
                                110,
                                136,
                                162
                            ],
                            [
                                6,
                                26,
                                54,
                                82,
                                110,
                                138,
                                166
                            ],
                            [
                                6,
                                30,
                                58,
                                86,
                                114,
                                142,
                                170
                            ]
                        ],
                        G15: 1335,
                        G18: 7973,
                        G15_MASK: 21522,
                        getBCHTypeInfo: function (t) {
                            for (var e = t << 10; f.getBCHDigit(e) - f.getBCHDigit(f.G15) >= 0;)
                                e ^= f.G15 << f.getBCHDigit(e) - f.getBCHDigit(f.G15);
                            return (t << 10 | e) ^ f.G15_MASK;
                        },
                        getBCHTypeNumber: function (t) {
                            for (var e = t << 12; f.getBCHDigit(e) - f.getBCHDigit(f.G18) >= 0;)
                                e ^= f.G18 << f.getBCHDigit(e) - f.getBCHDigit(f.G18);
                            return t << 12 | e;
                        },
                        getBCHDigit: function (t) {
                            for (var e = 0; 0 != t;)
                                e++, t >>>= 1;
                            return e;
                        },
                        getPatternPosition: function (t) {
                            return f.PATTERN_POSITION_TABLE[t - 1];
                        },
                        getMask: function (t, e, i) {
                            switch (t) {
                            case m.PATTERN000:
                                return (e + i) % 2 == 0;
                            case m.PATTERN001:
                                return e % 2 == 0;
                            case m.PATTERN010:
                                return i % 3 == 0;
                            case m.PATTERN011:
                                return (e + i) % 3 == 0;
                            case m.PATTERN100:
                                return (Math.floor(e / 2) + Math.floor(i / 3)) % 2 == 0;
                            case m.PATTERN101:
                                return e * i % 2 + e * i % 3 == 0;
                            case m.PATTERN110:
                                return (e * i % 2 + e * i % 3) % 2 == 0;
                            case m.PATTERN111:
                                return (e * i % 3 + (e + i) % 2) % 2 == 0;
                            default:
                                throw new Error('bad maskPattern:' + t);
                            }
                        },
                        getErrorCorrectPolynomial: function (t) {
                            for (var e = new a([1], 0), i = 0; t > i; i++)
                                e = e.multiply(new a([
                                    1,
                                    v.gexp(i)
                                ], 0));
                            return e;
                        },
                        getLostPoint: function (t) {
                            for (var e = t.getModuleCount(), i = 0, n = 0, o = 0; e > o; o++)
                                for (var s = 0, a = t.modules[o][0], r = 0; e > r; r++) {
                                    var l = t.modules[o][r];
                                    if (e - 6 > r && l && !t.modules[o][r + 1] && t.modules[o][r + 2] && t.modules[o][r + 3] && t.modules[o][r + 4] && !t.modules[o][r + 5] && t.modules[o][r + 6] && (e - 10 > r ? t.modules[o][r + 7] && t.modules[o][r + 8] && t.modules[o][r + 9] && t.modules[o][r + 10] && (i += 40) : r > 3 && t.modules[o][r - 1] && t.modules[o][r - 2] && t.modules[o][r - 3] && t.modules[o][r - 4] && (i += 40)), e - 1 > o && e - 1 > r) {
                                        var c = 0;
                                        l && c++, t.modules[o + 1][r] && c++, t.modules[o][r + 1] && c++, t.modules[o + 1][r + 1] && c++, 0 != c && 4 != c || (i += 3);
                                    }
                                    a ^ l ? s++ : (a = l, s >= 5 && (i += 3 + s - 5), s = 1), l && n++;
                                }
                            for (var r = 0; e > r; r++)
                                for (var s = 0, a = t.modules[0][r], o = 0; e > o; o++) {
                                    var l = t.modules[o][r];
                                    e - 6 > o && l && !t.modules[o + 1][r] && t.modules[o + 2][r] && t.modules[o + 3][r] && t.modules[o + 4][r] && !t.modules[o + 5][r] && t.modules[o + 6][r] && (e - 10 > o ? t.modules[o + 7][r] && t.modules[o + 8][r] && t.modules[o + 9][r] && t.modules[o + 10][r] && (i += 40) : o > 3 && t.modules[o - 1][r] && t.modules[o - 2][r] && t.modules[o - 3][r] && t.modules[o - 4][r] && (i += 40)), a ^ l ? s++ : (a = l, s >= 5 && (i += 3 + s - 5), s = 1);
                                }
                            var h = Math.abs(100 * n / e / e - 50) / 5;
                            return i += 10 * h;
                        }
                    }, v = {
                        glog: function (t) {
                            if (1 > t)
                                throw new Error('glog(' + t + ')');
                            return v.LOG_TABLE[t];
                        },
                        gexp: function (t) {
                            for (; 0 > t;)
                                t += 255;
                            for (; t >= 256;)
                                t -= 255;
                            return v.EXP_TABLE[t];
                        },
                        EXP_TABLE: new Array(256),
                        LOG_TABLE: new Array(256)
                    }, g = 0; 8 > g; g++)
                v.EXP_TABLE[g] = 1 << g;
            for (var g = 8; 256 > g; g++)
                v.EXP_TABLE[g] = v.EXP_TABLE[g - 4] ^ v.EXP_TABLE[g - 5] ^ v.EXP_TABLE[g - 6] ^ v.EXP_TABLE[g - 8];
            for (var g = 0; 255 > g; g++)
                v.LOG_TABLE[v.EXP_TABLE[g]] = g;
            a.prototype = {
                get: function (t) {
                    return this.num[t];
                },
                getLength: function () {
                    return this.num.length;
                },
                multiply: function (t) {
                    for (var e = new Array(this.getLength() + t.getLength() - 1), i = 0; i < this.getLength(); i++)
                        for (var n = 0; n < t.getLength(); n++)
                            e[i + n] ^= v.gexp(v.glog(this.get(i)) + v.glog(t.get(n)));
                    return new a(e, 0);
                },
                mod: function (t) {
                    var e = this.getLength(), i = t.getLength();
                    if (0 > e - i)
                        return this;
                    for (var n = new Array(e), o = 0; e > o; o++)
                        n[o] = this.get(o);
                    for (; n.length >= i;) {
                        for (var s = v.glog(n[0]) - v.glog(t.get(0)), o = 0; o < t.getLength(); o++)
                            n[o] ^= v.gexp(v.glog(t.get(o)) + s);
                        for (; 0 == n[0];)
                            n.shift();
                    }
                    return new a(n, 0);
                }
            }, w = [
                [
                    1,
                    26,
                    19
                ],
                [
                    1,
                    26,
                    16
                ],
                [
                    1,
                    26,
                    13
                ],
                [
                    1,
                    26,
                    9
                ],
                [
                    1,
                    44,
                    34
                ],
                [
                    1,
                    44,
                    28
                ],
                [
                    1,
                    44,
                    22
                ],
                [
                    1,
                    44,
                    16
                ],
                [
                    1,
                    70,
                    55
                ],
                [
                    1,
                    70,
                    44
                ],
                [
                    2,
                    35,
                    17
                ],
                [
                    2,
                    35,
                    13
                ],
                [
                    1,
                    100,
                    80
                ],
                [
                    2,
                    50,
                    32
                ],
                [
                    2,
                    50,
                    24
                ],
                [
                    4,
                    25,
                    9
                ],
                [
                    1,
                    134,
                    108
                ],
                [
                    2,
                    67,
                    43
                ],
                [
                    2,
                    33,
                    15,
                    2,
                    34,
                    16
                ],
                [
                    2,
                    33,
                    11,
                    2,
                    34,
                    12
                ],
                [
                    2,
                    86,
                    68
                ],
                [
                    4,
                    43,
                    27
                ],
                [
                    4,
                    43,
                    19
                ],
                [
                    4,
                    43,
                    15
                ],
                [
                    2,
                    98,
                    78
                ],
                [
                    4,
                    49,
                    31
                ],
                [
                    2,
                    32,
                    14,
                    4,
                    33,
                    15
                ],
                [
                    4,
                    39,
                    13,
                    1,
                    40,
                    14
                ],
                [
                    2,
                    121,
                    97
                ],
                [
                    2,
                    60,
                    38,
                    2,
                    61,
                    39
                ],
                [
                    4,
                    40,
                    18,
                    2,
                    41,
                    19
                ],
                [
                    4,
                    40,
                    14,
                    2,
                    41,
                    15
                ],
                [
                    2,
                    146,
                    116
                ],
                [
                    3,
                    58,
                    36,
                    2,
                    59,
                    37
                ],
                [
                    4,
                    36,
                    16,
                    4,
                    37,
                    17
                ],
                [
                    4,
                    36,
                    12,
                    4,
                    37,
                    13
                ],
                [
                    2,
                    86,
                    68,
                    2,
                    87,
                    69
                ],
                [
                    4,
                    69,
                    43,
                    1,
                    70,
                    44
                ],
                [
                    6,
                    43,
                    19,
                    2,
                    44,
                    20
                ],
                [
                    6,
                    43,
                    15,
                    2,
                    44,
                    16
                ],
                [
                    4,
                    101,
                    81
                ],
                [
                    1,
                    80,
                    50,
                    4,
                    81,
                    51
                ],
                [
                    4,
                    50,
                    22,
                    4,
                    51,
                    23
                ],
                [
                    3,
                    36,
                    12,
                    8,
                    37,
                    13
                ],
                [
                    2,
                    116,
                    92,
                    2,
                    117,
                    93
                ],
                [
                    6,
                    58,
                    36,
                    2,
                    59,
                    37
                ],
                [
                    4,
                    46,
                    20,
                    6,
                    47,
                    21
                ],
                [
                    7,
                    42,
                    14,
                    4,
                    43,
                    15
                ],
                [
                    4,
                    133,
                    107
                ],
                [
                    8,
                    59,
                    37,
                    1,
                    60,
                    38
                ],
                [
                    8,
                    44,
                    20,
                    4,
                    45,
                    21
                ],
                [
                    12,
                    33,
                    11,
                    4,
                    34,
                    12
                ],
                [
                    3,
                    145,
                    115,
                    1,
                    146,
                    116
                ],
                [
                    4,
                    64,
                    40,
                    5,
                    65,
                    41
                ],
                [
                    11,
                    36,
                    16,
                    5,
                    37,
                    17
                ],
                [
                    11,
                    36,
                    12,
                    5,
                    37,
                    13
                ],
                [
                    5,
                    109,
                    87,
                    1,
                    110,
                    88
                ],
                [
                    5,
                    65,
                    41,
                    5,
                    66,
                    42
                ],
                [
                    5,
                    54,
                    24,
                    7,
                    55,
                    25
                ],
                [
                    11,
                    36,
                    12
                ],
                [
                    5,
                    122,
                    98,
                    1,
                    123,
                    99
                ],
                [
                    7,
                    73,
                    45,
                    3,
                    74,
                    46
                ],
                [
                    15,
                    43,
                    19,
                    2,
                    44,
                    20
                ],
                [
                    3,
                    45,
                    15,
                    13,
                    46,
                    16
                ],
                [
                    1,
                    135,
                    107,
                    5,
                    136,
                    108
                ],
                [
                    10,
                    74,
                    46,
                    1,
                    75,
                    47
                ],
                [
                    1,
                    50,
                    22,
                    15,
                    51,
                    23
                ],
                [
                    2,
                    42,
                    14,
                    17,
                    43,
                    15
                ],
                [
                    5,
                    150,
                    120,
                    1,
                    151,
                    121
                ],
                [
                    9,
                    69,
                    43,
                    4,
                    70,
                    44
                ],
                [
                    17,
                    50,
                    22,
                    1,
                    51,
                    23
                ],
                [
                    2,
                    42,
                    14,
                    19,
                    43,
                    15
                ],
                [
                    3,
                    141,
                    113,
                    4,
                    142,
                    114
                ],
                [
                    3,
                    70,
                    44,
                    11,
                    71,
                    45
                ],
                [
                    17,
                    47,
                    21,
                    4,
                    48,
                    22
                ],
                [
                    9,
                    39,
                    13,
                    16,
                    40,
                    14
                ],
                [
                    3,
                    135,
                    107,
                    5,
                    136,
                    108
                ],
                [
                    3,
                    67,
                    41,
                    13,
                    68,
                    42
                ],
                [
                    15,
                    54,
                    24,
                    5,
                    55,
                    25
                ],
                [
                    15,
                    43,
                    15,
                    10,
                    44,
                    16
                ],
                [
                    4,
                    144,
                    116,
                    4,
                    145,
                    117
                ],
                [
                    17,
                    68,
                    42
                ],
                [
                    17,
                    50,
                    22,
                    6,
                    51,
                    23
                ],
                [
                    19,
                    46,
                    16,
                    6,
                    47,
                    17
                ],
                [
                    2,
                    139,
                    111,
                    7,
                    140,
                    112
                ],
                [
                    17,
                    74,
                    46
                ],
                [
                    7,
                    54,
                    24,
                    16,
                    55,
                    25
                ],
                [
                    34,
                    37,
                    13
                ],
                [
                    4,
                    151,
                    121,
                    5,
                    152,
                    122
                ],
                [
                    4,
                    75,
                    47,
                    14,
                    76,
                    48
                ],
                [
                    11,
                    54,
                    24,
                    14,
                    55,
                    25
                ],
                [
                    16,
                    45,
                    15,
                    14,
                    46,
                    16
                ],
                [
                    6,
                    147,
                    117,
                    4,
                    148,
                    118
                ],
                [
                    6,
                    73,
                    45,
                    14,
                    74,
                    46
                ],
                [
                    11,
                    54,
                    24,
                    16,
                    55,
                    25
                ],
                [
                    30,
                    46,
                    16,
                    2,
                    47,
                    17
                ],
                [
                    8,
                    132,
                    106,
                    4,
                    133,
                    107
                ],
                [
                    8,
                    75,
                    47,
                    13,
                    76,
                    48
                ],
                [
                    7,
                    54,
                    24,
                    22,
                    55,
                    25
                ],
                [
                    22,
                    45,
                    15,
                    13,
                    46,
                    16
                ],
                [
                    10,
                    142,
                    114,
                    2,
                    143,
                    115
                ],
                [
                    19,
                    74,
                    46,
                    4,
                    75,
                    47
                ],
                [
                    28,
                    50,
                    22,
                    6,
                    51,
                    23
                ],
                [
                    33,
                    46,
                    16,
                    4,
                    47,
                    17
                ],
                [
                    8,
                    152,
                    122,
                    4,
                    153,
                    123
                ],
                [
                    22,
                    73,
                    45,
                    3,
                    74,
                    46
                ],
                [
                    8,
                    53,
                    23,
                    26,
                    54,
                    24
                ],
                [
                    12,
                    45,
                    15,
                    28,
                    46,
                    16
                ],
                [
                    3,
                    147,
                    117,
                    10,
                    148,
                    118
                ],
                [
                    3,
                    73,
                    45,
                    23,
                    74,
                    46
                ],
                [
                    4,
                    54,
                    24,
                    31,
                    55,
                    25
                ],
                [
                    11,
                    45,
                    15,
                    31,
                    46,
                    16
                ],
                [
                    7,
                    146,
                    116,
                    7,
                    147,
                    117
                ],
                [
                    21,
                    73,
                    45,
                    7,
                    74,
                    46
                ],
                [
                    1,
                    53,
                    23,
                    37,
                    54,
                    24
                ],
                [
                    19,
                    45,
                    15,
                    26,
                    46,
                    16
                ],
                [
                    5,
                    145,
                    115,
                    10,
                    146,
                    116
                ],
                [
                    19,
                    75,
                    47,
                    10,
                    76,
                    48
                ],
                [
                    15,
                    54,
                    24,
                    25,
                    55,
                    25
                ],
                [
                    23,
                    45,
                    15,
                    25,
                    46,
                    16
                ],
                [
                    13,
                    145,
                    115,
                    3,
                    146,
                    116
                ],
                [
                    2,
                    74,
                    46,
                    29,
                    75,
                    47
                ],
                [
                    42,
                    54,
                    24,
                    1,
                    55,
                    25
                ],
                [
                    23,
                    45,
                    15,
                    28,
                    46,
                    16
                ],
                [
                    17,
                    145,
                    115
                ],
                [
                    10,
                    74,
                    46,
                    23,
                    75,
                    47
                ],
                [
                    10,
                    54,
                    24,
                    35,
                    55,
                    25
                ],
                [
                    19,
                    45,
                    15,
                    35,
                    46,
                    16
                ],
                [
                    17,
                    145,
                    115,
                    1,
                    146,
                    116
                ],
                [
                    14,
                    74,
                    46,
                    21,
                    75,
                    47
                ],
                [
                    29,
                    54,
                    24,
                    19,
                    55,
                    25
                ],
                [
                    11,
                    45,
                    15,
                    46,
                    46,
                    16
                ],
                [
                    13,
                    145,
                    115,
                    6,
                    146,
                    116
                ],
                [
                    14,
                    74,
                    46,
                    23,
                    75,
                    47
                ],
                [
                    44,
                    54,
                    24,
                    7,
                    55,
                    25
                ],
                [
                    59,
                    46,
                    16,
                    1,
                    47,
                    17
                ],
                [
                    12,
                    151,
                    121,
                    7,
                    152,
                    122
                ],
                [
                    12,
                    75,
                    47,
                    26,
                    76,
                    48
                ],
                [
                    39,
                    54,
                    24,
                    14,
                    55,
                    25
                ],
                [
                    22,
                    45,
                    15,
                    41,
                    46,
                    16
                ],
                [
                    6,
                    151,
                    121,
                    14,
                    152,
                    122
                ],
                [
                    6,
                    75,
                    47,
                    34,
                    76,
                    48
                ],
                [
                    46,
                    54,
                    24,
                    10,
                    55,
                    25
                ],
                [
                    2,
                    45,
                    15,
                    64,
                    46,
                    16
                ],
                [
                    17,
                    152,
                    122,
                    4,
                    153,
                    123
                ],
                [
                    29,
                    74,
                    46,
                    14,
                    75,
                    47
                ],
                [
                    49,
                    54,
                    24,
                    10,
                    55,
                    25
                ],
                [
                    24,
                    45,
                    15,
                    46,
                    46,
                    16
                ],
                [
                    4,
                    152,
                    122,
                    18,
                    153,
                    123
                ],
                [
                    13,
                    74,
                    46,
                    32,
                    75,
                    47
                ],
                [
                    48,
                    54,
                    24,
                    14,
                    55,
                    25
                ],
                [
                    42,
                    45,
                    15,
                    32,
                    46,
                    16
                ],
                [
                    20,
                    147,
                    117,
                    4,
                    148,
                    118
                ],
                [
                    40,
                    75,
                    47,
                    7,
                    76,
                    48
                ],
                [
                    43,
                    54,
                    24,
                    22,
                    55,
                    25
                ],
                [
                    10,
                    45,
                    15,
                    67,
                    46,
                    16
                ],
                [
                    19,
                    148,
                    118,
                    6,
                    149,
                    119
                ],
                [
                    18,
                    75,
                    47,
                    31,
                    76,
                    48
                ],
                [
                    34,
                    54,
                    24,
                    34,
                    55,
                    25
                ],
                [
                    20,
                    45,
                    15,
                    61,
                    46,
                    16
                ]
            ], s.prototype.getRightType = function () {
                for (var t = 1; 41 > t; t++) {
                    var e = w[4 * (t - 1) + this.errorCorrectLevel];
                    if (void 0 == e)
                        throw new Error('bad rs block @ typeNumber:' + t + '/errorCorrectLevel:' + this.errorCorrectLevel);
                    for (var i = e.length / 3, n = 0, o = 0; i > o; o++) {
                        var s = e[3 * o + 0], a = e[3 * o + 2];
                        n += a * s;
                    }
                    var r = t > 9 ? 2 : 1;
                    if (this.utf8bytes.length + r < n || 40 == t) {
                        this.typeNumber = t, this.rsBlock = e, this.totalDataCount = n;
                        break;
                    }
                }
            }, r.prototype = {
                get: function (t) {
                    var e = Math.floor(t / 8);
                    return this.buffer[e] >>> 7 - t % 8 & 1;
                },
                put: function (t, e) {
                    for (var i = 0; e > i; i++)
                        this.putBit(t >>> e - i - 1 & 1);
                },
                putBit: function (t) {
                    var e = Math.floor(this.length / 8);
                    this.buffer.length <= e && this.buffer.push(0), t && (this.buffer[e] |= 128 >>> this.length % 8), this.length++;
                }
            }, c.fn.qrcode = function (t) {
                return this.each(function () {
                    c(this).append(new d(t));
                });
            }, t.exports = h.qrcode = d;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = function (t, e) {
                    var i = this;
                    this.options = n.extend({}, s.DEFAULTS, e), this.$element = n(t), this.sticked = null, this.inited = null, this.$holder = void 0, this.$window = n(window).on('scroll.sticky.amui', o.utils.debounce(n.proxy(this.checkPosition, this), 10)).on('resize.sticky.amui orientationchange.sticky.amui', o.utils.debounce(function () {
                        i.reset(!0, function () {
                            i.checkPosition();
                        });
                    }, 50)).on('load.sticky.amui', n.proxy(this.checkPosition, this)), this.offset = this.$element.offset(), this.init();
                };
            s.DEFAULTS = {
                top: 0,
                bottom: 0,
                animation: '',
                className: {
                    sticky: 'am-sticky',
                    resetting: 'am-sticky-resetting',
                    stickyBtm: 'am-sticky-bottom',
                    animationRev: 'am-animation-reverse'
                }
            }, s.prototype.init = function () {
                var t = this.check();
                if (!t)
                    return !1;
                var e = this.$element, i = '';
                n.each(e.css([
                    'marginTop',
                    'marginRight',
                    'marginBottom',
                    'marginLeft'
                ]), function (t, e) {
                    return i += ' ' + e;
                });
                var o = n('<div class="am-sticky-placeholder"></div>').css({
                    height: 'absolute' !== e.css('position') ? e.outerHeight() : '',
                    'float': 'none' != e.css('float') ? e.css('float') : '',
                    margin: i
                });
                return this.$holder = e.css('margin', 0).wrap(o).parent(), this.inited = 1, !0;
            }, s.prototype.reset = function (t, e) {
                var i = this.options, n = this.$element, s = i.animation ? ' am-animation-' + i.animation : '', a = function () {
                        n.css({
                            position: '',
                            top: '',
                            width: '',
                            left: '',
                            margin: 0
                        }), n.removeClass([
                            s,
                            i.className.animationRev,
                            i.className.sticky,
                            i.className.resetting
                        ].join(' ')), this.animating = !1, this.sticked = !1, this.offset = n.offset(), e && e();
                    }.bind(this);
                n.addClass(i.className.resetting), !t && i.animation && o.support.animation ? (this.animating = !0, n.removeClass(s).one(o.support.animation.end, function () {
                    a();
                }).width(), n.addClass(s + ' ' + i.className.animationRev)) : a();
            }, s.prototype.check = function () {
                if (!this.$element.is(':visible'))
                    return !1;
                var t = this.options.media;
                if (t)
                    switch (typeof t) {
                    case 'number':
                        if (window.innerWidth < t)
                            return !1;
                        break;
                    case 'string':
                        if (window.matchMedia && !window.matchMedia(t).matches)
                            return !1;
                    }
                return !0;
            }, s.prototype.checkPosition = function () {
                if (!this.inited) {
                    var t = this.init();
                    if (!t)
                        return;
                }
                var e = this.options, i = this.$window.scrollTop(), n = e.top, o = e.bottom, s = this.$element, a = e.animation ? ' am-animation-' + e.animation : '', r = [
                        e.className.sticky,
                        a
                    ].join(' ');
                'function' == typeof o && (o = o(this.$element));
                var l = i > this.$holder.offset().top;
                !this.sticked && l ? s.addClass(r) : this.sticked && !l && this.reset(), this.$holder.css({ height: s.is(':visible') && 'absolute' !== s.css('position') ? s.outerHeight() : '' }), l && s.css({
                    top: n,
                    left: this.$holder.offset().left,
                    width: this.$holder.width()
                }), this.sticked = l;
            }, o.plugin('sticky', s), n(window).on('load', function () {
                n('[data-am-sticky]').sticky();
            }), t.exports = s;
        },
        function (t, e, i) {
            'use strict';
            function n(t) {
                var e, i = Array.prototype.slice.call(arguments, 1);
                return this.each(function () {
                    var n = o(this), a = n.is('.am-tabs') && n || n.closest('.am-tabs'), r = a.data('amui.tabs'), l = o.extend({}, s.utils.parseOptions(n.data('amTabs')), o.isPlainObject(t) && t);
                    r || a.data('amui.tabs', r = new c(a[0], l)), 'string' == typeof t && ('open' === t && n.is('.am-tabs-nav a') ? r.open(n) : e = 'function' == typeof r[t] ? r[t].apply(r, i) : r[t]);
                }), void 0 === e ? this : e;
            }
            var o = i(1), s = i(2), a = i(3), r = s.support.transition, l = s.support.animation, c = function (t, e) {
                    this.$element = o(t), this.options = o.extend({}, c.DEFAULTS, e || {}), this.transitioning = this.activeIndex = null, this.refresh(), this.init();
                };
            c.DEFAULTS = {
                selector: {
                    nav: '> .am-tabs-nav',
                    content: '> .am-tabs-bd',
                    panel: '> .am-tab-panel'
                },
                activeClass: 'am-active'
            }, c.prototype.refresh = function () {
                var t = this.options.selector;
                this.$tabNav = this.$element.find(t.nav), this.$navs = this.$tabNav.find('a'), this.$content = this.$element.find(t.content), this.$tabPanels = this.$content.find(t.panel);
                var e = this.$tabNav.find('> .' + this.options.activeClass);
                1 !== e.length ? this.open(0) : this.activeIndex = this.$navs.index(e.children('a'));
            }, c.prototype.init = function () {
                var t = this, e = this.options;
                if (this.$element.on('click.tabs.amui', e.selector.nav + ' a', function (e) {
                        e.preventDefault(), t.open(o(this));
                    }), !e.noSwipe) {
                    if (!this.$content.length)
                        return this;
                    var i = new a.Manager(this.$content[0]), n = new a.Swipe({ direction: a.DIRECTION_HORIZONTAL });
                    i.add(n), i.on('swipeleft', s.utils.debounce(function (e) {
                        e.preventDefault(), t.goTo('next');
                    }, 100)), i.on('swiperight', s.utils.debounce(function (e) {
                        e.preventDefault(), t.goTo('prev');
                    }, 100)), this._hammer = i;
                }
            }, c.prototype.open = function (t) {
                var e = this.options.activeClass, i = 'number' == typeof t ? t : this.$navs.index(o(t));
                if (t = 'number' == typeof t ? this.$navs.eq(i) : o(t), t && t.length && !this.transitioning && !t.parent('li').hasClass(e)) {
                    var n = this.$tabNav, s = t.attr('href'), a = /^#.+$/, r = a.test(s) && this.$content.find(s) || this.$tabPanels.eq(i), l = n.find('.' + e + ' a')[0], c = o.Event('open.tabs.amui', { relatedTarget: l });
                    t.trigger(c), c.isDefaultPrevented() || (this.activate(t.closest('li'), n), this.activate(r, this.$content, function () {
                        t.trigger({
                            type: 'opened.tabs.amui',
                            relatedTarget: l
                        });
                    }), this.activeIndex = i);
                }
            }, c.prototype.activate = function (t, e, i) {
                this.transitioning = !0;
                var n = this.options.activeClass, s = e.find('> .' + n), a = i && r && !!s.length;
                s.removeClass(n + ' am-in'), t.addClass(n), a ? (t.redraw(), t.addClass('am-in')) : t.removeClass('am-fade');
                var l = o.proxy(function () {
                    i && i(), this.transitioning = !1;
                }, this);
                a ? s.one(r.end, l) : l();
            }, c.prototype.goTo = function (t) {
                var e = this.activeIndex, i = 'next' === t, n = i ? 'am-animation-right-spring' : 'am-animation-left-spring';
                if (i && e + 1 >= this.$navs.length || !i && 0 === e) {
                    var o = this.$tabPanels.eq(e);
                    l && o.addClass(n).on(l.end, function () {
                        o.removeClass(n);
                    });
                } else
                    this.open(i ? e + 1 : e - 1);
            }, c.prototype.destroy = function () {
                this.$element.off('.tabs.amui'), a.off(this.$content[0], 'swipeleft swiperight'), this._hammer && this._hammer.destroy(), o.removeData(this.$element, 'amui.tabs');
            }, o.fn.tabs = n, s.ready(function (t) {
                o('[data-am-tabs]', t).tabs();
            }), o(document).on('click.tabs.amui.data-api', '[data-am-tabs] .am-tabs-nav a', function (t) {
                t.preventDefault(), n.call(o(this), 'open');
            }), t.exports = s.tabs = c;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = function (t, e) {
                    this.options = n.extend({}, s.DEFAULTS, e), this.$element = n(t), this.init();
                };
            s.DEFAULTS = {
                checkboxClass: 'am-ucheck-checkbox',
                radioClass: 'am-ucheck-radio',
                checkboxTpl: '<span class="am-ucheck-icons"><i class="am-icon-unchecked"></i><i class="am-icon-checked"></i></span>',
                radioTpl: '<span class="am-ucheck-icons"><i class="am-icon-unchecked"></i><i class="am-icon-checked"></i></span>'
            }, s.prototype.init = function () {
                var t = this.$element, e = t[0], i = this.options;
                'checkbox' === e.type ? t.addClass(i.checkboxClass).after(i.checkboxTpl) : 'radio' === e.type && t.addClass(i.radioClass).after(i.radioTpl);
            }, s.prototype.check = function () {
                this.$element.prop('checked', !0).trigger('change.ucheck.amui').trigger('checked.ucheck.amui');
            }, s.prototype.uncheck = function () {
                this.$element.prop('checked', !1).trigger('change').trigger('unchecked.ucheck.amui');
            }, s.prototype.toggle = function () {
                this.$element.prop('checked', function (t, e) {
                    return !e;
                }).trigger('change.ucheck.amui').trigger('toggled.ucheck.amui');
            }, s.prototype.disable = function () {
                this.$element.prop('disabled', !0).trigger('change.ucheck.amui').trigger('disabled.ucheck.amui');
            }, s.prototype.enable = function () {
                this.$element.prop('disabled', !1), this.$element.trigger('change.ucheck.amui').trigger('enabled.ucheck.amui');
            }, s.prototype.destroy = function () {
                this.$element.removeData('amui.ucheck').removeClass(this.options.checkboxClass + ' ' + this.options.radioClass).next('.am-ucheck-icons').remove().end().trigger('destroyed.ucheck.amui');
            }, o.plugin('uCheck', s, {
                after: function () {
                    o.support.touch && this.parent().hover(function () {
                        n(this).addClass('am-nohover');
                    }, function () {
                        n(this).removeClass('am-nohover');
                    });
                }
            }), o.ready(function (t) {
                n('[data-am-ucheck]', t).uCheck();
            }), t.exports = s;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = function (t, e) {
                    this.options = n.extend({}, s.DEFAULTS, e), this.options.patterns = n.extend({}, s.patterns, this.options.patterns);
                    var i = this.options.locales;
                    !s.validationMessages[i] && (this.options.locales = 'zh_CN'), this.$element = n(t), this.init();
                };
            s.DEFAULTS = {
                debug: !1,
                locales: 'zh_CN',
                H5validation: !1,
                H5inputType: [
                    'email',
                    'url',
                    'number'
                ],
                patterns: {},
                patternClassPrefix: 'js-pattern-',
                activeClass: 'am-active',
                inValidClass: 'am-field-error',
                validClass: 'am-field-valid',
                validateOnSubmit: !0,
                alwaysRevalidate: !1,
                allFields: ':input:not(:submit, :button, :disabled, .am-novalidate)',
                ignore: ':hidden:not([data-am-selected], .am-validate)',
                customEvents: 'validate',
                keyboardFields: ':input:not(:submit, :button, :disabled, .am-novalidate)',
                keyboardEvents: 'focusout, change',
                activeKeyup: !1,
                textareaMaxlenthKeyup: !0,
                pointerFields: 'input[type="range"]:not(:disabled, .am-novalidate), input[type="radio"]:not(:disabled, .am-novalidate), input[type="checkbox"]:not(:disabled, .am-novalidate), select:not(:disabled, .am-novalidate), option:not(:disabled, .am-novalidate)',
                pointerEvents: 'click',
                onValid: function (t) {
                },
                onInValid: function (t) {
                },
                markValid: function (t) {
                    var e = this.options, i = n(t.field), o = i.closest('.am-form-group');
                    i.addClass(e.validClass).removeClass(e.inValidClass), o.addClass('am-form-success').removeClass('am-form-error'), e.onValid.call(this, t);
                },
                markInValid: function (t) {
                    var e = this.options, i = n(t.field), o = i.closest('.am-form-group');
                    i.addClass(e.inValidClass + ' ' + e.activeClass).removeClass(e.validClass), o.addClass('am-form-error').removeClass('am-form-success'), e.onInValid.call(this, t);
                },
                validate: function (t) {
                },
                submit: null
            }, s.VERSION = '2.6.1', s.patterns = {
                email: /^((([a-zA-Z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-zA-Z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-zA-Z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-zA-Z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-zA-Z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-zA-Z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-zA-Z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-zA-Z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-zA-Z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-zA-Z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/,
                url: /^(https?|ftp):\/\/(((([a-zA-Z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:)*@)?(((\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|((([a-zA-Z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-zA-Z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-zA-Z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-zA-Z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-zA-Z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-zA-Z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-zA-Z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-zA-Z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?)(:\d*)?)(\/((([a-zA-Z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)+(\/(([a-zA-Z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)*)*)?)?(\?((([a-zA-Z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|[\uE000-\uF8FF]|\/|\?)*)?(\#((([a-zA-Z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|\/|\?)*)?$/,
                number: /^-?(?:\d+|\d{1,3}(?:,\d{3})+)?(?:\.\d+)?$/,
                dateISO: /^\d{4}[\/\-]\d{1,2}[\/\-]\d{1,2}$/,
                integer: /^-?\d+$/
            }, s.validationMessages = {
                zh_CN: {
                    valueMissing: '请填写\uFF08选择\uFF09此字段',
                    customError: {
                        tooShort: '至少填写 %s 个字符',
                        checkedOverflow: '至多选择 %s 项',
                        checkedUnderflow: '至少选择 %s 项'
                    },
                    patternMismatch: '请按照要求的格式填写',
                    rangeOverflow: '请填写小于等于 %s 的值',
                    rangeUnderflow: '请填写大于等于 %s 的值',
                    stepMismatch: '',
                    tooLong: '至多填写 %s 个字符',
                    typeMismatch: '请按照要求的类型填写'
                }
            }, s.ERROR_MAP = {
                tooShort: 'minlength',
                checkedOverflow: 'maxchecked',
                checkedUnderflow: 'minchecked',
                rangeOverflow: 'max',
                rangeUnderflow: 'min',
                tooLong: 'maxlength'
            }, s.prototype.init = function () {
                function t(t) {
                    var e = t.toString();
                    return e.substring(1, e.length - 1);
                }
                function e(t, e, a) {
                    var r = e.split(','), l = function (t) {
                            i.validate(this);
                        };
                    a && (l = o.utils.debounce(l, a)), n.each(r, function (e, i) {
                        s.on(i + '.validator.amui', t, l);
                    });
                }
                var i = this, s = this.$element, a = this.options;
                return a.H5validation && o.support.formValidation ? !1 : (s.attr('novalidate', 'novalidate'), n.each(a.H5inputType, function (e, i) {
                    var n = s.find('input[type=' + i + ']');
                    n.attr('pattern') || n.is('[class*=' + a.patternClassPrefix + ']') || n.attr('pattern', t(a.patterns[i]));
                }), n.each(a.patterns, function (e, i) {
                    var n = s.find('.' + a.patternClassPrefix + e);
                    !n.attr('pattern') && n.attr('pattern', t(i));
                }), s.on('submit.validator.amui', function (t) {
                    if ('function' == typeof a.submit)
                        return a.submit.call(i, t);
                    if (a.validateOnSubmit) {
                        var e = i.isFormValid();
                        return 'boolean' === n.type(e) ? e : s.data('amui.checked') ? !0 : (n.when(e).then(function () {
                            s.data('amui.checked', !0).submit();
                        }, function () {
                            s.data('amui.checked', !1).find('.' + a.inValidClass).eq(0).focus();
                        }), !1);
                    }
                }), e(':input', a.customEvents), e(a.keyboardFields, a.keyboardEvents), e(a.pointerFields, a.pointerEvents), a.textareaMaxlenthKeyup && e('textarea[maxlength]', 'keyup', 50), void (a.activeKeyup && e('.am-active', 'keyup', 50)));
            }, s.prototype.isValid = function (t) {
                var e = n(t), i = this.options;
                return (void 0 === e.data('validity') || i.alwaysRevalidate) && this.validate(t), e.data('validity') && e.data('validity').valid;
            }, s.prototype.validate = function (t) {
                var e = this, i = this.$element, o = this.options, s = n(t), a = s.data('equalTo');
                a && s.attr('pattern', '^' + i.find(a).val() + '$');
                var r = s.attr('pattern') || !1, l = new RegExp(r), c = null, h = null, u = s.is('[type=checkbox]') ? (h = i.find('input[name="' + t.name + '"]')).filter(':checked').length : s.is('[type=radio]') ? (c = this.$element.find('input[name="' + t.name + '"]')).filter(':checked').length > 0 : s.val();
                s = h && h.length ? h.first() : s;
                var d = void 0 !== s.attr('required') && 'false' !== s.attr('required'), p = parseInt(s.attr('maxlength'), 10), m = parseInt(s.attr('minlength'), 10), f = Number(s.attr('min')), v = Number(s.attr('max')), g = this.createValidity({
                        field: s[0],
                        valid: !0
                    });
                if (o.debug && window.console && (console.log('Validate: value -> [' + u + ', regex -> [' + l + '], required -> ' + d), console.log('Regex test: ' + l.test(u) + ', Pattern: ' + r)), !isNaN(p) && u.length > p && (g.valid = !1, g.tooLong = !0), !isNaN(m) && u.length < m && (g.valid = !1, g.customError = 'tooShort'), !isNaN(f) && Number(u) < f && (g.valid = !1, g.rangeUnderflow = !0), !isNaN(v) && Number(u) > v && (g.valid = !1, g.rangeOverflow = !0), d && !u)
                    g.valid = !1, g.valueMissing = !0;
                else if ((h || s.is('select[multiple="multiple"]')) && u) {
                    u = h ? u : u.length;
                    var w = parseInt(s.attr('minchecked'), 10), y = parseInt(s.attr('maxchecked'), 10);
                    !isNaN(w) && w > u && (g.valid = !1, g.customError = 'checkedUnderflow'), !isNaN(y) && u > y && (g.valid = !1, g.customError = 'checkedOverflow');
                } else
                    r && !l.test(u) && u && (g.valid = !1, g.patternMismatch = !0);
                var b, T = function (t) {
                        this.markField(t);
                        var i = n.Event('validated.field.validator.amui');
                        i.validity = t, s.trigger(i).data('validity', t);
                        var o = c || h;
                        return o && o.not(s).data('validity', t).each(function () {
                            t.field = this, e.markField(t);
                        }), t;
                    };
                if ('function' == typeof o.validate && (b = o.validate.call(this, g)), b) {
                    var x = new n.Deferred();
                    return s.data('amui.dfdValidity', x.promise()), n.when(b).always(function (t) {
                        x[t.valid ? 'resolve' : 'reject'](t), T.call(e, t);
                    });
                }
                T.call(this, g);
            }, s.prototype.markField = function (t) {
                var e = this.options, i = 'mark' + (t.valid ? '' : 'In') + 'Valid';
                e[i] && e[i].call(this, t);
            }, s.prototype.validateForm = function () {
                var t = this, e = this.$element, i = this.options, o = e.find(i.allFields).not(i.ignore), s = [], a = !0, r = [], l = n([]), c = [], h = !1;
                e.trigger('validate.form.validator.amui');
                var u = o.filter(function (t) {
                    var e;
                    if ('INPUT' === this.tagName && 'radio' === this.type) {
                        if (e = this.name, s[e] === !0)
                            return !1;
                        s[e] = !0;
                    }
                    return !0;
                });
                u.each(function () {
                    var i = n(this), o = t.isValid(this), s = i.data('validity');
                    a = !!o && a, r.push(s), o || (l = l.add(n(this), e));
                    var u = i.data('amui.dfdValidity');
                    if (u)
                        c.push(u), h = !0;
                    else {
                        var d = new n.Deferred();
                        c.push(d.promise()), d[o ? 'resolve' : 'reject'](s);
                    }
                });
                var d = {
                    valid: a,
                    $invalidFields: l,
                    validity: r,
                    promises: c,
                    async: h
                };
                return e.trigger('validated.form.validator.amui', d), d;
            }, s.prototype.isFormValid = function () {
                var t = this, e = this.validateForm(), i = function (e) {
                        t.$element.trigger(e + '.validator.amui');
                    };
                if (e.async) {
                    var o = new n.Deferred();
                    return n.when.apply(null, e.promises).then(function () {
                        o.resolve(), i('valid');
                    }, function () {
                        o.reject(), i('invalid');
                    }), o.promise();
                }
                if (!e.valid) {
                    var s = e.$invalidFields.first();
                    return s.is('[data-am-selected]') && (s = s.next('.am-selected').find('.am-selected-btn')), s.focus(), i('invalid'), !1;
                }
                return i('valid'), !0;
            }, s.prototype.createValidity = function (t) {
                return n.extend({
                    customError: t.customError || !1,
                    patternMismatch: t.patternMismatch || !1,
                    rangeOverflow: t.rangeOverflow || !1,
                    rangeUnderflow: t.rangeUnderflow || !1,
                    stepMismatch: t.stepMismatch || !1,
                    tooLong: t.tooLong || !1,
                    typeMismatch: t.typeMismatch || !1,
                    valid: t.valid || !0,
                    valueMissing: t.valueMissing || !1
                }, t);
            }, s.prototype.getValidationMessage = function (t) {
                var e, i, o = s.validationMessages[this.options.locales], a = '%s', r = n(t.field);
                return (r.is('[type="checkbox"]') || r.is('[type="radio"]')) && (r = this.$element.find('[name=' + r.attr('name') + ']').first()), n.each(t, function (t, i) {
                    return 'field' === t || 'valid' === t ? t : 'customError' === t && i ? (e = i, o = o.customError, !1) : i === !0 ? (e = t, !1) : void 0;
                }), i = o[e] || void 0, i && s.ERROR_MAP[e] && (i = i.replace(a, r.attr(s.ERROR_MAP[e]) || '规定的')), i;
            }, s.prototype.removeMark = function () {
                this.$element.find('.am-form-success, .am-form-error, .' + this.options.inValidClass + ', .' + this.options.validClass).removeClass([
                    'am-form-success',
                    'am-form-error',
                    this.options.inValidClass,
                    this.options.validClass
                ].join(' '));
            }, s.prototype.destroy = function () {
                this.removeMark(), this.$element.removeData('amui.validator amui.checked').off('.validator.amui').find(this.options.allFields).removeData('validity amui.dfdValidity');
            }, o.plugin('validator', s), o.ready(function (t) {
                n('[data-am-validator]', t).validator();
            }), t.exports = s;
        },
        function (t, e, i) {
            'use strict';
            var n = i(2), o = {
                    get: function (t) {
                        var e, i = encodeURIComponent(t) + '=', n = document.cookie.indexOf(i), o = null;
                        return n > -1 && (e = document.cookie.indexOf(';', n), -1 == e && (e = document.cookie.length), o = decodeURIComponent(document.cookie.substring(n + i.length, e))), o;
                    },
                    set: function (t, e, i, n, o, s) {
                        var a = encodeURIComponent(t) + '=' + encodeURIComponent(e);
                        i instanceof Date && (a += '; expires=' + i.toUTCString()), n && (a += '; path=' + n), o && (a += '; domain=' + o), s && (a += '; secure'), document.cookie = a;
                    },
                    unset: function (t, e, i, n) {
                        this.set(t, '', new Date(0), e, i, n);
                    }
                };
            n.utils = n.utils || {}, t.exports = n.utils.cookie = o;
        },
        function (t, e, i) {
            'use strict';
            var n = i(2), o = function () {
                    var t = 'undefined' != typeof Element && 'ALLOW_KEYBOARD_INPUT' in Element, e = function () {
                            for (var t, e, i = [
                                        [
                                            'requestFullscreen',
                                            'exitFullscreen',
                                            'fullscreenElement',
                                            'fullscreenEnabled',
                                            'fullscreenchange',
                                            'fullscreenerror'
                                        ],
                                        [
                                            'webkitRequestFullscreen',
                                            'webkitExitFullscreen',
                                            'webkitFullscreenElement',
                                            'webkitFullscreenEnabled',
                                            'webkitfullscreenchange',
                                            'webkitfullscreenerror'
                                        ],
                                        [
                                            'webkitRequestFullScreen',
                                            'webkitCancelFullScreen',
                                            'webkitCurrentFullScreenElement',
                                            'webkitCancelFullScreen',
                                            'webkitfullscreenchange',
                                            'webkitfullscreenerror'
                                        ],
                                        [
                                            'mozRequestFullScreen',
                                            'mozCancelFullScreen',
                                            'mozFullScreenElement',
                                            'mozFullScreenEnabled',
                                            'mozfullscreenchange',
                                            'mozfullscreenerror'
                                        ],
                                        [
                                            'msRequestFullscreen',
                                            'msExitFullscreen',
                                            'msFullscreenElement',
                                            'msFullscreenEnabled',
                                            'MSFullscreenChange',
                                            'MSFullscreenError'
                                        ]
                                    ], n = 0, o = i.length, s = {}; o > n; n++)
                                if (t = i[n], t && t[1] in document) {
                                    for (n = 0, e = t.length; e > n; n++)
                                        s[i[0][n]] = t[n];
                                    return s;
                                }
                            return !1;
                        }(), i = {
                            request: function (i) {
                                var n = e.requestFullscreen;
                                i = i || document.documentElement, /5\.1[\.\d]* Safari/.test(navigator.userAgent) ? i[n]() : i[n](t && Element.ALLOW_KEYBOARD_INPUT);
                            },
                            exit: function () {
                                document[e.exitFullscreen]();
                            },
                            toggle: function (t) {
                                this.isFullscreen ? this.exit() : this.request(t);
                            },
                            raw: e
                        };
                    return e ? (Object.defineProperties(i, {
                        isFullscreen: {
                            get: function () {
                                return !!document[e.fullscreenElement];
                            }
                        },
                        element: {
                            enumerable: !0,
                            get: function () {
                                return document[e.fullscreenElement];
                            }
                        },
                        enabled: {
                            enumerable: !0,
                            get: function () {
                                return !!document[e.fullscreenEnabled];
                            }
                        }
                    }), i.VERSION = '3.0.0', i) : !1;
                }();
            t.exports = n.fullscreen = o;
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2);
            o.support.geolocation = window.navigator && window.navigator.geolocation;
            var s = o.support.geolocation, a = function (t) {
                    this.options = t || {};
                };
            a.MESSAGES = {
                unsupportedBrowser: 'Browser does not support location services',
                permissionDenied: 'You have rejected access to your location',
                positionUnavailable: 'Unable to determine your location',
                timeout: 'Service timeout has been reached'
            }, a.ERROR_CODE = {
                0: 'unsupportedBrowser',
                1: 'permissionDenied',
                2: 'positionUnavailable',
                3: 'timeout'
            }, a.prototype.get = function (t) {
                var e = this;
                t = n.extend({}, this.options, t);
                var i = new n.Deferred();
                return s ? this.watchID = s.getCurrentPosition(function (t) {
                    i.resolve.call(e, t);
                }, function (t) {
                    i.reject(a.MESSAGES[a.ERROR_CODE[t.code]]);
                }, t) : i.reject(a.MESSAGES.unsupportedBrowser), i.promise();
            }, a.prototype.watch = function (t) {
                if (s && (t = n.extend({}, this.options, t), n.isFunction(t.done))) {
                    this.clearWatch();
                    var e = n.isFunction(t.fail) ? t.fail : null;
                    return this.watchID = s.watchPosition(t.done, e, t), this.watchID;
                }
            }, a.prototype.clearWatch = function () {
                s && this.watchID && (s.clearWatch(this.watchID), this.watchID = null);
            }, t.exports = o.Geolocation = a;
        },
        function (t, e, i) {
            (function (e) {
                'use strict';
                function n() {
                    try {
                        return l in r && r[l];
                    } catch (t) {
                        return !1;
                    }
                }
                var o, s = i(2), a = {}, r = 'undefined' != typeof window ? window : e, l = 'localStorage';
                a.disabled = !1, a.version = '1.3.20', a.set = function (t, e) {
                }, a.get = function (t, e) {
                }, a.has = function (t) {
                    return void 0 !== a.get(t);
                }, a.remove = function (t) {
                }, a.clear = function () {
                }, a.transact = function (t, e, i) {
                    null == i && (i = e, e = null), null == e && (e = {});
                    var n = a.get(t, e);
                    i(n), a.set(t, n);
                }, a.getAll = function () {
                }, a.forEach = function () {
                }, a.serialize = function (t) {
                    return JSON.stringify(t);
                }, a.deserialize = function (t) {
                    if ('string' == typeof t)
                        try {
                            return JSON.parse(t);
                        } catch (e) {
                            return t || void 0;
                        }
                }, n() && (o = r[l], a.set = function (t, e) {
                    return void 0 === e ? a.remove(t) : (o.setItem(t, a.serialize(e)), e);
                }, a.get = function (t, e) {
                    var i = a.deserialize(o.getItem(t));
                    return void 0 === i ? e : i;
                }, a.remove = function (t) {
                    o.removeItem(t);
                }, a.clear = function () {
                    o.clear();
                }, a.getAll = function () {
                    var t = {};
                    return a.forEach(function (e, i) {
                        t[e] = i;
                    }), t;
                }, a.forEach = function (t) {
                    for (var e = 0; e < o.length; e++) {
                        var i = o.key(e);
                        t(i, a.get(i));
                    }
                });
                try {
                    var c = '__storejs__';
                    a.set(c, c), a.get(c) != c && (a.disabled = !0), a.remove(c);
                } catch (h) {
                    a.disabled = !0;
                }
                a.enabled = !a.disabled, t.exports = s.store = a;
            }.call(e, function () {
                return this;
            }()));
        },
        function (t, e, i) {
            'use strict';
            function n() {
                var t = o('[data-am-widget="accordion"]'), e = {
                        item: '.am-accordion-item',
                        title: '.am-accordion-title',
                        body: '.am-accordion-bd',
                        disabled: '.am-disabled'
                    };
                t.each(function (t, i) {
                    var n = s.utils.parseOptions(o(i).attr('data-am-accordion')), a = o(i).find(e.title);
                    a.on('click.accordion.amui', function () {
                        var t = o(this).next(e.body), s = o(this).parent(e.item), a = t.data('amui.collapse');
                        s.is(e.disabled) || (s.toggleClass('am-active'), a ? t.collapse('toggle') : t.collapse(), !n.multiple && o(i).children('.am-active').not(s).not(e.disabled).removeClass('am-active').find(e.body + '.am-in').collapse('close'));
                    });
                });
            }
            var o = i(1), s = i(2);
            i(7), o(n), t.exports = s.accordion = {
                VERSION: '2.1.0',
                init: n
            };
        },
        function (t, e) {
            'use strict';
            t.exports = { VERSION: '2.0.1' };
        },
        function (t, e, i) {
            'use strict';
            function n() {
                var t = o('.ds-thread'), e = t.parent('[data-am-widget="duoshuo"]').attr('data-ds-short-name'), i = ('https:' == document.location.protocol ? 'https:' : 'http:') + '//static.duoshuo.com/embed.js';
                if (t.length && e && (window.duoshuoQuery = { short_name: e }, !o('script[src="' + i + '"]').length)) {
                    var n = o('<script>', {
                        async: !0,
                        type: 'text/javascript',
                        src: i,
                        charset: 'utf-8'
                    });
                    o('body').append(n);
                }
            }
            var o = i(1), s = i(2);
            o(window).on('load', n), t.exports = s.duoshuo = {
                VERSION: '2.0.1',
                init: n
            };
        },
        function (t, e, i) {
            'use strict';
            function n() {
                o('.am-figure').each(function (t, e) {
                    var i, n = s.utils.parseOptions(o(e).attr('data-am-figure')), a = o(e);
                    if (n.pureview)
                        if ('auto' === n.pureview) {
                            var r = o.isImgZoomAble(a.find('img')[0]);
                            r && a.pureview();
                        } else
                            a.addClass('am-figure-zoomable').pureview();
                    i = a.data('amui.pureview'), i && a.on('click', ':not(img)', function () {
                        i.open(0);
                    });
                });
            }
            var o = i(1), s = i(2);
            i(20), o.isImgZoomAble = function (t) {
                var e = new Image();
                e.src = t.src;
                var i = o(t).width() < e.width;
                return i && o(t).closest('.am-figure').addClass('am-figure-zoomable'), i;
            }, o(window).on('load', n), t.exports = s.figure = {
                VERSION: '2.0.3',
                init: n
            };
        },
        function (t, e, i) {
            'use strict';
            function n() {
                o('.am-footer-ysp').on('click', function () {
                    o('#am-footer-modal').modal();
                });
                var t = s.utils.parseOptions(o('.am-footer').data('amFooter'));
                t.addToHS && a(), o('[data-rel="desktop"]').on('click', function (t) {
                    t.preventDefault(), window.AMPlatform ? window.AMPlatform.util.goDesktop() : (r.set('allmobilize', 'desktop', '', '/'), window.location = window.location);
                });
            }
            var o = i(1), s = i(2);
            i(15);
            var a = i(4), r = i(31);
            o(n), t.exports = s.footer = {
                VERSION: '3.1.2',
                init: n
            };
        },
        function (t, e, i) {
            'use strict';
            function n() {
                var t = o('[data-am-widget="gallery"]');
                t.each(function () {
                    var t = s.utils.parseOptions(o(this).attr('data-am-gallery'));
                    t.pureview && ('object' == typeof t.pureview ? o(this).pureview(t.pureview) : o(this).pureview());
                });
            }
            var o = i(1), s = i(2);
            i(20), o(n), t.exports = s.gallery = {
                VERSION: '3.0.0',
                init: n
            };
        },
        function (t, e, i) {
            'use strict';
            function n() {
                function t() {
                    i[(n.scrollTop() > 50 ? 'add' : 'remove') + 'Class']('am-active');
                }
                var e = o('[data-am-widget="gotop"]'), i = e.filter('.am-gotop-fixed'), n = o(window);
                e.data('init') || (e.find('a').on('click', function (t) {
                    t.preventDefault(), n.smoothScroll();
                }), t(), n.on('scroll.gotop.amui', s.utils.debounce(t, 100)), e.data('init', !0));
            }
            var o = i(1), s = i(2);
            i(23), o(n), t.exports = s.gotop = {
                VERSION: '4.0.2',
                init: n
            };
        },
        function (t, e, i) {
            'use strict';
            function n() {
                o('[data-am-widget="header"]').each(function () {
                    return o(this).hasClass('am-header-fixed') ? (o('body').addClass('am-with-fixed-header'), !1) : void 0;
                });
            }
            var o = i(1), s = i(2);
            o(n), t.exports = s.header = {
                VERSION: '2.0.0',
                init: n
            };
        },
        function (t, e, i) {
            'use strict';
            var n = i(2);
            t.exports = n.intro = {
                VERSION: '4.0.2',
                init: function () {
                }
            };
        },
        function (t, e, i) {
            'use strict';
            var n = i(2);
            t.exports = n.listNews = {
                VERSION: '4.0.0',
                init: function () {
                }
            };
        },
        function (t, e, i) {
            function n(t) {
                var e = s('<script />', { id: 'am-map-api-0' });
                s('body').append(e), e.on('load', function () {
                    console.log('load');
                    var e = s('<script/>', { id: 'am-map-api-1' });
                    s('body').append(e), e.on('load', function () {
                        var e = document.createElement('script');
                        e.textContent = '(' + t.toString() + ')();', s('body')[0].appendChild(e);
                    }).attr('src', 'http://api.map.baidu.com/getscript?type=quick&file=feature&ak=WVAXZ05oyNRXS5egLImmentg&t=20140109092002');
                }).attr('src', 'http://api.map.baidu.com/getscript?type=quick&file=api&ak=WVAXZ05oyNRXS5egLImmentg&t=20140109092002');
            }
            function o() {
                var t = document.querySelector('.am-map'), e = 116.331398, i = 39.897445, n = t.getAttribute('data-name'), o = t.getAttribute('data-address'), s = t.getAttribute('data-longitude') || e, a = t.getAttribute('data-latitude') || i, r = t.getAttribute('data-setZoom') || 17, l = t.getAttribute('data-icon'), c = new BMap.Map('bd-map'), h = new BMap.Point(s, a);
                c.centerAndZoom(h, r), t.getAttribute('data-zoomControl') && c.addControl(new BMap.ZoomControl()), t.getAttribute('data-scaleControl') && c.addControl(new BMap.ScaleControl());
                var u = new BMap.Marker(h);
                l && u.setIcon(new BMap.Icon(l, new BMap.Size(40, 40)));
                var d = {
                        width: 200,
                        title: n
                    }, p = new BMap.InfoWindow('地址\uFF1A' + o, d), m = new BMap.Geocoder();
                s == e && a == i ? m.getPoint(o, function (t) {
                    t && (c.centerAndZoom(t, r), u.setPosition(t), c.addOverlay(u), c.openInfoWindow(p, t));
                }, '') : m.getLocation(h, function (t) {
                    c.centerAndZoom(h, r), u.setPosition(h), c.addOverlay(u), o ? c.openInfoWindow(p, h) : c.openInfoWindow(new BMap.InfoWindow(o, d), h);
                });
            }
            var s = i(1), a = i(2), r = function () {
                    s('.am-map').length && n(o);
                };
            s(r), t.exports = a.map = {
                VERSION: '2.0.2',
                init: r
            };
        },
        function (t, e, i) {
            'use strict';
            function n() {
                if (o('#mechat').length) {
                    var t = o('[data-am-widget="mechat"]'), e = t.data('am-mechat-unitid'), i = o('<script>', {
                            charset: 'utf-8',
                            src: 'http://mechatim.com/js/unit/button.js?id=' + e
                        });
                    o('body').append(i);
                }
            }
            var o = i(1), s = i(2);
            o(window).on('load', n), t.exports = s.mechat = {
                VERSION: '2.0.1',
                init: n
            };
        },
        function (t, e, i) {
            'use strict';
            var n = i(1), o = i(2), s = i(14);
            i(16), i(7);
            var a = function () {
                var t = n('[data-am-widget="menu"]');
                t.find('.am-menu-nav .am-parent > a').on('click', function (t) {
                    t.preventDefault();
                    var e = n(this), i = e.parent(), o = e.next('.am-menu-sub');
                    i.toggleClass('am-open'), o.collapse('toggle'), i.siblings('.am-parent').removeClass('am-open').children('.am-menu-sub.am-in').collapse('close');
                }), t.filter('[data-am-menu-collapse]').find('> .am-menu-toggle').on('click', function (t) {
                    t.preventDefault();
                    var e = n(this), i = e.next('.am-menu-nav');
                    e.toggleClass('am-active'), i.collapse('toggle');
                }), t.filter('[data-am-menu-offcanvas]').find('> .am-menu-toggle').on('click', function (t) {
                    t.preventDefault();
                    var e = n(this), i = e.next('.am-offcanvas');
                    e.toggleClass('am-active'), i.offCanvas('open');
                });
                var e = '.am-offcanvas[data-dismiss-on="click"]', i = n(e);
                i.find('a').not('.am-parent>a').on('click', function (t) {
                    n(this).parents(e).offCanvas('close');
                }), t.filter('.am-menu-one').each(function (t) {
                    var e, i = n(this), o = n('<div class="am-menu-nav-sub-wrap"></div>'), a = 0, r = i.find('.am-menu-nav'), l = r.children('li');
                    l.filter('.am-parent').each(function (t) {
                        n(this).attr('data-rel', '#am-menu-sub-' + t), n(this).find('.am-menu-sub').attr('id', 'am-menu-sub-' + t).appendTo(o);
                    }), i.append(o), r.wrap('<div class="am-menu-nav-wrap" id="am-menu-' + t + '">'), l.each(function (t) {
                        a += parseFloat(n(this).css('width'));
                    }), r.width(a);
                    var c = new s('#am-menu-' + t, {
                        eventPassthrough: !0,
                        scrollX: !0,
                        scrollY: !1,
                        preventDefault: !1
                    });
                    l.on('click', function () {
                        var t = n(this);
                        t.addClass('am-active').siblings().removeClass('am-active'), o.find('.am-menu-sub.am-in').collapse('close'), t.is('.am-parent') ? !t.hasClass('.am-open') && o.find(t.attr('data-rel')).collapse('open') : t.siblings().removeClass('am-open'), void 0 === e && (e = n(this).index() ? 0 : 1);
                        var s, a = n(this).index() > e, l = n(this)[a ? 'next' : 'prev'](), h = l.offset() || n(this).offset(), u = i.offset(), d = parseInt(i.css('padding-left'));
                        (a ? h.left + h.width > u.left + u.width : h.left < u.left) && (s = r.offset(), c.scrollTo(a ? u.width - h.left + s.left - h.width - d : s.left - h.left, 0, 400)), e = n(this).index();
                    }), i.on('touchmove', function (t) {
                        t.preventDefault();
                    });
                });
            };
            n(a), t.exports = o.menu = {
                VERSION: '4.0.3',
                init: a
            };
        },
        function (t, e, i) {
            'use strict';
            function n() {
                function t() {
                    h.append(b), h.find('li').not('.am-navbar-more').slice(i() - 1).appendTo(y), n.append(y);
                }
                function e() {
                    return i() >= d ? (b.hide(), void y.find('li').insertBefore(b)) : (!n.find('.am-navbar-actions').length && t(), b.show(), void (h.find('li').length < i() ? y.find('li').slice(0, i() - h.find('li').length).insertBefore(b) : h.find('li').length > i() && (y.find('li').length ? h.find('li').not(b).slice(i() - 1).insertBefore(y.find('li').first()) : h.find('li').not(b).slice(i() - 1).appendTo(y))));
                }
                function i() {
                    return Math.floor((l.width() - f) / m);
                }
                var n = o('[data-am-widget="navbar"]');
                if (n.length) {
                    var l = o(window), c = o('body'), h = n.find('.am-navbar-nav'), u = n.find('li'), d = u.length, p = h.attr('class') && parseInt(h.attr('class').match(/am-avg-sm-(\d+)/)[1]) || 3, m = 60, f = 16, v = u.filter('[data-am-navbar-share]'), g = u.filter('[data-am-navbar-qrcode]'), w = 'am-active', y = o('<ul class="am-navbar-actions"></ul>', { id: s.utils.generateGUID('am-navbar-actions') }), b = o('<li class="am-navbar-labels am-navbar-more"><a href="javascript: void(0);"><span class="am-icon-angle-up"></span><span class="am-navbar-label">更多</span></a></li>');
                    if ('fixed' == n.css('position') && c.addClass('am-with-fixed-navbar'), g.length) {
                        var T = 'am-navbar-qrcode';
                        if (C = o('#' + T), !C.length) {
                            var x = g.attr('data-am-navbar-qrcode'), C = o('<div class="am-modal am-modal-no-btn" id=""><div class="am-modal-dialog"><div class="am-modal-bd"></div></div></div>', { id: T }), E = C.find('.am-modal-bd');
                            if (x)
                                E.html('<img src="' + x + '"/>');
                            else {
                                var S = new r({
                                    render: 'canvas',
                                    correctLevel: 0,
                                    text: window.location.href,
                                    width: 200,
                                    height: 200,
                                    background: '#fff',
                                    foreground: '#000'
                                });
                                E.html(S);
                            }
                            c.append(C);
                        }
                        g.on('click', function (t) {
                            t.preventDefault(), C.modal();
                        });
                    }
                    d > p && d > i() && t(), n.on('click.navbar.amui', '.am-navbar-more', function (t) {
                        t.preventDefault(), b[y.hasClass(w) ? 'removeClass' : 'addClass'](w), y.toggleClass(w);
                    }), v.length && v.on('click.navbar.amui', function (t) {
                        t.preventDefault(), a.toggle();
                    }), l.on('resize.navbar.amui orientationchange.navbar.amui', s.utils.debounce(e, 150));
                }
            }
            var o = i(1), s = i(2), a = i(25), r = i(26);
            i(15), o(n), t.exports = s.navbar = {
                VERSION: '2.0.2',
                init: n
            };
        },
        function (t, e, i) {
            'use strict';
            var n = i(2);
            t.exports = n.pagination = { VERSION: '3.0.1' };
        },
        function (t, e, i) {
            'use strict';
            function n() {
                var t = o('[data-am-widget="paragraph"]');
                t.each(function (t) {
                    var e = o(this), i = s.utils.parseOptions(e.attr('data-am-paragraph')), n = t;
                    i.pureview && e.pureview(), i.tableScrollable && e.find('table').each(function (t) {
                        o(this).width() > o(window).width() && o(this).scrollTable(n + '-' + t);
                    });
                });
            }
            var o = i(1), s = i(2), a = i(14);
            i(20), o.fn.scrollTable = function (t) {
                var e, i = o(this);
                i.wrap('<div class="am-paragraph-table-container" id="am-paragraph-table-' + t + '"><div class="am-paragraph-table-scroller"></div></div>'), e = i.parent(), e.width(i.width()), e.height(i.height()), new a('#am-paragraph-table-' + t, {
                    eventPassthrough: !0,
                    scrollX: !0,
                    scrollY: !1,
                    preventDefault: !1
                });
            }, o(window).on('load', n), t.exports = s.paragraph = {
                VERSION: '2.0.1',
                init: n
            };
        },
        function (t, e, i) {
            'use strict';
            function n() {
                var t = o('[data-am-widget="slider"]');
                t.not('.am-slider-manual').each(function (t, e) {
                    var i = s.utils.parseOptions(o(e).attr('data-am-slider'));
                    o(e).flexslider(i);
                });
            }
            var o = i(1), s = i(2);
            i(11), o(n), t.exports = s.slider = {
                VERSION: '3.0.1',
                init: n
            };
        },
        function (t, e, i) {
            'use strict';
            function n() {
                o('[data-am-widget="tabs"]').each(function () {
                    var t = o(this).data('amTabsNoswipe') ? { noSwipe: 1 } : {};
                    o(this).tabs(t);
                });
            }
            var o = i(1), s = i(2);
            i(28), o(n), t.exports = s.tab = {
                VERSION: '4.0.1',
                init: n
            };
        },
        function (t, e, i) {
            'use strict';
            var n = i(2);
            t.exports = n.titlebar = { VERSION: '4.0.1' };
        },
        function (t, e, i) {
            'use strict';
            function n() {
                var t = o('[data-am-widget="wechatpay"]');
                return a ? void t.on('click', '.am-wechatpay-btn', function (t) {
                    t.preventDefault();
                    var e = s.utils.parseOptions(o(this).parent().data('wechatPay'));
                    return window.wx ? void wx.checkJsApi({
                        jsApiList: ['chooseWXPay'],
                        success: function (t) {
                            t.checkResult.chooseWXPay ? wx.chooseWXPay(e) : alert('微信版本不支持支付接口或没有开启\uFF01');
                        },
                        fail: function () {
                            alert('调用 checkJsApi 接口时发生错误!');
                        }
                    }) : void alert('没有微信 JS SDK');
                }) : (t.hide(), !1);
            }
            var o = i(1), s = i(2), a = window.navigator.userAgent.indexOf('MicroMessenger') > -1, r = n;
            o(r), t.exports = s.pay = {
                VERSION: '1.0.0',
                init: r
            };
        }
    ]);
});
(function (window, document, Math) {
    var rAF = window.requestAnimationFrame || window.webkitRequestAnimationFrame || window.mozRequestAnimationFrame || window.oRequestAnimationFrame || window.msRequestAnimationFrame || function (callback) {
        window.setTimeout(callback, 1000 / 60);
    };
    var utils = function () {
        var me = {};
        var _elementStyle = document.createElement('div').style;
        var _vendor = function () {
            var vendors = [
                    't',
                    'webkitT',
                    'MozT',
                    'msT',
                    'OT'
                ], transform, i = 0, l = vendors.length;
            for (; i < l; i++) {
                transform = vendors[i] + 'ransform';
                if (transform in _elementStyle)
                    return vendors[i].substr(0, vendors[i].length - 1);
            }
            return false;
        }();
        function _prefixStyle(style) {
            if (_vendor === false)
                return false;
            if (_vendor === '')
                return style;
            return _vendor + style.charAt(0).toUpperCase() + style.substr(1);
        }
        me.getTime = Date.now || function getTime() {
            return new Date().getTime();
        };
        me.extend = function (target, obj) {
            for (var i in obj) {
                target[i] = obj[i];
            }
        };
        me.addEvent = function (el, type, fn, capture) {
            el.addEventListener(type, fn, !!capture);
        };
        me.removeEvent = function (el, type, fn, capture) {
            el.removeEventListener(type, fn, !!capture);
        };
        me.prefixPointerEvent = function (pointerEvent) {
            return window.MSPointerEvent ? 'MSPointer' + pointerEvent.charAt(7).toUpperCase() + pointerEvent.substr(8) : pointerEvent;
        };
        me.momentum = function (current, start, time, lowerMargin, wrapperSize, deceleration) {
            var distance = current - start, speed = Math.abs(distance) / time, destination, duration;
            deceleration = deceleration === undefined ? 0.0006 : deceleration;
            destination = current + speed * speed / (2 * deceleration) * (distance < 0 ? -1 : 1);
            duration = speed / deceleration;
            if (destination < lowerMargin) {
                destination = wrapperSize ? lowerMargin - wrapperSize / 2.5 * (speed / 8) : lowerMargin;
                distance = Math.abs(destination - current);
                duration = distance / speed;
            } else if (destination > 0) {
                destination = wrapperSize ? wrapperSize / 2.5 * (speed / 8) : 0;
                distance = Math.abs(current) + destination;
                duration = distance / speed;
            }
            return {
                destination: Math.round(destination),
                duration: duration
            };
        };
        var _transform = _prefixStyle('transform');
        me.extend(me, {
            hasTransform: _transform !== false,
            hasPerspective: _prefixStyle('perspective') in _elementStyle,
            hasTouch: 'ontouchstart' in window,
            hasPointer: !!(window.PointerEvent || window.MSPointerEvent),
            hasTransition: _prefixStyle('transition') in _elementStyle
        });
        me.isBadAndroid = function () {
            var appVersion = window.navigator.appVersion;
            if (/Android/.test(appVersion) && !/Chrome\/\d/.test(appVersion)) {
                var safariVersion = appVersion.match(/Safari\/(\d+.\d)/);
                if (safariVersion && typeof safariVersion === 'object' && safariVersion.length >= 2) {
                    return parseFloat(safariVersion[1]) < 535.19;
                } else {
                    return true;
                }
            } else {
                return false;
            }
        }();
        me.extend(me.style = {}, {
            transform: _transform,
            transitionTimingFunction: _prefixStyle('transitionTimingFunction'),
            transitionDuration: _prefixStyle('transitionDuration'),
            transitionDelay: _prefixStyle('transitionDelay'),
            transformOrigin: _prefixStyle('transformOrigin')
        });
        me.hasClass = function (e, c) {
            var re = new RegExp('(^|\\s)' + c + '(\\s|$)');
            return re.test(e.className);
        };
        me.addClass = function (e, c) {
            if (me.hasClass(e, c)) {
                return;
            }
            var newclass = e.className.split(' ');
            newclass.push(c);
            e.className = newclass.join(' ');
        };
        me.removeClass = function (e, c) {
            if (!me.hasClass(e, c)) {
                return;
            }
            var re = new RegExp('(^|\\s)' + c + '(\\s|$)', 'g');
            e.className = e.className.replace(re, ' ');
        };
        me.offset = function (el) {
            var left = -el.offsetLeft, top = -el.offsetTop;
            while (el = el.offsetParent) {
                left -= el.offsetLeft;
                top -= el.offsetTop;
            }
            return {
                left: left,
                top: top
            };
        };
        me.preventDefaultException = function (el, exceptions) {
            for (var i in exceptions) {
                if (exceptions[i].test(el[i])) {
                    return true;
                }
            }
            return false;
        };
        me.extend(me.eventType = {}, {
            touchstart: 1,
            touchmove: 1,
            touchend: 1,
            mousedown: 2,
            mousemove: 2,
            mouseup: 2,
            pointerdown: 3,
            pointermove: 3,
            pointerup: 3,
            MSPointerDown: 3,
            MSPointerMove: 3,
            MSPointerUp: 3
        });
        me.extend(me.ease = {}, {
            quadratic: {
                style: 'cubic-bezier(0.25, 0.46, 0.45, 0.94)',
                fn: function (k) {
                    return k * (2 - k);
                }
            },
            circular: {
                style: 'cubic-bezier(0.1, 0.57, 0.1, 1)',
                fn: function (k) {
                    return Math.sqrt(1 - --k * k);
                }
            },
            back: {
                style: 'cubic-bezier(0.175, 0.885, 0.32, 1.275)',
                fn: function (k) {
                    var b = 4;
                    return (k = k - 1) * k * ((b + 1) * k + b) + 1;
                }
            },
            bounce: {
                style: '',
                fn: function (k) {
                    if ((k /= 1) < 1 / 2.75) {
                        return 7.5625 * k * k;
                    } else if (k < 2 / 2.75) {
                        return 7.5625 * (k -= 1.5 / 2.75) * k + 0.75;
                    } else if (k < 2.5 / 2.75) {
                        return 7.5625 * (k -= 2.25 / 2.75) * k + 0.9375;
                    } else {
                        return 7.5625 * (k -= 2.625 / 2.75) * k + 0.984375;
                    }
                }
            },
            elastic: {
                style: '',
                fn: function (k) {
                    var f = 0.22, e = 0.4;
                    if (k === 0) {
                        return 0;
                    }
                    if (k == 1) {
                        return 1;
                    }
                    return e * Math.pow(2, -10 * k) * Math.sin((k - f / 4) * (2 * Math.PI) / f) + 1;
                }
            }
        });
        me.tap = function (e, eventName) {
            var ev = document.createEvent('Event');
            ev.initEvent(eventName, true, true);
            ev.pageX = e.pageX;
            ev.pageY = e.pageY;
            e.target.dispatchEvent(ev);
        };
        me.click = function (e) {
            var target = e.target, ev;
            if (!/(SELECT|INPUT|TEXTAREA)/i.test(target.tagName)) {
                ev = document.createEvent(window.MouseEvent ? 'MouseEvents' : 'Event');
                ev.initEvent('click', true, true);
                ev.view = e.view || window;
                ev.detail = 1;
                ev.screenX = target.screenX || 0;
                ev.screenY = target.screenY || 0;
                ev.clientX = target.clientX || 0;
                ev.clientY = target.clientY || 0;
                ev.ctrlKey = !!e.ctrlKey;
                ev.altKey = !!e.altKey;
                ev.shiftKey = !!e.shiftKey;
                ev.metaKey = !!e.metaKey;
                ev.button = 0;
                ev.relatedTarget = null;
                ev._constructed = true;
                target.dispatchEvent(ev);
            }
        };
        return me;
    }();
    function IScroll(el, options) {
        this.wrapper = typeof el == 'string' ? document.querySelector(el) : el;
        this.scroller = this.wrapper.children[0];
        this.scrollerStyle = this.scroller.style;
        this.options = {
            resizeScrollbars: true,
            mouseWheelSpeed: 20,
            snapThreshold: 0.334,
            disablePointer: !utils.hasPointer,
            disableTouch: utils.hasPointer || !utils.hasTouch,
            disableMouse: utils.hasPointer || utils.hasTouch,
            startX: 0,
            startY: 0,
            scrollY: true,
            directionLockThreshold: 5,
            momentum: true,
            bounce: true,
            bounceTime: 600,
            bounceEasing: '',
            preventDefault: true,
            preventDefaultException: { tagName: /^(INPUT|TEXTAREA|BUTTON|SELECT)$/ },
            HWCompositing: true,
            useTransition: true,
            useTransform: true,
            bindToWrapper: typeof window.onmousedown === 'undefined'
        };
        for (var i in options) {
            this.options[i] = options[i];
        }
        this.translateZ = this.options.HWCompositing && utils.hasPerspective ? ' translateZ(0)' : '';
        this.options.useTransition = utils.hasTransition && this.options.useTransition;
        this.options.useTransform = utils.hasTransform && this.options.useTransform;
        this.options.eventPassthrough = this.options.eventPassthrough === true ? 'vertical' : this.options.eventPassthrough;
        this.options.preventDefault = !this.options.eventPassthrough && this.options.preventDefault;
        this.options.scrollY = this.options.eventPassthrough == 'vertical' ? false : this.options.scrollY;
        this.options.scrollX = this.options.eventPassthrough == 'horizontal' ? false : this.options.scrollX;
        this.options.freeScroll = this.options.freeScroll && !this.options.eventPassthrough;
        this.options.directionLockThreshold = this.options.eventPassthrough ? 0 : this.options.directionLockThreshold;
        this.options.bounceEasing = typeof this.options.bounceEasing == 'string' ? utils.ease[this.options.bounceEasing] || utils.ease.circular : this.options.bounceEasing;
        this.options.resizePolling = this.options.resizePolling === undefined ? 60 : this.options.resizePolling;
        if (this.options.tap === true) {
            this.options.tap = 'tap';
        }
        if (!this.options.useTransition && !this.options.useTransform) {
            if (!/relative|absolute/i.test(this.scrollerStyle.position)) {
                this.scrollerStyle.position = 'relative';
            }
        }
        if (this.options.shrinkScrollbars == 'scale') {
            this.options.useTransition = false;
        }
        this.options.invertWheelDirection = this.options.invertWheelDirection ? -1 : 1;
        if (this.options.probeType == 3) {
            this.options.useTransition = false;
        }
        this.x = 0;
        this.y = 0;
        this.directionX = 0;
        this.directionY = 0;
        this._events = {};
        this._init();
        this.refresh();
        this.scrollTo(this.options.startX, this.options.startY);
        this.enable();
    }
    IScroll.prototype = {
        version: '5.2.0',
        _init: function () {
            this._initEvents();
            if (this.options.scrollbars || this.options.indicators) {
                this._initIndicators();
            }
            if (this.options.mouseWheel) {
                this._initWheel();
            }
            if (this.options.snap) {
                this._initSnap();
            }
            if (this.options.keyBindings) {
                this._initKeys();
            }
        },
        destroy: function () {
            this._initEvents(true);
            clearTimeout(this.resizeTimeout);
            this.resizeTimeout = null;
            this._execEvent('destroy');
        },
        _transitionEnd: function (e) {
            if (e.target != this.scroller || !this.isInTransition) {
                return;
            }
            this._transitionTime();
            if (!this.resetPosition(this.options.bounceTime)) {
                this.isInTransition = false;
                this._execEvent('scrollEnd');
            }
        },
        _start: function (e) {
            if (utils.eventType[e.type] != 1) {
                var button;
                if (!e.which) {
                    button = e.button < 2 ? 0 : e.button == 4 ? 1 : 2;
                } else {
                    button = e.button;
                }
                if (button !== 0) {
                    return;
                }
            }
            if (!this.enabled || this.initiated && utils.eventType[e.type] !== this.initiated) {
                return;
            }
            if (this.options.preventDefault && !utils.isBadAndroid && !utils.preventDefaultException(e.target, this.options.preventDefaultException)) {
                e.preventDefault();
            }
            var point = e.touches ? e.touches[0] : e, pos;
            this.initiated = utils.eventType[e.type];
            this.moved = false;
            this.distX = 0;
            this.distY = 0;
            this.directionX = 0;
            this.directionY = 0;
            this.directionLocked = 0;
            this.startTime = utils.getTime();
            if (this.options.useTransition && this.isInTransition) {
                this._transitionTime();
                this.isInTransition = false;
                pos = this.getComputedPosition();
                this._translate(Math.round(pos.x), Math.round(pos.y));
                this._execEvent('scrollEnd');
            } else if (!this.options.useTransition && this.isAnimating) {
                this.isAnimating = false;
                this._execEvent('scrollEnd');
            }
            this.startX = this.x;
            this.startY = this.y;
            this.absStartX = this.x;
            this.absStartY = this.y;
            this.pointX = point.pageX;
            this.pointY = point.pageY;
            this._execEvent('beforeScrollStart');
        },
        _move: function (e) {
            if (!this.enabled || utils.eventType[e.type] !== this.initiated) {
                return;
            }
            if (this.options.preventDefault) {
                e.preventDefault();
            }
            var point = e.touches ? e.touches[0] : e, deltaX = point.pageX - this.pointX, deltaY = point.pageY - this.pointY, timestamp = utils.getTime(), newX, newY, absDistX, absDistY;
            this.pointX = point.pageX;
            this.pointY = point.pageY;
            this.distX += deltaX;
            this.distY += deltaY;
            absDistX = Math.abs(this.distX);
            absDistY = Math.abs(this.distY);
            if (timestamp - this.endTime > 300 && (absDistX < 10 && absDistY < 10)) {
                return;
            }
            if (!this.directionLocked && !this.options.freeScroll) {
                if (absDistX > absDistY + this.options.directionLockThreshold) {
                    this.directionLocked = 'h';
                } else if (absDistY >= absDistX + this.options.directionLockThreshold) {
                    this.directionLocked = 'v';
                } else {
                    this.directionLocked = 'n';
                }
            }
            if (this.directionLocked == 'h') {
                if (this.options.eventPassthrough == 'vertical') {
                    e.preventDefault();
                } else if (this.options.eventPassthrough == 'horizontal') {
                    this.initiated = false;
                    return;
                }
                deltaY = 0;
            } else if (this.directionLocked == 'v') {
                if (this.options.eventPassthrough == 'horizontal') {
                    e.preventDefault();
                } else if (this.options.eventPassthrough == 'vertical') {
                    this.initiated = false;
                    return;
                }
                deltaX = 0;
            }
            deltaX = this.hasHorizontalScroll ? deltaX : 0;
            deltaY = this.hasVerticalScroll ? deltaY : 0;
            newX = this.x + deltaX;
            newY = this.y + deltaY;
            if (newX > 0 || newX < this.maxScrollX) {
                newX = this.options.bounce ? this.x + deltaX / 3 : newX > 0 ? 0 : this.maxScrollX;
            }
            if (newY > 0 || newY < this.maxScrollY) {
                newY = this.options.bounce ? this.y + deltaY / 3 : newY > 0 ? 0 : this.maxScrollY;
            }
            this.directionX = deltaX > 0 ? -1 : deltaX < 0 ? 1 : 0;
            this.directionY = deltaY > 0 ? -1 : deltaY < 0 ? 1 : 0;
            if (!this.moved) {
                this._execEvent('scrollStart');
            }
            this.moved = true;
            this._translate(newX, newY);
            if (timestamp - this.startTime > 300) {
                this.startTime = timestamp;
                this.startX = this.x;
                this.startY = this.y;
                if (this.options.probeType == 1) {
                    this._execEvent('scroll');
                }
            }
            if (this.options.probeType > 1) {
                this._execEvent('scroll');
            }
        },
        _end: function (e) {
            if (!this.enabled || utils.eventType[e.type] !== this.initiated) {
                return;
            }
            if (this.options.preventDefault && !utils.preventDefaultException(e.target, this.options.preventDefaultException)) {
                e.preventDefault();
            }
            var point = e.changedTouches ? e.changedTouches[0] : e, momentumX, momentumY, duration = utils.getTime() - this.startTime, newX = Math.round(this.x), newY = Math.round(this.y), distanceX = Math.abs(newX - this.startX), distanceY = Math.abs(newY - this.startY), time = 0, easing = '';
            this.isInTransition = 0;
            this.initiated = 0;
            this.endTime = utils.getTime();
            if (this.resetPosition(this.options.bounceTime)) {
                return;
            }
            this.scrollTo(newX, newY);
            if (!this.moved) {
                if (this.options.tap) {
                    utils.tap(e, this.options.tap);
                }
                if (this.options.click) {
                    utils.click(e);
                }
                this._execEvent('scrollCancel');
                return;
            }
            if (this._events.flick && duration < 200 && distanceX < 100 && distanceY < 100) {
                this._execEvent('flick');
                return;
            }
            if (this.options.momentum && duration < 300) {
                momentumX = this.hasHorizontalScroll ? utils.momentum(this.x, this.startX, duration, this.maxScrollX, this.options.bounce ? this.wrapperWidth : 0, this.options.deceleration) : {
                    destination: newX,
                    duration: 0
                };
                momentumY = this.hasVerticalScroll ? utils.momentum(this.y, this.startY, duration, this.maxScrollY, this.options.bounce ? this.wrapperHeight : 0, this.options.deceleration) : {
                    destination: newY,
                    duration: 0
                };
                newX = momentumX.destination;
                newY = momentumY.destination;
                time = Math.max(momentumX.duration, momentumY.duration);
                this.isInTransition = 1;
            }
            if (this.options.snap) {
                var snap = this._nearestSnap(newX, newY);
                this.currentPage = snap;
                time = this.options.snapSpeed || Math.max(Math.max(Math.min(Math.abs(newX - snap.x), 1000), Math.min(Math.abs(newY - snap.y), 1000)), 300);
                newX = snap.x;
                newY = snap.y;
                this.directionX = 0;
                this.directionY = 0;
                easing = this.options.bounceEasing;
            }
            if (newX != this.x || newY != this.y) {
                if (newX > 0 || newX < this.maxScrollX || newY > 0 || newY < this.maxScrollY) {
                    easing = utils.ease.quadratic;
                }
                this.scrollTo(newX, newY, time, easing);
                return;
            }
            this._execEvent('scrollEnd');
        },
        _resize: function () {
            var that = this;
            clearTimeout(this.resizeTimeout);
            this.resizeTimeout = setTimeout(function () {
                that.refresh();
            }, this.options.resizePolling);
        },
        resetPosition: function (time) {
            var x = this.x, y = this.y;
            time = time || 0;
            if (!this.hasHorizontalScroll || this.x > 0) {
                x = 0;
            } else if (this.x < this.maxScrollX) {
                x = this.maxScrollX;
            }
            if (!this.hasVerticalScroll || this.y > 0) {
                y = 0;
            } else if (this.y < this.maxScrollY) {
                y = this.maxScrollY;
            }
            if (x == this.x && y == this.y) {
                return false;
            }
            this.scrollTo(x, y, time, this.options.bounceEasing);
            return true;
        },
        disable: function () {
            this.enabled = false;
        },
        enable: function () {
            this.enabled = true;
        },
        refresh: function () {
            var rf = this.wrapper.offsetHeight;
            this.wrapperWidth = this.wrapper.clientWidth;
            this.wrapperHeight = this.wrapper.clientHeight;
            this.scrollerWidth = this.scroller.offsetWidth;
            this.scrollerHeight = this.scroller.offsetHeight;
            this.maxScrollX = this.wrapperWidth - this.scrollerWidth;
            this.maxScrollY = this.wrapperHeight - this.scrollerHeight;
            this.hasHorizontalScroll = this.options.scrollX && this.maxScrollX < 0;
            this.hasVerticalScroll = this.options.scrollY && this.maxScrollY < 0;
            if (!this.hasHorizontalScroll) {
                this.maxScrollX = 0;
                this.scrollerWidth = this.wrapperWidth;
            }
            if (!this.hasVerticalScroll) {
                this.maxScrollY = 0;
                this.scrollerHeight = this.wrapperHeight;
            }
            this.endTime = 0;
            this.directionX = 0;
            this.directionY = 0;
            this.wrapperOffset = utils.offset(this.wrapper);
            this._execEvent('refresh');
            this.resetPosition();
        },
        on: function (type, fn) {
            if (!this._events[type]) {
                this._events[type] = [];
            }
            this._events[type].push(fn);
        },
        off: function (type, fn) {
            if (!this._events[type]) {
                return;
            }
            var index = this._events[type].indexOf(fn);
            if (index > -1) {
                this._events[type].splice(index, 1);
            }
        },
        _execEvent: function (type) {
            if (!this._events[type]) {
                return;
            }
            var i = 0, l = this._events[type].length;
            if (!l) {
                return;
            }
            for (; i < l; i++) {
                this._events[type][i].apply(this, [].slice.call(arguments, 1));
            }
        },
        scrollBy: function (x, y, time, easing) {
            x = this.x + x;
            y = this.y + y;
            time = time || 0;
            this.scrollTo(x, y, time, easing);
        },
        scrollTo: function (x, y, time, easing) {
            easing = easing || utils.ease.circular;
            this.isInTransition = this.options.useTransition && time > 0;
            var transitionType = this.options.useTransition && easing.style;
            if (!time || transitionType) {
                if (transitionType) {
                    this._transitionTimingFunction(easing.style);
                    this._transitionTime(time);
                }
                this._translate(x, y);
            } else {
                this._animate(x, y, time, easing.fn);
            }
        },
        scrollToElement: function (el, time, offsetX, offsetY, easing) {
            el = el.nodeType ? el : this.scroller.querySelector(el);
            if (!el) {
                return;
            }
            var pos = utils.offset(el);
            pos.left -= this.wrapperOffset.left;
            pos.top -= this.wrapperOffset.top;
            if (offsetX === true) {
                offsetX = Math.round(el.offsetWidth / 2 - this.wrapper.offsetWidth / 2);
            }
            if (offsetY === true) {
                offsetY = Math.round(el.offsetHeight / 2 - this.wrapper.offsetHeight / 2);
            }
            pos.left -= offsetX || 0;
            pos.top -= offsetY || 0;
            pos.left = pos.left > 0 ? 0 : pos.left < this.maxScrollX ? this.maxScrollX : pos.left;
            pos.top = pos.top > 0 ? 0 : pos.top < this.maxScrollY ? this.maxScrollY : pos.top;
            time = time === undefined || time === null || time === 'auto' ? Math.max(Math.abs(this.x - pos.left), Math.abs(this.y - pos.top)) : time;
            this.scrollTo(pos.left, pos.top, time, easing);
        },
        _transitionTime: function (time) {
            if (!this.options.useTransition) {
                return;
            }
            time = time || 0;
            var durationProp = utils.style.transitionDuration;
            if (!durationProp) {
                return;
            }
            this.scrollerStyle[durationProp] = time + 'ms';
            if (!time && utils.isBadAndroid) {
                this.scrollerStyle[durationProp] = '0.0001ms';
                var self = this;
                rAF(function () {
                    if (self.scrollerStyle[durationProp] === '0.0001ms') {
                        self.scrollerStyle[durationProp] = '0s';
                    }
                });
            }
            if (this.indicators) {
                for (var i = this.indicators.length; i--;) {
                    this.indicators[i].transitionTime(time);
                }
            }
        },
        _transitionTimingFunction: function (easing) {
            this.scrollerStyle[utils.style.transitionTimingFunction] = easing;
            if (this.indicators) {
                for (var i = this.indicators.length; i--;) {
                    this.indicators[i].transitionTimingFunction(easing);
                }
            }
        },
        _translate: function (x, y) {
            if (this.options.useTransform) {
                this.scrollerStyle[utils.style.transform] = 'translate(' + x + 'px,' + y + 'px)' + this.translateZ;
            } else {
                x = Math.round(x);
                y = Math.round(y);
                this.scrollerStyle.left = x + 'px';
                this.scrollerStyle.top = y + 'px';
            }
            this.x = x;
            this.y = y;
            if (this.indicators) {
                for (var i = this.indicators.length; i--;) {
                    this.indicators[i].updatePosition();
                }
            }
        },
        _initEvents: function (remove) {
            var eventType = remove ? utils.removeEvent : utils.addEvent, target = this.options.bindToWrapper ? this.wrapper : window;
            eventType(window, 'orientationchange', this);
            eventType(window, 'resize', this);
            if (this.options.click) {
                eventType(this.wrapper, 'click', this, true);
            }
            if (!this.options.disableMouse) {
                eventType(this.wrapper, 'mousedown', this);
                eventType(target, 'mousemove', this);
                eventType(target, 'mousecancel', this);
                eventType(target, 'mouseup', this);
            }
            if (utils.hasPointer && !this.options.disablePointer) {
                eventType(this.wrapper, utils.prefixPointerEvent('pointerdown'), this);
                eventType(target, utils.prefixPointerEvent('pointermove'), this);
                eventType(target, utils.prefixPointerEvent('pointercancel'), this);
                eventType(target, utils.prefixPointerEvent('pointerup'), this);
            }
            if (utils.hasTouch && !this.options.disableTouch) {
                eventType(this.wrapper, 'touchstart', this);
                eventType(target, 'touchmove', this);
                eventType(target, 'touchcancel', this);
                eventType(target, 'touchend', this);
            }
            eventType(this.scroller, 'transitionend', this);
            eventType(this.scroller, 'webkitTransitionEnd', this);
            eventType(this.scroller, 'oTransitionEnd', this);
            eventType(this.scroller, 'MSTransitionEnd', this);
        },
        getComputedPosition: function () {
            var matrix = window.getComputedStyle(this.scroller, null), x, y;
            if (this.options.useTransform) {
                matrix = matrix[utils.style.transform].split(')')[0].split(', ');
                x = +(matrix[12] || matrix[4]);
                y = +(matrix[13] || matrix[5]);
            } else {
                x = +matrix.left.replace(/[^-\d.]/g, '');
                y = +matrix.top.replace(/[^-\d.]/g, '');
            }
            return {
                x: x,
                y: y
            };
        },
        _initIndicators: function () {
            var interactive = this.options.interactiveScrollbars, customStyle = typeof this.options.scrollbars != 'string', indicators = [], indicator;
            var that = this;
            this.indicators = [];
            if (this.options.scrollbars) {
                if (this.options.scrollY) {
                    indicator = {
                        el: createDefaultScrollbar('v', interactive, this.options.scrollbars),
                        interactive: interactive,
                        defaultScrollbars: true,
                        customStyle: customStyle,
                        resize: this.options.resizeScrollbars,
                        shrink: this.options.shrinkScrollbars,
                        fade: this.options.fadeScrollbars,
                        listenX: false
                    };
                    this.wrapper.appendChild(indicator.el);
                    indicators.push(indicator);
                }
                if (this.options.scrollX) {
                    indicator = {
                        el: createDefaultScrollbar('h', interactive, this.options.scrollbars),
                        interactive: interactive,
                        defaultScrollbars: true,
                        customStyle: customStyle,
                        resize: this.options.resizeScrollbars,
                        shrink: this.options.shrinkScrollbars,
                        fade: this.options.fadeScrollbars,
                        listenY: false
                    };
                    this.wrapper.appendChild(indicator.el);
                    indicators.push(indicator);
                }
            }
            if (this.options.indicators) {
                indicators = indicators.concat(this.options.indicators);
            }
            for (var i = indicators.length; i--;) {
                this.indicators.push(new Indicator(this, indicators[i]));
            }
            function _indicatorsMap(fn) {
                if (that.indicators) {
                    for (var i = that.indicators.length; i--;) {
                        fn.call(that.indicators[i]);
                    }
                }
            }
            if (this.options.fadeScrollbars) {
                this.on('scrollEnd', function () {
                    _indicatorsMap(function () {
                        this.fade();
                    });
                });
                this.on('scrollCancel', function () {
                    _indicatorsMap(function () {
                        this.fade();
                    });
                });
                this.on('scrollStart', function () {
                    _indicatorsMap(function () {
                        this.fade(1);
                    });
                });
                this.on('beforeScrollStart', function () {
                    _indicatorsMap(function () {
                        this.fade(1, true);
                    });
                });
            }
            this.on('refresh', function () {
                _indicatorsMap(function () {
                    this.refresh();
                });
            });
            this.on('destroy', function () {
                _indicatorsMap(function () {
                    this.destroy();
                });
                delete this.indicators;
            });
        },
        _initWheel: function () {
            utils.addEvent(this.wrapper, 'wheel', this);
            utils.addEvent(this.wrapper, 'mousewheel', this);
            utils.addEvent(this.wrapper, 'DOMMouseScroll', this);
            this.on('destroy', function () {
                clearTimeout(this.wheelTimeout);
                this.wheelTimeout = null;
                utils.removeEvent(this.wrapper, 'wheel', this);
                utils.removeEvent(this.wrapper, 'mousewheel', this);
                utils.removeEvent(this.wrapper, 'DOMMouseScroll', this);
            });
        },
        _wheel: function (e) {
            if (!this.enabled) {
                return;
            }
            e.preventDefault();
            var wheelDeltaX, wheelDeltaY, newX, newY, that = this;
            if (this.wheelTimeout === undefined) {
                that._execEvent('scrollStart');
            }
            clearTimeout(this.wheelTimeout);
            this.wheelTimeout = setTimeout(function () {
                if (!that.options.snap) {
                    that._execEvent('scrollEnd');
                }
                that.wheelTimeout = undefined;
            }, 400);
            if ('deltaX' in e) {
                if (e.deltaMode === 1) {
                    wheelDeltaX = -e.deltaX * this.options.mouseWheelSpeed;
                    wheelDeltaY = -e.deltaY * this.options.mouseWheelSpeed;
                } else {
                    wheelDeltaX = -e.deltaX;
                    wheelDeltaY = -e.deltaY;
                }
            } else if ('wheelDeltaX' in e) {
                wheelDeltaX = e.wheelDeltaX / 120 * this.options.mouseWheelSpeed;
                wheelDeltaY = e.wheelDeltaY / 120 * this.options.mouseWheelSpeed;
            } else if ('wheelDelta' in e) {
                wheelDeltaX = wheelDeltaY = e.wheelDelta / 120 * this.options.mouseWheelSpeed;
            } else if ('detail' in e) {
                wheelDeltaX = wheelDeltaY = -e.detail / 3 * this.options.mouseWheelSpeed;
            } else {
                return;
            }
            wheelDeltaX *= this.options.invertWheelDirection;
            wheelDeltaY *= this.options.invertWheelDirection;
            if (!this.hasVerticalScroll) {
                wheelDeltaX = wheelDeltaY;
                wheelDeltaY = 0;
            }
            if (this.options.snap) {
                newX = this.currentPage.pageX;
                newY = this.currentPage.pageY;
                if (wheelDeltaX > 0) {
                    newX--;
                } else if (wheelDeltaX < 0) {
                    newX++;
                }
                if (wheelDeltaY > 0) {
                    newY--;
                } else if (wheelDeltaY < 0) {
                    newY++;
                }
                this.goToPage(newX, newY);
                return;
            }
            newX = this.x + Math.round(this.hasHorizontalScroll ? wheelDeltaX : 0);
            newY = this.y + Math.round(this.hasVerticalScroll ? wheelDeltaY : 0);
            this.directionX = wheelDeltaX > 0 ? -1 : wheelDeltaX < 0 ? 1 : 0;
            this.directionY = wheelDeltaY > 0 ? -1 : wheelDeltaY < 0 ? 1 : 0;
            if (newX > 0) {
                newX = 0;
            } else if (newX < this.maxScrollX) {
                newX = this.maxScrollX;
            }
            if (newY > 0) {
                newY = 0;
            } else if (newY < this.maxScrollY) {
                newY = this.maxScrollY;
            }
            this.scrollTo(newX, newY, 0);
            if (this.options.probeType > 1) {
                this._execEvent('scroll');
            }
        },
        _initSnap: function () {
            this.currentPage = {};
            if (typeof this.options.snap == 'string') {
                this.options.snap = this.scroller.querySelectorAll(this.options.snap);
            }
            this.on('refresh', function () {
                var i = 0, l, m = 0, n, cx, cy, x = 0, y, stepX = this.options.snapStepX || this.wrapperWidth, stepY = this.options.snapStepY || this.wrapperHeight, el;
                this.pages = [];
                if (!this.wrapperWidth || !this.wrapperHeight || !this.scrollerWidth || !this.scrollerHeight) {
                    return;
                }
                if (this.options.snap === true) {
                    cx = Math.round(stepX / 2);
                    cy = Math.round(stepY / 2);
                    while (x > -this.scrollerWidth) {
                        this.pages[i] = [];
                        l = 0;
                        y = 0;
                        while (y > -this.scrollerHeight) {
                            this.pages[i][l] = {
                                x: Math.max(x, this.maxScrollX),
                                y: Math.max(y, this.maxScrollY),
                                width: stepX,
                                height: stepY,
                                cx: x - cx,
                                cy: y - cy
                            };
                            y -= stepY;
                            l++;
                        }
                        x -= stepX;
                        i++;
                    }
                } else {
                    el = this.options.snap;
                    l = el.length;
                    n = -1;
                    for (; i < l; i++) {
                        if (i === 0 || el[i].offsetLeft <= el[i - 1].offsetLeft) {
                            m = 0;
                            n++;
                        }
                        if (!this.pages[m]) {
                            this.pages[m] = [];
                        }
                        x = Math.max(-el[i].offsetLeft, this.maxScrollX);
                        y = Math.max(-el[i].offsetTop, this.maxScrollY);
                        cx = x - Math.round(el[i].offsetWidth / 2);
                        cy = y - Math.round(el[i].offsetHeight / 2);
                        this.pages[m][n] = {
                            x: x,
                            y: y,
                            width: el[i].offsetWidth,
                            height: el[i].offsetHeight,
                            cx: cx,
                            cy: cy
                        };
                        if (x > this.maxScrollX) {
                            m++;
                        }
                    }
                }
                this.goToPage(this.currentPage.pageX || 0, this.currentPage.pageY || 0, 0);
                if (this.options.snapThreshold % 1 === 0) {
                    this.snapThresholdX = this.options.snapThreshold;
                    this.snapThresholdY = this.options.snapThreshold;
                } else {
                    this.snapThresholdX = Math.round(this.pages[this.currentPage.pageX][this.currentPage.pageY].width * this.options.snapThreshold);
                    this.snapThresholdY = Math.round(this.pages[this.currentPage.pageX][this.currentPage.pageY].height * this.options.snapThreshold);
                }
            });
            this.on('flick', function () {
                var time = this.options.snapSpeed || Math.max(Math.max(Math.min(Math.abs(this.x - this.startX), 1000), Math.min(Math.abs(this.y - this.startY), 1000)), 300);
                this.goToPage(this.currentPage.pageX + this.directionX, this.currentPage.pageY + this.directionY, time);
            });
        },
        _nearestSnap: function (x, y) {
            if (!this.pages.length) {
                return {
                    x: 0,
                    y: 0,
                    pageX: 0,
                    pageY: 0
                };
            }
            var i = 0, l = this.pages.length, m = 0;
            if (Math.abs(x - this.absStartX) < this.snapThresholdX && Math.abs(y - this.absStartY) < this.snapThresholdY) {
                return this.currentPage;
            }
            if (x > 0) {
                x = 0;
            } else if (x < this.maxScrollX) {
                x = this.maxScrollX;
            }
            if (y > 0) {
                y = 0;
            } else if (y < this.maxScrollY) {
                y = this.maxScrollY;
            }
            for (; i < l; i++) {
                if (x >= this.pages[i][0].cx) {
                    x = this.pages[i][0].x;
                    break;
                }
            }
            l = this.pages[i].length;
            for (; m < l; m++) {
                if (y >= this.pages[0][m].cy) {
                    y = this.pages[0][m].y;
                    break;
                }
            }
            if (i == this.currentPage.pageX) {
                i += this.directionX;
                if (i < 0) {
                    i = 0;
                } else if (i >= this.pages.length) {
                    i = this.pages.length - 1;
                }
                x = this.pages[i][0].x;
            }
            if (m == this.currentPage.pageY) {
                m += this.directionY;
                if (m < 0) {
                    m = 0;
                } else if (m >= this.pages[0].length) {
                    m = this.pages[0].length - 1;
                }
                y = this.pages[0][m].y;
            }
            return {
                x: x,
                y: y,
                pageX: i,
                pageY: m
            };
        },
        goToPage: function (x, y, time, easing) {
            easing = easing || this.options.bounceEasing;
            if (x >= this.pages.length) {
                x = this.pages.length - 1;
            } else if (x < 0) {
                x = 0;
            }
            if (y >= this.pages[x].length) {
                y = this.pages[x].length - 1;
            } else if (y < 0) {
                y = 0;
            }
            var posX = this.pages[x][y].x, posY = this.pages[x][y].y;
            time = time === undefined ? this.options.snapSpeed || Math.max(Math.max(Math.min(Math.abs(posX - this.x), 1000), Math.min(Math.abs(posY - this.y), 1000)), 300) : time;
            this.currentPage = {
                x: posX,
                y: posY,
                pageX: x,
                pageY: y
            };
            this.scrollTo(posX, posY, time, easing);
        },
        next: function (time, easing) {
            var x = this.currentPage.pageX, y = this.currentPage.pageY;
            x++;
            if (x >= this.pages.length && this.hasVerticalScroll) {
                x = 0;
                y++;
            }
            this.goToPage(x, y, time, easing);
        },
        prev: function (time, easing) {
            var x = this.currentPage.pageX, y = this.currentPage.pageY;
            x--;
            if (x < 0 && this.hasVerticalScroll) {
                x = 0;
                y--;
            }
            this.goToPage(x, y, time, easing);
        },
        _initKeys: function (e) {
            var keys = {
                pageUp: 33,
                pageDown: 34,
                end: 35,
                home: 36,
                left: 37,
                up: 38,
                right: 39,
                down: 40
            };
            var i;
            if (typeof this.options.keyBindings == 'object') {
                for (i in this.options.keyBindings) {
                    if (typeof this.options.keyBindings[i] == 'string') {
                        this.options.keyBindings[i] = this.options.keyBindings[i].toUpperCase().charCodeAt(0);
                    }
                }
            } else {
                this.options.keyBindings = {};
            }
            for (i in keys) {
                this.options.keyBindings[i] = this.options.keyBindings[i] || keys[i];
            }
            utils.addEvent(window, 'keydown', this);
            this.on('destroy', function () {
                utils.removeEvent(window, 'keydown', this);
            });
        },
        _key: function (e) {
            if (!this.enabled) {
                return;
            }
            var snap = this.options.snap, newX = snap ? this.currentPage.pageX : this.x, newY = snap ? this.currentPage.pageY : this.y, now = utils.getTime(), prevTime = this.keyTime || 0, acceleration = 0.25, pos;
            if (this.options.useTransition && this.isInTransition) {
                pos = this.getComputedPosition();
                this._translate(Math.round(pos.x), Math.round(pos.y));
                this.isInTransition = false;
            }
            this.keyAcceleration = now - prevTime < 200 ? Math.min(this.keyAcceleration + acceleration, 50) : 0;
            switch (e.keyCode) {
            case this.options.keyBindings.pageUp:
                if (this.hasHorizontalScroll && !this.hasVerticalScroll) {
                    newX += snap ? 1 : this.wrapperWidth;
                } else {
                    newY += snap ? 1 : this.wrapperHeight;
                }
                break;
            case this.options.keyBindings.pageDown:
                if (this.hasHorizontalScroll && !this.hasVerticalScroll) {
                    newX -= snap ? 1 : this.wrapperWidth;
                } else {
                    newY -= snap ? 1 : this.wrapperHeight;
                }
                break;
            case this.options.keyBindings.end:
                newX = snap ? this.pages.length - 1 : this.maxScrollX;
                newY = snap ? this.pages[0].length - 1 : this.maxScrollY;
                break;
            case this.options.keyBindings.home:
                newX = 0;
                newY = 0;
                break;
            case this.options.keyBindings.left:
                newX += snap ? -1 : 5 + this.keyAcceleration >> 0;
                break;
            case this.options.keyBindings.up:
                newY += snap ? 1 : 5 + this.keyAcceleration >> 0;
                break;
            case this.options.keyBindings.right:
                newX -= snap ? -1 : 5 + this.keyAcceleration >> 0;
                break;
            case this.options.keyBindings.down:
                newY -= snap ? 1 : 5 + this.keyAcceleration >> 0;
                break;
            default:
                return;
            }
            if (snap) {
                this.goToPage(newX, newY);
                return;
            }
            if (newX > 0) {
                newX = 0;
                this.keyAcceleration = 0;
            } else if (newX < this.maxScrollX) {
                newX = this.maxScrollX;
                this.keyAcceleration = 0;
            }
            if (newY > 0) {
                newY = 0;
                this.keyAcceleration = 0;
            } else if (newY < this.maxScrollY) {
                newY = this.maxScrollY;
                this.keyAcceleration = 0;
            }
            this.scrollTo(newX, newY, 0);
            this.keyTime = now;
        },
        _animate: function (destX, destY, duration, easingFn) {
            var that = this, startX = this.x, startY = this.y, startTime = utils.getTime(), destTime = startTime + duration;
            function step() {
                var now = utils.getTime(), newX, newY, easing;
                if (now >= destTime) {
                    that.isAnimating = false;
                    that._translate(destX, destY);
                    if (!that.resetPosition(that.options.bounceTime)) {
                        that._execEvent('scrollEnd');
                    }
                    return;
                }
                now = (now - startTime) / duration;
                easing = easingFn(now);
                newX = (destX - startX) * easing + startX;
                newY = (destY - startY) * easing + startY;
                that._translate(newX, newY);
                if (that.isAnimating) {
                    rAF(step);
                }
                if (that.options.probeType == 3) {
                    that._execEvent('scroll');
                }
            }
            this.isAnimating = true;
            step();
        },
        handleEvent: function (e) {
            switch (e.type) {
            case 'touchstart':
            case 'pointerdown':
            case 'MSPointerDown':
            case 'mousedown':
                this._start(e);
                break;
            case 'touchmove':
            case 'pointermove':
            case 'MSPointerMove':
            case 'mousemove':
                this._move(e);
                break;
            case 'touchend':
            case 'pointerup':
            case 'MSPointerUp':
            case 'mouseup':
            case 'touchcancel':
            case 'pointercancel':
            case 'MSPointerCancel':
            case 'mousecancel':
                this._end(e);
                break;
            case 'orientationchange':
            case 'resize':
                this._resize();
                break;
            case 'transitionend':
            case 'webkitTransitionEnd':
            case 'oTransitionEnd':
            case 'MSTransitionEnd':
                this._transitionEnd(e);
                break;
            case 'wheel':
            case 'DOMMouseScroll':
            case 'mousewheel':
                this._wheel(e);
                break;
            case 'keydown':
                this._key(e);
                break;
            case 'click':
                if (this.enabled && !e._constructed) {
                    e.preventDefault();
                    e.stopPropagation();
                }
                break;
            }
        }
    };
    function createDefaultScrollbar(direction, interactive, type) {
        var scrollbar = document.createElement('div'), indicator = document.createElement('div');
        if (type === true) {
            scrollbar.style.cssText = 'position:absolute;z-index:9999';
            indicator.style.cssText = '-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;position:absolute;background:rgba(0,0,0,0.5);border:1px solid rgba(255,255,255,0.9);border-radius:3px';
        }
        indicator.className = 'iScrollIndicator';
        if (direction == 'h') {
            if (type === true) {
                scrollbar.style.cssText += ';height:7px;left:2px;right:2px;bottom:0';
                indicator.style.height = '100%';
            }
            scrollbar.className = 'iScrollHorizontalScrollbar';
        } else {
            if (type === true) {
                scrollbar.style.cssText += ';width:7px;bottom:2px;top:2px;right:1px';
                indicator.style.width = '100%';
            }
            scrollbar.className = 'iScrollVerticalScrollbar';
        }
        scrollbar.style.cssText += ';overflow:hidden';
        if (!interactive) {
            scrollbar.style.pointerEvents = 'none';
        }
        scrollbar.appendChild(indicator);
        return scrollbar;
    }
    function Indicator(scroller, options) {
        this.wrapper = typeof options.el == 'string' ? document.querySelector(options.el) : options.el;
        this.wrapperStyle = this.wrapper.style;
        this.indicator = this.wrapper.children[0];
        this.indicatorStyle = this.indicator.style;
        this.scroller = scroller;
        this.options = {
            listenX: true,
            listenY: true,
            interactive: false,
            resize: true,
            defaultScrollbars: false,
            shrink: false,
            fade: false,
            speedRatioX: 0,
            speedRatioY: 0
        };
        for (var i in options) {
            this.options[i] = options[i];
        }
        this.sizeRatioX = 1;
        this.sizeRatioY = 1;
        this.maxPosX = 0;
        this.maxPosY = 0;
        if (this.options.interactive) {
            if (!this.options.disableTouch) {
                utils.addEvent(this.indicator, 'touchstart', this);
                utils.addEvent(window, 'touchend', this);
            }
            if (!this.options.disablePointer) {
                utils.addEvent(this.indicator, utils.prefixPointerEvent('pointerdown'), this);
                utils.addEvent(window, utils.prefixPointerEvent('pointerup'), this);
            }
            if (!this.options.disableMouse) {
                utils.addEvent(this.indicator, 'mousedown', this);
                utils.addEvent(window, 'mouseup', this);
            }
        }
        if (this.options.fade) {
            this.wrapperStyle[utils.style.transform] = this.scroller.translateZ;
            var durationProp = utils.style.transitionDuration;
            if (!durationProp) {
                return;
            }
            this.wrapperStyle[durationProp] = utils.isBadAndroid ? '0.0001ms' : '0ms';
            var self = this;
            if (utils.isBadAndroid) {
                rAF(function () {
                    if (self.wrapperStyle[durationProp] === '0.0001ms') {
                        self.wrapperStyle[durationProp] = '0s';
                    }
                });
            }
            this.wrapperStyle.opacity = '0';
        }
    }
    Indicator.prototype = {
        handleEvent: function (e) {
            switch (e.type) {
            case 'touchstart':
            case 'pointerdown':
            case 'MSPointerDown':
            case 'mousedown':
                this._start(e);
                break;
            case 'touchmove':
            case 'pointermove':
            case 'MSPointerMove':
            case 'mousemove':
                this._move(e);
                break;
            case 'touchend':
            case 'pointerup':
            case 'MSPointerUp':
            case 'mouseup':
            case 'touchcancel':
            case 'pointercancel':
            case 'MSPointerCancel':
            case 'mousecancel':
                this._end(e);
                break;
            }
        },
        destroy: function () {
            if (this.options.fadeScrollbars) {
                clearTimeout(this.fadeTimeout);
                this.fadeTimeout = null;
            }
            if (this.options.interactive) {
                utils.removeEvent(this.indicator, 'touchstart', this);
                utils.removeEvent(this.indicator, utils.prefixPointerEvent('pointerdown'), this);
                utils.removeEvent(this.indicator, 'mousedown', this);
                utils.removeEvent(window, 'touchmove', this);
                utils.removeEvent(window, utils.prefixPointerEvent('pointermove'), this);
                utils.removeEvent(window, 'mousemove', this);
                utils.removeEvent(window, 'touchend', this);
                utils.removeEvent(window, utils.prefixPointerEvent('pointerup'), this);
                utils.removeEvent(window, 'mouseup', this);
            }
            if (this.options.defaultScrollbars) {
                this.wrapper.parentNode.removeChild(this.wrapper);
            }
        },
        _start: function (e) {
            var point = e.touches ? e.touches[0] : e;
            e.preventDefault();
            e.stopPropagation();
            this.transitionTime();
            this.initiated = true;
            this.moved = false;
            this.lastPointX = point.pageX;
            this.lastPointY = point.pageY;
            this.startTime = utils.getTime();
            if (!this.options.disableTouch) {
                utils.addEvent(window, 'touchmove', this);
            }
            if (!this.options.disablePointer) {
                utils.addEvent(window, utils.prefixPointerEvent('pointermove'), this);
            }
            if (!this.options.disableMouse) {
                utils.addEvent(window, 'mousemove', this);
            }
            this.scroller._execEvent('beforeScrollStart');
        },
        _move: function (e) {
            var point = e.touches ? e.touches[0] : e, deltaX, deltaY, newX, newY, timestamp = utils.getTime();
            if (!this.moved) {
                this.scroller._execEvent('scrollStart');
            }
            this.moved = true;
            deltaX = point.pageX - this.lastPointX;
            this.lastPointX = point.pageX;
            deltaY = point.pageY - this.lastPointY;
            this.lastPointY = point.pageY;
            newX = this.x + deltaX;
            newY = this.y + deltaY;
            this._pos(newX, newY);
            if (this.scroller.options.probeType == 1 && timestamp - this.startTime > 300) {
                this.startTime = timestamp;
                this.scroller._execEvent('scroll');
            } else if (this.scroller.options.probeType > 1) {
                this.scroller._execEvent('scroll');
            }
            e.preventDefault();
            e.stopPropagation();
        },
        _end: function (e) {
            if (!this.initiated) {
                return;
            }
            this.initiated = false;
            e.preventDefault();
            e.stopPropagation();
            utils.removeEvent(window, 'touchmove', this);
            utils.removeEvent(window, utils.prefixPointerEvent('pointermove'), this);
            utils.removeEvent(window, 'mousemove', this);
            if (this.scroller.options.snap) {
                var snap = this.scroller._nearestSnap(this.scroller.x, this.scroller.y);
                var time = this.options.snapSpeed || Math.max(Math.max(Math.min(Math.abs(this.scroller.x - snap.x), 1000), Math.min(Math.abs(this.scroller.y - snap.y), 1000)), 300);
                if (this.scroller.x != snap.x || this.scroller.y != snap.y) {
                    this.scroller.directionX = 0;
                    this.scroller.directionY = 0;
                    this.scroller.currentPage = snap;
                    this.scroller.scrollTo(snap.x, snap.y, time, this.scroller.options.bounceEasing);
                }
            }
            if (this.moved) {
                this.scroller._execEvent('scrollEnd');
            }
        },
        transitionTime: function (time) {
            time = time || 0;
            var durationProp = utils.style.transitionDuration;
            if (!durationProp) {
                return;
            }
            this.indicatorStyle[durationProp] = time + 'ms';
            if (!time && utils.isBadAndroid) {
                this.indicatorStyle[durationProp] = '0.0001ms';
                var self = this;
                rAF(function () {
                    if (self.indicatorStyle[durationProp] === '0.0001ms') {
                        self.indicatorStyle[durationProp] = '0s';
                    }
                });
            }
        },
        transitionTimingFunction: function (easing) {
            this.indicatorStyle[utils.style.transitionTimingFunction] = easing;
        },
        refresh: function () {
            this.transitionTime();
            if (this.options.listenX && !this.options.listenY) {
                this.indicatorStyle.display = this.scroller.hasHorizontalScroll ? 'block' : 'none';
            } else if (this.options.listenY && !this.options.listenX) {
                this.indicatorStyle.display = this.scroller.hasVerticalScroll ? 'block' : 'none';
            } else {
                this.indicatorStyle.display = this.scroller.hasHorizontalScroll || this.scroller.hasVerticalScroll ? 'block' : 'none';
            }
            if (this.scroller.hasHorizontalScroll && this.scroller.hasVerticalScroll) {
                utils.addClass(this.wrapper, 'iScrollBothScrollbars');
                utils.removeClass(this.wrapper, 'iScrollLoneScrollbar');
                if (this.options.defaultScrollbars && this.options.customStyle) {
                    if (this.options.listenX) {
                        this.wrapper.style.right = '8px';
                    } else {
                        this.wrapper.style.bottom = '8px';
                    }
                }
            } else {
                utils.removeClass(this.wrapper, 'iScrollBothScrollbars');
                utils.addClass(this.wrapper, 'iScrollLoneScrollbar');
                if (this.options.defaultScrollbars && this.options.customStyle) {
                    if (this.options.listenX) {
                        this.wrapper.style.right = '2px';
                    } else {
                        this.wrapper.style.bottom = '2px';
                    }
                }
            }
            var r = this.wrapper.offsetHeight;
            if (this.options.listenX) {
                this.wrapperWidth = this.wrapper.clientWidth;
                if (this.options.resize) {
                    this.indicatorWidth = Math.max(Math.round(this.wrapperWidth * this.wrapperWidth / (this.scroller.scrollerWidth || this.wrapperWidth || 1)), 8);
                    this.indicatorStyle.width = this.indicatorWidth + 'px';
                } else {
                    this.indicatorWidth = this.indicator.clientWidth;
                }
                this.maxPosX = this.wrapperWidth - this.indicatorWidth;
                if (this.options.shrink == 'clip') {
                    this.minBoundaryX = -this.indicatorWidth + 8;
                    this.maxBoundaryX = this.wrapperWidth - 8;
                } else {
                    this.minBoundaryX = 0;
                    this.maxBoundaryX = this.maxPosX;
                }
                this.sizeRatioX = this.options.speedRatioX || this.scroller.maxScrollX && this.maxPosX / this.scroller.maxScrollX;
            }
            if (this.options.listenY) {
                this.wrapperHeight = this.wrapper.clientHeight;
                if (this.options.resize) {
                    this.indicatorHeight = Math.max(Math.round(this.wrapperHeight * this.wrapperHeight / (this.scroller.scrollerHeight || this.wrapperHeight || 1)), 8);
                    this.indicatorStyle.height = this.indicatorHeight + 'px';
                } else {
                    this.indicatorHeight = this.indicator.clientHeight;
                }
                this.maxPosY = this.wrapperHeight - this.indicatorHeight;
                if (this.options.shrink == 'clip') {
                    this.minBoundaryY = -this.indicatorHeight + 8;
                    this.maxBoundaryY = this.wrapperHeight - 8;
                } else {
                    this.minBoundaryY = 0;
                    this.maxBoundaryY = this.maxPosY;
                }
                this.maxPosY = this.wrapperHeight - this.indicatorHeight;
                this.sizeRatioY = this.options.speedRatioY || this.scroller.maxScrollY && this.maxPosY / this.scroller.maxScrollY;
            }
            this.updatePosition();
        },
        updatePosition: function () {
            var x = this.options.listenX && Math.round(this.sizeRatioX * this.scroller.x) || 0, y = this.options.listenY && Math.round(this.sizeRatioY * this.scroller.y) || 0;
            if (!this.options.ignoreBoundaries) {
                if (x < this.minBoundaryX) {
                    if (this.options.shrink == 'scale') {
                        this.width = Math.max(this.indicatorWidth + x, 8);
                        this.indicatorStyle.width = this.width + 'px';
                    }
                    x = this.minBoundaryX;
                } else if (x > this.maxBoundaryX) {
                    if (this.options.shrink == 'scale') {
                        this.width = Math.max(this.indicatorWidth - (x - this.maxPosX), 8);
                        this.indicatorStyle.width = this.width + 'px';
                        x = this.maxPosX + this.indicatorWidth - this.width;
                    } else {
                        x = this.maxBoundaryX;
                    }
                } else if (this.options.shrink == 'scale' && this.width != this.indicatorWidth) {
                    this.width = this.indicatorWidth;
                    this.indicatorStyle.width = this.width + 'px';
                }
                if (y < this.minBoundaryY) {
                    if (this.options.shrink == 'scale') {
                        this.height = Math.max(this.indicatorHeight + y * 3, 8);
                        this.indicatorStyle.height = this.height + 'px';
                    }
                    y = this.minBoundaryY;
                } else if (y > this.maxBoundaryY) {
                    if (this.options.shrink == 'scale') {
                        this.height = Math.max(this.indicatorHeight - (y - this.maxPosY) * 3, 8);
                        this.indicatorStyle.height = this.height + 'px';
                        y = this.maxPosY + this.indicatorHeight - this.height;
                    } else {
                        y = this.maxBoundaryY;
                    }
                } else if (this.options.shrink == 'scale' && this.height != this.indicatorHeight) {
                    this.height = this.indicatorHeight;
                    this.indicatorStyle.height = this.height + 'px';
                }
            }
            this.x = x;
            this.y = y;
            if (this.scroller.options.useTransform) {
                this.indicatorStyle[utils.style.transform] = 'translate(' + x + 'px,' + y + 'px)' + this.scroller.translateZ;
            } else {
                this.indicatorStyle.left = x + 'px';
                this.indicatorStyle.top = y + 'px';
            }
        },
        _pos: function (x, y) {
            if (x < 0) {
                x = 0;
            } else if (x > this.maxPosX) {
                x = this.maxPosX;
            }
            if (y < 0) {
                y = 0;
            } else if (y > this.maxPosY) {
                y = this.maxPosY;
            }
            x = this.options.listenX ? Math.round(x / this.sizeRatioX) : this.scroller.x;
            y = this.options.listenY ? Math.round(y / this.sizeRatioY) : this.scroller.y;
            this.scroller.scrollTo(x, y);
        },
        fade: function (val, hold) {
            if (hold && !this.visible) {
                return;
            }
            clearTimeout(this.fadeTimeout);
            this.fadeTimeout = null;
            var time = val ? 250 : 500, delay = val ? 0 : 300;
            val = val ? '1' : '0';
            this.wrapperStyle[utils.style.transitionDuration] = time + 'ms';
            this.fadeTimeout = setTimeout(function (val) {
                this.wrapperStyle.opacity = val;
                this.visible = +val;
            }.bind(this, val), delay);
        }
    };
    IScroll.utils = utils;
    if (typeof module != 'undefined' && module.exports) {
        module.exports = IScroll;
    } else if (typeof define == 'function' && define.amd) {
        define('IScroll', [], function () {
            return IScroll;
        });
    } else {
        window.IScroll = IScroll;
    }
}(window, document, Math));
var App = App || {};
define('uview', [
    'vue',
    'amazeui',
    'IScroll'
], function (Vue, amazeui, IScroll) {
    var v = Vue.extend({
        _objectExtend: {
            cxName: '',
            cxId: '',
            cxChildId: '',
            cxWpid: '',
            probeType: '',
            cxChildP: null,
            cxParentP: null,
            cxChildPage: null,
            cxNextPageNs: [],
            cxLsnImg: '',
            cxApi: '',
            cxVas: {},
            cxPage: 1,
            cxPagesize: 10,
            cxPageEnd: false,
            cxState: -1,
            cxTotal: 0,
            cxAllPage: 0,
            cxAutoload: false,
            cxAmt: 'cxpFade',
            cxAmtSt: -1,
            cxAdded: false,
            cxAutoShow: false,
            cxAmtEnd: false,
            $loading: $('<div id="splistloading">上拉加载更多</div>'),
            $noSpan: $('<div>没有数据</div>'),
            ldVisble: true,
            iScroll: null,
            vScroll: null,
            vScrollStaY: 0,
            vScrollEndY: 0,
            _dataInit: {
                replace: false,
                list: [],
                show: false,
                transitionName: 'cxpFade'
            },
            cxInit: function () {
            },
            cxCreated: function () {
            },
            loadData: function (_fun, _vas, _option) {
                var _this = this;
                if (typeof _option != 'undefined') {
                    App.upData(_option);
                } else if (this.cxApi != '') {
                    var _cxVas = { page: 1 };
                    if (typeof _vas != 'undefined') {
                        for (var k in _vas) {
                            _cxVas[k] = _vas[k];
                        }
                    }
                    ;
                    App.loading(true);
                    this._loadExp('上拉加载更多');
                    this.cxPageEnd = false;
                    this.$loading.remove();
                    this.list = [];
                    if (this.vScroll)
                        _this.vScroll.scrollTo(0, 0);
                    this.loadDataPlus(_cxVas, _fun);
                } else {
                    if (typeof _fun != 'undefined')
                        _fun(this);
                }
            },
            renData: function () {
                this.loadData();
            },
            loadDataPlus: function (_vas, _fun) {
                if (typeof _vas == 'undefined' && _vas instanceof Object) {
                    App.alert('缺少数据');
                } else if (this.cxApi != '') {
                    var _this = this;
                    var _url = App.config.urlPath + this.cxApi + '?' + App.config.accompany;
                    if (typeof _vas != 'undefined') {
                        for (var k in _vas) {
                            this.cxVas[k] = _vas[k];
                        }
                        App.trace(this.cxName + '-开始获取数据\uFF1A' + this.cxApi);
                        App.upData({
                            url: _url,
                            data: this.cxVas,
                            success: function (data) {
                                try {
                                    if (data.state == 1) {
                                        if (data.result.list instanceof Array) {
                                            _this.cxPage = data.result.page;
                                            if (_this.list.length < 1) {
                                                _this.cxAllPage = Math.ceil(data.result.total / data.result.size);
                                                if (data.result.list.length > 0) {
                                                    _this.list = data.result.list;
                                                    if (_this.cxPage < _this.cxAllPage) {
                                                        $(_this.cxWpid).children(':first').append(_this.$loading);
                                                    }
                                                }
                                            } else {
                                                for (var ik in data.result.list) {
                                                    _this.list.push(data.result.list[ik]);
                                                }
                                            }
                                            if (_this.cxAllPage == _this.cxPage) {
                                                _this._loadExp('没有更多数据了');
                                            } else {
                                                _this._loadExp('上拉加载更多');
                                            }
                                        } else {
                                            _.each(data.result, function (val, key) {
                                                Vue.set(_this, key, val);
                                            });
                                        }
                                        _this.$nextTick(_this._cxNextTick);
                                        if (typeof _fun != 'undefined')
                                            _fun(_this);
                                    } else {
                                        if (data.errordes != '') {
                                            App.alert(data.errordes);
                                        } else {
                                            App.alert(data.result.info);
                                        }
                                        if (typeof _fun != 'undefined')
                                            _fun(_this);
                                    }
                                    App.loading(false);
                                    _this.cxLoadDataSuccess(data);
                                } catch (er) {
                                    App.loading(false);
                                    App.trace('返回的数据格式处理错误');
                                }
                                App.trace(_this.cxName + '-获取数据成功\uFF1A' + _this.cxApi);
                            },
                            error: function () {
                                App.alert('获取数据错误');
                                App.loading(false);
                            }
                        });
                    }
                    ;
                }
            },
            cxLoadDataSuccess: function () {
            },
            _cxNextTick: function () {
                var _this = this;
                $('img').error(function () {
                    $(this).attr('src', 'assets/imgs/fire.png');
                });
                if (this.cxLsnImg != '') {
                    $(this.cxLsnImg).each(function () {
                        this.onload = function () {
                            _this._cxRenderAfterPut();
                        };
                    });
                }
                this._cxRenderAfterPut();
                this.cxNextTick();
            },
            cxNextTick: function () {
            },
            plusPage: function () {
                if (this.cxPage < this.cxAllPage) {
                    this._cxRenderAfterPut();
                    this.vScroll.scrollBy(0, -1);
                    this._loadExp('数据加载中...');
                    this.loadDataPlus({ page: this.cxPage + 1 });
                } else {
                    this._loadExp('没有更多数据了');
                    this.cxPageEnd = true;
                }
            },
            cxRender: function () {
            },
            _loadExp: function (_val) {
                this.$loading.html(_val);
            },
            _cxRenderAfterPut: function () {
                var _this = this;
                if (this.vScroll) {
                    var _it = setTimeout(function () {
                        _this.vScroll.refresh();
                        _this.cxRenderAfterPut();
                        clearTimeout(_it);
                    }, 100);
                } else {
                    if (this.cxWpid != '') {
                        if (this.probeType == 3) {
                            this.vScroll = new IScroll(this.cxWpid, {
                                probeType: 3,
                                mouseWheel: true,
                                disableTouch: false,
                                eventPassthrough: 'horizontal'
                            });
                        } else {
                            this.vScroll = new this.iScroll(this.cxWpid, {
                                mouseWheel: true,
                                disableTouch: false,
                                eventPassthrough: 'horizontal'
                            });
                        }
                        this.vScroll.on('scrollStart', function () {
                            _this.vScrollStaY = this.y;
                            if (_this.vScrollStaY == this.maxScrollY && _this.vScrollStaY != 0) {
                                _this.scrollBomStart();
                            }
                            _this.scrollStart(this);
                        });
                        this.vScroll.on('scrollEnd', function () {
                            _this.vScrollEndY = this.y;
                            if (_this.vScrollStaY == _this.vScrollEndY && _this.vScrollEndY == 0) {
                                _this.scrollTopEvt();
                            } else if (_this.vScrollStaY == _this.vScrollEndY && _this.vScrollStaY != 0) {
                                _this.scrollBomEvt();
                            } else {
                                _this._loadExp('上拉加载更多');
                            }
                            _this.scrollEnd(this);
                        });
                    }
                    this.cxRenderAfterPut();
                }
            },
            cxRenderAfterPut: function () {
            },
            scrollStart: function () {
            },
            scroll: function () {
            },
            scrollEnd: function () {
            },
            scrollTopEvt: function () {
            },
            scrollBomStart: function () {
                if (!this.cxPageEnd) {
                    this._loadExp('释放加载数据');
                }
            },
            scrollBomEvt: function () {
                if (!this.cxPageEnd) {
                    this.plusPage();
                }
            },
            cxShow: function () {
                this.show = true;
                this.cxAdded = true;
                App.trace('显示\uFF1A' + this.cxName);
            },
            cxRemove: function (_delCP) {
                if (_delCP) {
                    this.$destroy(true);
                } else {
                    if (this.vScroll) {
                        this.vScroll.destroy();
                        this.vScroll = null;
                    }
                    this.show = false;
                    this.cxAdded = false;
                }
            },
            loadPage: function (_page, _delCP) {
                if (this.cxChildP != null) {
                    App.trace('删除\uFF1A' + this.cxChildP.cxName);
                    this.cxChildP.cxRemove(_delCP);
                }
                if (this.cxChildId != '') {
                    App.trace('子页面对象->' + _page.cxName);
                    _page.cxParentP = this;
                    _page.$mount().$appendTo(this.cxChildId);
                    this.$nextTick(this.cxNextTick);
                    if (_page.cxAutoShow && !_page.cxAdded) {
                        App.trace('显示到舞台上\uFF1A' + _page.cxName);
                        _page.cxShow();
                    }
                    this.cxChildP = _page;
                }
            },
            closeChild: function () {
                if (this.cxChildP != null) {
                    this.cxChildP.cxRemove();
                }
            },
            _appendComplete: function () {
                this.cxAmtEnd = true;
                if (this.transitionName == 'cxpRight') {
                    this.transitionName = 'cxpLeft';
                } else if (this.transitionName == 'cxpLeft') {
                    this.transitionName = 'cxpRight';
                }
                if (typeof this.transitionName !== 'undefined') {
                    if (this.cxAutoload)
                        this.loadData();
                }
                this._cxRenderAfterPut();
                this.cxReady();
            },
            cxInput: function () {
            },
            _removeComplete: function () {
            },
            appendComplete: function () {
            },
            removeComplete: function () {
            },
            cxReady: function () {
            },
            cxDestroy: function () {
            }
        },
        methods: {
            openChild: function (_obj) {
                if (typeof _obj == 'string') {
                    App.trace('打开页面\uFF1A' + _obj);
                    if (this.cxChildP) {
                        if (this.cxChildP.cxName == _obj) {
                            this.cxChildP.show = true;
                            if (this.cxChildP.cxChildP) {
                                this.cxChildP.cxChildP.cxRemove();
                            }
                            return false;
                        }
                    }
                    if (_obj) {
                        this.loadPage(new this.cxChildPage[_obj](), true);
                    }
                } else {
                    App.trace('打开页面\uFF1A' + _obj.child);
                    if (this.cxChildP) {
                        if (this.cxChildP.cxName == _obj.child) {
                            this.cxChildP.show = true;
                            this.cxChildP.cxInput(_obj.vas);
                            if (this.cxChildP.cxChildP) {
                                this.cxChildP.cxChildP.cxRemove();
                            }
                            return false;
                        }
                    }
                    if (_obj) {
                        if (this.cxChildPage.hasOwnProperty(_obj.child)) {
                            if (typeof _obj.vas != 'undefined') {
                                this.loadPage(new this.cxChildPage[_obj.child]({ vas: _obj.vas }), true);
                            } else {
                                this.loadPage(new this.cxChildPage[_obj.child](), true);
                            }
                        } else {
                            App.alert('打开地址错误', {
                                closed: function () {
                                    history.go(-1);
                                }
                            });
                        }
                    }
                }
            },
            goBack: function () {
                if (window.history.length > 1) {
                    window.history.back();
                } else {
                    window.location.href = '#home';
                }
            }
        },
        computed: {},
        init: function () {
            _.extend(this, this.$options._objectExtend);
            if (typeof this.$options.objectExtend === 'object') {
                _.extend(this, this.$options.objectExtend);
            }
            this.iScroll = $.AMUI.iScroll;
            this.cxInit();
            App.loading(false);
        },
        created: function () {
            for (var key in this._dataInit) {
                Vue.set(this, key, this._dataInit[key]);
            }
            if (typeof this.$options.cxData === 'object') {
                for (var key in this.$options.cxData) {
                    Vue.set(this, key, this.$options.cxData[key]);
                }
            }
            this.cxVas.page = this.cxPage;
            this.cxVas.pagesize = this.cxPagesize;
            this.cxVas.state = this.cxState;
            this.cxCreated();
        },
        beforeCompile: function () {
        },
        ready: function () {
            if (typeof this.transitionName == 'undefined' || this.transitionName == 'cxpNone') {
                if (this.cxAutoload)
                    this.loadData();
                this.cxReady();
                this.$nextTick(this._cxNextTick);
            }
            var _this = this;
            App.trace(this.cxName + ':ready-' + this.transitionName);
            if (_this.cxAutoShow && _this.cxAdded && !_this.cxAmtEnd && typeof this.transitionName != 'undefined') {
                App.trace(_this.cxName + '强制数据重载');
                App.reload.r();
            }
        },
        attached: function () {
        },
        beforeDestroy: function () {
        },
        destroyed: function () {
        }
    });
    return v;
});
define('tpl/main.html', [], function () {
    return '<div id="cx-main" class="cx-page" v-if="show" :transition="transitionName"><div id="cx_main"></div><com-footbar v-ref:footbar></com-footbar><com-login v-ref:loginbar></com-login></div>';
});
define('tpl/home.html', [], function () {
    return '<div class="views" id="home-center" v-if="show" :transition="transitionName">\r\n    <div id="home_center">\r\n    </div>\r\n</div>';
});
define('tpl/hindex.html', [], function () {
    return '<div class="views" id="h-index" v-if="show" :transition="transitionName">\r\n    <header class="navbar icon-dark">\r\n        \r\n        <div class="am-u-sm-2 head-left">\r\n            <a v-on:click="clearSearchInfo()" class="nav-icon am-icon-cx-45"></a>\r\n        </div>\r\n        <div class="am-u-sm-8">\r\n            <h1 class="nav-title"><img src="assets/imgs/header.png" alt=""></h1>\r\n        </div>\r\n        <div class="am-u-sm-2 head-right">\r\n            <a href="#ucenter/umsg" class="nav-icon am-icon-cx-46"><span class="None act" v-bind:class="{ \'cxdot\': new}"></span></a>\r\n        </div>\r\n    </header>\r\n    <div class="c-main" id="h_index">\r\n        <div>\r\n            <div class="am-slider am-slider-default myslider" id="myslider" style="height:{{midH}}">\r\n                <ul class="am-slides">\r\n                    <template v-if="advertisement">\r\n                        <template v-for="value in advertisement">\r\n                            <li id="advertisement{{value.id}}">\r\n                                <template v-if="value.type==1">\r\n                                    <template v-if="value.url==\'\'">\r\n                                        <a><img style="height:{{midH}};width:auto" :src="value.imgurl" /></a>\r\n                                    </template>\r\n                                    <template v-else>\r\n                                        <a target="_blank" href="{{value.url}}"><img style="height:{{midH}};width:auto" :src="value.imgurl" /></a>\r\n                                    </template>\r\n                                </template>\r\n                                <template v-else>\r\n                                    <a href="#home/halbum/{{value.id}}"><img style="height:{{midH}};width:auto" :src="value.imgurl" /></a>\r\n                                </template>\r\n                            </li>\r\n                        </template>\r\n                    </template>\r\n                </ul>\r\n            </div>\r\n            <div id="wrapper" class="index-list">\r\n                <div class="wrap_index">\r\n                    <div class="collection">\r\n                        <div class="collection-title">品质生活</div>\r\n                        <ul class="collection-ul" id="collection" style="min-height:{{cH}}">\r\n                            <template v-if="anthology">\r\n                                <template v-for="value in anthology">\r\n                                    <li id="anthology{{value.id}}" style="width:{{cW}}">\r\n                                        <a href="#home/hpages/{{value.id}}">\r\n                                            <div>\r\n                                                <img style="height:{{cH}}" :src="value.previewImgUrl" alt="" />\r\n                                                <p class="title">{{value.name}}</p>\r\n                                            </div>\r\n                                        </a>\r\n                                    </li>\r\n                                </template>\r\n                            </template>\r\n                        </ul>\r\n                    </div>\r\n                    <div class="recommend">\r\n                        <div class="recommend-title">\r\n                            <div class="title">精选商品</div>\r\n                        </div>\r\n                        <ul class="recommend-list">\r\n                            <template v-if="list">\r\n                                <template v-for="value in list">\r\n                                    <li>\r\n                                        <!--1f,0p-->\r\n                                        <template v-if="value.l.type===1">\r\n                                            <a href="#mall/service/{{value.l.id}}"><img style="height:{{midH}}" :src="value.l.imgrul" alt="" /></a>\r\n                                        </template>\r\n                                        <template v-else>\r\n                                            <a href="#mall/product/{{value.l.id}}"><img style="height:{{midH}}" :src="value.l.imgrul" alt="" /></a>\r\n                                        </template>\r\n\r\n                                        <div class="info">\r\n                                            <template v-if="value.l.type===1">\r\n                                                <div class="title" style="width:100%">{{value.l.name}}</span><span class="stimes">已服务{{value.l.count}}次</span></div>\r\n                                                <p class="price">\uFFE5{{value.l.memberprice}}</p>\r\n                                            </template>\r\n                                            <template v-else>\r\n                                                <p class="title">{{value.l.name}}</p>\r\n                                                <p class="price">\uFFE5{{value.l.memberprice}}</p>\r\n                                                <div class="others product ui-border-radius"><span id="{{value.n}}" v-on:click="updatalike(value.l.id,value.l.iscollection,value.n)"\r\n                                                        class="am-icon-cx-48 " v-bind:class="{ \'liked\': value.l.iscollection,\'unliked\':!value.l.iscollection }"></span></div>\r\n                                            </template>\r\n                                        </div>\r\n                                    </li>\r\n                                </template>\r\n                            </template>\r\n                        </ul>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
(function (t) {
    var e = typeof self == 'object' && self.self === self && self || typeof global == 'object' && global.global === global && global;
    if (typeof define === 'function' && define.amd) {
        define('backbone', [
            'underscore',
            'jquery',
            'exports'
        ], function (i, r, n) {
            e.Backbone = t(e, n, i, r);
        });
    } else if (typeof exports !== 'undefined') {
        var i = require('underscore'), r;
        try {
            r = require('jquery');
        } catch (n) {
        }
        t(e, exports, i, r);
    } else {
        e.Backbone = t(e, {}, e._, e.jQuery || e.Zepto || e.ender || e.$);
    }
}(function (t, e, i, r) {
    var n = t.Backbone;
    var s = Array.prototype.slice;
    e.VERSION = '1.3.3';
    e.$ = r;
    e.noConflict = function () {
        t.Backbone = n;
        return this;
    };
    e.emulateHTTP = false;
    e.emulateJSON = false;
    var a = function (t, e, r) {
        switch (t) {
        case 1:
            return function () {
                return i[e](this[r]);
            };
        case 2:
            return function (t) {
                return i[e](this[r], t);
            };
        case 3:
            return function (t, n) {
                return i[e](this[r], o(t, this), n);
            };
        case 4:
            return function (t, n, s) {
                return i[e](this[r], o(t, this), n, s);
            };
        default:
            return function () {
                var t = s.call(arguments);
                t.unshift(this[r]);
                return i[e].apply(i, t);
            };
        }
    };
    var h = function (t, e, r) {
        i.each(e, function (e, n) {
            if (i[n])
                t.prototype[n] = a(e, n, r);
        });
    };
    var o = function (t, e) {
        if (i.isFunction(t))
            return t;
        if (i.isObject(t) && !e._isModel(t))
            return l(t);
        if (i.isString(t))
            return function (e) {
                return e.get(t);
            };
        return t;
    };
    var l = function (t) {
        var e = i.matches(t);
        return function (t) {
            return e(t.attributes);
        };
    };
    var u = e.Events = {};
    var c = /\s+/;
    var f = function (t, e, r, n, s) {
        var a = 0, h;
        if (r && typeof r === 'object') {
            if (n !== void 0 && 'context' in s && s.context === void 0)
                s.context = n;
            for (h = i.keys(r); a < h.length; a++) {
                e = f(t, e, h[a], r[h[a]], s);
            }
        } else if (r && c.test(r)) {
            for (h = r.split(c); a < h.length; a++) {
                e = t(e, h[a], n, s);
            }
        } else {
            e = t(e, r, n, s);
        }
        return e;
    };
    u.on = function (t, e, i) {
        return d(this, t, e, i);
    };
    var d = function (t, e, i, r, n) {
        t._events = f(v, t._events || {}, e, i, {
            context: r,
            ctx: t,
            listening: n
        });
        if (n) {
            var s = t._listeners || (t._listeners = {});
            s[n.id] = n;
        }
        return t;
    };
    u.listenTo = function (t, e, r) {
        if (!t)
            return this;
        var n = t._listenId || (t._listenId = i.uniqueId('l'));
        var s = this._listeningTo || (this._listeningTo = {});
        var a = s[n];
        if (!a) {
            var h = this._listenId || (this._listenId = i.uniqueId('l'));
            a = s[n] = {
                obj: t,
                objId: n,
                id: h,
                listeningTo: s,
                count: 0
            };
        }
        d(t, e, r, this, a);
        return this;
    };
    var v = function (t, e, i, r) {
        if (i) {
            var n = t[e] || (t[e] = []);
            var s = r.context, a = r.ctx, h = r.listening;
            if (h)
                h.count++;
            n.push({
                callback: i,
                context: s,
                ctx: s || a,
                listening: h
            });
        }
        return t;
    };
    u.off = function (t, e, i) {
        if (!this._events)
            return this;
        this._events = f(g, this._events, t, e, {
            context: i,
            listeners: this._listeners
        });
        return this;
    };
    u.stopListening = function (t, e, r) {
        var n = this._listeningTo;
        if (!n)
            return this;
        var s = t ? [t._listenId] : i.keys(n);
        for (var a = 0; a < s.length; a++) {
            var h = n[s[a]];
            if (!h)
                break;
            h.obj.off(e, r, this);
        }
        return this;
    };
    var g = function (t, e, r, n) {
        if (!t)
            return;
        var s = 0, a;
        var h = n.context, o = n.listeners;
        if (!e && !r && !h) {
            var l = i.keys(o);
            for (; s < l.length; s++) {
                a = o[l[s]];
                delete o[a.id];
                delete a.listeningTo[a.objId];
            }
            return;
        }
        var u = e ? [e] : i.keys(t);
        for (; s < u.length; s++) {
            e = u[s];
            var c = t[e];
            if (!c)
                break;
            var f = [];
            for (var d = 0; d < c.length; d++) {
                var v = c[d];
                if (r && r !== v.callback && r !== v.callback._callback || h && h !== v.context) {
                    f.push(v);
                } else {
                    a = v.listening;
                    if (a && --a.count === 0) {
                        delete o[a.id];
                        delete a.listeningTo[a.objId];
                    }
                }
            }
            if (f.length) {
                t[e] = f;
            } else {
                delete t[e];
            }
        }
        return t;
    };
    u.once = function (t, e, r) {
        var n = f(p, {}, t, e, i.bind(this.off, this));
        if (typeof t === 'string' && r == null)
            e = void 0;
        return this.on(n, e, r);
    };
    u.listenToOnce = function (t, e, r) {
        var n = f(p, {}, e, r, i.bind(this.stopListening, this, t));
        return this.listenTo(t, n);
    };
    var p = function (t, e, r, n) {
        if (r) {
            var s = t[e] = i.once(function () {
                n(e, s);
                r.apply(this, arguments);
            });
            s._callback = r;
        }
        return t;
    };
    u.trigger = function (t) {
        if (!this._events)
            return this;
        var e = Math.max(0, arguments.length - 1);
        var i = Array(e);
        for (var r = 0; r < e; r++)
            i[r] = arguments[r + 1];
        f(m, this._events, t, void 0, i);
        return this;
    };
    var m = function (t, e, i, r) {
        if (t) {
            var n = t[e];
            var s = t.all;
            if (n && s)
                s = s.slice();
            if (n)
                _(n, r);
            if (s)
                _(s, [e].concat(r));
        }
        return t;
    };
    var _ = function (t, e) {
        var i, r = -1, n = t.length, s = e[0], a = e[1], h = e[2];
        switch (e.length) {
        case 0:
            while (++r < n)
                (i = t[r]).callback.call(i.ctx);
            return;
        case 1:
            while (++r < n)
                (i = t[r]).callback.call(i.ctx, s);
            return;
        case 2:
            while (++r < n)
                (i = t[r]).callback.call(i.ctx, s, a);
            return;
        case 3:
            while (++r < n)
                (i = t[r]).callback.call(i.ctx, s, a, h);
            return;
        default:
            while (++r < n)
                (i = t[r]).callback.apply(i.ctx, e);
            return;
        }
    };
    u.bind = u.on;
    u.unbind = u.off;
    i.extend(e, u);
    var y = e.Model = function (t, e) {
        var r = t || {};
        e || (e = {});
        this.cid = i.uniqueId(this.cidPrefix);
        this.attributes = {};
        if (e.collection)
            this.collection = e.collection;
        if (e.parse)
            r = this.parse(r, e) || {};
        var n = i.result(this, 'defaults');
        r = i.defaults(i.extend({}, n, r), n);
        this.set(r, e);
        this.changed = {};
        this.initialize.apply(this, arguments);
    };
    i.extend(y.prototype, u, {
        changed: null,
        validationError: null,
        idAttribute: 'id',
        cidPrefix: 'c',
        initialize: function () {
        },
        toJSON: function (t) {
            return i.clone(this.attributes);
        },
        sync: function () {
            return e.sync.apply(this, arguments);
        },
        get: function (t) {
            return this.attributes[t];
        },
        escape: function (t) {
            return i.escape(this.get(t));
        },
        has: function (t) {
            return this.get(t) != null;
        },
        matches: function (t) {
            return !!i.iteratee(t, this)(this.attributes);
        },
        set: function (t, e, r) {
            if (t == null)
                return this;
            var n;
            if (typeof t === 'object') {
                n = t;
                r = e;
            } else {
                (n = {})[t] = e;
            }
            r || (r = {});
            if (!this._validate(n, r))
                return false;
            var s = r.unset;
            var a = r.silent;
            var h = [];
            var o = this._changing;
            this._changing = true;
            if (!o) {
                this._previousAttributes = i.clone(this.attributes);
                this.changed = {};
            }
            var l = this.attributes;
            var u = this.changed;
            var c = this._previousAttributes;
            for (var f in n) {
                e = n[f];
                if (!i.isEqual(l[f], e))
                    h.push(f);
                if (!i.isEqual(c[f], e)) {
                    u[f] = e;
                } else {
                    delete u[f];
                }
                s ? delete l[f] : l[f] = e;
            }
            if (this.idAttribute in n)
                this.id = this.get(this.idAttribute);
            if (!a) {
                if (h.length)
                    this._pending = r;
                for (var d = 0; d < h.length; d++) {
                    this.trigger('change:' + h[d], this, l[h[d]], r);
                }
            }
            if (o)
                return this;
            if (!a) {
                while (this._pending) {
                    r = this._pending;
                    this._pending = false;
                    this.trigger('change', this, r);
                }
            }
            this._pending = false;
            this._changing = false;
            return this;
        },
        unset: function (t, e) {
            return this.set(t, void 0, i.extend({}, e, { unset: true }));
        },
        clear: function (t) {
            var e = {};
            for (var r in this.attributes)
                e[r] = void 0;
            return this.set(e, i.extend({}, t, { unset: true }));
        },
        hasChanged: function (t) {
            if (t == null)
                return !i.isEmpty(this.changed);
            return i.has(this.changed, t);
        },
        changedAttributes: function (t) {
            if (!t)
                return this.hasChanged() ? i.clone(this.changed) : false;
            var e = this._changing ? this._previousAttributes : this.attributes;
            var r = {};
            for (var n in t) {
                var s = t[n];
                if (i.isEqual(e[n], s))
                    continue;
                r[n] = s;
            }
            return i.size(r) ? r : false;
        },
        previous: function (t) {
            if (t == null || !this._previousAttributes)
                return null;
            return this._previousAttributes[t];
        },
        previousAttributes: function () {
            return i.clone(this._previousAttributes);
        },
        fetch: function (t) {
            t = i.extend({ parse: true }, t);
            var e = this;
            var r = t.success;
            t.success = function (i) {
                var n = t.parse ? e.parse(i, t) : i;
                if (!e.set(n, t))
                    return false;
                if (r)
                    r.call(t.context, e, i, t);
                e.trigger('sync', e, i, t);
            };
            B(this, t);
            return this.sync('read', this, t);
        },
        save: function (t, e, r) {
            var n;
            if (t == null || typeof t === 'object') {
                n = t;
                r = e;
            } else {
                (n = {})[t] = e;
            }
            r = i.extend({
                validate: true,
                parse: true
            }, r);
            var s = r.wait;
            if (n && !s) {
                if (!this.set(n, r))
                    return false;
            } else if (!this._validate(n, r)) {
                return false;
            }
            var a = this;
            var h = r.success;
            var o = this.attributes;
            r.success = function (t) {
                a.attributes = o;
                var e = r.parse ? a.parse(t, r) : t;
                if (s)
                    e = i.extend({}, n, e);
                if (e && !a.set(e, r))
                    return false;
                if (h)
                    h.call(r.context, a, t, r);
                a.trigger('sync', a, t, r);
            };
            B(this, r);
            if (n && s)
                this.attributes = i.extend({}, o, n);
            var l = this.isNew() ? 'create' : r.patch ? 'patch' : 'update';
            if (l === 'patch' && !r.attrs)
                r.attrs = n;
            var u = this.sync(l, this, r);
            this.attributes = o;
            return u;
        },
        destroy: function (t) {
            t = t ? i.clone(t) : {};
            var e = this;
            var r = t.success;
            var n = t.wait;
            var s = function () {
                e.stopListening();
                e.trigger('destroy', e, e.collection, t);
            };
            t.success = function (i) {
                if (n)
                    s();
                if (r)
                    r.call(t.context, e, i, t);
                if (!e.isNew())
                    e.trigger('sync', e, i, t);
            };
            var a = false;
            if (this.isNew()) {
                i.defer(t.success);
            } else {
                B(this, t);
                a = this.sync('delete', this, t);
            }
            if (!n)
                s();
            return a;
        },
        url: function () {
            var t = i.result(this, 'urlRoot') || i.result(this.collection, 'url') || F();
            if (this.isNew())
                return t;
            var e = this.get(this.idAttribute);
            return t.replace(/[^\/]$/, '$&/') + encodeURIComponent(e);
        },
        parse: function (t, e) {
            return t;
        },
        clone: function () {
            return new this.constructor(this.attributes);
        },
        isNew: function () {
            return !this.has(this.idAttribute);
        },
        isValid: function (t) {
            return this._validate({}, i.extend({}, t, { validate: true }));
        },
        _validate: function (t, e) {
            if (!e.validate || !this.validate)
                return true;
            t = i.extend({}, this.attributes, t);
            var r = this.validationError = this.validate(t, e) || null;
            if (!r)
                return true;
            this.trigger('invalid', this, r, i.extend(e, { validationError: r }));
            return false;
        }
    });
    var b = {
        keys: 1,
        values: 1,
        pairs: 1,
        invert: 1,
        pick: 0,
        omit: 0,
        chain: 1,
        isEmpty: 1
    };
    h(y, b, 'attributes');
    var x = e.Collection = function (t, e) {
        e || (e = {});
        if (e.model)
            this.model = e.model;
        if (e.comparator !== void 0)
            this.comparator = e.comparator;
        this._reset();
        this.initialize.apply(this, arguments);
        if (t)
            this.reset(t, i.extend({ silent: true }, e));
    };
    var w = {
        add: true,
        remove: true,
        merge: true
    };
    var E = {
        add: true,
        remove: false
    };
    var I = function (t, e, i) {
        i = Math.min(Math.max(i, 0), t.length);
        var r = Array(t.length - i);
        var n = e.length;
        var s;
        for (s = 0; s < r.length; s++)
            r[s] = t[s + i];
        for (s = 0; s < n; s++)
            t[s + i] = e[s];
        for (s = 0; s < r.length; s++)
            t[s + n + i] = r[s];
    };
    i.extend(x.prototype, u, {
        model: y,
        initialize: function () {
        },
        toJSON: function (t) {
            return this.map(function (e) {
                return e.toJSON(t);
            });
        },
        sync: function () {
            return e.sync.apply(this, arguments);
        },
        add: function (t, e) {
            return this.set(t, i.extend({ merge: false }, e, E));
        },
        remove: function (t, e) {
            e = i.extend({}, e);
            var r = !i.isArray(t);
            t = r ? [t] : t.slice();
            var n = this._removeModels(t, e);
            if (!e.silent && n.length) {
                e.changes = {
                    added: [],
                    merged: [],
                    removed: n
                };
                this.trigger('update', this, e);
            }
            return r ? n[0] : n;
        },
        set: function (t, e) {
            if (t == null)
                return;
            e = i.extend({}, w, e);
            if (e.parse && !this._isModel(t)) {
                t = this.parse(t, e) || [];
            }
            var r = !i.isArray(t);
            t = r ? [t] : t.slice();
            var n = e.at;
            if (n != null)
                n = +n;
            if (n > this.length)
                n = this.length;
            if (n < 0)
                n += this.length + 1;
            var s = [];
            var a = [];
            var h = [];
            var o = [];
            var l = {};
            var u = e.add;
            var c = e.merge;
            var f = e.remove;
            var d = false;
            var v = this.comparator && n == null && e.sort !== false;
            var g = i.isString(this.comparator) ? this.comparator : null;
            var p, m;
            for (m = 0; m < t.length; m++) {
                p = t[m];
                var _ = this.get(p);
                if (_) {
                    if (c && p !== _) {
                        var y = this._isModel(p) ? p.attributes : p;
                        if (e.parse)
                            y = _.parse(y, e);
                        _.set(y, e);
                        h.push(_);
                        if (v && !d)
                            d = _.hasChanged(g);
                    }
                    if (!l[_.cid]) {
                        l[_.cid] = true;
                        s.push(_);
                    }
                    t[m] = _;
                } else if (u) {
                    p = t[m] = this._prepareModel(p, e);
                    if (p) {
                        a.push(p);
                        this._addReference(p, e);
                        l[p.cid] = true;
                        s.push(p);
                    }
                }
            }
            if (f) {
                for (m = 0; m < this.length; m++) {
                    p = this.models[m];
                    if (!l[p.cid])
                        o.push(p);
                }
                if (o.length)
                    this._removeModels(o, e);
            }
            var b = false;
            var x = !v && u && f;
            if (s.length && x) {
                b = this.length !== s.length || i.some(this.models, function (t, e) {
                    return t !== s[e];
                });
                this.models.length = 0;
                I(this.models, s, 0);
                this.length = this.models.length;
            } else if (a.length) {
                if (v)
                    d = true;
                I(this.models, a, n == null ? this.length : n);
                this.length = this.models.length;
            }
            if (d)
                this.sort({ silent: true });
            if (!e.silent) {
                for (m = 0; m < a.length; m++) {
                    if (n != null)
                        e.index = n + m;
                    p = a[m];
                    p.trigger('add', p, this, e);
                }
                if (d || b)
                    this.trigger('sort', this, e);
                if (a.length || o.length || h.length) {
                    e.changes = {
                        added: a,
                        removed: o,
                        merged: h
                    };
                    this.trigger('update', this, e);
                }
            }
            return r ? t[0] : t;
        },
        reset: function (t, e) {
            e = e ? i.clone(e) : {};
            for (var r = 0; r < this.models.length; r++) {
                this._removeReference(this.models[r], e);
            }
            e.previousModels = this.models;
            this._reset();
            t = this.add(t, i.extend({ silent: true }, e));
            if (!e.silent)
                this.trigger('reset', this, e);
            return t;
        },
        push: function (t, e) {
            return this.add(t, i.extend({ at: this.length }, e));
        },
        pop: function (t) {
            var e = this.at(this.length - 1);
            return this.remove(e, t);
        },
        unshift: function (t, e) {
            return this.add(t, i.extend({ at: 0 }, e));
        },
        shift: function (t) {
            var e = this.at(0);
            return this.remove(e, t);
        },
        slice: function () {
            return s.apply(this.models, arguments);
        },
        get: function (t) {
            if (t == null)
                return void 0;
            return this._byId[t] || this._byId[this.modelId(t.attributes || t)] || t.cid && this._byId[t.cid];
        },
        has: function (t) {
            return this.get(t) != null;
        },
        at: function (t) {
            if (t < 0)
                t += this.length;
            return this.models[t];
        },
        where: function (t, e) {
            return this[e ? 'find' : 'filter'](t);
        },
        findWhere: function (t) {
            return this.where(t, true);
        },
        sort: function (t) {
            var e = this.comparator;
            if (!e)
                throw new Error('Cannot sort a set without a comparator');
            t || (t = {});
            var r = e.length;
            if (i.isFunction(e))
                e = i.bind(e, this);
            if (r === 1 || i.isString(e)) {
                this.models = this.sortBy(e);
            } else {
                this.models.sort(e);
            }
            if (!t.silent)
                this.trigger('sort', this, t);
            return this;
        },
        pluck: function (t) {
            return this.map(t + '');
        },
        fetch: function (t) {
            t = i.extend({ parse: true }, t);
            var e = t.success;
            var r = this;
            t.success = function (i) {
                var n = t.reset ? 'reset' : 'set';
                r[n](i, t);
                if (e)
                    e.call(t.context, r, i, t);
                r.trigger('sync', r, i, t);
            };
            B(this, t);
            return this.sync('read', this, t);
        },
        create: function (t, e) {
            e = e ? i.clone(e) : {};
            var r = e.wait;
            t = this._prepareModel(t, e);
            if (!t)
                return false;
            if (!r)
                this.add(t, e);
            var n = this;
            var s = e.success;
            e.success = function (t, e, i) {
                if (r)
                    n.add(t, i);
                if (s)
                    s.call(i.context, t, e, i);
            };
            t.save(null, e);
            return t;
        },
        parse: function (t, e) {
            return t;
        },
        clone: function () {
            return new this.constructor(this.models, {
                model: this.model,
                comparator: this.comparator
            });
        },
        modelId: function (t) {
            return t[this.model.prototype.idAttribute || 'id'];
        },
        _reset: function () {
            this.length = 0;
            this.models = [];
            this._byId = {};
        },
        _prepareModel: function (t, e) {
            if (this._isModel(t)) {
                if (!t.collection)
                    t.collection = this;
                return t;
            }
            e = e ? i.clone(e) : {};
            e.collection = this;
            var r = new this.model(t, e);
            if (!r.validationError)
                return r;
            this.trigger('invalid', this, r.validationError, e);
            return false;
        },
        _removeModels: function (t, e) {
            var i = [];
            for (var r = 0; r < t.length; r++) {
                var n = this.get(t[r]);
                if (!n)
                    continue;
                var s = this.indexOf(n);
                this.models.splice(s, 1);
                this.length--;
                delete this._byId[n.cid];
                var a = this.modelId(n.attributes);
                if (a != null)
                    delete this._byId[a];
                if (!e.silent) {
                    e.index = s;
                    n.trigger('remove', n, this, e);
                }
                i.push(n);
                this._removeReference(n, e);
            }
            return i;
        },
        _isModel: function (t) {
            return t instanceof y;
        },
        _addReference: function (t, e) {
            this._byId[t.cid] = t;
            var i = this.modelId(t.attributes);
            if (i != null)
                this._byId[i] = t;
            t.on('all', this._onModelEvent, this);
        },
        _removeReference: function (t, e) {
            delete this._byId[t.cid];
            var i = this.modelId(t.attributes);
            if (i != null)
                delete this._byId[i];
            if (this === t.collection)
                delete t.collection;
            t.off('all', this._onModelEvent, this);
        },
        _onModelEvent: function (t, e, i, r) {
            if (e) {
                if ((t === 'add' || t === 'remove') && i !== this)
                    return;
                if (t === 'destroy')
                    this.remove(e, r);
                if (t === 'change') {
                    var n = this.modelId(e.previousAttributes());
                    var s = this.modelId(e.attributes);
                    if (n !== s) {
                        if (n != null)
                            delete this._byId[n];
                        if (s != null)
                            this._byId[s] = e;
                    }
                }
            }
            this.trigger.apply(this, arguments);
        }
    });
    var S = {
        forEach: 3,
        each: 3,
        map: 3,
        collect: 3,
        reduce: 0,
        foldl: 0,
        inject: 0,
        reduceRight: 0,
        foldr: 0,
        find: 3,
        detect: 3,
        filter: 3,
        select: 3,
        reject: 3,
        every: 3,
        all: 3,
        some: 3,
        any: 3,
        include: 3,
        includes: 3,
        contains: 3,
        invoke: 0,
        max: 3,
        min: 3,
        toArray: 1,
        size: 1,
        first: 3,
        head: 3,
        take: 3,
        initial: 3,
        rest: 3,
        tail: 3,
        drop: 3,
        last: 3,
        without: 0,
        difference: 0,
        indexOf: 3,
        shuffle: 1,
        lastIndexOf: 3,
        isEmpty: 1,
        chain: 1,
        sample: 3,
        partition: 3,
        groupBy: 3,
        countBy: 3,
        sortBy: 3,
        indexBy: 3,
        findIndex: 3,
        findLastIndex: 3
    };
    h(x, S, 'models');
    var k = e.View = function (t) {
        this.cid = i.uniqueId('view');
        i.extend(this, i.pick(t, P));
        this._ensureElement();
        this.initialize.apply(this, arguments);
    };
    var T = /^(\S+)\s*(.*)$/;
    var P = [
        'model',
        'collection',
        'el',
        'id',
        'attributes',
        'className',
        'tagName',
        'events'
    ];
    i.extend(k.prototype, u, {
        tagName: 'div',
        $: function (t) {
            return this.$el.find(t);
        },
        initialize: function () {
        },
        render: function () {
            return this;
        },
        remove: function () {
            this._removeElement();
            this.stopListening();
            return this;
        },
        _removeElement: function () {
            this.$el.remove();
        },
        setElement: function (t) {
            this.undelegateEvents();
            this._setElement(t);
            this.delegateEvents();
            return this;
        },
        _setElement: function (t) {
            this.$el = t instanceof e.$ ? t : e.$(t);
            this.el = this.$el[0];
        },
        delegateEvents: function (t) {
            t || (t = i.result(this, 'events'));
            if (!t)
                return this;
            this.undelegateEvents();
            for (var e in t) {
                var r = t[e];
                if (!i.isFunction(r))
                    r = this[r];
                if (!r)
                    continue;
                var n = e.match(T);
                this.delegate(n[1], n[2], i.bind(r, this));
            }
            return this;
        },
        delegate: function (t, e, i) {
            this.$el.on(t + '.delegateEvents' + this.cid, e, i);
            return this;
        },
        undelegateEvents: function () {
            if (this.$el)
                this.$el.off('.delegateEvents' + this.cid);
            return this;
        },
        undelegate: function (t, e, i) {
            this.$el.off(t + '.delegateEvents' + this.cid, e, i);
            return this;
        },
        _createElement: function (t) {
            return document.createElement(t);
        },
        _ensureElement: function () {
            if (!this.el) {
                var t = i.extend({}, i.result(this, 'attributes'));
                if (this.id)
                    t.id = i.result(this, 'id');
                if (this.className)
                    t['class'] = i.result(this, 'className');
                this.setElement(this._createElement(i.result(this, 'tagName')));
                this._setAttributes(t);
            } else {
                this.setElement(i.result(this, 'el'));
            }
        },
        _setAttributes: function (t) {
            this.$el.attr(t);
        }
    });
    e.sync = function (t, r, n) {
        var s = H[t];
        i.defaults(n || (n = {}), {
            emulateHTTP: e.emulateHTTP,
            emulateJSON: e.emulateJSON
        });
        var a = {
            type: s,
            dataType: 'json'
        };
        if (!n.url) {
            a.url = i.result(r, 'url') || F();
        }
        if (n.data == null && r && (t === 'create' || t === 'update' || t === 'patch')) {
            a.contentType = 'application/json';
            a.data = JSON.stringify(n.attrs || r.toJSON(n));
        }
        if (n.emulateJSON) {
            a.contentType = 'application/x-www-form-urlencoded';
            a.data = a.data ? { model: a.data } : {};
        }
        if (n.emulateHTTP && (s === 'PUT' || s === 'DELETE' || s === 'PATCH')) {
            a.type = 'POST';
            if (n.emulateJSON)
                a.data._method = s;
            var h = n.beforeSend;
            n.beforeSend = function (t) {
                t.setRequestHeader('X-HTTP-Method-Override', s);
                if (h)
                    return h.apply(this, arguments);
            };
        }
        if (a.type !== 'GET' && !n.emulateJSON) {
            a.processData = false;
        }
        var o = n.error;
        n.error = function (t, e, i) {
            n.textStatus = e;
            n.errorThrown = i;
            if (o)
                o.call(n.context, t, e, i);
        };
        var l = n.xhr = e.ajax(i.extend(a, n));
        r.trigger('request', r, l, n);
        return l;
    };
    var H = {
        create: 'POST',
        update: 'PUT',
        patch: 'PATCH',
        'delete': 'DELETE',
        read: 'GET'
    };
    e.ajax = function () {
        return e.$.ajax.apply(e.$, arguments);
    };
    var $ = e.Router = function (t) {
        t || (t = {});
        if (t.routes)
            this.routes = t.routes;
        this._bindRoutes();
        this.initialize.apply(this, arguments);
    };
    var A = /\((.*?)\)/g;
    var C = /(\(\?)?:\w+/g;
    var R = /\*\w+/g;
    var j = /[\-{}\[\]+?.,\\\^$|#\s]/g;
    i.extend($.prototype, u, {
        initialize: function () {
        },
        route: function (t, r, n) {
            if (!i.isRegExp(t))
                t = this._routeToRegExp(t);
            if (i.isFunction(r)) {
                n = r;
                r = '';
            }
            if (!n)
                n = this[r];
            var s = this;
            e.history.route(t, function (i) {
                var a = s._extractParameters(t, i);
                if (s.execute(n, a, r) !== false) {
                    s.trigger.apply(s, ['route:' + r].concat(a));
                    s.trigger('route', r, a);
                    e.history.trigger('route', s, r, a);
                }
            });
            return this;
        },
        execute: function (t, e, i) {
            if (t)
                t.apply(this, e);
        },
        navigate: function (t, i) {
            e.history.navigate(t, i);
            return this;
        },
        _bindRoutes: function () {
            if (!this.routes)
                return;
            this.routes = i.result(this, 'routes');
            var t, e = i.keys(this.routes);
            while ((t = e.pop()) != null) {
                this.route(t, this.routes[t]);
            }
        },
        _routeToRegExp: function (t) {
            t = t.replace(j, '\\$&').replace(A, '(?:$1)?').replace(C, function (t, e) {
                return e ? t : '([^/?]+)';
            }).replace(R, '([^?]*?)');
            return new RegExp('^' + t + '(?:\\?([\\s\\S]*))?$');
        },
        _extractParameters: function (t, e) {
            var r = t.exec(e).slice(1);
            return i.map(r, function (t, e) {
                if (e === r.length - 1)
                    return t || null;
                return t ? decodeURIComponent(t) : null;
            });
        }
    });
    var N = e.History = function () {
        this.handlers = [];
        this.checkUrl = i.bind(this.checkUrl, this);
        if (typeof window !== 'undefined') {
            this.location = window.location;
            this.history = window.history;
        }
    };
    var M = /^[#\/]|\s+$/g;
    var O = /^\/+|\/+$/g;
    var U = /#.*$/;
    N.started = false;
    i.extend(N.prototype, u, {
        interval: 50,
        atRoot: function () {
            var t = this.location.pathname.replace(/[^\/]$/, '$&/');
            return t === this.root && !this.getSearch();
        },
        matchRoot: function () {
            var t = this.decodeFragment(this.location.pathname);
            var e = t.slice(0, this.root.length - 1) + '/';
            return e === this.root;
        },
        decodeFragment: function (t) {
            return decodeURI(t.replace(/%25/g, '%2525'));
        },
        getSearch: function () {
            var t = this.location.href.replace(/#.*/, '').match(/\?.+/);
            return t ? t[0] : '';
        },
        getHash: function (t) {
            var e = (t || this).location.href.match(/#(.*)$/);
            return e ? e[1] : '';
        },
        getPath: function () {
            var t = this.decodeFragment(this.location.pathname + this.getSearch()).slice(this.root.length - 1);
            return t.charAt(0) === '/' ? t.slice(1) : t;
        },
        getFragment: function (t) {
            if (t == null) {
                if (this._usePushState || !this._wantsHashChange) {
                    t = this.getPath();
                } else {
                    t = this.getHash();
                }
            }
            return t.replace(M, '');
        },
        start: function (t) {
            if (N.started)
                throw new Error('Backbone.history has already been started');
            N.started = true;
            this.options = i.extend({ root: '/' }, this.options, t);
            this.root = this.options.root;
            this._wantsHashChange = this.options.hashChange !== false;
            this._hasHashChange = 'onhashchange' in window && (document.documentMode === void 0 || document.documentMode > 7);
            this._useHashChange = this._wantsHashChange && this._hasHashChange;
            this._wantsPushState = !!this.options.pushState;
            this._hasPushState = !!(this.history && this.history.pushState);
            this._usePushState = this._wantsPushState && this._hasPushState;
            this.fragment = this.getFragment();
            this.root = ('/' + this.root + '/').replace(O, '/');
            if (this._wantsHashChange && this._wantsPushState) {
                if (!this._hasPushState && !this.atRoot()) {
                    var e = this.root.slice(0, -1) || '/';
                    this.location.replace(e + '#' + this.getPath());
                    return true;
                } else if (this._hasPushState && this.atRoot()) {
                    this.navigate(this.getHash(), { replace: true });
                }
            }
            if (!this._hasHashChange && this._wantsHashChange && !this._usePushState) {
                this.iframe = document.createElement('iframe');
                this.iframe.src = 'javascript:0';
                this.iframe.style.display = 'none';
                this.iframe.tabIndex = -1;
                var r = document.body;
                var n = r.insertBefore(this.iframe, r.firstChild).contentWindow;
                n.document.open();
                n.document.close();
                n.location.hash = '#' + this.fragment;
            }
            var s = window.addEventListener || function (t, e) {
                return attachEvent('on' + t, e);
            };
            if (this._usePushState) {
                s('popstate', this.checkUrl, false);
            } else if (this._useHashChange && !this.iframe) {
                s('hashchange', this.checkUrl, false);
            } else if (this._wantsHashChange) {
                this._checkUrlInterval = setInterval(this.checkUrl, this.interval);
            }
            if (!this.options.silent)
                return this.loadUrl();
        },
        stop: function () {
            var t = window.removeEventListener || function (t, e) {
                return detachEvent('on' + t, e);
            };
            if (this._usePushState) {
                t('popstate', this.checkUrl, false);
            } else if (this._useHashChange && !this.iframe) {
                t('hashchange', this.checkUrl, false);
            }
            if (this.iframe) {
                document.body.removeChild(this.iframe);
                this.iframe = null;
            }
            if (this._checkUrlInterval)
                clearInterval(this._checkUrlInterval);
            N.started = false;
        },
        route: function (t, e) {
            this.handlers.unshift({
                route: t,
                callback: e
            });
        },
        checkUrl: function (t) {
            var e = this.getFragment();
            if (e === this.fragment && this.iframe) {
                e = this.getHash(this.iframe.contentWindow);
            }
            if (e === this.fragment)
                return false;
            if (this.iframe)
                this.navigate(e);
            this.loadUrl();
        },
        loadUrl: function (t) {
            if (!this.matchRoot())
                return false;
            t = this.fragment = this.getFragment(t);
            return i.some(this.handlers, function (e) {
                if (e.route.test(t)) {
                    e.callback(t);
                    return true;
                }
            });
        },
        navigate: function (t, e) {
            if (!N.started)
                return false;
            if (!e || e === true)
                e = { trigger: !!e };
            t = this.getFragment(t || '');
            var i = this.root;
            if (t === '' || t.charAt(0) === '?') {
                i = i.slice(0, -1) || '/';
            }
            var r = i + t;
            t = this.decodeFragment(t.replace(U, ''));
            if (this.fragment === t)
                return;
            this.fragment = t;
            if (this._usePushState) {
                this.history[e.replace ? 'replaceState' : 'pushState']({}, document.title, r);
            } else if (this._wantsHashChange) {
                this._updateHash(this.location, t, e.replace);
                if (this.iframe && t !== this.getHash(this.iframe.contentWindow)) {
                    var n = this.iframe.contentWindow;
                    if (!e.replace) {
                        n.document.open();
                        n.document.close();
                    }
                    this._updateHash(n.location, t, e.replace);
                }
            } else {
                return this.location.assign(r);
            }
            if (e.trigger)
                return this.loadUrl(t);
        },
        _updateHash: function (t, e, i) {
            if (i) {
                var r = t.href.replace(/(javascript:|#).*$/, '');
                t.replace(r + '#' + e);
            } else {
                t.hash = '#' + e;
            }
        }
    });
    e.history = new N();
    var q = function (t, e) {
        var r = this;
        var n;
        if (t && i.has(t, 'constructor')) {
            n = t.constructor;
        } else {
            n = function () {
                return r.apply(this, arguments);
            };
        }
        i.extend(n, r, e);
        n.prototype = i.create(r.prototype, t);
        n.prototype.constructor = n;
        n.__super__ = r.prototype;
        return n;
    };
    y.extend = x.extend = $.extend = k.extend = N.extend = q;
    var F = function () {
        throw new Error('A "url" property or function must be specified');
    };
    var B = function (t, e) {
        var i = e.error;
        e.error = function (r) {
            if (i)
                i.call(e.context, t, r, e);
            t.trigger('error', t, r, e);
        };
    };
    return e;
}));
define('store', [
    'underscore',
    'backbone'
], function (_, Backbone) {
    var localData = function (_val) {
        this.name = _val;
        if (typeof localStorage.getItem(_val) === 'string') {
            this.db = JSON.parse(localStorage.getItem(_val));
        } else {
            this.db = {};
            localStorage.setItem(_val, '{}');
        }
        this.init();
    };
    localData.extend = function (protoProps, staticProps) {
        var parent = this;
        var child;
        if (protoProps && _.has(protoProps, 'constructor')) {
            child = protoProps.constructor;
        } else {
            child = function () {
                return parent.apply(this, arguments);
            };
        }
        _.extend(child, parent, staticProps);
        child.prototype = _.create(parent.prototype, protoProps);
        child.prototype.constructor = child;
        child.__super__ = parent.prototype;
        return child;
    };
    localData.prototype.init = function () {
    };
    localData.prototype.set = function (_key, _val) {
        if (typeof _key === 'string') {
            var _objDot = _key.split('.');
            this.setDotVal(this.db, _objDot, _val);
        } else if (typeof _key === 'object') {
            for (var k in _key) {
                this.db[k] = _key[k];
            }
        } else {
            return this;
        }
        this.save();
    };
    localData.prototype.get = function (_key) {
        if (typeof _key === 'string') {
            var _objDot = _key.split('.');
            if (_objDot.length < 2) {
                if (_key.match(/\[(\d+)\]/)) {
                    var _sub = parseInt(_key.match(/\[(\d+)\]/)[1]);
                    var _arr = _key.substring(0, _key.indexOf('['));
                    return this._db[_arr][_sub];
                } else {
                    return this.db[_key];
                }
            }
        }
    };
    localData.prototype.del = function (_key) {
        if (typeof _key != 'undefined') {
            delete this.db[_key];
            this.save();
        } else {
            localStorage.removeItem(this.name);
        }
    };
    localData.prototype.toJSON = function () {
        return localStorage.getItem(this.name);
    };
    localData.prototype.setDotVal = function (_db, _objDotArr, _val) {
        var _key = _objDotArr.shift();
        if (_key.match(/\[(\d+)\]/)) {
            var _sub = parseInt(_key.match(/\[(\d+)\]/)[1]);
            var _arr = _key.substring(0, _key.indexOf('['));
            if (_db[_arr] instanceof Array) {
                if (_objDotArr.length > 0) {
                    this.setDotVal(_db[_arr][_sub], _objDotArr, _val);
                } else {
                    _db[_arr][_sub] = _val;
                }
            } else {
                throw '没有' + _arr + '数组对象';
            }
        } else if (_.has(_db, _key)) {
            if (_objDotArr.length > 0) {
                this.setDotVal(_db[_key], _objDotArr, _val);
            } else {
                _db[_key] = _val;
            }
        } else {
            _db[_key] = _val;
        }
    };
    localData.prototype.retArrVal = function () {
    };
    localData.prototype.save = function () {
        localStorage.setItem(this.name, JSON.stringify(this.db));
    };
    localData.prototype.getDb = function () {
        return JSON.parse(localStorage.getItem(this.name));
    };
    _.extend(localData.prototype, Backbone.Events);
    return localData;
});
!function (t, e) {
    'function' == typeof define && define.amd ? define('ev-emitter/ev-emitter', e) : 'object' == typeof module && module.exports ? module.exports = e() : t.EvEmitter = e();
}(this, function () {
    function t() {
    }
    var e = t.prototype;
    return e.on = function (t, e) {
        if (t && e) {
            var i = this._events = this._events || {}, n = i[t] = i[t] || [];
            return -1 == n.indexOf(e) && n.push(e), this;
        }
    }, e.once = function (t, e) {
        if (t && e) {
            this.on(t, e);
            var i = this._onceEvents = this._onceEvents || {}, n = i[t] = i[t] || [];
            return n[e] = !0, this;
        }
    }, e.off = function (t, e) {
        var i = this._events && this._events[t];
        if (i && i.length) {
            var n = i.indexOf(e);
            return -1 != n && i.splice(n, 1), this;
        }
    }, e.emitEvent = function (t, e) {
        var i = this._events && this._events[t];
        if (i && i.length) {
            var n = 0, o = i[n];
            e = e || [];
            for (var r = this._onceEvents && this._onceEvents[t]; o;) {
                var s = r && r[o];
                s && (this.off(t, o), delete r[o]), o.apply(this, e), n += s ? 0 : 1, o = i[n];
            }
            return this;
        }
    }, t;
}), function (t, e) {
    'use strict';
    'function' == typeof define && define.amd ? define('lazyload', ['ev-emitter/ev-emitter'], function (i) {
        return e(t, i);
    }) : 'object' == typeof module && module.exports ? module.exports = e(t, require('ev-emitter')) : t.imagesLoaded = e(t, t.EvEmitter);
}(window, function (t, e) {
    function i(t, e) {
        for (var i in e)
            t[i] = e[i];
        return t;
    }
    function n(t) {
        var e = [];
        if (Array.isArray(t))
            e = t;
        else if ('number' == typeof t.length)
            for (var i = 0; i < t.length; i++)
                e.push(t[i]);
        else
            e.push(t);
        return e;
    }
    function o(t, e, r) {
        return this instanceof o ? ('string' == typeof t && (t = document.querySelectorAll(t)), this.elements = n(t), this.options = i({}, this.options), 'function' == typeof e ? r = e : i(this.options, e), r && this.on('always', r), this.getImages(), h && (this.jqDeferred = new h.Deferred()), void setTimeout(function () {
            this.check();
        }.bind(this))) : new o(t, e, r);
    }
    function r(t) {
        this.img = t;
    }
    function s(t, e) {
        this.url = t, this.element = e, this.img = new Image();
    }
    var h = t.jQuery, a = t.console;
    o.prototype = Object.create(e.prototype), o.prototype.options = {}, o.prototype.getImages = function () {
        this.images = [], this.elements.forEach(this.addElementImages, this);
    }, o.prototype.addElementImages = function (t) {
        'IMG' == t.nodeName && this.addImage(t), this.options.background === !0 && this.addElementBackgroundImages(t);
        var e = t.nodeType;
        if (e && d[e]) {
            for (var i = t.querySelectorAll('img'), n = 0; n < i.length; n++) {
                var o = i[n];
                this.addImage(o);
            }
            if ('string' == typeof this.options.background) {
                var r = t.querySelectorAll(this.options.background);
                for (n = 0; n < r.length; n++) {
                    var s = r[n];
                    this.addElementBackgroundImages(s);
                }
            }
        }
    };
    var d = {
        1: !0,
        9: !0,
        11: !0
    };
    return o.prototype.addElementBackgroundImages = function (t) {
        var e = getComputedStyle(t);
        if (e)
            for (var i = /url\((['"])?(.*?)\1\)/gi, n = i.exec(e.backgroundImage); null !== n;) {
                var o = n && n[2];
                o && this.addBackground(o, t), n = i.exec(e.backgroundImage);
            }
    }, o.prototype.addImage = function (t) {
        var e = new r(t);
        this.images.push(e);
    }, o.prototype.addBackground = function (t, e) {
        var i = new s(t, e);
        this.images.push(i);
    }, o.prototype.check = function () {
        function t(t, i, n) {
            setTimeout(function () {
                e.progress(t, i, n);
            });
        }
        var e = this;
        return this.progressedCount = 0, this.hasAnyBroken = !1, this.images.length ? void this.images.forEach(function (e) {
            e.once('progress', t), e.check();
        }) : void this.complete();
    }, o.prototype.progress = function (t, e, i) {
        this.progressedCount++, this.hasAnyBroken = this.hasAnyBroken || !t.isLoaded, this.emitEvent('progress', [
            this,
            t,
            e
        ]), this.jqDeferred && this.jqDeferred.notify && this.jqDeferred.notify(this, t), this.progressedCount == this.images.length && this.complete(), this.options.debug && a && a.log('progress: ' + i, t, e);
    }, o.prototype.complete = function () {
        var t = this.hasAnyBroken ? 'fail' : 'done';
        if (this.isComplete = !0, this.emitEvent(t, [this]), this.emitEvent('always', [this]), this.jqDeferred) {
            var e = this.hasAnyBroken ? 'reject' : 'resolve';
            this.jqDeferred[e](this);
        }
    }, r.prototype = Object.create(e.prototype), r.prototype.check = function () {
        var t = this.getIsImageComplete();
        return t ? void this.confirm(0 !== this.img.naturalWidth, 'naturalWidth') : (this.proxyImage = new Image(), this.proxyImage.addEventListener('load', this), this.proxyImage.addEventListener('error', this), this.img.addEventListener('load', this), this.img.addEventListener('error', this), void (this.proxyImage.src = this.img.src));
    }, r.prototype.getIsImageComplete = function () {
        return this.img.complete && void 0 !== this.img.naturalWidth;
    }, r.prototype.confirm = function (t, e) {
        this.isLoaded = t, this.emitEvent('progress', [
            this,
            this.img,
            e
        ]);
    }, r.prototype.handleEvent = function (t) {
        var e = 'on' + t.type;
        this[e] && this[e](t);
    }, r.prototype.onload = function () {
        this.confirm(!0, 'onload'), this.unbindEvents();
    }, r.prototype.onerror = function () {
        this.confirm(!1, 'onerror'), this.unbindEvents();
    }, r.prototype.unbindEvents = function () {
        this.proxyImage.removeEventListener('load', this), this.proxyImage.removeEventListener('error', this), this.img.removeEventListener('load', this), this.img.removeEventListener('error', this);
    }, s.prototype = Object.create(r.prototype), s.prototype.check = function () {
        this.img.addEventListener('load', this), this.img.addEventListener('error', this), this.img.src = this.url;
        var t = this.getIsImageComplete();
        t && (this.confirm(0 !== this.img.naturalWidth, 'naturalWidth'), this.unbindEvents());
    }, s.prototype.unbindEvents = function () {
        this.img.removeEventListener('load', this), this.img.removeEventListener('error', this);
    }, s.prototype.confirm = function (t, e) {
        this.isLoaded = t, this.emitEvent('progress', [
            this,
            this.element,
            e
        ]);
    }, o.makeJQueryPlugin = function (e) {
        e = e || t.jQuery, e && (h = e, h.fn.imagesLoaded = function (t, e) {
            var i = new o(this, t, e);
            return i.jqDeferred.promise(h(this));
        });
    }, o.makeJQueryPlugin(), o;
});
!function (a) {
    'use strict';
    'function' == typeof define && define.amd ? define('slider', ['jquery'], a) : 'undefined' != typeof exports ? module.exports = a(require('jquery')) : a(jQuery);
}(function (a) {
    'use strict';
    var b = window.Slick || {};
    b = function () {
        function c(c, d) {
            var f, e = this;
            e.defaults = {
                accessibility: !0,
                adaptiveHeight: !1,
                appendArrows: a(c),
                appendDots: a(c),
                arrows: !0,
                asNavFor: null,
                prevArrow: '<button type="button" data-role="none" class="slick-prev" aria-label="Previous" tabindex="0" role="button">Previous</button>',
                nextArrow: '<button type="button" data-role="none" class="slick-next" aria-label="Next" tabindex="0" role="button">Next</button>',
                autoplay: !1,
                autoplaySpeed: 3000,
                centerMode: !1,
                centerPadding: '50px',
                cssEase: 'ease',
                customPaging: function (b, c) {
                    return a('<button type="button" data-role="none" role="button" tabindex="0" />').text(c + 1);
                },
                dots: !1,
                dotsClass: 'slick-dots',
                draggable: !0,
                easing: 'linear',
                edgeFriction: 0.35,
                fade: !1,
                focusOnSelect: !1,
                infinite: !0,
                initialSlide: 0,
                lazyLoad: 'ondemand',
                mobileFirst: !1,
                pauseOnHover: !0,
                pauseOnFocus: !0,
                pauseOnDotsHover: !1,
                respondTo: 'window',
                responsive: null,
                rows: 1,
                rtl: !1,
                slide: '',
                slidesPerRow: 1,
                slidesToShow: 1,
                slidesToScroll: 1,
                speed: 500,
                swipe: !0,
                swipeToSlide: !1,
                touchMove: !0,
                touchThreshold: 5,
                useCSS: !0,
                useTransform: !0,
                variableWidth: !1,
                vertical: !1,
                verticalSwiping: !1,
                waitForAnimate: !0,
                zIndex: 1000
            }, e.initials = {
                animating: !1,
                dragging: !1,
                autoPlayTimer: null,
                currentDirection: 0,
                currentLeft: null,
                currentSlide: 0,
                direction: 1,
                $dots: null,
                listWidth: null,
                listHeight: null,
                loadIndex: 0,
                $nextArrow: null,
                $prevArrow: null,
                slideCount: null,
                slideWidth: null,
                $slideTrack: null,
                $slides: null,
                sliding: !1,
                slideOffset: 0,
                swipeLeft: null,
                $list: null,
                touchObject: {},
                transformsEnabled: !1,
                unslicked: !1
            }, a.extend(e, e.initials), e.activeBreakpoint = null, e.animType = null, e.animProp = null, e.breakpoints = [], e.breakpointSettings = [], e.cssTransitions = !1, e.focussed = !1, e.interrupted = !1, e.hidden = 'hidden', e.paused = !0, e.positionProp = null, e.respondTo = null, e.rowCount = 1, e.shouldClick = !0, e.$slider = a(c), e.$slidesCache = null, e.transformType = null, e.transitionType = null, e.visibilityChange = 'visibilitychange', e.windowWidth = 0, e.windowTimer = null, f = a(c).data('slick') || {}, e.options = a.extend({}, e.defaults, d, f), e.currentSlide = e.options.initialSlide, e.originalSettings = e.options, 'undefined' != typeof document.mozHidden ? (e.hidden = 'mozHidden', e.visibilityChange = 'mozvisibilitychange') : 'undefined' != typeof document.webkitHidden && (e.hidden = 'webkitHidden', e.visibilityChange = 'webkitvisibilitychange'), e.autoPlay = a.proxy(e.autoPlay, e), e.autoPlayClear = a.proxy(e.autoPlayClear, e), e.autoPlayIterator = a.proxy(e.autoPlayIterator, e), e.changeSlide = a.proxy(e.changeSlide, e), e.clickHandler = a.proxy(e.clickHandler, e), e.selectHandler = a.proxy(e.selectHandler, e), e.setPosition = a.proxy(e.setPosition, e), e.swipeHandler = a.proxy(e.swipeHandler, e), e.dragHandler = a.proxy(e.dragHandler, e), e.keyHandler = a.proxy(e.keyHandler, e), e.instanceUid = b++, e.htmlExpr = /^(?:\s*(<[\w\W]+>)[^>]*)$/, e.registerBreakpoints(), e.init(!0);
        }
        var b = 0;
        return c;
    }(), b.prototype.activateADA = function () {
        var a = this;
        a.$slideTrack.find('.slick-active').attr({ 'aria-hidden': 'false' }).find('a, input, button, select').attr({ tabindex: '0' });
    }, b.prototype.addSlide = b.prototype.slickAdd = function (b, c, d) {
        var e = this;
        if ('boolean' == typeof c)
            d = c, c = null;
        else if (0 > c || c >= e.slideCount)
            return !1;
        e.unload(), 'number' == typeof c ? 0 === c && 0 === e.$slides.length ? a(b).appendTo(e.$slideTrack) : d ? a(b).insertBefore(e.$slides.eq(c)) : a(b).insertAfter(e.$slides.eq(c)) : d === !0 ? a(b).prependTo(e.$slideTrack) : a(b).appendTo(e.$slideTrack), e.$slides = e.$slideTrack.children(this.options.slide), e.$slideTrack.children(this.options.slide).detach(), e.$slideTrack.append(e.$slides), e.$slides.each(function (b, c) {
            a(c).attr('data-slick-index', b);
        }), e.$slidesCache = e.$slides, e.reinit();
    }, b.prototype.animateHeight = function () {
        var a = this;
        if (1 === a.options.slidesToShow && a.options.adaptiveHeight === !0 && a.options.vertical === !1) {
            var b = a.$slides.eq(a.currentSlide).outerHeight(!0);
            a.$list.animate({ height: b }, a.options.speed);
        }
    }, b.prototype.animateSlide = function (b, c) {
        var d = {}, e = this;
        e.animateHeight(), e.options.rtl === !0 && e.options.vertical === !1 && (b = -b), e.transformsEnabled === !1 ? e.options.vertical === !1 ? e.$slideTrack.animate({ left: b }, e.options.speed, e.options.easing, c) : e.$slideTrack.animate({ top: b }, e.options.speed, e.options.easing, c) : e.cssTransitions === !1 ? (e.options.rtl === !0 && (e.currentLeft = -e.currentLeft), a({ animStart: e.currentLeft }).animate({ animStart: b }, {
            duration: e.options.speed,
            easing: e.options.easing,
            step: function (a) {
                a = Math.ceil(a), e.options.vertical === !1 ? (d[e.animType] = 'translate(' + a + 'px, 0px)', e.$slideTrack.css(d)) : (d[e.animType] = 'translate(0px,' + a + 'px)', e.$slideTrack.css(d));
            },
            complete: function () {
                c && c.call();
            }
        })) : (e.applyTransition(), b = Math.ceil(b), e.options.vertical === !1 ? d[e.animType] = 'translate3d(' + b + 'px, 0px, 0px)' : d[e.animType] = 'translate3d(0px,' + b + 'px, 0px)', e.$slideTrack.css(d), c && setTimeout(function () {
            e.disableTransition(), c.call();
        }, e.options.speed));
    }, b.prototype.getNavTarget = function () {
        var b = this, c = b.options.asNavFor;
        return c && null !== c && (c = a(c).not(b.$slider)), c;
    }, b.prototype.asNavFor = function (b) {
        var c = this, d = c.getNavTarget();
        null !== d && 'object' == typeof d && d.each(function () {
            var c = a(this).slick('getSlick');
            c.unslicked || c.slideHandler(b, !0);
        });
    }, b.prototype.applyTransition = function (a) {
        var b = this, c = {};
        b.options.fade === !1 ? c[b.transitionType] = b.transformType + ' ' + b.options.speed + 'ms ' + b.options.cssEase : c[b.transitionType] = 'opacity ' + b.options.speed + 'ms ' + b.options.cssEase, b.options.fade === !1 ? b.$slideTrack.css(c) : b.$slides.eq(a).css(c);
    }, b.prototype.autoPlay = function () {
        var a = this;
        a.autoPlayClear(), a.slideCount > a.options.slidesToShow && (a.autoPlayTimer = setInterval(a.autoPlayIterator, a.options.autoplaySpeed));
    }, b.prototype.autoPlayClear = function () {
        var a = this;
        a.autoPlayTimer && clearInterval(a.autoPlayTimer);
    }, b.prototype.autoPlayIterator = function () {
        var a = this, b = a.currentSlide + a.options.slidesToScroll;
        a.paused || a.interrupted || a.focussed || (a.options.infinite === !1 && (1 === a.direction && a.currentSlide + 1 === a.slideCount - 1 ? a.direction = 0 : 0 === a.direction && (b = a.currentSlide - a.options.slidesToScroll, a.currentSlide - 1 === 0 && (a.direction = 1))), a.slideHandler(b));
    }, b.prototype.buildArrows = function () {
        var b = this;
        b.options.arrows === !0 && (b.$prevArrow = a(b.options.prevArrow).addClass('slick-arrow'), b.$nextArrow = a(b.options.nextArrow).addClass('slick-arrow'), b.slideCount > b.options.slidesToShow ? (b.$prevArrow.removeClass('slick-hidden').removeAttr('aria-hidden tabindex'), b.$nextArrow.removeClass('slick-hidden').removeAttr('aria-hidden tabindex'), b.htmlExpr.test(b.options.prevArrow) && b.$prevArrow.prependTo(b.options.appendArrows), b.htmlExpr.test(b.options.nextArrow) && b.$nextArrow.appendTo(b.options.appendArrows), b.options.infinite !== !0 && b.$prevArrow.addClass('slick-disabled').attr('aria-disabled', 'true')) : b.$prevArrow.add(b.$nextArrow).addClass('slick-hidden').attr({
            'aria-disabled': 'true',
            tabindex: '-1'
        }));
    }, b.prototype.buildDots = function () {
        var c, d, b = this;
        if (b.options.dots === !0 && b.slideCount > b.options.slidesToShow) {
            for (b.$slider.addClass('slick-dotted'), d = a('<ul />').addClass(b.options.dotsClass), c = 0; c <= b.getDotCount(); c += 1)
                d.append(a('<li />').append(b.options.customPaging.call(this, b, c)));
            b.$dots = d.appendTo(b.options.appendDots), b.$dots.find('li').first().addClass('slick-active').attr('aria-hidden', 'false');
        }
    }, b.prototype.buildOut = function () {
        var b = this;
        b.$slides = b.$slider.children(b.options.slide + ':not(.slick-cloned)').addClass('slick-slide'), b.slideCount = b.$slides.length, b.$slides.each(function (b, c) {
            a(c).attr('data-slick-index', b).data('originalStyling', a(c).attr('style') || '');
        }), b.$slider.addClass('slick-slider'), b.$slideTrack = 0 === b.slideCount ? a('<div class="slick-track"/>').appendTo(b.$slider) : b.$slides.wrapAll('<div class="slick-track"/>').parent(), b.$list = b.$slideTrack.wrap('<div aria-live="polite" class="slick-list"/>').parent(), b.$slideTrack.css('opacity', 0), (b.options.centerMode === !0 || b.options.swipeToSlide === !0) && (b.options.slidesToScroll = 1), a('img[data-lazy]', b.$slider).not('[src]').addClass('slick-loading'), b.setupInfinite(), b.buildArrows(), b.buildDots(), b.updateDots(), b.setSlideClasses('number' == typeof b.currentSlide ? b.currentSlide : 0), b.options.draggable === !0 && b.$list.addClass('draggable');
    }, b.prototype.buildRows = function () {
        var b, c, d, e, f, g, h, a = this;
        if (e = document.createDocumentFragment(), g = a.$slider.children(), a.options.rows > 1) {
            for (h = a.options.slidesPerRow * a.options.rows, f = Math.ceil(g.length / h), b = 0; f > b; b++) {
                var i = document.createElement('div');
                for (c = 0; c < a.options.rows; c++) {
                    var j = document.createElement('div');
                    for (d = 0; d < a.options.slidesPerRow; d++) {
                        var k = b * h + (c * a.options.slidesPerRow + d);
                        g.get(k) && j.appendChild(g.get(k));
                    }
                    i.appendChild(j);
                }
                e.appendChild(i);
            }
            a.$slider.empty().append(e), a.$slider.children().children().children().css({
                width: 100 / a.options.slidesPerRow + '%',
                display: 'inline-block'
            });
        }
    }, b.prototype.checkResponsive = function (b, c) {
        var e, f, g, d = this, h = !1, i = d.$slider.width(), j = window.innerWidth || a(window).width();
        if ('window' === d.respondTo ? g = j : 'slider' === d.respondTo ? g = i : 'min' === d.respondTo && (g = Math.min(j, i)), d.options.responsive && d.options.responsive.length && null !== d.options.responsive) {
            f = null;
            for (e in d.breakpoints)
                d.breakpoints.hasOwnProperty(e) && (d.originalSettings.mobileFirst === !1 ? g < d.breakpoints[e] && (f = d.breakpoints[e]) : g > d.breakpoints[e] && (f = d.breakpoints[e]));
            null !== f ? null !== d.activeBreakpoint ? (f !== d.activeBreakpoint || c) && (d.activeBreakpoint = f, 'unslick' === d.breakpointSettings[f] ? d.unslick(f) : (d.options = a.extend({}, d.originalSettings, d.breakpointSettings[f]), b === !0 && (d.currentSlide = d.options.initialSlide), d.refresh(b)), h = f) : (d.activeBreakpoint = f, 'unslick' === d.breakpointSettings[f] ? d.unslick(f) : (d.options = a.extend({}, d.originalSettings, d.breakpointSettings[f]), b === !0 && (d.currentSlide = d.options.initialSlide), d.refresh(b)), h = f) : null !== d.activeBreakpoint && (d.activeBreakpoint = null, d.options = d.originalSettings, b === !0 && (d.currentSlide = d.options.initialSlide), d.refresh(b), h = f), b || h === !1 || d.$slider.trigger('breakpoint', [
                d,
                h
            ]);
        }
    }, b.prototype.changeSlide = function (b, c) {
        var f, g, h, d = this, e = a(b.currentTarget);
        switch (e.is('a') && b.preventDefault(), e.is('li') || (e = e.closest('li')), h = d.slideCount % d.options.slidesToScroll !== 0, f = h ? 0 : (d.slideCount - d.currentSlide) % d.options.slidesToScroll, b.data.message) {
        case 'previous':
            g = 0 === f ? d.options.slidesToScroll : d.options.slidesToShow - f, d.slideCount > d.options.slidesToShow && d.slideHandler(d.currentSlide - g, !1, c);
            break;
        case 'next':
            g = 0 === f ? d.options.slidesToScroll : f, d.slideCount > d.options.slidesToShow && d.slideHandler(d.currentSlide + g, !1, c);
            break;
        case 'index':
            var i = 0 === b.data.index ? 0 : b.data.index || e.index() * d.options.slidesToScroll;
            d.slideHandler(d.checkNavigable(i), !1, c), e.children().trigger('focus');
            break;
        default:
            return;
        }
    }, b.prototype.checkNavigable = function (a) {
        var c, d, b = this;
        if (c = b.getNavigableIndexes(), d = 0, a > c[c.length - 1])
            a = c[c.length - 1];
        else
            for (var e in c) {
                if (a < c[e]) {
                    a = d;
                    break;
                }
                d = c[e];
            }
        return a;
    }, b.prototype.cleanUpEvents = function () {
        var b = this;
        b.options.dots && null !== b.$dots && a('li', b.$dots).off('click.slick', b.changeSlide).off('mouseenter.slick', a.proxy(b.interrupt, b, !0)).off('mouseleave.slick', a.proxy(b.interrupt, b, !1)), b.$slider.off('focus.slick blur.slick'), b.options.arrows === !0 && b.slideCount > b.options.slidesToShow && (b.$prevArrow && b.$prevArrow.off('click.slick', b.changeSlide), b.$nextArrow && b.$nextArrow.off('click.slick', b.changeSlide)), b.$list.off('touchstart.slick mousedown.slick', b.swipeHandler), b.$list.off('touchmove.slick mousemove.slick', b.swipeHandler), b.$list.off('touchend.slick mouseup.slick', b.swipeHandler), b.$list.off('touchcancel.slick mouseleave.slick', b.swipeHandler), b.$list.off('click.slick', b.clickHandler), a(document).off(b.visibilityChange, b.visibility), b.cleanUpSlideEvents(), b.options.accessibility === !0 && b.$list.off('keydown.slick', b.keyHandler), b.options.focusOnSelect === !0 && a(b.$slideTrack).children().off('click.slick', b.selectHandler), a(window).off('orientationchange.slick.slick-' + b.instanceUid, b.orientationChange), a(window).off('resize.slick.slick-' + b.instanceUid, b.resize), a('[draggable!=true]', b.$slideTrack).off('dragstart', b.preventDefault), a(window).off('load.slick.slick-' + b.instanceUid, b.setPosition), a(document).off('ready.slick.slick-' + b.instanceUid, b.setPosition);
    }, b.prototype.cleanUpSlideEvents = function () {
        var b = this;
        b.$list.off('mouseenter.slick', a.proxy(b.interrupt, b, !0)), b.$list.off('mouseleave.slick', a.proxy(b.interrupt, b, !1));
    }, b.prototype.cleanUpRows = function () {
        var b, a = this;
        a.options.rows > 1 && (b = a.$slides.children().children(), b.removeAttr('style'), a.$slider.empty().append(b));
    }, b.prototype.clickHandler = function (a) {
        var b = this;
        b.shouldClick === !1 && (a.stopImmediatePropagation(), a.stopPropagation(), a.preventDefault());
    }, b.prototype.destroy = function (b) {
        var c = this;
        c.autoPlayClear(), c.touchObject = {}, c.cleanUpEvents(), a('.slick-cloned', c.$slider).detach(), c.$dots && c.$dots.remove(), c.$prevArrow && c.$prevArrow.length && (c.$prevArrow.removeClass('slick-disabled slick-arrow slick-hidden').removeAttr('aria-hidden aria-disabled tabindex').css('display', ''), c.htmlExpr.test(c.options.prevArrow) && c.$prevArrow.remove()), c.$nextArrow && c.$nextArrow.length && (c.$nextArrow.removeClass('slick-disabled slick-arrow slick-hidden').removeAttr('aria-hidden aria-disabled tabindex').css('display', ''), c.htmlExpr.test(c.options.nextArrow) && c.$nextArrow.remove()), c.$slides && (c.$slides.removeClass('slick-slide slick-active slick-center slick-visible slick-current').removeAttr('aria-hidden').removeAttr('data-slick-index').each(function () {
            a(this).attr('style', a(this).data('originalStyling'));
        }), c.$slideTrack.children(this.options.slide).detach(), c.$slideTrack.detach(), c.$list.detach(), c.$slider.append(c.$slides)), c.cleanUpRows(), c.$slider.removeClass('slick-slider'), c.$slider.removeClass('slick-initialized'), c.$slider.removeClass('slick-dotted'), c.unslicked = !0, b || c.$slider.trigger('destroy', [c]);
    }, b.prototype.disableTransition = function (a) {
        var b = this, c = {};
        c[b.transitionType] = '', b.options.fade === !1 ? b.$slideTrack.css(c) : b.$slides.eq(a).css(c);
    }, b.prototype.fadeSlide = function (a, b) {
        var c = this;
        c.cssTransitions === !1 ? (c.$slides.eq(a).css({ zIndex: c.options.zIndex }), c.$slides.eq(a).animate({ opacity: 1 }, c.options.speed, c.options.easing, b)) : (c.applyTransition(a), c.$slides.eq(a).css({
            opacity: 1,
            zIndex: c.options.zIndex
        }), b && setTimeout(function () {
            c.disableTransition(a), b.call();
        }, c.options.speed));
    }, b.prototype.fadeSlideOut = function (a) {
        var b = this;
        b.cssTransitions === !1 ? b.$slides.eq(a).animate({
            opacity: 0,
            zIndex: b.options.zIndex - 2
        }, b.options.speed, b.options.easing) : (b.applyTransition(a), b.$slides.eq(a).css({
            opacity: 0,
            zIndex: b.options.zIndex - 2
        }));
    }, b.prototype.filterSlides = b.prototype.slickFilter = function (a) {
        var b = this;
        null !== a && (b.$slidesCache = b.$slides, b.unload(), b.$slideTrack.children(this.options.slide).detach(), b.$slidesCache.filter(a).appendTo(b.$slideTrack), b.reinit());
    }, b.prototype.focusHandler = function () {
        var b = this;
        b.$slider.off('focus.slick blur.slick').on('focus.slick blur.slick', '*:not(.slick-arrow)', function (c) {
            c.stopImmediatePropagation();
            var d = a(this);
            setTimeout(function () {
                b.options.pauseOnFocus && (b.focussed = d.is(':focus'), b.autoPlay());
            }, 0);
        });
    }, b.prototype.getCurrent = b.prototype.slickCurrentSlide = function () {
        var a = this;
        return a.currentSlide;
    }, b.prototype.getDotCount = function () {
        var a = this, b = 0, c = 0, d = 0;
        if (a.options.infinite === !0)
            for (; b < a.slideCount;)
                ++d, b = c + a.options.slidesToScroll, c += a.options.slidesToScroll <= a.options.slidesToShow ? a.options.slidesToScroll : a.options.slidesToShow;
        else if (a.options.centerMode === !0)
            d = a.slideCount;
        else if (a.options.asNavFor)
            for (; b < a.slideCount;)
                ++d, b = c + a.options.slidesToScroll, c += a.options.slidesToScroll <= a.options.slidesToShow ? a.options.slidesToScroll : a.options.slidesToShow;
        else
            d = 1 + Math.ceil((a.slideCount - a.options.slidesToShow) / a.options.slidesToScroll);
        return d - 1;
    }, b.prototype.getLeft = function (a) {
        var c, d, f, b = this, e = 0;
        return b.slideOffset = 0, d = b.$slides.first().outerHeight(!0), b.options.infinite === !0 ? (b.slideCount > b.options.slidesToShow && (b.slideOffset = b.slideWidth * b.options.slidesToShow * -1, e = d * b.options.slidesToShow * -1), b.slideCount % b.options.slidesToScroll !== 0 && a + b.options.slidesToScroll > b.slideCount && b.slideCount > b.options.slidesToShow && (a > b.slideCount ? (b.slideOffset = (b.options.slidesToShow - (a - b.slideCount)) * b.slideWidth * -1, e = (b.options.slidesToShow - (a - b.slideCount)) * d * -1) : (b.slideOffset = b.slideCount % b.options.slidesToScroll * b.slideWidth * -1, e = b.slideCount % b.options.slidesToScroll * d * -1))) : a + b.options.slidesToShow > b.slideCount && (b.slideOffset = (a + b.options.slidesToShow - b.slideCount) * b.slideWidth, e = (a + b.options.slidesToShow - b.slideCount) * d), b.slideCount <= b.options.slidesToShow && (b.slideOffset = 0, e = 0), b.options.centerMode === !0 && b.options.infinite === !0 ? b.slideOffset += b.slideWidth * Math.floor(b.options.slidesToShow / 2) - b.slideWidth : b.options.centerMode === !0 && (b.slideOffset = 0, b.slideOffset += b.slideWidth * Math.floor(b.options.slidesToShow / 2)), c = b.options.vertical === !1 ? a * b.slideWidth * -1 + b.slideOffset : a * d * -1 + e, b.options.variableWidth === !0 && (f = b.slideCount <= b.options.slidesToShow || b.options.infinite === !1 ? b.$slideTrack.children('.slick-slide').eq(a) : b.$slideTrack.children('.slick-slide').eq(a + b.options.slidesToShow), c = b.options.rtl === !0 ? f[0] ? -1 * (b.$slideTrack.width() - f[0].offsetLeft - f.width()) : 0 : f[0] ? -1 * f[0].offsetLeft : 0, b.options.centerMode === !0 && (f = b.slideCount <= b.options.slidesToShow || b.options.infinite === !1 ? b.$slideTrack.children('.slick-slide').eq(a) : b.$slideTrack.children('.slick-slide').eq(a + b.options.slidesToShow + 1), c = b.options.rtl === !0 ? f[0] ? -1 * (b.$slideTrack.width() - f[0].offsetLeft - f.width()) : 0 : f[0] ? -1 * f[0].offsetLeft : 0, c += (b.$list.width() - f.outerWidth()) / 2)), c;
    }, b.prototype.getOption = b.prototype.slickGetOption = function (a) {
        var b = this;
        return b.options[a];
    }, b.prototype.getNavigableIndexes = function () {
        var e, a = this, b = 0, c = 0, d = [];
        for (a.options.infinite === !1 ? e = a.slideCount : (b = -1 * a.options.slidesToScroll, c = -1 * a.options.slidesToScroll, e = 2 * a.slideCount); e > b;)
            d.push(b), b = c + a.options.slidesToScroll, c += a.options.slidesToScroll <= a.options.slidesToShow ? a.options.slidesToScroll : a.options.slidesToShow;
        return d;
    }, b.prototype.getSlick = function () {
        return this;
    }, b.prototype.getSlideCount = function () {
        var c, d, e, b = this;
        return e = b.options.centerMode === !0 ? b.slideWidth * Math.floor(b.options.slidesToShow / 2) : 0, b.options.swipeToSlide === !0 ? (b.$slideTrack.find('.slick-slide').each(function (c, f) {
            return f.offsetLeft - e + a(f).outerWidth() / 2 > -1 * b.swipeLeft ? (d = f, !1) : void 0;
        }), c = Math.abs(a(d).attr('data-slick-index') - b.currentSlide) || 1) : b.options.slidesToScroll;
    }, b.prototype.goTo = b.prototype.slickGoTo = function (a, b) {
        var c = this;
        c.changeSlide({
            data: {
                message: 'index',
                index: parseInt(a)
            }
        }, b);
    }, b.prototype.init = function (b) {
        var c = this;
        a(c.$slider).hasClass('slick-initialized') || (a(c.$slider).addClass('slick-initialized'), c.buildRows(), c.buildOut(), c.setProps(), c.startLoad(), c.loadSlider(), c.initializeEvents(), c.updateArrows(), c.updateDots(), c.checkResponsive(!0), c.focusHandler()), b && c.$slider.trigger('init', [c]), c.options.accessibility === !0 && c.initADA(), c.options.autoplay && (c.paused = !1, c.autoPlay());
    }, b.prototype.initADA = function () {
        var b = this;
        b.$slides.add(b.$slideTrack.find('.slick-cloned')).attr({
            'aria-hidden': 'true',
            tabindex: '-1'
        }).find('a, input, button, select').attr({ tabindex: '-1' }), b.$slideTrack.attr('role', 'listbox'), b.$slides.not(b.$slideTrack.find('.slick-cloned')).each(function (c) {
            a(this).attr({
                role: 'option',
                'aria-describedby': 'slick-slide' + b.instanceUid + c
            });
        }), null !== b.$dots && b.$dots.attr('role', 'tablist').find('li').each(function (c) {
            a(this).attr({
                role: 'presentation',
                'aria-selected': 'false',
                'aria-controls': 'navigation' + b.instanceUid + c,
                id: 'slick-slide' + b.instanceUid + c
            });
        }).first().attr('aria-selected', 'true').end().find('button').attr('role', 'button').end().closest('div').attr('role', 'toolbar'), b.activateADA();
    }, b.prototype.initArrowEvents = function () {
        var a = this;
        a.options.arrows === !0 && a.slideCount > a.options.slidesToShow && (a.$prevArrow.off('click.slick').on('click.slick', { message: 'previous' }, a.changeSlide), a.$nextArrow.off('click.slick').on('click.slick', { message: 'next' }, a.changeSlide));
    }, b.prototype.initDotEvents = function () {
        var b = this;
        b.options.dots === !0 && b.slideCount > b.options.slidesToShow && a('li', b.$dots).on('click.slick', { message: 'index' }, b.changeSlide), b.options.dots === !0 && b.options.pauseOnDotsHover === !0 && a('li', b.$dots).on('mouseenter.slick', a.proxy(b.interrupt, b, !0)).on('mouseleave.slick', a.proxy(b.interrupt, b, !1));
    }, b.prototype.initSlideEvents = function () {
        var b = this;
        b.options.pauseOnHover && (b.$list.on('mouseenter.slick', a.proxy(b.interrupt, b, !0)), b.$list.on('mouseleave.slick', a.proxy(b.interrupt, b, !1)));
    }, b.prototype.initializeEvents = function () {
        var b = this;
        b.initArrowEvents(), b.initDotEvents(), b.initSlideEvents(), b.$list.on('touchstart.slick mousedown.slick', { action: 'start' }, b.swipeHandler), b.$list.on('touchmove.slick mousemove.slick', { action: 'move' }, b.swipeHandler), b.$list.on('touchend.slick mouseup.slick', { action: 'end' }, b.swipeHandler), b.$list.on('touchcancel.slick mouseleave.slick', { action: 'end' }, b.swipeHandler), b.$list.on('click.slick', b.clickHandler), a(document).on(b.visibilityChange, a.proxy(b.visibility, b)), b.options.accessibility === !0 && b.$list.on('keydown.slick', b.keyHandler), b.options.focusOnSelect === !0 && a(b.$slideTrack).children().on('click.slick', b.selectHandler), a(window).on('orientationchange.slick.slick-' + b.instanceUid, a.proxy(b.orientationChange, b)), a(window).on('resize.slick.slick-' + b.instanceUid, a.proxy(b.resize, b)), a('[draggable!=true]', b.$slideTrack).on('dragstart', b.preventDefault), a(window).on('load.slick.slick-' + b.instanceUid, b.setPosition), a(document).on('ready.slick.slick-' + b.instanceUid, b.setPosition);
    }, b.prototype.initUI = function () {
        var a = this;
        a.options.arrows === !0 && a.slideCount > a.options.slidesToShow && (a.$prevArrow.show(), a.$nextArrow.show()), a.options.dots === !0 && a.slideCount > a.options.slidesToShow && a.$dots.show();
    }, b.prototype.keyHandler = function (a) {
        var b = this;
        a.target.tagName.match('TEXTAREA|INPUT|SELECT') || (37 === a.keyCode && b.options.accessibility === !0 ? b.changeSlide({ data: { message: b.options.rtl === !0 ? 'next' : 'previous' } }) : 39 === a.keyCode && b.options.accessibility === !0 && b.changeSlide({ data: { message: b.options.rtl === !0 ? 'previous' : 'next' } }));
    }, b.prototype.lazyLoad = function () {
        function g(c) {
            a('img[data-lazy]', c).each(function () {
                var c = a(this), d = a(this).attr('data-lazy'), e = document.createElement('img');
                e.onload = function () {
                    c.animate({ opacity: 0 }, 100, function () {
                        c.attr('src', d).animate({ opacity: 1 }, 200, function () {
                            c.removeAttr('data-lazy').removeClass('slick-loading');
                        }), b.$slider.trigger('lazyLoaded', [
                            b,
                            c,
                            d
                        ]);
                    });
                }, e.onerror = function () {
                    c.removeAttr('data-lazy').removeClass('slick-loading').addClass('slick-lazyload-error'), b.$slider.trigger('lazyLoadError', [
                        b,
                        c,
                        d
                    ]);
                }, e.src = d;
            });
        }
        var c, d, e, f, b = this;
        b.options.centerMode === !0 ? b.options.infinite === !0 ? (e = b.currentSlide + (b.options.slidesToShow / 2 + 1), f = e + b.options.slidesToShow + 2) : (e = Math.max(0, b.currentSlide - (b.options.slidesToShow / 2 + 1)), f = 2 + (b.options.slidesToShow / 2 + 1) + b.currentSlide) : (e = b.options.infinite ? b.options.slidesToShow + b.currentSlide : b.currentSlide, f = Math.ceil(e + b.options.slidesToShow), b.options.fade === !0 && (e > 0 && e--, f <= b.slideCount && f++)), c = b.$slider.find('.slick-slide').slice(e, f), g(c), b.slideCount <= b.options.slidesToShow ? (d = b.$slider.find('.slick-slide'), g(d)) : b.currentSlide >= b.slideCount - b.options.slidesToShow ? (d = b.$slider.find('.slick-cloned').slice(0, b.options.slidesToShow), g(d)) : 0 === b.currentSlide && (d = b.$slider.find('.slick-cloned').slice(-1 * b.options.slidesToShow), g(d));
    }, b.prototype.loadSlider = function () {
        var a = this;
        a.setPosition(), a.$slideTrack.css({ opacity: 1 }), a.$slider.removeClass('slick-loading'), a.initUI(), 'progressive' === a.options.lazyLoad && a.progressiveLazyLoad();
    }, b.prototype.next = b.prototype.slickNext = function () {
        var a = this;
        a.changeSlide({ data: { message: 'next' } });
    }, b.prototype.orientationChange = function () {
        var a = this;
        a.checkResponsive(), a.setPosition();
    }, b.prototype.pause = b.prototype.slickPause = function () {
        var a = this;
        a.autoPlayClear(), a.paused = !0;
    }, b.prototype.play = b.prototype.slickPlay = function () {
        var a = this;
        a.autoPlay(), a.options.autoplay = !0, a.paused = !1, a.focussed = !1, a.interrupted = !1;
    }, b.prototype.postSlide = function (a) {
        var b = this;
        b.unslicked || (b.$slider.trigger('afterChange', [
            b,
            a
        ]), b.animating = !1, b.setPosition(), b.swipeLeft = null, b.options.autoplay && b.autoPlay(), b.options.accessibility === !0 && b.initADA());
    }, b.prototype.prev = b.prototype.slickPrev = function () {
        var a = this;
        a.changeSlide({ data: { message: 'previous' } });
    }, b.prototype.preventDefault = function (a) {
        a.preventDefault();
    }, b.prototype.progressiveLazyLoad = function (b) {
        b = b || 1;
        var e, f, g, c = this, d = a('img[data-lazy]', c.$slider);
        d.length ? (e = d.first(), f = e.attr('data-lazy'), g = document.createElement('img'), g.onload = function () {
            e.attr('src', f).removeAttr('data-lazy').removeClass('slick-loading'), c.options.adaptiveHeight === !0 && c.setPosition(), c.$slider.trigger('lazyLoaded', [
                c,
                e,
                f
            ]), c.progressiveLazyLoad();
        }, g.onerror = function () {
            3 > b ? setTimeout(function () {
                c.progressiveLazyLoad(b + 1);
            }, 500) : (e.removeAttr('data-lazy').removeClass('slick-loading').addClass('slick-lazyload-error'), c.$slider.trigger('lazyLoadError', [
                c,
                e,
                f
            ]), c.progressiveLazyLoad());
        }, g.src = f) : c.$slider.trigger('allImagesLoaded', [c]);
    }, b.prototype.refresh = function (b) {
        var d, e, c = this;
        e = c.slideCount - c.options.slidesToShow, !c.options.infinite && c.currentSlide > e && (c.currentSlide = e), c.slideCount <= c.options.slidesToShow && (c.currentSlide = 0), d = c.currentSlide, c.destroy(!0), a.extend(c, c.initials, { currentSlide: d }), c.init(), b || c.changeSlide({
            data: {
                message: 'index',
                index: d
            }
        }, !1);
    }, b.prototype.registerBreakpoints = function () {
        var c, d, e, b = this, f = b.options.responsive || null;
        if ('array' === a.type(f) && f.length) {
            b.respondTo = b.options.respondTo || 'window';
            for (c in f)
                if (e = b.breakpoints.length - 1, d = f[c].breakpoint, f.hasOwnProperty(c)) {
                    for (; e >= 0;)
                        b.breakpoints[e] && b.breakpoints[e] === d && b.breakpoints.splice(e, 1), e--;
                    b.breakpoints.push(d), b.breakpointSettings[d] = f[c].settings;
                }
            b.breakpoints.sort(function (a, c) {
                return b.options.mobileFirst ? a - c : c - a;
            });
        }
    }, b.prototype.reinit = function () {
        var b = this;
        b.$slides = b.$slideTrack.children(b.options.slide).addClass('slick-slide'), b.slideCount = b.$slides.length, b.currentSlide >= b.slideCount && 0 !== b.currentSlide && (b.currentSlide = b.currentSlide - b.options.slidesToScroll), b.slideCount <= b.options.slidesToShow && (b.currentSlide = 0), b.registerBreakpoints(), b.setProps(), b.setupInfinite(), b.buildArrows(), b.updateArrows(), b.initArrowEvents(), b.buildDots(), b.updateDots(), b.initDotEvents(), b.cleanUpSlideEvents(), b.initSlideEvents(), b.checkResponsive(!1, !0), b.options.focusOnSelect === !0 && a(b.$slideTrack).children().on('click.slick', b.selectHandler), b.setSlideClasses('number' == typeof b.currentSlide ? b.currentSlide : 0), b.setPosition(), b.focusHandler(), b.paused = !b.options.autoplay, b.autoPlay(), b.$slider.trigger('reInit', [b]);
    }, b.prototype.resize = function () {
        var b = this;
        a(window).width() !== b.windowWidth && (clearTimeout(b.windowDelay), b.windowDelay = window.setTimeout(function () {
            b.windowWidth = a(window).width(), b.checkResponsive(), b.unslicked || b.setPosition();
        }, 50));
    }, b.prototype.removeSlide = b.prototype.slickRemove = function (a, b, c) {
        var d = this;
        return 'boolean' == typeof a ? (b = a, a = b === !0 ? 0 : d.slideCount - 1) : a = b === !0 ? --a : a, d.slideCount < 1 || 0 > a || a > d.slideCount - 1 ? !1 : (d.unload(), c === !0 ? d.$slideTrack.children().remove() : d.$slideTrack.children(this.options.slide).eq(a).remove(), d.$slides = d.$slideTrack.children(this.options.slide), d.$slideTrack.children(this.options.slide).detach(), d.$slideTrack.append(d.$slides), d.$slidesCache = d.$slides, void d.reinit());
    }, b.prototype.setCSS = function (a) {
        var d, e, b = this, c = {};
        b.options.rtl === !0 && (a = -a), d = 'left' == b.positionProp ? Math.ceil(a) + 'px' : '0px', e = 'top' == b.positionProp ? Math.ceil(a) + 'px' : '0px', c[b.positionProp] = a, b.transformsEnabled === !1 ? b.$slideTrack.css(c) : (c = {}, b.cssTransitions === !1 ? (c[b.animType] = 'translate(' + d + ', ' + e + ')', b.$slideTrack.css(c)) : (c[b.animType] = 'translate3d(' + d + ', ' + e + ', 0px)', b.$slideTrack.css(c)));
    }, b.prototype.setDimensions = function () {
        var a = this;
        a.options.vertical === !1 ? a.options.centerMode === !0 && a.$list.css({ padding: '0px ' + a.options.centerPadding }) : (a.$list.height(a.$slides.first().outerHeight(!0) * a.options.slidesToShow), a.options.centerMode === !0 && a.$list.css({ padding: a.options.centerPadding + ' 0px' })), a.listWidth = a.$list.width(), a.listHeight = a.$list.height(), a.options.vertical === !1 && a.options.variableWidth === !1 ? (a.slideWidth = Math.ceil(a.listWidth / a.options.slidesToShow), a.$slideTrack.width(Math.ceil(a.slideWidth * a.$slideTrack.children('.slick-slide').length))) : a.options.variableWidth === !0 ? a.$slideTrack.width(5000 * a.slideCount) : (a.slideWidth = Math.ceil(a.listWidth), a.$slideTrack.height(Math.ceil(a.$slides.first().outerHeight(!0) * a.$slideTrack.children('.slick-slide').length)));
        var b = a.$slides.first().outerWidth(!0) - a.$slides.first().width();
        a.options.variableWidth === !1 && a.$slideTrack.children('.slick-slide').width(a.slideWidth - b);
    }, b.prototype.setFade = function () {
        var c, b = this;
        b.$slides.each(function (d, e) {
            c = b.slideWidth * d * -1, b.options.rtl === !0 ? a(e).css({
                position: 'relative',
                right: c,
                top: 0,
                zIndex: b.options.zIndex - 2,
                opacity: 0
            }) : a(e).css({
                position: 'relative',
                left: c,
                top: 0,
                zIndex: b.options.zIndex - 2,
                opacity: 0
            });
        }), b.$slides.eq(b.currentSlide).css({
            zIndex: b.options.zIndex - 1,
            opacity: 1
        });
    }, b.prototype.setHeight = function () {
        var a = this;
        if (1 === a.options.slidesToShow && a.options.adaptiveHeight === !0 && a.options.vertical === !1) {
            var b = a.$slides.eq(a.currentSlide).outerHeight(!0);
            a.$list.css('height', b);
        }
    }, b.prototype.setOption = b.prototype.slickSetOption = function () {
        var c, d, e, f, h, b = this, g = !1;
        if ('object' === a.type(arguments[0]) ? (e = arguments[0], g = arguments[1], h = 'multiple') : 'string' === a.type(arguments[0]) && (e = arguments[0], f = arguments[1], g = arguments[2], 'responsive' === arguments[0] && 'array' === a.type(arguments[1]) ? h = 'responsive' : 'undefined' != typeof arguments[1] && (h = 'single')), 'single' === h)
            b.options[e] = f;
        else if ('multiple' === h)
            a.each(e, function (a, c) {
                b.options[a] = c;
            });
        else if ('responsive' === h)
            for (d in f)
                if ('array' !== a.type(b.options.responsive))
                    b.options.responsive = [f[d]];
                else {
                    for (c = b.options.responsive.length - 1; c >= 0;)
                        b.options.responsive[c].breakpoint === f[d].breakpoint && b.options.responsive.splice(c, 1), c--;
                    b.options.responsive.push(f[d]);
                }
        g && (b.unload(), b.reinit());
    }, b.prototype.setPosition = function () {
        var a = this;
        a.setDimensions(), a.setHeight(), a.options.fade === !1 ? a.setCSS(a.getLeft(a.currentSlide)) : a.setFade(), a.$slider.trigger('setPosition', [a]);
    }, b.prototype.setProps = function () {
        var a = this, b = document.body.style;
        a.positionProp = a.options.vertical === !0 ? 'top' : 'left', 'top' === a.positionProp ? a.$slider.addClass('slick-vertical') : a.$slider.removeClass('slick-vertical'), (void 0 !== b.WebkitTransition || void 0 !== b.MozTransition || void 0 !== b.msTransition) && a.options.useCSS === !0 && (a.cssTransitions = !0), a.options.fade && ('number' == typeof a.options.zIndex ? a.options.zIndex < 3 && (a.options.zIndex = 3) : a.options.zIndex = a.defaults.zIndex), void 0 !== b.OTransform && (a.animType = 'OTransform', a.transformType = '-o-transform', a.transitionType = 'OTransition', void 0 === b.perspectiveProperty && void 0 === b.webkitPerspective && (a.animType = !1)), void 0 !== b.MozTransform && (a.animType = 'MozTransform', a.transformType = '-moz-transform', a.transitionType = 'MozTransition', void 0 === b.perspectiveProperty && void 0 === b.MozPerspective && (a.animType = !1)), void 0 !== b.webkitTransform && (a.animType = 'webkitTransform', a.transformType = '-webkit-transform', a.transitionType = 'webkitTransition', void 0 === b.perspectiveProperty && void 0 === b.webkitPerspective && (a.animType = !1)), void 0 !== b.msTransform && (a.animType = 'msTransform', a.transformType = '-ms-transform', a.transitionType = 'msTransition', void 0 === b.msTransform && (a.animType = !1)), void 0 !== b.transform && a.animType !== !1 && (a.animType = 'transform', a.transformType = 'transform', a.transitionType = 'transition'), a.transformsEnabled = a.options.useTransform && null !== a.animType && a.animType !== !1;
    }, b.prototype.setSlideClasses = function (a) {
        var c, d, e, f, b = this;
        d = b.$slider.find('.slick-slide').removeClass('slick-active slick-center slick-current').attr('aria-hidden', 'true'), b.$slides.eq(a).addClass('slick-current'), b.options.centerMode === !0 ? (c = Math.floor(b.options.slidesToShow / 2), b.options.infinite === !0 && (a >= c && a <= b.slideCount - 1 - c ? b.$slides.slice(a - c, a + c + 1).addClass('slick-active').attr('aria-hidden', 'false') : (e = b.options.slidesToShow + a, d.slice(e - c + 1, e + c + 2).addClass('slick-active').attr('aria-hidden', 'false')), 0 === a ? d.eq(d.length - 1 - b.options.slidesToShow).addClass('slick-center') : a === b.slideCount - 1 && d.eq(b.options.slidesToShow).addClass('slick-center')), b.$slides.eq(a).addClass('slick-center')) : a >= 0 && a <= b.slideCount - b.options.slidesToShow ? b.$slides.slice(a, a + b.options.slidesToShow).addClass('slick-active').attr('aria-hidden', 'false') : d.length <= b.options.slidesToShow ? d.addClass('slick-active').attr('aria-hidden', 'false') : (f = b.slideCount % b.options.slidesToShow, e = b.options.infinite === !0 ? b.options.slidesToShow + a : a, b.options.slidesToShow == b.options.slidesToScroll && b.slideCount - a < b.options.slidesToShow ? d.slice(e - (b.options.slidesToShow - f), e + f).addClass('slick-active').attr('aria-hidden', 'false') : d.slice(e, e + b.options.slidesToShow).addClass('slick-active').attr('aria-hidden', 'false')), 'ondemand' === b.options.lazyLoad && b.lazyLoad();
    }, b.prototype.setupInfinite = function () {
        var c, d, e, b = this;
        if (b.options.fade === !0 && (b.options.centerMode = !1), b.options.infinite === !0 && b.options.fade === !1 && (d = null, b.slideCount > b.options.slidesToShow)) {
            for (e = b.options.centerMode === !0 ? b.options.slidesToShow + 1 : b.options.slidesToShow, c = b.slideCount; c > b.slideCount - e; c -= 1)
                d = c - 1, a(b.$slides[d]).clone(!0).attr('id', '').attr('data-slick-index', d - b.slideCount).prependTo(b.$slideTrack).addClass('slick-cloned');
            for (c = 0; e > c; c += 1)
                d = c, a(b.$slides[d]).clone(!0).attr('id', '').attr('data-slick-index', d + b.slideCount).appendTo(b.$slideTrack).addClass('slick-cloned');
            b.$slideTrack.find('.slick-cloned').find('[id]').each(function () {
                a(this).attr('id', '');
            });
        }
    }, b.prototype.interrupt = function (a) {
        var b = this;
        a || b.autoPlay(), b.interrupted = a;
    }, b.prototype.selectHandler = function (b) {
        var c = this, d = a(b.target).is('.slick-slide') ? a(b.target) : a(b.target).parents('.slick-slide'), e = parseInt(d.attr('data-slick-index'));
        return e || (e = 0), c.slideCount <= c.options.slidesToShow ? (c.setSlideClasses(e), void c.asNavFor(e)) : void c.slideHandler(e);
    }, b.prototype.slideHandler = function (a, b, c) {
        var d, e, f, g, j, h = null, i = this;
        return b = b || !1, i.animating === !0 && i.options.waitForAnimate === !0 || i.options.fade === !0 && i.currentSlide === a || i.slideCount <= i.options.slidesToShow ? void 0 : (b === !1 && i.asNavFor(a), d = a, h = i.getLeft(d), g = i.getLeft(i.currentSlide), i.currentLeft = null === i.swipeLeft ? g : i.swipeLeft, i.options.infinite === !1 && i.options.centerMode === !1 && (0 > a || a > i.getDotCount() * i.options.slidesToScroll) ? void (i.options.fade === !1 && (d = i.currentSlide, c !== !0 ? i.animateSlide(g, function () {
            i.postSlide(d);
        }) : i.postSlide(d))) : i.options.infinite === !1 && i.options.centerMode === !0 && (0 > a || a > i.slideCount - i.options.slidesToScroll) ? void (i.options.fade === !1 && (d = i.currentSlide, c !== !0 ? i.animateSlide(g, function () {
            i.postSlide(d);
        }) : i.postSlide(d))) : (i.options.autoplay && clearInterval(i.autoPlayTimer), e = 0 > d ? i.slideCount % i.options.slidesToScroll !== 0 ? i.slideCount - i.slideCount % i.options.slidesToScroll : i.slideCount + d : d >= i.slideCount ? i.slideCount % i.options.slidesToScroll !== 0 ? 0 : d - i.slideCount : d, i.animating = !0, i.$slider.trigger('beforeChange', [
            i,
            i.currentSlide,
            e
        ]), f = i.currentSlide, i.currentSlide = e, i.setSlideClasses(i.currentSlide), i.options.asNavFor && (j = i.getNavTarget(), j = j.slick('getSlick'), j.slideCount <= j.options.slidesToShow && j.setSlideClasses(i.currentSlide)), i.updateDots(), i.updateArrows(), i.options.fade === !0 ? (c !== !0 ? (i.fadeSlideOut(f), i.fadeSlide(e, function () {
            i.postSlide(e);
        })) : i.postSlide(e), void i.animateHeight()) : void (c !== !0 ? i.animateSlide(h, function () {
            i.postSlide(e);
        }) : i.postSlide(e))));
    }, b.prototype.startLoad = function () {
        var a = this;
        a.options.arrows === !0 && a.slideCount > a.options.slidesToShow && (a.$prevArrow.hide(), a.$nextArrow.hide()), a.options.dots === !0 && a.slideCount > a.options.slidesToShow && a.$dots.hide(), a.$slider.addClass('slick-loading');
    }, b.prototype.swipeDirection = function () {
        var a, b, c, d, e = this;
        return a = e.touchObject.startX - e.touchObject.curX, b = e.touchObject.startY - e.touchObject.curY, c = Math.atan2(b, a), d = Math.round(180 * c / Math.PI), 0 > d && (d = 360 - Math.abs(d)), 45 >= d && d >= 0 ? e.options.rtl === !1 ? 'left' : 'right' : 360 >= d && d >= 315 ? e.options.rtl === !1 ? 'left' : 'right' : d >= 135 && 225 >= d ? e.options.rtl === !1 ? 'right' : 'left' : e.options.verticalSwiping === !0 ? d >= 35 && 135 >= d ? 'down' : 'up' : 'vertical';
    }, b.prototype.swipeEnd = function (a) {
        var c, d, b = this;
        if (b.dragging = !1, b.interrupted = !1, b.shouldClick = b.touchObject.swipeLength > 10 ? !1 : !0, void 0 === b.touchObject.curX)
            return !1;
        if (b.touchObject.edgeHit === !0 && b.$slider.trigger('edge', [
                b,
                b.swipeDirection()
            ]), b.touchObject.swipeLength >= b.touchObject.minSwipe) {
            switch (d = b.swipeDirection()) {
            case 'left':
            case 'down':
                c = b.options.swipeToSlide ? b.checkNavigable(b.currentSlide + b.getSlideCount()) : b.currentSlide + b.getSlideCount(), b.currentDirection = 0;
                break;
            case 'right':
            case 'up':
                c = b.options.swipeToSlide ? b.checkNavigable(b.currentSlide - b.getSlideCount()) : b.currentSlide - b.getSlideCount(), b.currentDirection = 1;
            }
            'vertical' != d && (b.slideHandler(c), b.touchObject = {}, b.$slider.trigger('swipe', [
                b,
                d
            ]));
        } else
            b.touchObject.startX !== b.touchObject.curX && (b.slideHandler(b.currentSlide), b.touchObject = {});
    }, b.prototype.swipeHandler = function (a) {
        var b = this;
        if (!(b.options.swipe === !1 || 'ontouchend' in document && b.options.swipe === !1 || b.options.draggable === !1 && -1 !== a.type.indexOf('mouse')))
            switch (b.touchObject.fingerCount = a.originalEvent && void 0 !== a.originalEvent.touches ? a.originalEvent.touches.length : 1, b.touchObject.minSwipe = b.listWidth / b.options.touchThreshold, b.options.verticalSwiping === !0 && (b.touchObject.minSwipe = b.listHeight / b.options.touchThreshold), a.data.action) {
            case 'start':
                b.swipeStart(a);
                break;
            case 'move':
                b.swipeMove(a);
                break;
            case 'end':
                b.swipeEnd(a);
            }
    }, b.prototype.swipeMove = function (a) {
        var d, e, f, g, h, b = this;
        return h = void 0 !== a.originalEvent ? a.originalEvent.touches : null, !b.dragging || h && 1 !== h.length ? !1 : (d = b.getLeft(b.currentSlide), b.touchObject.curX = void 0 !== h ? h[0].pageX : a.clientX, b.touchObject.curY = void 0 !== h ? h[0].pageY : a.clientY, b.touchObject.swipeLength = Math.round(Math.sqrt(Math.pow(b.touchObject.curX - b.touchObject.startX, 2))), b.options.verticalSwiping === !0 && (b.touchObject.swipeLength = Math.round(Math.sqrt(Math.pow(b.touchObject.curY - b.touchObject.startY, 2)))), e = b.swipeDirection(), 'vertical' !== e ? (void 0 !== a.originalEvent && b.touchObject.swipeLength > 4 && a.preventDefault(), g = (b.options.rtl === !1 ? 1 : -1) * (b.touchObject.curX > b.touchObject.startX ? 1 : -1), b.options.verticalSwiping === !0 && (g = b.touchObject.curY > b.touchObject.startY ? 1 : -1), f = b.touchObject.swipeLength, b.touchObject.edgeHit = !1, b.options.infinite === !1 && (0 === b.currentSlide && 'right' === e || b.currentSlide >= b.getDotCount() && 'left' === e) && (f = b.touchObject.swipeLength * b.options.edgeFriction, b.touchObject.edgeHit = !0), b.options.vertical === !1 ? b.swipeLeft = d + f * g : b.swipeLeft = d + f * (b.$list.height() / b.listWidth) * g, b.options.verticalSwiping === !0 && (b.swipeLeft = d + f * g), b.options.fade === !0 || b.options.touchMove === !1 ? !1 : b.animating === !0 ? (b.swipeLeft = null, !1) : void b.setCSS(b.swipeLeft)) : void 0);
    }, b.prototype.swipeStart = function (a) {
        var c, b = this;
        return b.interrupted = !0, 1 !== b.touchObject.fingerCount || b.slideCount <= b.options.slidesToShow ? (b.touchObject = {}, !1) : (void 0 !== a.originalEvent && void 0 !== a.originalEvent.touches && (c = a.originalEvent.touches[0]), b.touchObject.startX = b.touchObject.curX = void 0 !== c ? c.pageX : a.clientX, b.touchObject.startY = b.touchObject.curY = void 0 !== c ? c.pageY : a.clientY, void (b.dragging = !0));
    }, b.prototype.unfilterSlides = b.prototype.slickUnfilter = function () {
        var a = this;
        null !== a.$slidesCache && (a.unload(), a.$slideTrack.children(this.options.slide).detach(), a.$slidesCache.appendTo(a.$slideTrack), a.reinit());
    }, b.prototype.unload = function () {
        var b = this;
        a('.slick-cloned', b.$slider).remove(), b.$dots && b.$dots.remove(), b.$prevArrow && b.htmlExpr.test(b.options.prevArrow) && b.$prevArrow.remove(), b.$nextArrow && b.htmlExpr.test(b.options.nextArrow) && b.$nextArrow.remove(), b.$slides.removeClass('slick-slide slick-active slick-visible slick-current').attr('aria-hidden', 'true').css('width', '');
    }, b.prototype.unslick = function (a) {
        var b = this;
        b.$slider.trigger('unslick', [
            b,
            a
        ]), b.destroy();
    }, b.prototype.updateArrows = function () {
        var b, a = this;
        b = Math.floor(a.options.slidesToShow / 2), a.options.arrows === !0 && a.slideCount > a.options.slidesToShow && !a.options.infinite && (a.$prevArrow.removeClass('slick-disabled').attr('aria-disabled', 'false'), a.$nextArrow.removeClass('slick-disabled').attr('aria-disabled', 'false'), 0 === a.currentSlide ? (a.$prevArrow.addClass('slick-disabled').attr('aria-disabled', 'true'), a.$nextArrow.removeClass('slick-disabled').attr('aria-disabled', 'false')) : a.currentSlide >= a.slideCount - a.options.slidesToShow && a.options.centerMode === !1 ? (a.$nextArrow.addClass('slick-disabled').attr('aria-disabled', 'true'), a.$prevArrow.removeClass('slick-disabled').attr('aria-disabled', 'false')) : a.currentSlide >= a.slideCount - 1 && a.options.centerMode === !0 && (a.$nextArrow.addClass('slick-disabled').attr('aria-disabled', 'true'), a.$prevArrow.removeClass('slick-disabled').attr('aria-disabled', 'false')));
    }, b.prototype.updateDots = function () {
        var a = this;
        null !== a.$dots && (a.$dots.find('li').removeClass('slick-active').attr('aria-hidden', 'true'), a.$dots.find('li').eq(Math.floor(a.currentSlide / a.options.slidesToScroll)).addClass('slick-active').attr('aria-hidden', 'false'));
    }, b.prototype.visibility = function () {
        var a = this;
        a.options.autoplay && (document[a.hidden] ? a.interrupted = !0 : a.interrupted = !1);
    }, a.fn.slick = function () {
        var f, g, a = this, c = arguments[0], d = Array.prototype.slice.call(arguments, 1), e = a.length;
        for (f = 0; e > f; f++)
            if ('object' == typeof c || 'undefined' == typeof c ? a[f].slick = new b(a[f], c) : g = a[f].slick[c].apply(a[f].slick, d), 'undefined' != typeof g)
                return g;
        return a;
    };
});
var App = App || {};
define('views/home/hindex', [
    'vue',
    'uview',
    'tpl/hindex.html',
    'store',
    'lazyload',
    'slider'
], function (Vue, uview, tpl, store, lazyload, slider) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'hindex',
            cxId: '#h_index',
            cxWpid: '#h_index',
            probeType: 3,
            cxAutoload: true,
            cxAutoShow: true,
            api1: '/V2/Shop/Index',
            api2: '/V2/Shop/IndexGoods',
            h_store: null,
            cxInit: function () {
                App.footbar(true);
            },
            cxData: { transitionName: 'cxpFadeLeft' },
            plusPage: function () {
                var _this = this;
                this.h_store = new store('home');
                this.cxAllPage = this.h_store.get('allpage') || 1;
                if (this.cxPage < this.cxAllPage) {
                    this._cxRenderAfterPut();
                    this.vScroll.scrollBy(0, -1);
                    this.$loading.text('加载中...');
                    this.cxVas = {
                        page: this.cxVas.page + 1,
                        pagesize: 10
                    };
                    this.getData(_this.api2);
                } else {
                    this.$loading.text('无更多数据');
                    this.cxPageEnd = true;
                }
            },
            cxReady: function () {
                var _this = this;
                _this.h_store = new store('home');
                _.each(_this.h_store.get('index'), function (val, key) {
                    _this.$nextTick(_this._cxNextTick);
                });
                _.each(_this.h_store.get('indexGoods'), function (val, key) {
                    _this.$nextTick(_this._cxNextTick);
                });
                var slickset = {
                    centerMode: true,
                    arrows: false,
                    dots: false,
                    infinite: true,
                    centerPadding: 0,
                    variableWidth: true,
                    slidesToShow: 1,
                    speed: 300
                };
                $('#collection').slick(slickset);
                _this.myslider();
                $('#myslider').imagesLoaded().done(function () {
                    setTimeout(function () {
                        _this.myslider();
                    }, 2000);
                });
                $('#collection').imagesLoaded().done(function () {
                    setTimeout(function () {
                        $('#collection').slick('unslick');
                        $('#collection').slick(slickset);
                    }, 1500);
                });
                this.vScroll.on('scroll', function () {
                    $('#myslider').css({ 'top': -this.y / 2 });
                });
            },
            cxCreated: function () {
                var _this = this;
                _this.h_store = new store('home');
                var check = _this.h_store.get('check');
                if (App.user.notice) {
                    if (App.user.notice.messagecount > 0) {
                        this.new = true;
                    }
                }
                var getinfo = {};
                _this.midH = $(window).width() * 0.56 + 'px';
                _this.cH = $(window).width() * 0.7 * 0.53 + 'px';
                _this.cW = $(window).width() * 0.7 + 'px';
                if (check) {
                    _.each(_this.h_store.get('index'), function (val, key) {
                        Vue.set(_this, key, val);
                    });
                    _.each(_this.h_store.get('indexGoods'), function (val, key) {
                        Vue.set(_this, key, val);
                    });
                    App.upData({
                        url: App.config.urlPath + '/v2/shop/checkcache',
                        success: function (data) {
                            getinfo = {
                                'slider': data.result.adversion,
                                'col': data.result.collversion,
                                'list': data.result.indexgoodsversion,
                                'specailcolumn': data.result.specailcolumnversion
                            };
                            _this.h_store.set('check', getinfo);
                            if (check.slider !== data.result.adversion || check.col !== data.result.collversion || check.specailcolumn !== data.result.specailcolumnversion) {
                                _this.advertisement = [];
                                _this.anthology = [];
                                _this.getData(_this.api1);
                            }
                            if (check.list !== data.result.indexgoodsversion) {
                                _this.list = [];
                                _this.getData(_this.api2);
                            }
                            $(_this.cxWpid).children().append(_this.$loading);
                        }
                    });
                } else {
                    _this.list = [];
                    App.upData({
                        url: App.config.urlPath + '/v2/shop/checkcache',
                        success: function (data) {
                            getinfo = {
                                'slider': data.result.adversion,
                                'col': data.result.collversion,
                                'list': data.result.indexgoodsversion,
                                'specailcolumn': data.result.specailcolumnversion
                            };
                            _this.h_store.set('check', getinfo);
                            _this.getData(_this.api1);
                            _this.getData(_this.api2);
                        }
                    });
                }
            }
        },
        methods: {
            myslider: function () {
                $('#myslider').flexslider({
                    directionNav: false,
                    pauseOnAction: true,
                    slideshowSpeed: 3900,
                    playAfterPaused: 800,
                    before: function (slider) {
                        if (slider._pausedTimer) {
                            window.clearTimeout(slider._pausedTimer);
                            slider._pausedTimer = null;
                        }
                    },
                    after: function (slider) {
                        var pauseTime = slider.vars.playAfterPaused;
                        if (pauseTime && !isNaN(pauseTime) && !slider.playing) {
                            if (!slider.manualPause && !slider.manualPlay && !slider.stopped) {
                                slider._pausedTimer = window.setTimeout(function () {
                                    slider.play();
                                }, pauseTime);
                            }
                        }
                    }
                });
            },
            getData: function (api) {
                var _this = this;
                var setname;
                if (api == '/V2/Shop/Index') {
                    setname = 'index';
                } else {
                    setname = 'indexGoods';
                }
                App.upData({
                    url: App.config.urlPath + api + '?' + App.config.accompany,
                    data: _this.cxVas,
                    success: function (data) {
                        console.log(data);
                        if (data.state == 1) {
                            if (data.result.list instanceof Array) {
                                _this.cxPage = data.result.page;
                                if (_this.list.length < 1) {
                                    _this.cxAllPage = Math.ceil(data.result.total / data.result.size);
                                    _this.h_store.set('allpage', _this.cxAllPage);
                                    if (data.result.list.length > 0) {
                                        for (var i = 0; i < data.result.list.length; i++) {
                                            _this.list.push({
                                                l: data.result.list[i],
                                                n: i
                                            });
                                        }
                                        data.result.list = _this.list;
                                        _this.h_store.set(setname, data.result);
                                        if (_this.cxPage < _this.cxAllPage) {
                                            $(_this.cxWpid).children().append(_this.$loading);
                                        }
                                    }
                                } else {
                                    var x = _this.list.length;
                                    for (var i = 0; i < data.result.list.length; i++) {
                                        _this.list.push({
                                            l: data.result.list[i],
                                            n: x + i
                                        });
                                    }
                                }
                            } else {
                                _.each(data.result, function (val, key) {
                                    Vue.set(_this, key, val);
                                });
                                _this.h_store.set(setname, data.result);
                            }
                            _this.$nextTick(_this._cxNextTick);
                            _this._cxRenderAfterPut();
                        }
                    }
                });
            },
            updatalike: function (id, isfav, num) {
                var _this = this;
                App.loading(true);
                var local = _this.h_store.get('indexGoods');
                App.upData({
                    url: App.config.urlPath + '/shop/addmyfavorite' + '?=' + App.config.accompany,
                    data: {
                        pid: id,
                        type: isfav ? 1 : 0
                    },
                    success: function (data) {
                        if (data.state == 1) {
                            if (num < local.list.length)
                                _this.h_store.set('indexGoods.list[' + num + '].l.iscollection', !isfav);
                            for (var i in _this.list) {
                                if (_this.list[i].l.id == id)
                                    _this.list[i].l.iscollection = !isfav;
                            }
                        } else {
                            data.errordes == '' ? App.alert(data.result.info) : App.alert(data.errordes);
                        }
                        App.loading(false);
                    },
                    error: function () {
                        App.alert('获取数据错误');
                        App.loading(false);
                    }
                });
            },
            clearSearchInfo: function () {
                App.lastOne = {};
                window.location.href = '#mall/search';
            }
        }
    });
    return v;
});
define('tpl/hpages.html', [], function () {
    return '<div class="views" id="h-pages" v-if="show" :transition="transitionName">\r\n    <div class="am-g ui-border-b" id="uheadtop">\r\n        <div class="am-u-sm-2" style="text-align:left"><a id="backBtn" v-on:click="back"><i class="am-icon-cx-77"></i></a></div>\r\n        <div class="am-u-sm-8 utopTit">品质生活</div>\r\n        <div class="am-u-sm-2" style="text-align:right"><a id="msgBtn" v-on:click="share"><i class="am-icon-cx-78"></i></a></div>\r\n    </div>\r\n    <div id="h_pages">\r\n        <div id="home_d">\r\n            <div id="slider" class="item_slider" style="height:{{imgHeight}}px;">\r\n                <img :src="imgurl" />\r\n            </div>\r\n            <div id="item_main" class="item_main">\r\n                <div class="item_title">\r\n                    <p>{{title}}</p>\r\n                    <p>{{subtitle}}</p>\r\n                </div>\r\n                <div class="am-g item-group">\r\n                    <template v-if="goods">\r\n                        <template v-for="value in goods.list">\r\n                            <div class="item-box" id="{{value.id}}">\r\n                                <div class="info">{{value.description}}</div>\r\n                                <template v-if="value.type==0">\r\n                                    <a href="#mall/product/{{value.id}}">\r\n                                        <div class="info-img">\r\n                                            <div style="height:{{list_imgHeight}}">\r\n                                                <img :src="value.imgrul">\r\n                                            </div>\r\n                                        </div>\r\n                                    </a>\r\n                                </template>\r\n                                <template v-else>\r\n                                    <a href="#mall/service/{{value.id}}">\r\n                                        <div class="info-img">\r\n                                            <div style="height:{{list_imgHeight}}">\r\n                                                <img :src="value.imgrul">\r\n                                            </div>\r\n                                        </div>\r\n                                    </a>\r\n                                </template>\r\n\r\n                                <div class="item">\r\n                                    <div class="title">{{value.title}}</div>\r\n                                    <template v-if="value.memberprice==value.originprice">\r\n                                        <div class="price"><span>\uFFE5{{value.memberprice}}</span></div>\r\n                                    </template>\r\n                                    <template v-else>\r\n                                        <div class="price"><span>\uFFE5{{value.memberprice}} <span class="originprice">\uFFE5{{value.originprice}}</span></span>\r\n                                        </div>\r\n                                    </template>\r\n                                    <template v-if="value.type===0">\r\n                                        <div class="like ui-border-radius" v-on:click="likeit(value.id,value.iscollection,$index)"><span class="am-icon-cx-48" v-bind:class="{ \'likeits\': value.iscollection }"></span></div>\r\n                                    </template>\r\n                                </div>\r\n                            </div>\r\n                        </template>\r\n                    </template>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/home/hpages', [
    'uview',
    'tpl/hpages.html',
    'store'
], function (uview, tpl, store) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'hpages',
            cxId: '#h_pages',
            cxWpid: '#h_pages',
            probeType: 3,
            cxAutoload: true,
            cxAutoShow: true,
            cxApi: '/v2/shop/AnthologyDetail',
            cxInit: function () {
                App.footbar(false);
            },
            cxReady: function () {
                this.vScroll.on('scroll', function () {
                    $('#slider').css({ 'top': -this.y / 2 });
                });
            },
            cxCreated: function () {
                this.cxVas.pagesize = 50;
                this.cxVas.id = this.$options.vas;
                this.imgHeight = parseInt($(window).width() * 0.56);
                this.list_imgHeight = parseInt($(window).width() * 0.9 * 0.565) + 'px';
            }
        },
        cxData: { transitionName: 'cxpRight' },
        methods: {
            back: function () {
                if (window.history.length > 2) {
                    window.history.back();
                } else {
                    window.location.href = '#home';
                }
            },
            share: function () {
                var content = '品质生活';
                var href = '#home/hpages/' + this.$options.vas;
                var type = 2;
                App.n.share.share(content, href, type);
            },
            likeit: function (id, isfav, index) {
                var _this = this;
                var h_store = new store('home');
                var local = h_store.get('indexGoods');
                App.loading(true);
                App.upData({
                    url: App.config.urlPath + '/shop/addmyfavorite?' + App.config.accompany,
                    data: {
                        pid: id,
                        type: isfav ? 1 : 0
                    },
                    success: function (data) {
                        if (data.state == 1) {
                            for (var i in local.list) {
                                if (local.list[i].l.id == id) {
                                    h_store.set('indexGoods.list[' + i + '].l.iscollection', !isfav);
                                }
                            }
                            _this.goods.list[index].iscollection = !isfav;
                        } else {
                            if (data.errordes == '') {
                                App.alert(data.result.info);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                        App.loading(false);
                    },
                    error: function () {
                        App.alert('获取数据错误');
                        App.loading(false);
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/halbum.html', [], function () {
    return '<div class="views" id="h-album" v-if="show" :transition="transitionName">\r\n    <div class="am-g ui-border-b" id="uheadtop">\r\n        <div class="am-u-sm-2" style="text-align:left"><a id="backBtn" v-on:click="goBack"><i class="am-icon-cx-77"></i></a></div>\r\n        <div class="am-u-sm-8 utopTit">{{title}}</div>\r\n        <div class="am-u-sm-2" style="text-align:right"><a id="msgBtn" v-on:click="share"><i class="am-icon-cx-78"></i></a></div>\r\n    </div>\r\n    <div class="c-main" id="h_album">\r\n        <div>\r\n            <template v-for="i in list">\r\n                <div class="imglist">\r\n                    <template v-if="i.id!=-1">\r\n                        <template v-if="type==0">\r\n                            <a href="#mall/product/{{i.id}}"><img :src="i.path" alt=""></a>\r\n                        </template>\r\n                        <template v-else>\r\n                            <a href="#mall/service/{{i.id}}"><img :src="i.path" alt=""></a>\r\n                        </template>\r\n                    </template>\r\n                    <template v-else>\r\n                        <img :src="i.path" alt="">\r\n                    </template>\r\n                </div>\r\n            </template>\r\n        </div>\r\n    </div>\r\n</div>';
});
define('tpl/bar_t1.html', [], function () {
    return '<div class="am-g ui-border-b" id="uheadtop"><div class="am-u-sm-2 head-left"><a id="backBtn" v-on:click="goBack"><i class="am-icon-cx-77"></i></a></div><div class="am-u-sm-8 utopTit">{{title}}</div><div class="am-u-sm-2 head-right"><a id="msgBtn" href="#ucenter/umsg"><i class="am-icon-cx-46"></i> <span class="None act" v-bind:class="{ \'cxdot\': new}"></span></a></div></div>';
});
var App = App || {};
define('utopbar', [
    'vue',
    'tpl/bar_t1.html'
], function (Vue, tpl) {
    var v = Vue.extend({
        props: ['title'],
        template: tpl,
        data: function () {
            return {
                title: '',
                back: true,
                new: false
            };
        },
        ready: function () {
            if (App.user.notice) {
                if (App.user.notice.messagecount > 0) {
                    this.new = true;
                }
            }
        },
        methods: {
            goBack: function () {
                if (window.history.length > 1) {
                    window.history.back();
                } else {
                    window.location.href = '#home';
                }
            }
        }
    });
    return v;
});
var App = App || {};
define('views/home/halbum', [
    'uview',
    'tpl/halbum.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'halbum',
            cxId: '#h_album',
            cxWpid: '#h_album',
            cxAutoload: true,
            cxAutoShow: true,
            cxApi: '',
            cxInit: function () {
                App.footbar(false);
            },
            cxCreated: function () {
                var _this = this;
                this.cxVas.id = this.$options.vas;
                App.upData({
                    url: App.config.urlPath + '/SpecialShopShow/SpecialShow?' + App.config.accompany,
                    data: { id: this.$options.vas },
                    success: function (data) {
                        if (data.state == 1) {
                            _this.list = data.result.list;
                            _this.type = data.result.type;
                            _this.title = data.result.title;
                        } else {
                            if (data.errordes == '') {
                                App.alert(data.result.info);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                    }
                });
            },
            appendComplete: function () {
                this.cHeight = $('#h_album').height();
                this.heightSet();
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            title: '',
            type: ''
        },
        methods: {
            goBack: function () {
                if (window.history.length > 2) {
                    window.history.back();
                } else {
                    window.location.href = '#home';
                }
            },
            share: function () {
                var content = this.title;
                var href = '#home/halbum/' + this.$options.vas;
                var type = 2;
                App.n.share.share(content, href, type);
            },
            heightSet: function () {
                var _self = this;
                setTimeout(function () {
                    if ($('#h_album').height() != _self.cHeight) {
                        _self.cHeight = $('#h_album').height();
                    }
                    _self.heightSet();
                }, 1000);
                _self.vScroll.refresh();
            }
        }
    });
    return v;
});
var App = App || {};
define('views/home', [
    'uview',
    'tpl/home.html',
    'views/home/hindex',
    'views/home/hpages',
    'views/home/halbum'
], function (uview, tpl, hindex, hpages, halbum) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'home',
            cxId: '#home-center',
            cxChildId: '#home_center',
            cxAutoShow: true,
            cxChildPage: {
                'hindex': hindex,
                'hpages': hpages,
                'halbum': halbum
            },
            cxReady: function () {
                if (typeof this.$options._initPage != 'undefined') {
                    this.openChild(this.$options._initPage);
                } else {
                    this.openChild('hindex');
                }
            },
            cxCreated: function () {
            }
        },
        cxData: { transitionName: 'cxpFade' },
        methods: {}
    });
    return v;
});
define('tpl/mall.html', [], function () {
    return '<div class="views" id="mall" v-if="show" :transition="transitionName"><div id="m_discovery"></div></div>';
});
define('tpl/m_discovery.html', [], function () {
    return '<div id="m-main" v-if="show" :transition="transitionName"><div class="am-g m-serch"><div class="am-u-sm-2 head-left"><a v-on:click="clearSearchInfo()"><i class="am-icon-cx-45"></i></a></div><div class="am-u-sm-4" v-on:click="productToggle(1)"><a v-bind:class="{\'active\':isService}" class="goods" data-id><span>服务</span></a></div><div class="am-u-sm-4" v-on:click="productToggle(0)"><a v-bind:class="{\'active\':isMall}" class="goods"><span>商城</span></a></div><div class="am-u-sm-2 head-right"><a v-on:click="toMsg"><i class="am-icon-cx-46"></i> <span v-if="logged" class="None act" v-bind:class="{ \'cxdot\': new}"></span></a></div></div><div class="views wrapper discovery" id="wrapper"><div class="mViews" id="mViews"><div class="m-banner"><img v-if="isService" src="assets/imgs/servicebanner.jpg"> <img v-if="isMall" src="assets/imgs/mallbanner.jpg"></div><div id="m-category" class="am-g m-category"><ul><li v-for="c in categories" track-by="$index" v-on:click="selectCategories(c.categoryid)"><div class="cate ui-border-r">{{{c.imgurl}}}<p>{{c.name}}</p></div></li></ul></div><div class="am-container" id="m_result"><div id="m-result-pds"><ul id="wf-main"><li v-for="s in list" track-by="$index" class="wf-cld"><div v-if="type == 1" class="m-product"><a class="pdimg" href="#mall/service/{{s.id}}"><img :src="s.imgurl"></a><a href="#mall/service/{{s.id}}" class="pdname">{{s.name}}</a> <span v-if="s.minmemberprice != s.minoriginprice"><span v-if="s.minmemberprice == s.maxmemberprice" class="memberprice">\uFFE5{{s.minmemberprice}}</span> <span v-else class="memberprice">\uFFE5{{s.minmemberprice}}-{{s.maxmemberprice}}</span> </span><span v-else><span v-if="s.minoriginprice == s.maxoriginprice" class="memberprice">\uFFE5{{s.minoriginprice}}</span> <span v-else class="memberprice">\uFFE5{{s.minoriginprice}}-{{s.maxoriginprice}}</span> </span><a v-if="s.count" class="wishList"><i class="am-icon-cx-75"></i> {{s.count}}</a></div><div v-else class="m-product"><a class="pdimg" href="#mall/product/{{s.id}}"><img :src="s.imgurl"></a><a href="#mall/product/{{s.id}}" class="pdname">{{s.name}}</a> <span v-if="s.memberprice != s.originprice" class="memberprice">\uFFE5{{s.memberprice}}</span> <span v-else class="memberprice">\uFFE5{{s.originprice}}</span> <span v-if="s.memberprice != s.originprice" class="marketprice">\uFFE5{{s.originprice}}</span></div></li></ul></div><div class="space100"></div><div class="space40"></div></div></div></div></div>';
});
var App = App || {};
define('views/mall/mdiscovery', [
    'uview',
    'tpl/m_discovery.html'
], function (uview, tpl) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'mindex',
            cxId: '#m-main',
            cxWpid: '#wrapper',
            cxApi: '/v2/shop/DiscoveryGoods',
            cxAutoload: false,
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(true);
            },
            cxReady: function () {
                if (App.user.notice) {
                    if (App.user.notice.messagecount > 0) {
                        this.new = true;
                    }
                }
                if (App.config.token) {
                    this.logged = true;
                } else {
                    this.logged = false;
                }
            },
            cxNextTick: function () {
                var _self = this;
                _self.myWF = new App.WaterFall({
                    'container': 'wf-main',
                    'colWidth': '47',
                    'colWidthUnit': '%'
                });
                if (_self.vScroll) {
                    _self.vScroll.refresh();
                }
                this.defereds();
                if (this.updateCate) {
                    $('#m-category>ul>li:eq(' + _self.index + ')').addClass('active');
                    this.updateCate = false;
                }
            },
            appendComplete: function () {
                if (App.discovery && App.discovery.type >= 0) {
                    this.productToggle(App.discovery.type, App.discovery.cateId);
                } else {
                    this.getCate(1);
                }
            }
        },
        cxData: {
            index: 0,
            categories: [],
            type: 1,
            categoryId: '',
            isService: true,
            isMall: false,
            updateCate: false,
            new: false,
            logged: false
        },
        methods: {
            productToggle: function (type, cateId) {
                this.type = type;
                if (type) {
                    this.isMall = false;
                    this.isService = true;
                } else {
                    this.isMall = true;
                    this.isService = false;
                }
                this.getCate(type, cateId);
            },
            selectCategories: function (id) {
                var _self = this;
                $('#m-category>ul>li').removeClass('active');
                var index;
                for (var i = 0; i < _self.categories.length; i++) {
                    if (_self.categories[i].categoryid == id) {
                        _self.index = i;
                    }
                }
                $('#m-category>ul>li:eq(' + _self.index + ')').addClass('active');
                var _self = this;
                this.list = [];
                this.loadData(function () {
                    _self.wf = true;
                }, {
                    type: _self.type,
                    categoryId: id
                });
                App.discovery = {
                    type: _self.type,
                    cateId: id
                };
            },
            getCate: function (type, categoryId) {
                var _self = this;
                App.upData({
                    url: App.config.urlPath + '/v2/shop/DiscoveryCategory?' + App.config.accompany,
                    data: { type: type },
                    success: function (data) {
                        if (data.state == 1) {
                            _self.categories = data.result;
                            _self.selectCategories(categoryId ? categoryId : _self.categories[0].categoryid);
                            _self.updateCate = true;
                        } else {
                            App.alert('获取类别失败');
                        }
                    }
                });
            },
            defereds: function () {
                var _self = this;
                $('.pdimg img').each(function () {
                    var dfd = $.Deferred();
                    $(this).bind('load', function () {
                        _self.myWF = new App.WaterFall({
                            'container': 'wf-main',
                            'colWidth': '47',
                            'colWidthUnit': '%'
                        });
                        if (_self.vScroll) {
                            _self.vScroll.refresh();
                        }
                        dfd.resolve();
                    }).bind('error', function () {
                        App.trace('商品/服务图片加载错误');
                        dfd.resolve();
                    });
                    if (this.complete)
                        setTimeout(function () {
                            var _self = this;
                            _self.myWF = new App.WaterFall({
                                'container': 'wf-main',
                                'colWidth': '47',
                                'colWidthUnit': '%'
                            });
                            if (_self.vScroll) {
                                _self.vScroll.refresh();
                            }
                            dfd.resolve();
                        }, 1000);
                });
            },
            toMsg: function () {
                if (App.config.token) {
                    window.location.href = '#ucenter/umsg';
                } else {
                    App.login.show();
                }
            },
            clearSearchInfo: function () {
                App.lastOne = {};
                window.location.href = '#mall/search';
            }
        },
        beforeCompile: function () {
        }
    });
    return v;
});
define('tpl/m_service.html', [], function () {
    return '<div id="m-main" v-if="show" :transition="transitionName"><div class="am-g m-serch"><div class="am-u-sm-1"><a v-on:click="goBack"><i class="am-icon-cx-77"></i></a></div><div class="am-u-sm-3"></div><div class="am-u-sm-8"><a v-on:click.stop="share(name,id)"><i class="am-icon-cx-78"></i></a> <a href="#buy"><i class="am-icon-cx-53"></i></a> <i class="circle" v-if="islogged">{{cartCount}}</i></div></div><div class="m-detail views wrapper" id="m-detail-wrapper"><div class="mViews" id="mViews"><div id="m-detail-title" class="am-container service-title"><div id="pdImgs" class="am-slider am-slider-default"><ul class="am-slides"><li v-for="img in imgsurl" track-by="$index"><a><img :src="img" width="100%" class="simgs"></a></li></ul></div><div class="m-service-pdName"><span class="product-name">{{name}}</span><div class="m-service-price"><span class="line">/</span> <span v-if="memberprice == originprice"><span class="price">\uFFE5{{memberprice}}</span> </span><span v-else><span class="price">\uFFE5{{memberprice}}</span> <span class="oldPrice">\uFFE5{{originprice}}</span></span></div><p class="subtitle">{{subtitle}}</p><p><i class="am-icon-cx-75"></i> {{servicecount}}</p></div><div class="m-service-item"><ul><li v-for="s in servicemodellist" v-on:click="selectService($event,s.originprice,s.memberprice,s.id,s.name)">{{s.name}}</li></ul></div></div><div v-if="promotioninfo" class="service-promotion" id="promotion"><span class="promotionicon"><img src="assets/imgs/bg15.png"></span><span class="promotioninfo">{{promotioninfo}}</span></div><div class="m-detail-description"><div class="content">{{{content}}}</div></div><div v-if="related" class="m-detail-relate"><h2>搭配购买</h2><div class="relateprolist" v-if="relateprolist"><div class="m-detail-price"><p class="name">推荐商品</p></div><div v-for="p in relateprolist" class="item-select"><a href="#mall/product/{{p.id}}"><img :src="p.imgurl"> </a><a href="#mall/product/{{p.id}}">{{p.name}}</a><template v-if="p.memberprice == p.originprice"><p class="price">\uFFE5{{p.memberprice}}</p></template><template v-else><span class="price">\uFFE5{{p.memberprice}}</span> <span class="oldPrice">\uFFE5{{p.originprice}}</span></template></div></div><div class="relateserlist" v-if="relateserlist"><div class="m-detail-price"><p class="name">推荐服务</p></div><div v-for="s in relateserlist" class="item-select"><a href="#mall/service/{{s.id}}"><img :src="s.imgurl"> </a><a href="#mall/service/{{s.id}}">{{s.name}}</a><p v-if="s.price == s.maxprice" class="memberprice">\uFFE5{{s.price}}</p><p v-else class="memberprice">\uFFE5{{s.price}}-{{s.maxprice}}</p></div></div><div class="space100"></div><div class="space40"></div><div class="space40"></div></div></div></div><div id="m-cart-bar"><div class="am-g"><div class="am-u-sm-10"><a class="cart-add" v-on:click="addCart(id,\'cartroll\')">加入购物车</a></div><div class="am-u-sm-2" v-on:click="addBuyInfo"><a class="buy"><i class="am-icon-cx-79"></i></a></div></div></div></div>';
});
var App = App || {};
define('views/mall/mservice', [
    'vue',
    'uview',
    'tpl/m_service.html'
], function (Vue, uview, tpl) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'mservice',
            cxId: '#m-main',
            cxWpid: '#m-detail-wrapper',
            cxApi: '/v2/shop/ServiceResDetails',
            cxAutoload: false,
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
                App.trace('service init');
                App.buyInfo = {};
            },
            cxReady: function () {
                var _self = this;
                $('#m-detail-title .am-slider').flexslider({
                    directionNav: false,
                    slideshow: true,
                    pauseOnHover: true,
                    animationLoop: false,
                    start: function () {
                        if (_self.vScroll) {
                            _self.vScroll.refresh();
                        }
                    }
                });
                if (App.config.token && App.cart.count > 0) {
                    _self.islogged = true;
                }
            },
            cxCreated: function () {
                var _this = this;
                if (App.cart == null) {
                    App.cart = new cart('mycart');
                    App.cart.releasecart();
                }
                _this.cartCount = App.cart.count;
                App.cart.on('cartChange', function () {
                    _this.cartCount = App.cart.count;
                    if (App.config.token && App.cart.count > 0) {
                        _this.islogged = true;
                    }
                });
            },
            appendComplete: function () {
                $('#m-detail-title .m-service-item ul li:eq(0)').click();
                this.$scrollCon = $('#mViews');
                this.cHeight = this.$scrollCon.height();
                this.containerResize();
            },
            cxRenderAfterPut: function () {
                this.defereds();
            }
        },
        cxData: {
            count: 1,
            iscollection: true,
            content: '',
            serviceSelectedId: 0,
            cHeight: 0,
            cartCount: 0,
            related: false,
            islogged: false
        },
        methods: {
            containerResize: function () {
                var _self = this;
                setTimeout(function () {
                    if (_self.$scrollCon.height() != _self.cHeight) {
                        _self.vScroll.refresh();
                        _self.cHeight = _self.$scrollCon.height();
                    }
                    _self.containerResize();
                }, 250);
            },
            defereds: function () {
                var _self = this, imgdefereds = [];
                $('img').each(function () {
                    var dfd = $.Deferred();
                    $(this).bind('load', function () {
                        dfd.resolve();
                    }).bind('error', function () {
                        App.trace('商品/服务图片加载错误');
                        dfd.resolve();
                    });
                    if (this.complete)
                        setTimeout(function () {
                            dfd.resolve();
                        }, 1000);
                    imgdefereds.push(dfd);
                });
                $.when.apply(null, imgdefereds).done(function () {
                    if (_self.vScroll) {
                        _self.vScroll.refresh();
                    }
                    $('#m-detail-title .am-slider').flexslider({
                        directionNav: false,
                        slideshow: true,
                        pauseOnHover: true,
                        animationLoop: false,
                        start: function () {
                            if (_self.vScroll) {
                                _self.vScroll.refresh();
                            }
                        }
                    });
                });
            },
            selectService: function (event, originprice, memberprice, id, name) {
                $('#m-detail-title .m-service-item ul li').removeClass('active');
                event.target.className += ' active';
                if (originprice || memberprice) {
                    this.originprice = originprice;
                    this.memberprice = memberprice;
                }
                this.serviceSelectedId = id;
                this.serviceSelectedName = name;
            },
            addCart: function (id, _style) {
                var _self = this;
                if (App.config.token) {
                    var _opt = {
                        type: 1,
                        cateid: _self.serviceSelectedId || 0,
                        price: this.memberprice
                    };
                    App.cart.addshopcart(id, 1, _opt);
                    if (!_self.isAlreadyInCart(id, _self.serviceSelectedId)) {
                        App.ani.anicart(_style);
                    }
                } else {
                    App.login.show();
                }
            },
            isAlreadyInCart: function (id, cateId) {
                var result = false;
                var plist = App.cart.products;
                var _lg = plist.length;
                for (var k = 0; k < _lg; k++) {
                    if (plist[k].pid == id && plist[k].cateid == cateId) {
                        result = true;
                        break;
                    }
                }
                ;
                return result;
            },
            addBuyInfo: function () {
                if (App.config.token) {
                    var _self = this, shoplist = [], servicelist = [];
                    servicelist = [{
                            kindtype: 1,
                            pid: _self.id,
                            picurl: _self.previewimg,
                            count: _self.count,
                            cateid: _self.serviceSelectedId || 0,
                            price: _self.memberprice,
                            name: _self.name,
                            catename: _self.serviceSelectedName || 0
                        }];
                    App.buyInfo = {
                        shoplist: shoplist,
                        servicelist: servicelist
                    };
                    window.location.href = '#buy/border';
                } else {
                    App.login.show();
                }
            },
            share: function (content, id) {
                App.n.share.share(content, '#mall/service/' + id, 1);
            }
        },
        beforeCompile: function () {
            App.loading(true);
            var _self = this;
            App.trace('service detail-开始获取数据\uFF1A');
            App.upData({
                url: App.config.urlPath + this.cxApi + '?' + App.config.accompany,
                data: { sid: this.$options.vas },
                success: function (data) {
                    App.trace('service detail-获取数据\uFF1Asuccess');
                    if (data.state == 1) {
                        _.each(data.result, function (val, key) {
                            Vue.set(_self, key, val);
                        });
                        if (data.result.relateprolist.length > 0 || data.result.relateserlist.length > 0) {
                            _self.related = true;
                        }
                        if (data.result.relateprolist.length == 0) {
                            delete _self.relateprolist;
                        }
                        if (data.result.relateserlist.length == 0) {
                            delete _self.relateserlist;
                        }
                    } else {
                        if (data.errordes != '') {
                            App.alert(data.errordes);
                        } else {
                            App.alert(data.result.info);
                        }
                        if (data.resultcode == 404 || data.resultcode == 503) {
                            $('.am-modal').on('closed.modal.amui', function (e) {
                                window.history.back();
                            });
                        }
                    }
                    App.loading(false);
                },
                error: function () {
                    App.alert('获取数据错误');
                    App.loading(false);
                }
            });
        },
        ready: function () {
        }
    });
    return v;
});
define('tpl/m_product.html', [], function () {
    return '<div id="m-main" v-if="show" :transition="transitionName"><div class="am-g m-serch"><div class="am-u-sm-1"><a v-on:click="goBack"><i class="am-icon-cx-77"></i></a></div><div class="am-u-sm-3"></div><div class="am-u-sm-8"><a class="m-detail-wishList" v-on:click="addToWish" v-bind:class="{\'red\':iscollection}"><i class="am-icon-cx-48"></i></a> <a v-on:click.stop="share(name,id)"><i class="am-icon-cx-78"></i></a> <a href="#buy"><i class="am-icon-cx-53"></i></a> <i class="circle" v-if="islogged">{{cartCount}}</i></div></div><div class="m-detail views wrapper" id="m-detail-wrapper"><div class="mViews" id="mViews"><div id="m-detail-title" class="am-container"><div id="pdImgs" class="am-slider am-slider-default"><ul class="am-slides"><li v-for="img in imgsurl"><a><img :src="img" width="100%" class="simgs"></a></li></ul></div><div class="m-detail-pdName"><span class="product-name">{{ingredientname}} {{name}} {{model}}</span><div v-if="promotioninfo" class="promotion" id="promotion"><span class="promotionicon"><img src="assets/imgs/bg15.png"></span><span class="promotioninfo">{{promotioninfo}}</span></div></div><div class="m-detail-price"><span v-if="memberprice == originprice"><span class="price">\uFFE5{{originprice}}</span> </span><span v-else><span class="price">\uFFE5{{memberprice}}</span> <span class="oldPrice">\uFFE5{{originprice}}</span></span><div class="numedt"><span class="numedtA" v-on:click="minus" dataval="{{id}}"><i class="am-icon-cx-40"></i></span> <span class="numedtB"><input type="number" v-model="count" number v-on:blur="setCount"></span><span class="numedtC" v-on:click="add($event)" dataval="{{id}}"><i class="am-icon-cx-41"></i></span></div></div></div><div class="m-detail-description"><div class="content">{{{content}}}</div></div><div class="m-detail-basicInfo"><h2>产品参数</h2><ul><li v-if="madein"><i class="am-icon-cx-81"></i><label>产地</label><p>{{madein}}</p></li><li v-if="spec"><i class="am-icon-cx-83"></i><label>规格</label><p>{{spec}}</p></li><li v-if="description"><i class="am-icon-cx-80"></i><label class="info-lb">简介</label><p class="info">{{description}}</p></li><li v-if="stock == 0"><i class="am-icon-cx-82"></i><label>到货时间</label><p>{{waitingtime}}</p></li></ul></div><div class="m-detail-special"><h2>特别说明</h2><div class="content">{{{extracontent}}}</div></div><div v-if="related" class="m-detail-relate"><h2>搭配购买</h2><div class="relateprolist" v-if="relateprolist"><div class="m-detail-price"><p class="name">推荐商品</p></div><div v-for="p in relateprolist" class="item-select"><a href="#mall/product/{{p.id}}"><img :src="p.imgurl"> </a><a href="#mall/product/{{p.id}}">{{p.name}}</a><template v-if="p.memberprice == p.originprice"><p class="price">\uFFE5{{p.memberprice}}</p></template><template v-else><span class="price">\uFFE5{{p.memberprice}}</span> <span class="oldPrice">\uFFE5{{p.originprice}}</span></template></div></div><div class="relateserlist" v-if="relateserlist"><div class="m-detail-price"><p class="name">推荐服务</p></div><div v-for="s in relateserlist" class="item-select"><a href="#mall/service/{{s.id}}"><img :src="s.imgurl"> </a><a href="#mall/service/{{s.id}}">{{s.name}}</a><p v-if="s.price == s.maxprice" class="memberprice">\uFFE5{{s.price}}</p><p v-else class="memberprice">\uFFE5{{s.price}}-{{s.maxprice}}</p></div></div><div class="space100"></div><div class="space40"></div><div class="space40"></div></div></div></div><div id="m-cart-bar"><div class="am-g"><div class="am-u-sm-10"><a class="cart-add" v-on:click="addCart(id,\'cartroll\')">加入购物车</a></div><div class="am-u-sm-2" v-on:click="addBuyInfo"><a class="buy"><i class="am-icon-cx-79"></i></a></div></div></div></div>';
});
var App = App || {};
define('views/mall/mproduct', [
    'vue',
    'uview',
    'tpl/m_product.html',
    'store'
], function (Vue, uview, tpl, store) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'mproduct',
            cxId: '#m-main',
            cxWpid: '#m-detail-wrapper',
            cxApi: '/V2/Shop/ProductResDetails',
            cxAutoload: false,
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
                App.buyInfo = {};
            },
            cxReady: function () {
                var _self = this;
                $('#m-detail-title .am-slider').flexslider({
                    directionNav: false,
                    slideshow: true,
                    pauseOnHover: true,
                    animationLoop: false,
                    start: function () {
                        if (_self.vScroll) {
                            _self.vScroll.refresh();
                        }
                    }
                });
                if (App.config.token && App.cart.count > 0) {
                    this.islogged = true;
                }
            },
            cxCreated: function () {
                var _this = this;
                if (App.cart == null) {
                    App.cart = new cart('mycart');
                    App.cart.releasecart();
                }
                _this.cartCount = App.cart.count;
                App.cart.on('cartChange', function () {
                    _this.cartCount = App.cart.count;
                    if (App.config.token && App.cart.count > 0) {
                        _this.islogged = true;
                    }
                });
            },
            appendComplete: function () {
                this.$scrollCon = $('#mViews');
                this.cHeight = this.$scrollCon.height();
                this.containerResize();
            },
            cxRenderAfterPut: function () {
                this.defereds();
            }
        },
        cxData: {
            count: 1,
            iscollection: false,
            cHeight: 0,
            cartCount: 0,
            related: false,
            islogged: false
        },
        methods: {
            addToWish: function () {
                if (App.config.token) {
                    App.loading(true);
                    var _self = this, _c = this.iscollection, id = this.id;
                    var h_store = new store('home');
                    var local = h_store.get('indexGoods');
                    App.upData({
                        url: App.config.urlPath + '/shop/addmyfavorite?' + App.config.accompany,
                        data: {
                            pid: id,
                            type: _c ? 1 : 0
                        },
                        success: function (data) {
                            if (data.state == 1) {
                                if (local) {
                                    for (var i in local.list) {
                                        if (local.list[i].l.id == id) {
                                            h_store.set('indexGoods.list[' + i + '].l.iscollection', !_c);
                                        }
                                    }
                                }
                                _self.iscollection = _c ? false : true;
                            } else {
                                if (data.errordes != '') {
                                    App.alert(data.errordes);
                                } else {
                                    App.alert(data.result.info);
                                }
                            }
                            App.loading(false);
                        },
                        error: function () {
                            App.alert('获取数据错误');
                            App.loading(false);
                        }
                    });
                } else {
                    App.login.show();
                }
            },
            containerResize: function () {
                var _self = this;
                setTimeout(function () {
                    if (_self.$scrollCon.height() != _self.cHeight) {
                        _self.vScroll.refresh();
                        _self.cHeight = _self.$scrollCon.height();
                    }
                    _self.containerResize();
                }, 250);
            },
            defereds: function () {
                var _self = this, imgdefereds = [];
                $('img').each(function () {
                    var dfd = $.Deferred();
                    $(this).bind('load', function () {
                        dfd.resolve();
                    }).bind('error', function () {
                        App.trace('商品/服务图片加载错误');
                        dfd.resolve();
                    });
                    if (this.complete)
                        setTimeout(function () {
                            dfd.resolve();
                        }, 1000);
                    imgdefereds.push(dfd);
                });
                $.when.apply(null, imgdefereds).done(function () {
                    if (_self.vScroll) {
                        _self.vScroll.refresh();
                    }
                    $('#m-detail-title .am-slider').flexslider({
                        directionNav: false,
                        slideshow: true,
                        pauseOnHover: true,
                        animationLoop: false,
                        start: function () {
                            if (_self.vScroll) {
                                _self.vScroll.refresh();
                            }
                        }
                    });
                });
            },
            add: function (e) {
                this.count++;
                e.stopImmediatePropagation();
            },
            minus: function () {
                if (this.count > 1) {
                    this.count--;
                }
            },
            addCart: function (id, _style) {
                if (App.config.token) {
                    var _self = this;
                    var _opt = {
                        type: 0,
                        cateid: 0
                    };
                    App.cart.addshopcart(id, _self.count, _opt);
                    this.cartCount = App.cart.count;
                    App.ani.anicart(_style);
                } else {
                    App.login.show();
                }
            },
            addBuyInfo: function () {
                if (App.config.token) {
                    var _self = this, shoplist = [], servicelist = [];
                    shoplist = [{
                            kindtype: 0,
                            pid: _self.id,
                            picurl: _self.previewimg,
                            count: _self.count,
                            cateid: 0,
                            price: _self.memberprice,
                            name: _self.ingredientname + ' ' + _self.name + ' ' + _self.model
                        }];
                    App.buyInfo = {
                        shoplist: shoplist,
                        servicelist: servicelist
                    };
                    window.location.href = '#buy/border';
                } else {
                    App.login.show();
                }
            },
            share: function (content, id) {
                App.n.share.share(content, '#mall/product/' + id, 0);
            },
            setCount: function () {
                if (this.count < 1) {
                    this.count = 1;
                }
            }
        },
        beforeCompile: function () {
            App.loading(true);
            var _self = this;
            App.upData({
                url: App.config.urlPath + this.cxApi + '?' + App.config.accompany,
                data: { id: this.$options.vas },
                success: function (data) {
                    if (data.state == 1) {
                        _.each(data.result, function (val, key) {
                            Vue.set(_self, key, val);
                        });
                        if (data.result.relateprolist.length > 0 || data.result.relateserlist.length > 0) {
                            _self.related = true;
                        }
                        if (data.result.relateprolist.length == 0) {
                            delete _self.relateprolist;
                        }
                        if (data.result.relateserlist.length == 0) {
                            delete _self.relateserlist;
                        }
                    } else {
                        if (data.errordes != '') {
                            App.alert(data.errordes);
                        } else {
                            App.alert(data.result.info);
                        }
                        if (data.resultcode == 404 || data.resultcode == 503) {
                            $('.am-modal').on('closed.modal.amui', function (e) {
                                window.history.back();
                            });
                        }
                    }
                    App.loading(false);
                },
                error: function () {
                    App.alert('获取数据错误');
                    App.loading(false);
                }
            });
        }
    });
    return v;
});
define('tpl/msearch_bar.html', [], function () {
    return '<div id="msearch_bar" v-if="show" :transition="transitionName"><div id="searchfor" class="am-g m-serch"><div class="am-u-sm-2 icon"><i class="am-icon-cx-45"></i></div><div class="am-u-sm-8"><form><input id="inputSearch" type="search" value="" placeholder="请输入想要搜索的关键词" v-model="keyword" v-on:focus="showup" v-on:keydown.enter.stop.prevent="goSearch()"> <a id="closedSearchBtn" v-on:click="emptyKeyword"><i class="am-icon-times-circle"></i></a></form></div><div class="am-u-sm-2" v-on:click="goBack">取消</div></div><div id="typeselect" class="type-select"><div class="am-u-sm-6" v-bind:class="{\'active\':isService}" v-on:click="selectCate(1)">服务</div><div class="am-u-sm-6" v-bind:class="{\'active\':isMall}" v-on:click="selectCate(0)">商城</div></div><div id="searchHistory"><div class="clearsr am-g" v-if="mylist.length>0"><div class="am-u-sm-8">历史记录</div><div class="am-u-sm-4 am-text-right" v-on:click="clearmylist"><a id="clearHBtn">清除</a></div></div><div id="searchmylist" v-if="mylist.length>0"><ul class="searchHlist"><li v-for="v in mylist" class="strkword" v-on:click="goSearch(v)" dataval="{{v}}">{{v}}</li><li v-if="hasmore" class="moreBtn" v-on:click="moreHistory">查看全部</li></ul></div><div class="spaceHotTit">热门搜索</div><ul class="searchHot"><li v-for="value in hotList" class="hotkword" dataval="{{value}}" v-on:click="goSearch(value)">{{value}}</li></ul></div><div class="am-container" id="m_result"><div id="m-result-pds"><ul id="wf-main"><li v-for="s in list" track-by="$index" class="wf-cld"><div v-if="type == 1" class="m-product"><a class="pdimg" href="#mall/service/{{s.id}}"><img :src="s.imgurl"></a><a href="#mall/service/{{s.id}}" class="pdname">{{s.name}}</a> <span v-if="s.minmemberprice == s.maxmemberprice" class="memberprice">\uFFE5{{s.minmemberprice}}</span> <span v-else class="memberprice">\uFFE5{{s.minmemberprice}}-{{s.maxmemberprice}}</span> <a v-if="s.count" class="wishList" href=""><i class="am-icon-cx-75"></i> {{s.count}}</a></div><div v-else class="m-product"><a class="pdimg" href="#mall/product/{{s.id}}"><img :src="s.imgurl"></a><a href="#mall/product/{{s.id}}" class="pdname">{{s.name}}</a> <span v-if="s.memberprice != s.originprice" class="memberprice">\uFFE5{{s.memberprice}}</span> <span v-else class="memberprice">\uFFE5{{s.originprice}}</span> <span v-if="s.memberprice != s.originprice" class="marketprice">\uFFE5{{s.originprice}}</span></div></li></ul></div><div class="nolist" v-if="noList"><i class="am-icon-cx-45"></i><p>没有搜索到相关信息</p></div><div class="space100"></div><div class="space40"></div></div></div>';
});
define('search', ['store'], function (store) {
    var cart = store.extend({
        keywords: [],
        init: function () {
            if (this.get('list')) {
                this.keywords = this.get('list');
            } else {
                this.set('list', this.keywords);
            }
        },
        add: function (_keyword) {
            if (_keyword != '') {
                for (var key in this.keywords) {
                    if (this.keywords[key] == _keyword) {
                        this.keywords.splice(key, 1);
                    }
                }
                this.keywords.push(_keyword);
                this.set('list', this.keywords);
            }
        },
        delAll: function () {
            this.keywords = [];
            this.set('list', this.keywords);
        }
    });
    return cart;
});
var App = App || {};
define('views/mall/msearch', [
    'uview',
    'tpl/msearch_bar.html',
    'search'
], function (uview, tpl, ndbSearch) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'msearchbar',
            cxId: '#msearch_bar',
            cxWpid: '#m_result',
            cxApi: '/v2/shop/search',
            cxAutoload: false,
            cxAutoShow: true,
            cxInit: function () {
            },
            cxReady: function () {
                var _keyArr = _.clone(this.ndbSearch.keywords).reverse();
                var keywordsArr = [];
                for (var k in _keyArr) {
                    if (k < this.klg) {
                        keywordsArr.push(_keyArr[k]);
                    }
                }
                this.mylist = keywordsArr;
                if (_keyArr.length <= this.klg) {
                    this.hasmore = false;
                }
            },
            cxNextTick: function () {
                this.defereds();
            },
            appendComplete: function () {
                var lastOne = App.lastOne;
                if (lastOne && lastOne.type >= 0 && lastOne.key) {
                    this.type = lastOne.type;
                    this.keyword = lastOne.key;
                    if (lastOne.type == 1) {
                        this.isService = true;
                        this.isMall = false;
                    } else {
                        this.isService = false;
                        this.isMall = true;
                    }
                    this.type = lastOne.type;
                    this.goSearch(lastOne.key);
                    App.lastOne = {};
                } else {
                    $('#inputSearch').focus();
                }
            }
        },
        cxData: {
            mylist: [],
            ndbSearch: new ndbSearch('mysearch'),
            klg: 3,
            list: [],
            noList: false,
            isService: true,
            isMall: false,
            type: 1,
            hotList: [],
            hasmore: true
        },
        methods: {
            selectCate: function (type) {
                this.type = type;
                if (type) {
                    this.isService = true;
                    this.isMall = false;
                } else {
                    this.isService = false;
                    this.isMall = true;
                }
                if (this.keyword) {
                    this.goSearch();
                }
            },
            moreHistory: function (e) {
                this.getMylist(10);
                this.hasmore = false;
            },
            getMylist: function (length) {
                var _keyArr = _.clone(this.ndbSearch.keywords).reverse();
                var keywordsArr = [];
                var len = _keyArr.length < length ? _keyArr.length : length;
                for (var i = 0; i < len; i++) {
                    keywordsArr.push(_keyArr[i]);
                }
                this.mylist = keywordsArr;
                if (_keyArr.length <= length) {
                    this.hasmore = false;
                } else {
                    this.hasmore = true;
                }
            },
            clearmylist: function () {
                this.ndbSearch.delAll();
                this.mylist = this.ndbSearch.keywords;
                this.hasmore = false;
            },
            goSearch: function (_keyword) {
                var _self = this;
                document.activeElement.blur();
                if (_keyword) {
                    this.keyword = _keyword;
                } else if (!_keyword && this.keyword) {
                    var _keyword = this.keyword;
                } else {
                    App.alert('请先输入关键词!');
                    return false;
                }
                this.ndbSearch.add(_keyword);
                this.loadData(function () {
                    if (_self.cxAllPage == 0) {
                        _self.noList = true;
                    } else {
                        _self.noList = false;
                    }
                    App.lastOne = {
                        type: _self.type,
                        key: _keyword
                    };
                }, {
                    type: this.type,
                    key: _keyword
                });
                this.closeup();
                this.getMylist(3);
            },
            showup: function () {
                $('#msearch_bar').addClass('act');
                $('#searchHistory').fadeIn('slow');
            },
            emptyKeyword: function () {
                this.keyword = '';
                this.showup();
            },
            closeup: function () {
                $('#msearch_bar').removeClass('act');
                $('#searchHistory').fadeOut('hide');
            },
            getHotWords: function () {
                var _self = this;
                var _url = App.config.urlPath + '/shop/hotsearch?' + App.config.accompany;
                App.upData({
                    url: _url,
                    success: function (data) {
                        if (data.state == 1) {
                            _self.hotList = data.result.list;
                        } else {
                            App.alert(data.errordes);
                        }
                    }
                });
            },
            defereds: function () {
                var _self = this, imgdefereds = [];
                $('.pdimg img').each(function () {
                    var dfd = $.Deferred();
                    $(this).bind('load', function () {
                        dfd.resolve();
                    }).bind('error', function () {
                        App.trace('商品/服务图片加载错误');
                        dfd.resolve();
                    });
                    if (this.complete)
                        setTimeout(function () {
                            dfd.resolve();
                        }, 1000);
                    imgdefereds.push(dfd);
                });
                $.when.apply(null, imgdefereds).done(function () {
                    _self.myWF = new App.WaterFall({
                        'container': 'wf-main',
                        'colWidth': '48',
                        'colWidthUnit': '%'
                    });
                    if (_self.vScroll) {
                        _self.vScroll.refresh();
                    }
                    $('#m-result-pds ul>li').css('opacity', 1);
                });
            }
        },
        beforeCompile: function () {
            this.getHotWords();
        }
    });
    return v;
});
var App = App || {};
define('global/animation', [''], function () {
    App.ani = {
        animationO: function (_class, _style) {
            try {
                $(_class).addClass(_style);
                $(_class)[0].addEventListener('animationend', function () {
                    $(_class).removeClass(_style);
                });
            } catch (err) {
            }
        },
        animationT: function (_class, _style) {
            if (!$(_class).hasClass(_style)) {
                $(_class).addClass(_style);
            } else {
                $(_class).removeClass(_style);
                setTimeout(function () {
                    App.ani.animationT(_class, _style);
                }, 100);
            }
            $(_class)[0].addEventListener('webkitAnimationEnd', function () {
                $(_class).removeClass(_style);
            });
        },
        animationNames: function (_style) {
            var _mc = $('<div></div>');
            $('body').append(_mc);
            _mc.addClass(_style);
            _mc[0].addEventListener('webkitAnimationEnd', function (e) {
                if (_mc.css('animation-name', 'aniTwo')) {
                    _mc[0].addEventListener('webkitAnimationEnd', function () {
                        _mc.remove();
                    });
                }
            });
        },
        anicart: function (_style) {
            var _mc = $('<div></div>');
            $('body').append(_mc);
            _mc.addClass(_style);
            _mc[0].addEventListener('webkitAnimationEnd', function (e) {
                console.log(e.target);
                _mc.remove();
            });
        }
    };
});
var App = App || {};
define('views/mall', [
    'uview',
    'tpl/mall.html',
    'views/mall/mdiscovery',
    'views/mall/mservice',
    'views/mall/mproduct',
    'views/mall/msearch',
    'global/animation'
], function (uview, tpl, discovery, service, product, search, animation) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'mall',
            cxId: '#m-discovery',
            cxChildId: '#m_discovery',
            cxAutoShow: true,
            cxInit: function () {
            },
            cxReady: function () {
                if (typeof this.$options._initPage != 'undefined') {
                    this.openChild(this.$options._initPage);
                } else {
                    this.openChild('mindex');
                }
            },
            cxCreated: function () {
            },
            cxChildPage: {
                'mindex': discovery,
                'product': product,
                'service': service,
                'search': search,
                'animation': animation
            }
        },
        cxData: { transitionName: 'cxpFade' },
        methods: {}
    });
    return v;
});
define('tpl/buy.html', [], function () {
    return '<div class="views" id="b-buy" v-if="show" :transition="transitionName"><div id="b_buy"></div></div>';
});
define('tpl/b_cart.html', [], function () {
    return '<div class="views" id="u_bcart" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="购物车"></com-utopbar><div id="bcart" class="uviews bodybg1"><ul class="cartlist"><template v-if="list"><template v-for="(index, value) in list"><li class="ui-border" v-bind:class="{ \'ui-border-red\': value.pay }"><div class="b_sp"><template v-if="value.kindtype==0"><a href="#mall/product/{{value.pid}}"><img src="{{value.picurl}}"></a></template><template v-else><a href="#mall/service/{{value.pid}}"><img src="{{value.picurl}}"></a></template><div class="pddes"><div class="pddestit"><template v-if="value.kindtype==0"><a href="#mall/product/{{value.pid}}">{{value.name}}</a></template><template v-else><a href="#mall/service/{{value.pid}}">{{value.name}}</a></template></div><div class="pddespre" v-show="value.catename.length>0">类型\uFF1A<span>{{value.catename}}</span></div><div class="pddespre">单价\uFF1A<span>\uFFE5{{value.price}}</span></div><template v-if="value.kindtype==0"><div class="pddnum"><div class="numedt ui-border"><a v-on:click="subPc(value.id,$event)" class="numedtA ui-border-r"><i class="am-icon-cx-40"></i></a> <input v-on:change="changeInput(index,$event)" class="numedtB" type="number" v-bind:value="value.count"> <a v-on:click="addPc(value.pid,value.kindtype,value.cateid,$event)" class="numedtC ui-border-l"><i class="am-icon-cx-41"></i></a></div></div></template><template v-else><div class="pddespre">数量\uFF1A<span>X{{value.count}}</span></div></template></div></div><div class="b_sp_ed ui-border-t"><a v-on:click="delPc(value.id,$event)" class="delBtn ui-border-r"><i class="am-icon-cx-32"></i> 删除 </a><a v-on:click="setPayPc(value.id,$event,index)" class="setBtn" v-bind:class="{ \'act\': value.pay }"><span class="setbuy ui-border-radius"><i class="am-icon-cx-90"></i></span> 选中</a></div></li></template></template></ul><div class="cartnone" v-show="ctempt"><i class="am-icon-cx-93"></i><h3>购物车就像人生\uFF0C不能空空荡荡</h3></div><div id="navbar_cart"><div><a href="#buy/border" @click="goBuy($event)" class="buy"><div>结算</div><div class="buy_jg">{{priceAll}}元</div></a><div v-on:click="selectPayAll" class="setAllBtn ui-border-r" v-bind:class="{ \'act\':payAll }"><span class="setbuy ui-border-radius setAllIcon"><i class="am-icon-cx-90"></i> </span>全选</div></div></div></div></div>';
});
define('cart', ['store'], function (store) {
    var cart = store.extend({
        products: [],
        count: 0,
        countPay: 0,
        priceAll: 0,
        init: function () {
            if (this.get('products')) {
                this.products = this.get('products');
                this.renCount();
            }
        },
        initDb: function (_db) {
            if (_db) {
                this.set('products', _db);
                this.products = this.get('products');
                this.renCount();
            } else {
                this.set('products', []);
            }
        },
        addshopcart: function (_pid, _count, _opt, _fun) {
            App.trace('更新购物车');
            var _this = this;
            var _url = App.config.urlPath + '/shop/addshopcart?' + App.config.accompany;
            var _vas = {
                pid: _pid,
                count: _count,
                type: 0
            };
            if (typeof _opt == 'object') {
                _vas.type = _opt.type;
                _vas.cateid = _opt.cateid;
            }
            App.upData({
                url: _url,
                data: _vas,
                success: function (data) {
                    if (data.state == 1) {
                        App.trace('更新网上购物车成功');
                        var opt = data.result;
                        var _id = data.result.id;
                        opt.pay = true;
                        _this.productEdt(_id, _count, opt);
                        _this.set('products', _this.products);
                        _this.trigger('cartChange', _this);
                        if (typeof _fun != 'undefined') {
                            _fun(data);
                        }
                    } else {
                        App.alert(data.errordes);
                    }
                }
            });
        },
        removeshopcart: function (_id, _fun) {
            App.trace('删除购物车');
            var _this = this;
            var _url = App.config.urlPath + '/shop/removeshopcart?' + App.config.accompany;
            App.upData({
                url: _url,
                data: { id: _id },
                success: function (data) {
                    if (data.state == 1) {
                        App.trace('删除购物车商品' + _id);
                        if (typeof _fun != 'undefined')
                            _fun(_this);
                    } else {
                        App.alert(data.errordes);
                    }
                }
            });
            this.productDel(_id);
            this.jisuan();
            this.set('products', this.products);
            this.trigger('cartChange', this);
            this.trigger('cartRemoveChange', this);
        },
        releasecart: function () {
            var _this = this;
            var _url = App.config.urlPath + '/v2/shop/getshopcart?' + App.config.accompany;
            App.upData({
                url: _url,
                data: { size: 1000 },
                success: function (data) {
                    if (data.state == 1) {
                        var _list = [];
                        if (data.result.list) {
                            _list = data.result.list;
                        } else {
                            _list = data.result.shoplist.list.concat(data.result.servicelist.list);
                        }
                        for (var key in _list) {
                            _list[key]['pay'] = true;
                        }
                        _this.products = _list;
                        _this.set('products', _list);
                        _this.trigger('cartChange', _this);
                    } else {
                        App.alert(data.errordes);
                    }
                }
            });
        },
        productEdt: function (_id, _count, _opt) {
            var lg = this.products.length;
            for (var k = 0; k < lg; k++) {
                if (this.products[k].id == _id) {
                    this.products[k].count = parseInt(this.products[k].count) + parseInt(_count);
                    this.jisuan();
                    return this.products;
                }
            }
            ;
            var _pd = {
                id: _id,
                count: _count
            };
            _.extend(_pd, _opt);
            this.products.push(_pd);
            this.jisuan();
            return this.products;
        },
        productDel: function (_id) {
            var lg = this.products.length;
            for (var k = 0; k < lg; k++) {
                if (this.products[k].id == _id) {
                    this.products.splice(k, 1);
                    return this.products;
                }
            }
            ;
        },
        selectPay: function (_id, _val) {
            if (typeof _id != 'undefined') {
                var lg = this.products.length;
                for (var k = 0; k < lg; k++) {
                    if (this.products[k].id == _id) {
                        this.products[k].pay = _val;
                        this.jisuan();
                        this.trigger('cartChange', this);
                        return this.products;
                    }
                }
                ;
            }
        },
        selectPayAll: function (_val) {
            var lg = this.products.length;
            for (var k = 0; k < lg; k++) {
                this.products[k].pay = _val;
            }
            ;
            this.jisuan();
            this.trigger('cartChange', this);
        },
        payAllState: function () {
            var _bol = true;
            var lg = this.products.length;
            if (lg > 0) {
                for (var k = 0; k < lg; k++) {
                    if (!this.products[k].pay) {
                        _bol = false;
                        break;
                    }
                }
                ;
            } else {
                _bol = false;
            }
            return _bol;
        },
        setProduct: function (_id, _vas) {
            if (typeof _id != 'undefined') {
                var lg = this.products.length;
                for (var k = 0; k < lg; k++) {
                    if (this.products[k].id == _id) {
                        for (var key in _vas) {
                            this.products[k][key] = _vas[k];
                        }
                        this.jisuan();
                        this.trigger('cartChange', this);
                        return this.products[k];
                    }
                }
                ;
            }
        },
        getProduct: function (_id) {
            var _pc = null;
            if (typeof _id != 'undefined') {
                var _lg = this.products.length;
                for (var k = 0; k < _lg; k++) {
                    if (this.products[k].id == _id) {
                        _pc = this.products[k];
                        break;
                    }
                }
                ;
            }
            return _pc;
        },
        jisuan: function () {
            this.priceAll = 0;
            this.countPay = 0;
            var lg = this.products.length;
            for (var k = 0; k < lg; k++) {
                if (this.products[k].pay) {
                    this.priceAll += parseInt(this.products[k].count) * parseFloat(this.products[k].price);
                    this.countPay += parseInt(this.products[k].count);
                }
            }
            this.priceAll = this.priceAll.toFixed(2);
            this.countPay = this.countPay.toFixed(2);
            App.trace(this.priceAll);
            this.renCount();
        },
        renCount: function () {
            this.count = 0;
            var lg = this.products.length;
            for (var k = 0; k < lg; k++) {
                if (this.products[k]) {
                    this.count += this.products[k].count;
                }
            }
            ;
        },
        getPayList: function () {
            var _list = {
                shoplist: [],
                servicelist: [],
                pids: [],
                types: [],
                nums: [],
                ssubids: []
            };
            var _ps = this.products;
            var _lg = _ps.length;
            for (var k = 0; k < _lg; k++) {
                if (_ps[k].pay == true) {
                    if (_ps[k].kindtype == 0) {
                        _list.shoplist.push(_ps[k]);
                    } else {
                        _list.servicelist.push(_ps[k]);
                    }
                    _list.pids.push(_ps[k].pid);
                    _list.types.push(_ps[k].kindtype);
                    _list.nums.push(_ps[k].count);
                    _list.ssubids.push(_ps[k].cateid);
                }
            }
            return _list;
        },
        cartdb: function () {
            return this.getDb();
        }
    });
    return cart;
});
var App = App || {};
define('views/buy/bcart', [
    'uview',
    'tpl/b_cart.html',
    'utopbar',
    'cart'
], function (uview, tpl, utopbar, cart) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'bcart',
            cxId: '#b-cart',
            cxWpid: '#bcart',
            cxAutoload: true,
            cxAutoShow: true,
            appendComplete: function () {
            },
            cxCreated: function () {
                this.list = [];
                if (App.cxmain.cxChildP.cxChildP) {
                    this.transitionName = 'cxpFadeLeft';
                }
                var _this = this;
                if (App.cart == null) {
                    App.cart = new cart('mycart');
                }
                App.cart.releasecart();
                App.cart.on('cartChange', function () {
                    _this.list = App.cart.products;
                    _this.priceAll = App.cart.priceAll;
                    _this.testAllPay();
                    if (_this.list.length == 0) {
                        _this.ctempt = true;
                    }
                    _this.$nextTick(_this._cxNextTick);
                });
                App.buyInfo = null;
                App.p = {};
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeRight';
                if (App.cart.products) {
                    if (App.cart.products.length == 0) {
                        this.ctempt = true;
                        this.payAll = false;
                    }
                    this.list = App.cart.products;
                    this.$nextTick(this._cxNextTick);
                }
                App.cart.jisuan();
                this.priceAll = App.cart.priceAll;
            }
        },
        cxData: {
            transitionName: 'cxpFade',
            priceAll: 0,
            payAll: true,
            ctempt: false
        },
        methods: {
            addPc: function (_pid, _type, _cateid) {
                var _opt = {
                    type: _type,
                    cateid: _cateid
                };
                App.cart.addshopcart(_pid, 1, _opt);
            },
            subPc: function (_id) {
                if (App.cart.getProduct(_id).count > 1) {
                    var _opt = {
                        type: App.cart.getProduct(_id).kindtype,
                        cateid: App.cart.getProduct(_id).cateid
                    };
                    var _pid = App.cart.getProduct(_id).pid;
                    App.cart.addshopcart(_pid, -1, _opt);
                }
            },
            setPayPc: function (_id, _evt, _sub) {
                if (App.cart.getProduct(_id).pay) {
                    App.cart.selectPay(_id, false);
                } else {
                    App.cart.selectPay(_id, true);
                }
                this.testAllPay();
            },
            delPc: function (_id) {
                App.cart.removeshopcart(_id);
            },
            testAllPay: function () {
                if (App.cart.payAllState()) {
                    this.payAll = true;
                } else {
                    this.payAll = false;
                }
            },
            selectPayAll: function () {
                if (App.cart.payAllState()) {
                    App.cart.selectPayAll(false);
                    this.payAll = false;
                } else {
                    App.cart.selectPayAll(true);
                    this.payAll = true;
                }
            },
            changeInput: function (_sub, _evt) {
                var _val = parseInt(_evt.currentTarget.value);
                if (_.isNaN(_val) || _val < 1) {
                    _val = 1;
                    _evt.currentTarget.value = _val;
                }
                var _id = this.list[_sub].id;
                var _pid = App.cart.getProduct(_id).pid;
                var _opt = {
                    type: App.cart.getProduct(_id).kindtype,
                    cateid: App.cart.getProduct(_id).cateid
                };
                var _count = App.cart.cartdb().products[_sub].count;
                var _num = _val - _count;
                if (_val > 9999) {
                    _num = 9999 - _count;
                }
                if (_num != 0) {
                    App.cart.addshopcart(_pid, _num, _opt);
                }
            },
            goBuy: function (_evt) {
                if (this.priceAll == 0) {
                    _evt.preventDefault();
                    App.alert('你还没有选择要购买的商品\uFF01', { tips: true });
                }
            }
        }
    });
    return v;
});
define('tpl/b_order.html', [], function () {
    return '<div class="views" id="u-order" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="订单结算"></com-utopbar><div class="wrapper" id="b_order"><ul id="b_oder_list"><li><h3>订单确认</h3><template v-if="shoplist.length > 0"><div class="b_odsps_tit">商品</div><div class="b_odsps_con"><template v-for="(index, value) in shoplist"><div class="b_odsp am-g ui-border-b"><div class="am-u-sm-9"><div class="img2"><img src="{{value.picurl}}"></div><div class="sp_des am-vertical-align"><span>{{value.name}}<span class="sp_des_no"> X{{value.count}}</span></span></div></div><div class="am-u-sm-3"><div class="b_odsp_pre">\uFFE5{{value.price}}</div></div></div></template></div></template><template v-if="servicelist.length > 0"><div class="b_odsps_tit">服务</div><div class="b_odsps_con"><template v-for="(index, value) in servicelist"><div class="b_odsp am-g ui-border-b"><div class="am-u-sm-9"><div class="img2"><img src="{{value.picurl}}"></div><div class="sp_des am-vertical-align"><span>{{value.name}}<span class="sp_des_no"> X{{value.count}}</span></span></div></div><div class="am-u-sm-3"><div class="b_odsp_pre">\uFFE5{{value.price}}</div></div></div></template></div></template><template v-if="promotionstr.length > 0"><div class="b_odsps_tit"><span class="impred ui-border-radius">促销</span> <span class="align-middle">{{promotionstr}}</span></div></template></li><li><h3>收货地址</h3><a href="#buy/baddr" @click="goyouhui" class="ui-border-radius jt_r" id="stAds"><div>{{recipient}} {{cellphone}}</div><div>{{fulladdress}}</div></a></li><li><h3>支付方式</h3><template v-for="val in pays"><div v-show="val.show" class="am-g b_selectItem ui-border-b setBtn" v-on:click="setPayTp(val,$event)" v-bind:class="{ \'act\': val.pay }"><div class="am-u-sm-9"><img src="assets/imgs/{{val.icon}}.png">{{val.name}}</div><div class="am-u-sm-3 b_zfxz"><a class="setpay ui-border-radius"></a></div></div></template></li><li><div class="jt_r b_yhj"><a href="#buy/byouhui" @click="goyouhui"><h3>优惠券</h3></a></div><div class="am-g b_selectItem setBtn b_yhje" v-on:click="setYouhui(val,$event)" v-bind:class="{ \'act\': youhui }"><div class="am-u-sm-9">优惠金额\uFF1A<span>{{couponamount}}元</span></div><div class="am-u-sm-3 b_zfxz"><a class="setpay ui-border-radius"></a></div></div></li><li><h3>发票</h3><div class="ui-border winput"><input type="text" v-model="invoice" placeholder="发票抬头"></div></li><li><h3>留言</h3><div class="ui-border winput"><input v-model="remarks" type="text" placeholder="如有特殊要求 请在此处备注"></div></li><li><h3>配送方式<span class="bodts" v-if="express.WOW.isuse">售后顾问会与您沟通配送时间</span></h3><template v-for="val in express"><div v-show="val.show" class="am-g b_selectItem ui-border-b" v-on:click="setExpressTp(val,$event)" v-bind:class="{ \'act\': val.isuse }"><div class="am-u-sm-9"><img src="assets/imgs/{{val.icon}}.png">{{val.name}} \uFFE5{{val.price}}</div><div class="am-u-sm-3 b_zfxz"><a class="setpay ui-border-radius"></a></div></div></template></li><li><div class="space100"></div></li></ul></div><div id="navbar_order" cxid="cx_b1" @click="upOrder"><div><h3 class="buy">确认购买</h3><div class="tongji">总计\uFF1A<span>{{payamount}}</span> 已优惠\uFF1A<span>{{disprice}}</span></div></div></div></div>';
});
var App = App || {};
define('views/buy/border', [
    'uview',
    'tpl/b_order.html',
    'utopbar',
    'cart',
    'store'
], function (uview, tpl, utopbar, cart, store) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'border',
            cxId: '#b-order',
            cxWpid: '#b_order',
            cxAutoload: true,
            cxAutoShow: true,
            cxPayVas: {},
            cxps: null,
            cxOderId: '',
            xcbInfo: null,
            appendComplete: function () {
            },
            cxCreated: function () {
                var _this = this;
                if (App.cart == null) {
                    App.cart = new cart('mycart');
                }
                if (App.buyInfo) {
                    this.cxps = App.buyInfo;
                    this.cxps.pids = _.pluck(App.buyInfo.servicelist, 'pid').concat(_.pluck(App.buyInfo.shoplist, 'pid'));
                    this.cxps.types = _.pluck(App.buyInfo.servicelist, 'kindtype').concat(_.pluck(App.buyInfo.shoplist, 'kindtype'));
                    this.cxps.nums = _.pluck(App.buyInfo.servicelist, 'count').concat(_.pluck(App.buyInfo.shoplist, 'count'));
                    this.cxps.ssubids = _.pluck(App.buyInfo.servicelist, 'cateid').concat(_.pluck(App.buyInfo.shoplist, 'cateid'));
                } else {
                    this.cxps = App.cart.getPayList();
                }
                this.servicelist = this.cxps.servicelist;
                this.shoplist = this.cxps.shoplist;
                this.recipient = App.user.info.recipient;
                this.cellphone = App.user.info.phone;
                this.fulladdress = App.user.info.fulladdress;
                this.cxPayVas.pids = this.cxps.pids.join();
                this.cxPayVas.types = this.cxps.types.join();
                this.cxPayVas.nums = this.cxps.nums.join();
                this.cxPayVas.ssubids = this.cxps.ssubids.join();
                this.cxPayVas.addressid = App.user.info.addressid;
                this.cxPayVas.cpnum = '';
                this.cxPayVas.expressname = '';
                this.cxPayVas.paytype = 0;
                this.cxPayVas.device = 'ios';
                this.cxPayVas.remarks = '';
                this.cxPayVas.isfirster = 0;
                if (App.cxmain.cxChildP.cxChildP) {
                    var _cpName = App.cxmain.cxChildP.cxChildP.cxName;
                    if (_cpName == 'byouhui' || _cpName == 'baddr') {
                        this.transitionName = 'cxpFadeLeft';
                        if (typeof App.p.cpnum != 'undefined') {
                            this.cxPayVas.cpnum = App.p.cpnum;
                            this.couponnum = App.p.cpnum;
                            this.cxPayVas.isfirster++;
                        }
                    }
                }
                if (App.p.address) {
                    this.cxPayVas.addressid = App.p.address.id;
                    this.recipient = App.p.address.name;
                    this.cellphone = App.p.address.cellphone;
                    this.fulladdress = App.p.address.province + App.p.address.city + App.p.address.region + App.p.address.street + App.p.address.room;
                }
                for (var k in this.pays) {
                    this.pays[k].show = false;
                }
                for (var j in this.express) {
                    this.express[j].isuse = false;
                }
                if (this.cxPayVas.addressid != 0) {
                    this.payReview();
                }
                ;
                if (App.p.invoic)
                    this.invoice = App.p.invoic;
                if (App.p.remarks)
                    this.remarks = App.p.remarks;
                this.$watch('invoice', function () {
                    App.p.invoic = _this.invoice;
                });
                this.$watch('remarks', function () {
                    App.p.remarks = _this.remarks;
                });
            },
            cxNextTick: function () {
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            payamount: 0,
            couponamount: 0,
            disprice: 0,
            promotionstr: [],
            servicelist: [],
            shoplist: [],
            recipient: '',
            cellphone: '',
            fulladdress: '',
            couponname: '',
            reccoupnum: '',
            couponnum: '',
            invoice: '',
            remarks: '',
            youhui: false,
            pays: {
                ALIPAY: {
                    name: '支付宝',
                    icon: 'ico01',
                    payid: 1,
                    pay: false,
                    show: false
                },
                WXPAY: {
                    name: '微信支付',
                    icon: 'ico02',
                    payid: 2,
                    pay: false,
                    show: false
                },
                DELIVERY: {
                    name: '货到付款',
                    icon: 'ico03',
                    payid: 3,
                    pay: false,
                    show: false
                }
            },
            express: {
                WOW: {
                    key: 'WOW',
                    name: '望厨',
                    icon: 'ico04',
                    id: 1,
                    isuse: false,
                    price: 0,
                    show: false
                },
                SF: {
                    key: 'SF',
                    name: '顺丰配送',
                    icon: 'ico05',
                    id: 2,
                    isuse: false,
                    price: 0,
                    show: false
                }
            }
        },
        methods: {
            goyouhui: function () {
                this.transitionName = 'cxpFadeRight';
            },
            setPayTp: function (_val, _evt) {
                for (var val in this.pays) {
                    this.pays[val].pay = false;
                }
                ;
                _val.pay = true;
                this.cxPayVas.paytype = _val.payid;
                this.expressReview();
            },
            setExpressTp: function (_val, _evt) {
                for (var val in this.express) {
                    this.express[val].isuse = false;
                }
                ;
                _val.isuse = true;
                this.cxPayVas.expressname = _val.key;
                this.orderReview();
            },
            setYouhui: function () {
                if (this.youhui) {
                    this.youhui = false;
                    this.cxPayVas.cpnum = '';
                } else {
                    if (this.couponnum == '' && this.reccoupnum != '') {
                        this.couponnum = this.reccoupnum;
                    }
                    if (this.cxPayVas.cpnum != '' && this.cxPayVas.cpnum != null) {
                        this.youhui = true;
                    }
                }
                this.orderReview();
            },
            orderReview: function () {
                App.loading(true);
                var _this = this;
                App.upData({
                    url: App.config.urlPath + '/v2/shop/OrderReview?' + App.config.accompany,
                    data: this.cxPayVas,
                    success: function (data) {
                        _this.cxPayVas.isfirster++;
                        App.loading(false);
                        if (data.state == 1) {
                            var _res = data.result;
                            _this.couponamount = _res.couponamount;
                            _this.promotionstr = _res.promotionstr;
                            _this.couponnum = _res.couponnum;
                            _this.reccoupnum = _res.reccoupnum;
                            _this.payamount = _res.payamount;
                            _this.disprice = _res.disprice;
                            if (_res.couponnum != null && _res.couponnum != '') {
                                _this.youhui = true;
                            }
                            _this.cxPayVas.cpnum = _this.couponnum;
                            _this.$nextTick(_this._cxNextTick);
                        } else {
                            App.alert(data.errordes);
                        }
                    }
                });
            },
            payReview: function () {
                App.loading(true);
                var _this = this;
                App.upData({
                    url: App.config.urlPath + '/v2/shop/PayReview?' + App.config.accompany,
                    data: {
                        addressid: this.cxPayVas.addressid,
                        pids: this.cxPayVas.pids,
                        types: this.cxPayVas.types
                    },
                    success: function (data) {
                        App.loading(false);
                        if (data.state == 1) {
                            var _res = data.result;
                            var _i = 0;
                            var _lg = _res.list.length;
                            for (var kp = 0; kp < _lg; kp++) {
                                _this.pays[_res.list[kp].payname].show = true;
                                _this.pays[_res.list[kp].payname].payid = _res.list[kp].payid;
                                if (_i == 0) {
                                    _this.pays[_res.list[kp].payname].pay = true;
                                    _this.cxPayVas.paytype = _res.list[kp].payid;
                                    _i++;
                                } else {
                                    _this.pays[_res.list[kp].payname].pay = false;
                                }
                            }
                            _this.expressReview();
                        } else {
                            App.alert(data.errordes);
                        }
                    }
                });
            },
            expressReview: function () {
                App.loading(true);
                var _this = this;
                App.upData({
                    url: App.config.urlPath + '/v2/shop/ExpressReview?' + App.config.accompany,
                    data: this.cxPayVas,
                    success: function (data) {
                        App.loading(false);
                        if (data.state == 1) {
                            var _res = data.result;
                            var _i = 0;
                            var _set = false;
                            for (var ke in _res.list) {
                                _this.express[_res.list[ke].expressname].show = _res.list[ke].isuse;
                                _this.express[_res.list[ke].expressname].id = _res.list[ke].id;
                                _this.express[_res.list[ke].expressname].price = _res.list[ke].price;
                                if (_res.list[ke].isuse && !_set) {
                                    _this.express[_res.list[ke].expressname].isuse = true;
                                    _this.cxPayVas.expressname = _res.list[ke].expressname;
                                    _set = true;
                                    _this.orderReview();
                                } else {
                                    _this.express[_res.list[ke].expressname].isuse = false;
                                }
                                _this.$nextTick(_this._cxNextTick);
                            }
                        } else {
                            App.alert(data.errordes);
                        }
                    }
                });
            },
            upOrder: function () {
                this.cxPayVas.remarks = this.remarks;
                this.cxPayVas.invoice = this.invoice;
                App.loading(true);
                var _this = this;
                App.upData({
                    url: App.config.urlPath + '/v2/shop/SubmitOrder?' + App.config.accompany,
                    data: this.cxPayVas,
                    success: function (data) {
                        if (data.state == 1) {
                            App.p = {};
                            _this.cxOderId = data.result.ordernum;
                            App.trace(data.result.paymethod + ':' + data.result.ordernum);
                            App.trace(data.result.url);
                            if (data.result.paymethod != 3) {
                                if (App.n.pay) {
                                    var _pty = 'alipay';
                                    if (data.result.paymethod == 2)
                                        _pty = 'wxpay';
                                    App.n.pay.request(data.result.url, _pty, function (result) {
                                        window.location.href = '#ucenter';
                                        setTimeout(function () {
                                            window.location.href = '#ucenter/uordermx/' + data.result.ordernum;
                                        }, 600);
                                    }, function (error) {
                                        App.trace('支付失败\uFF1A' + error.code);
                                        App.alert('您的付款未完成', {
                                            closed: function () {
                                                window.location.href = '#ucenter';
                                                setTimeout(function () {
                                                    window.location.href = '#ucenter/uorder/2';
                                                }, 600);
                                            }
                                        });
                                        App.pushMsg(1);
                                    });
                                    App.cart.releasecart();
                                } else {
                                    App.alert('跳转支付中...');
                                    App.loading(false);
                                    window.location.href = data.result.url;
                                }
                            } else {
                                window.location.href = '#ucenter';
                                setTimeout(function () {
                                    window.location.href = '#ucenter/uordermx/' + data.result.ordernum;
                                }, 600);
                            }
                        } else {
                            App.loading(false);
                            App.alert(data.errordes);
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/b_setyouhui.html', [], function () {
    return '<div class="views" id="b_youhui" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="选择优惠券"></com-utopbar><div id="byouhui" class="uviews bodybg1"><ul id="u_youhuiset_list"><template v-for="(index, value) in list"><li class="ui-border" v-bind:class="{\'act\': value.act}" @click="takeUp(index,$event)"><div class="am-g"><div class="am-u-sm-11"><div class="yhp"><template v-if="value.type == 2"><div class="yhprice">{{value.discount}}<span>折</span></div></template><template v-else><div class="yhprice">{{value.amount}}<span>元</span></div></template></div><div class="yht"><div class="yhtitle">{{value.name}}</div><div class="yhtitle">{{value.info}}</div></div></div><div class="am-u-sm-1"><a class="ckbox ui-border-radius"></a></div></div><div class="yhtime">{{value.starttime}} 至 {{value.endtime}}</div></li></template></ul></div></div>';
});
var App = App || {};
define('views/buy/byouhui', [
    'uview',
    'tpl/b_setyouhui.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'byouhui',
            cxId: '#b-youhui',
            cxWpid: '#byouhui',
            cxApi: '/v2/shop/OrderCoupons',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
            },
            cxCreated: function () {
                if (App.buyInfo) {
                    this.cxps = App.buyInfo;
                    this.cxps.pids = _.pluck(App.buyInfo.servicelist, 'pid').concat(_.pluck(App.buyInfo.shoplist, 'pid'));
                    this.cxps.types = _.pluck(App.buyInfo.servicelist, 'kindtype').concat(_.pluck(App.buyInfo.shoplist, 'kindtype'));
                    this.cxps.nums = _.pluck(App.buyInfo.servicelist, 'count').concat(_.pluck(App.buyInfo.shoplist, 'count'));
                    this.cxps.ssubids = _.pluck(App.buyInfo.servicelist, 'cateid').concat(_.pluck(App.buyInfo.shoplist, 'cateid'));
                } else {
                    this.cxps = App.cart.getPayList();
                }
                this.cxVas.pids = this.cxps.pids.join();
                this.cxVas.types = this.cxps.types.join();
                this.cxVas.nums = this.cxps.nums.join();
                this.cxVas.ssubids = this.cxps.ssubids.join();
                this.cxVas.addressid = App.user.info.addressid;
            },
            cxReady: function () {
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            numb: ''
        },
        methods: {
            takeUp: function (_sub, _evt) {
                this.list[_sub].act = true;
                App.p.cpnum = this.list[_sub].number;
                window.history.back();
            }
        }
    });
    return v;
});
define('tpl/b_setaddr.html', [], function () {
    return '<div class="views" id="b_addr" v-if="show" :transition="transitionName"><com-utopbar2 v-ref:utopbar title="选择收货地址" btname="管理" v-on:btn-evt="upData"></com-utopbar2><div id="u_address_set" class="uviews bodybg1"><div class="u_address_cont"><ul id="u_adressset_list"><template v-for="(index, value) in list"><li class="ui-border" v-bind:class="{\'act\': value.id==addrid}" @click="takeUp(index,$event)"><div class="am-g"><div class="am-u-sm-11"><div class="peopho"><span class="addpeo">{{value.name}}</span> <span>{{value.cellphone}}</span></div><div class="addre">{{value.province+value.city+value.region+value.street+value.room}}</div></div><div class="am-u-sm-1"><a class="ckbox ui-border-radius"></a></div></div></li></template></ul></div></div></div>';
});
define('tpl/bar_t2.html', [], function () {
    return '<div class="am-g ui-border-b" id="uheadtop"><div class="am-u-sm-2 head-left"><a id="backBtn" v-on:click="goBack"><i class="am-icon-cx-77"></i></a></div><div class="am-u-sm-8 utopTit">{{title}}</div><div class="am-u-sm-2 head-right"><a id="saveBtn" v-on:click="saveData">{{btname}}</a></div></div>';
});
var App = App || {};
define('utopbar2', [
    'vue',
    'tpl/bar_t2.html'
], function (Vue, tpl) {
    var v = Vue.extend({
        props: [
            'title',
            'btname'
        ],
        template: tpl,
        ready: function () {
        },
        methods: {
            goBack: function () {
                if (window.history.length > 1) {
                    window.history.back();
                } else {
                    window.location.href = '#home';
                }
            },
            saveData: function () {
                this.$dispatch('btn-evt', this);
            }
        }
    });
    return v;
});
var App = App || {};
define('views/buy/baddr', [
    'uview',
    'tpl/b_setaddr.html',
    'utopbar2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar2': utopbar },
        objectExtend: {
            cxName: 'baddr',
            cxId: '#b-addr',
            cxWpid: '#u_address_set',
            cxApi: '/user/myaddress',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
            },
            cxCreated: function () {
                if (App.p.address) {
                    this.addrid = App.p.address.id;
                }
            },
            cxReady: function () {
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            addrid: ''
        },
        methods: {
            takeUp: function (_sub, _evt) {
                this.list[_sub].act = true;
                App.p.address = this.list[_sub];
                window.history.back();
            },
            upData: function () {
                window.location.href = '#ucenter/uaddr';
            }
        }
    });
    return v;
});
var App = App || {};
define('views/buy', [
    'uview',
    'tpl/buy.html',
    'views/buy/bcart',
    'views/buy/border',
    'views/buy/byouhui',
    'views/buy/baddr'
], function (uview, tpl, bcart, border, byouhui, baddr) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'buy',
            cxId: '#b-buy',
            cxChildId: '#b_buy',
            cxAutoShow: true,
            cxChildPage: {
                'bcart': bcart,
                'border': border,
                'byouhui': byouhui,
                'baddr': baddr
            },
            cxReady: function () {
                App.footbar(false);
                if (typeof this.$options._initPage != 'undefined') {
                    this.openChild(this.$options._initPage);
                } else {
                    this.openChild('bcart');
                }
            }
        },
        methods: {
            opentest: function () {
                console.log('opentest');
            },
            logBtnB: function (evt) {
                console.log('logBtnB');
            }
        }
    });
    return v;
});
define('tpl/ucenter.html', [], function () {
    return '<div class="views" id="u-center" v-if="show" :transition="transitionName"><div id="u_center"></div></div>';
});
define('tpl/u_index.html', [], function () {
    return '<div class="wrapper2" id="u_index" v-if="show" :transition="transitionName"><div class="am-container mViews bodybg1" id="u_main"><div id="u_top"><div class="am-g uheadt"><div class="am-u-sm-2 head-left"><a @click="testLogin($event)" id="setbtni" href="#ucenter/uset"><i class="am-icon-cx-36"></i></a></div><div class="am-u-sm-8"></div><div class="am-u-sm-2 head-right"><a @click="testLogin($event)" id="setbtni2" href="#ucenter/umsg"><i class="am-icon-cx-46"></i> <span class="None act" v-bind:class="{ \'cxdot\': new}"></span></a></div></div><div class="u_con"><div class="u_head"><span id="uImg" @click="goPage" class="u_img" data-val="uset"><img class="am-circle" :src="avatar" title="uc" alt="头像"></span></div><div @click="goPage" class="u_name">{{nickname}}</div></div></div><div id="u_main_mu"><ul class="doc-icon-list cx-list"><li class="clear-border-top ui-border-b"><a @click="testLogin($event)" href="#ucenter/uorder"><span class="widget-name">我的订单</span></a></li></ul><ul class="am-avg-sm-3 myodbtn"><li><a @click="testLogin($event)" href="#ucenter/uorder/2" class="ui-border-r"><i class="am-icon-cx-59"></i> <span>待付款</span> <span class="cxdot" v-show="wcount > 0">{{wcount}}</span></a></li><li><a @click="testLogin($event)" href="#ucenter/uorder/3" class="ui-border-r"><i class="am-icon-cx-60"></i> <span>进行中</span> <span class="cxdot" v-show="pcount > 0">{{pcount}}</span></a></li><li><a @click="testLogin($event)" href="#ucenter/uorder/4" class="ui-border-r"><i class="am-icon-cx-61"></i> <span>已完成</span></a></li></ul><template v-if="isGcs"><div class="space40"></div><ul class="doc-icon-list cx-list"><li class=""><a @click="testLogin($event)" href="#ucenter/uwork"><i class="am-icon-cx-14"></i> <span class="widget-name">工作单</span></a></li></ul></template><div class="space40"></div><ul class="doc-icon-list cx-list"><li class="ui-border-b clear-border-top"><a @click="testLogin($event)" href="#ucenter/uwish"><i class="am-icon-cx-47"></i> <span class="widget-name">心愿单</span></a></li><li class="ui-border-b"><a @click="testLogin($event)" href="#ucenter/uyouhui"><i class="am-icon-cx-63"></i> <span class="widget-name">优惠券</span></a></li><li class=""><a @click="testLogin($event)" href="#ucenter/ureportList"><i class="am-icon-cx-64"></i> <span class="widget-name">服务报告</span></a></li></ul><div class="space40"></div><ul class="doc-icon-list cx-list"><li class="ui-border-b"><a @click="testLogin($event)" href="#ucenter/udevice"><i class="am-icon-cx-65"></i> <span class="widget-name">设备管理</span></a></li><li class=""><a @click="testLogin($event)" href="#ucenter/uaddr"><i class="am-icon-cx-66"></i> <span class="widget-name">收货地址管理</span></a></li></ul><div class="space40"></div><ul class="doc-icon-list cx-list"><li class="ui-border-b"><a @click="testLogin($event)" href="#ucenter/ubdacc"><i class="am-icon-cx-70"></i> <span class="widget-name">绑定账号</span></a></li><li class="ui-border-b" data-val="ucs"><a @click="telphone(tel)"><i class="am-icon-cx-71"></i> <span class="widget-name">联系客服</span></a></li><li class=""><a href="#ucenter/ufeedback"><i class="am-icon-cx-72"></i> <span class="widget-name">意见反馈</span></a></li></ul><div class="space40"></div><div class="space40"></div><div class="space40"></div></div></div></div>';
});
var App = App || {};
define('views/ucenter/uindex', [
    'uview',
    'tpl/u_index.html'
], function (uview, tpl) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'uindex',
            cxId: '#u_index',
            cxWpid: '#u_index',
            cxAutoload: true,
            cxAutoShow: true,
            cxPagesize: 20,
            cxInit: function () {
                App.footbar(true);
            },
            cxReady: function () {
            },
            cxCreated: function () {
                var _this = this;
                if (App.user.notice) {
                    if (App.user.notice.messagecount > 0) {
                        this.new = true;
                    }
                    this.wcount = App.user.notice.waitingcount;
                    this.pcount = App.user.notice.processingcount;
                }
                if (App.cxmain.cxChildP.cxChildP) {
                    this.transitionName = 'cxpFadeLeft';
                }
                if (App.user.info) {
                    if (App.user.info.avatar != '')
                        this.avatar = App.user.info.avatar;
                    this.nickname = App.user.info.nickname;
                    this.gender = App.user.info.gender;
                    if (App.user.info.isGcs == 1) {
                        this.isGcs = true;
                    }
                }
                App.user.relnotice(function () {
                    _this.wcount = App.user.notice.waitingcount;
                    _this.pcount = App.user.notice.processingcount;
                    if (App.user.notice.messagecount > 0) {
                        _this.new = true;
                    }
                });
                if (App.about) {
                    this.tel = App.about.tel;
                }
            },
            appendComplete: function () {
                this.transitionName = 'cxpFadeRight';
            },
            removeComplete: function () {
            }
        },
        cxData: {
            transitionName: 'cxpFade',
            avatar: 'assets/imgs/uimg.png',
            nickname: '登录/注册',
            new: false,
            wcount: 0,
            pcount: 0,
            tel: false,
            isGcs: false
        },
        methods: {
            logOut: function () {
                App.logout();
            },
            showLogin: function () {
                App.login.show();
            },
            testLogin: function (evt) {
                if (App.config.token == '') {
                    evt.preventDefault();
                    App.login.show();
                    return false;
                }
            },
            goPage: function (_val, _evt) {
                if (App.config.token == '') {
                    App.login.show();
                } else {
                    window.location.href = '#ucenter/uset';
                }
            },
            telphone: function (_val) {
                App.callPhone(_val);
            }
        }
    });
    return v;
});
define('tpl/u_set.html', [], function () {
    return '<div class="am-container" id="uset" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="设置"></com-utopbar><div class="uviews bodybg1" id="u_set"><ul class="doc-icon-list cx-list mu-list ui-border-t"><li class="ui-border-b clear-border-top"><a href="#ucenter/usetHd" @click="goPage"><span>头像</span> <span class="uimg fRight"><img :src="avatar" id="uhdImg"></span></a></li><li class="ui-border-t ui-border-b"><a href="#ucenter/"><span>昵称</span> <span class="fRight"><input type="text" v-model="nickname" placeholder="修改昵称"></span></a></li><li class="ui-border-t ui-border-b"><a data-am-modal="{target: \'#my-actions\'}"><span>性别</span> <span class="fRight"><select v-model="gender"><option value="1">男</option><option value="0">女</option></select></span></a></li><li class="ui-border-t ui-border-b" v-if="wx"><a href="#reset"><span>密码</span></a></li></ul><ul class="doc-icon-list cx-list mu-list ui-border-t" v-if="wx"><li class="ui-border-b clear-border-top"><a href="#ucenter/uabout" class="redDot" @click="goPage"><span>关于望厨</span> <span class="fRight">{{v}}</span></a></li><li class=""><a v-on:click="logOut"><span>退出</span></a></li></ul><div id="dBtn" @click="odebug"></div></div></div>';
});
var App = App || {};
define('views/ucenter/uset', [
    'uview',
    'tpl/u_set.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uset',
            cxId: '#u-set',
            cxWpid: '#u_set',
            cxAutoload: true,
            cxAutoShow: true,
            upnameTime: null,
            _it: null,
            _bk: 0,
            cxInit: function () {
            },
            cxReady: function () {
            },
            cxCreated: function () {
                this.userinfo = App.user.info;
                if (App.user.info.avatar != '')
                    this.avatar = App.user.info.avatar;
                this.nickname = App.user.info.nickname;
                this.gender = App.user.info.gender;
                this.$watch('nickname', this.unameChange);
                this.$watch('gender', this.upData);
                if (App.cxmain.cxChildP.cxChildP) {
                    var _cxName = App.cxmain.cxChildP.cxChildP.cxName;
                    if (_cxName == 'usetHd' || _cxName == 'uabout') {
                        this.transitionName = 'cxpFadeLeft';
                    }
                }
                this.wx = !App.isWeixin();
                var _this = this;
                if (App.nv) {
                    if (App.nv.iosautoupdating) {
                        _this.version = App.nv.version;
                        if (App.user.v !== _this.version) {
                            $('.redDot').append('<span class=\'cxdot\' style=\'top:32%;right:3.2rem;\'></span>');
                        }
                    }
                }
                this.v = App.user.v;
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            avatar: 'assets/imgs/uimg.png',
            nickname: '',
            gender: 1,
            userinfo: null,
            wx: true,
            version: '',
            v: ''
        },
        methods: {
            unameChange: function () {
                var _this = this;
                if (this.upnameTime) {
                    clearTimeout(this.upnameTime);
                }
                ;
                this.upnameTime = setTimeout(function () {
                    _this.upData();
                }, 500);
            },
            upData: function () {
                var _this = this;
                var _url = App.config.urlPath + '/user/setnickname?' + App.config.accompany;
                var _data = {
                    nickname: this.nickname,
                    gender: this.gender
                };
                if (App.tool.getLength(this.nickname) > 16) {
                    App.alert('名字太长啦', { tips: true });
                } else {
                    if (this.nickname != '') {
                        App.upData({
                            url: _url,
                            data: _data,
                            success: function (data) {
                                if (data.state == 1) {
                                    App.user.info.gender = _this.gender;
                                    App.user.info.nickname = _this.nickname;
                                } else {
                                    App.alert('修改错误');
                                }
                            }
                        });
                    }
                    ;
                }
            },
            logOut: function () {
                App.logout();
            },
            goPage: function () {
                this.transitionName = 'cxpFadeRight';
            },
            odebug: function () {
                var _this = this;
                this._bk++;
                if (this._it) {
                    clearTimeout(this._it);
                }
                this._it = setTimeout(function () {
                    _this._bk = 0;
                }, 1000);
                if (this._bk > 2) {
                    if (!App.debug.show) {
                        if (App.debug._init) {
                            App.debug.open();
                        } else {
                            App.debug.init();
                        }
                    } else {
                        App.debug.close();
                    }
                }
            }
        }
    });
    return v;
});
define('tpl/u_order.html', [], function () {
    return '<div class="views" id="u_order" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="我的订单"></com-utopbar><div class="uviews bodybg1" id="u_order_sc"><div class="odnav"><template v-if="isGcs==1"><ul class="am-avg-sm-2 ui-border-b"><li :class="{\'act\':sc }"><a @click="selectData(3)">进行中</a></li><li :class="{\'act\':sd }"><a @click="selectData(4)">已完成</a></li></ul></template><template v-else><ul class="am-avg-sm-4 ui-border-b"><li :class="{\'act\':sa }"><a @click="selectData(1)">全部</a></li><li :class="{\'act\':sb }"><a @click="selectData(2)">待付款</a></li><li :class="{\'act\':sc }"><a @click="selectData(3)">进行中</a></li><li :class="{\'act\':sd }"><a @click="selectData(4)">已完成</a></li></ul></template></div><div class="uviews" id="u_order_list"><ul class="u_order_item"><template v-if="list.length>0"><template v-for="(index, value) in list"><li class="u_order_splist"><div class="u_od_tb"></div><div class="u_od_con"><div class="am-g tongji ui-border-b"><template v-if="value.orderstatus==1"><div class="am-u-sm-7 od_state">{{value.orderstatuname}} <span class="odclock"><i class="am-icon-clock-o"></i> {{value.surplutime}}</span></div></template><template v-else><template v-if="isGcs==1"><div class="am-u-sm-7 workodno">订单号\uFF1A{{value.ordernumber}}</div></template><template v-else><div class="am-u-sm-7">{{value.orderstatuname}}</div></template></template><div class="am-u-sm-5 hjprice">\uFFE5{{value.payamount}}</div></div><template v-for="(i, shop) in value.listshop"><a @click="goPage" href="#ucenter/uordermx/{{value.ordernumber}}" class="sp_item ui-border-b"><div class="img"><img src="{{shop.coverimgurl}}" class="img"></div><div class="tit"><h3>{{shop.productname}}</h3><span class="spec">价格\uFF1A\uFFE5{{shop.payprice}}</span> <span class="spec">数量\uFF1A{{shop.productcount}}</span></div><div class="spstate">{{shop.statesname}}</div></a></template><template v-for="(i, service) in value.listservice"><a @click="goPage" href="#ucenter/uordermx/{{value.ordernumber}}" class="sp_item ui-border-b"><div class="img"><img src="{{service.coverimgurl}}" class="img"></div><div class="tit"><h3>{{service.servicename}}</h3><span class="spec">价格\uFF1A\uFFE5{{service.payprice}}</span></div></a></template><div class="am-g odOper"><div class="am-u-sm-12 odActBtn"><template v-for="(i, operation) in value.listoperation"><template v-if="operation.id == 1"><a @click="Aorder(index,operation,$event)" class="am-btn cx-btn red-brn ui-border">付款</a></template><template v-else><a @click="Aorder(index,operation,$event)" class="am-btn cx-btn ui-border">{{operation.orderoperationname}}</a></template></template></div></div></div></li></template></template><li class="odNone" v-if="ne"><div><i class="{{nocs}}"></i></div><div>{{notx}}</div></li></ul></div></div></div>';
});
var App = App || {};
define('views/ucenter/uorder', [
    'uview',
    'tpl/u_order.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        data: function () {
            return {
                sa: true,
                sb: false,
                sc: false,
                sd: false,
                ne: true,
                nocs: '',
                notx: ''
            };
        },
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uorder',
            cxId: '#u-order',
            cxWpid: '#u_order_list',
            cxApi: '/v2/user/CommonUserOrdeInfo',
            cxAutoload: true,
            cxAutoShow: true,
            cxVas: { type: 1 },
            cxLsnImg: 'img',
            cxInit: function () {
            },
            cxCreated: function () {
                this.cxVas.type = 1;
                if (typeof this.$options.vas != 'undefined') {
                    this.cxVas.type = parseInt(this.$options.vas);
                    if (this.cxVas.type == null)
                        this.cxVas.type = 1;
                    this.changmu(this.cxVas.type);
                }
                if (App.cxmain.cxChildP.cxChildP) {
                    var _cpName = App.cxmain.cxChildP.cxChildP.cxName;
                    if (_cpName == 'uordermx' || _cpName == 'uorderlog') {
                        this.transitionName = 'cxpFadeLeft';
                    }
                }
            },
            cxReady: function () {
            },
            cxLoadDataSuccess: function (data) {
                var _this = this;
                var lg = this.list.length;
                App.tool.IT.clearAll();
                if (lg > 0) {
                    _this.ne = false;
                    for (var i = 0; i < lg; i++) {
                        var _time = this.list[i].surplutime;
                        this.list[i].stime = parseInt(_time);
                        this.list[i].surplutime = App.tool.Ftime(_time);
                    }
                    App.tool.IT.new(function () {
                        for (var i = 0; i < lg; i++) {
                            if (_this.list[i].stime) {
                                if (_this.list[i].stime > 0) {
                                    var _time = _this.list[i].stime;
                                    _this.list[i].stime = _time - 1;
                                    _this.list[i].surplutime = App.tool.Ftime(_time);
                                }
                            }
                        }
                    }, 1000);
                } else {
                    setTimeout(function () {
                        _this.ne = true;
                        switch (_this.cxVas.type) {
                        case 1:
                            _this.notx = '暂无订单';
                            _this.nocs = 'am-icon-cx-100';
                            break;
                        case 2:
                            _this.notx = '暂无待付款订单';
                            _this.nocs = 'am-icon-cx-102';
                            break;
                        case 3:
                            _this.notx = '暂无进行中订单';
                            _this.nocs = 'am-icon-cx-103';
                            break;
                        case 4:
                            _this.notx = '暂无已完成订单';
                            _this.nocs = 'am-icon-cx-101';
                            break;
                        }
                    }, 300);
                }
            },
            cxInput: function (_val) {
                this.selectData(parseInt(_val));
            },
            cxNextTick: function () {
            }
        },
        cxData: { transitionName: 'cxpRight' },
        methods: {
            selectData: function (_val) {
                if (this.cxVas.type != _val) {
                    if (window.history) {
                        window.history.replaceState(null, null, '#ucenter/uorder/' + _val);
                    }
                    if (_val == null)
                        _val = 1;
                    this.changmu(_val);
                    this.cxVas.type = _val;
                    this.loadData();
                }
            },
            changmu: function (_val) {
                this.sa = false;
                this.sb = false;
                this.sc = false;
                this.sd = false;
                switch (_val) {
                case 1:
                    this.sa = true;
                    break;
                case 2:
                    this.sb = true;
                    break;
                case 3:
                    this.sc = true;
                    break;
                case 4:
                    this.sd = true;
                    break;
                }
            },
            Aorder: function (_sub, _operation, _evt) {
                var _aid = _operation.id;
                switch (_aid) {
                case 1:
                    this.Apay(_sub, _operation);
                    break;
                case 2:
                    this.Acancel(_sub, _operation);
                    break;
                case 4:
                    this.Aother();
                    break;
                case 7:
                    this.Adel(_sub, _operation);
                    break;
                case 5:
                    this.Alog(_sub, _operation);
                    break;
                case 6:
                    this.Abuy(_sub, _operation);
                    break;
                case 8:
                    this.Abuy(_sub, _operation);
                    break;
                case 9:
                    this.Aworkreplist(_sub, _operation);
                    break;
                case 11:
                    this.AureportList(_sub, _operation);
                    break;
                case 12:
                    this.Adevice(_sub, _operation);
                    break;
                default:
                    this.Aother(_sub, _operation);
                }
            },
            Apay: function (_sub, _oper) {
                var _this = this;
                var _url = App.config.urlPath + '/v2/pay/topay?' + App.config.accompany;
                var _vas = { ordernum: this.list[_sub].ordernumber };
                if (this.list[_sub].paymenthod == 3) {
                    this.selectPay(function (_paytype) {
                        if (_paytype != 0) {
                            _url = App.config.urlPath + '/v2/pay/deliverypay?' + App.config.accompany;
                            _vas.paytype = _paytype;
                            _this.upPay(_url, _vas);
                        }
                    });
                } else {
                    this.upPay(_url, _vas);
                }
            },
            Acancel: function (_sub, _oper) {
                var _this = this;
                App.alert('你确定要撤销此订单么?', {
                    confirm: {
                        onConfirm: function () {
                            App.upData({
                                url: _oper.url + '&' + App.config.accompany,
                                success: function (data) {
                                    if (data.state == 1) {
                                        _this.list.splice(_sub, 1);
                                    } else {
                                        App.alert(data.errordes);
                                    }
                                }
                            });
                        },
                        onCancel: function () {
                        }
                    }
                });
            },
            Aworkreplist: function (_sub, _oper) {
                window.location.href = '#ucenter/uworkreplist/' + this.list[_sub].ordernumber;
            },
            AureportList: function (_sub, _oper) {
                this.transitionName = 'cxpFadeRight';
                window.location.href = '#ucenter/ureportList/' + this.list[_sub].ordernumber;
            },
            Adel: function (_sub, _oper) {
                var _this = this;
                App.alert('确认删除么?', {
                    confirm: {
                        onConfirm: function () {
                            App.upData({
                                url: _oper.url + '&' + App.config.accompany,
                                success: function (data) {
                                    if (data.state == 1) {
                                        _this.list.splice(_sub, 1);
                                    } else {
                                        App.alert(data.errordes);
                                    }
                                }
                            });
                        }
                    }
                });
            },
            Alog: function (_sub, _oper) {
                this.transitionName = 'cxpFadeRight';
                window.location.href = '#ucenter/uorderlog/' + this.list[_sub].ordernumber;
            },
            Abuy: function (_sub, _oper) {
                App.loading(true);
                var _o = {};
                App.upData({
                    url: App.config.urlPath + '/v2/user/GetOrderBuyDetail?' + App.config.accompany,
                    data: { ordernumber: this.list[_sub].ordernumber },
                    success: function (data) {
                        App.loading(false);
                        if (data.state == 1) {
                            var _shop = data.result.shop;
                            var _service = data.result.service;
                            _.map(_shop, function (v, k, list) {
                                list[k].pay = true;
                                list[k].kindtype = 0;
                            });
                            _.map(_service, function (v, k, list) {
                                list[k].pay = true;
                                list[k].kindtype = 1;
                            });
                            _o.servicelist = _service;
                            _o.shoplist = _shop;
                            App.buyInfo = _o;
                            window.location.href = '#buy/border';
                        } else {
                            App.alert(data.errordes, { tips: true });
                        }
                    }
                });
                this.transitionName = 'cxpFadeRight';
            },
            Adevice: function (_sub, _oper) {
                this.transitionName = 'cxpFadeRight';
                window.location.href = '#ucenter/udevice/' + this.list[_sub].ordernumber;
            },
            Aother: function (_sub, _oper) {
                var _this = this;
                App.loading(true);
                App.upData({
                    url: _oper.url + '&' + App.config.accompany,
                    success: function (data) {
                        if (data.state == 1) {
                            App.loading(false);
                            _this.renData();
                        } else {
                            App.alert(data.errordes);
                        }
                    }
                });
            },
            paySuccess: function (result) {
                window.location.href = '#ucenter/uordermx/' + this.cxOderId;
            },
            payError: function (error) {
                App.alert('支付失败' + error.code);
            },
            goPage: function () {
                this.transitionName = 'cxpFadeRight';
            },
            selectPay: function (_fun) {
                var _paytype = 0;
                var _html = '<div class=\'selectPayMd\'>';
                _html += '<h3 class=\'ui-border-b\'>选择支付方式</h3>';
                _html += '<div class=\'am-g\'>';
                _html += '<div class=\'am-u-sm-6 ui-border-r\' id=\'zfbBtn\'><img src=\'assets/imgs/ico01.png\'></div>';
                _html += '<div class=\'am-u-sm-6\' id=\'wxBtn\'><img src=\'assets/imgs/ico02.png\'></div>';
                _html += '</div>';
                _html += '</div>';
                App.alert(_html, {
                    tips: true,
                    acd: false,
                    closed: function () {
                        _fun(_paytype);
                    }
                });
                $('#zfbBtn').click(function () {
                    _paytype = 1;
                    App.alert('@close');
                });
                $('#wxBtn').click(function () {
                    _paytype = 2;
                    App.alert('@close');
                });
            },
            upPay: function (_url, _vas) {
                var _this = this;
                App.loading(true);
                App.upData({
                    url: _url,
                    data: _vas,
                    success: function (data) {
                        if (data.state == 1) {
                            _this.cxOderId = data.result.ordernum;
                            App.trace(data.result.paymethod + ':' + data.result.ordernum);
                            App.trace(data.result.url);
                            if (App.n.pay) {
                                var _pty = 'alipay';
                                if (data.result.paymethod == 2)
                                    _pty = 'wxpay';
                                App.n.pay.request(data.result.url, _pty, function (result) {
                                    window.location.href = '#ucenter/uordermx/' + data.result.ordernum;
                                }, function (error) {
                                    App.trace('支付失败\uFF1A' + error.code);
                                    App.alert('您的付款未完成', {
                                        closed: function () {
                                            window.location.href = '#ucenter/uorder/2';
                                        }
                                    });
                                });
                            } else {
                                App.alert('跳转支付中...');
                                App.loading(false);
                                window.location.href = data.result.url;
                            }
                        } else {
                            App.loading(false);
                            App.alert(data.errordes);
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/u_wish.html', [], function () {
    return '<div class="views" id="u_wish" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="心愿单"></com-utopbar><div class="wrapper" id="u_uish_list"><div class="am-container"><template v-if="list"><template v-for="(index, value) in list"><div class="am-g usitem" id="wish{{value.id}}"><div class="am-u-sm-12 usitempc ui-border-b"><a class="usimg am-vertical-align am-u-sm-4" href="#mall/product/{{value.id}}"><img class="am-vertical-align-middle" :src="value.photo"></a><div class="ustit am-vertical-align am-u-sm-8"><div class="am-vertical-align-middle"><h3><a href="#mall/product/{{value.id}}">{{value.title}}</a></h3><span class="color72">\uFFE5{{value.price}}</span></div></div><a class="addCartBtn" @click="addCart(value.id)"><i class="am-icon-cx-53"></i></a></div><div class="delBtn am-vertical-align"><a class="delBtnA" v-on:click="delWish(index,value.id)">删除</a></div></div></template></template><template v-else><div style="text-align: center">你还没有任何心愿</div></template></div></div></div>';
});
var App = App || {};
define('views/ucenter/uwish', [
    'uview',
    'tpl/u_wish.html',
    'utopbar',
    'cart',
    'store'
], function (uview, tpl, utopbar, cart, store) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uwish',
            cxId: '#u-wish',
            cxWpid: '#u_uish_list',
            cxApi: '/user/mycollection',
            cxAutoload: true,
            cxAutoShow: true,
            pan_mc: {
                it: 0,
                unlock: false,
                pan: null,
                obj: null,
                x: 0,
                mvX: 0,
                mvY: 0
            },
            Hammer: null,
            cxInit: function () {
            },
            cxReady: function () {
            },
            cxCreated: function () {
                if (App.cart == null) {
                    App.cart = new cart('mycart');
                    App.cart.releasecart();
                }
            },
            appendComplete: function () {
                this.Hammer = $.AMUI.Hammer;
                var _det = this.Hammer.DIRECTION_ALL;
                $('.usitempc').on('touchstart', this.iPanStart);
            },
            cxRenderAfterPut: function () {
                $('.usitempc').off();
                $('.usitempc').on('touchstart', this.iPanStart);
            }
        },
        cxData: { transitionName: 'cxpRight' },
        methods: {
            addCart: function (_id) {
                App.loading(true);
                App.cart.addshopcart(_id, 1, { type: 0 }, function () {
                    App.loading(false);
                    App.alert('添加购物车成功', { tips: true });
                });
            },
            delWish: function (_sub, _id) {
                App.loading(true);
                var _this = this;
                var _url = App.config.urlPath + '/shop/addmyfavorite?' + App.config.accompany;
                var h_store = new store('home');
                var local = h_store.get('indexGoods');
                App.upData({
                    url: _url,
                    data: {
                        pid: _id,
                        type: 1
                    },
                    success: function (data) {
                        App.loading(false);
                        if (data.state != 1) {
                            App.alert(data.errordes);
                        } else {
                            if (local) {
                                for (var i in local.list) {
                                    if (local.list[i].l.id == _id) {
                                        h_store.set('indexGoods.list[' + i + '].l.iscollection', false);
                                    }
                                }
                            }
                            _this.list.splice(_sub, 1);
                        }
                    }
                });
            },
            iPanStart: function (evt) {
                var _this = this;
                if (this.pan_mc.pan != evt.currentTarget && this.pan_mc.pan != null) {
                    this.pan_mc.obj.removeClass('act ren');
                    this.pan_mc.obj.addClass('ren');
                    var _obj = this.pan_mc.obj;
                    var _i = setTimeout(function () {
                        _obj.css({ 'left': 0 });
                        clearTimeout(_i);
                    }, 300);
                }
                this.pan_mc.mvX = evt.originalEvent.touches[0].clientX;
                this.pan_mc.mvY = evt.originalEvent.touches[0].clientY;
                this.pan_mc.pan = evt.currentTarget;
                this.pan_mc.obj = $(evt.currentTarget);
                this.pan_mc.x = this.pan_mc.obj.offset().left;
                this.pan_mc.obj.removeClass('act ren');
                $('.usitempc').on('touchmove', this.iPanMove);
                $('.usitempc').on('touchend', this.iPanEnd);
                this.pan_mc.unlock = false;
                this.pan_mc.it = setTimeout(function () {
                    _this.pan_mc.unlock = true;
                }, 100);
            },
            iPanMove: function (evt) {
                var _mvX = evt.originalEvent.touches[0].clientX - this.pan_mc.mvX;
                var _mvY = evt.originalEvent.touches[0].clientY - this.pan_mc.mvY;
                if (Math.abs(_mvX) < Math.abs(_mvY)) {
                    clearTimeout(this.pan_mc.it);
                } else if (_mvX < -100) {
                    this.pan_mc.unlock = true;
                }
                if (this.pan_mc.unlock) {
                    var _x = this.pan_mc.x + _mvX;
                    if (_x > -150 && _x < 30) {
                        this.pan_mc.obj.offset({ left: _x });
                    }
                }
            },
            iPanEnd: function (evt) {
                var _this = this;
                if (this.pan_mc.obj.position().left < -50) {
                    this.pan_mc.obj.addClass('act');
                    var _i = setTimeout(function () {
                        _this.pan_mc.obj.css({ 'left': '-90px' });
                        clearTimeout(_i);
                    }, 300);
                } else {
                    this.pan_mc.obj.addClass('ren');
                    var _i = setTimeout(function () {
                        _this.pan_mc.obj.css({ 'left': 0 });
                        clearTimeout(_i);
                    }, 300);
                }
                $('.usitempc').off('touchmove');
                $('.usitempc').off('touchend');
            }
        }
    });
    return v;
});
define('tpl/u_youhui.html', [], function () {
    return '<div class="uviews" id="u_youhui" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="优惠券"></com-utopbar><div class="wrapper" id="u_youhui_list"><div class="am-container"><div id="u_you_form"><input type="text" v-model="numb" placeholder="请输入兑换码领取优惠券"> <a id="upBtn" class="am-btn am-btn-default xc_btn01" @click="takeUp">领取</a></div><ul id="u_youhuiset_list" v-if="list"><template v-for="(index, value) in list"><li class="ui-border" :class="{\'uAct\':value.isused,\'uOver\':value.isover}" @click="takeUp(index,$event)"><div class="am-g"><div class="am-u-sm-12"><div class="yhp"><template v-if="value.type == 2"><div class="yhprice">{{value.discount}}<span>折</span></div></template><template v-else><div class="yhprice">{{value.amount}}<span>元</span></div></template></div><div class="yht"><div class="yhtitle">{{value.name}}</div><div class="yhtitle">{{value.info}}</div></div></div></div><div class="yhtime">{{value.starttime}} 至 {{value.endtime}}</div><template v-if="value.isused"><div class="isusedTxt">已使用</div></template><template v-else><template v-if="value.isover||value.isexpired"><div class="isusedTxt">已过期</div></template></template></li></template></ul><div v-else><div style="text-align: center">你没有任何优惠券</div></div></div></div></div>';
});
var App = App || {};
define('views/ucenter/uyouhui', [
    'uview',
    'tpl/u_youhui.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uyouhui',
            cxId: '#u-youhui',
            cxWpid: '#u_youhui_list',
            cxApi: '/v2/user/mycoupon',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
            },
            cxReady: function () {
            },
            cxCreated: function () {
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            numb: ''
        },
        methods: {
            takeUp: function () {
                if (this.numb != '') {
                    var _this = this;
                    App.upData({
                        url: App.config.urlPath + '/v2/user/getnCoupon?' + App.config.accompany,
                        data: { couponnum: this.numb },
                        success: function (data) {
                            if (data.state == 1) {
                                _this.numb = '';
                                _this.renData();
                            } else {
                                if (data.errordes != '') {
                                    App.alert(data.errordes);
                                } else {
                                    App.alert(data.result.info);
                                }
                            }
                        }
                    });
                } else {
                }
            }
        }
    });
    return v;
});
define('tpl/u_msg.html', [], function () {
    return '<div class="views" id="u_msg" v-if="show" :transition="transitionName"><com-utopbar2 v-ref:utopbar title="消息" btname="编辑" v-on:btn-evt="editNotice"></com-utopbar2><div class="uviews bodybg1" id="u_msg_list"><div class="am-container"><template v-if="list"><template v-for="(index, value)  in list"><div class="usitem" id="i{{value.id}}" v-bind:class="{\'read\': value.state }"><div class="u_ms_main ui-border" v-on:click="openMore(value.id,$event,index)"><div class="usitem_con ui-border-b"><div class="usitem_con_m">{{{value.content}}}</div></div><div class="usAct"><span class="htime">{{value.date}}</span></div></div><div class="msgicon"><i class="am-icon-cx-46"></i></div><a v-show="delmsg" class="delNotice" @click="delNotice(index,value.id)"><i class="am-icon-cx-76"></i></a></div></template></template><template v-else><div style="text-align: center">你没有任何信息</div></template></div></div></div>';
});
var App = App || {};
define('views/ucenter/umsg', [
    'uview',
    'tpl/u_msg.html',
    'utopbar2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar2': utopbar },
        objectExtend: {
            cxName: 'umsg',
            cxId: '#u-msg',
            cxWpid: '#u_msg_list',
            cxApi: '/user/mymessage',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
            },
            cxReady: function () {
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            delmsg: false
        },
        methods: {
            openMore: function (_id, evt, _sub) {
                if (this.list[_sub].state == 0) {
                    var _this = this;
                    var _url = App.config.urlPath + '/user/readmessage?' + App.config.accompany;
                    App.upData({
                        url: _url,
                        data: { id: _id },
                        success: function (data) {
                            _this.list[_sub].state = 1;
                            _this.notice();
                        }
                    });
                }
                if (this.list[_sub].url != '') {
                    window.location.href = '#' + this.list[_sub].url;
                } else {
                    $('#i' + _id).toggleClass('act');
                    this.vScroll.refresh();
                }
            },
            notice: function () {
                var _new = false;
                for (var k in this.list) {
                    if (this.list[k].state == 1) {
                        _new = true;
                        App.user.notice.messagecount = 0;
                        break;
                    }
                }
                this.$refs.utopbar.new = _new;
            },
            editNotice: function () {
                if (!this.delmsg) {
                    this.$refs.utopbar.btname = '保存';
                    this.delmsg = true;
                } else {
                    this.$refs.utopbar.btname = '编辑';
                    this.delmsg = false;
                    this.renData();
                }
            },
            delNotice: function (_sub, _id) {
                App.loading(true);
                var _this = this;
                var _url = App.config.urlPath + '/v2/user/deletemessage?token=' + App.config.token;
                App.upData({
                    url: _url,
                    data: { id: _id },
                    success: function (data) {
                        App.loading(false);
                        if (data.state != 1) {
                            App.alert(data.errordes);
                        } else {
                            _this.list.splice(_sub, 1);
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/u_address.html', [], function () {
    return '<div class="views bodybg1 wrapper2" id="u_address" v-if="show" :transition="transitionName"><div class="am-container" id="adslist"><template v-for="value in list"><div class="am-g usitem"><div class="am-u-sm-10"><div class="u_adress_def"><a class="" valid="{{value.id}}"><i class="am-icon-check"></i></a></div><div class="u_adress_con"><div class="c_name">{{value.name}}</div><div class="c_tel">{{value.cellphone}}</div><div class="c_adress">{{(value.province+value.city+value.region+value.street+value.room)}}</div></div></div><div class="am-u-sm-2"><a class="ud_edit" v-on:click="editAddress($event)" valid="{{value.id}}" valname="{{value.name}}" valphone="{{value.cellphone}}" valprov="{{value.province}}" valcity="{{value.city}}" valregion="{{value.region}}" valstreet="{{value.street}}" valroom="{{value.room}}" provinceid="{{value.provinceid}}" cityid="{{value.cityid}}" regionid="{{value.regionid}}">编辑</a></div></div></template><div class="am-u-sm-10 am-u-sm-offset-1"><a type="button" id="newBtn" v-on:click="openAdd" class="am-btn am-btn-default cx-btn-sbmt am-round">新增收货地址</a></div><div class="space300"></div><div class="space40"></div></div></div><div id="childPage"></div>';
});
define('tpl/u_address_add.html', [], function () {
    return '<div class="views" id="u_address_add" v-if="show" :transition="transitionName"><div class="am-container"><div class="am-g usitem"><div class="usitemcon"><input name="name" type="text" v-model="adname" id="name" placeholder="请输入真实姓名"></div></div><div class="am-g usitem jiantou"><div class="usitemcon"><input name="cellphone" type="tel" v-model="cellphone" id="cellphone" placeholder="手机号"></div></div><div class="am-g usitem jiantou"><a id="areaPro" v-on:click="selectPro"><label>{{pro_name}}</label><i class="am-icon-cx-5"></i></a></div><div class="am-g usitem jiantou"><a id="areaCiy" v-on:click="selectCiy"><label>{{ciy_name}}</label><i class="am-icon-cx-5"></i></a></div><div class="am-g usitem jiantou"><a id="areaRegion" v-on:click="selectReg"><label>{{reg_name}}</label><i class="am-icon-cx-5"></i></a></div><div class="am-g usitem jiantou"><div class="usitemcon am-g"><div class="am-u-sm-8"><input name="street" v-model="street" type="text" id="street" placeholder="街道"></div><div class="am-u-sm-4"><input name="room" v-model="room" type="text" id="room" placeholder="房号"></div></div></div><div class="am-g" style="margin-top:2rem"><div class="am-u-sm-12"><a id="submit" v-on:click="upData" class="am-btn am-btn-default cx-btn-sbmt am-round">保存收货地址</a></div></div></div></div>';
});
define('tpl/u_modal_cty.html', [], function () {
    return '<div class="am-popup" id="modal-area"><div class="am-popup-inner"><div class="am-popup-hd">请选择</div><div class="am-popup-bd"><div class="wrapper2" id="u_adress_area"><ul class="arealist"><li data-val="0">加载中...</li></ul></div></div></div></div>';
});
var App = App || {};
define('views/ucenter/uaddressAdd', [
    'uview',
    'tpl/u_address_add.html',
    'tpl/u_modal_cty.html'
], function (uview, tpl, tpl_md) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'uaddressAdd',
            cxId: '#u-addressAdd',
            cxApi: '/user/updateaddress',
            cxAutoShow: true,
            myScroll: null,
            $modal: null,
            cxInit: function () {
                this.$modal = $(tpl_md);
                this.$modal.on('opened.modal.amui', function () {
                });
            },
            cxReady: function () {
                this.transitionName = 'cxpLeft';
            },
            cxCreated: function () {
                if (typeof this.$options.id != 'undefined') {
                    this.adname = this.$options.name;
                    this.cellphone = this.$options.cellphone;
                    this.street = this.$options.street;
                    this.room = this.$options.room;
                    this.pro_name = this.$options.valProv;
                    this.ciy_name = this.$options.valCity;
                    this.reg_name = this.$options.valRegion;
                    this.provinceid = this.$options.provinceid;
                    this.cityid = this.$options.cityid;
                    this.regionid = this.$options.regionid;
                }
            },
            appendComplete: function () {
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            provinceid: 1,
            cityid: 1,
            regionid: 1,
            adid: '',
            adname: '',
            cellphone: '',
            street: '',
            room: '',
            pro_name: '选择省',
            ciy_name: '选择市',
            reg_name: '选择县区'
        },
        methods: {
            upData: function () {
                var _vas = {
                    name: this.adname,
                    cellphone: this.cellphone,
                    provinceid: this.provinceid,
                    cityid: this.cityid,
                    regionid: this.regionid,
                    street: this.street,
                    room: this.room
                };
                if (typeof this.$options.id != 'undefined')
                    _vas.id = this.$options.id;
                var _this = this;
                App.upData({
                    url: App.config.urlPath + this.cxApi + '?' + App.config.accompany,
                    data: _vas,
                    success: function (data) {
                        if (data.state == 1) {
                            _this.cxRemove();
                            _this.cxParentP.show = true;
                            _this.cxParentP.loadData();
                        } else {
                            if (data.errordes == '') {
                                App.alert(data.result.info);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                    }
                });
            },
            selectPro: function () {
                this.openModal('/user/getprovince', '#areaPro');
            },
            selectCiy: function () {
                this.openModal('/user/getcity', '#areaCiy');
            },
            selectReg: function () {
                this.openModal('/user/getregion', '#areaRegion');
            },
            openModal: function (_api, _target) {
                $('body').append(this.$modal);
                this.$modal.modal('toggle');
                $('#u_adress_area>ul').html('<li>数据加载中...</li>');
                var _data = {
                    pid: this.provinceid,
                    cid: this.cityid
                };
                var _this = this;
                var _url = App.config.urlPath + _api + '?' + App.config.accompany;
                App.upData({
                    url: _url,
                    data: _data,
                    success: function (data) {
                        if (data.state == 1) {
                            var list = data.result.list;
                            var lg = list.length;
                            var _html = '';
                            for (var i = 0; i < lg; i++) {
                                _html += '<li data-val="' + list[i].id + '">' + list[i].name + '</li>';
                            }
                            $('#u_adress_area>ul').html(_html);
                            $('#u_adress_area li').click(function (e) {
                                switch (_target) {
                                case '#areaPro':
                                    _this.pro_name = $(e.currentTarget).text();
                                    _this.provinceid = $(e.currentTarget).attr('data-val');
                                    break;
                                case '#areaCiy':
                                    _this.ciy_name = $(e.currentTarget).text();
                                    _this.cityid = $(e.currentTarget).attr('data-val');
                                    break;
                                case '#areaRegion':
                                    _this.reg_name = $(e.currentTarget).text();
                                    _this.regionid = $(e.currentTarget).attr('data-val');
                                    break;
                                }
                                _this.$modal.modal('close');
                            });
                            _this.refreshScroll();
                        } else {
                            App.alert(data.errordes);
                        }
                    }
                });
            },
            refreshScroll: function () {
                this.myScroll = new this.iScroll('#u_adress_area', {
                    scrollbars: true,
                    mouseWheel: true,
                    interactiveScrollbars: true,
                    shrinkScrollbars: 'scale',
                    fadeScrollbars: true,
                    click: true
                });
            }
        }
    });
    return v;
});
var App = App || {};
define('views/ucenter/uaddress', [
    'uview',
    'tpl/u_address.html',
    'views/ucenter/uaddressAdd'
], function (uview, tpl, uaddressAdd) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'uaddress',
            cxId: '#u_address',
            cxWpid: '#u_address',
            cxChildId: '#childPage',
            cxApi: '/user/myaddress',
            $cxAdsList: null,
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
            },
            cxReady: function () {
                this.$cxAdsList = $('#adslist');
            },
            cxCreated: function () {
            },
            appendComplete: function () {
                this.transitionName = 'cxpRight';
                if (typeof this.$options.vas != 'undefined') {
                    console.log(this.$options.vas);
                }
            }
        },
        cxData: { transitionName: 'cxpRight' },
        methods: {
            openAdd: function () {
                this.cxRemove();
                this.loadPage(new uaddressAdd());
            },
            editAddress: function (e) {
                var vas = {};
                vas.id = $(e.currentTarget).attr('valId');
                vas.name = $(e.currentTarget).attr('valName');
                vas.cellphone = $(e.currentTarget).attr('valPhone');
                vas.street = $(e.currentTarget).attr('valStreet');
                vas.room = $(e.currentTarget).attr('valRoom');
                vas.valProv = $(e.currentTarget).attr('valProv');
                vas.valCity = $(e.currentTarget).attr('valCity');
                vas.valRegion = $(e.currentTarget).attr('valRegion');
                vas.provinceid = $(e.currentTarget).attr('provinceid');
                vas.cityid = $(e.currentTarget).attr('cityid');
                vas.regionid = $(e.currentTarget).attr('regionid');
                this.cxRemove();
                this.loadPage(new uaddressAdd(vas));
            }
        }
    });
    return v;
});
define('tpl/u_feedback.html', [], function () {
    return '<div class="views bodybg1" v-if="show" :transition="transitionName"><div class="am-container" id="u_feedback"><com-utopbar2 v-ref:utopbar title="意见反馈" btname="发送" v-on:btn-evt="upData"></com-utopbar2><form id="upFeed"><textarea maxlength="127" id="content" v-model="content" placeholder="请您留下宝贵的意见和建议\uFF08128字以内\uFF09"></textarea></form></div></div>';
});
var App = App || {};
define('views/ucenter/ufeedback', [
    'uview',
    'tpl/u_feedback.html',
    'utopbar2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar2': utopbar },
        objectExtend: {
            cxName: 'ufeedback',
            cxId: '#u-feedback',
            cxWpid: '#u_feedback',
            cxApi: '/user/feedback',
            cxAutoShow: true,
            cxInit: function () {
            },
            cxReady: function () {
            },
            cxCreated: function () {
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            content: '',
            btname: '发送'
        },
        methods: {
            upData: function () {
                console.log('upData');
                var _url = App.config.urlPath + this.cxApi + '?token=' + App.config.token;
                App.upData({
                    url: _url,
                    data: { content: this.content },
                    success: function (data) {
                        if (data.state == 1) {
                            App.alert('感谢你的反馈', {
                                closed: function () {
                                    window.history.back();
                                }
                            });
                        } else {
                            App.alert(data.errordes);
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/u_device.html', [], function () {
    return '<div class="uviews" id="u_device" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="设备管理"></com-utopbar>\r\n    <div class="wrapper" id="u_device_list">\r\n        <div class="am-container">\r\n            <template v-if="list">\r\n                <template v-for="value in list">\r\n                    <div class="device-box">\r\n                        <div class="am-g device-info">\r\n                            <div class="am-u-sm-6">\r\n                                <div class="type"><label>设备\uFF1A</label><span>{{value.devicecategoryname}}</span></div>\r\n                                <div class="type"><label>型号\uFF1A</label><span>{{value.model}}</span></div>\r\n                                <div class="time"><label>安装时间\uFF1A</label><span>{{value.installtime}}</span></div>\r\n                            </div>\r\n                            <div class="am-u-sm-6 right">\r\n                                <div class="type"><label>品牌\uFF1A</label><span>{{value.ingredientname}}</span></div>\r\n                                <div class="type"><label>类型\uFF1A</label><span>{{value.categoryname}}</span></div>\r\n                                <div class="time"><label>使用年限\uFF1A</label><span>{{value.useage}}</span></div>\r\n                            </div>\r\n                        </div>\r\n                        <div class="more-details"><a v-on:click="goinfo(value.id)">查看详情 <i class="am-icon-cx-5"></i></a></div>\r\n                    </div>\r\n                </template>\r\n            </template>\r\n        </div>\r\n    </div>\r\n    <div id="add_device"v-on:click="newDevice">添加新设备</div>\r\n</div>';
});
var App = App || {};
define('views/ucenter/udevice', [
    'uview',
    'tpl/u_device.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'udevice',
            cxId: '#u_device_list',
            cxWpid: '#u_device_list',
            cxApi: '/v2/user/UserDeviceInfo',
            cxPage: 1,
            cxPagesize: 10,
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
            },
            cxReady: function () {
            },
            cxCreated: function () {
                this.cxVas.ordernumber = '';
                if (this.$options.vas != undefined) {
                    this.cxVas.ordernumber = this.$options.vas;
                }
                if (App.cxmain.cxChildP.cxChildP) {
                    if (App.cxmain.cxChildP.cxChildP.cxName == 'uindex') {
                        this.transitionName = 'cxpRight';
                    }
                }
            }
        },
        cxData: { transitionName: 'cxpFadeLeft' },
        methods: {
            goinfo: function (id) {
                this.transitionName = 'cxpFadeRight';
                window.location.href = '#ucenter/udeviceinfo/' + id;
            },
            newDevice: function () {
                this.transitionName = 'cxpFadeRight';
                if (this.$options.vas) {
                    window.location.href = '#ucenter/udeviceAdd/' + this.$options.vas;
                } else {
                    window.location.href = '#ucenter/udeviceAdd';
                }
            }
        }
    });
    return v;
});
define('tpl/u_deviceAdd.html', [], function () {
    return '<div class="views bodybg1 wrapper2" id="u_device_add" v-if="show" :transition="transitionName">\r\n    <com-utopbar2 v-ref:utopbar title="添加设备" btname="保存" v-on:btn-evt="device_add_btn"></com-utopbar2>\r\n    <div class="wrapper" id="u_d_add">\r\n        <div>\r\n            <form>\r\n                <div class="ui-border-b">\r\n                    <div>设备</div>\r\n                    <select name="devicecategory" id="devicecategory" v-model="selected" @change="getcategory">\r\n                        <option v-for="value in device.devicecategory" v-bind:value="value.id">{{ value.name }}</option>\r\n                    </select>\r\n                    <i class="am-icon-cx-5"></i>\r\n                </div>\r\n                <div class="ui-border-b">\r\n                    <div>品牌</div>\r\n                    <select name="brands" id="ingredientid" v-model="brands">\r\n                        <option v-for="value in device.getbrands" v-bind:value="value.id">{{ value.name }}</option>\r\n                    </select>\r\n                    <i class="am-icon-cx-5"></i>\r\n                </div>\r\n\r\n                <div class="ui-border-b xinghao" v-on:click="showmy_model">\r\n                    <div>型号</div>\r\n                    <input type="text" id="mymodel">\r\n                    <i class="am-icon-cx-5"></i>\r\n                </div>\r\n                <div class="ui-border-b">\r\n                    <div>类型</div>\r\n                    <select id="category" v-model="">\r\n                        <option v-for="value in device.category" v-bind:value="value.id">{{ value.name }}</option>\r\n                    </select>\r\n                    <i class="am-icon-cx-5"></i>\r\n                </div>\r\n\r\n                <div class="ui-border-b">\r\n                    <div>安装时间</div>\r\n                    <input type="text" v-model="date" v-on:click="getdate" id="mydatesee" readonly="true" >\r\n                    <i class="am-icon-cx-5"></i>\r\n                </div>\r\n            </form>\r\n        </div>\r\n    </div>\r\n    <input type="date" min="" v-model="date" id="mydate" max=\'\' style="height:0.001px;width:0.01px">\r\n</div>';
});
var App = App || {};
define('views/ucenter/udeviceAdd', [
    'uview',
    'tpl/u_deviceAdd.html',
    'utopbar2'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar2': utopbar },
        objectExtend: {
            cxName: 'udeviceAdd',
            cxId: '',
            cxWpid: '',
            cxApi: '',
            _store: '',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
            },
            cxReady: function () {
                $('input[readonly]').focus(function () {
                    this.blur();
                });
            },
            cxCreated: function () {
                var _this = this;
                _this.device.category = '';
                App.upData({
                    url: App.config.urlPath + '/v2/user/GetNProductCategoryInfo?' + App.config.accompany,
                    data: {},
                    success: function (data) {
                        if (data.state == 1) {
                            _this.device.devicecategory = data.result.list;
                        } else {
                            if (data.errordes == '') {
                                App.alert(data.result.info);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                    }
                });
                App.upData({
                    url: App.config.urlPath + '/v2/user/getbrands?' + App.config.accompany,
                    success: function (data) {
                        if (data.state == 1) {
                            _this.device.getbrands = data.result;
                        } else {
                            if (data.errordes == '') {
                                App.alert(data.result.info);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                    }
                });
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            device: {
                devicecategory: '',
                getbrands: '',
                category: ''
            }
        },
        methods: {
            getcategory: function () {
                var _this = this;
                var id = _this.selected;
                App.upData({
                    url: App.config.urlPath + '/v2/user/GetNProductCategoryInfo?' + App.config.accompany,
                    data: { parentid: id },
                    success: function (data) {
                        if (data.state == 1) {
                            _this.device.category = data.result.list;
                        } else {
                            if (data.errordes == '') {
                                App.alert(data.result.info);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                    }
                });
            },
            showmy_model: function () {
                $('#mymodel').show().focus();
            },
            getdate: function () {
                var date = new Date(new Date().getTime() + 24 * 60 * 60 * 1000);
                var year = date.getFullYear();
                var month = date.getMonth() + 1;
                var day = date.getDate();
                if (month < 10)
                    month = '0' + month;
                if (day < 10)
                    day = '0' + month;
                var max = year + '-' + month + '-' + day;
                var min = year - 10 + '-' + month + '-' + day;
                $('#mydate').attr('min', min);
                $('#mydate').attr('max', max);
                $('#mydate').click();
                $('#mydate').focus();
            },
            device_add_btn: function () {
                App.upData({
                    url: App.config.urlPath + '/v2/user/AddDevice?' + App.config.accompany,
                    data: {
                        ordernumber: this.$options.vas,
                        devicecategory: $('#devicecategory').val() == null ? 0 : $('#devicecategory').val(),
                        ingredientid: $('#ingredientid').val() == null ? 0 : $('#ingredientid').val(),
                        model: $('#mymodel').val() == null ? 0 : $('#mymodel').val(),
                        categoryid: $('#category').val() == null ? 0 : $('#category').val(),
                        installyear: $('#mydate').val().split('-')[0],
                        installmonth: $('#mydate').val().split('-')[1]
                    },
                    success: function (data) {
                        if (data.state == 1) {
                            window.history.back();
                        } else {
                            if (data.errordes == '') {
                                App.alert(data.result.info);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/u_deviceinfo.html', [], function () {
    return '<div class="views bodybg1 wrapper2" id="u_addredit" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="设备详情"></com-utopbar>\r\n    <div class="wrapper" id="u_deviceinfo">\r\n        <div class="am-container">\r\n            <div class="info-box" id="scroll-box">\r\n                <div class="inside-box">\r\n                    <div class="am-g base ui-border-b">\r\n                        <div class="am-u-sm-6">\r\n                            <div class="type"><label>设备\uFF1A</label><span>{{devicecategoryname}}</span></div>\r\n                            <div class="type"><label>型号\uFF1A</label><span>{{model}}</span></div>\r\n                            <div class="time"><label>安装时间\uFF1A</label><span>{{installtime}}</span></div>\r\n                        </div>\r\n                        <div class="am-u-sm-6 right">\r\n                            <div class="type"><label>品牌\uFF1A</label><span>{{ingredientname}}</span></div>\r\n                            <div class="type"><label>类型\uFF1A</label><span>{{categoryname}}</span></div>\r\n                            <div class="time"><label>使用年限\uFF1A</label><span>{{useage}}</span></div>\r\n                        </div>\r\n                    </div>\r\n                    <div class="details">\r\n                        <template v-if="servicelist">\r\n                            <template v-for="value in servicelist">\r\n                                <div class="d-list">\r\n                                    <div class="cycle"></div>\r\n                                    <div class="info">\r\n                                        <div class="date">{{value.createtime}}</div>\r\n                                        <div class=""><label>服务名称\uFF1A</label><span>{{value.servicename}}</span></div>\r\n                                        <div class=""><label>服务周期\uFF1A</label><span>{{value.serviceperiod}}月</span></div>\r\n                                        <div class=""><label>服务建议\uFF1A</label><span>{{value.recommend}}</span></div>\r\n                                        <div class=""><label>备注\uFF1A</label><span>{{value.testresult}}</span></div>\r\n                                    </div>\r\n                                </div>\r\n                            </template>\r\n                        </template>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ucenter/udeviceinfo', [
    'uview',
    'tpl/u_deviceinfo.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'udeviceinfo',
            cxId: '#scroll-box',
            cxWpid: '#scroll-box',
            cxApi: '/v2/user/UserDeviceServiceInfo',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
            },
            cxReady: function () {
            },
            cxCreated: function () {
                this.cxVas.deviceId = this.$options.vas;
            }
        },
        cxData: { transitionName: 'cxpRight' },
        methods: {}
    });
    return v;
});
define('tpl/u_addr.html', [], function () {
    return '<div class="views bodybg1 wrapper2" id="u_addr" v-if="show" :transition="transitionName">\r\n    <com-utopbar v-ref:utopbar title="收货地址管理"></com-utopbar>\r\n    <div class="wrapper" id="u_addr_list">\r\n        <div class="am-container">\r\n            <template v-if="list">\r\n                <template v-for="value in list">\r\n                    <div class="addr_box" id="{{value.id}}">\r\n                        <div class="am-g addr_info">\r\n                            <a v-on:click="setlocal(value.id,value.name,value.cellphone,value.province,value.city,value.region,value.provinceid,value.cityid,value.regionid,value.street,value.room)">\r\n                                <div class="am-u-sm-6 name">{{value.name}}</div>\r\n                                <div class="am-u-sm-6 tel">{{value.cellphone}}</div>\r\n                                <div class="am-u-sm-12 address">{{value.province}} {{value.city}} {{value.region}} {{value.street}} {{value.room}}</div>\r\n                            </a>\r\n                        </div>\r\n                        <div class="select">\r\n                            <template v-if="value.isdefault">\r\n                                <a id="set{{value.id}}" class="set" v-on:click="set_default(value.id)"><span class="am-icon-cx-90 addr_active"></span>设为默认</a>\r\n                            </template>\r\n                            <template v-else>\r\n                                <a id="set{{value.id}}" class="set" v-on:click="set_default(value.id)"><span class="am-icon-cx-90"></span>设为默认</a>\r\n                            </template>\r\n                            <a class="del" v-on:click="del_addr(value.id)"><i class="am-icon-cx-32"></i></a>\r\n                        </div>\r\n                    </div>\r\n                </template>\r\n            </template>\r\n        </div>\r\n    </div>\r\n    <a v-on:click="newAddr"><div id="add_device" >添加新地址</div></a>\r\n</div>';
});
var App = App || {};
define('views/ucenter/uaddr', [
    'uview',
    'tpl/u_addr.html',
    'utopbar',
    'store'
], function (uview, tpl, utopbar, store) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uaddr',
            cxId: '#u_addr_list',
            cxWpid: '#u_addr_list',
            cxApi: '/user/myaddress',
            cxAutoload: true,
            cxAutoShow: true,
            _store: '',
            cxInit: function () {
                App.footbar(false);
            },
            cxReady: function () {
            },
            cxCreated: function () {
                if (App.cxmain.cxChildP.cxChildP) {
                    if (App.cxmain.cxChildP.cxChildP.cxName == 'uindex') {
                        this.transitionName = 'cxpRight';
                    }
                }
            }
        },
        cxData: { transitionName: 'cxpFadeLeft' },
        methods: {
            goBack: function () {
            },
            set_default: function (id) {
                App.upData({
                    url: App.config.urlPath + '/user/SetAddrDefault?' + App.config.accompany,
                    data: { 'id': id },
                    success: function (data) {
                        console.log(data);
                        if (data.state == 1) {
                            $('.select span').removeClass('addr_active');
                            $('#set' + id).children('span').addClass('addr_active');
                            App.ldUserinfo();
                        } else {
                            if (data.errordes == '') {
                                App.alert(data.result.info);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                    }
                });
            },
            setlocal: function (id, name, cellphone, province, city, region, provinceid, cityid, regionid, street, room) {
                var info = {
                    'id': id,
                    'name': name,
                    'cellphone': cellphone,
                    'province': province,
                    'city': city,
                    'region': region,
                    'provinceid': provinceid,
                    'cityid': cityid,
                    'regionid': regionid,
                    'street': street,
                    'room': room,
                    'isdefault': $('#set' + id).children('span').hasClass('addr_active') ? 1 : 0
                };
                this._store = new store('addr'), this._store.set('addr', info);
                this.transitionName = 'cxpFadeRight';
                window.location.href = '#ucenter/uaddrEdit/' + id;
            },
            del_addr: function (id) {
                App.upData({
                    url: App.config.urlPath + '/v2/user/deleteaddress?' + App.config.accompany,
                    data: { id: id },
                    success: function (data) {
                        if (data.state == 1) {
                            $('#' + id).remove();
                            App.ldUserinfo();
                        } else {
                            if (data.errordes == '') {
                                App.alert(data.result.info);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                    }
                });
            },
            newAddr: function () {
                this.transitionName = 'cxpFadeRight';
                window.location.href = '#ucenter/uaddrNew';
            }
        }
    });
    return v;
});
define('tpl/u_addrEdit.html', [], function () {
    return '<div class="views bodybg1 wrapper2" id="u_addredit" v-if="show" :transition="transitionName">\r\n    <com-utopbar2 v-ref:utopbar title="修改收货地址" btname="保存" v-on:btn-evt="saveBtn"></com-utopbar2>\r\n    <div class="wrapper" id="u_addr_eidt">\r\n        <div class="am-container">\r\n            <form id="addr_edit_form">\r\n                <input class="ui-border-b" type="text" placeholder="收货人姓名\uFF08请使用真实姓名\uFF09" v-model="addr.name" />\r\n                <input class="ui-border-b" type="tel"  placeholder="手机号码" maxlength="11" v-model="addr.cellphone" />\r\n                <div class="place" v-on:click="place_select">\r\n                    <input class="ui-border-b" type="text" placeholder="省市区" v-model="addr.place" readonly />\r\n                    <i class="am-icon-cx-5"></i>\r\n                </div>\r\n                <input class="ui-border-b" type="text" placeholder="小区名称" v-model="addr.street" />\r\n                <input class="ui-border-b" type="text" placeholder="房号\uFF08如:3幢2单元101室\uFF09" v-model="addr.room" />\r\n\r\n            </form>\r\n        </div>\r\n    </div>\r\n    <div class="am-tabs placeselect" id="placeselect">\r\n        <div class="ui-border-b title">所在地区<i class="am-icon-cx-76" v-on:click="close_sel"></i></div>\r\n        <ul class="am-tabs-nav am-nav am-nav-tabs am-nav-justify">\r\n            <li class="am-active"><a href="">省份</a></li>\r\n            <li><a href="">城市</a></li>\r\n            <li><a href="">地区</a></li>\r\n        </ul>\r\n        <div class="am-tabs-bd">\r\n            <div class="am-tab-panel am-active" id="getprovince">...</div>\r\n            <div class="am-tab-panel" id="getcity">...</div>\r\n            <div class="am-tab-panel" id="getregion">...</div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ucenter/uaddrEdit', [
    'uview',
    'tpl/u_addrEdit.html',
    'store',
    'utopbar2'
], function (uview, tpl, store, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar2': utopbar },
        objectExtend: {
            cxName: 'uaddrEdit',
            cxId: '',
            cxWpid: '',
            cxApi: '',
            _store: '',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
            },
            cxReady: function () {
                var _this = this;
                $('#placeselect').tabs({ noSwipe: 1 });
                $('.am-tabs-bd div').on('click', '.data-list', function () {
                    var id = parseInt($(this).attr('data-val'));
                    if ($(this).attr('type') == 'p') {
                        _this.city_select(id);
                        _this.addr.province = $(this).text();
                        _this.addr.provinceid = id;
                    }
                    if ($(this).attr('type') == 'c') {
                        _this.region_select(id);
                        _this.addr.city = $(this).text();
                        _this.addr.cityid = id;
                    }
                    if ($(this).attr('type') == 'o') {
                        _this.addr.region = $(this).text();
                        _this.addr.regionid = id;
                        _this.addr.place = _this.addr.province + ' ' + _this.addr.city + ' ' + _this.addr.region;
                        $('#placeselect').hide();
                    }
                });
            },
            cxCreated: function () {
                this._store = new store('addr');
                var info = this._store.get('addr');
                this.addr = {
                    province: info.province,
                    city: info.city,
                    region: info.region,
                    provinceid: info.provinceid,
                    cityid: info.cityid,
                    regionid: info.regionid,
                    name: info.name,
                    cellphone: info.cellphone,
                    street: info.street,
                    room: info.room,
                    id: info.id,
                    isdefault: info.isdefault,
                    place: info.province + ' ' + info.city + ' ' + info.region
                };
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            addr: {}
        },
        methods: {
            goBack: function () {
                window.history.back();
            },
            saveBtn: function () {
                var _this = this;
                var updata = {
                    id: this.addr.id,
                    provinceid: this.addr.provinceid,
                    cityid: this.addr.cityid,
                    regionid: this.addr.regionid,
                    name: this.addr.name,
                    cellphone: this.addr.cellphone,
                    street: this.addr.street,
                    room: this.addr.room
                };
                App.upData({
                    url: App.config.urlPath + '/user/updateaddress?' + App.config.accompany,
                    data: updata,
                    success: function (data) {
                        if (data.state == 1) {
                            App.ldUserinfo();
                            window.history.back();
                        } else {
                            if (data.errordes == '') {
                                App.alert(data.result.info);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                    }
                });
            },
            close_sel: function () {
                $('#placeselect').hide();
            },
            place_select: function () {
                $('#placeselect').show();
                this.get_place_data('getprovince', '');
            },
            city_select: function (pid) {
                var id = { 'pid': pid };
                this.get_place_data('getcity', id);
                $('#placeselect').tabs('open', 1);
            },
            region_select: function (pid) {
                var id = { 'cid': pid };
                this.get_place_data('getregion', id);
                $('#placeselect').tabs('open', 2);
            },
            get_place_data: function (t, id) {
                var type;
                if (id == '') {
                    type = 'p';
                } else if (id.pid) {
                    type = 'c';
                } else {
                    type = 'o';
                }
                App.upData({
                    url: App.config.urlPath + '/user/' + t + '?' + App.config.accompany,
                    data: id,
                    success: function (data) {
                        if (data.state == 1) {
                            var data = data.result.list;
                            var _html = '';
                            for (var i = 0; i < data.length; i++) {
                                _html += '<div type=' + type + ' class=\'data-list\' data-val=' + data[i].id + ' >' + data[i].name + '</div>';
                                $('#' + t).html(_html);
                            }
                        } else {
                            data.errordes == '' ? App.alert(data.result.info) : App.alert(data.errordes);
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/u_addrNew.html', [], function () {
    return '<div class="views bodybg1 wrapper2" id="u_addredit" v-if="show" :transition="transitionName">\r\n    <com-utopbar2 v-ref:utopbar title="添加新地址" btname="保存" v-on:btn-evt="saveBtn"></com-utopbar2>\r\n    <div class="wrapper" id="u_addr_eidt">\r\n        <div class="am-container">\r\n            <form id="addr_edit_form">\r\n                <input class="ui-border-b" type="text" placeholder="收货人姓名\uFF08请使用真实姓名\uFF09" v-model="addr.name" />\r\n                <input class="ui-border-b" type="tel"  placeholder="手机号码" maxlength="11" v-model="addr.cellphone" />\r\n                <div class="place" v-on:click="place_select">\r\n                    <input class="ui-border-b" type="text" placeholder="省市区" v-model="addr.place" readonly />\r\n                    <i class="am-icon-cx-5"></i>\r\n                </div>\r\n                <input class="ui-border-b" type="text" placeholder="小区名称" v-model="addr.street" />\r\n                <input class="ui-border-b" type="text" placeholder="房号\uFF08如:3幢2单元101室\uFF09" v-model="addr.room" />\r\n\r\n            </form>\r\n        </div>\r\n    </div>\r\n    <div class="am-tabs placeselect" id="placeselect">\r\n        <div class="ui-border-b title">所在地区<i class="am-icon-cx-76" v-on:click="close_sel"></i></div>\r\n        <ul class="am-tabs-nav am-nav am-nav-tabs am-nav-justify">\r\n            <li class="am-active"><a href="">省份</a></li>\r\n            <li><a href="">城市</a></li>\r\n            <li><a href="">地区</a></li>\r\n        </ul>\r\n        <div class="am-tabs-bd">\r\n            <div class="am-tab-panel am-active" id="getprovince">...</div>\r\n            <div class="am-tab-panel" id="getcity">...</div>\r\n            <div class="am-tab-panel" id="getregion">...</div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ucenter/uaddrNew', [
    'uview',
    'tpl/u_addrNew.html',
    'store',
    'utopbar2'
], function (uview, tpl, store, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar2': utopbar },
        objectExtend: {
            cxName: 'uaddrEdit',
            cxId: '',
            cxWpid: '',
            cxApi: '',
            _store: '',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
            },
            cxReady: function () {
                var _this = this;
                $('#placeselect').tabs({ noSwipe: 1 });
                $('.am-tabs-bd div').on('click', '.data-list', function () {
                    var id = parseInt($(this).attr('data-val'));
                    if ($(this).attr('type') == 'p') {
                        _this.city_select(id);
                        _this.addr.province = $(this).text();
                        _this.addr.provinceid = id;
                    }
                    if ($(this).attr('type') == 'c') {
                        _this.region_select(id);
                        _this.addr.city = $(this).text();
                        _this.addr.cityid = id;
                    }
                    if ($(this).attr('type') == 'o') {
                        _this.addr.region = $(this).text();
                        _this.addr.regionid = id;
                        _this.addr.place = _this.addr.province + ' ' + _this.addr.city + ' ' + _this.addr.region;
                        $('#placeselect').hide();
                    }
                });
            },
            cxCreated: function () {
                this.addr = {
                    province: '',
                    city: '',
                    region: '',
                    provinceid: 0,
                    cityid: 0,
                    regionid: 0,
                    name: '',
                    cellphone: '',
                    street: '',
                    room: '',
                    isdefault: 0,
                    place: ''
                };
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            addr: {}
        },
        methods: {
            goBack: function () {
                window.history.back();
            },
            saveBtn: function () {
                App.upData({
                    url: App.config.urlPath + '/user/updateaddress?' + App.config.accompany,
                    data: this.addr,
                    success: function (data) {
                        if (data.state == 1) {
                            App.ldUserinfo();
                            window.history.back();
                        } else {
                            if (data.errordes == '') {
                                App.alert(data.result.info);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                    }
                });
            },
            close_sel: function () {
                $('#placeselect').hide();
                this.addr.place = this.addr.province + ' ' + this.addr.city + ' ' + this.addr.region;
            },
            place_select: function () {
                $('#placeselect').show();
                this.get_place_data('getprovince', '');
            },
            city_select: function (pid) {
                var id = { 'pid': pid };
                this.get_place_data('getcity', id);
                $('#placeselect').tabs('open', 1);
            },
            region_select: function (pid) {
                var id = { 'cid': pid };
                this.get_place_data('getregion', id);
                $('#placeselect').tabs('open', 2);
            },
            get_place_data: function (t, id) {
                var type;
                if (id == '') {
                    type = 'p';
                } else if (id.pid) {
                    type = 'c';
                } else {
                    type = 'o';
                }
                App.upData({
                    url: App.config.urlPath + '/user/' + t + '?' + App.config.accompany,
                    data: id,
                    success: function (data) {
                        if (data.state == 1) {
                            var data = data.result.list;
                            var _html = '';
                            for (var i = 0; i < data.length; i++) {
                                _html += '<div type=' + type + ' class=\'data-list\' data-val=' + data[i].id + ' >' + data[i].name + '</div>';
                                $('#' + t).html(_html);
                            }
                        } else {
                            data.errordes == '' ? App.alert(data.result.info) : App.alert(data.errordes);
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/u_report_list.html', [], function () {
    return '<div class="uviews" id="u_reportList" v-if="show" :transition="transitionName">\r\n    <!--header-->\r\n    <com-utopbar v-ref:utopbar title="服务报告"></com-utopbar>\r\n    <div class="wrapper" id="u_reportl_m">\r\n        <!--工程师-->\r\n        <div>\r\n            <div class="outline">\r\n                <template v-if="list">\r\n                    <template v-for="value in list">\r\n                        <div class="box">\r\n                            <div class="time"><i class="am-icon-cx-99"></i>{{value.reporttime}}</div>\r\n                            <div class="inside" v-on:click="urepinfo(value.id)">\r\n                                <div class="name">{{value.servicename}}</div>\r\n                                <div class="bottom">\r\n                                    <div class="img">{{{value.catetorypic}}}</div>\r\n                                    <div class="info">\r\n                                        <div class="details">\r\n                                            <label>服务建议\uFF1A</label>\r\n                                            <span class="xijie">{{value.recommend}}</span>\r\n                                        </div>\r\n                                        <div class="details">\r\n                                            <label>备注\uFF1A</label>\r\n                                            <span class="xijie">{{value.testresult}}</span>\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </template>\r\n                </template>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ucenter/ureportList', [
    'uview',
    'tpl/u_report_list.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'ureportList',
            cxId: '#u_reportl_m',
            cxWpid: '#u_reportl_m',
            cxApi: '/v2/user/GetEvaluatReportDetail',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
            },
            cxReady: function () {
            },
            cxCreated: function () {
                this.cxVas.ordernumber = '';
                if (this.$options.vas != undefined) {
                    this.cxApi = '/v2/user/GetSeviceReportDetail';
                    this.cxVas.ordernumber = this.$options.vas;
                }
            }
        },
        cxData: { transitionName: 'cxpRight' },
        methods: {
            urepinfo: function (id) {
                window.location.href = '#ucenter/urepInfo/' + id;
            }
        }
    });
    return v;
});
define('tpl/u_repinfo.html', [], function () {
    return '<div class="uviews" id="u_r_i" v-if="show" :transition="transitionName">\r\n    <!--header-->\r\n    <img src="../../assets/imgs/shareimg.jpg" alt=""style="width:0;height:0;position:absolute">\r\n    <div class="am-g ui-border-b" id="uheadtop">\r\n        <div class="am-u-sm-2"><a id="backBtn" v-on:click="goBack"><i class="am-icon-cx-77"></i></a></div>\r\n        <div class="am-u-sm-8 utopTit">服务报告</div>\r\n        <div class="am-u-sm-2"><a id="msgBtn" v-on:click="share"><i class="am-icon-cx-78"></i></a></div>\r\n    </div>\r\n    <div class="wrapper" id="u_r_i_m">\r\n        <div>\r\n            <div class="base">\r\n                <div class="title ui-border-b">{{servicename}}</div>\r\n                <div class="am-g details ui-border-b">\r\n                    <div class="am-u-sm-6">\r\n                        <div><label for="">设备\uFF1A</label>{{devicecategoryname}}</div>\r\n                        <div><label for="">型号\uFF1A</label>{{model}}</div>\r\n                        <div><label for="">安装时间\uFF1A</label>{{installtime}}</div>\r\n                    </div>\r\n                    <div class="am-u-sm-6">\r\n                        <div><label for="">品牌\uFF1A</label>{{categoryname}}</div>\r\n                        <div><label for="">类型\uFF1A</label>双开门</div>\r\n                        <div><label for="">使用年限\uFF1A</label>{{useage}}</div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="img">\r\n                <div class="title am-g ui-border-b">\r\n                    <div class="am-u-sm-6">服务前图片</div>\r\n                    <div class="am-u-sm-6">服务后图片</div>\r\n                </div>\r\n                <div class="img-list">\r\n                    <template v-for="value in listbefore">\r\n                        <div class="am-g">\r\n                            <div class="am-u-sm-6">\r\n                                <div class="before">\r\n                                    <div class="img-border">\r\n                                        <img :src="listbefore[$index].imgurl" alt="">\r\n                                    </div>\r\n                                </div>\r\n                            </div>\r\n                            <div class="am-u-sm-6">\r\n                                <div class="after">\r\n                                    <div class="img-border">\r\n                                        <img :src="listafter[$index].imgurl" alt="">\r\n                                    </div>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </template>\r\n                </div>\r\n            </div>\r\n\r\n            <div class="rep">\r\n                <div class="list am-g ui-border-b">\r\n                    <div class="am-u-sm-6 ">服务建议\uFF1A</div>\r\n                    <div class="am-u-sm-6 right ">{{recommend}}</div>\r\n                </div>\r\n                <div class="list am-g ui-border-b ">\r\n                    <div class="am-u-sm-6 ">备注\uFF1A</div>\r\n                    <div class="am-u-sm-6 right ">{{testresult}}</div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ucenter/urepInfo', [
    'uview',
    'tpl/u_repinfo.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'urepinfo',
            cxId: '#u_r_i',
            cxWpid: '#u_r_i_m',
            cxApi: '/v2/user/UserReportDetailInfo',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
            },
            cxReady: function () {
            },
            cxCreated: function () {
                this.cxVas.reportId = this.$options.vas;
                this.cxVas = { reportId: this.$options.vas };
            }
        },
        cxData: { transitionName: 'cxpRight' },
        methods: {
            share: function () {
                var content = '望厨服务分享';
                var href = '/others/repshare.html';
                var type = 2;
                App.n.share.share(content, href, type);
            }
        }
    });
    return v;
});
define('tpl/u_reports.html', [], function () {
    return '<div class="uviews" id="u_reports" v-if="show" :transition="transitionName">\r\n    <!--header-->\r\n    <com-utopbar2 v-ref:utopbar title="服务报告填写"></com-utopbar2>\r\n    <div class="wrapper" id="u_report">\r\n        <div>\r\n            <div class="reports-box">\r\n                <div class="ui-border-b">\r\n                    <span>服务名称</span>\r\n                    <span style="color:#c0c0c0;float:right">{{servicename}}</span>\r\n                </div>\r\n                <div id="u_rep_select" class="ui-border-b">\r\n                    <span>设备</span>\r\n                    <select v-on:click="selectDevice" name="devicecategory" id="devicecategory" v-model="selected" @change="device" disabled="{{submitstate==2}}">\r\n                        <template v-if="deviceid==\'\'">\r\n                            <option selected v-bind:value=""></option>\r\n                        </template>\r\n                        <template v-for="value in listdevice">\r\n                            <template v-if="value.id===deviceid">\r\n                                <option selected v-bind:value="value.id">{{value.Name}}</option>\r\n                            </template>\r\n                            <template v-else>\r\n                                <option v-bind:value="value.id">{{value.Name}}</option>\r\n                            </template>\r\n                        </template>\r\n                    </select>\r\n                    <template v-if="deviceid==\'\'">\r\n                        <i class="am-icon-cx-5" style="float:right"></i>\r\n                    </template>\r\n                </div>\r\n                <div class="ui-border-b recommend">\r\n                    <span for="">服务建议</span>\r\n                    <span class="txt">{{recommend}}</span>\r\n                </div>\r\n                <div class="ui-border-b" id="textarea">\r\n                    <span for="">备注</span>\r\n                    <textarea cols="30" rows="10" v-model="testresult" disabled="{{submitstate==2}}"></textarea>\r\n                </div>\r\n            </div>\r\n\r\n            <div class="img">\r\n                <div class="title am-g ui-border-b">\r\n                    <div class="am-u-sm-6">服务前图片</div>\r\n                    <div class="am-u-sm-6">服务后图片</div>\r\n                    <input type="file" id="file" v-on:change="imgchange" style="display:none">\r\n                </div>\r\n                <div class="img-list ui-border-b">\r\n                    <template v-if="listbefore.length >= listafter.length">\r\n                        <template v-for="value in listbefore">\r\n                            <div class="am-g">\r\n                                <div class="am-u-sm-6">\r\n                                    <div class="before">\r\n                                        <div class="img-border">\r\n                                            <div class="img-bg" v-on:click="imgupload(0,\'b-\'+$index,0)" id=\'b-{{$index}}\'>\r\n                                                <template v-if="listbefore[$index].imgurl">\r\n                                                    <img :src="listbefore[$index].imgurl" alt="">\r\n                                                </template>\r\n                                            </div>\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                                <div class="am-u-sm-6">\r\n                                    <div class="after">\r\n                                        <div class="img-border">\r\n                                            <div class="img-bg" v-on:click="imgupload(1,\'a-\'+$index,0)" id=\'a-{{$index}}\'>\r\n                                                <template v-if="listafter[$index].imgurl">\r\n                                                    <img :src="listafter[$index].imgurl" alt="">\r\n                                                </template>\r\n                                            </div>\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                            </div>\r\n                        </template>\r\n                    </template>\r\n                    <template v-else>\r\n                        <template v-for="value in listafter">\r\n                            <div class="am-g">\r\n                                <div class="am-u-sm-6">\r\n                                    <div class="before">\r\n                                        <div class="img-border">\r\n                                            <div class="img-bg" v-on:click="imgupload(0,\'b-\'+$index,0)" id=\'b-{{$index}}\'>\r\n                                                <template v-if="listbefore[$index].imgurl">\r\n                                                    <img :src="listbefore[$index].imgurl" alt="">\r\n                                                </template>\r\n                                            </div>\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                                <div class="am-u-sm-6">\r\n                                    <div class="after">\r\n                                        <div class="img-border">\r\n                                            <div class="img-bg" v-on:click="imgupload(1,\'a-\'+$index,0)" id=\'a-{{$index}}\'>\r\n                                                <template v-if="listafter[$index].imgurl">\r\n                                                    <img :src="listafter[$index].imgurl" alt="">\r\n                                                </template>\r\n                                            </div>\r\n                                        </div>\r\n                                    </div>\r\n                                </div>\r\n                            </div>\r\n                        </template>\r\n                    </template>\r\n                    <div class="am-g" id="addbtns" v-bind:class="{ \'hidebtn\': listafter.length!=listbefore.length || submitstate==2 }">\r\n                        <div class="am-u-sm-6">\r\n                            <div class="before">\r\n                                <div class="img-border img-border-dotted">\r\n                                    <div class="img-bg" v-on:click="imgupload(0,\'bn\',1)" id=\'bn\'></div>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                        <div class="am-u-sm-6">\r\n                            <div class="after">\r\n                                <div class="img-border img-border-dotted">\r\n                                    <div class="img-bg" v-on:click="imgupload(1,\'an\',1)" id=\'an\'></div>\r\n                                </div>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n\r\n                </div>\r\n            </div>\r\n            <img id="imgs" src="" alt="" style="display:none">\r\n            <div class="am-g btns" v-bind:class="{ \'hidebtn\': submitstate==2 }">\r\n                <div class="am-u-sm-6">\r\n                    <button type="button" v-on:click="savebtn(1)" class="am-btn am-btn-default">保存</button>\r\n                </div>\r\n                <div class="am-u-sm-6">\r\n                    <button type="button" v-on:click="savebtn(2)" class="am-btn am-btn-default">提交</button>\r\n                </div>\r\n            </div>\r\n            <div style="height:60px"></div>\r\n        </div>\r\n    </div>';
});
var App = App || {};
define('views/ucenter/ureport', [
    'uview',
    'tpl/u_reports.html',
    'utopbar2',
    'store'
], function (uview, tpl, utopbar, store) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar2': utopbar },
        objectExtend: {
            cxName: 'ureport',
            cxId: '#u_report',
            cxWpid: '#u_report',
            cxApi: '/v2/user/GetAddServiceReportInfo',
            store: null,
            cxAutoload: true,
            cxAutoShow: true,
            imgdata: '',
            type: 0,
            bt_id: '',
            isnew: 0,
            cxInit: function () {
                App.footbar(false);
            },
            cxReady: function () {
            },
            cxCreated: function () {
                this.store = new store('report');
                this.cxVas = this.store.get('report');
            }
        },
        cxData: { transitionName: 'cxpRight' },
        methods: {
            device: function () {
                this.deviceid = this.selected;
            },
            savebtn: function (id) {
                var _this = this;
                if (id == 1) {
                    if (this.listbefore == null)
                        this.listbefore = [];
                    if (this.listafter == null)
                        this.listafter = [];
                }
                if ((!this.listbefore || !this.listafter || this.listafter.length == 0 || this.listbefore.length == 0) && id == 2) {
                    App.alert('报告不完整');
                } else {
                    if (this.listbefore.length > this.listafter.length) {
                        App.alert('请上传服务后图片');
                    } else if (this.listbefore.length < this.listafter.length) {
                        App.alert('请上传服务前图片');
                    } else {
                        App.upData({
                            url: App.config.urlPath + '/v2/user/GetAddServiceReportInfoaa?' + App.config.accompany,
                            data: {
                                submitstate: id,
                                id: this.id,
                                deviceid: this.deviceid,
                                testresult: this.testresult,
                                recommend: this.recommend,
                                beforeserviceimgs: JSON.stringify(this.listbefore),
                                afterserviceimgs: JSON.stringify(this.listafter)
                            },
                            success: function (data) {
                                if (data.state == 1) {
                                    window.history.back();
                                } else {
                                    if (data.errordes == '') {
                                        App.alert(data.result.info);
                                    } else {
                                        App.alert(data.errordes);
                                    }
                                }
                            }
                        });
                    }
                }
            },
            imgupload: function (type, id, isnew) {
                if (this.submitstate != 2) {
                    $('#file').click();
                    this.type = type;
                    this.bt_id = id;
                    this.isnew = isnew;
                }
            },
            imgchange: function () {
                var _this = this;
                var id = this.bt_id.split('-')[1];
                var file = document.getElementById('file').files[0];
                var image = document.getElementById('imgs');
                var reader = new FileReader();
                canvas = document.createElement('canvas');
                var ctx = canvas.getContext('2d');
                reader.addEventListener('load', function () {
                    _this.imgdata = reader.result;
                    image.src = reader.result;
                    var MAX_HEIGHT = 100;
                    if (image.height > MAX_HEIGHT) {
                        image.width *= MAX_HEIGHT / image.height;
                        image.height = MAX_HEIGHT;
                    }
                    canvas.width = image.width;
                    canvas.height = image.height;
                    ctx.drawImage(image, 0, 0, image.width, image.height);
                    _this.testdata = canvas.toDataURL('image/jpeg', 0.05);
                    _this.imgupdate(id);
                }, false);
                if (file) {
                    reader.readAsDataURL(file);
                }
            },
            imgupdate: function (id) {
                var _this = this;
                if (this.listbefore == null)
                    this.listbefore = [];
                if (this.listafter == null)
                    this.listafter = [];
                $.ajax({
                    url: App.config.urlPath + '/v2/user/ServiceReportPic?ext=jpg&' + App.config.accompany,
                    type: 'POST',
                    contentType: 'image/jpeg',
                    dataType: 'json',
                    data: _this.imgdata,
                    success: function (data) {
                        console.log(data.result.info);
                        if (data.state == 1) {
                            if (_this.type == 0 && id) {
                                if (_this.listbefore[id])
                                    _this.listbefore[id].imgurl = data.result.info;
                                else
                                    _this.listbefore.push({ 'imgurl': data.result.info });
                            } else if (_this.type == 1 && id) {
                                if (_this.listafter[id])
                                    _this.listafter[id].imgurl = data.result.info;
                                else
                                    _this.listafter.push({ 'imgurl': data.result.info });
                            } else if (_this.type == 0 && !id) {
                                _this.listbefore.push({ 'imgurl': data.result.info });
                            } else if (_this.type == 1 && !id) {
                                _this.listafter.push({ 'imgurl': data.result.info });
                            }
                            setTimeout(function () {
                                _this.vScroll.refresh();
                            }, 100);
                        } else {
                            if (data.errordes == '') {
                                App.alert(data.result.info);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                        $('#file').val('');
                    },
                    error: function () {
                        App.alert('图片上传失败');
                        $('#file').val('');
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/u_bdacc.html', [], function () {
    return '<div class="views" id="u-bdacc" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="绑定账号"></com-utopbar><div class="uviews bodybg1" id="u_bdacc"><ul class="doc-icon-list cx-list mu-list ui-border-t"><li class="ui-border-b clear-border-top"><a href="#ucenter/ubdphone" @click="gobdphone"><i class="am-icon-cx-84"></i> <span>手机</span> <span class="fRight" v-if="phone">已绑定</span> <span class="fRight" v-else>未绑定</span></a></li><li class="ui-border-t ui-border-b"><a @click="buildWeixin"><i class="am-icon-cx-87"></i> <span>微信</span> <span class="fRight" v-if="wx">已绑定</span> <span class="fRight" v-else>未绑定</span></a></li></ul></div></div>';
});
var App = App || {};
define('views/ucenter/ubdacc', [
    'uview',
    'tpl/u_bdacc.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'ubdacc',
            cxId: '#u-bdacc',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
            },
            cxCreated: function () {
                if (App.user.info.cellphone != '') {
                    this.phone = true;
                }
                this.wx = App.user.info.wxbind;
                if (App.cxmain.cxChildP.cxChildP) {
                    if (App.cxmain.cxChildP.cxChildP.cxName == 'ubdphone') {
                        this.transitionName = 'cxpFadeLeft';
                    }
                }
            },
            cxReady: function () {
            },
            cxNextTick: function () {
            },
            appendComplete: function () {
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            phone: false,
            wx: false
        },
        methods: {
            gobdphone: function () {
                this.transitionName = 'cxpFadeRight';
            },
            buildWeixin: function () {
                if (this.wx) {
                    App.alert('您已绑定微信');
                } else {
                    var _this = this;
                    if (window.plus) {
                        App.trace('打开绑定内容');
                        plus.oauth.getServices(function (services) {
                            var auth = {};
                            for (var i = 0; i < services.length; i++) {
                                auth[services[i].id] = services[i];
                            }
                            if (auth.hasOwnProperty('weixin')) {
                                auth.weixin.login(function () {
                                    _this.upWeixnData(auth.weixin.authResult.access_token, auth.weixin.authResult.openid);
                                }, function (e) {
                                    App.trace('[' + e.code + ']\uFF1A' + e.message);
                                    App.alert('绑定失败');
                                });
                            }
                        }, function () {
                            App.alert('无效的登录认证通道\uFF01');
                        });
                    } else {
                        App.alert('不能绑定');
                    }
                }
            },
            upWeixnData: function (_token, _openid) {
                App.trace('token\uFF1A' + _token);
                App.trace('openid\uFF1A' + _openid);
                var _this = this;
                App.upData({
                    url: App.config.urlPath + '/account/wxappBind?' + App.config.accompany,
                    data: {
                        token: _token,
                        openid: _openid
                    },
                    success: function (data) {
                        if (data.state == 1) {
                            _this.wx = true;
                            App.alert('绑定成功');
                        } else {
                            App.alert(data.errordes);
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/u_bdphone.html', [], function () {
    return '<div class="views" id="u_bdphone" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="绑定手机"></com-utopbar><div class="uviews bodybg1" id="u_bdacc"><div id="u_bdPhone" class="ui-border-t ui-border-b"><div class="ui-border-b"><i class="am-icon-cx-84"></i> <input type="number" v-model="phone" placeholder="输入手机号码"> <span class="fRight ui-border" @click="upDataSendVad">{{gettext}}</span></div><div class="ui-border-b"><i class="am-icon-cx-85"></i> <input type="number" v-model="code" placeholder="六位手机短信验证码"></div><div class="ui-border-b"><a @click="upDataVad" class="upBtn">确认绑定</a></div></div></div></div>';
});
var App = App || {};
define('views/ucenter/ubdphone', [
    'uview',
    'tpl/u_bdphone.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'ubdphone',
            cxId: '#u-bdacc',
            cxAutoload: true,
            cxAutoShow: true,
            i: 60,
            cxInit: function () {
            },
            cxReady: function () {
            },
            cxCreated: function () {
                this.phone = App.user.info.cellphone;
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            phone: '',
            code: '',
            gettext: '获取验证码'
        },
        methods: {
            upDataSendVad: function () {
                if (this.i == 60) {
                    var _this = this;
                    var _url = App.config.urlPath + '/code/send?' + App.config.accompany;
                    var _vas = {
                        type: 1,
                        phone: this.phone
                    };
                    App.upData({
                        url: _url,
                        data: _vas,
                        success: function (data) {
                            if (data.state == 1) {
                                App.alert('验证码已发送');
                                App.tool.IT.clearAll();
                                App.tool.IT.new(function () {
                                    if (_this.i < 1) {
                                        App.tool.IT.clearAll();
                                        _this.gettext = '获取验证码';
                                        _this.i = 60;
                                    } else {
                                        _this.gettext = _this.i + '秒后重新发送';
                                        _this.i--;
                                    }
                                }, 1000);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                    });
                }
            },
            upDataVad: function () {
                var _this = this;
                var _url = App.config.urlPath + '/user/bindphone?' + App.config.accompany;
                var _vas = {
                    code: this.code,
                    phone: this.phone
                };
                App.upData({
                    url: _url,
                    data: _vas,
                    success: function (data) {
                        if (data.state == 1) {
                            App.alert('绑定手机成功', {
                                closed: function () {
                                    App.user.info.cellphone = _this.phone;
                                    window.history.back();
                                }
                            });
                        } else {
                            App.alert(data.errordes);
                        }
                    }
                });
            }
        }
    });
    return v;
});
var App = App || {};
define('views/ucenter/uwork', [
    'uview',
    'tpl/u_order.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        data: function () {
            return {
                sa: true,
                sb: false,
                sc: false,
                sd: false
            };
        },
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uorder',
            cxId: '#u-order',
            cxWpid: '#u_order_list',
            cxApi: '/v2/user/GcsUserOrderInfo',
            cxAutoload: true,
            cxAutoShow: true,
            cxVas: { type: 3 },
            cxInit: function () {
            },
            cxCreated: function () {
                this.isGcs = App.user.info.isGcs;
                if (typeof this.$options.vas != 'undefined') {
                    this.cxVas.type = parseInt(this.$options.vas);
                    this.changmu(this.cxVas.type);
                } else {
                    this.changmu(this.cxVas.type);
                }
                if (App.cxmain.cxChildP.cxChildP) {
                    if (App.cxmain.cxChildP.cxChildP.cxName == 'uindex') {
                        this.transitionName = 'cxpRight';
                    }
                }
            },
            cxReady: function () {
                this.$refs.utopbar.title = '工程师订单';
            },
            cxLoadDataSuccess: function (data) {
            },
            cxNextTick: function () {
            }
        },
        cxData: {
            transitionName: 'cxpFadeLeft',
            isGcs: 0
        },
        methods: {
            selectData: function (_val) {
                if (this.cxVas.type != _val) {
                    this.changmu(_val);
                    this.cxVas.type = _val;
                    this.loadData();
                }
            },
            changmu: function (_val) {
                this.sa = false;
                this.sb = false;
                this.sc = false;
                this.sd = false;
                switch (_val) {
                case 1:
                    this.sa = true;
                    break;
                case 2:
                    this.sb = true;
                    break;
                case 3:
                    this.sc = true;
                    break;
                case 4:
                    this.sd = true;
                    break;
                }
            },
            Aorder: function (_sub, _operation, _evt) {
                var _aid = _operation.id;
                switch (_aid) {
                case 1:
                    this.Apay(_sub, _operation);
                    break;
                case 2:
                    this.Acancel(_sub, _operation);
                    break;
                case 4:
                    this.Aother();
                    break;
                case 7:
                    this.Adel(_sub, _operation);
                    break;
                case 5:
                    this.Alog(_sub, _operation);
                    break;
                case 6:
                    this.Abuy(_sub, _operation);
                    break;
                case 8:
                    this.Abuy(_sub, _operation);
                    break;
                case 9:
                    this.Aworkreplist(_sub, _operation);
                    break;
                case 11:
                    this.AureportList(_sub, _operation);
                    break;
                case 12:
                    this.Adevice(_sub, _operation);
                    break;
                default:
                    this.Aother(_sub, _operation);
                }
            },
            Apay: function (_sub, _oper) {
                var _this = this;
                var _url = App.config.urlPath + '/v2/pay/topay?' + App.config.accompany;
                var _vas = { ordernum: this.list[_sub].ordernumber };
                if (this.list[_sub].paymenthod == 3) {
                    this.selectPay(function (_paytype) {
                        if (_paytype != 0) {
                            _url = App.config.urlPath + '/v2/pay/deliverypay?' + App.config.accompany;
                            _vas.paytype = _paytype;
                            _this.upPay(_url, _vas);
                        }
                    });
                } else {
                    this.upPay(_url, _vas);
                }
            },
            Acancel: function (_sub, _oper) {
                var _this = this;
                App.alert('你确定要撤销此订单么?', {
                    confirm: {
                        onConfirm: function () {
                            App.upData({
                                url: _oper.url + '&' + App.config.accompany,
                                success: function (data) {
                                    if (data.state == 1) {
                                        _this.list.splice(_sub, 1);
                                    } else {
                                        App.alert(data.errordes);
                                    }
                                }
                            });
                        },
                        onCancel: function () {
                        }
                    }
                });
            },
            Aworkreplist: function (_sub, _oper) {
                this.transitionName = 'cxpFadeRight';
                window.location.href = '#ucenter/uworkreplist/' + this.list[_sub].ordernumber;
            },
            AureportList: function (_sub, _oper) {
                this.transitionName = 'cxpFadeRight';
                window.location.href = '#ucenter/ureportList/' + this.list[_sub].ordernumber;
            },
            Adel: function (_sub, _oper) {
                var _this = this;
                _oper.url = _oper.url.replace(/operationrole=0/, 'operationrole=1');
                var _this = this;
                App.alert('确认删除么?', {
                    confirm: {
                        onConfirm: function () {
                            App.upData({
                                url: _oper.url + '&' + App.config.accompany,
                                success: function (data) {
                                    if (data.state == 1) {
                                        _this.list.splice(_sub, 1);
                                    } else {
                                        App.alert(data.errordes);
                                    }
                                }
                            });
                        }
                    }
                });
            },
            Alog: function (_sub, _oper) {
                this.transitionName = 'cxpFadeRight';
                window.location.href = '#ucenter/uorderlog/' + this.list[_sub].ordernumber;
            },
            Abuy: function (_sub, _oper) {
                App.loading(true);
                var _o = {};
                App.upData({
                    url: App.config.urlPath + '/v2/user/GetOrderBuyDetail?' + App.config.accompany,
                    data: { ordernumber: this.list[_sub].ordernumber },
                    success: function (data) {
                        App.loading(false);
                        if (data.state == 1) {
                            var _shop = data.result.shop;
                            var _service = data.result.service;
                            _.map(_shop, function (v, k, list) {
                                list[k].pay = true;
                                list[k].kindtype = 0;
                            });
                            _.map(_service, function (v, k, list) {
                                list[k].pay = true;
                                list[k].kindtype = 1;
                            });
                            _o.servicelist = _service;
                            _o.shoplist = _shop;
                            App.buyInfo = _o;
                            window.location.href = '#buy/border';
                        } else {
                            App.alert(data.errordes, { tips: true });
                        }
                    }
                });
                this.transitionName = 'cxpFadeRight';
            },
            Adevice: function (_sub, _oper) {
                this.transitionName = 'cxpFadeRight';
                window.location.href = '#ucenter/udevice/' + this.list[_sub].ordernumber;
            },
            Aother: function (_sub, _oper) {
                var _this = this;
                App.loading(true);
                App.upData({
                    url: _oper.url + '&' + App.config.accompany,
                    success: function (data) {
                        if (data.state == 1) {
                            App.loading(false);
                            _this.renData();
                        } else {
                            App.alert(data.errordes);
                        }
                    }
                });
            },
            goPage: function () {
                this.transitionName = 'cxpFadeRight';
            },
            selectPay: function (_fun) {
                var _paytype = 0;
                var _html = '<div class=\'selectPayMd\'>';
                _html += '<h3 class=\'ui-border-b\'>选择支付方式</h3>';
                _html += '<div class=\'am-g\'>';
                _html += '<div class=\'am-u-sm-6 ui-border-r\' id=\'zfbBtn\'><img src=\'assets/imgs/ico01.png\'></div>';
                _html += '<div class=\'am-u-sm-6\' id=\'wxBtn\'><img src=\'assets/imgs/ico02.png\'></div>';
                _html += '</div>';
                _html += '</div>';
                App.alert(_html, {
                    tips: true,
                    acd: false,
                    closed: function () {
                        _fun(_paytype);
                    }
                });
                $('#zfbBtn').click(function () {
                    _paytype = 1;
                    App.alert('@close');
                });
                $('#wxBtn').click(function () {
                    _paytype = 2;
                    App.alert('@close');
                });
            },
            upPay: function (_url, _vas) {
                var _this = this;
                App.loading(true);
                App.upData({
                    url: _url,
                    data: _vas,
                    success: function (data) {
                        if (data.state == 1) {
                            _this.cxOderId = data.result.ordernum;
                            App.trace(data.result.paymethod + ':' + data.result.ordernum);
                            App.trace(data.result.url);
                            if (App.n.pay) {
                                var _pty = 'alipay';
                                if (data.result.paymethod == 2)
                                    _pty = 'wxpay';
                                App.n.pay.request(data.result.url, _pty, function (result) {
                                    window.location.href = '#ucenter/uordermx/' + data.result.ordernum;
                                }, function (error) {
                                    App.trace('支付失败\uFF1A' + error.code);
                                    App.alert('您的付款未完成', {
                                        closed: function () {
                                            window.location.href = '#ucenter/uorder/2';
                                        }
                                    });
                                });
                            } else {
                                App.alert('跳转支付中...');
                                App.loading(false);
                                window.location.href = data.result.url;
                            }
                        } else {
                            App.loading(false);
                            App.alert(data.errordes);
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/u_workreplist.html', [], function () {
    return '<div class="uviews" id="u_work_list" v-if="show" :transition="transitionName">\r\n    <!--header-->\r\n    <com-utopbar v-ref:utopbar title="服务报告"></com-utopbar>\r\n    <div class="wrapper" id="u_w_l">\r\n        <div class="list">\r\n            <template v-if="list">\r\n                <template v-for="i in list">\r\n                    <div class="box">\r\n                        <div class="title">{{i.servicename}}</div>\r\n                        <div class="logo">{{{i.decriptionpic}}}</div>\r\n                        <div class="am-g btns">\r\n                            <div class="am-u-sm-6">\r\n                                <template v-if="i.state == 0">\r\n                                    <button id="s{{i.serviceid}}" v-on:click="start(i.subordernumber,i.parentserviceid,i.serviceid)" type="button" class="am-btn am-btn-default ui-border">服务开始</button>\r\n                                    <button id="e{{i.serviceid}}" v-on:click="end(i.subordernumber,i.parentserviceid,i.serviceid)" type="button" class="am-btn am-btn-default ui-border"\r\n                                        style="display:none">服务结束</button>\r\n                                        <button id="endbtn" type="button" class="am-btn am-btn-default ui-border" style="display:none">服务已结束</button>\r\n                                </template>\r\n                                <template v-if="i.state == 1">\r\n                                    <button id="e{{i.serviceid}}" v-on:click="end(i.subordernumber,i.parentserviceid,i.serviceid)" type="button" class="am-btn am-btn-default ui-border">服务结束</button>\r\n                                    <button id="endbtn" type="button" class="am-btn am-btn-default ui-border" style="display:none;color:#c0c0c0">服务已结束</button>\r\n                                </template>\r\n                                <template v-if="i.state == 2">\r\n                                    <button type="button" class="am-btn am-btn-default ui-border" style="color:#c0c0c0">服务已结束</button>\r\n                                </template>\r\n                            </div>\r\n                            <div class="am-u-sm-6">\r\n                                <template v-if="i.isAddReport == 1">\r\n                                <button id="i.serviceid" v-on:click="gorep(i.subordernumber,i.parentserviceid,i.serviceid)" type="button" class="am-btn am-btn-default ui-border">填写报告</button>\r\n                                </template>\r\n                                <template v-else>\r\n                                    <button type="button" class="am-btn am-btn-default ui-border" style="color:#c0c0c0">填写报告</button>\r\n                                </template>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </template>\r\n            </template>\r\n        </div>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ucenter/uworkreplist', [
    'uview',
    'tpl/u_workreplist.html',
    'utopbar',
    'store'
], function (uview, tpl, utopbar, store) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'u_work_list',
            cxId: '#u_w_l',
            cxWpid: '#u_w_l',
            cxApi: '/v2/user/GetServiceReportList',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
            },
            store: null,
            cxReady: function () {
            },
            cxCreated: function () {
                this.list = '';
                this.cxVas.ordernumber = this.$options.vas;
            }
        },
        cxData: { transitionName: 'cxpRight' },
        methods: {
            updata: function (subordernumber, parentserviceid, serviceid, state) {
                App.upData({
                    url: App.config.urlPath + '/v2/user/ServiceReportStart?' + App.config.accompany,
                    data: {
                        subordernumber: subordernumber,
                        parentserviceid: parentserviceid,
                        serviceid: serviceid,
                        state: state
                    },
                    success: function (data) {
                        console.log(data);
                        if (data.state == 1) {
                        } else {
                            if (data.errordes == '') {
                                App.alert(data.result.info);
                            } else {
                                App.alert(data.errordes);
                            }
                        }
                    }
                });
            },
            start: function (subordernumber, parentserviceid, serviceid) {
                this.updata(subordernumber, parentserviceid, serviceid, 0);
                $('#' + 's' + serviceid).remove();
                $('#' + 'e' + serviceid).show();
            },
            end: function (subordernumber, parentserviceid, serviceid) {
                this.updata(subordernumber, parentserviceid, serviceid, 1);
                $('#' + 'e' + serviceid).remove();
                $('#endbtn').show();
            },
            gorep: function (subordernumber, parentserviceid, serviceid) {
                var _this = this;
                if ($('#' + 's' + serviceid)[0] == undefined) {
                    _this.store = new store('report');
                    var data = {
                        subordernumber: subordernumber,
                        parentserviceid: parentserviceid,
                        serviceid: serviceid
                    };
                    _this.store.set('report', data);
                    window.location.href = '#ucenter/ureport';
                } else {
                    App.alert('请先开始服务');
                }
            }
        }
    });
    return v;
});
define('tpl/u_order_s.html', [], function () {
    return '<div class="views" id="u_order" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="订单详细"></com-utopbar><div class="uviews bodybg1" id="u_order_msg"><div class="am-g" id="u_order_detail"><div class="u_od_tb"></div><div class="u-order_msgcont"><div class="u_order_num"><div class="am-g udingdan"><div class="am-u-sm-8 uorblack">订单号: <span class="odnum">{{ordernumber}}</span></div><div class="am-u-sm-4 wtdelivery">{{orderstatusName}}</div></div><a @click="goPage" class="insel ui-border-t" href="#ucenter/uorderlog/{{ordernumber}}"><div class="mlistico"><i class="am-icon-cx-82"></i></div><div class="odphone"><div>{{expressinfo}}</div><div class="odtime">{{expresstime}}</div></div><div class="uiconright"><i class="am-icon-angle-right"></i></div></a><div class="insel ui-border-t"><div class="odiconadd"><i class="am-icon-cx-15"></i></div><div class="odaddress"><div>{{username}} {{phone}}</div><div>{{address}}</div></div></div></div><div class="u_od_td"></div><div class="u_order_splist"><div class="u_od_con"><template v-for="(index, value) in listshop"><div class="sp_item ui-border-b"><div class="img"><img src="{{value.coverimgurl}}"></div><div class="tit"><h3>{{value.productname}}</h3><span class="spec">价格\uFF1A\uFFE5{{value.payprice}}</span> <span class="spec">数量\uFF1A{{value.productcount}}</span></div><template v-if="value.statesname==null"><div class="spstate" @click="retGood(index,value.operatiourl)">{{value.operationmae}}</div></template><template v-else><div class="spstate">{{value.statesname}}</div></template></div></template><template v-for="(index, value) in listservice"><div class="sp_item ui-border-b"><div class="img"><img src="{{value.coverimgurl}}"></div><div class="tit"><h3>{{value.servicename}}</h3><span class="spec">价格\uFF1A\uFFE5{{value.payprice}}</span> <span class="spec">选项\uFF1A{{value.name}}</span></div><div class="spstate">{{value.username}}</div></div></template></div><div class="odpay"><div class="am-g odpayment odpayfirst"><div class="am-u-sm-6">商品总价</div><div class="am-u-sm-6 odmoney">\uFFE5{{totalprice}}</div></div><div class="am-g odpayment"><div class="am-u-sm-6">优惠</div><div class="am-u-sm-6 odmoney">\uFFE5{{favorableprice}}</div></div><div class="am-g odpayment"><div class="am-u-sm-6">运费</div><div class="am-u-sm-6 odmoney">\uFFE5{{ExpressPrice}}</div></div><div class="am-g odpayment odpaylast"><div class="am-u-sm-6 uorblack">实付款</div><div class="am-u-sm-6 wtdelivery">\uFFE5{{payamount}}</div></div></div></div><div class="u_od_td"></div><div class="u_order_invoice"><div class="odpaytype uorblack ui-border-b">支付方式<span>{{payment}}</span></div><div class="odpaymsg ui-border-b"><div class="uorblack">发票信息<span>纸质发票</span></div><div class="odpaycom">发票抬头\uFF1A{{invoice}}</div></div><div class="odmsgfooter"><div class="odcontact" @click="telphone"><i class="am-icon-cx-17"></i> 联系望厨</div><div class="odtime">下单时间\uFF1A{{createtime}}</div></div><div class="odmsgcode" v-if="iscellphoneorder==1"><div class="odcodeimg"><img src="{{cellphoneorderurl}}"></div><div class="odtime">下单时间\uFF1A{{createtime}}</div></div></div><div class="space300"></div></div></div></div></div>';
});
var App = App || {};
define('views/ucenter/uordermx', [
    'uview',
    'tpl/u_order_s.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uordermx',
            cxId: '#u-ordermx',
            cxWpid: '#u_order_msg',
            cxApi: '/v2/user/SelectOrderDetail',
            cxAutoload: true,
            cxAutoShow: true,
            cxVas: {
                ordernumber: '',
                payment: '货到付款'
            },
            cxCreated: function () {
                this.cxVas.ordernumber = this.$options.vas;
                if (App.cxmain.cxChildP.cxChildP) {
                    var _cpName = App.cxmain.cxChildP.cxChildP.cxName;
                    if (_cpName == 'uordermx' || _cpName == 'uorderlog') {
                        this.transitionName = 'cxpFadeLeft';
                    }
                }
            },
            cxReady: function () {
                App.footbar(false);
            },
            cxLoadDataSuccess: function (data) {
                switch (data.result.paymenthod) {
                case 1:
                    this.payment = '支付宝';
                    break;
                case 2:
                    this.payment = '微信';
                    break;
                case 3:
                    this.payment = '货到付款';
                    break;
                }
            }
        },
        cxData: { transitionName: 'cxpRight' },
        methods: {
            goPage: function () {
                this.transitionName = 'cxpFadeRight';
            },
            retGood: function (_sub, _val) {
                var _this = this;
                App.alert('是否申请退货', {
                    confirm: {
                        onConfirm: function () {
                            App.loading(true);
                            App.upData({
                                url: _val + '&' + App.config.accompany,
                                success: function (data) {
                                    if (data.state == 1) {
                                        _this.listshop[_sub].statesname = '申请退货中';
                                    } else {
                                        App.trace(data.errordes);
                                    }
                                    App.loading(false);
                                }
                            });
                        },
                        onCancel: function () {
                        }
                    }
                });
            },
            telphone: function () {
                App.callPhone(App.about.tel);
            }
        }
    });
    return v;
});
define('tpl/u_order_log.html', [], function () {
    return '<div class="views" id="u_order_log" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="订单物流信息"></com-utopbar><div class="uviews bodybg1" id="u_order_w"><div class="u_order_send"><template v-for="value in list"><div class="u_od_tb"></div><div class="u_send_cont"><div class="odsend"><div class="odsendtype">配送方式\uFF1A<span class="odsendblack">{{value.expresstionnname}}</span></div><div class="odsendnum">运单号\uFF1A<span class="odsendblack">{{value.mailno}}</span></div></div><div class="u_od_td"></div><div class="u_send_status"><ul class="u_send_list"><template v-for="val in value.list"><li class="senditem"><span class="sendicon"></span><div class="odphone ui-border-b"><div>{{val.info}}</div><div class="odtime">{{val.time}}</div></div></li></template></ul></div></div></template></div></div></div>';
});
var App = App || {};
define('views/ucenter/uorderlog', [
    'uview',
    'tpl/u_order_log.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uorderlog',
            cxId: '#u-orderlog',
            cxWpid: '#u_order_w',
            cxApi: '/v2/user/SelectWlInfo',
            cxAutoload: true,
            cxAutoShow: true,
            cxVas: { ordernumber: '' },
            cxCreated: function () {
                this.cxVas.ordernumber = this.$options.vas;
            },
            cxReady: function () {
                App.footbar(false);
            },
            cxLoadDataSuccess: function (data) {
                var _list = data.result.list;
                var _lg = _list.length;
                if (_lg > 0) {
                    for (var i = 0; i < _lg; i++) {
                        _list[i].list.reverse();
                    }
                }
            }
        },
        cxData: { transitionName: 'cxpRight' },
        methods: {}
    });
    return v;
});
define('tpl/u_set_hd.html', [], function () {
    return '<div class="views" id="u_setHd" v-if="show" :transition="transitionName"><div class="wrapper2 am-container" id="u_set_hd"><div id="loadImgBtn" @click="selectImg"><i class="am-icon-cx-41"></i></div><div class="xuanzhuan" @click="rotate"><i class="am-icon-cx-44"></i></div><div class="img-select-box"><div class="img-select"><div @click="cancel" class="am-btn">取消</div><div @click="upBtn" class="am-btn">应用</div></div></div></div></div>';
});
var App = App || {};
define('views/ucenter/usetHd', [
    'uview',
    'tpl/u_set_hd.html'
], function (uview, tpl) {
    var angle = 0;
    var start = 0;
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'usetHd',
            cxId: '#u-ssetHd',
            cxAutoload: true,
            cxAutoShow: true,
            upnameTime: null,
            hdImg: null,
            cxInit: function () {
            },
            cxReady: function () {
            },
            cxCreated: function () {
            },
            appendComplete: function () {
                angle = 0;
                start = 0;
                var _this = this;
                this.hdImg = new htimgFun($('#u_setHd'));
                this.hdImg.init();
                this.hdImg.success = function (data) {
                    if (data.state == 1) {
                        App.user.info.avatar = data.result.info;
                        window.history.back();
                    } else {
                        App.alert(data.errordes);
                    }
                };
            }
        },
        cxData: { transitionName: 'cxpRight' },
        methods: {
            selectImg: function () {
                this.hdImg.$inputFile.click();
            },
            upBtn: function () {
                this.hdImg.clipImage();
            },
            cancel: function () {
                history.back();
            },
            rotate: function () {
                if (start !== 0) {
                    angle += 90;
                    if (angle === 360)
                        angle = 0;
                    this.hdImg.drawImage();
                }
            }
        }
    });
    var htimgFun = function ($dom) {
        this.$dom = $dom;
        this.$id = $dom.find('#u_set_hd');
        this.move = false;
        this.scale = false;
        this.touchAStarX = 0;
        this.touchBStarX = 0;
        this.touchAStarY = 0;
        this.touchBStarY = 0;
        this.cvsW = 0;
        this.cvsH = 0;
        this.clipX = 0;
        this.clipY = 0;
        this.clipW = 200;
        this.clipH = 200;
        this.$cvs = null;
        this.cvs = null;
        this.ctx = null;
        this.img = null;
        this.imgX = 0;
        this.imgY = 0;
        this.imgScale = 1;
        this.imgScaleStar = 1;
        this.imgLoaded = false;
        this.$inputFile = null;
        this.$loadImgBtn = null;
        this.$upBtn = null;
        this.clipCvs = null;
        this.init = function () {
            var _this = this;
            this.cvsW = window.innerWidth;
            this.cvsH = window.innerHeight;
            this.$cvs = $('<canvas id=\'canvas\'></canvas>');
            this.$cvs.attr('width', this.cvsW);
            this.$cvs.attr('height', this.cvsH);
            $(this.$id).append(this.$cvs);
            this.$inputFile = $('<input type="file" name="imgOne" id="imgOne"  style="display: none;"/>');
            $(this.$id).append(this.$inputFile);
            this.cvs = this.$cvs[0];
            this.$cvs.on('touchstart', this, this.touchStart);
            this.$cvs.on('touchmove', this, this.touchMove);
            this.$cvs.on('touchend', this, this.touchEnd);
            this.ctx = this.cvs.getContext('2d');
            this.$inputFile.on('change', function (e) {
                _this.localImg(e.target.files[0]);
            });
        };
        this.touchStart = function (e) {
            var _this = e.data;
            var touches = e.originalEvent.touches;
            if (touches.length > 1) {
                _this.move = false;
                _this.scale = true;
                _this.touchAStarX = touches[0].pageX;
                _this.touchAStarY = touches[0].pageY;
                _this.touchBStarX = touches[1].pageX;
                _this.touchBStarY = touches[1].pageY;
            } else {
                _this.move = true;
                _this.scale = false;
                _this.touchAStarX = touches[0].pageX;
                _this.touchAStarY = touches[0].pageY;
            }
        };
        this.touchMove = function (e) {
            var _this = e.data;
            var touches = e.originalEvent.touches;
            App.trace('scale:' + _this.scale + '  lg:' + touches.length);
            if (_this.scale && touches.length > 1) {
                var mAx = touches[0].pageX;
                var mAy = touches[0].pageY;
                var mBx = touches[1].pageX;
                var mBy = touches[1].pageY;
                var scaleX = Math.abs(mAx - mBx) - Math.abs(_this.touchAStarX - _this.touchBStarX);
                var scaleY = Math.abs(mAy - mBy) - Math.abs(_this.touchAStarY - _this.touchBStarY);
                if (scaleX > 1 && scaleY > 1) {
                    if (scaleX > scaleY) {
                        _this.imgScale = ((scaleX + _this.img.width) / _this.img.width).toFixed(2);
                    } else {
                        _this.imgScale = ((scaleY + _this.img.height) / _this.img.height).toFixed(2);
                    }
                } else {
                    if (scaleX > scaleY) {
                        _this.imgScale = ((scaleY + _this.img.height) / _this.img.height).toFixed(2);
                    } else {
                        _this.imgScale = ((scaleX + _this.img.width) / _this.img.width).toFixed(2);
                    }
                }
                _this.imgScale = _this.imgScale * _this.imgScaleStar;
                _this.drawImage();
            } else if (_this.move) {
                var x = touches[0].pageX - _this.touchAStarX;
                var y = touches[0].pageY - _this.touchAStarY;
                _this.touchAStarX = touches[0].pageX;
                _this.touchAStarY = touches[0].pageY;
                switch (angle) {
                case 0:
                    _this.imgX += x;
                    _this.imgY += y;
                    break;
                case 90:
                    _this.imgX += y;
                    _this.imgY += -x;
                    break;
                case 180:
                    _this.imgX += -x;
                    _this.imgY += -y;
                    break;
                case 270:
                    _this.imgX += -y;
                    _this.imgY += x;
                    break;
                }
                _this.drawImage();
            }
        };
        this.touchEnd = function (e) {
            var _this = e.data;
            _this.imgScaleStar = _this.imgScale;
        };
        this.loadImg = function (_data) {
            var _this = this;
            this.img = new Image();
            this.img.onload = function () {
                _this.imgScale = _this.cvsW / this.width;
                _this.imgLoaded = true;
                _this.imgY = (_this.cvsH - _this.img.height * _this.imgScale) / 2;
                _this.drawImage();
            };
            this.img.src = _data;
            start = 1;
        };
        this.drawImage = function () {
            this.ctx.clearRect(0, 0, this.cvs.width, this.cvs.height);
            this.ctx.save();
            var _rect = 200;
            this.clipX = (this.cvsW - _rect) / 2;
            this.clipY = (this.cvsH - _rect) / 2;
            this.ctx.strokeStyle = '#fff';
            this.ctx.translate(this.cvs.width / 2, this.cvs.height / 2);
            this.ctx.rotate(angle * Math.PI / 180);
            this.ctx.drawImage(this.img, 0, 0, this.img.width, this.img.height, this.imgX - this.cvs.width / 2, this.imgY - this.cvs.height / 2, this.img.width * this.imgScale, this.img.height * this.imgScale);
            this.ctx.strokeRect(-_rect / 2, -_rect / 2, _rect, _rect);
            this.ctx.restore();
        };
        this.clipImage = function () {
            var imgData = this.ctx.getImageData(this.clipX, this.clipY, this.clipW, this.clipH);
            this.clipCvs = $('<canvas width="' + this.clipW + '" height="' + this.clipH + '"></canvas>')[0];
            var clipCtx = this.clipCvs.getContext('2d');
            clipCtx.putImageData(imgData, 0, 0);
            var idata = this.clipCvs.toDataURL('image/jpeg', 0.95);
            this.upData(idata);
        };
        this.localImg = function (fileUrl) {
            if (typeof FileReader === 'undefined') {
                alert('Y没有图...');
                return;
            }
            var _this = this;
            var reader = new FileReader();
            reader.onload = function (e) {
                _this.loadImg(this.result);
            };
            reader.readAsDataURL(fileUrl);
        };
        this.upData = function (_data) {
            var _this = this;
            $.ajax({
                url: App.config.urlPath + '/user/avatar?ext=jpg&token=' + App.config.token,
                data: _data,
                contentType: 'image/jpeg',
                type: 'POST',
                dataType: 'json',
                success: function (db) {
                    _this.success(db);
                },
                error: function (a, b, c) {
                    App.alert('上传头像错误');
                }
            });
        };
        this.success = function () {
        };
    };
    return v;
});
define('tpl/u_about.html', [], function () {
    return '<div class="views" id="" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="关于我们"></com-utopbar><div class="uviews bodybg1" id="u_about"><div class="u_about_us"><div class="uabicon"><img src="assets/imgs/share_icon.png" class="img"><div>望厨 {{v}}</div></div></div><div class="uabupdate cx-list" v-show="osup"><a v-on:click="down"><span class="updatetxt">版本更新</span> <span class="updatenum">最新版本 {{version}}</span></a></div><div class="uabofoot"><div class="uabfo"><div class="uabimg"><img src="assets/imgs/uqrcode.png"></div><span class="uabob">Copyright \xA9 杭州<span @click="odebug">星嘉世投</span>电子商务有限公司 版权所有</span></div></div></div></div>';
});
var App = App || {};
define('views/ucenter/uabout', [
    'uview',
    'tpl/u_about.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uabout',
            cxId: '',
            cxWpid: '',
            cxApi: '',
            cxAutoload: true,
            cxAutoShow: true,
            upnameTime: null,
            _it: null,
            _bk: 0,
            cxInit: function () {
            },
            cxReady: function () {
            },
            cxCreated: function () {
                var _this = this;
                App.upData({
                    url: App.config.urlPath + '/v2/device/CheckVersion?' + App.config.accompany,
                    data: {},
                    success: function (data) {
                        _this.version = data.result.version;
                    }
                });
                this.v = App.user.v;
                if (App.n.device) {
                    if (App.n.device.os.name == 'iOS') {
                        this.osup = App.nv.iosautoupdating;
                    } else {
                        this.osup = true;
                    }
                }
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            version: '',
            v: '',
            osup: false
        },
        methods: {
            unameChange: function () {
                if (this.upnameTime) {
                    clearTimeout(this.upnameTime);
                } else {
                    this.upnameTime = setTimeout(function () {
                        _this.upData();
                    }, 500);
                }
                this.upData();
            },
            down: function () {
                App.down();
            },
            odebug: function () {
                var _this = this;
                this._bk++;
                if (this._it) {
                    clearTimeout(this._it);
                }
                this._it = setTimeout(function () {
                    _this._bk = 0;
                }, 1000);
                if (this._bk > 2) {
                    if (!App.debug.show) {
                        if (App.debug._init) {
                            App.debug.open();
                        } else {
                            App.debug.init();
                        }
                    } else {
                        App.debug.close();
                    }
                }
            }
        }
    });
    return v;
});
define('tpl/shareRep.html', [], function () {
    return '<div class="views" id="reportshare" v-if="show" :transition="transitionName">\r\n    <div class="top-address ui-border-b">\r\n        <a href="#home">\r\n            <i class="am-icon-cx-49"></i>\r\n            <span>wowkitchen.cn</span>\r\n        </a>\r\n    </div>\r\n    <div class="body">\r\n        <img src="assets/imgs/share_bg.png" alt="望厨~专业服务">\r\n    </div>\r\n    <div class="download">\r\n        <div class="icons">\r\n            <img src="assets/imgs/share_icon.png" alt="">\r\n            <div class="title">望厨</div>\r\n            <div class="txt">探索厨房美学</div>\r\n        </div>\r\n        <a class="dl-btn" v-on:click="download">立即下载</a>\r\n    </div>\r\n</div>';
});
var App = App || {};
define('views/ucenter/repshare', [
    'uview',
    'tpl/shareRep.html'
], function (uview, tpl) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'reportshare',
            cxId: '#reportshare',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
            },
            cxReady: function () {
            },
            cxCreated: function () {
                App.n.vcheck.init();
            }
        },
        cxData: { transitionName: 'cxpFade' },
        methods: {
            download: function () {
                var ua = navigator.userAgent || navigator.vendor || window.opera;
                if (ua.match(/iPad/i) || ua.match(/iPhone/i) || ua.match(/iPod/i)) {
                    window.location.href = App.v.iosurl;
                } else if (ua.match(/Android/i)) {
                    window.location.href = App.v.androidurl;
                } else {
                    alert('望厨APP支持ios和安卓系统的手机\uFF01');
                }
            }
        }
    });
    return v;
});
define('tpl/u_bdpho.html', [], function () {
    return '<div class="views" id="u_bdphone" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="手机绑定"></com-utopbar><div class="uviews bodybg1" id="u_bdpho"><div id="u_bdPho" class=""><div class="phoicon"><i class="am-icon-cx-84"></i></div><div class="phonum"><input type="number" v-model="phone" placeholder="请输入您的手机号码">{{value.ordernumber}}</div><div class="bdnum"><a @click="upDataVad" class="upBtn">确认绑定</a></div></div><div class="am-g bdfooter"><div class="am-u-sm-2"><i class="am-icon-cx-84"></i></div><div class="am-u-sm-6"><span>望厨</span>探索厨房美学</div><div class="am-u-sm-4 bddownload"><a class="bddown">立即下载</a></div></div></div></div>';
});
var App = App || {};
define('views/ucenter/ubdpho', [
    'uview',
    'tpl/u_bdpho.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'ubdpho',
            cxId: '#u_bdpho',
            cxAutoload: true,
            cxAutoShow: true,
            cxInit: function () {
            },
            cxReady: function () {
            },
            cxCreated: function () {
                this.phone = App.user.info.cellphone;
                this.ordernumber = this.$options.vas;
                console.log(this.phone);
                console.log(this.ordernumber);
            }
        },
        cxData: {
            transitionName: 'cxpRight',
            phone: '',
            ordernumber: ''
        },
        methods: {
            upDataVad: function () {
                var _this = this;
                var _url = App.config.urlPath + '/V2/User/BindOrder?' + App.config.accompany;
                var _vas = {
                    ordernumber: this.ordernumber,
                    phone: this.phone
                };
                App.upData({
                    url: _url,
                    data: _vas,
                    success: function (data) {
                        if (data.state == 1) {
                            App.alert('绑定手机成功', {
                                closed: function () {
                                    window.location.href = '#ucenter';
                                    setTimeout(function () {
                                        window.location.href = '#ucenter/uordermx/' + _this.ordernumber;
                                    }, 500);
                                }
                            });
                        } else {
                            App.alert('错误');
                        }
                    }
                });
            }
        }
    });
    return v;
});
define('tpl/u_about_f.html', [], function () {
    return '<div class="views" id="" v-if="show" :transition="transitionName"><com-utopbar v-ref:utopbar title="服务条款"></com-utopbar><div class="uviews bodybg1" id="u_about"><div class="u_about_usf" style="padding:1.8rem"><div class="uabiconf"><h3>服务协议</h3><p class="MsoNormal" style="margin:0">欢迎您使用望厨\u3002请您务必审慎阅读本协议各条款内容\u3002当您注册登录成功\uFF0C或者用其他第三方账号登录\uFF0C亦或者直接或通过各类方式\uFF08如站外<span>API</span>引用等\uFF09间接使用望厨服务和数据\uFF0C即意味着您已阅读并完全接受本协议项下的全部条款\u3002如果您不同意本协议条款的约束\uFF0C请停止使用望厨的一切服务\u3002<span></span></p><p class="MsoNormal" style="margin:0"><br></p><p class="MsoNormal" style="margin:0">一<span>.</span>交易规范<span></span></p><p class="MsoNormal" style="margin:0">1.订单\uFF1A<span></span></p><p class="MsoNormal" style="margin:0">1.1.使用望厨下订单\uFF0C您应具备购买相关商品的权利能力和行为能力\uFF0C如果您在<span>18</span>周岁以下\uFF0C您需要在父母或监护人的监护参与下才能使用\u3002在下订单的同时\uFF0C即视为您满足上述条件\uFF0C并对您在订单中提供的所有信息的真实性负责\u3002<span></span></p><p class="MsoNormal" style="margin:0">1.2.在您下订单时\uFF0C请您仔细确认所购商品的名称\u3001价格\u3001数量\u3001型号\u3001规格\u3001尺寸\u3001联系地址\u3001电话\u3001收货人等信息\u3002收货人与您本人不一致的\uFF0C收货人的行为和意思表示视为您的行为和意思表示\uFF0C您应对收货人的行为及意思表示的法律后果承担连带责任\u3002<span></span></p><p class="MsoNormal" style="margin:0">1.3.您理解并同意\uFF1A望厨上展示的商品和价格等信息仅仅是要约邀请\uFF0C您下单时须填写您希望购买的商品数量\u3001价款及支付方式\u3001收货人\u3001联系方式\u3001收货地址\uFF08合同履行地点\uFF09\u3001合同履行方式等内容\uFF1B系统生成的订单信息是计算机信息系统根据您填写的内容自动生成的数据\uFF0C仅是您向望厨发出的合同要约\uFF1B望厨收到您的订单信息后\uFF0C只有在望厨将您在订单中订购的商品从仓库实际直接向您发出时\uFF08以商品出库为标志\uFF09\uFF0C方视为您与望厨之间就实际直接向您发出的商品建立了合同关系\uFF1B如果您在一份订单里订购了多种商品并且望厨只给您发出了部分商品时\uFF0C您与望厨之间仅就实际直接向您发出的商品建立了合同关系\uFF1B只有在望厨实际直接向您发出了订单中订购的其他商品时\uFF0C您和望厨之间就订单中其他已实际直接向您发出的商品才成立合同关系\u3002<span></span></p><p class="MsoNormal" style="margin:0">1.4.由于市场变化及各种以合理商业努力难以控制因素的影响\uFF0C望厨无法避免您提交的订单信息中的商品出现缺货情况\uFF1B如您下单所购买的商品发生缺货\uFF0C您有权取消订单\uFF0C望厨亦有权自行取消订单\uFF0C若您已经付款\uFF0C则为您办理退款\u3002<span></span></p><p class="MsoNormal" style="margin:0">2.配送\uFF1A<span></span></p><p class="MsoNormal" style="margin:0">2.1.您在望厨购买的商品将按照您所指定的送货地址进行配送\uFF0C所有在望厨上列出的送货时间为参考时间\uFF0C参考时间是根据库存状况\u3001正常的处理过程和送货时间\u3001送货地点进行估算的\uFF0C以收到货物的实际时间为准\u3002<span></span></p><p class="MsoNormal" style="margin:0">2.2.因如下情况造成订单延迟或无法配送等\uFF0C望厨将无法承担迟延配送的责任\uFF1A <span></span></p><p class="MsoNormal" style="margin:0">1\uFF09您提供的信息错误\u3001地址不详细等\uFF1B<span></span></p><p class="MsoNormal" style="margin:0">2\uFF09货物送达后无人签收\uFF0C导致的无法配送或延迟配送\uFF1B<span></span></p><p class="MsoNormal" style="margin:0">3\uFF09不可抗力\uFF0C例如\uFF1A自然灾害\u3001交通戒严\u3001突发战争等\u3002<span></span></p><p class="MsoNormal" style="margin:0">2.3.您应当清楚准确地填写您的送货地址\u3001联系人及联系方式等配送信息\uFF0C因您变更联系人或相关配送信息而造成的损失需由您自行承担\u3002<span></span></p><p class="MsoNormal" style="margin:0"><br></p><p class="MsoNormal" style="margin:0">二<span>.</span>用户行为规范<span></span></p><p class="MsoNormal" style="margin:0">1.您须对在望厨的注册信息的真实性\u3001合法性\u3001有效性承担全部责任\uFF1B否则望厨有权立即停止提供服务\uFF0C收回您的账号并由您独自承担由此而产生的一切法律责任\u3002<span></span></p><p class="MsoNormal" style="margin:0">2.您在望厨注册成功后\uFF0C应当对以您的账号进行的所有行为负法律责任\u3002<span></span></p><p class="MsoNormal" style="margin:0">3.您不得利用望厨制作\u3001上传\u3001复制\u3001发布\u3001传播或者转载以下内容\uFF1A<span></span></p><p class="MsoNormal" style="margin:0">1\uFF09危害国家安全\uFF0C泄露国家秘密的<span>;</span></p><p class="MsoNormal" style="margin:0">2\uFF09颠覆国家政权\uFF0C煽动国家分裂\uFF0C破坏国家统一的<span>;</span></p><p class="MsoNormal" style="margin:0">3\uFF09煽动破坏宪法\u3001法律\u3001行政法规的\uFF1B<span></span></p><p class="MsoNormal" style="margin:0">4\uFF09损害国家及国家机关荣誉\u3001利益的\uFF1B<span></span></p><p class="MsoNormal" style="margin:0">5\uFF09破坏国家宗教政策\uFF0C宣扬邪教和封建迷信的\uFF1B<span></span></p><p class="MsoNormal" style="margin:0">6\uFF09煽动民族仇恨\u3001民族歧视\u3001破坏民族团结的\uFF1B<span></span></p><p class="MsoNormal" style="margin:0">7\uFF09散布封建迷信\u3001淫秽\u3001色情\u3001赌博\u3001暴力\u3001凶杀\u3001恐怖\u3001教唆犯罪的\uFF1B<span></span></p><p class="MsoNormal" style="margin:0">8\uFF09捏造或歪曲事实\uFF0C散布谣言\uFF0C扰乱社会秩序\uFF0C破坏社会稳定的\uFF1B<span></span></p><p class="MsoNormal" style="margin:0">9\uFF09侮辱或者诽谤他人\uFF0C侵害他人合法权益的\uFF1B<span></span></p><p class="MsoNormal" style="margin:0">10\uFF09进行商业广告行为的\uFF1B<span></span></p><p class="MsoNormal" style="margin:0">11\uFF09其他违反宪法\u3001法律\u3001行政法规的\u3002<span></span></p><p class="MsoNormal" style="margin:0">4.望厨有权对您使用本<span>APP</span>的情况进行审查和监督\uFF0C如发现违反任何上述规定\uFF0C望厨或其授权的人有权要求您改正或直接采取一切必要的措施\uFF08包括但不限于更改或删除您张贴的内容\u3001暂停或终止您使用望厨的权利\uFF09以减轻您不当行为造成的影响\u3002<span></span></p><p class="MsoNormal" style="margin:0"><br></p><p class="MsoNormal" style="margin:0">三<span>.</span>知识产权<span></span></p><p class="MsoNormal" style="margin:0">1.您一旦接受本协议\uFF0C即表明您主动将您在任何时间段在望厨发表的任何形式的信息内容\uFF08包括但不限于客户评价\u3001客户咨询\u3001意见反馈等信息内容\uFF09的财产性权利\uFF0C如著作权财产权\uFF08包括并不限于\uFF1A复制权\u3001发行权\u3001出租权\u3001展览权\u3001表演权\u3001放映权\u3001广播权\u3001信息网络传播权\u3001摄制权\u3001改编权\u3001翻译权\u3001 汇编权以及应当由著作权人享有的其他可转让权利\uFF09\uFF0C全部独家且不可撤销地转让给望厨所有\uFF0C您同意望厨有权就任何主体侵权而单独提起诉讼\u3002 <span></span></p><p class="MsoNormal" style="margin:0">2.本协议已经构成\u300A中华人民共和国著作权法\u300B第二十五条\uFF08条文序号依照<span>2011</span>年版著作权法确定\uFF09及相关法律规定的著作财产权转让书面协议\uFF0C其效力及于您在望厨上发布的任何受著作权法保护的作品内容\uFF0C无论该等内容形成于本协议订立前还是本协议订立后\u3002<span></span></p><p class="MsoNormal" style="margin:0">3.您同意并已充分了解本协议的条款\uFF0C承诺不将已发表于望厨的信息\uFF0C以任何形式发布或授权其它主体以任何方式使用\uFF08包括但限于在各类网站\u3001媒体上使用\uFF09\u3002<span></span></p><p class="MsoNormal" style="margin:0">4.除法律另有强制性规定外\uFF0C未经望厨明确的特别书面许可<span>,</span>任何单位或个人不得以任何方式非法地全部或部分复制\u3001转载\u3001引用\u3001链接\u3001抓取或以其他方式使用望厨的信息内容\uFF0C否则\uFF0C望厨有权追究其法律责任\u3002<span></span></p><p class="MsoNormal" style="margin:0">5.望厨所刊登的资料信息\uFF08诸如文字\u3001图表\u3001标识\u3001按钮图标\u3001图像\u3001声音文件片段\u3001数字下载\u3001数据编辑和软件\uFF09\uFF0C均是望厨或其内容提供者的财产\uFF0C受中国和国际版权法的保护\u3002望厨上所有内容的汇编是望厨的排他财产\uFF0C受中国和国际版权法的保护\u3002望厨上所有软件都是望厨或其关联公司 或其软件供应商的财产\uFF0C受中国和国际版权法的保护\u3002 <span></span></p><p class="MsoNormal" style="margin:0"><br></p><p class="MsoNormal" style="margin:0">四<span>.</span>隐私声明<span></span></p><p class="MsoNormal" style="margin:0">1.您知悉并同意\uFF1A为便于向您提供更好的服务\uFF0C望厨将在您自愿选择服务或者提供信息的情况下收集您的个人信息\uFF0C并将这些信息进行整合\u3002在您使用望厨服务时\uFF0C服务器会自动记录一些信息\uFF0C包括但不限于<span>URL</span>\u3001<span>IP</span>地址\u3001浏览器类型\u3001使用语言\u3001访问日期和时间等\u3002为方便您登录或使用望厨的服务\uFF0C望厨在有需要时将使用<span>cookies</span>等技术\uFF0C并将收集到的信息发送到对应的服务器\u3002您可以选择接受或者拒绝<span>cookies</span>\u3002如您选择拒绝<span>cookies</span>\uFF0C则您有可能无法登录或使用依赖于<span>cookies</span>的服务或者功能\u3002望厨收集的信息将成为望厨常规商业档案的一部分\uFF0C且有可能因为转让\u3001合并\u3001收购\u3001重组等原因而被转移到望厨的继任公司或者指定的一方\u3002望厨同意善意使用收集的信息\uFF0C且采取各项措施保证信息安全\u3002<span></span></p><p class="MsoNormal" style="margin:0">2.尊重您个人隐私是望厨的一项基本政策\u3002所以\uFF0C望厨不会公开或透露您的注册资料及保存在望厨各项服务中的非公开内容\uFF0C除非望厨在诚信的基础上认为透露这些信息在以下几种情况是必要的\uFF1A<span></span></p><p class="MsoNormal" style="margin:0">1\uFF09事先获得您的明确授权\uFF1B或<span></span></p><p class="MsoNormal" style="margin:0">2\uFF09遵守有关法律规定\uFF0C包括在国家有关机关查询时\uFF0C提供您的注册信息\u3001您在望厨发布的信息内容及其发布时间\u3001互联网地址或者域名\uFF1B或<span></span></p><p class="MsoNormal" style="margin:0">3\uFF09保持维护望厨的知识产权和其他重要权利\uFF1B或<span></span></p><p class="MsoNormal" style="margin:0">4\uFF09在紧急情况下竭力维护您个人和社会大众的隐私安全\uFF1B或<span></span></p><p class="MsoNormal" style="margin:0">5\uFF09根据本条款相关规定或者望厨认为必要的其他情况下\u3002<span></span></p><p class="MsoNormal" style="margin:0">3.望厨可能会与第三方合作向您提供相关的网络服务\uFF0C在此情况下\uFF0C如该第三方同意承担与望厨同等的保护您隐私的责任\uFF0C则望厨可将您的信息提供给该第三方\u3002<span></span></p><p class="MsoNormal" style="margin:0"><br></p><p style="text-align:justify;margin:0">五<span>.</span>免责声明</p><p class="MsoNormal" style="margin:0">1.您将照片\u3001个人信息等资料上传到望厨上\uFF0C有可能会被其他组织或个人复制\u3001转载\u3001擅改或做其它非法用途\uFF0C您必须充分意识此类风险的存在\u3002您明确同意使用望厨服务所存在的风险\uFF08包括但不限于受到第三方侵权或对第三方造成侵权\uFF09将完全由您自己承担\uFF1B因您使用望厨服务而产生的一切后果也由您自己承担\uFF0C您对此不承担任何责任\u3002<span></span></p><p class="MsoNormal" style="margin:0">2.望厨不担保本服务一定能满足您的要求\uFF0C也不担保本服务不会中断\uFF0C对本服务的及时性\u3001安全性\u3001准确性\u3001真实性\u3001完整性也都不作担保\u3002<span></span></p><p class="MsoNormal" style="margin:0">3.对于因不可抗力或望厨不能控制的原因造成的本服务中断或其它缺陷\uFF0C望厨不承担任何责任\uFF0C但将尽力减少因此而给您造成的损失和影响\u3002<span></span></p><p class="MsoNormal" style="margin:0">4.作为网络服务提供者\uFF0C对非法转载\uFF0C虚假发布\u3001盗版行为的发生不具备充分的监控能力\u3002望厨对他人在网站和<span> APP </span>上实施的此类侵权行为不承担法律责任\uFF0C侵权的法律责任概由本人承担\u3002<span></span></p><p class="MsoNormal" style="margin:0"><br></p><p class="MsoNormal" style="margin:0">六<span>.</span>协议修改<span></span></p><p class="MsoNormal" style="margin:0">1.望厨将有权随时修改本协议的相关条款\uFF0C一旦本协议的内容发生变动\uFF0C望厨将会通过适当方式予以通知\u3002<span></span></p>2.如果不同意对本协议相关条款所做的修改\uFF0C您有权停止使用本服务\u3002如果您继续使用本服务\uFF0C则视为您接收望厨对本协议相关条款所做的修改\u3002<p></p></div></div></div></div>';
});
var App = App || {};
define('views/ucenter/uaboutf', [
    'uview',
    'tpl/u_about_f.html',
    'utopbar'
], function (uview, tpl, utopbar) {
    var v = uview.extend({
        template: tpl,
        components: { 'com-utopbar': utopbar },
        objectExtend: {
            cxName: 'uaboutf',
            cxId: '',
            cxWpid: '#u_about',
            cxApi: '',
            cxAutoload: true,
            cxAutoShow: true,
            upnameTime: null,
            cxInit: function () {
            },
            cxReady: function () {
            },
            cxCreated: function () {
            }
        },
        cxData: { transitionName: 'cxpRight' },
        methods: {}
    });
    return v;
});
var App = App || {};
define('views/ucenter', [
    'uview',
    'tpl/ucenter.html',
    'views/ucenter/uindex',
    'views/ucenter/uset',
    'views/ucenter/uorder',
    'views/ucenter/uwish',
    'views/ucenter/uyouhui',
    'views/ucenter/umsg',
    'views/ucenter/uaddress',
    'views/ucenter/ufeedback',
    'views/ucenter/udevice',
    'views/ucenter/udeviceAdd',
    'views/ucenter/udeviceinfo',
    'views/ucenter/uaddr',
    'views/ucenter/uaddrEdit',
    'views/ucenter/uaddrNew',
    'views/ucenter/ureportList',
    'views/ucenter/urepInfo',
    'views/ucenter/ureport',
    'views/ucenter/ubdacc',
    'views/ucenter/ubdphone',
    'views/ucenter/uwork',
    'views/ucenter/uworkreplist',
    'views/ucenter/uordermx',
    'views/ucenter/uorderlog',
    'views/ucenter/usetHd',
    'views/ucenter/uabout',
    'views/ucenter/repshare',
    'views/ucenter/ubdpho',
    'views/ucenter/uaboutf'
], function (uview, tpl, uindex, uset, uorder, uwish, uyouhui, umsg, uaddress, ufeedback, udevice, udeviceAdd, udeviceinfo, uaddr, uaddrEdit, uaddrNew, ureportList, urepInfo, ureport, ubdacc, ubdphone, uwork, uworkreplist, uordermx, uorderlog, usetHd, uabout, repshare, ubdpho, uaboutf) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'ucenter',
            cxId: '#u-center',
            cxChildId: '#u_center',
            cxAutoShow: true,
            cxChildPage: {
                'uindex': uindex,
                'uset': uset,
                'uorder': uorder,
                'uwish': uwish,
                'uyouhui': uyouhui,
                'umsg': umsg,
                'uaddress': uaddress,
                'ufeedback': ufeedback,
                'udevice': udevice,
                'udeviceAdd': udeviceAdd,
                'udeviceinfo': udeviceinfo,
                'uaddr': uaddr,
                'uaddrEdit': uaddrEdit,
                'uaddrNew': uaddrNew,
                'ureportList': ureportList,
                'urepInfo': urepInfo,
                'ureport': ureport,
                'ubdacc': ubdacc,
                'ubdphone': ubdphone,
                'uwork': uwork,
                'uworkreplist': uworkreplist,
                'uordermx': uordermx,
                'uorderlog': uorderlog,
                'usetHd': usetHd,
                'uabout': uabout,
                'repshare': repshare,
                'ubdpho': ubdpho,
                'uaboutf': uaboutf
            },
            cxReady: function () {
                App.trace('uenter_initPage:' + this.$options._initPage);
                if (typeof this.$options._initPage != 'undefined') {
                    this.openChild(this.$options._initPage);
                } else {
                    this.openChild('uindex');
                }
            },
            cxNextTick: function () {
                if (this.cxChildP.cxName != 'uindex') {
                    App.footbar(false);
                } else {
                    App.footbar(true);
                }
            }
        },
        cxData: { transitionName: 'cxpFade' },
        methods: {}
    });
    return v;
});
define('tpl/u_login.html', [], function () {
    return '<div class="views" v-if="show" :transition="transitionName"><div class="am-container" id="u_login"><div class="head-back"><div class="am-u-sm-1"><a v-on:click="goBack()"><i class="am-icon-cx-77"></i></a></div></div><div class="u_login_bg"><img src="assets/imgs/ubg02.jpg"></div><div class="am-containe" id="u_login_main"><div class="am-tabs cx-tabs" data-am-tabs="{noSwipe: 1}"><ul class="am-tabs-nav am-nav am-nav-tabs cx-tbnav"><li class="am-active"><a href="#tab1">验证码</a></li><li class=""><a href="#tab2">账号</a></li></ul><div class="am-tabs-bd"><div class="am-tab-panel am-active" id="tab1"><form class="am-form am-form-horizontal cx-form"><div class="am-form-group"><label for="doc-ipt-3" class="am-u-sm-1 am-form-label"><i class="am-icon-cx-84"></i></label><div class="am-u-sm-6"><input type="number" v-model="accountA" id="accountA" placeholder="请输入您的手机号码" v-on:keyup="testPhone(accountA,\'a\')" maxlength="11"></div><div class="am-u-sm-5"><a class="takVad {{active}}" id="takVad" v-on:click.stop="upDataSendVad">获取验证码</a></div></div><div class="am-form-group"><label for="doc-ipt-pwd-2" class="am-u-sm-1 am-form-label"><i class="am-icon-cx-85"></i></label><div class="am-u-sm-11"><input type="number" v-model="pwdA" id="pwdA" placeholder="请输入验证码" v-on:focus="clear($event,accountA)" v-on:keyup="testCode(pwdA)"></div></div><div class="am-form-group"><div class="am-u-sm-12"><a class="am-btn cx-btn-sbmt {{aBtnActive}}" id="loginBtnA" v-on:click.stop="logBtnA($event)">登录</a></div><div class="am-u-sm-12 u_login_ts"><a href="#reg" class="am-btn cx-btn-reg">注册</a></div></div></form></div><div class="am-tab-panel" id="tab2"><form class="am-form am-form-horizontal cx-form"><div class="am-form-group"><label for="doc-ipt-3" class="am-u-sm-1 am-form-label"><i class="am-icon-cx-84"></i></label><div class="am-u-sm-11"><input type="number" v-model="accountB" id="accountB" placeholder="请输入手机号码" maxlength="11" v-on:keyup="testPhone(accountB,\'b\')"></div></div><div class="am-form-group"><label for="doc-ipt-pwd-2" class="am-u-sm-1 am-form-label"><i class="am-icon-cx-85"></i></label><div class="am-u-sm-11"><input type="password" v-model="pwdB" id="pwdB" placeholder="请输入密码" v-on:focus="clear($event,accountB)" v-on:keyup="testPassword(pwdB)"></div></div><div class="am-form-group"><div class="am-u-sm-12"><a @click.self="logBtnB($event)" class="am-btn cx-btn-sbmt {{bBtnActive}}" id="loginBtnB">登录</a></div><div class="am-u-sm-12 u_login_ts"><a href="#reg" class="am-btn cx-btn-reg">注册</a></div></div></form></div></div></div></div></div><iframe height="0"></iframe></div>';
});
var App = App || {};
define('views/login', [
    'uview',
    'tpl/u_login.html'
], function (uview, tpl) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'login',
            cxId: '#u-login',
            cxWpid: '#u_login',
            cxApi: '/account/login',
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
                App.cxmain.$refs.loginbar.show = false;
            },
            cxReady: function () {
            },
            cxCreated: function () {
            },
            appendComplete: function () {
                var _self = this;
                var t = setTimeout(function () {
                    _self.testPhone(_self.accountA);
                    _self.testCode(_self.pwdA);
                    _self.testPhone(_self.accountB);
                    _self.testPassword(_self.pwdB);
                    clearTimeout(t);
                }, 2000);
            }
        },
        cxData: {
            accountA: '',
            accountB: '',
            pwdA: '',
            pwdB: '',
            canSend: true,
            isClear: false,
            active: 'grey',
            aPhoneValid: false,
            aBtnActive: 'grey',
            aCanLog: false,
            bPhoneValid: false,
            bBtnActive: 'grey',
            bCanLog: false
        },
        methods: {
            upDataSendVad: function (e) {
                var _self = this;
                if (_self.canSend && _self.aPhoneValid) {
                    _self.canSend = false;
                    var _url = App.config.urlPath + '/code/send?' + App.config.accompany;
                    var _vas = {
                        type: 2,
                        phone: _self.accountA
                    };
                    $('#takVad').text('发送中...');
                    App.upData({
                        url: _url,
                        data: _vas,
                        success: function (data) {
                            if (data.state == 1) {
                                App.alert('动态码已发送', { tips: true });
                                var secs = 59;
                                var backgroundTime = Math.round(new Date().getTime() / 1000);
                                App.trace('开始计时时间戳' + backgroundTime);
                                var t = setInterval(function () {
                                    $('#takVad').text(secs + '秒后重新发送');
                                    if (secs == 0) {
                                        $('#takVad').text('发送验证码');
                                        _self.canSend = true;
                                        clearInterval(t);
                                    }
                                    secs--;
                                }, 1000);
                                document.addEventListener('resume', function () {
                                    btc = backgroundTime;
                                    App.trace('退出时间戳' + btc);
                                    var nowTime = Math.round(new Date().getTime() / 1000);
                                    App.trace('恢复时间戳' + nowTime);
                                    var passSec = nowTime - btc;
                                    App.trace('减秒:' + passSec);
                                    if (passSec != 0) {
                                        if (passSec < 59) {
                                            secs = 59 - passSec;
                                            $('#takVad').text(secs + '秒后重新发送');
                                            App.trace('恢复&减秒' + secs);
                                        } else {
                                            $('#takVad').text('发送验证码');
                                            _self.canSend = true;
                                            clearInterval(t);
                                            App.trace('恢复&解除' + secs);
                                        }
                                    }
                                }, false);
                            } else {
                                $('#takVad').text('发送验证码');
                                _self.canSend = true;
                                App.alert(data.errordes);
                            }
                        }
                    });
                }
            },
            clear: function (event, phone) {
                if (this.isClear) {
                    event.target.value = '';
                    this.isClear = false;
                }
                this.testPhone(phone);
            },
            testPhone: function (phone, flag) {
                if (flag == 'a') {
                    if (phone.length != 11) {
                        this.aPhoneValid = false;
                        this.active = 'grey';
                    } else {
                        this.aPhoneValid = true;
                        this.active = '';
                    }
                } else {
                    this.bPhoneValid = phone.length == 11 ? true : false;
                }
                this.testLogin(flag);
            },
            testCode: function (code) {
                this.codeValid = code.length != 6 ? false : true;
                this.testLogin('a');
            },
            testPassword: function (password) {
                this.passwordValid = password.length <= 18 && password.length >= 6 ? true : false;
                this.testLogin('b');
            },
            testLogin: function (flag) {
                if (flag == 'a') {
                    if (this.aPhoneValid && this.codeValid) {
                        this.aBtnActive = '';
                        this.aCanLog = true;
                    } else {
                        this.aBtnActive = 'grey';
                        this.aCanLog = false;
                    }
                } else {
                    if (this.bPhoneValid && this.passwordValid) {
                        this.bBtnActive = '';
                        this.bCanLog = true;
                    } else {
                        this.bBtnActive = 'grey';
                        this.bCanLog = false;
                    }
                }
            },
            logBtnA: function (evt) {
                if (this.aCanLog) {
                    evt.preventDefault();
                    this.login(this.accountA, this.pwdA, 0);
                }
            },
            logBtnB: function (evt) {
                if (this.bCanLog) {
                    evt.preventDefault();
                    this.login(this.accountB, this.pwdB, 1);
                }
            },
            login: function (_account, _pwd, _type) {
                var _this = this;
                var isValid = _type ? this.bCanLog : this.aCanLog;
                if (isValid) {
                    var _url = App.config.urlPath + this.cxApi + '?' + App.config.accompany;
                    var vas = {
                        type: _type,
                        account: _account,
                        pwd: _pwd
                    };
                    if (_type == 0)
                        vas.code = $('#pwdA').val();
                    App.upData({
                        url: _url,
                        data: vas,
                        success: function (data) {
                            if (data.state == 1) {
                                var result = data.result;
                                App.user.token = result.token;
                                App.user.uid = result.uid;
                                App.ldUserinfo(function () {
                                    App.trace('登陆成功token:' + $.cookie('token'));
                                    _this.goBack();
                                });
                                App.trace('登陆成功token:' + App.user.token);
                                _this.cosLoagin();
                                localStorage.removeItem('home');
                            } else {
                                _this.isClear = true;
                                var rest = data.result.rest;
                                if (data.resultcode == '1001') {
                                    if (rest == 0) {
                                        App.alert(data.errordes + ',账号被锁定');
                                    } else if (rest <= 3) {
                                        App.alert(data.errordes + '\uFF0C您还能输入' + rest + '次');
                                    } else {
                                        App.alert(data.errordes, { tips: true });
                                    }
                                } else {
                                    App.alert(data.errordes, { tips: true });
                                }
                            }
                        }
                    });
                }
            },
            cosLoagin: function () {
                var $iframe = $('<iframe>');
                var _url = App.config.oldPath + '/ssopage.aspx?' + App.config.accompany;
                $iframe.attr('src', _url);
                $('head').append($iframe);
                $iframe[0].onload = function () {
                    console.log('加载完成');
                };
                return false;
            }
        }
    });
    return v;
});
define('tpl/u_reg.html', [], function () {
    return '<div class="am-page" id="uc-login" v-if="show" :transition="transitionName"><div class="views"><div class="am-container" id="u_login"><div class="head-back"><div class="am-u-sm-1"><a v-on:click="goBack()"><i class="am-icon-cx-77"></i></a></div></div><div class="u_login_bg"><img src="assets/imgs/ubg02.jpg"></div><div class="am-containe" id="u_reg_main"><div class="am-tabs cx-tabs"><div class="am-tabs-bd"><div class="am-tab-panel am-active" id="tab1"><form id="u_reg_form" class="am-form am-form-horizontal cx-form"><div class="am-form-group"><label for="doc-ipt-3" class="am-u-sm-1 am-form-label"><i class="am-icon-cx-84"></i></label><div class="am-u-sm-6"><input type="number" id="phone" name="phone" v-model="phone" placeholder="请输入手机号码" maxlength="11" v-on:keyup="testPhone(phone)"></div><div class="am-u-sm-5"><a v-on:click="upDataSendVad" class="takVad {{active}}" id="takVadReg">获取验证码</a></div></div><div class="am-form-group"><label for="doc-ipt-pwd-2" class="am-u-sm-1 am-form-label"><i class="am-icon-cx-85"></i></label><div class="am-u-sm-11"><input type="number" id="code" name="code" value="" v-model="code" placeholder="六位手机短信验证码" v-on:focus="clear($event)" v-on:keyup="testCode(code)"></div></div><div class="am-form-group"><label for="doc-ipt-pwd-2" class="am-u-sm-1 am-form-label"><i class="am-icon-cx-85"></i></label><div class="am-u-sm-10"><input type="{{type}}" id="pwd" name="pwd" v-model="pwd" placeholder="请输入6-18位新密码" v-on:keyup="testPassword(pwd)"></div><div class="am-u-sm-1 am-form-label"><i v-on:click="showPwd" class="am-icon-cx-92 {{icon}}"></i></div></div><div class="am-form-group"><div class="am-u-sm-12"><a id="submit" class="am-btn am-btn-default cx-btn-sbmt {{regActive}}" v-on:click="submit">注册</a><div class="u_login_ts">点击注册即表示同意并遵守望厨的<a class="clause" href="#ucenter/uaboutf">服务条款</a></div></div></div></form></div></div></div></div></div></div></div>';
});
var App = App || {};
define('views/reg', [
    'uview',
    'tpl/u_reg.html'
], function (uview, tpl) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'reg',
            cxId: '#u-login',
            cxWpid: '#u_login',
            cxApi: '/account/register',
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
            },
            cxReady: function () {
            },
            appendComplete: function () {
                var _self = this;
                var t = setTimeout(function () {
                    _self.testPhone(_self.phone);
                    _self.testCode(_self.code);
                    _self.testPassword(_self.pwd);
                    clearTimeout(t);
                }, 2000);
            }
        },
        cxData: {
            phone: '',
            code: '',
            pwd: '',
            canSend: true,
            isClear: false,
            type: 'password',
            icon: 'grey',
            phoneValid: false,
            active: 'grey',
            codeValid: false,
            passwordValid: false,
            regActive: 'grey',
            canReg: false
        },
        methods: {
            upDataSendVad: function (e) {
                var _self = this;
                if (_self.canSend && _self.phoneValid) {
                    _self.canSend = false;
                    var _url = App.config.urlPath + '/code/send?' + App.config.accompany;
                    var _vas = {
                        type: 0,
                        phone: _self.phone
                    };
                    var $tvr = $('#takVadReg');
                    $tvr.text('发送中...');
                    App.upData({
                        url: _url,
                        data: _vas,
                        success: function (data) {
                            if (data.state == 1) {
                                App.alert('动态码已发送', { tips: true });
                                var secs = 59;
                                var backgroundTime = Math.round(new Date().getTime() / 1000);
                                App.trace('开始计时时间戳' + backgroundTime);
                                _self.interval = setInterval(function () {
                                    $tvr.text(secs + '秒后重新发送');
                                    if (secs == 0) {
                                        $tvr.text('发送验证码');
                                        _self.canSend = true;
                                        clearInterval(_self.interval);
                                    }
                                    secs--;
                                }, 1000);
                                document.addEventListener('resume', function () {
                                    btc = backgroundTime;
                                    App.trace('退出时间戳' + btc);
                                    var nowTime = Math.round(new Date().getTime() / 1000);
                                    App.trace('恢复时间戳' + nowTime);
                                    var passSec = nowTime - btc;
                                    App.trace('减秒:' + passSec);
                                    if (passSec != 0) {
                                        if (passSec < 59) {
                                            secs = 59 - passSec;
                                            $('#takVad').text(secs + '秒后重新发送');
                                            App.trace('恢复&减秒' + secs);
                                        } else {
                                            $('#takVad').text('发送验证码');
                                            _self.canSend = true;
                                            clearInterval(t);
                                            App.trace('恢复&解除' + secs);
                                        }
                                    }
                                }, false);
                            } else {
                                $tvr.text('发送验证码');
                                _self.canSend = true;
                                App.alert(data.errordes);
                            }
                        }
                    });
                }
            },
            clear: function (event) {
                if (this.isClear) {
                    event.target.value = '';
                    this.isClear = false;
                }
                this.testPhone(this.phone);
            },
            testPhone: function (phone) {
                if (phone.length != 11) {
                    this.phoneValid = false;
                    this.active = 'grey';
                    return false;
                } else {
                    this.phoneValid = true;
                    this.active = '';
                    return true;
                }
                this.testReg();
            },
            testCode: function (code) {
                this.codeValid = code.length != 6 ? false : true;
                this.testReg();
            },
            testPassword: function (password) {
                this.passwordValid = password.length <= 18 && password.length >= 6 ? true : false;
                this.testReg();
            },
            testReg: function () {
                if (this.phoneValid && this.codeValid && this.passwordValid) {
                    this.regActive = '';
                    this.canReg = true;
                } else {
                    this.regActive = 'grey';
                    this.canReg = false;
                }
            },
            submit: function () {
                var _self = this;
                if (this.canReg) {
                    var _url = App.config.urlPath + '/account/register';
                    var vas = {
                        phone: _self.phone,
                        pwd: _self.pwd,
                        code: _self.code
                    };
                    App.upData({
                        url: _url,
                        data: vas,
                        success: function (data) {
                            if (data.state == 1) {
                                App.cxmain.openChild('ucenter');
                            } else {
                                App.alert(data.errordes, { tips: true });
                            }
                        }
                    });
                }
            },
            showPwd: function () {
                if (this.type == 'password') {
                    this.type = 'text';
                    this.icon = '';
                } else {
                    this.type = 'password';
                    this.icon = 'grey';
                }
            }
        }
    });
    return v;
});
define('tpl/u_reset.html', [], function () {
    return '<div class="am-page" id="uc-login" v-if="show" :transition="transitionName"><div class="views"><div class="am-container" id="u_login"><div class="head-back"><div class="am-u-sm-1"><a v-on:click="goBack()"><i class="am-icon-cx-77"></i></a></div></div><div class="u_login_bg"><img src="assets/imgs/ubg02.jpg"></div><div class="am-containe" id="u_reg_main"><div class="am-tabs cx-tabs"><div class="am-tabs-bd"><div class="am-tab-panel am-active" id="tab1"><form id="u_reg_form" class="am-form am-form-horizontal cx-form"><div class="am-form-group"><label for="doc-ipt-3" class="am-u-sm-1 am-form-label"><i class="am-icon-cx-84"></i></label><div class="am-u-sm-6"><input type="number" id="phone" name="phone" v-model="phone" placeholder="请输入手机号码" maxlength="11" v-on:keyup="testPhone(phone)"></div><div class="am-u-sm-5"><a v-on:click="upDataSendVad" class="takVad {{active}}" id="takVad">获取验证码</a></div></div><div class="am-form-group"><label for="doc-ipt-pwd-2" class="am-u-sm-1 am-form-label"><i class="am-icon-cx-85"></i></label><div class="am-u-sm-11"><input type="number" id="code" name="code" value="" v-model="code" placeholder="六位手机短信验证码" v-on:focus="clear($event)" v-on:keyup="testCode(code)"></div></div><div class="am-form-group"><label for="doc-ipt-pwd-2" class="am-u-sm-1 am-form-label"><i class="am-icon-cx-85"></i></label><div class="am-u-sm-10"><input type="{{type}}" id="pwd" name="pwd" v-model="pwd" placeholder="请输入6-18位新密码" v-on:keyup="testPassword(pwd)"></div><div class="am-u-sm-1 am-form-label"><i v-on:click="showPwd" class="am-icon-cx-92 {{icon}}"></i></div></div><div class="am-form-group"><div class="am-u-sm-12"><a id="submit" class="am-btn am-btn-default cx-btn-sbmt {{resetActive}}" v-on:click="submit">确认</a></div></div></form></div></div></div></div></div></div></div>';
});
var App = App || {};
define('views/reset', [
    'uview',
    'tpl/u_reset.html'
], function (uview, tpl) {
    var v = uview.extend({
        template: tpl,
        objectExtend: {
            cxName: 'reset',
            cxId: '#u-login',
            cxWpid: '#u_login',
            cxApi: '/account/resetpwd',
            cxAutoShow: true,
            cxInit: function () {
                App.footbar(false);
            },
            cxReady: function () {
            },
            cxCreated: function () {
            }
        },
        cxData: {
            phone: '',
            code: '',
            pwd: '',
            type: 'password',
            icon: 'grey',
            canSend: true,
            isClear: false,
            phoneValid: false,
            active: 'grey',
            codeValid: false,
            passwordValid: false,
            resetActive: 'grey',
            canReset: false
        },
        methods: {
            upDataSendVad: function (e) {
                var _self = this;
                if (_self.canSend) {
                    var isValid = _self.testPhone(_self.phone);
                    if (isValid) {
                        _self.canSend = false;
                        var _url = App.config.urlPath + '/code/send?' + App.config.accompany;
                        var _vas = {
                            type: 4,
                            phone: _self.phone
                        };
                        $('#takVad').text('发送中...');
                        App.upData({
                            url: _url,
                            data: _vas,
                            success: function (data) {
                                if (data.state == 1) {
                                    App.alert('动态码已发送', { tips: true });
                                    var secs = 59;
                                    var backgroundTime = Math.round(new Date().getTime() / 1000);
                                    App.trace('开始计时时间戳' + backgroundTime);
                                    var t = setInterval(function () {
                                        $('#takVad').text(secs + '秒后重新发送');
                                        if (secs == 0) {
                                            $('#takVad').text('发送验证码');
                                            _self.canSend = true;
                                            clearInterval(t);
                                        }
                                        secs--;
                                    }, 1000);
                                    document.addEventListener('resume', function () {
                                        btc = backgroundTime;
                                        App.trace('退出时间戳' + btc);
                                        var nowTime = Math.round(new Date().getTime() / 1000);
                                        App.trace('恢复时间戳' + nowTime);
                                        var passSec = nowTime - btc;
                                        App.trace('减秒:' + passSec);
                                        if (passSec != 0) {
                                            if (passSec < 59) {
                                                secs = 59 - passSec;
                                                $('#takVad').text(secs + '秒后重新发送');
                                                App.trace('恢复&减秒' + secs);
                                            } else {
                                                $('#takVad').text('发送验证码');
                                                _self.canSend = true;
                                                clearInterval(t);
                                                App.trace('恢复&解除' + secs);
                                            }
                                        }
                                    }, false);
                                } else {
                                    $('#takVad').text('发送验证码');
                                    _self.canSend = true;
                                    App.alert(data.errordes);
                                }
                            }
                        });
                    }
                }
            },
            clear: function (event) {
                if (this.isClear) {
                    event.target.value = '';
                    this.isClear = false;
                }
            },
            testPhone: function (phone) {
                if (phone.length != 11) {
                    App.alert('输入的手机号有误\uFF0C请重新输入');
                    return false;
                } else {
                    return true;
                }
            },
            showPwd: function () {
                if (this.type == 'password') {
                    this.type = 'text';
                    this.icon = '';
                } else {
                    this.type = 'password';
                    this.icon = 'grey';
                }
            },
            testPhone: function (phone) {
                if (phone.length != 11) {
                    this.phoneValid = false;
                    this.active = 'grey';
                    return false;
                } else {
                    this.phoneValid = true;
                    this.active = '';
                    return true;
                }
                this.testReset();
            },
            testCode: function (code) {
                this.codeValid = code.length != 6 ? false : true;
                this.testReset();
            },
            testPassword: function (password) {
                this.passwordValid = password.length <= 18 && password.length >= 6 ? true : false;
                this.testReset();
            },
            testReset: function () {
                if (this.phoneValid && this.codeValid && this.passwordValid) {
                    this.resetActive = '';
                    this.canReset = true;
                } else {
                    this.resetActive = 'grey';
                    this.canReset = false;
                }
            },
            submit: function () {
                var _self = this;
                var isValid = _self.testPhone(_self.phone);
                if (isValid) {
                    var _url = App.config.urlPath + '/account/resetpwd?' + App.config.accompany;
                    var vas = {
                        phone: _self.phone,
                        pwd: _self.pwd,
                        code: _self.code
                    };
                    App.upData({
                        url: _url,
                        data: vas,
                        success: function (data) {
                            if (data.state == 1) {
                                App.cxmain.openChild('ucenter');
                            } else {
                                App.alert(data.errordes, { tips: true });
                            }
                        }
                    });
                }
            }
        }
    });
    return v;
});
define('tpl/bar_b1.html', [], function () {
    return '<footer class="am-navbar am-cf am-navbar-default" id="navbar_bm" cxid="cx_b1" v-if="show"><div class="am-g ui-border-t"><ul class="am-navbar-nav am-cf am-avg-sm-4 ui-border-t"><div class="am-u-sm-3"><a href="#home" :class="{\'act\':ai }" id="a_index"><span class="am-icon-cx-49"></span> <span class="am-navbar-label">首页</span></a></div><div class="am-u-sm-3"><a @click="goMall" :class="{\'act\':am }" id="a_mall"><span class="am-icon-cx-51"></span> <span class="am-navbar-label">发现</span></a></div><div class="am-u-sm-3"><a href="{{a_buy}}" @click="openBuy" :class="{\'act\':ab }" id="a_buy"><span class="am-icon-cx-53"></span> <span class="am-navbar-label">购买</span></a></div><div class="am-u-sm-3"><a href="#ucenter" :class="{\'act\':au }" id="a_ucenter"><span class="am-icon-cx-55"></span> <span class="am-navbar-label">我</span></a></div></ul></div></footer>';
});
var App = App || {};
define('footbar', [
    'vue',
    'tpl/bar_b1.html'
], function (Vue, tpl) {
    var v = Vue.extend({
        template: tpl,
        data: function () {
            return {
                ai: true,
                am: false,
                ab: false,
                au: false,
                show: true,
                a_buy: '#buy'
            };
        },
        created: function () {
            if (App.config.token == '') {
                this.a_buy = 'javascript:void(0)';
            }
        },
        methods: {
            change: function (_pname) {
                this.ai = false;
                this.am = false;
                this.ab = false;
                this.au = false;
                switch (_pname) {
                case 'home':
                    this.ai = true;
                    break;
                case 'mall':
                    this.am = true;
                    break;
                case 'buy':
                    this.ab = true;
                    break;
                case 'ucenter':
                    this.au = true;
                    break;
                case 'login':
                    this.au = true;
                    break;
                }
            },
            setBuyBtn: function () {
                if (App.config.token == '') {
                    this.a_buy = 'javascript:void(0)';
                } else {
                    this.a_buy = '#buy';
                }
            },
            goMall: function () {
                App.discovery = {};
                window.location.href = '#mall';
            },
            openBuy: function () {
                if (App.config.token == '') {
                    App.login.show();
                }
            }
        }
    });
    return v;
});
define('tpl/u_loginmethod.html', [], function () {
    return '<div v-if="show"><div class="am-dimmer am-active" data-am-dimmer="" style="display: block"></div><section :transition="transitionName" id="choose-log-method" class="choose-log-method"><div class="am-u-sm-12"><h1>登录</h1></div><div class="am-u-sm-6 wechat-login"><a v-on:click="wechatLogin"><i class="am-icon-cx-87"></i></a><p>微信登录</p></div><div class="am-u-sm-6 normal-login"><a href="#login"><i class="am-icon-cx-88"></i></a><p>注册/登录</p></div><div class="am-u-sm-12 cancel-btn" v-on:click="cancel"><a class="">取消</a></div></section></div>';
});
var App = App || {};
define('views/component/login', [
    'uview',
    'tpl/u_loginmethod.html'
], function (uview, tpl) {
    var v = uview.extend({
        template: tpl,
        cxData: {
            transitionName: 'cxpBottomIn',
            show: false
        },
        methods: {
            cancel: function () {
                this.show = false;
            },
            wechatLogin: function () {
                var _self = this;
                App.trace('plus:' + window.plus);
                if (window.plus) {
                    App.trace('wechat login');
                    plus.oauth.getServices(function (services) {
                        var auth;
                        for (var i = 0; i < services.length; i++) {
                            if (services[i].id == 'weixin') {
                                auth = services[i];
                            }
                        }
                        if (auth.id == 'weixin') {
                            var w = null;
                            if (plus.os.name == 'Android') {
                                w = plus.nativeUI.showWaiting();
                            }
                            document.addEventListener('pause', function () {
                                setTimeout(function () {
                                    w && w.close();
                                    w = null;
                                }, 2000);
                            }, false);
                            auth.login(function () {
                                w && w.close();
                                w = null;
                                App.trace('wechat login getInfo success');
                                _self.sendCode(auth.authResult.access_token, auth.authResult.openid);
                                App.trace('wechat login getInfo success:' + auth.authResult.access_token);
                            }, function (e) {
                                w && w.close();
                                w = null;
                                App.alert('登录认证失败\uFF1A' + '[' + e.code + ']\uFF1A' + e.message);
                            });
                        } else {
                            App.alert('无效的登录认证通道\uFF01');
                        }
                    }, function (e) {
                        App.alert('获取登录认证失败\uFF1A' + e.message);
                    });
                }
            },
            sendCode: function (token, openid) {
                var _self = this;
                App.trace('wechat sendCode' + token + '---------' + openid);
                App.upData({
                    url: App.config.urlPath + '/account/wxapplogin',
                    data: {
                        token: token,
                        openid: openid
                    },
                    success: function (data) {
                        App.trace('wechat sendCode state:' + data.state);
                        if (data.state == 1) {
                            var result = data.result;
                            App.user.token = result.token;
                            App.user.uid = result.uid;
                            App.ldUserinfo(function () {
                                App.trace('登陆成功token:' + $.cookie('token'));
                                App.cxmain.$refs.loginbar.show = false;
                                App.alert('登录成功', { tips: true });
                            });
                            App.trace('登陆成功token:' + App.user.token);
                            _self.cosLoagin();
                            localStorage.removeItem('home');
                        } else {
                            App.alert(data.errordes);
                        }
                    }
                });
            },
            cosLoagin: function () {
                var $iframe = $('<iframe>');
                var _url = App.config.oldPath + '/ssopage.aspx?' + App.config.accompany;
                $iframe.attr('src', _url);
                $('head').append($iframe);
                $iframe[0].onload = function () {
                    console.log('加载完成');
                };
                return false;
            }
        }
    });
    return v;
});
var App = App || {};
define('views/cxmain', [
    'uview',
    'tpl/main.html',
    'views/home',
    'views/mall',
    'views/buy',
    'views/ucenter',
    'views/login',
    'views/reg',
    'views/reset',
    'footbar',
    'views/component/login'
], function (uview, tpl, home, mall, buy, ucenter, login, reg, reset, footbar, loginBar) {
    var v = uview.extend({
        template: tpl,
        components: {
            'com-login': loginBar,
            'com-footbar': footbar
        },
        objectExtend: {
            cxName: 'cxmain',
            cxId: '#cx-main',
            cxChildId: '#cx_main',
            cxAutoShow: true,
            cxReady: function () {
            }
        },
        cxData: {
            transitionName: 'cxpFade',
            show: true
        },
        methods: {
            openChild: function (_pname, _sed) {
                App.loading(false);
                App.trace('进入:' + _pname);
                if (this.cxChildP) {
                    if (this.cxChildP.cxName == _pname) {
                        if (typeof _sed != 'undefined') {
                            App.trace('当前栏目' + _pname + '->' + _sed);
                            this.cxChildP.openChild(_sed);
                        }
                        return this.cxChildP;
                    }
                }
                App.footbar(true);
                if (typeof _sed == 'object') {
                    App.trace(_pname + '->' + _sed.child + '&vas=' + _sed.vas);
                } else {
                    App.trace(_pname + '->' + _sed);
                }
                this.$refs.footbar.change(_pname);
                switch (_pname) {
                case 'home':
                    this.loadPage(new home({ _initPage: _sed }), true);
                    break;
                case 'mall':
                    this.loadPage(new mall({ _initPage: _sed }), true);
                    break;
                case 'buy':
                    this.loadPage(new buy({ _initPage: _sed }), true);
                    break;
                case 'ucenter':
                    this.loadPage(new ucenter({ _initPage: _sed }), true);
                    break;
                case 'login':
                    this.loadPage(new login(), true);
                    break;
                case 'reg':
                    this.loadPage(new reg(), true);
                    break;
                case 'reset':
                    this.loadPage(new reset(), true);
                    break;
                default:
                    this.loadPage(new ucenter(), true);
                }
                return this.cxChildP;
            }
        }
    });
    return v;
});
(function (a) {
    function k(a, b, c, d) {
        var e = 0, f = 0, g = 0, c = (c || '(').toString(), d = (d || ')').toString(), h;
        for (h = 0; h < a.length; h++) {
            var i = a[h];
            if (i.indexOf(c, e) > i.indexOf(d, e) || ~i.indexOf(c, e) && !~i.indexOf(d, e) || !~i.indexOf(c, e) && ~i.indexOf(d, e)) {
                f = i.indexOf(c, e), g = i.indexOf(d, e);
                if (~f && !~g || !~f && ~g) {
                    var j = a.slice(0, (h || 1) + 1).join(b);
                    a = [j].concat(a.slice((h || 1) + 1));
                }
                e = (g > f ? g : f) + 1, h = 0;
            } else
                e = 0;
        }
        return a;
    }
    function j(a, b) {
        var c, d = 0, e = '';
        while (c = a.substr(d).match(/[^\w\d\- %@&]*\*[^\w\d\- %@&]*/))
            d = c.index + c[0].length, c[0] = c[0].replace(/^\*/, '([_.()!\\ %@&a-zA-Z0-9-]+)'), e += a.substr(0, c.index) + c[0];
        a = e += a.substr(d);
        var f = a.match(/:([^\/]+)/gi), g, h;
        if (f) {
            h = f.length;
            for (var j = 0; j < h; j++)
                g = f[j], g.slice(0, 2) === '::' ? a = g.slice(1) : a = a.replace(g, i(g, b));
        }
        return a;
    }
    function i(a, b, c) {
        c = a;
        for (var d in b)
            if (b.hasOwnProperty(d)) {
                c = b[d](a);
                if (c !== a)
                    break;
            }
        return c === a ? '([._a-zA-Z0-9-%()]+)' : c;
    }
    function h(a, b, c) {
        if (!a.length)
            return c();
        var d = 0;
        (function e() {
            b(a[d], function (b) {
                b || b === !1 ? (c(b), c = function () {
                }) : (d += 1, d === a.length ? c() : e());
            });
        }());
    }
    function g(a) {
        var b = [];
        for (var c = 0, d = a.length; c < d; c++)
            b = b.concat(a[c]);
        return b;
    }
    function f(a, b) {
        for (var c = 0; c < a.length; c += 1)
            if (b(a[c], c, a) === !1)
                return;
    }
    function c() {
        return b.hash === '' || b.hash === '#';
    }
    var b = document.location, d = {
            mode: 'modern',
            hash: b.hash,
            history: !1,
            check: function () {
                var a = b.hash;
                a != this.hash && (this.hash = a, this.onHashChanged());
            },
            fire: function () {
                this.mode === 'modern' ? this.history === !0 ? window.onpopstate() : window.onhashchange() : this.onHashChanged();
            },
            init: function (a, b) {
                function d(a) {
                    for (var b = 0, c = e.listeners.length; b < c; b++)
                        e.listeners[b](a);
                }
                var c = this;
                this.history = b, e.listeners || (e.listeners = []);
                if ('onhashchange' in window && (document.documentMode === undefined || document.documentMode > 7))
                    this.history === !0 ? setTimeout(function () {
                        window.onpopstate = d;
                    }, 500) : window.onhashchange = d, this.mode = 'modern';
                else {
                    var f = document.createElement('iframe');
                    f.id = 'state-frame', f.style.display = 'none', document.body.appendChild(f), this.writeFrame(''), 'onpropertychange' in document && 'attachEvent' in document && document.attachEvent('onpropertychange', function () {
                        event.propertyName === 'location' && c.check();
                    }), window.setInterval(function () {
                        c.check();
                    }, 50), this.onHashChanged = d, this.mode = 'legacy';
                }
                e.listeners.push(a);
                return this.mode;
            },
            destroy: function (a) {
                if (!!e && !!e.listeners) {
                    var b = e.listeners;
                    for (var c = b.length - 1; c >= 0; c--)
                        b[c] === a && b.splice(c, 1);
                }
            },
            setHash: function (a) {
                this.mode === 'legacy' && this.writeFrame(a), this.history === !0 ? (window.history.pushState({}, document.title, a), this.fire()) : b.hash = a[0] === '/' ? a : '/' + a;
                return this;
            },
            writeFrame: function (a) {
                var b = document.getElementById('state-frame'), c = b.contentDocument || b.contentWindow.document;
                c.open(), c.write('<script>_hash = \'' + a + '\'; onload = parent.listener.syncHash;<script>'), c.close();
            },
            syncHash: function () {
                var a = this._hash;
                a != b.hash && (b.hash = a);
                return this;
            },
            onHashChanged: function () {
            }
        }, e = a.Router = function (a) {
            if (this instanceof e)
                this.params = {}, this.routes = {}, this.methods = [
                    'on',
                    'once',
                    'after',
                    'before'
                ], this.scope = [], this._methods = {}, this._insert = this.insert, this.insert = this.insertEx, this.historySupport = (window.history != null ? window.history.pushState : null) != null, this.configure(), this.mount(a || {});
            else
                return new e(a);
        };
    e.prototype.init = function (a) {
        var e = this, f;
        this.handler = function (a) {
            var b = a && a.newURL || window.location.hash, c = e.history === !0 ? e.getPath() : b.replace(/.*#/, '');
            e.dispatch('on', c.charAt(0) === '/' ? c : '/' + c);
        }, d.init(this.handler, this.history), this.history === !1 ? c() && a ? b.hash = a : c() || e.dispatch('on', '/' + b.hash.replace(/^(#\/|#|\/)/, '')) : (this.convert_hash_in_init ? (f = c() && a ? a : c() ? null : b.hash.replace(/^#/, ''), f && window.history.replaceState({}, document.title, f)) : f = this.getPath(), (f || this.run_in_init === !0) && this.handler());
        return this;
    }, e.prototype.explode = function () {
        var a = this.history === !0 ? this.getPath() : b.hash;
        a.charAt(1) === '/' && (a = a.slice(1));
        return a.slice(1, a.length).split('/');
    }, e.prototype.setRoute = function (a, b, c) {
        var e = this.explode();
        typeof a == 'number' && typeof b == 'string' ? e[a] = b : typeof c == 'string' ? e.splice(a, b, s) : e = [a], d.setHash(e.join('/'));
        return e;
    }, e.prototype.insertEx = function (a, b, c, d) {
        a === 'once' && (a = 'on', c = function (a) {
            var b = !1;
            return function () {
                if (!b) {
                    b = !0;
                    return a.apply(this, arguments);
                }
            };
        }(c));
        return this._insert(a, b, c, d);
    }, e.prototype.getRoute = function (a) {
        var b = a;
        if (typeof a == 'number')
            b = this.explode()[a];
        else if (typeof a == 'string') {
            var c = this.explode();
            b = c.indexOf(a);
        } else
            b = this.explode();
        return b;
    }, e.prototype.destroy = function () {
        d.destroy(this.handler);
        return this;
    }, e.prototype.getPath = function () {
        var a = window.location.pathname;
        a.substr(0, 1) !== '/' && (a = '/' + a);
        return a;
    };
    var l = /\?.*/;
    e.prototype.configure = function (a) {
        a = a || {};
        for (var b = 0; b < this.methods.length; b++)
            this._methods[this.methods[b]] = !0;
        this.recurse = a.recurse || this.recurse || !1, this.async = a.async || !1, this.delimiter = a.delimiter || '/', this.strict = typeof a.strict == 'undefined' ? !0 : a.strict, this.notfound = a.notfound, this.resource = a.resource, this.history = a.html5history && this.historySupport || !1, this.run_in_init = this.history === !0 && a.run_handler_in_init !== !1, this.convert_hash_in_init = this.history === !0 && a.convert_hash_in_init !== !1, this.every = {
            after: a.after || null,
            before: a.before || null,
            on: a.on || null
        };
        return this;
    }, e.prototype.param = function (a, b) {
        a[0] !== ':' && (a = ':' + a);
        var c = new RegExp(a, 'g');
        this.params[a] = function (a) {
            return a.replace(c, b.source || b);
        };
        return this;
    }, e.prototype.on = e.prototype.route = function (a, b, c) {
        var d = this;
        !c && typeof b == 'function' && (c = b, b = a, a = 'on');
        if (Array.isArray(b))
            return b.forEach(function (b) {
                d.on(a, b, c);
            });
        b.source && (b = b.source.replace(/\\\//gi, '/'));
        if (Array.isArray(a))
            return a.forEach(function (a) {
                d.on(a.toLowerCase(), b, c);
            });
        b = b.split(new RegExp(this.delimiter)), b = k(b, this.delimiter), this.insert(a, this.scope.concat(b), c);
    }, e.prototype.path = function (a, b) {
        var c = this, d = this.scope.length;
        a.source && (a = a.source.replace(/\\\//gi, '/')), a = a.split(new RegExp(this.delimiter)), a = k(a, this.delimiter), this.scope = this.scope.concat(a), b.call(this, this), this.scope.splice(d, a.length);
    }, e.prototype.dispatch = function (a, b, c) {
        function h() {
            d.last = e.after, d.invoke(d.runlist(e), d, c);
        }
        var d = this, e = this.traverse(a, b.replace(l, ''), this.routes, ''), f = this._invoked, g;
        this._invoked = !0;
        if (!e || e.length === 0) {
            this.last = [], typeof this.notfound == 'function' && this.invoke([this.notfound], {
                method: a,
                path: b
            }, c);
            return !1;
        }
        this.recurse === 'forward' && (e = e.reverse()), g = this.every && this.every.after ? [this.every.after].concat(this.last) : [this.last];
        if (g && g.length > 0 && f) {
            this.async ? this.invoke(g, this, h) : (this.invoke(g, this), h());
            return !0;
        }
        h();
        return !0;
    }, e.prototype.invoke = function (a, b, c) {
        var d = this, e;
        this.async ? (e = function (c, d) {
            if (Array.isArray(c))
                return h(c, e, d);
            typeof c == 'function' && c.apply(b, (a.captures || []).concat(d));
        }, h(a, e, function () {
            c && c.apply(b, arguments);
        })) : (e = function (c) {
            if (Array.isArray(c))
                return f(c, e);
            if (typeof c == 'function')
                return c.apply(b, a.captures || []);
            typeof c == 'string' && d.resource && d.resource[c].apply(b, a.captures || []);
        }, f(a, e));
    }, e.prototype.traverse = function (a, b, c, d, e) {
        function l(a) {
            function c(a) {
                for (var b = a.length - 1; b >= 0; b--)
                    Array.isArray(a[b]) ? (c(a[b]), a[b].length === 0 && a.splice(b, 1)) : e(a[b]) || a.splice(b, 1);
            }
            function b(a) {
                var c = [];
                for (var d = 0; d < a.length; d++)
                    c[d] = Array.isArray(a[d]) ? b(a[d]) : a[d];
                return c;
            }
            if (!e)
                return a;
            var d = b(a);
            d.matched = a.matched, d.captures = a.captures, d.after = a.after.filter(e), c(d);
            return d;
        }
        var f = [], g, h, i, j, k;
        if (b === this.delimiter && c[a]) {
            j = [[
                    c.before,
                    c[a]
                ].filter(Boolean)], j.after = [c.after].filter(Boolean), j.matched = !0, j.captures = [];
            return l(j);
        }
        for (var m in c)
            if (c.hasOwnProperty(m) && (!this._methods[m] || this._methods[m] && typeof c[m] == 'object' && !Array.isArray(c[m]))) {
                g = h = d + this.delimiter + m, this.strict || (h += '[' + this.delimiter + ']?'), i = b.match(new RegExp('^' + h));
                if (!i)
                    continue;
                if (i[0] && i[0] == b && c[m][a]) {
                    j = [[
                            c[m].before,
                            c[m][a]
                        ].filter(Boolean)], j.after = [c[m].after].filter(Boolean), j.matched = !0, j.captures = i.slice(1), this.recurse && c === this.routes && (j.push([
                        c.before,
                        c.on
                    ].filter(Boolean)), j.after = j.after.concat([c.after].filter(Boolean)));
                    return l(j);
                }
                j = this.traverse(a, b, c[m], g);
                if (j.matched) {
                    j.length > 0 && (f = f.concat(j)), this.recurse && (f.push([
                        c[m].before,
                        c[m].on
                    ].filter(Boolean)), j.after = j.after.concat([c[m].after].filter(Boolean)), c === this.routes && (f.push([
                        c.before,
                        c.on
                    ].filter(Boolean)), j.after = j.after.concat([c.after].filter(Boolean)))), f.matched = !0, f.captures = j.captures, f.after = j.after;
                    return l(f);
                }
            }
        return !1;
    }, e.prototype.insert = function (a, b, c, d) {
        var e, f, g, h, i;
        b = b.filter(function (a) {
            return a && a.length > 0;
        }), d = d || this.routes, i = b.shift(), /\:|\*/.test(i) && !/\\d|\\w/.test(i) && (i = j(i, this.params));
        if (b.length > 0) {
            d[i] = d[i] || {};
            return this.insert(a, b, c, d[i]);
        }
        {
            if (!!i || !!b.length || d !== this.routes) {
                f = typeof d[i], g = Array.isArray(d[i]);
                if (d[i] && !g && f == 'object') {
                    e = typeof d[i][a];
                    switch (e) {
                    case 'function':
                        d[i][a] = [
                            d[i][a],
                            c
                        ];
                        return;
                    case 'object':
                        d[i][a].push(c);
                        return;
                    case 'undefined':
                        d[i][a] = c;
                        return;
                    }
                } else if (f == 'undefined') {
                    h = {}, h[a] = c, d[i] = h;
                    return;
                }
                throw new Error('Invalid route context: ' + f);
            }
            e = typeof d[a];
            switch (e) {
            case 'function':
                d[a] = [
                    d[a],
                    c
                ];
                return;
            case 'object':
                d[a].push(c);
                return;
            case 'undefined':
                d[a] = c;
                return;
            }
        }
    }, e.prototype.extend = function (a) {
        function e(a) {
            b._methods[a] = !0, b[a] = function () {
                var c = arguments.length === 1 ? [
                    a,
                    ''
                ] : [a];
                b.on.apply(b, c.concat(Array.prototype.slice.call(arguments)));
            };
        }
        var b = this, c = a.length, d;
        for (d = 0; d < c; d++)
            e(a[d]);
    }, e.prototype.runlist = function (a) {
        var b = this.every && this.every.before ? [this.every.before].concat(g(a)) : g(a);
        this.every && this.every.on && b.push(this.every.on), b.captures = a.captures, b.source = a.source;
        return b;
    }, e.prototype.mount = function (a, b) {
        function d(b, d) {
            var e = b, f = b.split(c.delimiter), g = typeof a[b], h = f[0] === '' || !c._methods[f[0]], i = h ? 'on' : e;
            h && (e = e.slice((e.match(new RegExp('^' + c.delimiter)) || [''])[0].length), f.shift());
            h && g === 'object' && !Array.isArray(a[b]) ? (d = d.concat(f), c.mount(a[b], d)) : (h && (d = d.concat(e.split(c.delimiter)), d = k(d, c.delimiter)), c.insert(i, d, a[b]));
        }
        if (!!a && typeof a == 'object' && !Array.isArray(a)) {
            var c = this;
            b = b || [], Array.isArray(b) || (b = b.split(c.delimiter));
            for (var e in a)
                a.hasOwnProperty(e) && d(e, b.slice(0));
        }
    };
}(typeof exports == 'object' ? exports : window));
define('director', [], function () {
    return;
});
var App = App || {};
define('router', ['director'], function (Director) {
    var login = function () {
        openPage('login', 'lindex');
    };
    var index = function (child, vas) {
        if (typeof child == 'undefined') {
            openPage('home', 'hindex');
        } else {
            openPage('home', {
                child: child,
                vas: vas
            });
        }
    };
    var mall = function (child, vas) {
        if (typeof child == 'undefined') {
            openPage('mall', 'mindex');
        } else {
            openPage('mall', {
                child: child,
                vas: vas
            });
        }
    };
    var buy = function (child, vas) {
        if (App.user.info == null) {
            if (window.history) {
                window.history.replaceState(null, null, '#ucenter');
            }
            window.location.href = '#ucenter/uorder';
        } else {
            if (typeof child == 'undefined') {
                openPage('buy', 'bcart');
            } else {
                openPage('buy', {
                    child: child,
                    vas: vas
                });
            }
        }
    };
    var ucenter = function (child, vas) {
        if (typeof child == 'undefined') {
            openPage('ucenter', 'uindex');
        } else {
            if (child == 'umsg') {
                if (App.user.info == null) {
                    window.history.back();
                    App.login.show();
                    return false;
                }
            }
            openPage('ucenter', {
                child: child,
                vas: vas
            });
        }
    };
    var reg = function () {
        openPage('reg');
    };
    var reset = function () {
        openPage('reset');
    };
    var openPage = function (_page, _obj) {
        App.trace('开始' + _page + ' Location:' + window.location.href);
        App.cxmain.openChild(_page, _obj);
    };
    var routes = {
        '#': index,
        '/home': index,
        '/home/:child': index,
        '/home/:child/:vas': index,
        '/mall': mall,
        '/mall/:child': mall,
        '/mall/:child/:vas': mall,
        '/buy': buy,
        '/buy/:child': buy,
        '/buy/:child/:vas': buy,
        '/ucenter': ucenter,
        '/ucenter/:child': ucenter,
        '/ucenter/:child/:vas': ucenter,
        '/login': login,
        '/reg': reg,
        '/reset': reset
    };
    var router = new Router(routes);
    router.configure({
        on: function () {
        },
        before: function (a) {
        }
    });
    return router;
});
var App = App || {};
define('animate', ['vue'], function (Vue) {
    Vue.transition('cxpRight', {
        afterEnter: function () {
            this._appendComplete();
            this.appendComplete();
        },
        afterLeave: function (_el) {
            this.transitionName = 'cxpLeft';
            this._removeComplete();
            this.removeComplete();
        }
    });
    Vue.transition('cxpLeft', {
        afterEnter: function () {
            this._appendComplete();
            this.appendComplete();
        },
        afterLeave: function (_el) {
            this.transitionName = 'cxpRight';
            this._removeComplete();
            this.removeComplete();
        }
    });
    Vue.transition('cxpFade', {
        afterEnter: function () {
            App.trace(this.cxName + '-cxpFade');
            this._appendComplete();
            this.appendComplete();
        },
        afterLeave: function (_el) {
            this._removeComplete();
            this.removeComplete();
        }
    });
    Vue.transition('cxpFadeLeft', {
        afterEnter: function () {
            this._appendComplete();
            this.appendComplete();
        },
        afterLeave: function (_el) {
            this._removeComplete();
            this.removeComplete();
        }
    });
    Vue.transition('cxpFadeRight', {
        afterEnter: function () {
            this._appendComplete();
            this.appendComplete();
        },
        afterLeave: function (_el) {
            this._removeComplete();
            this.removeComplete();
        }
    });
});
var App = App || {};
define('alert', ['jquery'], function ($) {
    var _o = {
        w_h: $(window).height(),
        opened: false
    };
    App.alert = function (msg, _option) {
        if (typeof _o.$modal != 'undefined' && msg == '@close') {
            _o.$modal.modal('close');
        } else if (!_o.opened) {
            if (_o.w_h < 10)
                _o.w_h = $(window).height();
            _o.option = {
                opened: function () {
                },
                closed: function () {
                },
                closeViaDimmer: true,
                confirm: false,
                tips: false,
                otm: 2000,
                acd: true,
                jclose: false
            };
            if (typeof _option == 'object') {
                for (var k in _option) {
                    _o.option[k] = _option[k];
                }
            }
            var _html = '';
            if (_o.option.jclose) {
                _html += '<div class="am-modal am-modal-loading" id="ag-modal">';
            } else {
                _html += '<div class="am-modal" id="ag-modal">';
            }
            _html += '<div class="am-modal-dialog"><div class="am-modal-bd">' + msg + '</div>';
            if (!_o.option.tips) {
                _html += '<div class="am-modal-footer">';
                if (_o.option.confirm) {
                    _html += '<span class="am-modal-btn" data-am-modal-cancel><i class="am-icon-close"></i></span>';
                }
                _html += '<span class="am-modal-btn" data-am-modal-confirm><i class="am-icon-check"></i></span>';
                _html += '</div>';
            } else {
                if (_o.option.acd) {
                    setTimeout(function () {
                        _o.$modal.modal('close');
                    }, _o.option.otm);
                }
            }
            _html += '</div></div>';
            _o.$modal = $(_html);
            _o.$modal.on('opened.modal.amui', function (e) {
                _o.option.opened();
            });
            _o.$modal.on('closed.modal.amui', function (e) {
                _o.opened = false;
                _o.$modal.remove();
                _o.option.closed();
            });
            if (_o.option.confirm) {
                $('body').append(_o.$modal);
                _o.$modal.modal(_o.option.confirm);
            } else {
                $('body').append(_o.$modal);
                _o.$modal.modal({ closeViaDimmer: true });
            }
            ;
            $('.am-modal-active').offset({ top: (_o.w_h - _o.$modal.height()) / 2 });
            _o.opened = true;
        }
    };
});
var App = App || {};
define('lduserinfo', [
    'jquery',
    'cart'
], function ($, cart) {
    var relCart = function () {
        App.trace('获取用户线上购物车信息');
        App.cart = new cart('mycart');
        App.cart.releasecart();
    };
    var relNotice = function (_fun) {
        var _this = this;
        var _url = App.config.urlPath + '/v2/user/noticecount?token=' + App.config.token;
        App.upData({
            url: _url,
            success: function (data) {
                if (data.state == 1) {
                    App.user.notice = data.result;
                    if (typeof _fun != 'undefined') {
                        _fun(data);
                    }
                } else {
                    App.trace(data.errordes);
                }
            }
        });
    };
    App.user = function () {
        var _token = '';
        var _uid = '';
        var _rt = 'web';
        var p = {
            device: null,
            info: null,
            notice: null,
            v: App.v,
            accompany: function () {
                var _str = 'v=' + this.v;
                _str += '&token=' + _token;
                _str += '&rt=' + _rt;
                _str += '&uid=' + _uid;
                App.config.accompany = _str;
                return _str;
            },
            relnotice: relNotice,
            relcart: relCart
        };
        Object.defineProperty(p, 'uid', {
            get: function () {
                if (localStorage.uid) {
                    _token = localStorage.uid;
                }
                return _uid;
            },
            set: function (_val) {
                _uid = _val;
                localStorage.uid = _val;
                this.accompany();
            }
        });
        Object.defineProperty(p, 'rt', {
            get: function () {
                return _rt;
            },
            set: function (_val) {
                _rt = _val;
                this.accompany();
            }
        });
        Object.defineProperty(p, 'token', {
            get: function () {
                if (typeof $.cookie('token') != 'undefined') {
                    _token = $.cookie('token');
                } else {
                    if (localStorage.token) {
                        _token = localStorage.token;
                    }
                }
                return _token;
            },
            set: function (_val) {
                App.config.token = _token = _val;
                if (_val == '') {
                    localStorage.removeItem('token');
                    $.removeCookie('token');
                    $.cookie('UserLogin', '');
                    $.removeCookie('UserLogin');
                    $.removeCookie('tokenWeixin');
                } else {
                    $.cookie('token', _val);
                    localStorage.token = _val;
                }
                this.accompany();
            }
        });
        return p;
    }();
    App.ldUserinfo = function (_fun, _ren) {
        App.upData({
            url: App.config.urlPath + '/user/userinfo?token=' + App.config.token,
            success: function (data) {
                if (data.state == 1) {
                    App.user.info = data.result;
                    App.user.uid = data.result.userid;
                    App.cxmain.$refs.footbar.a_buy = '#buy';
                    App.trace('获取用户数据成功');
                    relCart();
                    relNotice();
                    App.user.info.recipient = data.result.recipient;
                    App.user.info.phone = data.result.phone;
                    App.user.info.fulladdress = data.result.fulladdress;
                    App.user.info.addressid = data.result.addressid;
                    if (typeof _fun != 'undefined') {
                        _fun();
                    }
                    if (App.cxmain.cxChildP) {
                        if (App.cxmain.cxChildP.cxChildP) {
                            var _cpName = App.cxmain.cxChildP.cxChildP.cxName;
                            if (_cpName == 'uindex') {
                                App.cxmain.cxChildP.cxChildP.avatar = App.user.info.avatar;
                                App.cxmain.cxChildP.cxChildP.nickname = App.user.info.nickname;
                                App.cxmain.cxChildP.cxChildP.gender = App.user.info.gender;
                                if (App.user.info.isGcs == 1) {
                                    App.cxmain.cxChildP.cxChildP.isGcs = true;
                                }
                            }
                        }
                    }
                } else {
                    App.trace('获取用户数据失败');
                }
            }
        });
    };
});
var App = App || {};
define('weixin', ['jquery'], function ($) {
    App.isWeixin = function (n) {
        var ua = navigator.userAgent.toLowerCase();
        if (ua.match(/MicroMessenger/i) == 'micromessenger') {
            return true;
        } else {
            return false;
        }
    };
    App.autoWeixin = function () {
        var _href = window.location.href;
        App.trace('_href:' + _href.indexOf('#'));
        if (_href.indexOf('#') > -1)
            _href = _href.substr(_href.indexOf('#') + 1);
        if (_href == '')
            _href = 'ucenter';
        _href = 'ftpara_' + _href;
        App.upData({
            url: App.config.urlPath + '/user/bindingweixin?',
            data: {
                type: 1,
                state: _href
            },
            success: function (data) {
                if (data.state == 1) {
                    App.trace('微信自动登陆成功\uFF1A' + data.result.info);
                    if ($.cookie('tokenWeixin') != 'tokenWeixin') {
                        $.cookie('tokenWeixin', 'tokenWeixin');
                        App.tokenWeixin = true;
                        App.trace('微信跳转\uFF1A' + data.result.info);
                        window.location.href = data.result.info;
                    } else {
                        $.removeCookie('tokenWeixin');
                        window.location.href = '#home';
                    }
                } else {
                    App.alert('用户登陆错误');
                }
            },
            error: function () {
            }
        });
    };
});
define('md5', ['module'], function (module) {
    'use strict';
    var hexcase = 0;
    var b64pad = '';
    function hex_md5(s) {
        return rstr2hex(rstr_md5(str2rstr_utf8(s)));
    }
    function b64_md5(s) {
        return rstr2b64(rstr_md5(str2rstr_utf8(s)));
    }
    function any_md5(s, e) {
        return rstr2any(rstr_md5(str2rstr_utf8(s)), e);
    }
    function hex_hmac_md5(k, d) {
        return rstr2hex(rstr_hmac_md5(str2rstr_utf8(k), str2rstr_utf8(d)));
    }
    function b64_hmac_md5(k, d) {
        return rstr2b64(rstr_hmac_md5(str2rstr_utf8(k), str2rstr_utf8(d)));
    }
    function any_hmac_md5(k, d, e) {
        return rstr2any(rstr_hmac_md5(str2rstr_utf8(k), str2rstr_utf8(d)), e);
    }
    function md5_vm_test() {
        return hex_md5('abc').toLowerCase() == '900150983cd24fb0d6963f7d28e17f72';
    }
    function rstr_md5(s) {
        return binl2rstr(binl_md5(rstr2binl(s), s.length * 8));
    }
    function rstr_hmac_md5(key, data) {
        var bkey = rstr2binl(key);
        if (bkey.length > 16)
            bkey = binl_md5(bkey, key.length * 8);
        var ipad = Array(16), opad = Array(16);
        for (var i = 0; i < 16; i++) {
            ipad[i] = bkey[i] ^ 909522486;
            opad[i] = bkey[i] ^ 1549556828;
        }
        var hash = binl_md5(ipad.concat(rstr2binl(data)), 512 + data.length * 8);
        return binl2rstr(binl_md5(opad.concat(hash), 512 + 128));
    }
    function rstr2hex(input) {
        try {
            hexcase;
        } catch (e) {
            hexcase = 0;
        }
        var hex_tab = hexcase ? '0123456789ABCDEF' : '0123456789abcdef';
        var output = '';
        var x;
        for (var i = 0; i < input.length; i++) {
            x = input.charCodeAt(i);
            output += hex_tab.charAt(x >>> 4 & 15) + hex_tab.charAt(x & 15);
        }
        return output;
    }
    function rstr2b64(input) {
        try {
            b64pad;
        } catch (e) {
            b64pad = '';
        }
        var tab = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
        var output = '';
        var len = input.length;
        for (var i = 0; i < len; i += 3) {
            var triplet = input.charCodeAt(i) << 16 | (i + 1 < len ? input.charCodeAt(i + 1) << 8 : 0) | (i + 2 < len ? input.charCodeAt(i + 2) : 0);
            for (var j = 0; j < 4; j++) {
                if (i * 8 + j * 6 > input.length * 8)
                    output += b64pad;
                else
                    output += tab.charAt(triplet >>> 6 * (3 - j) & 63);
            }
        }
        return output;
    }
    function rstr2any(input, encoding) {
        var divisor = encoding.length;
        var i, j, q, x, quotient;
        var dividend = Array(Math.ceil(input.length / 2));
        for (i = 0; i < dividend.length; i++) {
            dividend[i] = input.charCodeAt(i * 2) << 8 | input.charCodeAt(i * 2 + 1);
        }
        var full_length = Math.ceil(input.length * 8 / (Math.log(encoding.length) / Math.log(2)));
        var remainders = Array(full_length);
        for (j = 0; j < full_length; j++) {
            quotient = Array();
            x = 0;
            for (i = 0; i < dividend.length; i++) {
                x = (x << 16) + dividend[i];
                q = Math.floor(x / divisor);
                x -= q * divisor;
                if (quotient.length > 0 || q > 0)
                    quotient[quotient.length] = q;
            }
            remainders[j] = x;
            dividend = quotient;
        }
        var output = '';
        for (i = remainders.length - 1; i >= 0; i--)
            output += encoding.charAt(remainders[i]);
        return output;
    }
    function str2rstr_utf8(input) {
        var output = '';
        var i = -1;
        var x, y;
        while (++i < input.length) {
            x = input.charCodeAt(i);
            y = i + 1 < input.length ? input.charCodeAt(i + 1) : 0;
            if (55296 <= x && x <= 56319 && 56320 <= y && y <= 57343) {
                x = 65536 + ((x & 1023) << 10) + (y & 1023);
                i++;
            }
            if (x <= 127)
                output += String.fromCharCode(x);
            else if (x <= 2047)
                output += String.fromCharCode(192 | x >>> 6 & 31, 128 | x & 63);
            else if (x <= 65535)
                output += String.fromCharCode(224 | x >>> 12 & 15, 128 | x >>> 6 & 63, 128 | x & 63);
            else if (x <= 2097151)
                output += String.fromCharCode(240 | x >>> 18 & 7, 128 | x >>> 12 & 63, 128 | x >>> 6 & 63, 128 | x & 63);
        }
        return output;
    }
    function str2rstr_utf16le(input) {
        var output = '';
        for (var i = 0; i < input.length; i++)
            output += String.fromCharCode(input.charCodeAt(i) & 255, input.charCodeAt(i) >>> 8 & 255);
        return output;
    }
    function str2rstr_utf16be(input) {
        var output = '';
        for (var i = 0; i < input.length; i++)
            output += String.fromCharCode(input.charCodeAt(i) >>> 8 & 255, input.charCodeAt(i) & 255);
        return output;
    }
    function rstr2binl(input) {
        var output = Array(input.length >> 2);
        for (var i = 0; i < output.length; i++)
            output[i] = 0;
        for (var i = 0; i < input.length * 8; i += 8)
            output[i >> 5] |= (input.charCodeAt(i / 8) & 255) << i % 32;
        return output;
    }
    function binl2rstr(input) {
        var output = '';
        for (var i = 0; i < input.length * 32; i += 8)
            output += String.fromCharCode(input[i >> 5] >>> i % 32 & 255);
        return output;
    }
    function binl_md5(x, len) {
        x[len >> 5] |= 128 << len % 32;
        x[(len + 64 >>> 9 << 4) + 14] = len;
        var a = 1732584193;
        var b = -271733879;
        var c = -1732584194;
        var d = 271733878;
        for (var i = 0; i < x.length; i += 16) {
            var olda = a;
            var oldb = b;
            var oldc = c;
            var oldd = d;
            a = md5_ff(a, b, c, d, x[i + 0], 7, -680876936);
            d = md5_ff(d, a, b, c, x[i + 1], 12, -389564586);
            c = md5_ff(c, d, a, b, x[i + 2], 17, 606105819);
            b = md5_ff(b, c, d, a, x[i + 3], 22, -1044525330);
            a = md5_ff(a, b, c, d, x[i + 4], 7, -176418897);
            d = md5_ff(d, a, b, c, x[i + 5], 12, 1200080426);
            c = md5_ff(c, d, a, b, x[i + 6], 17, -1473231341);
            b = md5_ff(b, c, d, a, x[i + 7], 22, -45705983);
            a = md5_ff(a, b, c, d, x[i + 8], 7, 1770035416);
            d = md5_ff(d, a, b, c, x[i + 9], 12, -1958414417);
            c = md5_ff(c, d, a, b, x[i + 10], 17, -42063);
            b = md5_ff(b, c, d, a, x[i + 11], 22, -1990404162);
            a = md5_ff(a, b, c, d, x[i + 12], 7, 1804603682);
            d = md5_ff(d, a, b, c, x[i + 13], 12, -40341101);
            c = md5_ff(c, d, a, b, x[i + 14], 17, -1502002290);
            b = md5_ff(b, c, d, a, x[i + 15], 22, 1236535329);
            a = md5_gg(a, b, c, d, x[i + 1], 5, -165796510);
            d = md5_gg(d, a, b, c, x[i + 6], 9, -1069501632);
            c = md5_gg(c, d, a, b, x[i + 11], 14, 643717713);
            b = md5_gg(b, c, d, a, x[i + 0], 20, -373897302);
            a = md5_gg(a, b, c, d, x[i + 5], 5, -701558691);
            d = md5_gg(d, a, b, c, x[i + 10], 9, 38016083);
            c = md5_gg(c, d, a, b, x[i + 15], 14, -660478335);
            b = md5_gg(b, c, d, a, x[i + 4], 20, -405537848);
            a = md5_gg(a, b, c, d, x[i + 9], 5, 568446438);
            d = md5_gg(d, a, b, c, x[i + 14], 9, -1019803690);
            c = md5_gg(c, d, a, b, x[i + 3], 14, -187363961);
            b = md5_gg(b, c, d, a, x[i + 8], 20, 1163531501);
            a = md5_gg(a, b, c, d, x[i + 13], 5, -1444681467);
            d = md5_gg(d, a, b, c, x[i + 2], 9, -51403784);
            c = md5_gg(c, d, a, b, x[i + 7], 14, 1735328473);
            b = md5_gg(b, c, d, a, x[i + 12], 20, -1926607734);
            a = md5_hh(a, b, c, d, x[i + 5], 4, -378558);
            d = md5_hh(d, a, b, c, x[i + 8], 11, -2022574463);
            c = md5_hh(c, d, a, b, x[i + 11], 16, 1839030562);
            b = md5_hh(b, c, d, a, x[i + 14], 23, -35309556);
            a = md5_hh(a, b, c, d, x[i + 1], 4, -1530992060);
            d = md5_hh(d, a, b, c, x[i + 4], 11, 1272893353);
            c = md5_hh(c, d, a, b, x[i + 7], 16, -155497632);
            b = md5_hh(b, c, d, a, x[i + 10], 23, -1094730640);
            a = md5_hh(a, b, c, d, x[i + 13], 4, 681279174);
            d = md5_hh(d, a, b, c, x[i + 0], 11, -358537222);
            c = md5_hh(c, d, a, b, x[i + 3], 16, -722521979);
            b = md5_hh(b, c, d, a, x[i + 6], 23, 76029189);
            a = md5_hh(a, b, c, d, x[i + 9], 4, -640364487);
            d = md5_hh(d, a, b, c, x[i + 12], 11, -421815835);
            c = md5_hh(c, d, a, b, x[i + 15], 16, 530742520);
            b = md5_hh(b, c, d, a, x[i + 2], 23, -995338651);
            a = md5_ii(a, b, c, d, x[i + 0], 6, -198630844);
            d = md5_ii(d, a, b, c, x[i + 7], 10, 1126891415);
            c = md5_ii(c, d, a, b, x[i + 14], 15, -1416354905);
            b = md5_ii(b, c, d, a, x[i + 5], 21, -57434055);
            a = md5_ii(a, b, c, d, x[i + 12], 6, 1700485571);
            d = md5_ii(d, a, b, c, x[i + 3], 10, -1894986606);
            c = md5_ii(c, d, a, b, x[i + 10], 15, -1051523);
            b = md5_ii(b, c, d, a, x[i + 1], 21, -2054922799);
            a = md5_ii(a, b, c, d, x[i + 8], 6, 1873313359);
            d = md5_ii(d, a, b, c, x[i + 15], 10, -30611744);
            c = md5_ii(c, d, a, b, x[i + 6], 15, -1560198380);
            b = md5_ii(b, c, d, a, x[i + 13], 21, 1309151649);
            a = md5_ii(a, b, c, d, x[i + 4], 6, -145523070);
            d = md5_ii(d, a, b, c, x[i + 11], 10, -1120210379);
            c = md5_ii(c, d, a, b, x[i + 2], 15, 718787259);
            b = md5_ii(b, c, d, a, x[i + 9], 21, -343485551);
            a = safe_add(a, olda);
            b = safe_add(b, oldb);
            c = safe_add(c, oldc);
            d = safe_add(d, oldd);
        }
        return Array(a, b, c, d);
    }
    function md5_cmn(q, a, b, x, s, t) {
        return safe_add(bit_rol(safe_add(safe_add(a, q), safe_add(x, t)), s), b);
    }
    function md5_ff(a, b, c, d, x, s, t) {
        return md5_cmn(b & c | ~b & d, a, b, x, s, t);
    }
    function md5_gg(a, b, c, d, x, s, t) {
        return md5_cmn(b & d | c & ~d, a, b, x, s, t);
    }
    function md5_hh(a, b, c, d, x, s, t) {
        return md5_cmn(b ^ c ^ d, a, b, x, s, t);
    }
    function md5_ii(a, b, c, d, x, s, t) {
        return md5_cmn(c ^ (b | ~d), a, b, x, s, t);
    }
    function safe_add(x, y) {
        var lsw = (x & 65535) + (y & 65535);
        var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
        return msw << 16 | lsw & 65535;
    }
    function bit_rol(num, cnt) {
        return num << cnt | num >>> 32 - cnt;
    }
    var o = {
        hex_md5: hex_md5,
        b64_md5: b64_md5
    };
    return o;
});
var App = App || {};
define('tool', [
    'jquery',
    'underscore',
    'md5'
], function ($, _, md5) {
    var loadSpr = {
        state: true,
        objArr: [],
        $loading: $('<div id="o_load"><div class="loading08"><div class="loader">Loading...</div></div></div>')
    };
    App.extend = function (subclass, superclass) {
        function o() {
            this.constructor = subclass;
        }
        o.prototype = superclass.prototype;
        return subclass.prototype = new o();
    };
    App.trace = function (val) {
        if (App.debug._init) {
            $('#trace').prepend(val + '</br>');
        } else {
            App.debug.trace.push(val);
        }
    };
    App.loading = function (_tf) {
        if (_tf) {
            if (loadSpr.state) {
                loadSpr.state = false;
                $('body').append(loadSpr.$loading);
                loadSpr.$loading.show();
            }
        } else {
            if (!loadSpr.state) {
                loadSpr.state = true;
                loadSpr.$loading.fadeOut('fast', function () {
                    loadSpr.$loading.remove();
                });
            }
        }
    };
    App.footbar = function (_val) {
        App.cxmain.$refs.footbar.show = _val;
    };
    App.reload = {
        it: null,
        c: function () {
            if (this.it) {
                clearTimeout(this.it);
                this.it = null;
            }
            ;
        },
        r: function () {
            this.c();
            this.it = setTimeout(function () {
                window.location.reload();
            }, 1000);
        }
    };
    App.logout = function () {
        App.upData({
            url: App.config.urlPath + '/account/logoff?token=' + App.config.token,
            success: function (data) {
                if (data.state == 1) {
                    App.user.token = '';
                    window.history.back();
                    localStorage.removeItem('home');
                    localStorage.removeItem('uid');
                    App.user.info = null;
                    App.user.notice = null;
                } else {
                    App.user.token = '';
                    App.alert('退出失败');
                }
                App.cxmain.$refs.footbar.setBuyBtn();
            }
        });
    };
    App.login = {
        show: function () {
            App.cxmain.$refs.loginbar.show = true;
        }
    };
    App.tool.Ftime = function (_num) {
        var _m = parseInt(parseInt(_num) / 60);
        var _s = parseInt(parseInt(_num) % 60);
        if (_m < 10)
            _m = '0' + _m;
        if (_s < 10)
            _s = '0' + _s;
        return _m + ':' + _s;
    };
    App.tool.getLength = function (_val) {
        return _val.replace(/[^\x00-\xff]/g, 'aa').length;
    };
    App.tool.IT = {
        o: {},
        new: function (_fun, _time) {
            var _d = new Date().getTime();
            this.o[_d] = setInterval(_fun, _time);
            return this.o[_d];
        },
        clear: function (_id) {
            clearInterval(_id);
        },
        clearAll: function () {
            for (var k in this.o) {
                clearInterval(this.o[k]);
            }
        }
    };
    App.callPhone = function (_val) {
        if (App.isWeixin()) {
            window.location.href = 'tel:' + _val;
        } else {
            App.alert('是否拨打电话\uFF1A' + _val, {
                confirm: {
                    onConfirm: function () {
                        window.location.href = 'tel:' + _val;
                    },
                    onCancel: function () {
                    }
                }
            });
        }
    };
    App.enKey = function (_val) {
        var _key = 'FD4F0C7B424D4178BAA3AE4A2976DAC4';
        var _str = '';
        var _arr = _val.split('');
        var _lg = _arr.length;
        _arr.sort();
        for (var k = 0; k < _lg; k++) {
            _str += _arr[k];
        }
        ;
        _str = _key + _str;
        return md5.hex_md5(_str);
    };
    App.pushMsg = function (_type, _val) {
        if (typeof _type == 'undefined')
            _type = 1;
        if (typeof _val == 'undefined')
            _val = '';
        App.upData({
            data: {
                type: _type,
                value: _val
            },
            url: App.config.urlPath + '/v2/shop/thepush?' + App.config.accompany
        });
    };
    App.down = function () {
        if (!App.isWeixin()) {
            if (plus.os.name == 'Android') {
                App.trace('更新\uFF1A' + App.v.androidurl);
                plus.runtime.openURL(App.v.androidurl);
            } else {
                window.location.href = App.v.iosurl;
            }
        }
    };
    App.WaterFall = function (_param) {
        this.id = typeof _param.container == 'string' ? document.getElementById(_param.container) : _param.container;
        this.colWidth = _param.colWidth;
        this.colWidthUnit = _param.colWidthUnit || 'px';
        this.colCount = _param.colCount || 2;
        this.cls = _param.cls && _param.cls != '' ? _param.cls : 'wf-cld';
        this.init();
    };
    App.WaterFall.prototype = {
        id: '',
        colWidth: '',
        colWidthUnit: 'px',
        colCount: 2,
        cls: 'wf-cld',
        getByClass: function (cls, p) {
            var arr = [], reg = new RegExp('(^|\\s+)' + cls + '(\\s+|$)', 'g');
            var nodes = p.getElementsByTagName('*'), len = nodes.length;
            for (var i = 0; i < len; i++) {
                if (reg.test(nodes[i].className)) {
                    arr.push(nodes[i]);
                    reg.lastIndex = 0;
                }
            }
            return arr;
        },
        maxArr: function (arr) {
            var len = arr.length, temp = arr[0];
            for (var ii = 1; ii < len; ii++) {
                if (temp < arr[ii]) {
                    temp = arr[ii];
                }
            }
            return temp;
        },
        getMar: function (node) {
            var dis = 0;
            if (node.currentStyle) {
                dis = parseInt(node.currentStyle.marginBottom);
            } else if (document.defaultView) {
                dis = parseInt(document.defaultView.getComputedStyle(node, null).marginBottom);
            }
            return dis;
        },
        getMinCol: function (arr) {
            var ca = arr, cl = ca.length, temp = ca[0], minc = 0;
            for (var ci = 0; ci < cl; ci++) {
                if (temp > ca[ci]) {
                    temp = ca[ci];
                    minc = ci;
                }
            }
            return minc;
        },
        init: function () {
            var _this = this;
            var col = [], iArr = [];
            var nodes = _this.getByClass(_this.cls, _this.id), len = nodes.length;
            for (var i = 0; i < _this.colCount; i++) {
                col[i] = 0;
            }
            for (var i = 0; i < len; i++) {
                nodes[i].h = nodes[i].offsetHeight + _this.getMar(nodes[i]);
                iArr[i] = i;
            }
            for (var i = 0; i < len; i++) {
                var ming = _this.getMinCol(col);
                nodes[i].style.left = ming * _this.colWidth + _this.colWidthUnit;
                nodes[i].style.top = col[ming] + 'px';
                col[ming] += nodes[i].h;
            }
            _this.id.style.height = _this.maxArr(col) + 'px';
        }
    };
});
define('debug', ['jquery'], function ($) {
    var _$console = $('<div id=\'dbgConsole\'></div>');
    var _o = {};
    _o.op = false;
    _o.show = false;
    _o._init = false;
    _o.asyncData = [];
    _o.trace = [];
    _o.$dbgStBtn = $('<div id=\'dbgStBtn\'></div>');
    _o.push = function (_date, _val, _type) {
        if (typeof _type == 'undefined')
            _type = 1;
        var _of = _val.indexOf('?');
        var _st = _val.lastIndexOf('/', _of) + 1;
        var _api = _val.substring(_st, _of);
        _o.asyncData.push({
            api: _api,
            date: _date,
            val: _val,
            type: _type
        });
    };
    _o.init = function () {
        this.show = true;
        this._init = true;
        this.$dbgStBtn.click(function () {
            if (_o.op) {
                _o.op = false;
                _$console.remove();
            } else {
                _o.op = true;
                _$console.empty();
                $('body').append(_$console);
                _o.openConsole();
            }
        });
        $('#trace').show();
        var _lg = this.trace.length;
        if (_lg > 0) {
            for (var i = 0; i < _lg; i++) {
                $('#trace').prepend(this.trace[i] + '</br>');
            }
            this.trace = [];
        }
        $('body').append(this.$dbgStBtn);
    };
    _o.openConsole = function () {
        var _this = this;
        var _lg = this.asyncData.length;
        for (var k = _lg - 1; k >= 0; k--) {
            var _shl = '';
            if (this.asyncData[k].type == 1) {
                _shl += '<span class=\'dbgSpan am-text-danger\'>';
            } else {
                _shl += '<span class=\'dbgSpan am-text-success\'>';
            }
            _shl += this.asyncData[k].api + '<br />' + this.asyncData[k].type + ':' + k + '-';
            _shl += this.asyncData[k].date + '</span>';
            var _$span = $(_shl);
            _$span.click(k, function (_evt) {
                App.alert(_this.asyncData[_evt.data].val);
            });
            _$console.append(_$span);
        }
    };
    _o.open = function () {
        $('#trace').show();
        this.$dbgStBtn.show();
        this.show = true;
    };
    _o.close = function () {
        $('#trace').hide();
        this.$dbgStBtn.hide();
        this.show = false;
    };
    return _o;
});
var App = App || {};
define('init', [
    'views/cxmain',
    'router',
    'animate',
    'cart',
    'alert',
    'lduserinfo',
    'weixin',
    'tool',
    'debug'
], function (main, router, animate, cart, alert, lduserinfo, weixin, tool, debug) {
    var startInit = 0;
    var autoLogin = function () {
        App.trace('自动登陆');
        if (App.isWeixin()) {
            App.user.rt = 'weixin';
            App.trace('微信自动登陆');
            App.autoWeixin();
        } else {
            App.trace('手动登陆');
            $.removeCookie('token');
            App.config.token = '';
            App.trace('清空记录');
            App.trace('开始路由->' + window.location.href);
        }
    };
    var aboutApp = function () {
        var _url = App.config.urlPath + '/v2/about/index?' + App.config.accompany;
        App.upData({
            _this: this,
            url: _url,
            success: function (data) {
                if (data.state == 1) {
                    App.about = data.result;
                } else {
                    App.trace(data.errordes);
                }
            }
        });
    };
    App.debug = debug;
    App.init = function (_fun) {
        if (App.n.ok)
            plus.navigator.setFullscreen(false);
        App.trace('当前版本\uFF1A' + App.v);
        App.trace('init start');
        if (App.config.debug != '5a3428ccdaba80f09828bb8bb53395b0') {
            App.debug.init();
        }
        $('#trace').click(function () {
            $(this).toggleClass('act');
        });
        $('.loading').fadeOut('fast', function () {
            $('.loading').remove();
        });
        App.cxmain = new main();
        App.cxmain.$mount().$appendTo('#main');
        App.cart = new cart('mycart');
        if ($.cookie('UserLogin')) {
            App.user.token = $.cookie('UserLogin');
        }
        aboutApp();
        App.router = router;
        App.router.init('home');
        if (App.isWeixin()) {
            App.user.rt = 'weixin';
        }
        if (App.user.token != 'undefined') {
            App.config.token = App.user.token;
            App.trace('验证 token');
            App.upData({
                url: App.config.urlPath + '/account/verifytoken?token=' + App.config.token,
                success: function (data) {
                    if (data.state == 1) {
                        if (data.result.valid) {
                            App.trace('验证token有效->获取用户信息');
                            App.ldUserinfo(function () {
                                App.trace('开始路由->' + window.location.href);
                            });
                        } else {
                            autoLogin();
                        }
                    } else {
                        App.state = 401;
                        if (data.errordes == '') {
                            App.alert(data.result.info);
                        } else {
                            App.alert(data.errordes);
                        }
                    }
                },
                error: function () {
                    App.state = 401;
                    App.alert('获取服务器数据错误');
                }
            });
        } else {
            autoLogin();
        }
    };
    return App.init;
});
var App = App || {};
define('channel/app/n.pay', [], function () {
    var _pay = function () {
        return {
            init: function () {
                this.getChannel();
                return this;
            },
            channels: null,
            channel: null,
            getChannel: function (_fun) {
                var _this = this;
                plus.payment.getChannels(function (cs) {
                    _this.channels = cs;
                    for (var k in cs) {
                        App.trace('支付类型\uFF1A' + cs[k].id + ':' + cs[k].description);
                    }
                    _this.channel = cs[0];
                }, function (e) {
                    App.trace('获取支付通道失败\uFF1A' + e.message);
                });
            },
            request: function (_statement, _pay, _success, _error) {
                for (var k in this.channels) {
                    if (this.channels[k].id == _pay) {
                        this.channel = this.channels[k];
                        break;
                    }
                }
                plus.payment.request(this.channel, _statement, function (result) {
                    App.loading(false);
                    _success(result);
                }, function (error) {
                    App.loading(false);
                    _error(error);
                });
            }
        };
    };
    return _pay;
});
var App = App || {};
define('channel/app/n.share', [], function () {
    App.n.share = {
        sharewx: null,
        baseurl: App.config.fPath,
        content_base: '望厨 ~ ',
        title: '望厨:',
        content: '',
        id: '',
        type: '',
        href: '',
        thumbs: ['https://mmbiz.qlogo.cn/mmbiz/RJDibFAbsd0GDV5efLBC2FaVewVJQIqniaZiciasZkXMNUNGQ9e9GfAZX5ME2BbupWzLibjrmkfcTpuLbHocPeJMEbw/0?wx_fmt=png'],
        scene: 0,
        modal: '',
        initflag: 0,
        init: function () {
            var _this = this;
            var mt = ($(window).height() - 180) / 2 + 'px';
            var html = '<div class=\'am-modal\' tabindex=\'-1\' id=\'cx-wx-modal\' style=\'top:' + mt + '\'>' + '<div class=\'am-modal-dialog\'>' + '<div class=\'title\'><div>分享到</div></div>' + '<div class=\'am-g\'>' + '<div class=\'am-u-sm-6\' id=\'myfriend\'>' + '<div><img src=\'assets/imgs/wechart.png\'></div>' + '<div class=\'txt\'>微信好友</div>' + '</div>  ' + '<div class=\'am-u-sm-6\' id=\'friend\'>' + '<div><img src=\'assets/imgs/wx_circle.png\'></div>' + '<div class=\'txt\'>朋友圈</div>' + '</div>  ' + '</div>' + '</div>' + '</div>';
            var wxhtml = '<div id="wx-modal">请点击右上角分享!</div>';
            var isWx = App.isWeixin();
            if (isWx) {
                this.modal = $(wxhtml);
            } else {
                this.modal = $(html);
            }
            $('body').on('click', '#friend', function () {
                _this.scene = 0;
                _this.shareWeixin();
                _this.modal.modal('close');
            });
            $('body').on('click', '#myfriend', function () {
                _this.scene = 1;
                _this.shareWeixin();
                _this.modal.modal('close');
            });
            _this.modal.on('closed.modal.amui', function (e) {
                _this.modal.remove();
            });
        },
        share: function (content, href, type) {
            var _this = this;
            if (this.initflag == 0) {
                this.init();
                this.initflag = 1;
            }
            this.content = _this.content_base + content;
            this.href = href;
            this.id = href.split('/')[2];
            this.type = type;
            $('body').append(this.modal);
            this.modal.modal('open');
            if (this.sharewx == null) {
                plus.share.getServices(function (s) {
                    for (var i in s) {
                        if ('weixin' == s[i].id) {
                            _this.sharewx = s[i];
                        }
                    }
                }, function (e) {
                    alert('获取分享服务列表失败');
                });
            }
        },
        sharecount: function () {
            var _this = this;
            App.upData({
                url: App.config.urlPath + '/V2/Shop/ShareTimesStatistics',
                data: {
                    goodsid: _this.id,
                    type: _this.type
                },
                success: function (data) {
                    if (data.state == 1) {
                        console.log('success');
                    }
                }
            });
        },
        shareWeixin: function () {
            var isWx = App.isWeixin();
            if (!isWx) {
                var _this = this;
                if (_this.scene == 0) {
                    _this.sharewx.send({
                        content: _this.content,
                        href: _this.baseurl + _this.href,
                        thumbs: _this.thumbs,
                        extra: { scene: 'WXSceneTimeline' }
                    }, function () {
                        if (_this.type == 0 || _this.type == 1) {
                            _this.sharecount();
                        }
                    }, function (e) {
                    });
                } else {
                    _this.sharewx.send({
                        content: _this.content,
                        href: _this.baseurl + _this.href,
                        thumbs: _this.thumbs,
                        title: _this.title,
                        extra: { scene: 'WXSceneSession' }
                    }, function () {
                        if (_this.type == 0 || _this.type == 1) {
                            _this.sharecount();
                        }
                    }, function (e) {
                    });
                }
            }
        }
    };
    return App.n.share;
});
var App = App || {};
define('channel/app/n.push', ['store'], function (store) {
    App.n.push = {
        init: function () {
            this.addEventListener();
            this.upCinfo();
        },
        clientInfo: null,
        addEventListener: function () {
            plus.push.addEventListener('click', function (msg) {
                App.trace('clickPayload:' + msg.payload);
                App.trace('clickContent:' + msg.content);
                if (msg.payload.url) {
                    if (msg.payload.url != '') {
                        if (App.config.token != '') {
                            window.location.href = '#' + msg.payload.url;
                        } else {
                            window.location.href = '#home';
                            setTimeout(function () {
                                window.location.href = '#' + msg.payload.url;
                            });
                        }
                    }
                }
            }, true);
            plus.push.addEventListener('receive', function (msg) {
                App.trace('payload:' + msg.payload);
                for (var k in msg.payload) {
                    App.trace('payload.' + k + ':' + msg.payload[k]);
                }
                plus.push.clear();
                plus.runtime.setBadgeNumber(0);
            }, true);
        },
        upCinfo: function () {
            this.clientInfo = new store('ClientInfo');
            var _this = this;
            var _cInfo = plus.push.getClientInfo();
            var _url = App.config.urlPath + '/v2/device/adddevice?' + App.config.accompany;
            App.upData({
                _this: this,
                url: _url,
                data: {
                    cid: _cInfo.clientid,
                    token: _cInfo.token,
                    uuid: _cInfo.token,
                    system: plus.os.name,
                    version: plus.os.version
                },
                success: function (data) {
                    if (data.state == 1) {
                        _this.clientInfo.set('db', _cInfo);
                    } else {
                        App.trace(data.errordes);
                    }
                }
            });
            App.trace('获取消息数量');
            plus.runtime.setBadgeNumber(0);
            var _mgs = plus.push.getAllMessage();
            if (_mgs) {
                plus.runtime.setBadgeNumber(_mgs.length);
                App.trace('消息数量:' + _mgs.length);
            }
        }
    };
    return App.n.pay;
});
var App = App || {};
define('channel/app/n.vcheck', ['store'], function (store) {
    App.n.vcheck = {
        mv: 0,
        nv: 0,
        uv: 0,
        wv: 0,
        vstore: null,
        init: function () {
            this.vstore = new store('vstore');
            var _this = this;
            App.upData({
                url: App.config.urlPath + '/v2/device/CheckVersion?' + App.config.accompany,
                success: function (data) {
                    if (data.state == 1) {
                        App.nv = data.result;
                        _this.vstore.set('v', App.nv);
                        _this.nv = _this.formatv(App.nv.version);
                        _this.mv = _this.formatv(App.nv.minversion);
                        _this.uv = _this.formatv(App.v);
                        if (typeof _this.vstore.get('wv') == 'undefined') {
                            _this.vstore.set('wv', App.v);
                        }
                        _this.wv = _this.formatv(_this.vstore.get('wv'));
                        if (plus.os.name != 'iOS') {
                            _this.test();
                        } else if (data.result.iosautoupdating) {
                            _this.test();
                        }
                    }
                }
            });
        },
        formatv: function (_val) {
            var _sArr = _val.split('.');
            var _v = parseInt(_sArr[0]) * 10000 + parseInt(_sArr[1]) * 100 + parseInt(_sArr[2]) / 1000;
            return _v;
        },
        test: function () {
            if (this.uv < this.mv) {
                this.warn();
            } else if (this.wv != this.nv && this.uv < this.nv) {
                this.warn();
            }
        },
        warn: function () {
            var _this = this;
            var _jclose = false;
            var _html = '<div class=\'vvs\'>';
            if (this.uv < this.mv) {
                _html += '<div class=\'ui-border-b\'>望厨有新版本了\uFF0C体验一下吧</div>';
                _html += '<a class=\'getVBtn\' id=\'gvA\'>马上更新</a>';
                _jclose = true;
            } else {
                _html += '<div class=\'ui-border-b\'>望厨有新版本了\uFF0C体验一下吧</div>';
                _html += '<a class=\'getVBtn ui-border-b\' id=\'gvA\'>马上更新</a>';
                _html += '<a class=\'getVBtn ui-border-b\' id=\'gvB\'>稍后提醒</a>';
                _html += '<a class=\'getVBtn\' id=\'gvC\'>不再提醒</a>';
            }
            _html += '</div>';
            App.alert(_html, {
                tips: true,
                acd: false,
                jclose: _jclose
            });
            $('#gvA').click(function () {
                App.alert('@close');
                App.down();
            });
            $('#gvB').click(function () {
                App.alert('@close');
            });
            $('#gvC').click(function () {
                _this.vstore.set('wv', App.nv.version);
                App.alert('@close');
            });
        }
    };
    return App.n.vcheck;
});
var App = App || {};
define('channel/app/n.device', [], function () {
    var _device = function () {
        return {
            os: null,
            init: function () {
                this.os = plus.os;
                return this;
            },
            testnetwork: function (_fun) {
                if (plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
                    return false;
                } else {
                    if (typeof _fun != 'undefined')
                        _fun();
                    return true;
                }
            }
        };
    };
    return _device;
});
var App = App || {};
define('channel/app/n.index2', ['jquery'], function ($) {
    var _index = function () {
        return {
            w_h: $(window).height(),
            w_w: $(window).width(),
            loadLg: 0,
            sub: 0,
            imgArr: [],
            adArr: [],
            it: null,
            $ads: null,
            startX: 0,
            endX: 0,
            imglist: [
                { img: 'assets/imgs/loading/0.jpg' },
                { img: 'assets/imgs/loading/1.jpg' },
                { img: 'assets/imgs/loading/2.jpg' },
                { img: 'assets/imgs/loading/3.jpg' }
            ],
            init: function () {
                $('.loading').remove();
                localStorage.setItem('uv', App.user.v);
                this.$ads = $('<div id=\'indexAd\'><div id=\'loadlist\'></div></div>');
                $('#main').append(this.$ads);
                var _lg = this.imglist.length;
                for (var i = 0; i < _lg; i++) {
                    var $_ad = this.createSpan(this.imglist[i], i);
                    this.adArr.push($_ad);
                    this.$ads.append($_ad);
                    $('#loadlist').append('<div><span></span></div>');
                }
                this.goAd();
                this.eventListener();
                return this;
            },
            eventListener: function () {
                this.$ads.on('touchstart', this, this.touchStart);
                this.$ads.on('touchend', this, this.touchEnd);
            },
            touchStart: function (e) {
                var _this = e.data;
                var touches = e.originalEvent.touches;
                _this.startX = touches[0].pageX;
                _this.autoPlay(false);
            },
            touchEnd: function (e) {
                var _this = e.data;
                var touches = e.originalEvent.changedTouches;
                _this.endX = touches[0].pageX;
                if (_this.startX - _this.endX > 50) {
                    _this.sub = _this.sub + 1;
                    _this.goAd(-1);
                }
                if (_this.startX - _this.endX < -50) {
                    _this.sub = _this.sub - 1;
                    _this.goAd(1);
                }
            },
            buildStart: function () {
                this.autoPlay(true);
                var _this = this;
                $('.lastloading').on('click', function () {
                    _this.goMain();
                });
            },
            autoPlay: function (_val) {
                if (_val) {
                    var _this = this;
                    clearInterval(this.it);
                    this.it = setInterval(function () {
                        _this.sub = _this.sub + 1;
                        _this.goAd(-1);
                    }, 5000);
                } else if (this.it) {
                    clearInterval(this.it);
                    this.it = null;
                }
            },
            goAd: function (d) {
                $('#loadlist div span').css('opacity', 0.5);
                if (this.sub <= 0) {
                    this.sub = 0;
                    $('#loadlist div span:eq(0)').css('opacity', 1);
                }
                if (this.sub > this.imglist.length - 1) {
                    this.sub = this.imglist.length - 1;
                }
                if (d == -1) {
                    $('#loadlist div span:eq(' + this.sub + ')').css('opacity', 1);
                    $('#' + (this.sub - 1)).css({ '-webkit-transform': 'translateX(-100%)' });
                    $('#' + this.sub).css({ '-webkit-transform': 'translateX(0)' });
                }
                if (d == 1) {
                    $('#loadlist div span:eq(' + this.sub + ')').css('opacity', 1);
                    $('#' + this.sub).css({ '-webkit-transform': 'translateX(0)' });
                    $('#' + (this.sub + 1)).css({ '-webkit-transform': 'translateX(100%)' });
                }
                if (this.sub == this.imglist.length - 1) {
                    $('#loadlist').css('display', 'none');
                } else {
                    $('#loadlist').css('display', 'block');
                }
            },
            createSpan: function (_imgObj, id) {
                var _this = this;
                if (id == 0) {
                    var _hm = '<div id=' + id + ' class=\'iAdSpan anim\' style=\'-webkit-transform:translateX(0)\'><img src=' + _imgObj.img + '></div>';
                } else if (id == this.imglist.length - 1) {
                    var _hm = '<div id=' + id + ' class=\'iAdSpan anim lastloading\' style=\'-webkit-transform:translateX(100%)\'><img src=' + _imgObj.img + '></div>';
                } else {
                    var _hm = '<div id=' + id + ' class=\'iAdSpan anim\' style=\'-webkit-transform:translateX(100%)\'><img src=' + _imgObj.img + '></div>';
                }
                var _ad = $(_hm);
                this.loadImg(_imgObj.img);
                return _ad;
            },
            loadImg: function (_url) {
                var _this = this;
                var _img = new Image();
                _img.onload = function () {
                    this.ww = this.width / _this.w_w;
                    this.wh = this.height / _this.w_h;
                    _this.loadLg++;
                    if (_this.loadLg == _this.imglist.length) {
                        _this.buildStart();
                    }
                };
                _img.src = _url;
                this.imgArr.push(_img);
            },
            goMain: function () {
                $('#indexAd').remove();
                setTimeout(function () {
                    App.init();
                }, 10);
            }
        };
    };
    return _index;
});
var App = App || {};
define('native', [
    'channel/app/n.pay',
    'channel/app/n.share',
    'channel/app/n.push',
    'channel/app/n.vcheck',
    'channel/app/n.device',
    'channel/app/n.index2'
], function (pay, share, push, vcheck, device, index) {
    App.n.init = function (_fun) {
        App.n.ok = true;
        App.n.device = device().init();
        App.user.rt = 'app';
        App.n.pay = pay().init();
        if (App.n.device.testnetwork()) {
            App.n.push.init();
            App.n.vcheck.init();
        }
        var _it = null;
        var _bk = 0;
        plus.key.addEventListener('backbutton', function (e) {
            if (App.cxmain.cxChildP.cxChildP) {
                var _cxName = App.cxmain.cxChildP.cxChildP.cxName;
                App.trace('后退前页面\uFF1A' + _cxName);
                if (_cxName == 'hindex') {
                    _bk++;
                    if (_it) {
                        clearTimeout(_it);
                    }
                    _it = setTimeout(function () {
                        _bk = 0;
                    }, 500);
                    if (_bk > 1) {
                        plus.runtime.quit();
                    }
                    return false;
                }
            }
            window.history.back();
        }, false);
        document.addEventListener('resume', function (e) {
            App.trace('回到系统');
            App.loading(false);
        }, false);
    };
    if (window.plus) {
        App.n.init();
    } else {
        document.addEventListener('plusready', App.n.init, false);
    }
    return App.n;
});
require.config({
    urlArgs: 'bust=' + new Date().getTime(),
    baseUrl: 'app/',
    shim: {
        underscore: { exports: '_' },
        vue: {
            deps: [
                'underscore',
                'jquery',
                'updata',
                'cookie'
            ]
        }
    },
    paths: {
        jquery: 'libs/jquery.min',
        backbone: 'libs/backbone-min',
        underscore: 'libs/underscore',
        domReady: 'libs/domReady',
        amazeui: 'libs/amazeui.min',
        cookie: 'libs/jquery.cookie',
        text: 'libs/text',
        vue: 'libs/vue.min',
        director: 'libs/director.min',
        md5: 'libs/md5',
        updata: 'core/cx.upDataServer',
        store: 'core/cx.localStorage',
        uview: 'core/cx.uView',
        cart: 'ndb/ndbCart',
        search: 'ndb/ndbSearch',
        router: 'global/router',
        animate: 'global/animate',
        alert: 'global/alert',
        lduserinfo: 'global/ldUserinfo',
        weixin: 'global/weixin',
        tool: 'global/tool',
        init: 'global/init',
        debug: 'global/debug',
        cxmain: 'views/cxmain',
        footbar: 'views/component/footBar',
        utopbar: 'views/component/utopBar',
        utopbar2: 'views/component/utopBar2',
        login: 'views/component/login',
        native: 'channel/app/n.init',
        lazyload: 'libs/imagesloaded.pkgd.min',
        slider: 'libs/slick.min',
        IScroll: 'libs/iscroll-probe'
    }
});
App = {
    v: '1.0.3',
    nv: null,
    config: {
        urlPath: 'http://api.ukitchenplus.com',
        oldPath: 'http://m.ukitchenplus.com',
        fPath: 'http://f.ukitchenplus.com',
        token: '',
        accompany: '',
        uid: '',
        debug: '5a3428ccdaba80f09828bb8bb53395b0'
    },
    init: null,
    about: null,
    user: null,
    state: 0,
    views: {},
    cxmain: null,
    actView: null,
    router: {},
    cart: null,
    buyInfo: null,
    discovery: {},
    lastOne: {},
    tokenvalid: false,
    upData: null,
    tokenWeixin: false,
    $modal: null,
    alert: null,
    isWeixin: null,
    autoWeixin: null,
    ldUserinfo: null,
    footbar: null,
    extend: null,
    tool: {},
    n: {},
    w: {},
    p: {},
    trace: null
};
require([
    'domReady',
    'init',
    'native',
    'store',
    'channel/app/n.index2'
], function (domReady, _init, native, store, index) {
    domReady(function () {
        if (App.n.ok) {
            App.trace('init App');
            if (!App.n.device.testnetwork(function () {
                    if (localStorage.getItem('uv') != App.v) {
                        if (plus.os.name == 'Android') {
                            if (parseFloat(plus.os.version) > 4.4) {
                                index().init();
                            } else {
                                _init();
                            }
                        } else {
                            index().init();
                        }
                    } else {
                        _init();
                    }
                })) {
                App.alert('当前无法连接网络');
            }
        } else {
            _init();
        }
    });
});
define('main', [
    'domReady',
    'init',
    'native',
    'store',
    'channel/app/n.index2'
], function () {
    return;
});